// python wrapper for vtkAxis object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAxis.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAxisNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAxisNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkContextItemNew(char *); }

static PyObject *PyvtkAxis_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  const char    *temp20;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxis::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  char    *temp0;
  int      temp20;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxis::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  vtkAxis  *temp20;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxis::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkAxis  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkAxis::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAxis_SetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  int      temp0;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxis::SetPosition(temp0);
      }
    else
      {
      op->SetPosition(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_GetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  int      temp20;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxis::GetPosition();
      }
    else
      {
      temp20 = op->GetPosition();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_SetPoint1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  float    temp0;
  float    temp1;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"ff", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxis::SetPoint1(temp0,temp1);
      }
    else
      {
      op->SetPoint1(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkAxis *op;

  float  temp0[2];
  PyErr_Clear();
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"(ff)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxis::SetPoint1(temp0);
      }
    else
      {
      op->SetPoint1(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_GetPoint1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  float   *temp20;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxis::GetPoint1();
      }
    else
      {
      temp20 = op->GetPoint1();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ff",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_SetPoint2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  float    temp0;
  float    temp1;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"ff", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxis::SetPoint2(temp0,temp1);
      }
    else
      {
      op->SetPoint2(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkAxis *op;

  float  temp0[2];
  PyErr_Clear();
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"(ff)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxis::SetPoint2(temp0);
      }
    else
      {
      op->SetPoint2(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_GetPoint2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  float   *temp20;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxis::GetPoint2();
      }
    else
      {
      temp20 = op->GetPoint2();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ff",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_SetNumberOfTicks(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  int      temp0;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxis::SetNumberOfTicks(temp0);
      }
    else
      {
      op->SetNumberOfTicks(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_GetNumberOfTicks(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  int      temp20;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxis::GetNumberOfTicks();
      }
    else
      {
      temp20 = op->GetNumberOfTicks();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_GetLabelProperties(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  vtkTextProperty  *temp20;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxis::GetLabelProperties();
      }
    else
      {
      temp20 = op->GetLabelProperties();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_SetMinimum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  double   temp0;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxis::SetMinimum(temp0);
      }
    else
      {
      op->SetMinimum(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_GetMinimum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  double   temp20;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxis::GetMinimum();
      }
    else
      {
      temp20 = op->GetMinimum();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_SetMaximum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  double   temp0;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxis::SetMaximum(temp0);
      }
    else
      {
      op->SetMaximum(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_GetMaximum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  double   temp20;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxis::GetMaximum();
      }
    else
      {
      temp20 = op->GetMaximum();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_SetRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  double   temp0;
  double   temp1;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxis::SetRange(temp0,temp1);
      }
    else
      {
      op->SetRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_SetTitle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  char    *temp0;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxis::SetTitle(temp0);
      }
    else
      {
      op->SetTitle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_GetTitle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  char    *temp20;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxis::GetTitle();
      }
    else
      {
      temp20 = op->GetTitle();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_GetTitleProperties(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  vtkTextProperty  *temp20;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxis::GetTitleProperties();
      }
    else
      {
      temp20 = op->GetTitleProperties();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_SetLogScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  bool   temp0;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxis::SetLogScale(temp0);
      }
    else
      {
      op->SetLogScale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_GetLogScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  bool   temp20;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxis::GetLogScale();
      }
    else
      {
      temp20 = op->GetLogScale();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_SetGridVisible(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  bool   temp0;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxis::SetGridVisible(temp0);
      }
    else
      {
      op->SetGridVisible(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_GetGridVisible(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  bool   temp20;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxis::GetGridVisible();
      }
    else
      {
      temp20 = op->GetGridVisible();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_SetLabelsVisible(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  bool   temp0;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxis::SetLabelsVisible(temp0);
      }
    else
      {
      op->SetLabelsVisible(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_GetLabelsVisible(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  bool   temp20;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxis::GetLabelsVisible();
      }
    else
      {
      temp20 = op->GetLabelsVisible();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_SetPrecision(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  int      temp0;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxis::SetPrecision(temp0);
      }
    else
      {
      op->SetPrecision(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_GetPrecision(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  int      temp20;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxis::GetPrecision();
      }
    else
      {
      temp20 = op->GetPrecision();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_SetNotation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  int      temp0;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxis::SetNotation(temp0);
      }
    else
      {
      op->SetNotation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_GetNotation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  int      temp20;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxis::GetNotation();
      }
    else
      {
      temp20 = op->GetNotation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_SetBehavior(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  int      temp0;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxis::SetBehavior(temp0);
      }
    else
      {
      op->SetBehavior(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_GetBehavior(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  int      temp20;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxis::GetBehavior();
      }
    else
      {
      temp20 = op->GetBehavior();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_GetPen(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  vtkPen  *temp20;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxis::GetPen();
      }
    else
      {
      temp20 = op->GetPen();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_GetGridPen(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  vtkPen  *temp20;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxis::GetGridPen();
      }
    else
      {
      temp20 = op->GetGridPen();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxis::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_Paint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  vtkContext2D  *temp0;
  PyObject *tempH0;
  bool   temp20;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkContext2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkContext2D");
    if (!temp0 && tempH0 != Py_None) goto break38;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxis::Paint(temp0);
      }
    else
      {
      temp20 = op->Paint(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break38:
  return NULL;
}


static PyObject *PyvtkAxis_AutoScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxis::AutoScale();
      }
    else
      {
      op->AutoScale();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_RecalculateTickSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxis::RecalculateTickSpacing();
      }
    else
      {
      op->RecalculateTickSpacing();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_GetTickPositions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  vtkDoubleArray  *temp20;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxis::GetTickPositions();
      }
    else
      {
      temp20 = op->GetTickPositions();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_SetTickPositions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  vtkDoubleArray  *temp0;
  PyObject *tempH0;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDoubleArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDoubleArray");
    if (!temp0 && tempH0 != Py_None) goto break42;
    if (PyVTKClass_Check(self))
      {
      op->vtkAxis::SetTickPositions(temp0);
      }
    else
      {
      op->SetTickPositions(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break42:
  return NULL;
}


static PyObject *PyvtkAxis_GetTickScenePositions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  vtkFloatArray  *temp20;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxis::GetTickScenePositions();
      }
    else
      {
      temp20 = op->GetTickScenePositions();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_GetTickLabels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  vtkStringArray  *temp20;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxis::GetTickLabels();
      }
    else
      {
      temp20 = op->GetTickLabels();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxis_SetTickLabels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxis *op;

  vtkStringArray  *temp0;
  PyObject *tempH0;
  op = (vtkAxis *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkStringArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkStringArray");
    if (!temp0 && tempH0 != Py_None) goto break45;
    if (PyVTKClass_Check(self))
      {
      op->vtkAxis::SetTickLabels(temp0);
      }
    else
      {
      op->SetTickLabels(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break45:
  return NULL;
}

static PyMethodDef PyvtkAxisMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAxis_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAxis_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAxis_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAxis\nC++: vtkAxis *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkAxis_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAxis\nC++: vtkAxis *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPosition",                (PyCFunction)PyvtkAxis_SetPosition, 1,
   (char*)"V.SetPosition(int)\nC++: void SetPosition (int );\n\n Get/set the position of the axis (LEFT, BOTTOM, RIGHT, TOP).\n"},
  {(char*)"GetPosition",                (PyCFunction)PyvtkAxis_GetPosition, 1,
   (char*)"V.GetPosition() -> int\nC++: int GetPosition ();\n\n Get/set the position of the axis (LEFT, BOTTOM, RIGHT, TOP).\n"},
  {(char*)"SetPoint1",                (PyCFunction)PyvtkAxis_SetPoint1, 1,
   (char*)"V.SetPoint1(float, float)\nC++: void SetPoint1 (float , float );\nV.SetPoint1((float, float))\nC++: void SetPoint1 (float  a[2]);\n\n Set point 1 of the axis (in pixels), this is usually the origin.\n"},
  {(char*)"GetPoint1",                (PyCFunction)PyvtkAxis_GetPoint1, 1,
   (char*)"V.GetPoint1() -> (float, float)\nC++: float  *GetPoint1 ();\n\n Get point 1 of the axis (in pixels), this is usually the origin.\n"},
  {(char*)"SetPoint2",                (PyCFunction)PyvtkAxis_SetPoint2, 1,
   (char*)"V.SetPoint2(float, float)\nC++: void SetPoint2 (float , float );\nV.SetPoint2((float, float))\nC++: void SetPoint2 (float  a[2]);\n\n Set point 2 of the axis (in pixels), this is usually the terminus.\n"},
  {(char*)"GetPoint2",                (PyCFunction)PyvtkAxis_GetPoint2, 1,
   (char*)"V.GetPoint2() -> (float, float)\nC++: float  *GetPoint2 ();\n\n Get point 2 of the axis (in pixels), this is usually the terminus.\n"},
  {(char*)"SetNumberOfTicks",                (PyCFunction)PyvtkAxis_SetNumberOfTicks, 1,
   (char*)"V.SetNumberOfTicks(int)\nC++: void SetNumberOfTicks (int );\n\n Set the number of tick marks for this axis.\n"},
  {(char*)"GetNumberOfTicks",                (PyCFunction)PyvtkAxis_GetNumberOfTicks, 1,
   (char*)"V.GetNumberOfTicks() -> int\nC++: int GetNumberOfTicks ();\n\n Get the number of tick marks for this axis.\n"},
  {(char*)"GetLabelProperties",                (PyCFunction)PyvtkAxis_GetLabelProperties, 1,
   (char*)"V.GetLabelProperties() -> vtkTextProperty\nC++: vtkTextProperty *GetLabelProperties ();\n\n Get the vtkTextProperty that governs how the axis lables are displayed.\n Note that the alignment properties are not used.\n"},
  {(char*)"SetMinimum",                (PyCFunction)PyvtkAxis_SetMinimum, 1,
   (char*)"V.SetMinimum(float)\nC++: virtual void SetMinimum (double minimum);\n\n Set the logical minimum value of the axis, in plot coordinates.\n"},
  {(char*)"GetMinimum",                (PyCFunction)PyvtkAxis_GetMinimum, 1,
   (char*)"V.GetMinimum() -> float\nC++: double GetMinimum ();\n\n Get the logical minimum value of the axis, in plot coordinates.\n"},
  {(char*)"SetMaximum",                (PyCFunction)PyvtkAxis_SetMaximum, 1,
   (char*)"V.SetMaximum(float)\nC++: virtual void SetMaximum (double maximum);\n\n Set the logical maximum value of the axis, in plot coordinates.\n"},
  {(char*)"GetMaximum",                (PyCFunction)PyvtkAxis_GetMaximum, 1,
   (char*)"V.GetMaximum() -> float\nC++: double GetMaximum ();\n\n Get the logical maximum value of the axis, in plot coordinates.\n"},
  {(char*)"SetRange",                (PyCFunction)PyvtkAxis_SetRange, 1,
   (char*)"V.SetRange(float, float)\nC++: virtual void SetRange (double minimum, double maximum);\n\n Get the logical range of the axis, in plot coordinates.\n"},
  {(char*)"SetTitle",                (PyCFunction)PyvtkAxis_SetTitle, 1,
   (char*)"V.SetTitle(string)\nC++: void SetTitle (char *);\n\n Get/set the title text of the axis.\n"},
  {(char*)"GetTitle",                (PyCFunction)PyvtkAxis_GetTitle, 1,
   (char*)"V.GetTitle() -> string\nC++: char *GetTitle ();\n\n Get/set the title text of the axis.\n"},
  {(char*)"GetTitleProperties",                (PyCFunction)PyvtkAxis_GetTitleProperties, 1,
   (char*)"V.GetTitleProperties() -> vtkTextProperty\nC++: vtkTextProperty *GetTitleProperties ();\n\n Get the vtkTextProperty that governs how the axis title is displayed.\n"},
  {(char*)"SetLogScale",                (PyCFunction)PyvtkAxis_SetLogScale, 1,
   (char*)"V.SetLogScale(bool)\nC++: void SetLogScale (bool );\n\n Get/set whether the axis should use a log scale, default is false.\n"},
  {(char*)"GetLogScale",                (PyCFunction)PyvtkAxis_GetLogScale, 1,
   (char*)"V.GetLogScale() -> bool\nC++: bool GetLogScale ();\n\n Get/set whether the axis should use a log scale, default is false.\n"},
  {(char*)"SetGridVisible",                (PyCFunction)PyvtkAxis_SetGridVisible, 1,
   (char*)"V.SetGridVisible(bool)\nC++: void SetGridVisible (bool );\n\n Get/set whether the axis grid lines should be drawn, default is true.\n"},
  {(char*)"GetGridVisible",                (PyCFunction)PyvtkAxis_GetGridVisible, 1,
   (char*)"V.GetGridVisible() -> bool\nC++: bool GetGridVisible ();\n\n Get/set whether the axis grid lines should be drawn, default is true.\n"},
  {(char*)"SetLabelsVisible",                (PyCFunction)PyvtkAxis_SetLabelsVisible, 1,
   (char*)"V.SetLabelsVisible(bool)\nC++: void SetLabelsVisible (bool );\n\n Get/set whether the axis labels should be visible.\n"},
  {(char*)"GetLabelsVisible",                (PyCFunction)PyvtkAxis_GetLabelsVisible, 1,
   (char*)"V.GetLabelsVisible() -> bool\nC++: bool GetLabelsVisible ();\n\n Get/set whether the axis labels should be visible.\n"},
  {(char*)"SetPrecision",                (PyCFunction)PyvtkAxis_SetPrecision, 1,
   (char*)"V.SetPrecision(int)\nC++: virtual void SetPrecision (int precision);\n\n Get/set the numerical precision to use, default is 2.\n"},
  {(char*)"GetPrecision",                (PyCFunction)PyvtkAxis_GetPrecision, 1,
   (char*)"V.GetPrecision() -> int\nC++: int GetPrecision ();\n\n Get/set the numerical precision to use, default is 2.\n"},
  {(char*)"SetNotation",                (PyCFunction)PyvtkAxis_SetNotation, 1,
   (char*)"V.SetNotation(int)\nC++: virtual void SetNotation (int notation);\n\n Get/set the numerical notation, standard, scientific or mixed (0, 1, 2).\n"},
  {(char*)"GetNotation",                (PyCFunction)PyvtkAxis_GetNotation, 1,
   (char*)"V.GetNotation() -> int\nC++: int GetNotation ();\n\n Get/set the numerical notation, standard, scientific or mixed (0, 1, 2).\n"},
  {(char*)"SetBehavior",                (PyCFunction)PyvtkAxis_SetBehavior, 1,
   (char*)"V.SetBehavior(int)\nC++: void SetBehavior (int );\n\n Get/set the behavior of the axis (auto, fixed, custom). Default is 0 (auto).\n"},
  {(char*)"GetBehavior",                (PyCFunction)PyvtkAxis_GetBehavior, 1,
   (char*)"V.GetBehavior() -> int\nC++: int GetBehavior ();\n\n Get/set the behavior of the axis (auto, fixed, custom). Default is 0 (auto).\n"},
  {(char*)"GetPen",                (PyCFunction)PyvtkAxis_GetPen, 1,
   (char*)"V.GetPen() -> vtkPen\nC++: vtkPen *GetPen ();\n\n Get a pointer to the vtkPen object that controls the way this axis is drawn.\n"},
  {(char*)"GetGridPen",                (PyCFunction)PyvtkAxis_GetGridPen, 1,
   (char*)"V.GetGridPen() -> vtkPen\nC++: vtkPen *GetGridPen ();\n\n Get a pointer to the vtkPen object that controls the way this axis is drawn.\n"},
  {(char*)"Update",                (PyCFunction)PyvtkAxis_Update, 1,
   (char*)"V.Update()\nC++: virtual void Update ();\n\n Update the geometry of the axis. Takes care of setting up the tick mark\n locations etc. Should be called by the scene before rendering.\n"},
  {(char*)"Paint",                (PyCFunction)PyvtkAxis_Paint, 1,
   (char*)"V.Paint(vtkContext2D) -> bool\nC++: virtual bool Paint (vtkContext2D *painter);\n\n Paint event for the axis, called whenever the axis needs to be drawn.\n"},
  {(char*)"AutoScale",                (PyCFunction)PyvtkAxis_AutoScale, 1,
   (char*)"V.AutoScale()\nC++: virtual void AutoScale ();\n\n Use this function to autoscale the axes after setting the minimum and\n maximum values. This will cause the axes to select the nicest numbers\n that enclose the minimum and maximum values, and to select an appropriate\n number of tick marks.\n"},
  {(char*)"RecalculateTickSpacing",                (PyCFunction)PyvtkAxis_RecalculateTickSpacing, 1,
   (char*)"V.RecalculateTickSpacing()\nC++: virtual void RecalculateTickSpacing ();\n\n Recalculate the spacing of the tick marks - typically useful to do after\n scaling the axis.\n"},
  {(char*)"GetTickPositions",                (PyCFunction)PyvtkAxis_GetTickPositions, 1,
   (char*)"V.GetTickPositions() -> vtkDoubleArray\nC++: virtual vtkDoubleArray *GetTickPositions ();\n\n An array with the positions of the tick marks along the axis line.\n The positions are specified in the plot coordinates of the axis.\n"},
  {(char*)"SetTickPositions",                (PyCFunction)PyvtkAxis_SetTickPositions, 1,
   (char*)"V.SetTickPositions(vtkDoubleArray)\nC++: virtual void SetTickPositions (vtkDoubleArray *);\n\n Set the tick positions (in plot coordinates).\n"},
  {(char*)"GetTickScenePositions",                (PyCFunction)PyvtkAxis_GetTickScenePositions, 1,
   (char*)"V.GetTickScenePositions() -> vtkFloatArray\nC++: virtual vtkFloatArray *GetTickScenePositions ();\n\n An array with the positions of the tick marks along the axis line.\n The positions are specified in scene coordinates.\n"},
  {(char*)"GetTickLabels",                (PyCFunction)PyvtkAxis_GetTickLabels, 1,
   (char*)"V.GetTickLabels() -> vtkStringArray\nC++: virtual vtkStringArray *GetTickLabels ();\n\n A string array containing the tick labels for the axis.\n"},
  {(char*)"SetTickLabels",                (PyCFunction)PyvtkAxis_SetTickLabels, 1,
   (char*)"V.SetTickLabels(vtkStringArray)\nC++: virtual void SetTickLabels (vtkStringArray *);\n\n Set the tick labels for the axis.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAxisDoc[] = {
  (char*)"vtkAxis - takes care of drawing 2D axes\n\n",
  "Super Class:\n\n vtkContextItem\n\n",
  (char*)" The vtkAxis is drawn in screen coordinates. It is usually one of the last\n elements of a chart to be drawn. It renders the axis label, tick marks and\n tick labels.\n\n",
  NULL
};

static vtkObjectBase *vtkAxisStaticNew()
{
  return vtkAxis::New();
}

PyObject *PyVTKClass_vtkAxisNew(char *modulename)
{
  return PyVTKClass_New(&vtkAxisStaticNew,
                        PyvtkAxisMethods,
                        (char*)"vtkAxis",modulename,
                        (char**)vtkAxisDoc,
                        PyVTKClass_vtkContextItemNew(modulename));
}

