// python wrapper for vtkChart object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkChart.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkChartNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkChartNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkContextItemNew(char *); }

static PyObject *PyvtkChart_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChart *op;

  const char    *temp20;
  op = (vtkChart *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChart::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkChart_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChart *op;

  char    *temp0;
  int      temp20;
  op = (vtkChart *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChart::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChart_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChart *op;

  vtkChart  *temp20;
  op = (vtkChart *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChart::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChart_Paint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChart *op;

  vtkContext2D  *temp0;
  PyObject *tempH0;
  bool   temp20;
  op = (vtkChart *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkContext2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkContext2D");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->Paint(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkChart_AddPlot(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChart *op;

  int      temp0;
  vtkPlot  *temp20;
  op = (vtkChart *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChart::AddPlot(temp0);
      }
    else
      {
      temp20 = op->AddPlot(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChart_RemovePlot(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChart *op;

  vtkIdType   temp0;
  bool   temp20;
  op = (vtkChart *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChart::RemovePlot(temp0);
      }
    else
      {
      temp20 = op->RemovePlot(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkChart_RemovePlotInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChart *op;

  vtkPlot  *temp0;
  PyObject *tempH0;
  bool   temp20;
  op = (vtkChart *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPlot *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPlot");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChart::RemovePlotInstance(temp0);
      }
    else
      {
      temp20 = op->RemovePlotInstance(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkChart_ClearPlots(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChart *op;

  op = (vtkChart *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChart::ClearPlots();
      }
    else
      {
      op->ClearPlots();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkChart_GetPlot(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChart *op;

  vtkIdType   temp0;
  vtkPlot  *temp20;
  op = (vtkChart *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChart::GetPlot(temp0);
      }
    else
      {
      temp20 = op->GetPlot(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChart_GetNumberOfPlots(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChart *op;

  vtkIdType   temp20;
  op = (vtkChart *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChart::GetNumberOfPlots();
      }
    else
      {
      temp20 = op->GetNumberOfPlots();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChart_GetAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChart *op;

  int      temp0;
  vtkAxis  *temp20;
  op = (vtkChart *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChart::GetAxis(temp0);
      }
    else
      {
      temp20 = op->GetAxis(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChart_GetNumberOfAxes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChart *op;

  vtkIdType   temp20;
  op = (vtkChart *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChart::GetNumberOfAxes();
      }
    else
      {
      temp20 = op->GetNumberOfAxes();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChart_RecalculateBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChart *op;

  op = (vtkChart *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChart::RecalculateBounds();
      }
    else
      {
      op->RecalculateBounds();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkChart_SetAnnotationLink(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChart *op;

  vtkAnnotationLink  *temp0;
  PyObject *tempH0;
  op = (vtkChart *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAnnotationLink *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAnnotationLink");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkChart::SetAnnotationLink(temp0);
      }
    else
      {
      op->SetAnnotationLink(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkChart_GetAnnotationLink(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChart *op;

  vtkAnnotationLink  *temp20;
  op = (vtkChart *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChart::GetAnnotationLink();
      }
    else
      {
      temp20 = op->GetAnnotationLink();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChart_SetGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChart *op;

  int      temp0;
  int      temp1;
  op = (vtkChart *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChart::SetGeometry(temp0,temp1);
      }
    else
      {
      op->SetGeometry(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkChart *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkChart *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChart::SetGeometry(temp0);
      }
    else
      {
      op->SetGeometry(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkChart_GetGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChart *op;

  int     *temp20;
  op = (vtkChart *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChart::GetGeometry();
      }
    else
      {
      temp20 = op->GetGeometry();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkChart_SetPoint1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChart *op;

  int      temp0;
  int      temp1;
  op = (vtkChart *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChart::SetPoint1(temp0,temp1);
      }
    else
      {
      op->SetPoint1(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkChart *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkChart *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChart::SetPoint1(temp0);
      }
    else
      {
      op->SetPoint1(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkChart_GetPoint1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChart *op;

  int     *temp20;
  op = (vtkChart *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChart::GetPoint1();
      }
    else
      {
      temp20 = op->GetPoint1();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkChart_SetPoint2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChart *op;

  int      temp0;
  int      temp1;
  op = (vtkChart *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChart::SetPoint2(temp0,temp1);
      }
    else
      {
      op->SetPoint2(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkChart *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkChart *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChart::SetPoint2(temp0);
      }
    else
      {
      op->SetPoint2(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkChart_GetPoint2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChart *op;

  int     *temp20;
  op = (vtkChart *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChart::GetPoint2();
      }
    else
      {
      temp20 = op->GetPoint2();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkChart_SetShowLegend(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChart *op;

  bool   temp0;
  op = (vtkChart *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChart::SetShowLegend(temp0);
      }
    else
      {
      op->SetShowLegend(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkChart_GetShowLegend(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChart *op;

  bool   temp20;
  op = (vtkChart *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChart::GetShowLegend();
      }
    else
      {
      temp20 = op->GetShowLegend();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkChart_SetTitle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChart *op;

  char    *temp0;
  op = (vtkChart *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChart::SetTitle(temp0);
      }
    else
      {
      op->SetTitle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkChart_GetTitle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChart *op;

  char    *temp20;
  op = (vtkChart *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChart::GetTitle();
      }
    else
      {
      temp20 = op->GetTitle();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkChart_GetTitleProperties(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChart *op;

  vtkTextProperty  *temp20;
  op = (vtkChart *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChart::GetTitleProperties();
      }
    else
      {
      temp20 = op->GetTitleProperties();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChart_SetBottomBorder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChart *op;

  int      temp0;
  op = (vtkChart *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChart::SetBottomBorder(temp0);
      }
    else
      {
      op->SetBottomBorder(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkChart_SetTopBorder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChart *op;

  int      temp0;
  op = (vtkChart *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChart::SetTopBorder(temp0);
      }
    else
      {
      op->SetTopBorder(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkChart_SetLeftBorder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChart *op;

  int      temp0;
  op = (vtkChart *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChart::SetLeftBorder(temp0);
      }
    else
      {
      op->SetLeftBorder(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkChart_SetRightBorder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChart *op;

  int      temp0;
  op = (vtkChart *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChart::SetRightBorder(temp0);
      }
    else
      {
      op->SetRightBorder(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkChart_SetBorders(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChart *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  op = (vtkChart *)PyArg_VTKParseTuple(self, args, (char*)"iiii", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChart::SetBorders(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetBorders(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkChartMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkChart_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkChart_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkChart_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkChart\nC++: vtkChart *NewInstance ();\n\n"},
  {(char*)"Paint",                (PyCFunction)PyvtkChart_Paint, 1,
   (char*)"V.Paint(vtkContext2D) -> bool\nC++: virtual bool Paint (vtkContext2D *painter) = 0;\n\n Paint event for the chart, called whenever the chart needs to be drawn\n"},
  {(char*)"AddPlot",                (PyCFunction)PyvtkChart_AddPlot, 1,
   (char*)"V.AddPlot(int) -> vtkPlot\nC++: virtual vtkPlot *AddPlot (int type);\n\n Add a plot to the chart, defaults to using the name of the y column\n"},
  {(char*)"RemovePlot",                (PyCFunction)PyvtkChart_RemovePlot, 1,
   (char*)"V.RemovePlot(int) -> bool\nC++: virtual bool RemovePlot (vtkIdType index);\n\n Remove the plot at the specified index, returns true if successful,\n false if the index was invalid.\n"},
  {(char*)"RemovePlotInstance",                (PyCFunction)PyvtkChart_RemovePlotInstance, 1,
   (char*)"V.RemovePlotInstance(vtkPlot) -> bool\nC++: virtual bool RemovePlotInstance (vtkPlot *plot);\n\n Remove the given plot.  Returns true if successful, false if the plot\n was not contained in this chart.  Note, the base implementation of\n this method performs a linear search to locate the plot.\n"},
  {(char*)"ClearPlots",                (PyCFunction)PyvtkChart_ClearPlots, 1,
   (char*)"V.ClearPlots()\nC++: virtual void ClearPlots ();\n\n Remove all plots from the chart.\n"},
  {(char*)"GetPlot",                (PyCFunction)PyvtkChart_GetPlot, 1,
   (char*)"V.GetPlot(int) -> vtkPlot\nC++: virtual vtkPlot *GetPlot (vtkIdType index);\n\n Get the plot at the specified index, returns null if the index is invalid.\n"},
  {(char*)"GetNumberOfPlots",                (PyCFunction)PyvtkChart_GetNumberOfPlots, 1,
   (char*)"V.GetNumberOfPlots() -> int\nC++: virtual vtkIdType GetNumberOfPlots ();\n\n Get the number of plots the chart contains.\n"},
  {(char*)"GetAxis",                (PyCFunction)PyvtkChart_GetAxis, 1,
   (char*)"V.GetAxis(int) -> vtkAxis\nC++: virtual vtkAxis *GetAxis (int axisIndex);\n\n Get the axis specified by axisIndex. 0 is x, 1 is y. This should probably\n be improved either using a string or enum to select the axis.\n"},
  {(char*)"GetNumberOfAxes",                (PyCFunction)PyvtkChart_GetNumberOfAxes, 1,
   (char*)"V.GetNumberOfAxes() -> int\nC++: virtual vtkIdType GetNumberOfAxes ();\n\n Get the number of axes in the current chart.\n"},
  {(char*)"RecalculateBounds",                (PyCFunction)PyvtkChart_RecalculateBounds, 1,
   (char*)"V.RecalculateBounds()\nC++: virtual void RecalculateBounds ();\n\n Request that the chart recalculates the range of its axes. Especially\n useful in applications after the parameters of plots have been modified.\n"},
  {(char*)"SetAnnotationLink",                (PyCFunction)PyvtkChart_SetAnnotationLink, 1,
   (char*)"V.SetAnnotationLink(vtkAnnotationLink)\nC++: virtual void SetAnnotationLink (vtkAnnotationLink *link);\n\n Set the vtkAnnotationLink for the chart.\n"},
  {(char*)"GetAnnotationLink",                (PyCFunction)PyvtkChart_GetAnnotationLink, 1,
   (char*)"V.GetAnnotationLink() -> vtkAnnotationLink\nC++: vtkAnnotationLink *GetAnnotationLink ();\n\n Get the vtkAnnotationLink for the chart.\n"},
  {(char*)"SetGeometry",                (PyCFunction)PyvtkChart_SetGeometry, 1,
   (char*)"V.SetGeometry(int, int)\nC++: void SetGeometry (int , int );\nV.SetGeometry((int, int))\nC++: void SetGeometry (int  a[2]);\n\n Set/get the width and the height of the chart.\n"},
  {(char*)"GetGeometry",                (PyCFunction)PyvtkChart_GetGeometry, 1,
   (char*)"V.GetGeometry() -> (int, int)\nC++: int  *GetGeometry ();\n\n Set/get the width and the height of the chart.\n"},
  {(char*)"SetPoint1",                (PyCFunction)PyvtkChart_SetPoint1, 1,
   (char*)"V.SetPoint1(int, int)\nC++: void SetPoint1 (int , int );\nV.SetPoint1((int, int))\nC++: void SetPoint1 (int  a[2]);\n\n Set/get the first point in the chart (the bottom left).\n"},
  {(char*)"GetPoint1",                (PyCFunction)PyvtkChart_GetPoint1, 1,
   (char*)"V.GetPoint1() -> (int, int)\nC++: int  *GetPoint1 ();\n\n Set/get the first point in the chart (the bottom left).\n"},
  {(char*)"SetPoint2",                (PyCFunction)PyvtkChart_SetPoint2, 1,
   (char*)"V.SetPoint2(int, int)\nC++: void SetPoint2 (int , int );\nV.SetPoint2((int, int))\nC++: void SetPoint2 (int  a[2]);\n\n Set/get the second point in the chart (the top right).\n"},
  {(char*)"GetPoint2",                (PyCFunction)PyvtkChart_GetPoint2, 1,
   (char*)"V.GetPoint2() -> (int, int)\nC++: int  *GetPoint2 ();\n\n Set/get the second point in the chart (the top right).\n"},
  {(char*)"SetShowLegend",                (PyCFunction)PyvtkChart_SetShowLegend, 1,
   (char*)"V.SetShowLegend(bool)\nC++: void SetShowLegend (bool );\n\n Set/get whether the chart should draw a legend.\n"},
  {(char*)"GetShowLegend",                (PyCFunction)PyvtkChart_GetShowLegend, 1,
   (char*)"V.GetShowLegend() -> bool\nC++: bool GetShowLegend ();\n\n Set/get whether the chart should draw a legend.\n"},
  {(char*)"SetTitle",                (PyCFunction)PyvtkChart_SetTitle, 1,
   (char*)"V.SetTitle(string)\nC++: void SetTitle (char *);\n\n Get/set the title text of the chart.\n"},
  {(char*)"GetTitle",                (PyCFunction)PyvtkChart_GetTitle, 1,
   (char*)"V.GetTitle() -> string\nC++: char *GetTitle ();\n\n Get/set the title text of the chart.\n"},
  {(char*)"GetTitleProperties",                (PyCFunction)PyvtkChart_GetTitleProperties, 1,
   (char*)"V.GetTitleProperties() -> vtkTextProperty\nC++: vtkTextProperty *GetTitleProperties ();\n\n Get the vtkTextProperty that governs how the chart title is displayed.\n"},
  {(char*)"SetBottomBorder",                (PyCFunction)PyvtkChart_SetBottomBorder, 1,
   (char*)"V.SetBottomBorder(int)\nC++: void SetBottomBorder (int border);\n\n Set/get the borders of the chart (space in pixels around the chart).\n"},
  {(char*)"SetTopBorder",                (PyCFunction)PyvtkChart_SetTopBorder, 1,
   (char*)"V.SetTopBorder(int)\nC++: void SetTopBorder (int border);\n\n Set/get the borders of the chart (space in pixels around the chart).\n"},
  {(char*)"SetLeftBorder",                (PyCFunction)PyvtkChart_SetLeftBorder, 1,
   (char*)"V.SetLeftBorder(int)\nC++: void SetLeftBorder (int border);\n\n Set/get the borders of the chart (space in pixels around the chart).\n"},
  {(char*)"SetRightBorder",                (PyCFunction)PyvtkChart_SetRightBorder, 1,
   (char*)"V.SetRightBorder(int)\nC++: void SetRightBorder (int border);\n\n Set/get the borders of the chart (space in pixels around the chart).\n"},
  {(char*)"SetBorders",                (PyCFunction)PyvtkChart_SetBorders, 1,
   (char*)"V.SetBorders(int, int, int, int)\nC++: void SetBorders (int left, int bottom, int right, int top);\n\n Set/get the borders of the chart (space in pixels around the chart).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkChartDoc[] = {
  (char*)"vtkChart - Factory class for drawing 2D charts\n\n",
  "Super Class:\n\n vtkContextItem\n\n",
  (char*)" This defines the interface for a chart.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkChartNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkChartMethods,
                        (char*)"vtkChart",modulename,
                        (char**)vtkChartDoc,
                        PyVTKClass_vtkContextItemNew(modulename));
}

