// python wrapper for vtkContext2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkContext2D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkContext2DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkContext2DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkContext2D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContext2D *op;

  const char    *temp20;
  op = (vtkContext2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContext2D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkContext2D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContext2D *op;

  char    *temp0;
  int      temp20;
  op = (vtkContext2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContext2D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContext2D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContext2D *op;

  vtkContext2D  *temp20;
  op = (vtkContext2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContext2D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContext2D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkContext2D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkContext2D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkContext2D_Begin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContext2D *op;

  vtkContextDevice2D  *temp0;
  PyObject *tempH0;
  bool   temp20;
  op = (vtkContext2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkContextDevice2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkContextDevice2D");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContext2D::Begin(temp0);
      }
    else
      {
      temp20 = op->Begin(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkContext2D_GetDevice(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContext2D *op;

  vtkContextDevice2D  *temp20;
  op = (vtkContext2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContext2D::GetDevice();
      }
    else
      {
      temp20 = op->GetDevice();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContext2D_End(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContext2D *op;

  bool   temp20;
  op = (vtkContext2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContext2D::End();
      }
    else
      {
      temp20 = op->End();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkContext2D_GetBufferIdMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContext2D *op;

  bool   temp20;
  op = (vtkContext2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContext2D::GetBufferIdMode();
      }
    else
      {
      temp20 = op->GetBufferIdMode();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkContext2D_BufferIdModeBegin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContext2D *op;

  vtkAbstractContextBufferId  *temp0;
  PyObject *tempH0;
  op = (vtkContext2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractContextBufferId *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractContextBufferId");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkContext2D::BufferIdModeBegin(temp0);
      }
    else
      {
      op->BufferIdModeBegin(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkContext2D_BufferIdModeEnd(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContext2D *op;

  op = (vtkContext2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContext2D::BufferIdModeEnd();
      }
    else
      {
      op->BufferIdModeEnd();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContext2D_DrawLine(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContext2D *op;

  float    temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  op = (vtkContext2D *)PyArg_VTKParseTuple(self, args, (char*)"ffff", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContext2D::DrawLine(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->DrawLine(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkContext2D *op;

  float  temp0[4];
  PyErr_Clear();
  op = (vtkContext2D *)PyArg_VTKParseTuple(self, args, (char*)"(ffff)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContext2D::DrawLine(temp0);
      }
    else
      {
      op->DrawLine(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkContext2D *op;

  vtkPoints2D  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  op = (vtkContext2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPoints2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints2D");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkContext2D::DrawLine(temp0);
      }
    else
      {
      op->DrawLine(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkContext2D_DrawPoly(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContext2D *op;

  vtkPoints2D  *temp0;
  PyObject *tempH0;
  op = (vtkContext2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPoints2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints2D");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkContext2D::DrawPoly(temp0);
      }
    else
      {
      op->DrawPoly(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkContext2D_DrawPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContext2D *op;

  float    temp0;
  float    temp1;
  op = (vtkContext2D *)PyArg_VTKParseTuple(self, args, (char*)"ff", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContext2D::DrawPoint(temp0,temp1);
      }
    else
      {
      op->DrawPoint(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContext2D_DrawPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContext2D *op;

  vtkPoints2D  *temp0;
  PyObject *tempH0;
  op = (vtkContext2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPoints2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints2D");
    if (!temp0 && tempH0 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      op->vtkContext2D::DrawPoints(temp0);
      }
    else
      {
      op->DrawPoints(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkContext2D_DrawPointSprites(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContext2D *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  vtkPoints2D  *temp1;
  PyObject *tempH1;
  op = (vtkContext2D *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break16;
    temp1 = (vtkPoints2D *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPoints2D");
    if (!temp1 && tempH1 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkContext2D::DrawPointSprites(temp0,temp1);
      }
    else
      {
      op->DrawPointSprites(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkContext2D_DrawRect(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContext2D *op;

  float    temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  op = (vtkContext2D *)PyArg_VTKParseTuple(self, args, (char*)"ffff", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContext2D::DrawRect(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->DrawRect(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContext2D_DrawQuad(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContext2D *op;

  float    temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  float    temp4;
  float    temp5;
  float    temp6;
  float    temp7;
  op = (vtkContext2D *)PyArg_VTKParseTuple(self, args, (char*)"ffffffff", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5, &temp6, &temp7);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContext2D::DrawQuad(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
      }
    else
      {
      op->DrawQuad(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContext2D_DrawEllipse(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContext2D *op;

  float    temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  op = (vtkContext2D *)PyArg_VTKParseTuple(self, args, (char*)"ffff", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContext2D::DrawEllipse(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->DrawEllipse(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContext2D_DrawWedge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContext2D *op;

  float    temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  float    temp4;
  float    temp5;
  op = (vtkContext2D *)PyArg_VTKParseTuple(self, args, (char*)"ffffff", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContext2D::DrawWedge(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->DrawWedge(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContext2D_DrawEllipseWedge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContext2D *op;

  float    temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  float    temp4;
  float    temp5;
  float    temp6;
  float    temp7;
  op = (vtkContext2D *)PyArg_VTKParseTuple(self, args, (char*)"ffffffff", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5, &temp6, &temp7);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContext2D::DrawEllipseWedge(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
      }
    else
      {
      op->DrawEllipseWedge(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContext2D_DrawArc(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContext2D *op;

  float    temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  float    temp4;
  op = (vtkContext2D *)PyArg_VTKParseTuple(self, args, (char*)"fffff", &temp0, &temp1, &temp2, &temp3, &temp4);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContext2D::DrawArc(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->DrawArc(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContext2D_DrawEllipticArc(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContext2D *op;

  float    temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  float    temp4;
  float    temp5;
  op = (vtkContext2D *)PyArg_VTKParseTuple(self, args, (char*)"ffffff", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContext2D::DrawEllipticArc(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->DrawEllipticArc(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContext2D_DrawImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContext2D *op;

  float    temp0;
  float    temp1;
  vtkImageData  *temp2;
  PyObject *tempH2;
  op = (vtkContext2D *)PyArg_VTKParseTuple(self, args, (char*)"ffO", &temp0, &temp1, &tempH2);
  if (op)
    {
    temp2 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkImageData");
    if (!temp2 && tempH2 != Py_None) goto break24;
    if (PyVTKClass_Check(self))
      {
      op->vtkContext2D::DrawImage(temp0,temp1,temp2);
      }
    else
      {
      op->DrawImage(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break24:
  return NULL;
}


static PyObject *PyvtkContext2D_DrawString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContext2D *op;

  vtkPoints2D  *temp0;
  PyObject *tempH0;
  char    *temp1;
  op = (vtkContext2D *)PyArg_VTKParseTuple(self, args, (char*)"Oz", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkPoints2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints2D");
    if (!temp0 && tempH0 != Py_None) goto break25;
    if (PyVTKClass_Check(self))
      {
      op->vtkContext2D::DrawString(temp0,temp1);
      }
    else
      {
      op->DrawString(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break25:
  /* handle an occurrence */
  {
  vtkContext2D *op;

  float    temp0;
  float    temp1;
  char    *temp2;
  PyErr_Clear();
  op = (vtkContext2D *)PyArg_VTKParseTuple(self, args, (char*)"ffz", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContext2D::DrawString(temp0,temp1,temp2);
      }
    else
      {
      op->DrawString(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContext2D_ComputeStringBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContext2D *op;

  char    *temp0;
  float  temp1[4];
  op = (vtkContext2D *)PyArg_VTKParseTuple(self, args, (char*)"z(ffff)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContext2D::ComputeStringBounds(temp0,temp1);
      }
    else
      {
      op->ComputeStringBounds(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContext2D_ApplyPen(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContext2D *op;

  vtkPen  *temp0;
  PyObject *tempH0;
  op = (vtkContext2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPen *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPen");
    if (!temp0 && tempH0 != Py_None) goto break28;
    if (PyVTKClass_Check(self))
      {
      op->vtkContext2D::ApplyPen(temp0);
      }
    else
      {
      op->ApplyPen(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break28:
  return NULL;
}


static PyObject *PyvtkContext2D_GetPen(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContext2D *op;

  vtkPen  *temp20;
  op = (vtkContext2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContext2D::GetPen();
      }
    else
      {
      temp20 = op->GetPen();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContext2D_ApplyBrush(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContext2D *op;

  vtkBrush  *temp0;
  PyObject *tempH0;
  op = (vtkContext2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkBrush *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkBrush");
    if (!temp0 && tempH0 != Py_None) goto break30;
    if (PyVTKClass_Check(self))
      {
      op->vtkContext2D::ApplyBrush(temp0);
      }
    else
      {
      op->ApplyBrush(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break30:
  return NULL;
}


static PyObject *PyvtkContext2D_GetBrush(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContext2D *op;

  vtkBrush  *temp20;
  op = (vtkContext2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContext2D::GetBrush();
      }
    else
      {
      temp20 = op->GetBrush();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContext2D_ApplyTextProp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContext2D *op;

  vtkTextProperty  *temp0;
  PyObject *tempH0;
  op = (vtkContext2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTextProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextProperty");
    if (!temp0 && tempH0 != Py_None) goto break32;
    if (PyVTKClass_Check(self))
      {
      op->vtkContext2D::ApplyTextProp(temp0);
      }
    else
      {
      op->ApplyTextProp(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break32:
  return NULL;
}


static PyObject *PyvtkContext2D_GetTextProp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContext2D *op;

  vtkTextProperty  *temp20;
  op = (vtkContext2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContext2D::GetTextProp();
      }
    else
      {
      temp20 = op->GetTextProp();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContext2D_SetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContext2D *op;

  vtkTransform2D  *temp0;
  PyObject *tempH0;
  op = (vtkContext2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTransform2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTransform2D");
    if (!temp0 && tempH0 != Py_None) goto break34;
    if (PyVTKClass_Check(self))
      {
      op->vtkContext2D::SetTransform(temp0);
      }
    else
      {
      op->SetTransform(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break34:
  return NULL;
}


static PyObject *PyvtkContext2D_GetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContext2D *op;

  vtkTransform2D  *temp20;
  op = (vtkContext2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContext2D::GetTransform();
      }
    else
      {
      temp20 = op->GetTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContext2D_AppendTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContext2D *op;

  vtkTransform2D  *temp0;
  PyObject *tempH0;
  op = (vtkContext2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTransform2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTransform2D");
    if (!temp0 && tempH0 != Py_None) goto break36;
    if (PyVTKClass_Check(self))
      {
      op->vtkContext2D::AppendTransform(temp0);
      }
    else
      {
      op->AppendTransform(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break36:
  return NULL;
}


static PyObject *PyvtkContext2D_PushMatrix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContext2D *op;

  op = (vtkContext2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContext2D::PushMatrix();
      }
    else
      {
      op->PushMatrix();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContext2D_PopMatrix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContext2D *op;

  op = (vtkContext2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContext2D::PopMatrix();
      }
    else
      {
      op->PopMatrix();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContext2D_ApplyId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContext2D *op;

  vtkIdType   temp0;
  op = (vtkContext2D *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContext2D::ApplyId(temp0);
      }
    else
      {
      op->ApplyId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkContext2DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkContext2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkContext2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkContext2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkContext2D\nC++: vtkContext2D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkContext2D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkContext2D\nC++: vtkContext2D *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Begin",                (PyCFunction)PyvtkContext2D_Begin, 1,
   (char*)"V.Begin(vtkContextDevice2D) -> bool\nC++: bool Begin (vtkContextDevice2D *device);\n\n Begin painting on a vtkContextDevice2D, no painting can occur before this call\n has been made. Only one painter is allowed at a time on any given paint\n device. Returns true if successful, otherwise false.\n"},
  {(char*)"GetDevice",                (PyCFunction)PyvtkContext2D_GetDevice, 1,
   (char*)"V.GetDevice() -> vtkContextDevice2D\nC++: vtkContextDevice2D *GetDevice ();\n\n"},
  {(char*)"End",                (PyCFunction)PyvtkContext2D_End, 1,
   (char*)"V.End() -> bool\nC++: bool End ();\n\n Ends painting on the device, you would not usually need to call this as it\n should be called by the destructor. Returns true if the painter is no\n longer active, otherwise false.\n"},
  {(char*)"GetBufferIdMode",                (PyCFunction)PyvtkContext2D_GetBufferIdMode, 1,
   (char*)"V.GetBufferIdMode() -> bool\nC++: bool GetBufferIdMode () const;\n\n Tell if the context is in BufferId creation mode. Initial value is false.\n"},
  {(char*)"BufferIdModeBegin",                (PyCFunction)PyvtkContext2D_BufferIdModeBegin, 1,
   (char*)"V.BufferIdModeBegin(vtkAbstractContextBufferId)\nC++: void BufferIdModeBegin (vtkAbstractContextBufferId *bufferId);\n\n Start BufferId creation Mode.\n \\pre not_yet: !GetBufferIdMode()\n \\pre bufferId_exists: bufferId!=0\n \\post started: GetBufferIdMode()\n"},
  {(char*)"BufferIdModeEnd",                (PyCFunction)PyvtkContext2D_BufferIdModeEnd, 1,
   (char*)"V.BufferIdModeEnd()\nC++: void BufferIdModeEnd ();\n\n Finalize BufferId creation Mode. It makes sure that the content of the\n bufferId passed in argument of BufferIdModeBegin() is correctly set.\n \\pre started: GetBufferIdMode()\n \\post done: !GetBufferIdMode()\n"},
  {(char*)"DrawLine",                (PyCFunction)PyvtkContext2D_DrawLine, 1,
   (char*)"V.DrawLine(float, float, float, float)\nC++: void DrawLine (float x1, float y1, float x2, float y2);\nV.DrawLine((float, float, float, float))\nC++: void DrawLine (float p[4]);\nV.DrawLine(vtkPoints2D)\nC++: void DrawLine (vtkPoints2D *points);\n\n Draw a line between the specified points.\n"},
  {(char*)"DrawPoly",                (PyCFunction)PyvtkContext2D_DrawPoly, 1,
   (char*)"V.DrawPoly(vtkPoints2D)\nC++: void DrawPoly (vtkPoints2D *points);\n\n Draw a poly line between the specified points - fastest code path due to\n memory layout of the coordinates.\n"},
  {(char*)"DrawPoint",                (PyCFunction)PyvtkContext2D_DrawPoint, 1,
   (char*)"V.DrawPoint(float, float)\nC++: void DrawPoint (float x, float y);\n\n Draw a point at the supplied x and y coordinate\n"},
  {(char*)"DrawPoints",                (PyCFunction)PyvtkContext2D_DrawPoints, 1,
   (char*)"V.DrawPoints(vtkPoints2D)\nC++: void DrawPoints (vtkPoints2D *points);\n\n Draw a poly line between the specified points - fastest code path due to\n memory layout of the coordinates.\n"},
  {(char*)"DrawPointSprites",                (PyCFunction)PyvtkContext2D_DrawPointSprites, 1,
   (char*)"V.DrawPointSprites(vtkImageData, vtkPoints2D)\nC++: void DrawPointSprites (vtkImageData *sprite, vtkPoints2D *points);\n\n Draw a series of point sprites, images centred at the points supplied.\n The supplied vtkImageData is the sprite to be drawn, only squares will be\n drawn and the size is set using SetPointSize.\n"},
  {(char*)"DrawRect",                (PyCFunction)PyvtkContext2D_DrawRect, 1,
   (char*)"V.DrawRect(float, float, float, float)\nC++: void DrawRect (float x, float y, float w, float h);\n\n Draw a rectangle with origin at x, y and width w, height h\n"},
  {(char*)"DrawQuad",                (PyCFunction)PyvtkContext2D_DrawQuad, 1,
   (char*)"V.DrawQuad(float, float, float, float, float, float, float, float)\nC++: void DrawQuad (float x1, float y1, float x2, float y2, float x3, float y3, float x4, float y4);\n\n Draw a quadrilateral at the specified points (4 points, 8 floats in x, y).\n"},
  {(char*)"DrawEllipse",                (PyCFunction)PyvtkContext2D_DrawEllipse, 1,
   (char*)"V.DrawEllipse(float, float, float, float)\nC++: void DrawEllipse (float x, float y, float rx, float ry);\n\n Draw an ellipse with center at x, y and radii rx, ry.\n \\pre positive_rx: rx>=0\n \\pre positive_ry: ry>=0\n"},
  {(char*)"DrawWedge",                (PyCFunction)PyvtkContext2D_DrawWedge, 1,
   (char*)"V.DrawWedge(float, float, float, float, float, float)\nC++: void DrawWedge (float x, float y, float outRadius, float inRadius, float startAngle, float stopAngle);\n\n Draw a circular wedge with center at x, y, outer radius outRadius,\n inner radius inRadius between angles startAngle and stopAngle\n (expressed in degrees).\n \\pre positive_outRadius: outRadius>=0\n \\pre positive_inRadius: inRadius>=0\n \\pre ordered_radii: inRadius<=outRadius\n"},
  {(char*)"DrawEllipseWedge",                (PyCFunction)PyvtkContext2D_DrawEllipseWedge, 1,
   (char*)"V.DrawEllipseWedge(float, float, float, float, float, float, float, float)\nC++: void DrawEllipseWedge (float x, float y, float outRx, float outRy, float inRx, float inRy, float startAngle, float stopAngle);\n\n Draw an elliptic wedge with center at x, y, outer radii outRx, outRy,\n inner radii inRx, inRy between angles startAngle and stopAngle\n (expressed in degrees).\n \\pre positive_outRx: outRx>=0\n \\pre positive_outRy: outRy>=0\n \\pre positive_inRx: inRx>=0\n \\pre positive_inRy: inRy>=0\n \\pre ordered_rx: inRx<=outRx\n \\pre ordered_ry: inRy<=outRy\n"},
  {(char*)"DrawArc",                (PyCFunction)PyvtkContext2D_DrawArc, 1,
   (char*)"V.DrawArc(float, float, float, float, float)\nC++: void DrawArc (float x, float y, float r, float startAngle, float stopAngle);\n\n Draw a circular arc with center at x,y with radius r between angles\n startAngle and stopAngle (expressed in degrees).\n \\pre positive_radius: r>=0\n"},
  {(char*)"DrawEllipticArc",                (PyCFunction)PyvtkContext2D_DrawEllipticArc, 1,
   (char*)"V.DrawEllipticArc(float, float, float, float, float, float)\nC++: void DrawEllipticArc (float x, float y, float rX, float rY, float startAngle, float stopAngle);\n\n Draw an elliptic arc with center at x,y with radii rX and rY between\n angles startAngle and stopAngle (expressed in degrees).\n \\pre positive_rX: rX>=0\n \\pre positive_rY: rY>=0\n"},
  {(char*)"DrawImage",                (PyCFunction)PyvtkContext2D_DrawImage, 1,
   (char*)"V.DrawImage(float, float, vtkImageData)\nC++: void DrawImage (float x, float y, vtkImageData *image);\n\n Draw the supplied image at the given x, y location (bottom corner).\n"},
  {(char*)"DrawString",                (PyCFunction)PyvtkContext2D_DrawString, 1,
   (char*)"V.DrawString(vtkPoints2D, string)\nC++: void DrawString (vtkPoints2D *point, const char *string);\nV.DrawString(float, float, string)\nC++: void DrawString (float x, float y, const char *string);\n\n"},
  {(char*)"ComputeStringBounds",                (PyCFunction)PyvtkContext2D_ComputeStringBounds, 1,
   (char*)"V.ComputeStringBounds(string, (float, float, float, float))\nC++: void ComputeStringBounds (const char *string, float bounds[4]);\n\n"},
  {(char*)"ApplyPen",                (PyCFunction)PyvtkContext2D_ApplyPen, 1,
   (char*)"V.ApplyPen(vtkPen)\nC++: void ApplyPen (vtkPen *pen);\n\n Apply the supplied pen which controls the outlines of shapes, as well as\n lines, points and related primitives. This makes a deep copy of the vtkPen\n object in the vtkContext2D, it does not hold a pointer to the supplied object.\n"},
  {(char*)"GetPen",                (PyCFunction)PyvtkContext2D_GetPen, 1,
   (char*)"V.GetPen() -> vtkPen\nC++: vtkPen *GetPen ();\n\n Get the pen which controls the outlines of shapes, as well as lines,\n points and related primitives. This object can be modified and the changes\n will be reflected in subsequent drawing operations.\n"},
  {(char*)"ApplyBrush",                (PyCFunction)PyvtkContext2D_ApplyBrush, 1,
   (char*)"V.ApplyBrush(vtkBrush)\nC++: void ApplyBrush (vtkBrush *brush);\n\n Apply the supplied brush which controls the outlines of shapes, as well as\n lines, points and related primitives. This makes a deep copy of the vtkBrush\n object in the vtkContext2D, it does not hold a pointer to the supplied object.\n"},
  {(char*)"GetBrush",                (PyCFunction)PyvtkContext2D_GetBrush, 1,
   (char*)"V.GetBrush() -> vtkBrush\nC++: vtkBrush *GetBrush ();\n\n Get the pen which controls the outlines of shapes as well as lines, points\n and related primitives.\n"},
  {(char*)"ApplyTextProp",                (PyCFunction)PyvtkContext2D_ApplyTextProp, 1,
   (char*)"V.ApplyTextProp(vtkTextProperty)\nC++: void ApplyTextProp (vtkTextProperty *prop);\n\n Apply the supplied text property which controls how text is rendered.\n This makes a deep copy of the vtkTextProperty object in the vtkContext2D,\n it does not hold a pointer to the supplied object.\n"},
  {(char*)"GetTextProp",                (PyCFunction)PyvtkContext2D_GetTextProp, 1,
   (char*)"V.GetTextProp() -> vtkTextProperty\nC++: vtkTextProperty *GetTextProp ();\n\n Get the text properties object for the vtkContext2D.\n"},
  {(char*)"SetTransform",                (PyCFunction)PyvtkContext2D_SetTransform, 1,
   (char*)"V.SetTransform(vtkTransform2D)\nC++: void SetTransform (vtkTransform2D *transform);\n\n Set the transform for the context, the underlying device will use the\n matrix of the transform. Note, this is set immediately, later changes to\n the matrix will have no effect until it is set again.\n"},
  {(char*)"GetTransform",                (PyCFunction)PyvtkContext2D_GetTransform, 1,
   (char*)"V.GetTransform() -> vtkTransform2D\nC++: vtkTransform2D *GetTransform ();\n\n Set the transform for the context, the underlying device will use the\n matrix of the transform. Note, this is set immediately, later changes to\n the matrix will have no effect until it is set again.\n"},
  {(char*)"AppendTransform",                (PyCFunction)PyvtkContext2D_AppendTransform, 1,
   (char*)"V.AppendTransform(vtkTransform2D)\nC++: void AppendTransform (vtkTransform2D *transform);\n\n Append the transform for the context, the underlying device will use the\n matrix of the transform. Note, this is set immediately, later changes to\n the matrix will have no effect until it is set again. The matrix of the\n transform will multiply the current context transform.\n"},
  {(char*)"PushMatrix",                (PyCFunction)PyvtkContext2D_PushMatrix, 1,
   (char*)"V.PushMatrix()\nC++: void PushMatrix ();\n\n Push/pop the transformation matrix for the painter (sets the underlying\n matrix for the device when available).\n"},
  {(char*)"PopMatrix",                (PyCFunction)PyvtkContext2D_PopMatrix, 1,
   (char*)"V.PopMatrix()\nC++: void PopMatrix ();\n\n Push/pop the transformation matrix for the painter (sets the underlying\n matrix for the device when available).\n"},
  {(char*)"ApplyId",                (PyCFunction)PyvtkContext2D_ApplyId, 1,
   (char*)"V.ApplyId(int)\nC++: void ApplyId (vtkIdType id);\n\n Apply id as a color.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkContext2DDoc[] = {
  (char*)"vtkContext2D - Class for drawing 2D primitives to a graphical context.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" This defines the interface for drawing onto a 2D context. The context must\n be set up with a vtkContextDevice2D derived class that provides the functions\n to facilitate the low level calls to the context. Currently only an OpenGL\n based device is provided, but this could be extended in the future.\n\n",
  NULL
};

static vtkObjectBase *vtkContext2DStaticNew()
{
  return vtkContext2D::New();
}

PyObject *PyVTKClass_vtkContext2DNew(char *modulename)
{
  return PyVTKClass_New(&vtkContext2DStaticNew,
                        PyvtkContext2DMethods,
                        (char*)"vtkContext2D",modulename,
                        (char**)vtkContext2DDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

