// python wrapper for vtkContextActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkContextActor.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkContextActorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkContextActorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPropNew(char *); }

static PyObject *PyvtkContextActor_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextActor *op;

  const char    *temp20;
  op = (vtkContextActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextActor::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkContextActor_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextActor *op;

  char    *temp0;
  int      temp20;
  op = (vtkContextActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextActor::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContextActor_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextActor *op;

  vtkContextActor  *temp20;
  op = (vtkContextActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextActor::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContextActor_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkContextActor  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkContextActor::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkContextActor_RenderOverlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextActor *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkContextActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextActor::RenderOverlay(temp0);
      }
    else
      {
      temp20 = op->RenderOverlay(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkContextActor_SetContext(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextActor *op;

  vtkContext2D  *temp0;
  PyObject *tempH0;
  op = (vtkContextActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkContext2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkContext2D");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkContextActor::SetContext(temp0);
      }
    else
      {
      op->SetContext(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkContextActor_GetContext(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextActor *op;

  vtkContext2D  *temp20;
  op = (vtkContextActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextActor::GetContext();
      }
    else
      {
      temp20 = op->GetContext();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContextActor_GetScene(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextActor *op;

  vtkContextScene  *temp20;
  op = (vtkContextActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextActor::GetScene();
      }
    else
      {
      temp20 = op->GetScene();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContextActor_SetScene(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextActor *op;

  vtkContextScene  *temp0;
  PyObject *tempH0;
  op = (vtkContextActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkContextScene *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkContextScene");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkContextActor::SetScene(temp0);
      }
    else
      {
      op->SetScene(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkContextActor_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextActor *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkContextActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkContextActor::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}

static PyMethodDef PyvtkContextActorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkContextActor_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkContextActor_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkContextActor_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkContextActor\nC++: vtkContextActor *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkContextActor_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkContextActor\nC++: vtkContextActor *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"RenderOverlay",                (PyCFunction)PyvtkContextActor_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport) -> int\nC++: virtual int RenderOverlay (vtkViewport *viewport);\n\n We only render in the overlay for the context scene.\n"},
  {(char*)"SetContext",                (PyCFunction)PyvtkContextActor_SetContext, 1,
   (char*)"V.SetContext(vtkContext2D)\nC++: virtual void SetContext (vtkContext2D *context);\n\n Set the vtkContext2D for the actor.\n"},
  {(char*)"GetContext",                (PyCFunction)PyvtkContextActor_GetContext, 1,
   (char*)"V.GetContext() -> vtkContext2D\nC++: vtkContext2D *GetContext ();\n\n Set/Get the vtk2DPainter.\n"},
  {(char*)"GetScene",                (PyCFunction)PyvtkContextActor_GetScene, 1,
   (char*)"V.GetScene() -> vtkContextScene\nC++: vtkContextScene *GetScene ();\n\n Get the chart object for the Actor.\n"},
  {(char*)"SetScene",                (PyCFunction)PyvtkContextActor_SetScene, 1,
   (char*)"V.SetScene(vtkContextScene)\nC++: virtual void SetScene (vtkContextScene *scene);\n\n Set the chart object for the Actor.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkContextActor_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *window);\n\n Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkContextActorDoc[] = {
  (char*)"vtkContextActor - provides a vtkProp derived object.\n\n",
  "Super Class:\n\n vtkProp\n\n",
  (char*)" This object provides the entry point for the vtkContextScene to be rendered\n in a vtkRenderer. Uses the RenderOverlay pass to render the 2D\n vtkContextScene.\n\n",
  NULL
};

static vtkObjectBase *vtkContextActorStaticNew()
{
  return vtkContextActor::New();
}

PyObject *PyVTKClass_vtkContextActorNew(char *modulename)
{
  return PyVTKClass_New(&vtkContextActorStaticNew,
                        PyvtkContextActorMethods,
                        (char*)"vtkContextActor",modulename,
                        (char**)vtkContextActorDoc,
                        PyVTKClass_vtkPropNew(modulename));
}

