// java wrapper for vtkContextScene object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkContextScene.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkContextScene_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkContextScene",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkContextScene_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkContextScene *op;
  const char    *temp20;

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContextScene_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkContextScene *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkContextScene_Paint_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContextScene *op;
  vtkContext2D  *temp0;
  bool   temp20;
  temp0 = (vtkContext2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Paint(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextScene_AddItem_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContextScene *op;
  vtkContextItem  *temp0;
  temp0 = (vtkContextItem *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  op->AddItem(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContextScene_GetNumberOfItems_14(JNIEnv *env, jobject obj)
{
  vtkContextScene *op;
  int      temp20;

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfItems();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkContextScene_GetItem_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkContextScene *op;
  int      temp0;
  vtkContextItem  *temp20;
  temp0 = id0;

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetItem(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextScene_SetAnnotationLink_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContextScene *op;
  vtkAnnotationLink  *temp0;
  temp0 = (vtkAnnotationLink *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAnnotationLink(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkContextScene_GetAnnotationLink_17(JNIEnv *env, jobject obj)
{
  vtkContextScene *op;
  vtkAnnotationLink  *temp20;

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAnnotationLink();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextScene_SetGeometry_18(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkContextScene *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGeometry(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextScene_SetGeometry_19(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkContextScene *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGeometry(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkContextScene_GetGeometry_110(JNIEnv *env, jobject obj)
{
  vtkContextScene *op;
  int     *temp20;

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGeometry();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextScene_SetUseBufferId_111(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkContextScene *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseBufferId(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkContextScene_GetUseBufferId_112(JNIEnv *env, jobject obj)
{
  vtkContextScene *op;
  bool   temp20;

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseBufferId();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContextScene_GetViewWidth_113(JNIEnv *env, jobject obj)
{
  vtkContextScene *op;
  int      temp20;

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetViewWidth();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContextScene_GetViewHeight_114(JNIEnv *env, jobject obj)
{
  vtkContextScene *op;
  int      temp20;

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetViewHeight();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContextScene_GetSceneWidth_115(JNIEnv *env, jobject obj)
{
  vtkContextScene *op;
  int      temp20;

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSceneWidth();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContextScene_GetSceneHeight_116(JNIEnv *env, jobject obj)
{
  vtkContextScene *op;
  int      temp20;

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSceneHeight();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextScene_SetInteractorStyle_117(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContextScene *op;
  vtkInteractorStyle  *temp0;
  temp0 = (vtkInteractorStyle *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInteractorStyle(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextScene_SetRenderer_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContextScene *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRenderer(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextScene_SetDirty_119(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkContextScene *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDirty(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkContextScene_VTKInit(JNIEnv *, jobject)
{
  vtkContextScene *aNewOne = vtkContextScene::New();
  return (jlong)(size_t)(void*)aNewOne;
}
