// python wrapper for vtkImageItem object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageItem.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageItemNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageItemNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkContextItemNew(char *); }

static PyObject *PyvtkImageItem_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageItem *op;

  const char    *temp20;
  op = (vtkImageItem *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageItem::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageItem_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageItem *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageItem *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageItem::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageItem_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageItem *op;

  vtkImageItem  *temp20;
  op = (vtkImageItem *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageItem::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageItem_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageItem  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageItem::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageItem_Paint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageItem *op;

  vtkContext2D  *temp0;
  PyObject *tempH0;
  bool   temp20;
  op = (vtkImageItem *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkContext2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkContext2D");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageItem::Paint(temp0);
      }
    else
      {
      temp20 = op->Paint(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkImageItem_SetLabel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageItem *op;

  char    *temp0;
  op = (vtkImageItem *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageItem::SetLabel(temp0);
      }
    else
      {
      op->SetLabel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageItem_GetLabel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageItem *op;

  char    *temp20;
  op = (vtkImageItem *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageItem::GetLabel();
      }
    else
      {
      temp20 = op->GetLabel();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageItem_SetImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageItem *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  op = (vtkImageItem *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageItem::SetImage(temp0);
      }
    else
      {
      op->SetImage(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkImageItem_GetImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageItem *op;

  vtkImageData  *temp20;
  op = (vtkImageItem *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageItem::GetImage();
      }
    else
      {
      temp20 = op->GetImage();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageItem_SetDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageItem *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  op = (vtkImageItem *)PyArg_VTKParseTuple(self, args, (char*)"iiii", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageItem::SetDimensions(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetDimensions(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageItem *op;

  int    temp0[4];
  PyErr_Clear();
  op = (vtkImageItem *)PyArg_VTKParseTuple(self, args, (char*)"(iiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageItem::SetDimensions(temp0);
      }
    else
      {
      op->SetDimensions(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageItem_GetDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageItem *op;

  int     *temp20;
  op = (vtkImageItem *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageItem::GetDimensions();
      }
    else
      {
      temp20 = op->GetDimensions();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiii",temp20[0],temp20[1],temp20[2],temp20[3]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageItemMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageItem_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageItem_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageItem_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageItem\nC++: vtkImageItem *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageItem_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageItem\nC++: vtkImageItem *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Paint",                (PyCFunction)PyvtkImageItem_Paint, 1,
   (char*)"V.Paint(vtkContext2D) -> bool\nC++: virtual bool Paint (vtkContext2D *painter);\n\n Paint event for the item.\n"},
  {(char*)"SetLabel",                (PyCFunction)PyvtkImageItem_SetLabel, 1,
   (char*)"V.SetLabel(string)\nC++: void SetLabel (char *);\n\n Set the mouse over label for the item.\n"},
  {(char*)"GetLabel",                (PyCFunction)PyvtkImageItem_GetLabel, 1,
   (char*)"V.GetLabel() -> string\nC++: char *GetLabel ();\n\n Get the mouse over label for the item.\n"},
  {(char*)"SetImage",                (PyCFunction)PyvtkImageItem_SetImage, 1,
   (char*)"V.SetImage(vtkImageData)\nC++: void SetImage (vtkImageData *image);\n\n Set the image of the item.\n"},
  {(char*)"GetImage",                (PyCFunction)PyvtkImageItem_GetImage, 1,
   (char*)"V.GetImage() -> vtkImageData\nC++: vtkImageData *GetImage ();\n\n Get the image of the item.\n"},
  {(char*)"SetDimensions",                (PyCFunction)PyvtkImageItem_SetDimensions, 1,
   (char*)"V.SetDimensions(int, int, int, int)\nC++: void SetDimensions (int , int , int , int );\nV.SetDimensions((int, int, int, int))\nC++: void SetDimensions (int  a[4]);\n\n Set the dimensions of the item, bottom corner, width, height.\n"},
  {(char*)"GetDimensions",                (PyCFunction)PyvtkImageItem_GetDimensions, 1,
   (char*)"V.GetDimensions() -> (int, int, int, int)\nC++: int  *GetDimensions ();\n\n Get the dimensions of the item, bottom corner, width, height.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageItemDoc[] = {
  (char*)"vtkImageItem - a vtkContextItem that draws a supplied image in the\n\n",
  "Super Class:\n\n vtkContextItem\n\n",
  (char*)" This vtkContextItem draws the supplied image in the scene. Optionally showing\n the label as a tooltip on mouse over.\n\n",
  NULL
};

static vtkObjectBase *vtkImageItemStaticNew()
{
  return vtkImageItem::New();
}

PyObject *PyVTKClass_vtkImageItemNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageItemStaticNew,
                        PyvtkImageItemMethods,
                        (char*)"vtkImageItem",modulename,
                        (char**)vtkImageItemDoc,
                        PyVTKClass_vtkContextItemNew(modulename));
}

