// tcl wrapper for vtkOpenGLContextDevice2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOpenGLContextDevice2D.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkOpenGLContextDevice2DNewCommand()
{
  vtkOpenGLContextDevice2D *temp = vtkOpenGLContextDevice2D::New();
  return static_cast<ClientData>(temp);
}

int vtkContextDevice2DCppCommand(vtkContextDevice2D *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkOpenGLContextDevice2DCppCommand(vtkOpenGLContextDevice2D *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkOpenGLContextDevice2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkOpenGLContextDevice2DCppCommand(static_cast<vtkOpenGLContextDevice2D *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkOpenGLContextDevice2DCppCommand(vtkOpenGLContextDevice2D *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkOpenGLContextDevice2D",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkContextDevice2DCppCommand(static_cast<vtkContextDevice2D *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkContextDevice2D"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkOpenGLContextDevice2D  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOpenGLContextDevice2D");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkOpenGLContextDevice2D  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOpenGLContextDevice2D");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkOpenGLContextDevice2D  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOpenGLContextDevice2D");
    return TCL_OK;
    }
  if ((!strcmp("DrawEllipseWedge",argv[1]))&&(argc == 10))
    {
    float    temp0;
    float    temp1;
    float    temp2;
    float    temp3;
    float    temp4;
    float    temp5;
    float    temp6;
    float    temp7;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (Tcl_GetDouble(interp,argv[8],&tempd) != TCL_OK) error = 1;
    temp6 = tempd;
    if (Tcl_GetDouble(interp,argv[9],&tempd) != TCL_OK) error = 1;
    temp7 = tempd;
    if (!error)
    {
    op->DrawEllipseWedge(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DrawEllipticArc",argv[1]))&&(argc == 8))
    {
    float    temp0;
    float    temp1;
    float    temp2;
    float    temp3;
    float    temp4;
    float    temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->DrawEllipticArc(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPointSize",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetPointSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLineWidth",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLineWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLineType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLineType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("MultiplyMatrix",argv[1]))&&(argc == 3))
    {
    vtkMatrix3x3  *temp0;
    error = 0;

    temp0 = (vtkMatrix3x3 *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMatrix3x3"),interp,error));
    if (!error)
    {
    op->MultiplyMatrix(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMatrix",argv[1]))&&(argc == 3))
    {
    vtkMatrix3x3  *temp0;
    error = 0;

    temp0 = (vtkMatrix3x3 *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMatrix3x3"),interp,error));
    if (!error)
    {
    op->SetMatrix(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PushMatrix",argv[1]))&&(argc == 2))
    {
    op->PushMatrix();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PopMatrix",argv[1]))&&(argc == 2))
    {
    op->PopMatrix();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DisableClipping",argv[1]))&&(argc == 2))
    {
    op->DisableClipping();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Begin",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    op->Begin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("End",argv[1]))&&(argc == 2))
    {
    op->End();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BufferIdModeBegin",argv[1]))&&(argc == 3))
    {
    vtkAbstractContextBufferId  *temp0;
    error = 0;

    temp0 = (vtkAbstractContextBufferId *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractContextBufferId"),interp,error));
    if (!error)
    {
    op->BufferIdModeBegin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("BufferIdModeEnd",argv[1]))&&(argc == 2))
    {
    op->BufferIdModeEnd();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetStringRendererToFreeType",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->SetStringRendererToFreeType();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetStringRendererToQt",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->SetStringRendererToQt();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("HasGLSL",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->HasGLSL();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRenderWindow",argv[1]))&&(argc == 2))
    {
    vtkOpenGLRenderWindow  *temp20;
    temp20 = (op)->GetRenderWindow();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOpenGLRenderWindow");
    return TCL_OK;
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkOpenGLContextDevice2DCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkContextDevice2DCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkOpenGLContextDevice2D:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  DrawEllipseWedge\t with 8 args\n",NULL);
    Tcl_AppendResult(interp,"  DrawEllipticArc\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPointSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLineWidth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLineType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  MultiplyMatrix\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMatrix\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PushMatrix\n",NULL);
    Tcl_AppendResult(interp,"  PopMatrix\n",NULL);
    Tcl_AppendResult(interp,"  DisableClipping\n",NULL);
    Tcl_AppendResult(interp,"  Begin\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  End\n",NULL);
    Tcl_AppendResult(interp,"  BufferIdModeBegin\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  BufferIdModeEnd\n",NULL);
    Tcl_AppendResult(interp,"  SetStringRendererToFreeType\n",NULL);
    Tcl_AppendResult(interp,"  SetStringRendererToQt\n",NULL);
    Tcl_AppendResult(interp,"  HasGLSL\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderWindow\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkContextDevice2DCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "DrawEllipseWedge" );
    Tcl_DStringAppendElement ( &dString, "DrawEllipticArc" );
    Tcl_DStringAppendElement ( &dString, "SetPointSize" );
    Tcl_DStringAppendElement ( &dString, "SetLineWidth" );
    Tcl_DStringAppendElement ( &dString, "SetLineType" );
    Tcl_DStringAppendElement ( &dString, "MultiplyMatrix" );
    Tcl_DStringAppendElement ( &dString, "SetMatrix" );
    Tcl_DStringAppendElement ( &dString, "PushMatrix" );
    Tcl_DStringAppendElement ( &dString, "PopMatrix" );
    Tcl_DStringAppendElement ( &dString, "DisableClipping" );
    Tcl_DStringAppendElement ( &dString, "Begin" );
    Tcl_DStringAppendElement ( &dString, "End" );
    Tcl_DStringAppendElement ( &dString, "BufferIdModeBegin" );
    Tcl_DStringAppendElement ( &dString, "BufferIdModeEnd" );
    Tcl_DStringAppendElement ( &dString, "SetStringRendererToFreeType" );
    Tcl_DStringAppendElement ( &dString, "SetStringRendererToQt" );
    Tcl_DStringAppendElement ( &dString, "HasGLSL" );
    Tcl_DStringAppendElement ( &dString, "GetRenderWindow" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkContextDevice2DCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLContextDevice2D" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLContextDevice2D" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLContextDevice2D *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLContextDevice2D" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLContextDevice2D *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLContextDevice2D" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Creates a 2D Painter object.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkOpenGLContextDevice2D *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLContextDevice2D" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawEllipseWedge */
    if ( strcmp ( argv[2], "DrawEllipseWedge" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawEllipseWedge" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawEllipseWedge */
    Tcl_DStringAppendElement ( &dString, " Draw an elliptic wedge with center at x, y, outer radii outRx, outRy,\n inner radii inRx, inRy between angles startAngle and stopAngle\n (expressed in degrees).\n \\pre positive_outRx: outRx>=0\n \\pre positive_outRy: outRy>=0\n \\pre positive_inRx: inRx>=0\n \\pre positive_inRy: inRy>=0\n \\pre ordered_rx: inRx<=outRx\n \\pre ordered_ry: inRy<=outRy\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DrawEllipseWedge (float x, float y, float outRx, float outRy, float inRx, float inRy, float startAngle, float stopAngle);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLContextDevice2D" );
    /* Closing for DrawEllipseWedge */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawEllipticArc */
    if ( strcmp ( argv[2], "DrawEllipticArc" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawEllipticArc" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawEllipticArc */
    Tcl_DStringAppendElement ( &dString, " Draw an elliptic arc with center at x,y with radii rX and rY between\n angles startAngle and stopAngle (expressed in degrees).\n \\pre positive_rX: rX>=0\n \\pre positive_rY: rY>=0\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DrawEllipticArc (float x, float y, float rX, float rY, float startAngle, float stopAngle);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLContextDevice2D" );
    /* Closing for DrawEllipticArc */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointSize */
    if ( strcmp ( argv[2], "SetPointSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointSize */
    Tcl_DStringAppendElement ( &dString, " Set the point size for glyphs/sprites.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPointSize (float size);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLContextDevice2D" );
    /* Closing for SetPointSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLineWidth */
    if ( strcmp ( argv[2], "SetLineWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLineWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLineWidth */
    Tcl_DStringAppendElement ( &dString, " Set the line width for glyphs/sprites.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLineWidth (float width);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLContextDevice2D" );
    /* Closing for SetLineWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLineType */
    if ( strcmp ( argv[2], "SetLineType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLineType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLineType */
    Tcl_DStringAppendElement ( &dString, " Set the line type type (using anonymous enum in vtkPen).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLineType (int type);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLContextDevice2D" );
    /* Closing for SetLineType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MultiplyMatrix */
    if ( strcmp ( argv[2], "MultiplyMatrix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MultiplyMatrix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix3x3" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MultiplyMatrix */
    Tcl_DStringAppendElement ( &dString, " Multiply the current model view matrix by the supplied one.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void MultiplyMatrix (vtkMatrix3x3 *m);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLContextDevice2D" );
    /* Closing for MultiplyMatrix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMatrix */
    if ( strcmp ( argv[2], "SetMatrix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMatrix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix3x3" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMatrix */
    Tcl_DStringAppendElement ( &dString, " Set the model view matrix for the display\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMatrix (vtkMatrix3x3 *m);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLContextDevice2D" );
    /* Closing for SetMatrix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PushMatrix */
    if ( strcmp ( argv[2], "PushMatrix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PushMatrix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PushMatrix */
    Tcl_DStringAppendElement ( &dString, " Push the current matrix onto the stack.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PushMatrix ();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLContextDevice2D" );
    /* Closing for PushMatrix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PopMatrix */
    if ( strcmp ( argv[2], "PopMatrix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PopMatrix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PopMatrix */
    Tcl_DStringAppendElement ( &dString, " Pop the current matrix off of the stack.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PopMatrix ();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLContextDevice2D" );
    /* Closing for PopMatrix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DisableClipping */
    if ( strcmp ( argv[2], "DisableClipping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DisableClipping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DisableClipping */
    Tcl_DStringAppendElement ( &dString, " Disable clipping of the display.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DisableClipping ();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLContextDevice2D" );
    /* Closing for DisableClipping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Begin */
    if ( strcmp ( argv[2], "Begin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Begin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Begin */
    Tcl_DStringAppendElement ( &dString, " Begin drawing, pass in the viewport to set up the view.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Begin (vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLContextDevice2D" );
    /* Closing for Begin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: End */
    if ( strcmp ( argv[2], "End" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "End" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for End */
    Tcl_DStringAppendElement ( &dString, " End drawing, clean up the view.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void End ();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLContextDevice2D" );
    /* Closing for End */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BufferIdModeBegin */
    if ( strcmp ( argv[2], "BufferIdModeBegin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BufferIdModeBegin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractContextBufferId" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BufferIdModeBegin */
    Tcl_DStringAppendElement ( &dString, " Start BufferId creation Mode.\n The default implementation is empty.\n \\pre not_yet: !GetBufferIdMode()\n \\pre bufferId_exists: bufferId!=0\n \\post started: GetBufferIdMode()\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void BufferIdModeBegin (vtkAbstractContextBufferId *bufferId);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLContextDevice2D" );
    /* Closing for BufferIdModeBegin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BufferIdModeEnd */
    if ( strcmp ( argv[2], "BufferIdModeEnd" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BufferIdModeEnd" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BufferIdModeEnd */
    Tcl_DStringAppendElement ( &dString, " Finalize BufferId creation Mode. It makes sure that the content of the\n bufferId passed in argument of BufferIdModeBegin() is correctly set.\n The default implementation is empty.\n \\pre started: GetBufferIdMode()\n \\post done: !GetBufferIdMode()\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void BufferIdModeEnd ();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLContextDevice2D" );
    /* Closing for BufferIdModeEnd */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStringRendererToFreeType */
    if ( strcmp ( argv[2], "SetStringRendererToFreeType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStringRendererToFreeType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStringRendererToFreeType */
    Tcl_DStringAppendElement ( &dString, " Force the use of the freetype based render strategy. If Qt is available\n then freetype will be used preferentially, otherwise this has no effect.\n Returns true on success.\n" );
    Tcl_DStringAppendElement ( &dString, "bool SetStringRendererToFreeType ();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLContextDevice2D" );
    /* Closing for SetStringRendererToFreeType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStringRendererToQt */
    if ( strcmp ( argv[2], "SetStringRendererToQt" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStringRendererToQt" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStringRendererToQt */
    Tcl_DStringAppendElement ( &dString, " Force the use of the Qt based string render strategy. If Qt is not available\n then freetype will be used and this will return false.\n" );
    Tcl_DStringAppendElement ( &dString, "bool SetStringRendererToQt ();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLContextDevice2D" );
    /* Closing for SetStringRendererToQt */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasGLSL */
    if ( strcmp ( argv[2], "HasGLSL" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasGLSL" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasGLSL */
    Tcl_DStringAppendElement ( &dString, " Check whether the current context device has support for GLSL.\n" );
    Tcl_DStringAppendElement ( &dString, "bool HasGLSL ();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLContextDevice2D" );
    /* Closing for HasGLSL */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRenderWindow */
    if ( strcmp ( argv[2], "GetRenderWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRenderWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRenderWindow */
    Tcl_DStringAppendElement ( &dString, " Get the active RenderWindow of the device. Will return null if not active.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow *GetRenderWindow ();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLContextDevice2D" );
    /* Closing for GetRenderWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Release any graphics resources that are being consumed by this device.\n The parameter window could be used to determine which graphic\n resources to release.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReleaseGraphicsResources (vtkWindow *window);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLContextDevice2D" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkContextDevice2DCppCommand(static_cast<vtkContextDevice2D *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
