// python wrapper for vtkPlotLine object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPlotLine.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPlotLineNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPlotLineNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPlotPointsNew(char *); }

static PyObject *PyvtkPlotLine_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlotLine *op;

  const char    *temp20;
  op = (vtkPlotLine *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlotLine::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPlotLine_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlotLine *op;

  char    *temp0;
  int      temp20;
  op = (vtkPlotLine *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlotLine::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlotLine_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlotLine *op;

  vtkPlotLine  *temp20;
  op = (vtkPlotLine *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlotLine::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlotLine_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPlotLine  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPlotLine::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPlotLine_Paint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlotLine *op;

  vtkContext2D  *temp0;
  PyObject *tempH0;
  bool   temp20;
  op = (vtkPlotLine *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkContext2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkContext2D");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlotLine::Paint(temp0);
      }
    else
      {
      temp20 = op->Paint(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkPlotLine_PaintLegend(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlotLine *op;

  vtkContext2D  *temp0;
  PyObject *tempH0;
  float  temp1[4];
  bool   temp20;
  op = (vtkPlotLine *)PyArg_VTKParseTuple(self, args, (char*)"O(ffff)", &tempH0, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3);
  if (op)
    {
    temp0 = (vtkContext2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkContext2D");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlotLine::PaintLegend(temp0,temp1);
      }
    else
      {
      temp20 = op->PaintLegend(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,4)) {
      return 0;
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break5:
  return NULL;
}

static PyMethodDef PyvtkPlotLineMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPlotLine_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPlotLine_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPlotLine_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPlotLine\nC++: vtkPlotLine *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPlotLine_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPlotLine\nC++: vtkPlotLine *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Paint",                (PyCFunction)PyvtkPlotLine_Paint, 1,
   (char*)"V.Paint(vtkContext2D) -> bool\nC++: virtual bool Paint (vtkContext2D *painter);\n\n Paint event for the XY plot, called whenever the chart needs to be drawn\n"},
  {(char*)"PaintLegend",                (PyCFunction)PyvtkPlotLine_PaintLegend, 1,
   (char*)"V.PaintLegend(vtkContext2D, (float, float, float, float)) -> bool\nC++: virtual bool PaintLegend (vtkContext2D *painter, float rect[4]);\n\n Paint legend event for the XY plot, called whenever the legend needs the\n plot items symbol/mark/line drawn. A rect is supplied with the lower left\n corner of the rect (elements 0 and 1) and with width x height (elements 2\n and 3). The plot can choose how to fill the space supplied.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPlotLineDoc[] = {
  (char*)"vtkPlotLine - Class for drawing an XY line plot given two columns from\n\n",
  "Super Class:\n\n vtkPlotPoints\n\n",
  (char*)"\n\n",
  NULL
};

static vtkObjectBase *vtkPlotLineStaticNew()
{
  return vtkPlotLine::New();
}

PyObject *PyVTKClass_vtkPlotLineNew(char *modulename)
{
  return PyVTKClass_New(&vtkPlotLineStaticNew,
                        PyvtkPlotLineMethods,
                        (char*)"vtkPlotLine",modulename,
                        (char**)vtkPlotLineDoc,
                        PyVTKClass_vtkPlotPointsNew(modulename));
}

