// python wrapper for vtkConditionVariable object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkConditionVariable.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkConditionVariableNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkConditionVariableNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkConditionVariable_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConditionVariable *op;

  const char    *temp20;
  op = (vtkConditionVariable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConditionVariable::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkConditionVariable_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConditionVariable *op;

  char    *temp0;
  int      temp20;
  op = (vtkConditionVariable *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConditionVariable::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConditionVariable_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConditionVariable *op;

  vtkConditionVariable  *temp20;
  op = (vtkConditionVariable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConditionVariable::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConditionVariable_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkConditionVariable  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkConditionVariable::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkConditionVariable_Signal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConditionVariable *op;

  op = (vtkConditionVariable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConditionVariable::Signal();
      }
    else
      {
      op->Signal();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConditionVariable_Broadcast(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConditionVariable *op;

  op = (vtkConditionVariable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConditionVariable::Broadcast();
      }
    else
      {
      op->Broadcast();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConditionVariable_Wait(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConditionVariable *op;

  vtkMutexLock  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkConditionVariable *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMutexLock *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMutexLock");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConditionVariable::Wait(temp0);
      }
    else
      {
      temp20 = op->Wait(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break6:
  return NULL;
}

static PyMethodDef PyvtkConditionVariableMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkConditionVariable_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkConditionVariable_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkConditionVariable_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkConditionVariable\nC++: vtkConditionVariable *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkConditionVariable_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkConditionVariable\nC++: vtkConditionVariable *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Signal",                (PyCFunction)PyvtkConditionVariable_Signal, 1,
   (char*)"V.Signal()\nC++: void Signal ();\n\n Wake one thread waiting for the condition to change.\n"},
  {(char*)"Broadcast",                (PyCFunction)PyvtkConditionVariable_Broadcast, 1,
   (char*)"V.Broadcast()\nC++: void Broadcast ();\n\n Wake all threads waiting for the condition to change.\n"},
  {(char*)"Wait",                (PyCFunction)PyvtkConditionVariable_Wait, 1,
   (char*)"V.Wait(vtkMutexLock) -> int\nC++: int Wait (vtkMutexLock *mutex);\n\n Wait for the condition to change.\n Upon entry, the mutex must be locked and the lock held by the calling thread.\n Upon exit, the mutex will be locked and held by the calling thread.\n Between entry and exit, the mutex will be unlocked and may be held by other threads.\n \n @param mutex The mutex that should be locked on entry and will be locked on exit (but not in between)\n @retval Normally, this function returns 0. Should a thread be interrupted by a signal, a non-zero value may be returned.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkConditionVariableDoc[] = {
  (char*)"vtkConditionVariable - mutual exclusion locking class\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkConditionVariable allows the locking of variables which are accessed \n through different threads.  This header file also defines \n vtkSimpleConditionVariable which is not a subclass of vtkObject.\n\n The win32 implementation is based on notes provided by\n Douglas C. Schmidt and Irfan Pyarali,\n Department of Computer Science,\n Washington University, St. Louis, Missouri.\n http://www.cs.wustl.edu/~",
  (char*)"schmidt/win32-cv-1.html\n\n",
  NULL
};

static vtkObjectBase *vtkConditionVariableStaticNew()
{
  return vtkConditionVariable::New();
}

PyObject *PyVTKClass_vtkConditionVariableNew(char *modulename)
{
  return PyVTKClass_New(&vtkConditionVariableStaticNew,
                        PyvtkConditionVariableMethods,
                        (char*)"vtkConditionVariable",modulename,
                        (char**)vtkConditionVariableDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

