// java wrapper for vtkMatrix3x3 object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMatrix3x3.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMatrix3x3_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMatrix3x3",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMatrix3x3_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMatrix3x3 *op;
  const char    *temp20;

  op = (vtkMatrix3x3 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMatrix3x3_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMatrix3x3 *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMatrix3x3 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMatrix3x3_DeepCopy_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMatrix3x3 *op;
  vtkMatrix3x3  *temp0;
  temp0 = (vtkMatrix3x3 *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMatrix3x3 *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMatrix3x3_DeepCopy_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkMatrix3x3 *op;
  double temp0[9];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  temp0[6] = ((jdouble *)tempArray0)[6];
  temp0[7] = ((jdouble *)tempArray0)[7];
  temp0[8] = ((jdouble *)tempArray0)[8];

  op = (vtkMatrix3x3 *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  ((jdouble *)tempArray0)[6] = temp0[6];
  ((jdouble *)tempArray0)[7] = temp0[7];
  ((jdouble *)tempArray0)[8] = temp0[8];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMatrix3x3_Zero_14(JNIEnv *env, jobject obj)
{
  vtkMatrix3x3 *op;

  op = (vtkMatrix3x3 *)vtkJavaGetPointerFromObject(env,obj);
  op->Zero();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMatrix3x3_Identity_15(JNIEnv *env, jobject obj)
{
  vtkMatrix3x3 *op;

  op = (vtkMatrix3x3 *)vtkJavaGetPointerFromObject(env,obj);
  op->Identity();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMatrix3x3_Invert_16(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkMatrix3x3 *op;
  vtkMatrix3x3  *temp0;
  vtkMatrix3x3  *temp1;
  temp0 = (vtkMatrix3x3 *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkMatrix3x3 *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkMatrix3x3 *)vtkJavaGetPointerFromObject(env,obj);
  op->Invert(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMatrix3x3_Invert_17(JNIEnv *env, jobject obj)
{
  vtkMatrix3x3 *op;

  op = (vtkMatrix3x3 *)vtkJavaGetPointerFromObject(env,obj);
  op->Invert();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMatrix3x3_Transpose_18(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkMatrix3x3 *op;
  vtkMatrix3x3  *temp0;
  vtkMatrix3x3  *temp1;
  temp0 = (vtkMatrix3x3 *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkMatrix3x3 *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkMatrix3x3 *)vtkJavaGetPointerFromObject(env,obj);
  op->Transpose(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMatrix3x3_Transpose_19(JNIEnv *env, jobject obj)
{
  vtkMatrix3x3 *op;

  op = (vtkMatrix3x3 *)vtkJavaGetPointerFromObject(env,obj);
  op->Transpose();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMatrix3x3_MultiplyPoint_110(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkMatrix3x3 *op;
  float  temp0[3];
  void *tempArray0;
  float  temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkMatrix3x3 *)vtkJavaGetPointerFromObject(env,obj);
  op->MultiplyPoint(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMatrix3x3_Multiply3x3_111(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2)
{
  vtkMatrix3x3 *op;
  vtkMatrix3x3  *temp0;
  vtkMatrix3x3  *temp1;
  vtkMatrix3x3  *temp2;
  temp0 = (vtkMatrix3x3 *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkMatrix3x3 *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkMatrix3x3 *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkMatrix3x3 *)vtkJavaGetPointerFromObject(env,obj);
  op->Multiply3x3(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMatrix3x3_Adjoint_112(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkMatrix3x3 *op;
  vtkMatrix3x3  *temp0;
  vtkMatrix3x3  *temp1;
  temp0 = (vtkMatrix3x3 *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkMatrix3x3 *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkMatrix3x3 *)vtkJavaGetPointerFromObject(env,obj);
  op->Adjoint(temp0,temp1);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMatrix3x3_Determinant_113(JNIEnv *env, jobject obj)
{
  vtkMatrix3x3 *op;
  double   temp20;

  op = (vtkMatrix3x3 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Determinant();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMatrix3x3_SetElement_114(JNIEnv *env, jobject obj,jint id0,jint id1,jdouble id2)
{
  vtkMatrix3x3 *op;
  int      temp0;
  int      temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkMatrix3x3 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetElement(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMatrix3x3_GetElement_115(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkMatrix3x3 *op;
  int      temp0;
  int      temp1;
  double   temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkMatrix3x3 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetElement(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkMatrix3x3_IsIdentity_116(JNIEnv *env, jobject obj)
{
  vtkMatrix3x3 *op;
  bool   temp20;

  op = (vtkMatrix3x3 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsIdentity();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkMatrix3x3_VTKInit(JNIEnv *, jobject)
{
  vtkMatrix3x3 *aNewOne = vtkMatrix3x3::New();
  return (jlong)(size_t)(void*)aNewOne;
}
