// python wrapper for vtkMatrix3x3 object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMatrix3x3.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMatrix3x3New(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMatrix3x3New(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkMatrix3x3_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrix3x3 *op;

  const char    *temp20;
  op = (vtkMatrix3x3 *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMatrix3x3::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMatrix3x3_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrix3x3 *op;

  char    *temp0;
  int      temp20;
  op = (vtkMatrix3x3 *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMatrix3x3::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMatrix3x3_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrix3x3 *op;

  vtkMatrix3x3  *temp20;
  op = (vtkMatrix3x3 *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMatrix3x3::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMatrix3x3_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMatrix3x3  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMatrix3x3::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMatrix3x3_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrix3x3 *op;

  vtkMatrix3x3  *temp0;
  PyObject *tempH0;
  op = (vtkMatrix3x3 *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMatrix3x3 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix3x3");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkMatrix3x3::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  /* handle an occurrence */
  {
  vtkMatrix3x3 *op;

  double temp0[9];
  PyErr_Clear();
  op = (vtkMatrix3x3 *)PyArg_VTKParseTuple(self, args, (char*)"(ddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp0 + 6, temp0 + 7, temp0 + 8);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMatrix3x3::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMatrix3x3_Zero(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrix3x3 *op;

  op = (vtkMatrix3x3 *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMatrix3x3::Zero();
      }
    else
      {
      op->Zero();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMatrix3x3_Identity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrix3x3 *op;

  op = (vtkMatrix3x3 *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMatrix3x3::Identity();
      }
    else
      {
      op->Identity();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMatrix3x3_Invert(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrix3x3  *temp0;
  PyObject *tempH0;
  vtkMatrix3x3  *temp1;
  PyObject *tempH1;
  if ((PyArg_ParseTuple(args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkMatrix3x3 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix3x3");
    if (!temp0 && tempH0 != Py_None) goto break8;
    temp1 = (vtkMatrix3x3 *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkMatrix3x3");
    if (!temp1 && tempH1 != Py_None) goto break8;
      {
      vtkMatrix3x3::Invert(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  /* handle an occurrence */
  {
  vtkMatrix3x3 *op;

  PyErr_Clear();
  op = (vtkMatrix3x3 *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMatrix3x3::Invert();
      }
    else
      {
      op->Invert();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMatrix3x3_Transpose(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrix3x3  *temp0;
  PyObject *tempH0;
  vtkMatrix3x3  *temp1;
  PyObject *tempH1;
  if ((PyArg_ParseTuple(args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkMatrix3x3 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix3x3");
    if (!temp0 && tempH0 != Py_None) goto break10;
    temp1 = (vtkMatrix3x3 *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkMatrix3x3");
    if (!temp1 && tempH1 != Py_None) goto break10;
      {
      vtkMatrix3x3::Transpose(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  /* handle an occurrence */
  {
  vtkMatrix3x3 *op;

  PyErr_Clear();
  op = (vtkMatrix3x3 *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMatrix3x3::Transpose();
      }
    else
      {
      op->Transpose();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMatrix3x3_MultiplyPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrix3x3 *op;

  float  temp0[3];
  float  temp1[3];
  op = (vtkMatrix3x3 *)PyArg_VTKParseTuple(self, args, (char*)"(fff)(fff)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMatrix3x3::MultiplyPoint(temp0,temp1);
      }
    else
      {
      op->MultiplyPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkMatrix3x3 *op;

  double temp0[3];
  double temp1[3];
  PyErr_Clear();
  op = (vtkMatrix3x3 *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMatrix3x3::MultiplyPoint(temp0,temp1);
      }
    else
      {
      op->MultiplyPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMatrix3x3_Multiply3x3(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrix3x3  *temp0;
  PyObject *tempH0;
  vtkMatrix3x3  *temp1;
  PyObject *tempH1;
  vtkMatrix3x3  *temp2;
  PyObject *tempH2;
  if ((PyArg_ParseTuple(args, (char*)"OOO", &tempH0, &tempH1, &tempH2)))
    {
    temp0 = (vtkMatrix3x3 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix3x3");
    if (!temp0 && tempH0 != Py_None) goto break14;
    temp1 = (vtkMatrix3x3 *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkMatrix3x3");
    if (!temp1 && tempH1 != Py_None) goto break14;
    temp2 = (vtkMatrix3x3 *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkMatrix3x3");
    if (!temp2 && tempH2 != Py_None) goto break14;
      {
      vtkMatrix3x3::Multiply3x3(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkMatrix3x3_Adjoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrix3x3 *op;

  vtkMatrix3x3  *temp0;
  PyObject *tempH0;
  vtkMatrix3x3  *temp1;
  PyObject *tempH1;
  op = (vtkMatrix3x3 *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkMatrix3x3 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix3x3");
    if (!temp0 && tempH0 != Py_None) goto break15;
    temp1 = (vtkMatrix3x3 *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkMatrix3x3");
    if (!temp1 && tempH1 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      op->vtkMatrix3x3::Adjoint(temp0,temp1);
      }
    else
      {
      op->Adjoint(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkMatrix3x3_Determinant(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrix3x3 *op;

  double   temp20;
  op = (vtkMatrix3x3 *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMatrix3x3::Determinant();
      }
    else
      {
      temp20 = op->Determinant();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMatrix3x3_SetElement(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrix3x3 *op;

  int      temp0;
  int      temp1;
  double   temp2;
  op = (vtkMatrix3x3 *)PyArg_VTKParseTuple(self, args, (char*)"iid", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMatrix3x3::SetElement(temp0,temp1,temp2);
      }
    else
      {
      op->SetElement(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMatrix3x3_GetElement(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrix3x3 *op;

  int      temp0;
  int      temp1;
  double   temp20;
  op = (vtkMatrix3x3 *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMatrix3x3::GetElement(temp0,temp1);
      }
    else
      {
      temp20 = op->GetElement(temp0,temp1);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMatrix3x3_IsIdentity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrix3x3 *op;

  bool   temp20;
  op = (vtkMatrix3x3 *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMatrix3x3::IsIdentity();
      }
    else
      {
      temp20 = op->IsIdentity();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMatrix3x3Methods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMatrix3x3_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMatrix3x3_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMatrix3x3_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMatrix3x3\nC++: vtkMatrix3x3 *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMatrix3x3_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMatrix3x3\nC++: vtkMatrix3x3 *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkMatrix3x3_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkMatrix3x3)\nC++: void DeepCopy (vtkMatrix3x3 *source);vtkMatrix3x3 DeepCopy this Element source this Modified \nV.DeepCopy((float, float, float, float, float, float, float, float, float))\nC++: void DeepCopy (const double Elements[9]);this DeepCopy this Element Elements this Modified \n\n Non-static member function. Assigns *from* elements array\n"},
  {(char*)"Zero",                (PyCFunction)PyvtkMatrix3x3_Zero, 1,
   (char*)"V.Zero()\nC++: void Zero ();vtkMatrix3x3 Zero this Element this Modified \n\n Set equal to Identity matrix\n"},
  {(char*)"Identity",                (PyCFunction)PyvtkMatrix3x3_Identity, 1,
   (char*)"V.Identity()\nC++: void Identity ();vtkMatrix3x3 Identity this Element this Modified \n\n Matrix Inversion (adapted from Richard Carling in \"Graphics Gems,\"\n Academic Press, 1990).\n"},
  {(char*)"Invert",                (PyCFunction)PyvtkMatrix3x3_Invert, 1,
   (char*)"V.Invert(vtkMatrix3x3, vtkMatrix3x3)\nC++: static void Invert (vtkMatrix3x3 *in, vtkMatrix3x3 *out);vtkMatrix3x3 Invert in Element out Element out Modified \nV.Invert()\nC++: void Invert ();vtkMatrix3x3 Invert this this \n\n Matrix Inversion (adapted from Richard Carling in \"Graphics Gems,\"\n Academic Press, 1990).\n"},
  {(char*)"Transpose",                (PyCFunction)PyvtkMatrix3x3_Transpose, 1,
   (char*)"V.Transpose(vtkMatrix3x3, vtkMatrix3x3)\nC++: static void Transpose (vtkMatrix3x3 *in, vtkMatrix3x3 *out);vtkMatrix3x3 Transpose in Element out Element out Modified \nV.Transpose()\nC++: void Transpose ();vtkMatrix3x3 Transpose this this \n\n Transpose the matrix and put it into out.\n"},
  {(char*)"MultiplyPoint",                (PyCFunction)PyvtkMatrix3x3_MultiplyPoint, 1,
   (char*)"V.MultiplyPoint((float, float, float), (float, float, float))\nC++: void MultiplyPoint (const float in[3], float out[3]);vtkMatrix3x3 MultiplyPoint this Element in out \nV.MultiplyPoint((float, float, float), (float, float, float))\nC++: void MultiplyPoint (const double in[3], double out[3]);vtkMatrix3x3 MultiplyPoint this Element in out \n\n Multiply a homogeneous coordinate by this matrix, i.e. out = A*in.\n The in[3] and out[3] can be the same array.\n"},
  {(char*)"Multiply3x3",                (PyCFunction)PyvtkMatrix3x3_Multiply3x3, 1,
   (char*)"V.Multiply3x3(vtkMatrix3x3, vtkMatrix3x3, vtkMatrix3x3)\nC++: static void Multiply3x3 (vtkMatrix3x3 *a, vtkMatrix3x3 *b, vtkMatrix3x3 *c);vtkMatrix3x3 Multiply3x3 a Element b Element c Element \n\n Compute adjoint of the matrix and put it into out.\n"},
  {(char*)"Adjoint",                (PyCFunction)PyvtkMatrix3x3_Adjoint, 1,
   (char*)"V.Adjoint(vtkMatrix3x3, vtkMatrix3x3)\nC++: void Adjoint (vtkMatrix3x3 *in, vtkMatrix3x3 *out);vtkMatrix3x3 Adjoint in Element out Element \n\n Compute the determinant of the matrix and return it.\n"},
  {(char*)"Determinant",                (PyCFunction)PyvtkMatrix3x3_Determinant, 1,
   (char*)"V.Determinant() -> float\nC++: double Determinant ();return vtkMatrix3x3 Determinant this Element \n\n Sets the element i,j in the matrix.\n"},
  {(char*)"SetElement",                (PyCFunction)PyvtkMatrix3x3_SetElement, 1,
   (char*)"V.SetElement(int, int, float)\nC++: void SetElement (int i, int j, double value);\n\n Sets the element i,j in the matrix.\n"},
  {(char*)"GetElement",                (PyCFunction)PyvtkMatrix3x3_GetElement, 1,
   (char*)"V.GetElement(int, int) -> float\nC++: double GetElement (int i, int j) const;return this Element i j \n\n"},
  {(char*)"IsIdentity",                (PyCFunction)PyvtkMatrix3x3_IsIdentity, 1,
   (char*)"V.IsIdentity() -> bool\nC++: bool IsIdentity ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMatrix3x3Doc[] = {
  (char*)"vtkMatrix3x3 - represent and manipulate 3x3 transformation matrices\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkMatrix3x3 is a class to represent and manipulate 3x3 matrices.\n Specifically, it is designed to work on 3x3 transformation matrices\n found in 2D rendering using homogeneous coordinates [x y w].\n\n",
  "See Also:\n\n vtkTransform2D\n\n",
  NULL
};

static vtkObjectBase *vtkMatrix3x3StaticNew()
{
  return vtkMatrix3x3::New();
}

PyObject *PyVTKClass_vtkMatrix3x3New(char *modulename)
{
  return PyVTKClass_New(&vtkMatrix3x3StaticNew,
                        PyvtkMatrix3x3Methods,
                        (char*)"vtkMatrix3x3",modulename,
                        (char**)vtkMatrix3x3Doc,
                        PyVTKClass_vtkObjectNew(modulename));
}

