// python wrapper for vtkAnnotationLayersAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAnnotationLayersAlgorithm.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAnnotationLayersAlgorithmNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAnnotationLayersAlgorithmNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAlgorithmNew(char *); }

static PyObject *PyvtkAnnotationLayersAlgorithm_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotationLayersAlgorithm *op;

  const char    *temp20;
  op = (vtkAnnotationLayersAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotationLayersAlgorithm::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotationLayersAlgorithm_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotationLayersAlgorithm *op;

  char    *temp0;
  int      temp20;
  op = (vtkAnnotationLayersAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotationLayersAlgorithm::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotationLayersAlgorithm_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotationLayersAlgorithm *op;

  vtkAnnotationLayersAlgorithm  *temp20;
  op = (vtkAnnotationLayersAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotationLayersAlgorithm::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotationLayersAlgorithm_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkAnnotationLayersAlgorithm  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkAnnotationLayersAlgorithm::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAnnotationLayersAlgorithm_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotationLayersAlgorithm *op;

  vtkAnnotationLayers  *temp20;
  op = (vtkAnnotationLayersAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotationLayersAlgorithm::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkAnnotationLayersAlgorithm *op;

  int      temp0;
  vtkAnnotationLayers  *temp20;
  PyErr_Clear();
  op = (vtkAnnotationLayersAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotationLayersAlgorithm::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotationLayersAlgorithm_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotationLayersAlgorithm *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkAnnotationLayersAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkAnnotationLayersAlgorithm::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  /* handle an occurrence */
  {
  vtkAnnotationLayersAlgorithm *op;

  int      temp0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  op = (vtkAnnotationLayersAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkAnnotationLayersAlgorithm::SetInput(temp0,temp1);
      }
    else
      {
      op->SetInput(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}

static PyMethodDef PyvtkAnnotationLayersAlgorithmMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAnnotationLayersAlgorithm_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAnnotationLayersAlgorithm_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAnnotationLayersAlgorithm_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAnnotationLayersAlgorithm\nC++: vtkAnnotationLayersAlgorithm *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkAnnotationLayersAlgorithm_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAnnotationLayersAlgorithm\nC++: vtkAnnotationLayersAlgorithm *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkAnnotationLayersAlgorithm_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkAnnotationLayers\nC++: vtkAnnotationLayers *GetOutput ();return this GetOutput \nV.GetOutput(int) -> vtkAnnotationLayers\nC++: vtkAnnotationLayers *GetOutput (int index);\n\n Get the output data object for a port on this algorithm.\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkAnnotationLayersAlgorithm_SetInput, 1,
   (char*)"V.SetInput(vtkDataObject)\nC++: void SetInput (vtkDataObject *obj);this SetInput obj \nV.SetInput(int, vtkDataObject)\nC++: void SetInput (int index, vtkDataObject *obj);\n\n Set an input of this algorithm. You should not override these\n methods because they are not the only way to connect a pipeline.\n Note that these methods support old-style pipeline connections.\n When writing new code you should use the more general\n vtkAlgorithm::SetInputConnection().  These methods transform the\n input index to the input port index, not an index of a connection\n within a single port.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAnnotationLayersAlgorithmDoc[] = {
  (char*)"vtkAnnotationLayersAlgorithm - Superclass for algorithms that produce only vtkAnnotationLayers as output\n\n",
  "Super Class:\n\n vtkAlgorithm\n\n",
  (char*)" vtkAnnotationLayersAlgorithm is a convenience class to make writing algorithms\n easier. It is also designed to help transition old algorithms to the new\n pipeline architecture. There are some assumptions and defaults made by this\n class you should be aware of. This class defaults such that your filter\n will have one input port and one output port. If that is not the case\n simply change it with Se",
  (char*)"tNumberOfInputPorts etc. See this class\n constructor for the default. This class also provides a FillInputPortInfo\n method that by default says that all inputs will be vtkAnnotationLayers. If that\n isn't the case then please override this method in your subclass. This\n class breaks out the downstream requests into separate functions such as\n ExecuteData and ExecuteInformation.  For new algorithms ",
  (char*)"you should\n implement RequestData( request, inputVec, outputVec) but for older filters\n there is a default implementation that calls the old ExecuteData(output)\n signature. For even older filters that don't implement ExecuteData the\n default implementation calls the even older Execute() signature.\n\n",
  NULL
};

static vtkObjectBase *vtkAnnotationLayersAlgorithmStaticNew()
{
  return vtkAnnotationLayersAlgorithm::New();
}

PyObject *PyVTKClass_vtkAnnotationLayersAlgorithmNew(char *modulename)
{
  return PyVTKClass_New(&vtkAnnotationLayersAlgorithmStaticNew,
                        PyvtkAnnotationLayersAlgorithmMethods,
                        (char*)"vtkAnnotationLayersAlgorithm",modulename,
                        (char**)vtkAnnotationLayersAlgorithmDoc,
                        PyVTKClass_vtkAlgorithmNew(modulename));
}

