// python wrapper for vtkAnnotation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAnnotation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAnnotationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAnnotationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataObjectNew(char *); }

static PyObject *PyvtkAnnotation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotation *op;

  const char    *temp20;
  op = (vtkAnnotation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotation *op;

  char    *temp0;
  int      temp20;
  op = (vtkAnnotation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotation *op;

  vtkAnnotation  *temp20;
  op = (vtkAnnotation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkAnnotation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkAnnotation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAnnotation_GetSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotation *op;

  vtkSelection  *temp20;
  op = (vtkAnnotation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotation::GetSelection();
      }
    else
      {
      temp20 = op->GetSelection();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotation_SetSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotation *op;

  vtkSelection  *temp0;
  PyObject *tempH0;
  op = (vtkAnnotation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSelection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelection");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkAnnotation::SetSelection(temp0);
      }
    else
      {
      op->SetSelection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkAnnotation_GetData(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkAnnotation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break6;
      {
      temp20 = vtkAnnotation::GetData(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break6:
  /* handle an occurrence */
  {
  vtkInformationVector  *temp0;
  PyObject *tempH0;
  int      temp1;
  vtkAnnotation  *temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"Oi", &tempH0, &temp1)))
    {
    temp0 = (vtkInformationVector *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationVector");
    if (!temp0 && tempH0 != Py_None) goto break7;
      {
      temp20 = vtkAnnotation::GetData(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkAnnotation_LABEL(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationStringKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkAnnotation::LABEL();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotation_COLOR(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationDoubleVectorKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkAnnotation::COLOR();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotation_OPACITY(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationDoubleKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkAnnotation::OPACITY();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotation_ICON_INDEX(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkAnnotation::ICON_INDEX();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotation_ENABLE(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkAnnotation::ENABLE();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotation_HIDE(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkAnnotation::HIDE();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotation_DATA(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationDataObjectKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkAnnotation::DATA();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotation_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotation *op;

  op = (vtkAnnotation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAnnotation::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotation_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotation *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkAnnotation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkAnnotation::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkAnnotation_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotation *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkAnnotation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkAnnotation::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkAnnotation_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotation *op;

  unsigned long     temp20;
  op = (vtkAnnotation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotation::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAnnotationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAnnotation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAnnotation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAnnotation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAnnotation\nC++: vtkAnnotation *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkAnnotation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAnnotation\nC++: vtkAnnotation *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetSelection",                (PyCFunction)PyvtkAnnotation_GetSelection, 1,
   (char*)"V.GetSelection() -> vtkSelection\nC++: vtkSelection *GetSelection ();\n\n The selection to which this set of annotations will apply.\n"},
  {(char*)"SetSelection",                (PyCFunction)PyvtkAnnotation_SetSelection, 1,
   (char*)"V.SetSelection(vtkSelection)\nC++: virtual void SetSelection (vtkSelection *selection);\n\n The selection to which this set of annotations will apply.\n"},
  {(char*)"GetData",                (PyCFunction)PyvtkAnnotation_GetData, 1,
   (char*)"V.GetData(vtkInformation) -> vtkAnnotation\nC++: static vtkAnnotation *GetData (vtkInformation *info);\nV.GetData(vtkInformationVector, int) -> vtkAnnotation\nC++: static vtkAnnotation *GetData (vtkInformationVector *v, int i);\n\n Retrieve a vtkAnnotation stored inside an information object.\n"},
  {(char*)"LABEL",                (PyCFunction)PyvtkAnnotation_LABEL, 1,
   (char*)"V.LABEL() -> vtkInformationStringKey\nC++: static vtkInformationStringKey *LABEL ();\n\n The label for this annotation.\n"},
  {(char*)"COLOR",                (PyCFunction)PyvtkAnnotation_COLOR, 1,
   (char*)"V.COLOR() -> vtkInformationDoubleVectorKey\nC++: static vtkInformationDoubleVectorKey *COLOR ();\n\n The color for this annotation.\n This is stored as an RGB triple with values between 0 and 1.\n"},
  {(char*)"OPACITY",                (PyCFunction)PyvtkAnnotation_OPACITY, 1,
   (char*)"V.OPACITY() -> vtkInformationDoubleKey\nC++: static vtkInformationDoubleKey *OPACITY ();\n\n The color for this annotation.\n This is stored as a value between 0 and 1.\n"},
  {(char*)"ICON_INDEX",                (PyCFunction)PyvtkAnnotation_ICON_INDEX, 1,
   (char*)"V.ICON_INDEX() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *ICON_INDEX ();\n\n An icon index for this annotation.\n"},
  {(char*)"ENABLE",                (PyCFunction)PyvtkAnnotation_ENABLE, 1,
   (char*)"V.ENABLE() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *ENABLE ();\n\n Whether or not this annotation is enabled. \n A value of 1 means enabled, 0 disabled.\n"},
  {(char*)"HIDE",                (PyCFunction)PyvtkAnnotation_HIDE, 1,
   (char*)"V.HIDE() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *HIDE ();\n\n Whether or not this annotation is visible.\n"},
  {(char*)"DATA",                (PyCFunction)PyvtkAnnotation_DATA, 1,
   (char*)"V.DATA() -> vtkInformationDataObjectKey\nC++: static vtkInformationDataObjectKey *DATA ();\n\n Associate a vtkDataObject with this annotation\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkAnnotation_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize ();\n\n Initialize the annotation to an empty state.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkAnnotation_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkDataObject)\nC++: virtual void ShallowCopy (vtkDataObject *other);\n\n Make this annotation have the same properties and have\n the same selection of another annotation.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkAnnotation_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkDataObject)\nC++: virtual void DeepCopy (vtkDataObject *other);\n\n Make this annotation have the same properties and have\n a copy of the selection of another annotation.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkAnnotation_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: virtual unsigned long GetMTime ();\n\n Get the modified time of this object.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAnnotationDoc[] = {
  (char*)"vtkAnnotation - Stores a collection of annotation artifacts.\n\n",
  "Super Class:\n\n vtkDataObject\n\n",
  (char*)" vtkAnnotation is a collection of annotation properties along with\n an associated selection indicating the portion of data the annotation\n refers to.\n\n .SECTION Thanks\n Timothy M. Shead (tshead@sandia.gov) at Sandia National Laboratories\n contributed code to this class.\n\n",
  NULL
};

static vtkObjectBase *vtkAnnotationStaticNew()
{
  return vtkAnnotation::New();
}

PyObject *PyVTKClass_vtkAnnotationNew(char *modulename)
{
  return PyVTKClass_New(&vtkAnnotationStaticNew,
                        PyvtkAnnotationMethods,
                        (char*)"vtkAnnotation",modulename,
                        (char**)vtkAnnotationDoc,
                        PyVTKClass_vtkDataObjectNew(modulename));
}

