// python wrapper for vtkDistributedGraphHelper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDistributedGraphHelper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDistributedGraphHelperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDistributedGraphHelperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkDistributedGraphHelper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedGraphHelper *op;

  const char    *temp20;
  op = (vtkDistributedGraphHelper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistributedGraphHelper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedGraphHelper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedGraphHelper *op;

  char    *temp0;
  int      temp20;
  op = (vtkDistributedGraphHelper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistributedGraphHelper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedGraphHelper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedGraphHelper *op;

  vtkDistributedGraphHelper  *temp20;
  op = (vtkDistributedGraphHelper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistributedGraphHelper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedGraphHelper_GetVertexOwner(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedGraphHelper *op;

  vtkIdType   temp0;
  vtkIdType   temp20;
  op = (vtkDistributedGraphHelper *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistributedGraphHelper::GetVertexOwner(temp0);
      }
    else
      {
      temp20 = op->GetVertexOwner(temp0);
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedGraphHelper_GetVertexIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedGraphHelper *op;

  vtkIdType   temp0;
  vtkIdType   temp20;
  op = (vtkDistributedGraphHelper *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistributedGraphHelper::GetVertexIndex(temp0);
      }
    else
      {
      temp20 = op->GetVertexIndex(temp0);
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedGraphHelper_GetEdgeOwner(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedGraphHelper *op;

  vtkIdType   temp0;
  vtkIdType   temp20;
  op = (vtkDistributedGraphHelper *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistributedGraphHelper::GetEdgeOwner(temp0);
      }
    else
      {
      temp20 = op->GetEdgeOwner(temp0);
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedGraphHelper_GetEdgeIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedGraphHelper *op;

  vtkIdType   temp0;
  vtkIdType   temp20;
  op = (vtkDistributedGraphHelper *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistributedGraphHelper::GetEdgeIndex(temp0);
      }
    else
      {
      temp20 = op->GetEdgeIndex(temp0);
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedGraphHelper_MakeDistributedId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedGraphHelper *op;

  int      temp0;
  vtkIdType   temp1;
  vtkIdType   temp20;
  op = (vtkDistributedGraphHelper *)PyArg_VTKParseTuple(self, args, (char*)"iL", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistributedGraphHelper::MakeDistributedId(temp0,temp1);
      }
    else
      {
      temp20 = op->MakeDistributedId(temp0,temp1);
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedGraphHelper_Synchronize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedGraphHelper *op;

  op = (vtkDistributedGraphHelper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Synchronize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedGraphHelper_Clone(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistributedGraphHelper *op;

  vtkDistributedGraphHelper  *temp20;
  op = (vtkDistributedGraphHelper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->Clone();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedGraphHelper_DISTRIBUTEDVERTEXIDS(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDistributedGraphHelper::DISTRIBUTEDVERTEXIDS();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDistributedGraphHelper_DISTRIBUTEDEDGEIDS(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDistributedGraphHelper::DISTRIBUTEDEDGEIDS();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDistributedGraphHelperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDistributedGraphHelper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDistributedGraphHelper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDistributedGraphHelper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDistributedGraphHelper\nC++: vtkDistributedGraphHelper *NewInstance ();\n\n"},
  {(char*)"GetVertexOwner",                (PyCFunction)PyvtkDistributedGraphHelper_GetVertexOwner, 1,
   (char*)"V.GetVertexOwner(int) -> int\nC++: vtkIdType GetVertexOwner (vtkIdType v) const;\n\n Returns owner of vertex v, by extracting top ceil(log2 P) bits of v.\n"},
  {(char*)"GetVertexIndex",                (PyCFunction)PyvtkDistributedGraphHelper_GetVertexIndex, 1,
   (char*)"V.GetVertexIndex(int) -> int\nC++: vtkIdType GetVertexIndex (vtkIdType v) const;\n\n Returns local index of vertex v, by masking off top ceil(log2 P) bits of v.\n"},
  {(char*)"GetEdgeOwner",                (PyCFunction)PyvtkDistributedGraphHelper_GetEdgeOwner, 1,
   (char*)"V.GetEdgeOwner(int) -> int\nC++: vtkIdType GetEdgeOwner (vtkIdType e_id) const;\n\n Returns owner of edge with ID e_id, by extracting top ceil(log2 P) bits of e_id.\n"},
  {(char*)"GetEdgeIndex",                (PyCFunction)PyvtkDistributedGraphHelper_GetEdgeIndex, 1,
   (char*)"V.GetEdgeIndex(int) -> int\nC++: vtkIdType GetEdgeIndex (vtkIdType e_id) const;\n\n Returns local index of edge with ID e_id, by masking off top ceil(log2 P)\n bits of e_id.\n"},
  {(char*)"MakeDistributedId",                (PyCFunction)PyvtkDistributedGraphHelper_MakeDistributedId, 1,
   (char*)"V.MakeDistributedId(int, int) -> int\nC++: vtkIdType MakeDistributedId (int owner, vtkIdType local);\n\n Builds a distributed ID consisting of the given owner and the local ID.\n"},
  {(char*)"Synchronize",                (PyCFunction)PyvtkDistributedGraphHelper_Synchronize, 1,
   (char*)"V.Synchronize()\nC++: virtual void Synchronize () = 0;\n\n Synchronizes all of the processors involved in this distributed\n graph, so that all processors have a consistent view of the\n distributed graph for the computation that follows. This routine\n should be invoked after adding new edges into the distributed\n graph, so that other processors will see those edges (or their\n corresponding back-edges).\n"},
  {(char*)"Clone",                (PyCFunction)PyvtkDistributedGraphHelper_Clone, 1,
   (char*)"V.Clone() -> vtkDistributedGraphHelper\nC++: virtual vtkDistributedGraphHelper *Clone () = 0;\n\n Clones the distributed graph helper, returning another\n distributed graph helper of the same kind that can be used in\n another vtkGraph.\n"},
  {(char*)"DISTRIBUTEDVERTEXIDS",                (PyCFunction)PyvtkDistributedGraphHelper_DISTRIBUTEDVERTEXIDS, 1,
   (char*)"V.DISTRIBUTEDVERTEXIDS() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *DISTRIBUTEDVERTEXIDS ();\n\n Information Keys that distributed graphs can append to attribute arrays\n to flag them as containing distributed IDs.  These can be used to let\n routines that migrate vertices (either repartitioning or collecting graphs\n to single nodes) to also modify the ids contained in the attribute arrays\n to maintain consistency.\n"},
  {(char*)"DISTRIBUTEDEDGEIDS",                (PyCFunction)PyvtkDistributedGraphHelper_DISTRIBUTEDEDGEIDS, 1,
   (char*)"V.DISTRIBUTEDEDGEIDS() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *DISTRIBUTEDEDGEIDS ();\n\n Information Keys that distributed graphs can append to attribute arrays\n to flag them as containing distributed IDs.  These can be used to let\n routines that migrate vertices (either repartitioning or collecting graphs\n to single nodes) to also modify the ids contained in the attribute arrays\n to maintain consistency.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDistributedGraphHelperDoc[] = {
  (char*)"vtkVertexPedigreeIdDistributionFunction - The type of a\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" A distributed graph helper can be attached to an empty vtkGraph\n object to turn the vtkGraph into a distributed graph, whose\n vertices and edges are distributed across several different\n processors. vtkDistributedGraphHelper is an abstract class. Use a\n subclass of vtkDistributedGraphHelper, such as\n vtkPBGLDistributedGraphHelper, to build distributed graphs.\n\n The distributed graph helper provid",
  (char*)"es facilities used by vtkGraph\n to communicate with other processors that store other parts of the\n same distributed graph. The only user-level functionality provided\n by vtkDistributedGraphHelper involves this communication among\n processors and the ability to map between \"distributed\" vertex and\n edge IDs and their component parts (processor and local index). For\n example, the Synchronize() meth",
  (char*)"od provides a barrier that allows\n all processors to catch up to the same point in the code before any\n processor can leave that Synchronize() call. For example, one would\n call Synchronize() after adding many edges to a distributed graph,\n so that all processors can handle the addition of inter-processor\n edges and continue, after the Synchronize() call, with a consistent\n view of the distributed",
  (char*)" graph. For more information about\n manipulating (distributed) graphs, see the vtkGraph documentation.\n\n\n",
  "See Also:\n\n vtkGraph\n\n",
  NULL
};

PyObject *PyVTKClass_vtkDistributedGraphHelperNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkDistributedGraphHelperMethods,
                        (char*)"vtkDistributedGraphHelper",modulename,
                        (char**)vtkDistributedGraphHelperDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

