// python wrapper for vtkExecutiveCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkExecutiveCollection.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExecutiveCollectionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExecutiveCollectionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCollectionNew(char *); }

static PyObject *PyvtkExecutiveCollection_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExecutiveCollection *op;

  const char    *temp20;
  op = (vtkExecutiveCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExecutiveCollection::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExecutiveCollection_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExecutiveCollection *op;

  char    *temp0;
  int      temp20;
  op = (vtkExecutiveCollection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExecutiveCollection::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExecutiveCollection_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExecutiveCollection *op;

  vtkExecutiveCollection  *temp20;
  op = (vtkExecutiveCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExecutiveCollection::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExecutiveCollection_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExecutiveCollection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExecutiveCollection::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkExecutiveCollection_AddItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExecutiveCollection *op;

  vtkExecutive  *temp0;
  PyObject *tempH0;
  op = (vtkExecutiveCollection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkExecutive *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkExecutive");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkExecutiveCollection::AddItem(temp0);
      }
    else
      {
      op->AddItem(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkExecutiveCollection_GetNextItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExecutiveCollection *op;

  vtkExecutive  *temp20;
  op = (vtkExecutiveCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExecutiveCollection::GetNextItem();
      }
    else
      {
      temp20 = op->GetNextItem();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkExecutiveCollectionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExecutiveCollection_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExecutiveCollection_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExecutiveCollection_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExecutiveCollection\nC++: vtkExecutiveCollection *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExecutiveCollection_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExecutiveCollection\nC++: vtkExecutiveCollection *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddItem",                (PyCFunction)PyvtkExecutiveCollection_AddItem, 1,
   (char*)"V.AddItem(vtkExecutive)\nC++: void AddItem (vtkExecutive *exec);this vtkCollection AddItem exec \n\n Get the next executive in the list.\n"},
  {(char*)"GetNextItem",                (PyCFunction)PyvtkExecutiveCollection_GetNextItem, 1,
   (char*)"V.GetNextItem() -> vtkExecutive\nC++: vtkExecutive *GetNextItem ();return static_cast vtkExecutive this GetNextItemAsObject \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExecutiveCollectionDoc[] = {
  (char*)"vtkExecutiveCollection - maintain a list of executive objects\n\n",
  "Super Class:\n\n vtkCollection\n\n",
  (char*)" vtkExecutiveCollection is an object that creates and manipulates lists of\n objects that are (inherited from) vtkExecutives.\n\n",
  "See Also:\n\n vtkExecutive vtkCollection\n\n",
  NULL
};

static vtkObjectBase *vtkExecutiveCollectionStaticNew()
{
  return vtkExecutiveCollection::New();
}

PyObject *PyVTKClass_vtkExecutiveCollectionNew(char *modulename)
{
  return PyVTKClass_New(&vtkExecutiveCollectionStaticNew,
                        PyvtkExecutiveCollectionMethods,
                        (char*)"vtkExecutiveCollection",modulename,
                        (char**)vtkExecutiveCollectionDoc,
                        PyVTKClass_vtkCollectionNew(modulename));
}

