// python wrapper for vtkImplicitHalo object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImplicitHalo.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImplicitHaloNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImplicitHaloNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImplicitFunctionNew(char *); }

static PyObject *PyvtkImplicitHalo_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitHalo *op;

  const char    *temp20;
  op = (vtkImplicitHalo *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitHalo::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitHalo_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitHalo *op;

  char    *temp0;
  int      temp20;
  op = (vtkImplicitHalo *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitHalo::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitHalo_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitHalo *op;

  vtkImplicitHalo  *temp20;
  op = (vtkImplicitHalo *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitHalo::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitHalo_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImplicitHalo  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImplicitHalo::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImplicitHalo_EvaluateFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitHalo *op;

  double temp0[3];
  double   temp20;
  op = (vtkImplicitHalo *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitHalo::EvaluateFunction(temp0);
      }
    else
      {
      temp20 = op->EvaluateFunction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkImplicitHalo *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  PyErr_Clear();
  op = (vtkImplicitHalo *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitHalo::EvaluateFunction(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->EvaluateFunction(temp0,temp1,temp2);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitHalo_EvaluateGradient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitHalo *op;

  double temp0[3];
  double temp1[3];
  op = (vtkImplicitHalo *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitHalo::EvaluateGradient(temp0,temp1);
      }
    else
      {
      op->EvaluateGradient(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitHalo_SetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitHalo *op;

  double   temp0;
  op = (vtkImplicitHalo *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitHalo::SetRadius(temp0);
      }
    else
      {
      op->SetRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitHalo_GetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitHalo *op;

  double   temp20;
  op = (vtkImplicitHalo *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitHalo::GetRadius();
      }
    else
      {
      temp20 = op->GetRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitHalo_SetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitHalo *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkImplicitHalo *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitHalo::SetCenter(temp0,temp1,temp2);
      }
    else
      {
      op->SetCenter(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImplicitHalo *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkImplicitHalo *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitHalo::SetCenter(temp0);
      }
    else
      {
      op->SetCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitHalo_GetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitHalo *op;

  double  *temp20;
  op = (vtkImplicitHalo *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitHalo::GetCenter();
      }
    else
      {
      temp20 = op->GetCenter();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitHalo_SetFadeOut(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitHalo *op;

  double   temp0;
  op = (vtkImplicitHalo *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitHalo::SetFadeOut(temp0);
      }
    else
      {
      op->SetFadeOut(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitHalo_GetFadeOut(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitHalo *op;

  double   temp20;
  op = (vtkImplicitHalo *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitHalo::GetFadeOut();
      }
    else
      {
      temp20 = op->GetFadeOut();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImplicitHaloMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImplicitHalo_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImplicitHalo_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImplicitHalo_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImplicitHalo\nC++: vtkImplicitHalo *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImplicitHalo_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImplicitHalo\nC++: vtkImplicitHalo *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"EvaluateFunction",                (PyCFunction)PyvtkImplicitHalo_EvaluateFunction, 1,
   (char*)"V.EvaluateFunction((float, float, float)) -> float\nC++: virtual double EvaluateFunction (double x[3]);\nV.EvaluateFunction(float, float, float) -> float\nC++: virtual double EvaluateFunction (double x, double y, double z);return this vtkImplicitFunction EvaluateFunction x y z \n\n"},
  {(char*)"EvaluateGradient",                (PyCFunction)PyvtkImplicitHalo_EvaluateGradient, 1,
   (char*)"V.EvaluateGradient((float, float, float), (float, float, float))\nC++: void EvaluateGradient (double x[3], double g[3]);\n\n"},
  {(char*)"SetRadius",                (PyCFunction)PyvtkImplicitHalo_SetRadius, 1,
   (char*)"V.SetRadius(float)\nC++: void SetRadius (double );\n\n Radius of the sphere.\n"},
  {(char*)"GetRadius",                (PyCFunction)PyvtkImplicitHalo_GetRadius, 1,
   (char*)"V.GetRadius() -> float\nC++: double GetRadius ();\n\n Radius of the sphere.\n"},
  {(char*)"SetCenter",                (PyCFunction)PyvtkImplicitHalo_SetCenter, 1,
   (char*)"V.SetCenter(float, float, float)\nC++: void SetCenter (double , double , double );\nV.SetCenter((float, float, float))\nC++: void SetCenter (double  a[3]);\n\n Center of the sphere.\n"},
  {(char*)"GetCenter",                (PyCFunction)PyvtkImplicitHalo_GetCenter, 1,
   (char*)"V.GetCenter() -> (float, float, float)\nC++: double  *GetCenter ();\n\n Center of the sphere.\n"},
  {(char*)"SetFadeOut",                (PyCFunction)PyvtkImplicitHalo_SetFadeOut, 1,
   (char*)"V.SetFadeOut(float)\nC++: void SetFadeOut (double );\n\n FadeOut ratio. Valid values are between 0.0 and 1.0.\n"},
  {(char*)"GetFadeOut",                (PyCFunction)PyvtkImplicitHalo_GetFadeOut, 1,
   (char*)"V.GetFadeOut() -> float\nC++: double GetFadeOut ();\n\n FadeOut ratio. Valid values are between 0.0 and 1.0.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImplicitHaloDoc[] = {
  (char*)"vtkImplicitHalo - implicit function for an halo\n\n",
  "Super Class:\n\n vtkImplicitFunction\n\n",
  (char*)" vtkImplicitHalo evaluates to 1.0 for each position in the sphere of a\n given center and radius Radius*(1-FadeOut). It evaluates to 0.0 for each\n position out the sphere of a given Center and radius Radius. It fades out\n linearly from 1.0 to 0.0 for points in a radius from Radius*(1-FadeOut) to\n Radius.\n vtkImplicitHalo is a concrete implementation of vtkImplicitFunction. \n It is useful as an inpu",
  (char*)"t to\n vtkSampleFunction to generate an 2D image of an halo. It is used this way by\n vtkShadowMapPass.\n\n",
  "Caveats:\n\n It does not implement the gradient.\n\n",
  NULL
};

static vtkObjectBase *vtkImplicitHaloStaticNew()
{
  return vtkImplicitHalo::New();
}

PyObject *PyVTKClass_vtkImplicitHaloNew(char *modulename)
{
  return PyVTKClass_New(&vtkImplicitHaloStaticNew,
                        PyvtkImplicitHaloMethods,
                        (char*)"vtkImplicitHalo",modulename,
                        (char**)vtkImplicitHaloDoc,
                        PyVTKClass_vtkImplicitFunctionNew(modulename));
}

