// python wrapper for vtkIncrementalPointLocator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkIncrementalPointLocator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkIncrementalPointLocatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkIncrementalPointLocatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractPointLocatorNew(char *); }

static PyObject *PyvtkIncrementalPointLocator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalPointLocator *op;

  const char    *temp20;
  op = (vtkIncrementalPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIncrementalPointLocator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalPointLocator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalPointLocator *op;

  char    *temp0;
  int      temp20;
  op = (vtkIncrementalPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIncrementalPointLocator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalPointLocator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalPointLocator *op;

  vtkIncrementalPointLocator  *temp20;
  op = (vtkIncrementalPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIncrementalPointLocator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalPointLocator_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalPointLocator *op;

  op = (vtkIncrementalPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalPointLocator_FindClosestInsertedPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalPointLocator *op;

  double temp0[3];
  vtkIdType   temp20;
  op = (vtkIncrementalPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->FindClosestInsertedPoint(temp0);
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalPointLocator_InitPointInsertion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalPointLocator *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  double temp1[6];
  int      temp20;
  op = (vtkIncrementalPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"O(dddddd)", &tempH0, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5);
  if (op)
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->InitPointInsertion(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break5:
  /* handle an occurrence */
  {
  vtkIncrementalPointLocator *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  double temp1[6];
  vtkIdType   temp2;
  int      temp20;
  PyErr_Clear();
  op = (vtkIncrementalPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"O(dddddd)L", &tempH0, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5, &temp2);
  if (op)
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->InitPointInsertion(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkIncrementalPointLocator_IsInsertedPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalPointLocator *op;

  double   temp0;
  double   temp1;
  double   temp2;
  vtkIdType   temp20;
  op = (vtkIncrementalPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->IsInsertedPoint(temp0,temp1,temp2);
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkIncrementalPointLocator *op;

  double temp0[3];
  vtkIdType   temp20;
  PyErr_Clear();
  op = (vtkIncrementalPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->IsInsertedPoint(temp0);
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalPointLocator_InsertPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalPointLocator *op;

  vtkIdType   temp0;
  double temp1[3];
  op = (vtkIncrementalPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"L(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->InsertPoint(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalPointLocator_InsertNextPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalPointLocator *op;

  double temp0[3];
  vtkIdType   temp20;
  op = (vtkIncrementalPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->InsertNextPoint(temp0);
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkIncrementalPointLocatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkIncrementalPointLocator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkIncrementalPointLocator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkIncrementalPointLocator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkIncrementalPointLocator\nC++: vtkIncrementalPointLocator *NewInstance ();\n\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkIncrementalPointLocator_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize () = 0;\n\n Delete the search structure.\n"},
  {(char*)"FindClosestInsertedPoint",                (PyCFunction)PyvtkIncrementalPointLocator_FindClosestInsertedPoint, 1,
   (char*)"V.FindClosestInsertedPoint((float, float, float)) -> int\nC++: virtual vtkIdType FindClosestInsertedPoint (const double x[3]) = 0;\n\n Given a point x assumed to be covered by the search structure, return the\n index of the closest point (already inserted to the search structure) \n regardless of the associated minimum squared distance relative to the \n squared insertion-tolerance distance. This method is used when performing\n incremental point insertion. Note -1 indicates that no point is found. \n InitPointInsertion() should have been called in advance.\n"},
  {(char*)"InitPointInsertion",                (PyCFunction)PyvtkIncrementalPointLocator_InitPointInsertion, 1,
   (char*)"V.InitPointInsertion(vtkPoints, (float, float, float, float, float, float)) -> int\nC++: virtual int InitPointInsertion (vtkPoints *newPts, const double bounds[6]) = 0;\nV.InitPointInsertion(vtkPoints, (float, float, float, float, float, float), int) -> int\nC++: virtual int InitPointInsertion (vtkPoints *newPts, const double bounds[6], vtkIdType estSize) = 0;\n\n Initialize the point insertion process. newPts is an object, storing 3D\n point coordinates, to which incremental point insertion puts coordinates.\n It is created and provided by an external VTK class. Argument bounds\n represents the spatial bounding box, into which the points fall.\n"},
  {(char*)"IsInsertedPoint",                (PyCFunction)PyvtkIncrementalPointLocator_IsInsertedPoint, 1,
   (char*)"V.IsInsertedPoint(float, float, float) -> int\nC++: virtual vtkIdType IsInsertedPoint (double x, double y, double z) = 0;\nV.IsInsertedPoint((float, float, float)) -> int\nC++: virtual vtkIdType IsInsertedPoint (const double x[3]) = 0;\n\n Determine whether or not a given point has been inserted. Return the id of \n the already inserted point if true, else return -1. InitPointInsertion()\n should have been called in advance.\n"},
  {(char*)"InsertPoint",                (PyCFunction)PyvtkIncrementalPointLocator_InsertPoint, 1,
   (char*)"V.InsertPoint(int, (float, float, float))\nC++: virtual void InsertPoint (vtkIdType ptId, const double x[3]) = 0;\n\n Insert a given point with a specified point index ptId. InitPointInsertion()\n should have been called prior to this function. Also, IsInsertedPoint()\n should have been called in advance to ensure that the given point has not \n been inserted unless point duplication is allowed.\n"},
  {(char*)"InsertNextPoint",                (PyCFunction)PyvtkIncrementalPointLocator_InsertNextPoint, 1,
   (char*)"V.InsertNextPoint((float, float, float)) -> int\nC++: virtual vtkIdType InsertNextPoint (const double x[3]) = 0;\n\n Insert a given point and return the point index. InitPointInsertion()\n should have been called prior to this function. Also, IsInsertedPoint() \n should have been called in advance to ensure that the given point has not\n been inserted unless point duplication is allowed.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkIncrementalPointLocatorDoc[] = {
  (char*)"vtkIncrementalPointLocator - Abstract class in support of both\n\n",
  "Super Class:\n\n vtkAbstractPointLocator\n\n",
  (char*)"  Compared to a static point locator for pure location functionalities \n  through some search structure established from a fixed set of points,\n  an incremental point locator allows for, in addition, point insertion\n  capabilities, with the search structure maintaining a dynamically\n  increasing number of points. There are two incremental point locators,\n  i.e., vtkPointLocator and vtkIncrementalO",
  (char*)"ctreePointLocator. As opposed\n  to the uniform bin-based search structure (adopted in vtkPointLocator)\n  with a fixed spatial resolution, an octree mechanism (employed in\n  vtkIncrementalOctreePointlocator) resorts to a hierarchy of tree-like\n  sub-division of the 3D data domain. Thus it enables data-aware multi-\n  resolution and accordingly accelerated point location as well as point\n  insertion,",
  (char*)" particularly when handling a radically imbalanced layout of\n  points as not uncommon in datasets defined on adaptive meshes. In other\n  words, vtkIncrementalOctreePointLocator is an octree-based accelerated\n  implementation of all functionalities of vtkPointLocator. \n  \n\n",
  "See Also:\n\n vtkLocator, vtkIncrementalOctreePointLocator, vtkPointLocator, \n vtkMergePoints\n\n",
  NULL
};

PyObject *PyVTKClass_vtkIncrementalPointLocatorNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkIncrementalPointLocatorMethods,
                        (char*)"vtkIncrementalPointLocator",modulename,
                        (char**)vtkIncrementalPointLocatorDoc,
                        PyVTKClass_vtkAbstractPointLocatorNew(modulename));
}

