// python wrapper for vtkInterpolatedVelocityField object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkInterpolatedVelocityField.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkInterpolatedVelocityFieldNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkInterpolatedVelocityFieldNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractInterpolatedVelocityFieldNew(char *); }

static PyObject *PyvtkInterpolatedVelocityField_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInterpolatedVelocityField *op;

  const char    *temp20;
  op = (vtkInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInterpolatedVelocityField::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkInterpolatedVelocityField_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInterpolatedVelocityField *op;

  char    *temp0;
  int      temp20;
  op = (vtkInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInterpolatedVelocityField::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInterpolatedVelocityField_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInterpolatedVelocityField *op;

  vtkInterpolatedVelocityField  *temp20;
  op = (vtkInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInterpolatedVelocityField::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInterpolatedVelocityField_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkInterpolatedVelocityField  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkInterpolatedVelocityField::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkInterpolatedVelocityField_AddDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInterpolatedVelocityField *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  op = (vtkInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkInterpolatedVelocityField::AddDataSet(temp0);
      }
    else
      {
      op->AddDataSet(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkInterpolatedVelocityField_SetLastCellId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInterpolatedVelocityField *op;

  vtkIdType   temp0;
  int      temp1;
  op = (vtkInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"Li", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInterpolatedVelocityField::SetLastCellId(temp0,temp1);
      }
    else
      {
      op->SetLastCellId(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkInterpolatedVelocityField *op;

  vtkIdType   temp0;
  PyErr_Clear();
  op = (vtkInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInterpolatedVelocityField::SetLastCellId(temp0);
      }
    else
      {
      op->SetLastCellId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkInterpolatedVelocityFieldMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkInterpolatedVelocityField_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkInterpolatedVelocityField_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkInterpolatedVelocityField_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkInterpolatedVelocityField\nC++: vtkInterpolatedVelocityField *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkInterpolatedVelocityField_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkInterpolatedVelocityField\nC++: vtkInterpolatedVelocityField *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddDataSet",                (PyCFunction)PyvtkInterpolatedVelocityField_AddDataSet, 1,
   (char*)"V.AddDataSet(vtkDataSet)\nC++: virtual void AddDataSet (vtkDataSet *dataset);\n\n Add a dataset used for the implicit function evaluation. If more than\n one dataset is added, the evaluation point is searched in all until a \n match is found. THIS FUNCTION DOES NOT CHANGE THE REFERENCE COUNT OF \n DATASET FOR THREAD SAFETY REASONS.\n"},
  {(char*)"SetLastCellId",                (PyCFunction)PyvtkInterpolatedVelocityField_SetLastCellId, 1,
   (char*)"V.SetLastCellId(int, int)\nC++: virtual void SetLastCellId (vtkIdType c, int dataindex);\nV.SetLastCellId(int)\nC++: virtual void SetLastCellId (vtkIdType c);this Superclass SetLastCellId c \n\n Set the cell id cached by the last evaluation within a specified dataset.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkInterpolatedVelocityFieldDoc[] = {
  (char*)"vtkInterpolatedVelocityField - A concrete class for obtaining\n\n",
  "Super Class:\n\n vtkAbstractInterpolatedVelocityField\n\n",
  (char*)"  vtkInterpolatedVelocityField acts as a continuous velocity field via\n  cell interpolation on a vtkDataSet, NumberOfIndependentVariables = 4\n  (x,y,z,t) and NumberOfFunctions = 3 (u,v,w). As a concrete sub-class \n  of vtkAbstractInterpolatedVelocityField, this class adopts two levels \n  of cell caching for faster though less robust cell location than its \n  sibling class vtkCellLocatorInterpolate",
  (char*)"dVelocityField. Level #0 begins \n  with intra-cell caching. Specifically, if the previous cell is valid \n  and the nex point is still within it, ( vtkCell::EvaluatePosition() \n  returns 1, coupled with the new parametric coordinates and weights ), \n  the function values are interpolated and vtkCell::EvaluatePosition() \n  is invoked only. If it fails, level #1 follows by inter-cell location \n  of t",
  (char*)"he target cell (that contains the next point). By inter-cell, the \n  previous cell gives an important clue / guess or serves as an immediate\n  neighbor to aid in the location of the target cell (as is typically the \n  case with integrating a streamline across cells) by means of vtkDataSet::\n  FindCell(). If this still fails, a global cell search is invoked via \n  vtkDataSet::FindCell(). \n  \n  Rega",
  (char*)"rdless of inter-cell or global search, vtkPointLocator is employed \n  as a crucial tool underlying the cell locator. The use of vtkPointLocator\n  casues vtkInterpolatedVelocityField to return false target cells for \n  datasets defined on complex grids.\n\n\n",
  "Caveats:\n\n  vtkInterpolatedVelocityField is not thread safe. A new instance should be\n  created by each thread.\n\n",
  "See Also:\n\n vtkAbstractInterpolatedVelocityField vtkCellLocatorInterpolatedVelocityField\n vtkGenericInterpolatedVelocityField vtkCachingInterpolatedVelocityField\n vtkTemporalInterpolatedVelocityField vtkFunctionSet vtkStreamer vtkStreamTracer\n\n",
  NULL
};

static vtkObjectBase *vtkInterpolatedVelocityFieldStaticNew()
{
  return vtkInterpolatedVelocityField::New();
}

PyObject *PyVTKClass_vtkInterpolatedVelocityFieldNew(char *modulename)
{
  return PyVTKClass_New(&vtkInterpolatedVelocityFieldStaticNew,
                        PyvtkInterpolatedVelocityFieldMethods,
                        (char*)"vtkInterpolatedVelocityField",modulename,
                        (char**)vtkInterpolatedVelocityFieldDoc,
                        PyVTKClass_vtkAbstractInterpolatedVelocityFieldNew(modulename));
}

