// python wrapper for vtkKdTreePointLocator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkKdTreePointLocator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkKdTreePointLocatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkKdTreePointLocatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractPointLocatorNew(char *); }

static PyObject *PyvtkKdTreePointLocator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTreePointLocator *op;

  const char    *temp20;
  op = (vtkKdTreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTreePointLocator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTreePointLocator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTreePointLocator *op;

  char    *temp0;
  int      temp20;
  op = (vtkKdTreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTreePointLocator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTreePointLocator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTreePointLocator *op;

  vtkKdTreePointLocator  *temp20;
  op = (vtkKdTreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTreePointLocator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTreePointLocator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkKdTreePointLocator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkKdTreePointLocator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkKdTreePointLocator_FindClosestPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTreePointLocator *op;

  double temp0[3];
  vtkIdType   temp20;
  op = (vtkKdTreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTreePointLocator::FindClosestPoint(temp0);
      }
    else
      {
      temp20 = op->FindClosestPoint(temp0);
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTreePointLocator_FindClosestNPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTreePointLocator *op;

  int      temp0;
  double temp1[3];
  vtkIdList  *temp2;
  PyObject *tempH2;
  op = (vtkKdTreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)O", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, &tempH2);
  if (op)
    {
    temp2 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdList");
    if (!temp2 && tempH2 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTreePointLocator::FindClosestNPoints(temp0,temp1,temp2);
      }
    else
      {
      op->FindClosestNPoints(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkKdTreePointLocator_FindPointsWithinRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTreePointLocator *op;

  double   temp0;
  double temp1[3];
  vtkIdList  *temp2;
  PyObject *tempH2;
  op = (vtkKdTreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"d(ddd)O", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, &tempH2);
  if (op)
    {
    temp2 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdList");
    if (!temp2 && tempH2 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTreePointLocator::FindPointsWithinRadius(temp0,temp1,temp2);
      }
    else
      {
      op->FindPointsWithinRadius(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkKdTreePointLocator_FreeSearchStructure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTreePointLocator *op;

  op = (vtkKdTreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTreePointLocator::FreeSearchStructure();
      }
    else
      {
      op->FreeSearchStructure();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTreePointLocator_BuildLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTreePointLocator *op;

  op = (vtkKdTreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTreePointLocator::BuildLocator();
      }
    else
      {
      op->BuildLocator();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTreePointLocator_GenerateRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTreePointLocator *op;

  int      temp0;
  vtkPolyData  *temp1;
  PyObject *tempH1;
  op = (vtkKdTreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPolyData");
    if (!temp1 && tempH1 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTreePointLocator::GenerateRepresentation(temp0,temp1);
      }
    else
      {
      op->GenerateRepresentation(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}

static PyMethodDef PyvtkKdTreePointLocatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkKdTreePointLocator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkKdTreePointLocator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkKdTreePointLocator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkKdTreePointLocator\nC++: vtkKdTreePointLocator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkKdTreePointLocator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkKdTreePointLocator\nC++: vtkKdTreePointLocator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"FindClosestPoint",                (PyCFunction)PyvtkKdTreePointLocator_FindClosestPoint, 1,
   (char*)"V.FindClosestPoint((float, float, float)) -> int\nC++: virtual vtkIdType FindClosestPoint (const double x[3]);\n\n Given a position x, return the id of the point closest to it. Alternative\n method requires separate x-y-z values.\n These methods are thread safe if BuildLocator() is directly or\n indirectly called from a single thread first.\n"},
  {(char*)"FindClosestNPoints",                (PyCFunction)PyvtkKdTreePointLocator_FindClosestNPoints, 1,
   (char*)"V.FindClosestNPoints(int, (float, float, float), vtkIdList)\nC++: virtual void FindClosestNPoints (int N, const double x[3], vtkIdList *result);\n\n Find the closest N points to a position. This returns the closest\n N points to a position. A faster method could be created that returned\n N close points to a position, but necessarily the exact N closest.\n The returned points are sorted from closest to farthest.\n These methods are thread safe if BuildLocator() is directly or\n indirectly called from a single thread first.\n"},
  {(char*)"FindPointsWithinRadius",                (PyCFunction)PyvtkKdTreePointLocator_FindPointsWithinRadius, 1,
   (char*)"V.FindPointsWithinRadius(float, (float, float, float), vtkIdList)\nC++: virtual void FindPointsWithinRadius (double R, const double x[3], vtkIdList *result);\n\n Find all points within a specified radius R of position x.\n The result is not sorted in any specific manner.\n These methods are thread safe if BuildLocator() is directly or\n indirectly called from a single thread first.\n"},
  {(char*)"FreeSearchStructure",                (PyCFunction)PyvtkKdTreePointLocator_FreeSearchStructure, 1,
   (char*)"V.FreeSearchStructure()\nC++: virtual void FreeSearchStructure ();\n\n See vtkLocator interface documentation.\n These methods are not thread safe.\n"},
  {(char*)"BuildLocator",                (PyCFunction)PyvtkKdTreePointLocator_BuildLocator, 1,
   (char*)"V.BuildLocator()\nC++: virtual void BuildLocator ();\n\n See vtkLocator interface documentation.\n These methods are not thread safe.\n"},
  {(char*)"GenerateRepresentation",                (PyCFunction)PyvtkKdTreePointLocator_GenerateRepresentation, 1,
   (char*)"V.GenerateRepresentation(int, vtkPolyData)\nC++: virtual void GenerateRepresentation (int level, vtkPolyData *pd);\n\n See vtkLocator interface documentation.\n These methods are not thread safe.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkKdTreePointLocatorDoc[] = {
  (char*)"vtkKdTreePointLocator - class to quickly locate points in 3-space\n\n",
  "Super Class:\n\n vtkAbstractPointLocator\n\n",
  (char*)" vtkKdTreePointLocator is a wrapper class that derives from\n vtkAbstractPointLocator and calls the search functions in vtkKdTree.\n\n",
  "See Also:\n\n vtkKdTree\n\n",
  NULL
};

static vtkObjectBase *vtkKdTreePointLocatorStaticNew()
{
  return vtkKdTreePointLocator::New();
}

PyObject *PyVTKClass_vtkKdTreePointLocatorNew(char *modulename)
{
  return PyVTKClass_New(&vtkKdTreePointLocatorStaticNew,
                        PyvtkKdTreePointLocatorMethods,
                        (char*)"vtkKdTreePointLocator",modulename,
                        (char**)vtkKdTreePointLocatorDoc,
                        PyVTKClass_vtkAbstractPointLocatorNew(modulename));
}

