// python wrapper for vtkSelectionNode object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSelectionNode.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSelectionNodeNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSelectionNodeNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkSelectionNode_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionNode *op;

  const char    *temp20;
  op = (vtkSelectionNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectionNode::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionNode_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionNode *op;

  char    *temp0;
  int      temp20;
  op = (vtkSelectionNode *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectionNode::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionNode_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionNode *op;

  vtkSelectionNode  *temp20;
  op = (vtkSelectionNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectionNode::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionNode_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSelectionNode  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSelectionNode::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSelectionNode_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionNode *op;

  op = (vtkSelectionNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectionNode::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionNode_SetSelectionList(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionNode *op;

  vtkAbstractArray  *temp0;
  PyObject *tempH0;
  op = (vtkSelectionNode *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractArray");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectionNode::SetSelectionList(temp0);
      }
    else
      {
      op->SetSelectionList(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkSelectionNode_GetSelectionList(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionNode *op;

  vtkAbstractArray  *temp20;
  op = (vtkSelectionNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectionNode::GetSelectionList();
      }
    else
      {
      temp20 = op->GetSelectionList();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionNode_SetSelectionData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionNode *op;

  vtkDataSetAttributes  *temp0;
  PyObject *tempH0;
  op = (vtkSelectionNode *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSetAttributes *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSetAttributes");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectionNode::SetSelectionData(temp0);
      }
    else
      {
      op->SetSelectionData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkSelectionNode_GetSelectionData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionNode *op;

  vtkDataSetAttributes  *temp20;
  op = (vtkSelectionNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectionNode::GetSelectionData();
      }
    else
      {
      temp20 = op->GetSelectionData();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionNode_GetProperties(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionNode *op;

  vtkInformation  *temp20;
  op = (vtkSelectionNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectionNode::GetProperties();
      }
    else
      {
      temp20 = op->GetProperties();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionNode_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionNode *op;

  vtkSelectionNode  *temp0;
  PyObject *tempH0;
  op = (vtkSelectionNode *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSelectionNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelectionNode");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectionNode::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkSelectionNode_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionNode *op;

  vtkSelectionNode  *temp0;
  PyObject *tempH0;
  op = (vtkSelectionNode *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSelectionNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelectionNode");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectionNode::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkSelectionNode_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionNode *op;

  unsigned long     temp20;
  op = (vtkSelectionNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectionNode::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionNode_CONTENT_TYPE(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSelectionNode::CONTENT_TYPE();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionNode_SetContentType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionNode *op;

  int      temp0;
  op = (vtkSelectionNode *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectionNode::SetContentType(temp0);
      }
    else
      {
      op->SetContentType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionNode_GetContentType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionNode *op;

  int      temp20;
  op = (vtkSelectionNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectionNode::GetContentType();
      }
    else
      {
      temp20 = op->GetContentType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionNode_FIELD_TYPE(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSelectionNode::FIELD_TYPE();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionNode_SetFieldType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionNode *op;

  int      temp0;
  op = (vtkSelectionNode *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectionNode::SetFieldType(temp0);
      }
    else
      {
      op->SetFieldType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionNode_GetFieldType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionNode *op;

  int      temp20;
  op = (vtkSelectionNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectionNode::GetFieldType();
      }
    else
      {
      temp20 = op->GetFieldType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionNode_SetSelectedProp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionNode *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  op = (vtkSelectionNode *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectionNode::SetSelectedProp(temp0);
      }
    else
      {
      op->SetSelectedProp(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break19:
  return NULL;
}


static PyObject *PyvtkSelectionNode_GetSelectedProp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionNode *op;

  vtkProp  *temp20;
  op = (vtkSelectionNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectionNode::GetSelectedProp();
      }
    else
      {
      temp20 = op->GetSelectedProp();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionNode_EPSILON(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationDoubleKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSelectionNode::EPSILON();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionNode_CONTAINING_CELLS(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSelectionNode::CONTAINING_CELLS();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionNode_COMPONENT_NUMBER(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSelectionNode::COMPONENT_NUMBER();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionNode_INVERSE(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSelectionNode::INVERSE();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionNode_PIXEL_COUNT(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSelectionNode::PIXEL_COUNT();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionNode_SOURCE(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationObjectBaseKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSelectionNode::SOURCE();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionNode_SOURCE_ID(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSelectionNode::SOURCE_ID();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionNode_PROP(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationObjectBaseKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSelectionNode::PROP();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionNode_PROP_ID(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSelectionNode::PROP_ID();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionNode_PROCESS_ID(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSelectionNode::PROCESS_ID();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionNode_COMPOSITE_INDEX(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSelectionNode::COMPOSITE_INDEX();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionNode_HIERARCHICAL_LEVEL(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSelectionNode::HIERARCHICAL_LEVEL();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionNode_HIERARCHICAL_INDEX(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSelectionNode::HIERARCHICAL_INDEX();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionNode_INDEXED_VERTICES(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSelectionNode::INDEXED_VERTICES();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionNode_UnionSelectionList(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionNode *op;

  vtkSelectionNode  *temp0;
  PyObject *tempH0;
  op = (vtkSelectionNode *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSelectionNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelectionNode");
    if (!temp0 && tempH0 != Py_None) goto break35;
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectionNode::UnionSelectionList(temp0);
      }
    else
      {
      op->UnionSelectionList(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break35:
  return NULL;
}


static PyObject *PyvtkSelectionNode_EqualProperties(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionNode *op;

  vtkSelectionNode  *temp0;
  PyObject *tempH0;
  bool   temp1;
  bool   temp20;
  op = (vtkSelectionNode *)PyArg_VTKParseTuple(self, args, (char*)"Ob", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkSelectionNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelectionNode");
    if (!temp0 && tempH0 != Py_None) goto break36;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectionNode::EqualProperties(temp0,temp1);
      }
    else
      {
      temp20 = op->EqualProperties(temp0,temp1);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break36:
  return NULL;
}

static PyMethodDef PyvtkSelectionNodeMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSelectionNode_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSelectionNode_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSelectionNode_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSelectionNode\nC++: vtkSelectionNode *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSelectionNode_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSelectionNode\nC++: vtkSelectionNode *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkSelectionNode_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize ();\n\n Restore data object to initial state,\n"},
  {(char*)"SetSelectionList",                (PyCFunction)PyvtkSelectionNode_SetSelectionList, 1,
   (char*)"V.SetSelectionList(vtkAbstractArray)\nC++: virtual void SetSelectionList (vtkAbstractArray *);\n\n Sets the selection list.\n"},
  {(char*)"GetSelectionList",                (PyCFunction)PyvtkSelectionNode_GetSelectionList, 1,
   (char*)"V.GetSelectionList() -> vtkAbstractArray\nC++: virtual vtkAbstractArray *GetSelectionList ();\n\n Sets the selection list.\n"},
  {(char*)"SetSelectionData",                (PyCFunction)PyvtkSelectionNode_SetSelectionData, 1,
   (char*)"V.SetSelectionData(vtkDataSetAttributes)\nC++: virtual void SetSelectionData (vtkDataSetAttributes *data);\n\n Sets the selection table.\n"},
  {(char*)"GetSelectionData",                (PyCFunction)PyvtkSelectionNode_GetSelectionData, 1,
   (char*)"V.GetSelectionData() -> vtkDataSetAttributes\nC++: vtkDataSetAttributes *GetSelectionData ();\n\n Sets the selection table.\n"},
  {(char*)"GetProperties",                (PyCFunction)PyvtkSelectionNode_GetProperties, 1,
   (char*)"V.GetProperties() -> vtkInformation\nC++: vtkInformation *GetProperties ();\n\n Returns the property map.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkSelectionNode_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkSelectionNode)\nC++: virtual void DeepCopy (vtkSelectionNode *src);\n\n Copy properties, selection list and children of the input.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkSelectionNode_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkSelectionNode)\nC++: virtual void ShallowCopy (vtkSelectionNode *src);\n\n Copy properties, selection list and children of the input.\n This is a shallow copy: selection lists and pointers in the\n properties are passed by reference.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkSelectionNode_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Return the MTime taking into account changes to the properties\n"},
  {(char*)"CONTENT_TYPE",                (PyCFunction)PyvtkSelectionNode_CONTENT_TYPE, 1,
   (char*)"V.CONTENT_TYPE() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *CONTENT_TYPE ();\n\n Get the (primary) property that describes the content of a selection \n node's data. Other auxiliary description properties follow.\n GLOBALIDS means that the selection list contains values from the\n vtkDataSetAttribute array of the same name.\n PEDIGREEIDS means that the selection list contains values from the\n vtkDataSetAttribute array of the same name.\n VALUES means the the selection list contains values from an \n arbitrary attribute array (ignores any globalids attribute)\n INDICES means that the selection list contains indexes into the \n cell or point arrays.\n FRUSTUM means the set of points and cells inside a frustum\n LOCATIONS means the set of points and cells near a set of positions\n THRESHOLDS means the points and cells with values within a set of ranges\n GetContentType() returns -1 if the content type is not set.\n"},
  {(char*)"SetContentType",                (PyCFunction)PyvtkSelectionNode_SetContentType, 1,
   (char*)"V.SetContentType(int)\nC++: virtual void SetContentType (int type);\n\n Get or set the content type of the selection.\n This is the same as setting the CONTENT_TYPE() key on the property.\n"},
  {(char*)"GetContentType",                (PyCFunction)PyvtkSelectionNode_GetContentType, 1,
   (char*)"V.GetContentType() -> int\nC++: virtual int GetContentType ();\n\n Get or set the content type of the selection.\n This is the same as setting the CONTENT_TYPE() key on the property.\n"},
  {(char*)"FIELD_TYPE",                (PyCFunction)PyvtkSelectionNode_FIELD_TYPE, 1,
   (char*)"V.FIELD_TYPE() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *FIELD_TYPE ();\n\n Controls whether cell, point, or field data determine what is inside and out.\n The default is CELL.\n Vertex and edge types are also available for graph classes.\n GetFieldType() returns -1 if the field type is not set.\n"},
  {(char*)"SetFieldType",                (PyCFunction)PyvtkSelectionNode_SetFieldType, 1,
   (char*)"V.SetFieldType(int)\nC++: virtual void SetFieldType (int type);\n\n Get or set the field type of the selection.\n This is the same as setting the FIELD_TYPE() key on the property.\n"},
  {(char*)"GetFieldType",                (PyCFunction)PyvtkSelectionNode_GetFieldType, 1,
   (char*)"V.GetFieldType() -> int\nC++: virtual int GetFieldType ();\n\n Get or set the field type of the selection.\n This is the same as setting the FIELD_TYPE() key on the property.\n"},
  {(char*)"SetSelectedProp",                (PyCFunction)PyvtkSelectionNode_SetSelectedProp, 1,
   (char*)"V.SetSelectedProp(vtkProp)\nC++: virtual void SetSelectedProp (vtkProp *prop);\n\n Get or set the prop of the selection.\n This is the same as setting the PROP() key on the property.\n"},
  {(char*)"GetSelectedProp",                (PyCFunction)PyvtkSelectionNode_GetSelectedProp, 1,
   (char*)"V.GetSelectedProp() -> vtkProp\nC++: virtual vtkProp *GetSelectedProp ();\n\n Get or set the prop of the selection.\n This is the same as setting the PROP() key on the property.\n"},
  {(char*)"EPSILON",                (PyCFunction)PyvtkSelectionNode_EPSILON, 1,
   (char*)"V.EPSILON() -> vtkInformationDoubleKey\nC++: static vtkInformationDoubleKey *EPSILON ();\n\n For location selection of points, if distance is greater than this reject.\n"},
  {(char*)"CONTAINING_CELLS",                (PyCFunction)PyvtkSelectionNode_CONTAINING_CELLS, 1,
   (char*)"V.CONTAINING_CELLS() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *CONTAINING_CELLS ();\n\n This flag tells the extraction filter, when FIELD_TYPE==POINT, that\n it should also extract the cells that contain any of the extracted points.\n"},
  {(char*)"COMPONENT_NUMBER",                (PyCFunction)PyvtkSelectionNode_COMPONENT_NUMBER, 1,
   (char*)"V.COMPONENT_NUMBER() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *COMPONENT_NUMBER ();\n\n When ContentType==THRESHOLDS  or ContentType==VALUES \n i.e. threshold and value based selections, it is\n possible pick the component number using this key. If none is specified,\n the 0th component is used. If any number less than 0 is specified, then\n the magnitude is used.\n"},
  {(char*)"INVERSE",                (PyCFunction)PyvtkSelectionNode_INVERSE, 1,
   (char*)"V.INVERSE() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *INVERSE ();\n\n This flag tells the extraction filter to exclude the selection.\n"},
  {(char*)"PIXEL_COUNT",                (PyCFunction)PyvtkSelectionNode_PIXEL_COUNT, 1,
   (char*)"V.PIXEL_COUNT() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *PIXEL_COUNT ();\n\n A helper for visible cell selector, this is the number of pixels covered\n by the actor whose cells are listed in the selection.\n"},
  {(char*)"SOURCE",                (PyCFunction)PyvtkSelectionNode_SOURCE, 1,
   (char*)"V.SOURCE() -> vtkInformationObjectBaseKey\nC++: static vtkInformationObjectBaseKey *SOURCE ();\n\n Pointer to the data or algorithm the selection belongs to.\n"},
  {(char*)"SOURCE_ID",                (PyCFunction)PyvtkSelectionNode_SOURCE_ID, 1,
   (char*)"V.SOURCE_ID() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *SOURCE_ID ();\n\n ID of the data or algorithm the selection belongs to. What\n ID means is application specific.\n"},
  {(char*)"PROP",                (PyCFunction)PyvtkSelectionNode_PROP, 1,
   (char*)"V.PROP() -> vtkInformationObjectBaseKey\nC++: static vtkInformationObjectBaseKey *PROP ();\n\n Pointer to the prop the selection belongs to.\n"},
  {(char*)"PROP_ID",                (PyCFunction)PyvtkSelectionNode_PROP_ID, 1,
   (char*)"V.PROP_ID() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *PROP_ID ();\n\n ID of the prop the selection belongs to. What\n ID means is application specific.\n"},
  {(char*)"PROCESS_ID",                (PyCFunction)PyvtkSelectionNode_PROCESS_ID, 1,
   (char*)"V.PROCESS_ID() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *PROCESS_ID ();\n\n Process id the selection is on.\n"},
  {(char*)"COMPOSITE_INDEX",                (PyCFunction)PyvtkSelectionNode_COMPOSITE_INDEX, 1,
   (char*)"V.COMPOSITE_INDEX() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *COMPOSITE_INDEX ();\n\n Used to identify a node in composite datasets. \n"},
  {(char*)"HIERARCHICAL_LEVEL",                (PyCFunction)PyvtkSelectionNode_HIERARCHICAL_LEVEL, 1,
   (char*)"V.HIERARCHICAL_LEVEL() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *HIERARCHICAL_LEVEL ();\n\n Used to identify a dataset in a hiererchical box dataset.\n"},
  {(char*)"HIERARCHICAL_INDEX",                (PyCFunction)PyvtkSelectionNode_HIERARCHICAL_INDEX, 1,
   (char*)"V.HIERARCHICAL_INDEX() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *HIERARCHICAL_INDEX ();\n\n Used to identify a dataset in a hiererchical box dataset.\n"},
  {(char*)"INDEXED_VERTICES",                (PyCFunction)PyvtkSelectionNode_INDEXED_VERTICES, 1,
   (char*)"V.INDEXED_VERTICES() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *INDEXED_VERTICES ();\n\n This key is used when making visible vertex selection. It means\n that the cell ID selection has data about which vertices for each\n cell are visible.\n"},
  {(char*)"UnionSelectionList",                (PyCFunction)PyvtkSelectionNode_UnionSelectionList, 1,
   (char*)"V.UnionSelectionList(vtkSelectionNode)\nC++: void UnionSelectionList (vtkSelectionNode *other);\n\n Merges the selection list between self and the other. Assumes that both has\n identical properties.\n"},
  {(char*)"EqualProperties",                (PyCFunction)PyvtkSelectionNode_EqualProperties, 1,
   (char*)"V.EqualProperties(vtkSelectionNode, bool) -> bool\nC++: bool EqualProperties (vtkSelectionNode *other, bool fullcomparetrue);\n\n Compares Properties of self and other to ensure that they are exactly same.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSelectionNodeDoc[] = {
  (char*)"vtkSelectionNode - A node in a selection tree. Used to store selection results.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  "Caveats:\n\n No SelectionList is created by default. It should be assigned.\n\n",
  NULL
};

static vtkObjectBase *vtkSelectionNodeStaticNew()
{
  return vtkSelectionNode::New();
}

PyObject *PyVTKClass_vtkSelectionNodeNew(char *modulename)
{
  return PyVTKClass_New(&vtkSelectionNodeStaticNew,
                        PyvtkSelectionNodeMethods,
                        (char*)"vtkSelectionNode",modulename,
                        (char**)vtkSelectionNodeDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

