// python wrapper for vtkGeoAlignedImageSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGeoAlignedImageSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGeoAlignedImageSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGeoAlignedImageSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGeoSourceNew(char *); }

static PyObject *PyvtkGeoAlignedImageSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAlignedImageSource *op;

  const char    *temp20;
  op = (vtkGeoAlignedImageSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoAlignedImageSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAlignedImageSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAlignedImageSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkGeoAlignedImageSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoAlignedImageSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAlignedImageSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAlignedImageSource *op;

  vtkGeoAlignedImageSource  *temp20;
  op = (vtkGeoAlignedImageSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoAlignedImageSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAlignedImageSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGeoAlignedImageSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGeoAlignedImageSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGeoAlignedImageSource_FetchRoot(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAlignedImageSource *op;

  vtkGeoTreeNode  *temp0;
  PyObject *tempH0;
  bool   temp20;
  op = (vtkGeoAlignedImageSource *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGeoTreeNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGeoTreeNode");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoAlignedImageSource::FetchRoot(temp0);
      }
    else
      {
      temp20 = op->FetchRoot(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkGeoAlignedImageSource_FetchChild(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAlignedImageSource *op;

  vtkGeoTreeNode  *temp0;
  PyObject *tempH0;
  int      temp1;
  vtkGeoTreeNode  *temp2;
  PyObject *tempH2;
  bool   temp20;
  op = (vtkGeoAlignedImageSource *)PyArg_VTKParseTuple(self, args, (char*)"OiO", &tempH0, &temp1, &tempH2);
  if (op)
    {
    temp0 = (vtkGeoTreeNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGeoTreeNode");
    if (!temp0 && tempH0 != Py_None) goto break5;
    temp2 = (vtkGeoTreeNode *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkGeoTreeNode");
    if (!temp2 && tempH2 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoAlignedImageSource::FetchChild(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->FetchChild(temp0,temp1,temp2);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkGeoAlignedImageSource_GetImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAlignedImageSource *op;

  vtkImageData  *temp20;
  op = (vtkGeoAlignedImageSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoAlignedImageSource::GetImage();
      }
    else
      {
      temp20 = op->GetImage();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAlignedImageSource_SetImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAlignedImageSource *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  op = (vtkGeoAlignedImageSource *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoAlignedImageSource::SetImage(temp0);
      }
    else
      {
      op->SetImage(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkGeoAlignedImageSource_SetLatitudeRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAlignedImageSource *op;

  double   temp0;
  double   temp1;
  op = (vtkGeoAlignedImageSource *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoAlignedImageSource::SetLatitudeRange(temp0,temp1);
      }
    else
      {
      op->SetLatitudeRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkGeoAlignedImageSource *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkGeoAlignedImageSource *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoAlignedImageSource::SetLatitudeRange(temp0);
      }
    else
      {
      op->SetLatitudeRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAlignedImageSource_GetLatitudeRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAlignedImageSource *op;

  double  *temp20;
  op = (vtkGeoAlignedImageSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoAlignedImageSource::GetLatitudeRange();
      }
    else
      {
      temp20 = op->GetLatitudeRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAlignedImageSource_SetLongitudeRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAlignedImageSource *op;

  double   temp0;
  double   temp1;
  op = (vtkGeoAlignedImageSource *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoAlignedImageSource::SetLongitudeRange(temp0,temp1);
      }
    else
      {
      op->SetLongitudeRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkGeoAlignedImageSource *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkGeoAlignedImageSource *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoAlignedImageSource::SetLongitudeRange(temp0);
      }
    else
      {
      op->SetLongitudeRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAlignedImageSource_GetLongitudeRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAlignedImageSource *op;

  double  *temp20;
  op = (vtkGeoAlignedImageSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoAlignedImageSource::GetLongitudeRange();
      }
    else
      {
      temp20 = op->GetLongitudeRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAlignedImageSource_SetOverlap(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAlignedImageSource *op;

  double   temp0;
  op = (vtkGeoAlignedImageSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoAlignedImageSource::SetOverlap(temp0);
      }
    else
      {
      op->SetOverlap(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAlignedImageSource_GetOverlapMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAlignedImageSource *op;

  double   temp20;
  op = (vtkGeoAlignedImageSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoAlignedImageSource::GetOverlapMinValue();
      }
    else
      {
      temp20 = op->GetOverlapMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAlignedImageSource_GetOverlapMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAlignedImageSource *op;

  double   temp20;
  op = (vtkGeoAlignedImageSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoAlignedImageSource::GetOverlapMaxValue();
      }
    else
      {
      temp20 = op->GetOverlapMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAlignedImageSource_GetOverlap(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAlignedImageSource *op;

  double   temp20;
  op = (vtkGeoAlignedImageSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoAlignedImageSource::GetOverlap();
      }
    else
      {
      temp20 = op->GetOverlap();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAlignedImageSource_SetPowerOfTwoSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAlignedImageSource *op;

  bool   temp0;
  op = (vtkGeoAlignedImageSource *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoAlignedImageSource::SetPowerOfTwoSize(temp0);
      }
    else
      {
      op->SetPowerOfTwoSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAlignedImageSource_GetPowerOfTwoSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAlignedImageSource *op;

  bool   temp20;
  op = (vtkGeoAlignedImageSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoAlignedImageSource::GetPowerOfTwoSize();
      }
    else
      {
      temp20 = op->GetPowerOfTwoSize();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAlignedImageSource_PowerOfTwoSizeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAlignedImageSource *op;

  op = (vtkGeoAlignedImageSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoAlignedImageSource::PowerOfTwoSizeOn();
      }
    else
      {
      op->PowerOfTwoSizeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAlignedImageSource_PowerOfTwoSizeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAlignedImageSource *op;

  op = (vtkGeoAlignedImageSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoAlignedImageSource::PowerOfTwoSizeOff();
      }
    else
      {
      op->PowerOfTwoSizeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGeoAlignedImageSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGeoAlignedImageSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGeoAlignedImageSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGeoAlignedImageSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGeoAlignedImageSource\nC++: vtkGeoAlignedImageSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGeoAlignedImageSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGeoAlignedImageSource\nC++: vtkGeoAlignedImageSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"FetchRoot",                (PyCFunction)PyvtkGeoAlignedImageSource_FetchRoot, 1,
   (char*)"V.FetchRoot(vtkGeoTreeNode) -> bool\nC++: virtual bool FetchRoot (vtkGeoTreeNode *node);\n\n Fetch the root image.\n"},
  {(char*)"FetchChild",                (PyCFunction)PyvtkGeoAlignedImageSource_FetchChild, 1,
   (char*)"V.FetchChild(vtkGeoTreeNode, int, vtkGeoTreeNode) -> bool\nC++: virtual bool FetchChild (vtkGeoTreeNode *parent, int index, vtkGeoTreeNode *child);\n\n Fetch a child image.\n"},
  {(char*)"GetImage",                (PyCFunction)PyvtkGeoAlignedImageSource_GetImage, 1,
   (char*)"V.GetImage() -> vtkImageData\nC++: vtkImageData *GetImage ();\n\n The high-resolution image to be used to cover the globe.\n"},
  {(char*)"SetImage",                (PyCFunction)PyvtkGeoAlignedImageSource_SetImage, 1,
   (char*)"V.SetImage(vtkImageData)\nC++: virtual void SetImage (vtkImageData *image);\n\n The high-resolution image to be used to cover the globe.\n"},
  {(char*)"SetLatitudeRange",                (PyCFunction)PyvtkGeoAlignedImageSource_SetLatitudeRange, 1,
   (char*)"V.SetLatitudeRange(float, float)\nC++: void SetLatitudeRange (double , double );\nV.SetLatitudeRange((float, float))\nC++: void SetLatitudeRange (double  a[2]);\n\n The range of the input hi-res image.\n"},
  {(char*)"GetLatitudeRange",                (PyCFunction)PyvtkGeoAlignedImageSource_GetLatitudeRange, 1,
   (char*)"V.GetLatitudeRange() -> (float, float)\nC++: double  *GetLatitudeRange ();\n\n The range of the input hi-res image.\n"},
  {(char*)"SetLongitudeRange",                (PyCFunction)PyvtkGeoAlignedImageSource_SetLongitudeRange, 1,
   (char*)"V.SetLongitudeRange(float, float)\nC++: void SetLongitudeRange (double , double );\nV.SetLongitudeRange((float, float))\nC++: void SetLongitudeRange (double  a[2]);\n\n The range of the input hi-res image.\n"},
  {(char*)"GetLongitudeRange",                (PyCFunction)PyvtkGeoAlignedImageSource_GetLongitudeRange, 1,
   (char*)"V.GetLongitudeRange() -> (float, float)\nC++: double  *GetLongitudeRange ();\n\n The range of the input hi-res image.\n"},
  {(char*)"SetOverlap",                (PyCFunction)PyvtkGeoAlignedImageSource_SetOverlap, 1,
   (char*)"V.SetOverlap(float)\nC++: void SetOverlap (double );\n\n The overlap of adjacent tiles.\n"},
  {(char*)"GetOverlapMinValue",                (PyCFunction)PyvtkGeoAlignedImageSource_GetOverlapMinValue, 1,
   (char*)"V.GetOverlapMinValue() -> float\nC++: double GetOverlapMinValue ();\n\n The overlap of adjacent tiles.\n"},
  {(char*)"GetOverlapMaxValue",                (PyCFunction)PyvtkGeoAlignedImageSource_GetOverlapMaxValue, 1,
   (char*)"V.GetOverlapMaxValue() -> float\nC++: double GetOverlapMaxValue ();\n\n The overlap of adjacent tiles.\n"},
  {(char*)"GetOverlap",                (PyCFunction)PyvtkGeoAlignedImageSource_GetOverlap, 1,
   (char*)"V.GetOverlap() -> float\nC++: double GetOverlap ();\n\n The overlap of adjacent tiles.\n"},
  {(char*)"SetPowerOfTwoSize",                (PyCFunction)PyvtkGeoAlignedImageSource_SetPowerOfTwoSize, 1,
   (char*)"V.SetPowerOfTwoSize(bool)\nC++: void SetPowerOfTwoSize (bool );\n\n Whether to force image sizes to a power of two.\n"},
  {(char*)"GetPowerOfTwoSize",                (PyCFunction)PyvtkGeoAlignedImageSource_GetPowerOfTwoSize, 1,
   (char*)"V.GetPowerOfTwoSize() -> bool\nC++: bool GetPowerOfTwoSize ();\n\n Whether to force image sizes to a power of two.\n"},
  {(char*)"PowerOfTwoSizeOn",                (PyCFunction)PyvtkGeoAlignedImageSource_PowerOfTwoSizeOn, 1,
   (char*)"V.PowerOfTwoSizeOn()\nC++: void PowerOfTwoSizeOn ();\n\n Whether to force image sizes to a power of two.\n"},
  {(char*)"PowerOfTwoSizeOff",                (PyCFunction)PyvtkGeoAlignedImageSource_PowerOfTwoSizeOff, 1,
   (char*)"V.PowerOfTwoSizeOff()\nC++: void PowerOfTwoSizeOff ();\n\n Whether to force image sizes to a power of two.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGeoAlignedImageSourceDoc[] = {
  (char*)"vtkGeoAlignedImageSource - Splits hi-res image into tiles.\n\n",
  "Super Class:\n\n vtkGeoSource\n\n",
  (char*)" vtkGeoAlignedImageSource uses a high resolution image to generate tiles\n at multiple resolutions in a hierarchy. It should be used as a source in\n vtkGeoAlignedImageRepresentation.\n\n",
  "See Also:\n\n vtkGeoAlignedImageRepresentation vtkGeoView vtkGeoView2D\n\n",
  NULL
};

static vtkObjectBase *vtkGeoAlignedImageSourceStaticNew()
{
  return vtkGeoAlignedImageSource::New();
}

PyObject *PyVTKClass_vtkGeoAlignedImageSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkGeoAlignedImageSourceStaticNew,
                        PyvtkGeoAlignedImageSourceMethods,
                        (char*)"vtkGeoAlignedImageSource",modulename,
                        (char**)vtkGeoAlignedImageSourceDoc,
                        PyVTKClass_vtkGeoSourceNew(modulename));
}

