// python wrapper for vtkGeoArcs object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGeoArcs.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGeoArcsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGeoArcsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkGeoArcs_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoArcs *op;

  const char    *temp20;
  op = (vtkGeoArcs *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoArcs::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoArcs_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoArcs *op;

  char    *temp0;
  int      temp20;
  op = (vtkGeoArcs *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoArcs::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoArcs_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoArcs *op;

  vtkGeoArcs  *temp20;
  op = (vtkGeoArcs *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoArcs::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoArcs_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGeoArcs  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGeoArcs::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGeoArcs_SetGlobeRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoArcs *op;

  double   temp0;
  op = (vtkGeoArcs *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoArcs::SetGlobeRadius(temp0);
      }
    else
      {
      op->SetGlobeRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoArcs_GetGlobeRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoArcs *op;

  double   temp20;
  op = (vtkGeoArcs *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoArcs::GetGlobeRadius();
      }
    else
      {
      temp20 = op->GetGlobeRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoArcs_SetExplodeFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoArcs *op;

  double   temp0;
  op = (vtkGeoArcs *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoArcs::SetExplodeFactor(temp0);
      }
    else
      {
      op->SetExplodeFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoArcs_GetExplodeFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoArcs *op;

  double   temp20;
  op = (vtkGeoArcs *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoArcs::GetExplodeFactor();
      }
    else
      {
      temp20 = op->GetExplodeFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoArcs_SetNumberOfSubdivisions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoArcs *op;

  int      temp0;
  op = (vtkGeoArcs *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoArcs::SetNumberOfSubdivisions(temp0);
      }
    else
      {
      op->SetNumberOfSubdivisions(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoArcs_GetNumberOfSubdivisions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoArcs *op;

  int      temp20;
  op = (vtkGeoArcs *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoArcs::GetNumberOfSubdivisions();
      }
    else
      {
      temp20 = op->GetNumberOfSubdivisions();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGeoArcsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGeoArcs_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGeoArcs_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGeoArcs_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGeoArcs\nC++: vtkGeoArcs *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGeoArcs_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGeoArcs\nC++: vtkGeoArcs *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetGlobeRadius",                (PyCFunction)PyvtkGeoArcs_SetGlobeRadius, 1,
   (char*)"V.SetGlobeRadius(float)\nC++: void SetGlobeRadius (double );\n\n The base radius used to determine the earth's surface.\n Default is the earth's radius in meters.\n"},
  {(char*)"GetGlobeRadius",                (PyCFunction)PyvtkGeoArcs_GetGlobeRadius, 1,
   (char*)"V.GetGlobeRadius() -> float\nC++: double GetGlobeRadius ();\n\n The base radius used to determine the earth's surface.\n Default is the earth's radius in meters.\n"},
  {(char*)"SetExplodeFactor",                (PyCFunction)PyvtkGeoArcs_SetExplodeFactor, 1,
   (char*)"V.SetExplodeFactor(float)\nC++: void SetExplodeFactor (double );\n\n Factor on which to \"explode\" the arcs away from the surface.\n A value of 0.0 keeps the values on the surface.\n Values larger than 0.0 push the arcs away from the surface by a distance\n proportional to the distance between the points.\n The default is 0.2.\n"},
  {(char*)"GetExplodeFactor",                (PyCFunction)PyvtkGeoArcs_GetExplodeFactor, 1,
   (char*)"V.GetExplodeFactor() -> float\nC++: double GetExplodeFactor ();\n\n Factor on which to \"explode\" the arcs away from the surface.\n A value of 0.0 keeps the values on the surface.\n Values larger than 0.0 push the arcs away from the surface by a distance\n proportional to the distance between the points.\n The default is 0.2.\n"},
  {(char*)"SetNumberOfSubdivisions",                (PyCFunction)PyvtkGeoArcs_SetNumberOfSubdivisions, 1,
   (char*)"V.SetNumberOfSubdivisions(int)\nC++: void SetNumberOfSubdivisions (int );\n\n The number of subdivisions in the arc.\n The default is 20.\n"},
  {(char*)"GetNumberOfSubdivisions",                (PyCFunction)PyvtkGeoArcs_GetNumberOfSubdivisions, 1,
   (char*)"V.GetNumberOfSubdivisions() -> int\nC++: int GetNumberOfSubdivisions ();\n\n The number of subdivisions in the arc.\n The default is 20.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGeoArcsDoc[] = {
  (char*)"vtkGeoArcs - Layout graph edges on a globe as arcs.\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkGeoArcs produces arcs for each line in the input polydata. This is useful\n for viewing lines on a sphere (e.g. the earth). The arcs may \"jump\" above\n the sphere's surface using ExplodeFactor.\n\n",
  NULL
};

static vtkObjectBase *vtkGeoArcsStaticNew()
{
  return vtkGeoArcs::New();
}

PyObject *PyVTKClass_vtkGeoArcsNew(char *modulename)
{
  return PyVTKClass_New(&vtkGeoArcsStaticNew,
                        PyvtkGeoArcsMethods,
                        (char*)"vtkGeoArcs",modulename,
                        (char**)vtkGeoArcsDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

