// python wrapper for vtkGeoFileImageSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGeoFileImageSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGeoFileImageSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGeoFileImageSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGeoSourceNew(char *); }

static PyObject *PyvtkGeoFileImageSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoFileImageSource *op;

  const char    *temp20;
  op = (vtkGeoFileImageSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoFileImageSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoFileImageSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoFileImageSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkGeoFileImageSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoFileImageSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoFileImageSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoFileImageSource *op;

  vtkGeoFileImageSource  *temp20;
  op = (vtkGeoFileImageSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoFileImageSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoFileImageSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGeoFileImageSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGeoFileImageSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGeoFileImageSource_FetchRoot(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoFileImageSource *op;

  vtkGeoTreeNode  *temp0;
  PyObject *tempH0;
  bool   temp20;
  op = (vtkGeoFileImageSource *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGeoTreeNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGeoTreeNode");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoFileImageSource::FetchRoot(temp0);
      }
    else
      {
      temp20 = op->FetchRoot(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkGeoFileImageSource_FetchChild(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoFileImageSource *op;

  vtkGeoTreeNode  *temp0;
  PyObject *tempH0;
  int      temp1;
  vtkGeoTreeNode  *temp2;
  PyObject *tempH2;
  bool   temp20;
  op = (vtkGeoFileImageSource *)PyArg_VTKParseTuple(self, args, (char*)"OiO", &tempH0, &temp1, &tempH2);
  if (op)
    {
    temp0 = (vtkGeoTreeNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGeoTreeNode");
    if (!temp0 && tempH0 != Py_None) goto break5;
    temp2 = (vtkGeoTreeNode *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkGeoTreeNode");
    if (!temp2 && tempH2 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoFileImageSource::FetchChild(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->FetchChild(temp0,temp1,temp2);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkGeoFileImageSource_SetPath(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoFileImageSource *op;

  char    *temp0;
  op = (vtkGeoFileImageSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoFileImageSource::SetPath(temp0);
      }
    else
      {
      op->SetPath(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoFileImageSource_GetPath(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoFileImageSource *op;

  char    *temp20;
  op = (vtkGeoFileImageSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoFileImageSource::GetPath();
      }
    else
      {
      temp20 = op->GetPath();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGeoFileImageSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGeoFileImageSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGeoFileImageSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGeoFileImageSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGeoFileImageSource\nC++: vtkGeoFileImageSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGeoFileImageSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGeoFileImageSource\nC++: vtkGeoFileImageSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"FetchRoot",                (PyCFunction)PyvtkGeoFileImageSource_FetchRoot, 1,
   (char*)"V.FetchRoot(vtkGeoTreeNode) -> bool\nC++: virtual bool FetchRoot (vtkGeoTreeNode *root);\n\n Fetches the root image representing the whole globe.\n"},
  {(char*)"FetchChild",                (PyCFunction)PyvtkGeoFileImageSource_FetchChild, 1,
   (char*)"V.FetchChild(vtkGeoTreeNode, int, vtkGeoTreeNode) -> bool\nC++: virtual bool FetchChild (vtkGeoTreeNode *node, int index, vtkGeoTreeNode *child);\n\n Fetches the child image of a parent from disk.\n"},
  {(char*)"SetPath",                (PyCFunction)PyvtkGeoFileImageSource_SetPath, 1,
   (char*)"V.SetPath(string)\nC++: void SetPath (char *);\n\n The path the tiled image database.\n"},
  {(char*)"GetPath",                (PyCFunction)PyvtkGeoFileImageSource_GetPath, 1,
   (char*)"V.GetPath() -> string\nC++: char *GetPath ();\n\n The path the tiled image database.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGeoFileImageSourceDoc[] = {
  (char*)"vtkGeoFileImageSource - A tiled image source on disk.\n\n",
  "Super Class:\n\n vtkGeoSource\n\n",
  (char*)" vtkGeoFileImageSource is a vtkGeoSource that fetches .vti images from\n disk in a directory with a certain naming scheme. You may use\n vtkGeoAlignedImageRepresentation's SaveDatabase method to generate\n an database of image tiles in this format.\n\n",
  NULL
};

static vtkObjectBase *vtkGeoFileImageSourceStaticNew()
{
  return vtkGeoFileImageSource::New();
}

PyObject *PyVTKClass_vtkGeoFileImageSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkGeoFileImageSourceStaticNew,
                        PyvtkGeoFileImageSourceMethods,
                        (char*)"vtkGeoFileImageSource",modulename,
                        (char**)vtkGeoFileImageSourceDoc,
                        PyVTKClass_vtkGeoSourceNew(modulename));
}

