// python wrapper for vtkGeoGlobeSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGeoGlobeSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGeoGlobeSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGeoGlobeSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGeoSourceNew(char *); }

static PyObject *PyvtkGeoGlobeSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGlobeSource *op;

  const char    *temp20;
  op = (vtkGeoGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGlobeSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGlobeSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGlobeSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkGeoGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGlobeSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGlobeSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGlobeSource *op;

  vtkGeoGlobeSource  *temp20;
  op = (vtkGeoGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGlobeSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGlobeSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGeoGlobeSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGeoGlobeSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGeoGlobeSource_FetchRoot(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGlobeSource *op;

  vtkGeoTreeNode  *temp0;
  PyObject *tempH0;
  bool   temp20;
  op = (vtkGeoGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGeoTreeNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGeoTreeNode");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGlobeSource::FetchRoot(temp0);
      }
    else
      {
      temp20 = op->FetchRoot(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkGeoGlobeSource_FetchChild(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGlobeSource *op;

  vtkGeoTreeNode  *temp0;
  PyObject *tempH0;
  int      temp1;
  vtkGeoTreeNode  *temp2;
  PyObject *tempH2;
  bool   temp20;
  op = (vtkGeoGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"OiO", &tempH0, &temp1, &tempH2);
  if (op)
    {
    temp0 = (vtkGeoTreeNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGeoTreeNode");
    if (!temp0 && tempH0 != Py_None) goto break5;
    temp2 = (vtkGeoTreeNode *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkGeoTreeNode");
    if (!temp2 && tempH2 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGlobeSource::FetchChild(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->FetchChild(temp0,temp1,temp2);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break5:
  return NULL;
}

static PyMethodDef PyvtkGeoGlobeSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGeoGlobeSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGeoGlobeSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGeoGlobeSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGeoGlobeSource\nC++: vtkGeoGlobeSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGeoGlobeSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGeoGlobeSource\nC++: vtkGeoGlobeSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"FetchRoot",                (PyCFunction)PyvtkGeoGlobeSource_FetchRoot, 1,
   (char*)"V.FetchRoot(vtkGeoTreeNode) -> bool\nC++: virtual bool FetchRoot (vtkGeoTreeNode *root);\n\n Fetches a low-resolution sphere for the entire globe.\n"},
  {(char*)"FetchChild",                (PyCFunction)PyvtkGeoGlobeSource_FetchChild, 1,
   (char*)"V.FetchChild(vtkGeoTreeNode, int, vtkGeoTreeNode) -> bool\nC++: virtual bool FetchChild (vtkGeoTreeNode *node, int index, vtkGeoTreeNode *child);\n\n Fetches a refined geometry patch, a section of a sphere.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGeoGlobeSourceDoc[] = {
  (char*)"vtkGeoGlobeSource - Spherical globe source.\n\n",
  "Super Class:\n\n vtkGeoSource\n\n",
  (char*)" vtkGeoGlobeSource is a 3D vtkGeoSource suitable for use in vtkGeoTerrain.\n It uses the vtkGlobeSource filter to produce terrain patches.\n\n",
  NULL
};

static vtkObjectBase *vtkGeoGlobeSourceStaticNew()
{
  return vtkGeoGlobeSource::New();
}

PyObject *PyVTKClass_vtkGeoGlobeSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkGeoGlobeSourceStaticNew,
                        PyvtkGeoGlobeSourceMethods,
                        (char*)"vtkGeoGlobeSource",modulename,
                        (char**)vtkGeoGlobeSourceDoc,
                        PyVTKClass_vtkGeoSourceNew(modulename));
}

