// python wrapper for vtkGeoRandomGraphSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGeoRandomGraphSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGeoRandomGraphSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGeoRandomGraphSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkRandomGraphSourceNew(char *); }

static PyObject *PyvtkGeoRandomGraphSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoRandomGraphSource *op;

  const char    *temp20;
  op = (vtkGeoRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoRandomGraphSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoRandomGraphSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoRandomGraphSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkGeoRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoRandomGraphSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoRandomGraphSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoRandomGraphSource *op;

  vtkGeoRandomGraphSource  *temp20;
  op = (vtkGeoRandomGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoRandomGraphSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoRandomGraphSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGeoRandomGraphSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGeoRandomGraphSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkGeoRandomGraphSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGeoRandomGraphSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGeoRandomGraphSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGeoRandomGraphSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGeoRandomGraphSource\nC++: vtkGeoRandomGraphSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGeoRandomGraphSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGeoRandomGraphSource\nC++: vtkGeoRandomGraphSource *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGeoRandomGraphSourceDoc[] = {
  (char*)"vtkGeoRandomGraphSource - A geospatial graph with random edges\n\n",
  "Super Class:\n\n vtkRandomGraphSource\n\n",
  (char*)" Generates a graph with a specified number of vertices, with the density of\n edges specified by either an exact number of edges or the probability of\n an edge.  You may additionally specify whether to begin with a random\n tree (which enforces graph connectivity).\n\n The filter also adds random vertex attributes called latitude and longitude.\n The latitude is distributed uniformly from -90 to 90, wh",
  (char*)"ile longitude is\n distributed uniformly from -180 to 180.\n\n\n",
  "See Also:\n\n vtkRandomGraphSource\n\n",
  NULL
};

static vtkObjectBase *vtkGeoRandomGraphSourceStaticNew()
{
  return vtkGeoRandomGraphSource::New();
}

PyObject *PyVTKClass_vtkGeoRandomGraphSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkGeoRandomGraphSourceStaticNew,
                        PyvtkGeoRandomGraphSourceMethods,
                        (char*)"vtkGeoRandomGraphSource",modulename,
                        (char**)vtkGeoRandomGraphSourceDoc,
                        PyVTKClass_vtkRandomGraphSourceNew(modulename));
}

