// python wrapper for vtkGeoSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGeoSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGeoSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGeoSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkGeoSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoSource *op;

  const char    *temp20;
  op = (vtkGeoSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkGeoSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoSource *op;

  vtkGeoSource  *temp20;
  op = (vtkGeoSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoSource_FetchRoot(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoSource *op;

  vtkGeoTreeNode  *temp0;
  PyObject *tempH0;
  bool   temp20;
  op = (vtkGeoSource *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGeoTreeNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGeoTreeNode");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->FetchRoot(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGeoSource_FetchChild(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoSource *op;

  vtkGeoTreeNode  *temp0;
  PyObject *tempH0;
  int      temp1;
  vtkGeoTreeNode  *temp2;
  PyObject *tempH2;
  bool   temp20;
  op = (vtkGeoSource *)PyArg_VTKParseTuple(self, args, (char*)"OiO", &tempH0, &temp1, &tempH2);
  if (op)
    {
    temp0 = (vtkGeoTreeNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGeoTreeNode");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp2 = (vtkGeoTreeNode *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkGeoTreeNode");
    if (!temp2 && tempH2 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->FetchChild(temp0,temp1,temp2);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkGeoSource_RequestChildren(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoSource *op;

  vtkGeoTreeNode  *temp0;
  PyObject *tempH0;
  op = (vtkGeoSource *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGeoTreeNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGeoTreeNode");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoSource::RequestChildren(temp0);
      }
    else
      {
      op->RequestChildren(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkGeoSource_GetRequestedNodes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoSource *op;

  vtkGeoTreeNode  *temp0;
  PyObject *tempH0;
  vtkCollection  *temp20;
  op = (vtkGeoSource *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGeoTreeNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGeoTreeNode");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoSource::GetRequestedNodes(temp0);
      }
    else
      {
      temp20 = op->GetRequestedNodes(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkGeoSource_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoSource *op;

  int      temp0;
  op = (vtkGeoSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoSource::Initialize(temp0);
      }
    else
      {
      op->Initialize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoSource_ShutDown(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoSource *op;

  op = (vtkGeoSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoSource::ShutDown();
      }
    else
      {
      op->ShutDown();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoSource_WorkerThread(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoSource *op;

  op = (vtkGeoSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoSource::WorkerThread();
      }
    else
      {
      op->WorkerThread();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoSource_GetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoSource *op;

  vtkAbstractTransform  *temp20;
  op = (vtkGeoSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoSource::GetTransform();
      }
    else
      {
      temp20 = op->GetTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGeoSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGeoSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGeoSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGeoSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGeoSource\nC++: vtkGeoSource *NewInstance ();\n\n"},
  {(char*)"FetchRoot",                (PyCFunction)PyvtkGeoSource_FetchRoot, 1,
   (char*)"V.FetchRoot(vtkGeoTreeNode) -> bool\nC++: virtual bool FetchRoot (vtkGeoTreeNode *root) = 0;\n\n Blocking access methods to be implemented in subclasses.\n"},
  {(char*)"FetchChild",                (PyCFunction)PyvtkGeoSource_FetchChild, 1,
   (char*)"V.FetchChild(vtkGeoTreeNode, int, vtkGeoTreeNode) -> bool\nC++: virtual bool FetchChild (vtkGeoTreeNode *node, int index, vtkGeoTreeNode *child) = 0;\n\n Blocking access methods to be implemented in subclasses.\n"},
  {(char*)"RequestChildren",                (PyCFunction)PyvtkGeoSource_RequestChildren, 1,
   (char*)"V.RequestChildren(vtkGeoTreeNode)\nC++: virtual void RequestChildren (vtkGeoTreeNode *node);\n\n Non-blocking methods for to use from the main application.\n After calling RequestChildren() for a certain node,\n GetRequestedNodes() will after a certain period of time return a\n non-null pointer to a collection of four vtkGeoTreeNode objects,\n which are the four children of the requested node.\n The collection is reference counted, so you need to eventually\n call Delete() on the returned collection pointer (if it is non-null).\n"},
  {(char*)"GetRequestedNodes",                (PyCFunction)PyvtkGeoSource_GetRequestedNodes, 1,
   (char*)"V.GetRequestedNodes(vtkGeoTreeNode) -> vtkCollection\nC++: virtual vtkCollection *GetRequestedNodes (vtkGeoTreeNode *node);\n\n Non-blocking methods for to use from the main application.\n After calling RequestChildren() for a certain node,\n GetRequestedNodes() will after a certain period of time return a\n non-null pointer to a collection of four vtkGeoTreeNode objects,\n which are the four children of the requested node.\n The collection is reference counted, so you need to eventually\n call Delete() on the returned collection pointer (if it is non-null).\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkGeoSource_Initialize, 1,
   (char*)"V.Initialize(int)\nC++: void Initialize (int numThreads);\n\n Spawn worker threads. \n"},
  {(char*)"ShutDown",                (PyCFunction)PyvtkGeoSource_ShutDown, 1,
   (char*)"V.ShutDown()\nC++: void ShutDown ();\n\n Shut down the source. This terminates the thread and releases memory.\n"},
  {(char*)"WorkerThread",                (PyCFunction)PyvtkGeoSource_WorkerThread, 1,
   (char*)"V.WorkerThread()\nC++: void WorkerThread ();\n\n"},
  {(char*)"GetTransform",                (PyCFunction)PyvtkGeoSource_GetTransform, 1,
   (char*)"V.GetTransform() -> vtkAbstractTransform\nC++: virtual vtkAbstractTransform *GetTransform ();return NULL \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGeoSourceDoc[] = {
  (char*)"vtkGeoSource - A multi-resolution geographic data source\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkGeoSource is an abstract superclass for all multi-resolution data sources\n shown in a geographic view like vtkGeoView or vtkGeoView2D. vtkGeoSource\n subclasses need to implement the FetchRoot() method, which fills a\n vtkGeoTreeNode with the low-res data at the root, and FetchChild(), which\n produces a refinement of a parent node. Other geovis classes such as\n vtkGeoTerrain, vtkGeoTerrain2D, an",
  (char*)"d vtkGeoAlignedImageSource use a\n vtkGeoSource subclass to build their geometry or image caches which are\n stored in trees. The source itself does not maintain the tree, but\n simply provides a mechanism for generating refined tree nodes.\n\n Sources are multi-threaded. Each source may have one or more worker threads\n associated with it, which this superclass manages. It is essential that the\n FetchC",
  (char*)"hild() method is thread-safe, since it may be called from multiple\n workers simultaneously.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkGeoSourceNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkGeoSourceMethods,
                        (char*)"vtkGeoSource",modulename,
                        (char**)vtkGeoSourceDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

