// python wrapper for vtkGeoSphereTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGeoSphereTransform.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGeoSphereTransformNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGeoSphereTransformNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractTransformNew(char *); }

static PyObject *PyvtkGeoSphereTransform_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoSphereTransform *op;

  const char    *temp20;
  op = (vtkGeoSphereTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoSphereTransform::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoSphereTransform_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoSphereTransform *op;

  char    *temp0;
  int      temp20;
  op = (vtkGeoSphereTransform *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoSphereTransform::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoSphereTransform_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoSphereTransform *op;

  vtkGeoSphereTransform  *temp20;
  op = (vtkGeoSphereTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoSphereTransform::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoSphereTransform_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGeoSphereTransform  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGeoSphereTransform::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGeoSphereTransform_Inverse(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoSphereTransform *op;

  op = (vtkGeoSphereTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoSphereTransform::Inverse();
      }
    else
      {
      op->Inverse();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoSphereTransform_InternalTransformPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoSphereTransform *op;

  float  temp0[3];
  float  temp1[3];
  op = (vtkGeoSphereTransform *)PyArg_VTKParseTuple(self, args, (char*)"(fff)(fff)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoSphereTransform::InternalTransformPoint(temp0,temp1);
      }
    else
      {
      op->InternalTransformPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkGeoSphereTransform *op;

  double temp0[3];
  double temp1[3];
  PyErr_Clear();
  op = (vtkGeoSphereTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoSphereTransform::InternalTransformPoint(temp0,temp1);
      }
    else
      {
      op->InternalTransformPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoSphereTransform_MakeTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoSphereTransform *op;

  vtkAbstractTransform  *temp20;
  op = (vtkGeoSphereTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoSphereTransform::MakeTransform();
      }
    else
      {
      temp20 = op->MakeTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoSphereTransform_SetToRectangular(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoSphereTransform *op;

  bool   temp0;
  op = (vtkGeoSphereTransform *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoSphereTransform::SetToRectangular(temp0);
      }
    else
      {
      op->SetToRectangular(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoSphereTransform_GetToRectangular(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoSphereTransform *op;

  bool   temp20;
  op = (vtkGeoSphereTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoSphereTransform::GetToRectangular();
      }
    else
      {
      temp20 = op->GetToRectangular();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoSphereTransform_ToRectangularOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoSphereTransform *op;

  op = (vtkGeoSphereTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoSphereTransform::ToRectangularOn();
      }
    else
      {
      op->ToRectangularOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoSphereTransform_ToRectangularOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoSphereTransform *op;

  op = (vtkGeoSphereTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoSphereTransform::ToRectangularOff();
      }
    else
      {
      op->ToRectangularOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoSphereTransform_SetBaseAltitude(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoSphereTransform *op;

  double   temp0;
  op = (vtkGeoSphereTransform *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoSphereTransform::SetBaseAltitude(temp0);
      }
    else
      {
      op->SetBaseAltitude(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoSphereTransform_GetBaseAltitude(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoSphereTransform *op;

  double   temp20;
  op = (vtkGeoSphereTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoSphereTransform::GetBaseAltitude();
      }
    else
      {
      temp20 = op->GetBaseAltitude();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGeoSphereTransformMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGeoSphereTransform_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGeoSphereTransform_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGeoSphereTransform_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGeoSphereTransform\nC++: vtkGeoSphereTransform *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGeoSphereTransform_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGeoSphereTransform\nC++: vtkGeoSphereTransform *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Inverse",                (PyCFunction)PyvtkGeoSphereTransform_Inverse, 1,
   (char*)"V.Inverse()\nC++: virtual void Inverse ();\n\n Invert the transformation.\n"},
  {(char*)"InternalTransformPoint",                (PyCFunction)PyvtkGeoSphereTransform_InternalTransformPoint, 1,
   (char*)"V.InternalTransformPoint((float, float, float), (float, float, float))\nC++: virtual void InternalTransformPoint (const float in[3], float out[3]);\nV.InternalTransformPoint((float, float, float), (float, float, float))\nC++: virtual void InternalTransformPoint (const double in[3], double out[3]);\n\n This will calculate the transformation without calling Update.\n Meant for use only within other VTK classes.\n"},
  {(char*)"MakeTransform",                (PyCFunction)PyvtkGeoSphereTransform_MakeTransform, 1,
   (char*)"V.MakeTransform() -> vtkAbstractTransform\nC++: virtual vtkAbstractTransform *MakeTransform ();\n\n Make another transform of the same type.\n"},
  {(char*)"SetToRectangular",                (PyCFunction)PyvtkGeoSphereTransform_SetToRectangular, 1,
   (char*)"V.SetToRectangular(bool)\nC++: void SetToRectangular (bool );\n\n If on, this transform converts (long,lat,alt) triples to (x,y,z) as an offset\n from the center of the earth. Alt, x, y, and z are all be in meters.\n If off, the tranform works in the reverse direction.\n Initial value is on.\n"},
  {(char*)"GetToRectangular",                (PyCFunction)PyvtkGeoSphereTransform_GetToRectangular, 1,
   (char*)"V.GetToRectangular() -> bool\nC++: bool GetToRectangular ();\n\n If on, this transform converts (long,lat,alt) triples to (x,y,z) as an offset\n from the center of the earth. Alt, x, y, and z are all be in meters.\n If off, the tranform works in the reverse direction.\n Initial value is on.\n"},
  {(char*)"ToRectangularOn",                (PyCFunction)PyvtkGeoSphereTransform_ToRectangularOn, 1,
   (char*)"V.ToRectangularOn()\nC++: void ToRectangularOn ();\n\n If on, this transform converts (long,lat,alt) triples to (x,y,z) as an offset\n from the center of the earth. Alt, x, y, and z are all be in meters.\n If off, the tranform works in the reverse direction.\n Initial value is on.\n"},
  {(char*)"ToRectangularOff",                (PyCFunction)PyvtkGeoSphereTransform_ToRectangularOff, 1,
   (char*)"V.ToRectangularOff()\nC++: void ToRectangularOff ();\n\n If on, this transform converts (long,lat,alt) triples to (x,y,z) as an offset\n from the center of the earth. Alt, x, y, and z are all be in meters.\n If off, the tranform works in the reverse direction.\n Initial value is on.\n"},
  {(char*)"SetBaseAltitude",                (PyCFunction)PyvtkGeoSphereTransform_SetBaseAltitude, 1,
   (char*)"V.SetBaseAltitude(float)\nC++: void SetBaseAltitude (double );\n\n The base altitude to transform coordinates to. This can be useful for transforming\n lines just above the earth's surface. Default is 0.\n"},
  {(char*)"GetBaseAltitude",                (PyCFunction)PyvtkGeoSphereTransform_GetBaseAltitude, 1,
   (char*)"V.GetBaseAltitude() -> float\nC++: double GetBaseAltitude ();\n\n The base altitude to transform coordinates to. This can be useful for transforming\n lines just above the earth's surface. Default is 0.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGeoSphereTransformDoc[] = {
  (char*)"vtkGeoSphereTransform - A transformation between long-lat-alt and rect coords\n\n",
  "Super Class:\n\n vtkAbstractTransform\n\n",
  (char*)" the cartesian coordinate system is the following (if BaseAltitude is 0),\n - the origin is at the center of the earth\n - the x axis goes from the origin to (longtitude=-90,latitude=0), intersection of equator and the meridian passing just east of Galapagos Islands\n - the y axis goes from the origin to the intersection of Greenwitch meridian and equator (longitude=0,latitude=0)\n - the z axis goes f",
  (char*)"rom the origin to the Geographic North Pole (latitude=90)\n - therefore the frame is right-handed.\n\n",
  NULL
};

static vtkObjectBase *vtkGeoSphereTransformStaticNew()
{
  return vtkGeoSphereTransform::New();
}

PyObject *PyVTKClass_vtkGeoSphereTransformNew(char *modulename)
{
  return PyVTKClass_New(&vtkGeoSphereTransformStaticNew,
                        PyvtkGeoSphereTransformMethods,
                        (char*)"vtkGeoSphereTransform",modulename,
                        (char**)vtkGeoSphereTransformDoc,
                        PyVTKClass_vtkAbstractTransformNew(modulename));
}

