// python wrapper for vtkGeoView2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGeoView2D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGeoView2DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGeoView2DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkRenderViewNew(char *); }

static PyObject *PyvtkGeoView2D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoView2D *op;

  const char    *temp20;
  op = (vtkGeoView2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoView2D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoView2D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoView2D *op;

  char    *temp0;
  int      temp20;
  op = (vtkGeoView2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoView2D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoView2D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoView2D *op;

  vtkGeoView2D  *temp20;
  op = (vtkGeoView2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoView2D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoView2D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGeoView2D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGeoView2D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGeoView2D_GetSurface(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoView2D *op;

  vtkGeoTerrain2D  *temp20;
  op = (vtkGeoView2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoView2D::GetSurface();
      }
    else
      {
      temp20 = op->GetSurface();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoView2D_SetSurface(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoView2D *op;

  vtkGeoTerrain2D  *temp0;
  PyObject *tempH0;
  op = (vtkGeoView2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGeoTerrain2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGeoTerrain2D");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoView2D::SetSurface(temp0);
      }
    else
      {
      op->SetSurface(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkGeoView2D_GetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoView2D *op;

  vtkAbstractTransform  *temp20;
  op = (vtkGeoView2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoView2D::GetTransform();
      }
    else
      {
      temp20 = op->GetTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoView2D_ApplyViewTheme(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoView2D *op;

  vtkViewTheme  *temp0;
  PyObject *tempH0;
  op = (vtkGeoView2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewTheme *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewTheme");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoView2D::ApplyViewTheme(temp0);
      }
    else
      {
      op->ApplyViewTheme(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkGeoView2D_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoView2D *op;

  op = (vtkGeoView2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoView2D::Render();
      }
    else
      {
      op->Render();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGeoView2DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGeoView2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGeoView2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGeoView2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGeoView2D\nC++: vtkGeoView2D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGeoView2D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGeoView2D\nC++: vtkGeoView2D *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetSurface",                (PyCFunction)PyvtkGeoView2D_GetSurface, 1,
   (char*)"V.GetSurface() -> vtkGeoTerrain2D\nC++: vtkGeoTerrain2D *GetSurface ();\n\n"},
  {(char*)"SetSurface",                (PyCFunction)PyvtkGeoView2D_SetSurface, 1,
   (char*)"V.SetSurface(vtkGeoTerrain2D)\nC++: virtual void SetSurface (vtkGeoTerrain2D *surf);\n\n"},
  {(char*)"GetTransform",                (PyCFunction)PyvtkGeoView2D_GetTransform, 1,
   (char*)"V.GetTransform() -> vtkAbstractTransform\nC++: virtual vtkAbstractTransform *GetTransform ();\n\n Returns the transform associated with the surface.\n"},
  {(char*)"ApplyViewTheme",                (PyCFunction)PyvtkGeoView2D_ApplyViewTheme, 1,
   (char*)"V.ApplyViewTheme(vtkViewTheme)\nC++: virtual void ApplyViewTheme (vtkViewTheme *theme);\n\n Apply the view theme to this view.\n"},
  {(char*)"Render",                (PyCFunction)PyvtkGeoView2D_Render, 1,
   (char*)"V.Render()\nC++: virtual void Render ();\n\n Update and render the view.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGeoView2DDoc[] = {
  (char*)"vtkGeoView2D - A 2D geospatial view.\n\n",
  "Super Class:\n\n vtkRenderView\n\n",
  (char*)" vtkGeoView is a 2D globe view. The globe may contain a multi-resolution\n geometry source (vtkGeoTerrain2D), multiple multi-resolution image sources\n (vtkGeoAlignedImageRepresentation), as well as other representations such\n as vtkGeoGraphRepresentation2D. At a minimum, the view must have a terrain\n and one image representation. By default, you may select in the view with\n the left mouse button, p",
  (char*)"an with the middle button, and zoom with the right\n mouse button or scroll wheel.\n\n Each terrain or image representation contains a vtkGeoSource subclass which\n generates geometry or imagery at multiple resolutions. As the camera \n position changes, the terrain and/or image representations may ask its\n vtkGeoSource to refine the geometry. This refinement is performed on a\n separate thread, and the",
  (char*)" data is added to the view when it becomes available.\n\n\n",
  "See Also:\n\n vtkGeoTerrain2D vtkGeoAlignedImageRepresentation vtkGeoSource\n\n",
  NULL
};

static vtkObjectBase *vtkGeoView2DStaticNew()
{
  return vtkGeoView2D::New();
}

PyObject *PyVTKClass_vtkGeoView2DNew(char *modulename)
{
  return PyVTKClass_New(&vtkGeoView2DStaticNew,
                        PyvtkGeoView2DMethods,
                        (char*)"vtkGeoView2D",modulename,
                        (char**)vtkGeoView2DDoc,
                        PyVTKClass_vtkRenderViewNew(modulename));
}

