// python wrapper for vtkGeoView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGeoView.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGeoViewNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGeoViewNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkRenderViewNew(char *); }

static PyObject *PyvtkGeoView_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoView *op;

  const char    *temp20;
  op = (vtkGeoView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoView::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoView_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoView *op;

  char    *temp0;
  int      temp20;
  op = (vtkGeoView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoView::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoView_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoView *op;

  vtkGeoView  *temp20;
  op = (vtkGeoView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoView::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoView_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGeoView  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGeoView::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGeoView_AddDefaultImageRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoView *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  vtkGeoAlignedImageRepresentation  *temp20;
  op = (vtkGeoView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoView::AddDefaultImageRepresentation(temp0);
      }
    else
      {
      temp20 = op->AddDefaultImageRepresentation(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkGeoView_PrepareForRendering(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoView *op;

  op = (vtkGeoView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoView::PrepareForRendering();
      }
    else
      {
      op->PrepareForRendering();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoView_BuildLowResEarth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoView *op;

  double temp0[3];
  op = (vtkGeoView *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoView::BuildLowResEarth(temp0);
      }
    else
      {
      op->BuildLowResEarth(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoView_SetLockHeading(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoView *op;

  bool   temp0;
  op = (vtkGeoView *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoView::SetLockHeading(temp0);
      }
    else
      {
      op->SetLockHeading(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoView_GetLockHeading(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoView *op;

  bool   temp20;
  op = (vtkGeoView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoView::GetLockHeading();
      }
    else
      {
      temp20 = op->GetLockHeading();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoView_LockHeadingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoView *op;

  op = (vtkGeoView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoView::LockHeadingOn();
      }
    else
      {
      op->LockHeadingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoView_LockHeadingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoView *op;

  op = (vtkGeoView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoView::LockHeadingOff();
      }
    else
      {
      op->LockHeadingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoView_GetGeoInteractorStyle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoView *op;

  vtkGeoInteractorStyle  *temp20;
  op = (vtkGeoView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoView::GetGeoInteractorStyle();
      }
    else
      {
      temp20 = op->GetGeoInteractorStyle();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoView_SetGeoInteractorStyle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoView *op;

  vtkGeoInteractorStyle  *temp0;
  PyObject *tempH0;
  op = (vtkGeoView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGeoInteractorStyle *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGeoInteractorStyle");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoView::SetGeoInteractorStyle(temp0);
      }
    else
      {
      op->SetGeoInteractorStyle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkGeoView_SetTerrain(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoView *op;

  vtkGeoTerrain  *temp0;
  PyObject *tempH0;
  op = (vtkGeoView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGeoTerrain *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGeoTerrain");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoView::SetTerrain(temp0);
      }
    else
      {
      op->SetTerrain(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkGeoView_GetTerrain(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoView *op;

  vtkGeoTerrain  *temp20;
  op = (vtkGeoView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoView::GetTerrain();
      }
    else
      {
      temp20 = op->GetTerrain();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoView_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoView *op;

  op = (vtkGeoView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoView::Render();
      }
    else
      {
      op->Render();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGeoViewMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGeoView_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGeoView_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGeoView_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGeoView\nC++: vtkGeoView *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGeoView_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGeoView\nC++: vtkGeoView *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddDefaultImageRepresentation",                (PyCFunction)PyvtkGeoView_AddDefaultImageRepresentation, 1,
   (char*)"V.AddDefaultImageRepresentation(vtkImageData) -> vtkGeoAlignedImageRepresentation\nC++: vtkGeoAlignedImageRepresentation *AddDefaultImageRepresentation (vtkImageData *image);\n\n Adds an image representation with a simple terrain model using\n the image in the specified file as the globe terrain.\n"},
  {(char*)"PrepareForRendering",                (PyCFunction)PyvtkGeoView_PrepareForRendering, 1,
   (char*)"V.PrepareForRendering()\nC++: virtual void PrepareForRendering ();\n\n"},
  {(char*)"BuildLowResEarth",                (PyCFunction)PyvtkGeoView_BuildLowResEarth, 1,
   (char*)"V.BuildLowResEarth((float, float, float))\nC++: void BuildLowResEarth (double origin[3]);\n\n Rebuild low-res earth source; call after (re)setting origin.\n"},
  {(char*)"SetLockHeading",                (PyCFunction)PyvtkGeoView_SetLockHeading, 1,
   (char*)"V.SetLockHeading(bool)\nC++: virtual void SetLockHeading (bool lock);\n\n Whether the view locks the heading when panning.\n Default is off.\n"},
  {(char*)"GetLockHeading",                (PyCFunction)PyvtkGeoView_GetLockHeading, 1,
   (char*)"V.GetLockHeading() -> bool\nC++: virtual bool GetLockHeading ();\n\n Whether the view locks the heading when panning.\n Default is off.\n"},
  {(char*)"LockHeadingOn",                (PyCFunction)PyvtkGeoView_LockHeadingOn, 1,
   (char*)"V.LockHeadingOn()\nC++: void LockHeadingOn ();\n\n Whether the view locks the heading when panning.\n Default is off.\n"},
  {(char*)"LockHeadingOff",                (PyCFunction)PyvtkGeoView_LockHeadingOff, 1,
   (char*)"V.LockHeadingOff()\nC++: void LockHeadingOff ();\n\n Whether the view locks the heading when panning.\n Default is off.\n"},
  {(char*)"GetGeoInteractorStyle",                (PyCFunction)PyvtkGeoView_GetGeoInteractorStyle, 1,
   (char*)"V.GetGeoInteractorStyle() -> vtkGeoInteractorStyle\nC++: vtkGeoInteractorStyle *GetGeoInteractorStyle ();\n\n Convenience method for obtaining the internal interactor style.\n"},
  {(char*)"SetGeoInteractorStyle",                (PyCFunction)PyvtkGeoView_SetGeoInteractorStyle, 1,
   (char*)"V.SetGeoInteractorStyle(vtkGeoInteractorStyle)\nC++: virtual void SetGeoInteractorStyle (vtkGeoInteractorStyle *style);\n\n Method to change the interactor style.\n"},
  {(char*)"SetTerrain",                (PyCFunction)PyvtkGeoView_SetTerrain, 1,
   (char*)"V.SetTerrain(vtkGeoTerrain)\nC++: virtual void SetTerrain (vtkGeoTerrain *terrain);\n\n The terrain (geometry) model for this earth view.\n"},
  {(char*)"GetTerrain",                (PyCFunction)PyvtkGeoView_GetTerrain, 1,
   (char*)"V.GetTerrain() -> vtkGeoTerrain\nC++: vtkGeoTerrain *GetTerrain ();\n\n The terrain (geometry) model for this earth view.\n"},
  {(char*)"Render",                (PyCFunction)PyvtkGeoView_Render, 1,
   (char*)"V.Render()\nC++: virtual void Render ();\n\n Update and render the view.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGeoViewDoc[] = {
  (char*)"vtkGeoView - A 3D geospatial view.\n\n",
  "Super Class:\n\n vtkRenderView\n\n",
  (char*)" vtkGeoView is a 3D globe view. The globe may contain a multi-resolution\n geometry source (vtkGeoTerrain), multiple multi-resolution image sources\n (vtkGeoAlignedImageRepresentation), as well as other representations such\n as vtkRenderedGraphRepresentation. At a minimum, the view must have a terrain\n and one image representation. The view uses vtkGeoInteractorStyle to orbit,\n zoom, and tilt the vi",
  (char*)"ew, and contains a vtkCompassWidget for manipulating\n the camera.\n\n Each terrain or image representation contains a vtkGeoSource subclass which\n generates geometry or imagery at multiple resolutions. As the camera\n position changes, the terrain and/or image representations may ask its\n vtkGeoSource to refine the geometry. This refinement is performed on a\n separate thread, and the data is added to",
  (char*)" the view when it becomes available.\n\n\n",
  "See Also:\n\n vtkGeoTerrain vtkGeoAlignedImageRepresentation vtkGeoSource\n\n",
  NULL
};

static vtkObjectBase *vtkGeoViewStaticNew()
{
  return vtkGeoView::New();
}

PyObject *PyVTKClass_vtkGeoViewNew(char *modulename)
{
  return PyVTKClass_New(&vtkGeoViewStaticNew,
                        PyvtkGeoViewMethods,
                        (char*)"vtkGeoView",modulename,
                        (char**)vtkGeoViewDoc,
                        PyVTKClass_vtkRenderViewNew(modulename));
}

