// python wrapper for vtkDataSetGradientPrecompute object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDataSetGradientPrecompute.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataSetGradientPrecomputeNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataSetGradientPrecomputeNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkDataSetGradientPrecompute_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetGradientPrecompute *op;

  const char    *temp20;
  op = (vtkDataSetGradientPrecompute *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetGradientPrecompute::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetGradientPrecompute_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetGradientPrecompute *op;

  char    *temp0;
  int      temp20;
  op = (vtkDataSetGradientPrecompute *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetGradientPrecompute::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetGradientPrecompute_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetGradientPrecompute *op;

  vtkDataSetGradientPrecompute  *temp20;
  op = (vtkDataSetGradientPrecompute *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetGradientPrecompute::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetGradientPrecompute_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDataSetGradientPrecompute  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDataSetGradientPrecompute::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDataSetGradientPrecompute_GradientPrecompute(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break4;
      {
      temp20 = vtkDataSetGradientPrecompute::GradientPrecompute(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break4:
  return NULL;
}

static PyMethodDef PyvtkDataSetGradientPrecomputeMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataSetGradientPrecompute_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataSetGradientPrecompute_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataSetGradientPrecompute_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataSetGradientPrecompute\nC++: vtkDataSetGradientPrecompute *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDataSetGradientPrecompute_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDataSetGradientPrecompute\nC++: vtkDataSetGradientPrecompute *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GradientPrecompute",                (PyCFunction)PyvtkDataSetGradientPrecompute_GradientPrecompute, 1,
   (char*)"V.GradientPrecompute(vtkDataSet) -> int\nC++: static int GradientPrecompute (vtkDataSet *ds);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataSetGradientPrecomputeDoc[] = {
  (char*)"vtkDataSetGradientPrecompute \n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" Computes a geometry based vector field that the DataSetGradient filter uses to accelerate\n gradient computation. This vector field is added to FieldData since it has a different\n value for each vertex of each cell (a vertex shared by two cell has two differents values).\n\n .SECTION Thanks\n This file is part of the generalized Youngs material interface reconstruction algorithm contributed by\n CEA/D",
  (char*)"IF - Commissariat a l'Energie Atomique, Centre DAM Ile-De-France <br>\n BP12, F-91297 Arpajon, France. <br>\n Implementation by Thierry Carrard (CEA)\n\n",
  NULL
};

static vtkObjectBase *vtkDataSetGradientPrecomputeStaticNew()
{
  return vtkDataSetGradientPrecompute::New();
}

PyObject *PyVTKClass_vtkDataSetGradientPrecomputeNew(char *modulename)
{
  return PyVTKClass_New(&vtkDataSetGradientPrecomputeStaticNew,
                        PyvtkDataSetGradientPrecomputeMethods,
                        (char*)"vtkDataSetGradientPrecompute",modulename,
                        (char**)vtkDataSetGradientPrecomputeDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

