// python wrapper for vtkExtractSelectedRows object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkExtractSelectedRows.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExtractSelectedRowsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExtractSelectedRowsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(char *); }

static PyObject *PyvtkExtractSelectedRows_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedRows *op;

  const char    *temp20;
  op = (vtkExtractSelectedRows *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectedRows::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedRows_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedRows *op;

  char    *temp0;
  int      temp20;
  op = (vtkExtractSelectedRows *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectedRows::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedRows_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedRows *op;

  vtkExtractSelectedRows  *temp20;
  op = (vtkExtractSelectedRows *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectedRows::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedRows_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExtractSelectedRows  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExtractSelectedRows::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkExtractSelectedRows_SetSelectionConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedRows *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkExtractSelectedRows *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractSelectedRows::SetSelectionConnection(temp0);
      }
    else
      {
      op->SetSelectionConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkExtractSelectedRows_SetAnnotationLayersConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedRows *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkExtractSelectedRows *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractSelectedRows::SetAnnotationLayersConnection(temp0);
      }
    else
      {
      op->SetAnnotationLayersConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkExtractSelectedRows_FillInputPortInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedRows *op;

  int      temp0;
  vtkInformation  *temp1;
  PyObject *tempH1;
  int      temp20;
  op = (vtkExtractSelectedRows *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformation");
    if (!temp1 && tempH1 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectedRows::FillInputPortInformation(temp0,temp1);
      }
    else
      {
      temp20 = op->FillInputPortInformation(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkExtractSelectedRows_SetAddOriginalRowIdsArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedRows *op;

  bool   temp0;
  op = (vtkExtractSelectedRows *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractSelectedRows::SetAddOriginalRowIdsArray(temp0);
      }
    else
      {
      op->SetAddOriginalRowIdsArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedRows_GetAddOriginalRowIdsArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedRows *op;

  bool   temp20;
  op = (vtkExtractSelectedRows *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectedRows::GetAddOriginalRowIdsArray();
      }
    else
      {
      temp20 = op->GetAddOriginalRowIdsArray();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedRows_AddOriginalRowIdsArrayOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedRows *op;

  op = (vtkExtractSelectedRows *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractSelectedRows::AddOriginalRowIdsArrayOn();
      }
    else
      {
      op->AddOriginalRowIdsArrayOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedRows_AddOriginalRowIdsArrayOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedRows *op;

  op = (vtkExtractSelectedRows *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractSelectedRows::AddOriginalRowIdsArrayOff();
      }
    else
      {
      op->AddOriginalRowIdsArrayOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkExtractSelectedRowsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExtractSelectedRows_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExtractSelectedRows_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExtractSelectedRows_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExtractSelectedRows\nC++: vtkExtractSelectedRows *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExtractSelectedRows_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExtractSelectedRows\nC++: vtkExtractSelectedRows *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetSelectionConnection",                (PyCFunction)PyvtkExtractSelectedRows_SetSelectionConnection, 1,
   (char*)"V.SetSelectionConnection(vtkAlgorithmOutput)\nC++: void SetSelectionConnection (vtkAlgorithmOutput *in);\n\n A convenience method for setting the second input (i.e. the selection).\n"},
  {(char*)"SetAnnotationLayersConnection",                (PyCFunction)PyvtkExtractSelectedRows_SetAnnotationLayersConnection, 1,
   (char*)"V.SetAnnotationLayersConnection(vtkAlgorithmOutput)\nC++: void SetAnnotationLayersConnection (vtkAlgorithmOutput *in);\n\n A convenience method for setting the third input (i.e. the annotation layers).\n"},
  {(char*)"FillInputPortInformation",                (PyCFunction)PyvtkExtractSelectedRows_FillInputPortInformation, 1,
   (char*)"V.FillInputPortInformation(int, vtkInformation) -> int\nC++: int FillInputPortInformation (int port, vtkInformation *info);\n\n Specify the first vtkGraph input and the second vtkSelection input.\n"},
  {(char*)"SetAddOriginalRowIdsArray",                (PyCFunction)PyvtkExtractSelectedRows_SetAddOriginalRowIdsArray, 1,
   (char*)"V.SetAddOriginalRowIdsArray(bool)\nC++: void SetAddOriginalRowIdsArray (bool );\n\n When set, a column named vtkOriginalRowIds will be added to the output.\n False by default.\n"},
  {(char*)"GetAddOriginalRowIdsArray",                (PyCFunction)PyvtkExtractSelectedRows_GetAddOriginalRowIdsArray, 1,
   (char*)"V.GetAddOriginalRowIdsArray() -> bool\nC++: bool GetAddOriginalRowIdsArray ();\n\n When set, a column named vtkOriginalRowIds will be added to the output.\n False by default.\n"},
  {(char*)"AddOriginalRowIdsArrayOn",                (PyCFunction)PyvtkExtractSelectedRows_AddOriginalRowIdsArrayOn, 1,
   (char*)"V.AddOriginalRowIdsArrayOn()\nC++: void AddOriginalRowIdsArrayOn ();\n\n When set, a column named vtkOriginalRowIds will be added to the output.\n False by default.\n"},
  {(char*)"AddOriginalRowIdsArrayOff",                (PyCFunction)PyvtkExtractSelectedRows_AddOriginalRowIdsArrayOff, 1,
   (char*)"V.AddOriginalRowIdsArrayOff()\nC++: void AddOriginalRowIdsArrayOff ();\n\n When set, a column named vtkOriginalRowIds will be added to the output.\n False by default.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExtractSelectedRowsDoc[] = {
  (char*)"vtkExtractSelectedRows - return selected rows of a table\n\n",
  "Super Class:\n\n vtkTableAlgorithm\n\n",
  (char*)" The first input is a vtkTable to extract rows from.\n The second input is a vtkSelection containing the selected indices.\n The third input is a vtkAnnotationLayers containing selected indices.\n The field type of the input selection is ignored when converted to row\n indices.\n\n",
  NULL
};

static vtkObjectBase *vtkExtractSelectedRowsStaticNew()
{
  return vtkExtractSelectedRows::New();
}

PyObject *PyVTKClass_vtkExtractSelectedRowsNew(char *modulename)
{
  return PyVTKClass_New(&vtkExtractSelectedRowsStaticNew,
                        PyvtkExtractSelectedRowsMethods,
                        (char*)"vtkExtractSelectedRows",modulename,
                        (char**)vtkExtractSelectedRowsDoc,
                        PyVTKClass_vtkTableAlgorithmNew(modulename));
}

