// python wrapper for vtkFrustumSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkFrustumSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkFrustumSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkFrustumSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkFrustumSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFrustumSource *op;

  const char    *temp20;
  op = (vtkFrustumSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFrustumSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFrustumSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFrustumSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkFrustumSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFrustumSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFrustumSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFrustumSource *op;

  vtkFrustumSource  *temp20;
  op = (vtkFrustumSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFrustumSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFrustumSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkFrustumSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkFrustumSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkFrustumSource_GetPlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFrustumSource *op;

  vtkPlanes  *temp20;
  op = (vtkFrustumSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFrustumSource::GetPlanes();
      }
    else
      {
      temp20 = op->GetPlanes();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFrustumSource_SetPlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFrustumSource *op;

  vtkPlanes  *temp0;
  PyObject *tempH0;
  op = (vtkFrustumSource *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPlanes *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPlanes");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkFrustumSource::SetPlanes(temp0);
      }
    else
      {
      op->SetPlanes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkFrustumSource_GetShowLines(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFrustumSource *op;

  bool   temp20;
  op = (vtkFrustumSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFrustumSource::GetShowLines();
      }
    else
      {
      temp20 = op->GetShowLines();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkFrustumSource_SetShowLines(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFrustumSource *op;

  bool   temp0;
  op = (vtkFrustumSource *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFrustumSource::SetShowLines(temp0);
      }
    else
      {
      op->SetShowLines(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFrustumSource_ShowLinesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFrustumSource *op;

  op = (vtkFrustumSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFrustumSource::ShowLinesOn();
      }
    else
      {
      op->ShowLinesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFrustumSource_ShowLinesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFrustumSource *op;

  op = (vtkFrustumSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFrustumSource::ShowLinesOff();
      }
    else
      {
      op->ShowLinesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFrustumSource_GetLinesLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFrustumSource *op;

  double   temp20;
  op = (vtkFrustumSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFrustumSource::GetLinesLength();
      }
    else
      {
      temp20 = op->GetLinesLength();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFrustumSource_SetLinesLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFrustumSource *op;

  double   temp0;
  op = (vtkFrustumSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFrustumSource::SetLinesLength(temp0);
      }
    else
      {
      op->SetLinesLength(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFrustumSource_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFrustumSource *op;

  unsigned long     temp20;
  op = (vtkFrustumSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFrustumSource::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkFrustumSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkFrustumSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkFrustumSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkFrustumSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkFrustumSource\nC++: vtkFrustumSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkFrustumSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkFrustumSource\nC++: vtkFrustumSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetPlanes",                (PyCFunction)PyvtkFrustumSource_GetPlanes, 1,
   (char*)"V.GetPlanes() -> vtkPlanes\nC++: vtkPlanes *GetPlanes ();\n\n Return the 6 planes defining the frustum. Initial value is NULL.\n The 6 planes are defined in this order: left,right,bottom,top,far,near.\n If Planes==NULL or if Planes->GetNumberOfPlanes()!=6 when RequestData()\n is called, an error message will be emitted and RequestData() will\n return right away.\n"},
  {(char*)"SetPlanes",                (PyCFunction)PyvtkFrustumSource_SetPlanes, 1,
   (char*)"V.SetPlanes(vtkPlanes)\nC++: virtual void SetPlanes (vtkPlanes *planes);\n\n Set the 6 planes defining the frustum.\n"},
  {(char*)"GetShowLines",                (PyCFunction)PyvtkFrustumSource_GetShowLines, 1,
   (char*)"V.GetShowLines() -> bool\nC++: bool GetShowLines ();\n\n Tells if some extra lines will be generated. Initial value is true.\n"},
  {(char*)"SetShowLines",                (PyCFunction)PyvtkFrustumSource_SetShowLines, 1,
   (char*)"V.SetShowLines(bool)\nC++: void SetShowLines (bool );\n\n Tells if some extra lines will be generated. Initial value is true.\n"},
  {(char*)"ShowLinesOn",                (PyCFunction)PyvtkFrustumSource_ShowLinesOn, 1,
   (char*)"V.ShowLinesOn()\nC++: void ShowLinesOn ();\n\n Tells if some extra lines will be generated. Initial value is true.\n"},
  {(char*)"ShowLinesOff",                (PyCFunction)PyvtkFrustumSource_ShowLinesOff, 1,
   (char*)"V.ShowLinesOff()\nC++: void ShowLinesOff ();\n\n Tells if some extra lines will be generated. Initial value is true.\n"},
  {(char*)"GetLinesLength",                (PyCFunction)PyvtkFrustumSource_GetLinesLength, 1,
   (char*)"V.GetLinesLength() -> float\nC++: double GetLinesLength ();\n\n Length of the extra lines. This a stricly positive value.\n Initial value is 1.0.\n"},
  {(char*)"SetLinesLength",                (PyCFunction)PyvtkFrustumSource_SetLinesLength, 1,
   (char*)"V.SetLinesLength(float)\nC++: void SetLinesLength (double );\n\n Length of the extra lines. This a stricly positive value.\n Initial value is 1.0.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkFrustumSource_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Modified GetMTime because of Planes.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkFrustumSourceDoc[] = {
  (char*)"vtkFrustumSource - create a polygonal representation of a frustum\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkFrustumSource creates a frustum defines by a set of planes. The frustum\n is represented with four-sided polygons. It is possible to specify extra\n lines to better visualize the field of view.\n\n .SECTION Usage\n Typical use consists of 3 steps:\n 1. get the planes coefficients from a vtkCamera with\n vtkCamera::GetFrustumPlanes()\n 2. initialize the planes with vtkPlanes::SetFrustumPlanes() with th",
  (char*)"e planes\n coefficients\n 3. pass the vtkPlanes to a vtkFrustumSource.\n\n",
  NULL
};

static vtkObjectBase *vtkFrustumSourceStaticNew()
{
  return vtkFrustumSource::New();
}

PyObject *PyVTKClass_vtkFrustumSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkFrustumSourceStaticNew,
                        PyvtkFrustumSourceMethods,
                        (char*)"vtkFrustumSource",modulename,
                        (char**)vtkFrustumSourceDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

