// python wrapper for vtkQuadraturePointsGenerator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkQuadraturePointsGenerator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkQuadraturePointsGeneratorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkQuadraturePointsGeneratorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkQuadraturePointsGenerator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuadraturePointsGenerator *op;

  const char    *temp20;
  op = (vtkQuadraturePointsGenerator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuadraturePointsGenerator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkQuadraturePointsGenerator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuadraturePointsGenerator *op;

  char    *temp0;
  int      temp20;
  op = (vtkQuadraturePointsGenerator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuadraturePointsGenerator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuadraturePointsGenerator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuadraturePointsGenerator *op;

  vtkQuadraturePointsGenerator  *temp20;
  op = (vtkQuadraturePointsGenerator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuadraturePointsGenerator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuadraturePointsGenerator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkQuadraturePointsGenerator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkQuadraturePointsGenerator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkQuadraturePointsGeneratorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkQuadraturePointsGenerator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkQuadraturePointsGenerator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkQuadraturePointsGenerator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkQuadraturePointsGenerator\nC++: vtkQuadraturePointsGenerator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkQuadraturePointsGenerator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkQuadraturePointsGenerator\nC++: vtkQuadraturePointsGenerator *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkQuadraturePointsGeneratorDoc[] = {
  (char*)"vtkQuadraturePointsGenerator\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)"\n Create a vtkPolyData on its output containing the vertices\n for the quadrature points for one of the vtkDataArrays present\n on its input vtkUnstructuredGrid. If the input data set has\n has FieldData generated by vtkQuadraturePointInterpolator then\n this will be set as point data. Note: Point sets are generated\n per field array. This is because each field array may contain\n its own dictionary.\n\n ",
  (char*)".SECTION See also\n vtkQuadraturePointInterpolator, vtkQuadratureSchemeDefinition, vtkInformationQuadratureSchemeDefinitionVectorKey\n\n",
  NULL
};

static vtkObjectBase *vtkQuadraturePointsGeneratorStaticNew()
{
  return vtkQuadraturePointsGenerator::New();
}

PyObject *PyVTKClass_vtkQuadraturePointsGeneratorNew(char *modulename)
{
  return PyVTKClass_New(&vtkQuadraturePointsGeneratorStaticNew,
                        PyvtkQuadraturePointsGeneratorMethods,
                        (char*)"vtkQuadraturePointsGenerator",modulename,
                        (char**)vtkQuadraturePointsGeneratorDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

