// python wrapper for vtkStreamTracer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkStreamTracer.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkStreamTracerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkStreamTracerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkStreamTracer_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  const char    *temp20;
  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  char    *temp0;
  int      temp20;
  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  vtkStreamTracer  *temp20;
  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkStreamTracer  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkStreamTracer::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetStartPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetStartPosition(temp0,temp1,temp2);
      }
    else
      {
      op->SetStartPosition(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetStartPosition(temp0);
      }
    else
      {
      op->SetStartPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_GetStartPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  double  *temp20;
  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::GetStartPosition();
      }
    else
      {
      temp20 = op->GetStartPosition();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetSource(temp0);
      }
    else
      {
      op->SetSource(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkStreamTracer_GetSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  vtkDataSet  *temp20;
  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::GetSource();
      }
    else
      {
      temp20 = op->GetSource();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetSourceConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetSourceConnection(temp0);
      }
    else
      {
      op->SetSourceConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetIntegrator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  vtkInitialValueProblemSolver  *temp0;
  PyObject *tempH0;
  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkInitialValueProblemSolver *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInitialValueProblemSolver");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetIntegrator(temp0);
      }
    else
      {
      op->SetIntegrator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkStreamTracer_GetIntegrator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  vtkInitialValueProblemSolver  *temp20;
  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::GetIntegrator();
      }
    else
      {
      temp20 = op->GetIntegrator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetIntegratorType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  int      temp0;
  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetIntegratorType(temp0);
      }
    else
      {
      op->SetIntegratorType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_GetIntegratorType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  int      temp20;
  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::GetIntegratorType();
      }
    else
      {
      temp20 = op->GetIntegratorType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetIntegratorTypeToRungeKutta2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetIntegratorTypeToRungeKutta2();
      }
    else
      {
      op->SetIntegratorTypeToRungeKutta2();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetIntegratorTypeToRungeKutta4(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetIntegratorTypeToRungeKutta4();
      }
    else
      {
      op->SetIntegratorTypeToRungeKutta4();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetIntegratorTypeToRungeKutta45(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetIntegratorTypeToRungeKutta45();
      }
    else
      {
      op->SetIntegratorTypeToRungeKutta45();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetInterpolatorTypeToDataSetPointLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetInterpolatorTypeToDataSetPointLocator();
      }
    else
      {
      op->SetInterpolatorTypeToDataSetPointLocator();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetInterpolatorTypeToCellLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetInterpolatorTypeToCellLocator();
      }
    else
      {
      op->SetInterpolatorTypeToCellLocator();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetMaximumPropagation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  double   temp0;
  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetMaximumPropagation(temp0);
      }
    else
      {
      op->SetMaximumPropagation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_GetMaximumPropagation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  double   temp20;
  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::GetMaximumPropagation();
      }
    else
      {
      temp20 = op->GetMaximumPropagation();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetIntegrationStepUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  int      temp0;
  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetIntegrationStepUnit(temp0);
      }
    else
      {
      op->SetIntegrationStepUnit(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_GetIntegrationStepUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  int      temp20;
  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::GetIntegrationStepUnit();
      }
    else
      {
      temp20 = op->GetIntegrationStepUnit();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetInitialIntegrationStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  double   temp0;
  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetInitialIntegrationStep(temp0);
      }
    else
      {
      op->SetInitialIntegrationStep(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_GetInitialIntegrationStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  double   temp20;
  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::GetInitialIntegrationStep();
      }
    else
      {
      temp20 = op->GetInitialIntegrationStep();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetMinimumIntegrationStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  double   temp0;
  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetMinimumIntegrationStep(temp0);
      }
    else
      {
      op->SetMinimumIntegrationStep(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_GetMinimumIntegrationStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  double   temp20;
  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::GetMinimumIntegrationStep();
      }
    else
      {
      temp20 = op->GetMinimumIntegrationStep();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetMaximumIntegrationStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  double   temp0;
  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetMaximumIntegrationStep(temp0);
      }
    else
      {
      op->SetMaximumIntegrationStep(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_GetMaximumIntegrationStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  double   temp20;
  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::GetMaximumIntegrationStep();
      }
    else
      {
      temp20 = op->GetMaximumIntegrationStep();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetMaximumError(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  double   temp0;
  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetMaximumError(temp0);
      }
    else
      {
      op->SetMaximumError(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_GetMaximumError(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  double   temp20;
  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::GetMaximumError();
      }
    else
      {
      temp20 = op->GetMaximumError();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetMaximumNumberOfSteps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  vtkIdType   temp0;
  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetMaximumNumberOfSteps(temp0);
      }
    else
      {
      op->SetMaximumNumberOfSteps(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_GetMaximumNumberOfSteps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  vtkIdType   temp20;
  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::GetMaximumNumberOfSteps();
      }
    else
      {
      temp20 = op->GetMaximumNumberOfSteps();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetTerminalSpeed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  double   temp0;
  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetTerminalSpeed(temp0);
      }
    else
      {
      op->SetTerminalSpeed(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_GetTerminalSpeed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  double   temp20;
  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::GetTerminalSpeed();
      }
    else
      {
      temp20 = op->GetTerminalSpeed();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetIntegrationDirection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  int      temp0;
  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetIntegrationDirection(temp0);
      }
    else
      {
      op->SetIntegrationDirection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_GetIntegrationDirectionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  int      temp20;
  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::GetIntegrationDirectionMinValue();
      }
    else
      {
      temp20 = op->GetIntegrationDirectionMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_GetIntegrationDirectionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  int      temp20;
  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::GetIntegrationDirectionMaxValue();
      }
    else
      {
      temp20 = op->GetIntegrationDirectionMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_GetIntegrationDirection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  int      temp20;
  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::GetIntegrationDirection();
      }
    else
      {
      temp20 = op->GetIntegrationDirection();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetIntegrationDirectionToForward(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetIntegrationDirectionToForward();
      }
    else
      {
      op->SetIntegrationDirectionToForward();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetIntegrationDirectionToBackward(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetIntegrationDirectionToBackward();
      }
    else
      {
      op->SetIntegrationDirectionToBackward();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetIntegrationDirectionToBoth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetIntegrationDirectionToBoth();
      }
    else
      {
      op->SetIntegrationDirectionToBoth();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetComputeVorticity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  bool   temp0;
  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetComputeVorticity(temp0);
      }
    else
      {
      op->SetComputeVorticity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_GetComputeVorticity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  bool   temp20;
  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::GetComputeVorticity();
      }
    else
      {
      temp20 = op->GetComputeVorticity();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetRotationScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  double   temp0;
  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetRotationScale(temp0);
      }
    else
      {
      op->SetRotationScale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_GetRotationScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  double   temp20;
  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::GetRotationScale();
      }
    else
      {
      temp20 = op->GetRotationScale();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetInterpolatorPrototype(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  vtkAbstractInterpolatedVelocityField  *temp0;
  PyObject *tempH0;
  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractInterpolatedVelocityField *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractInterpolatedVelocityField");
    if (!temp0 && tempH0 != Py_None) goto break46;
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetInterpolatorPrototype(temp0);
      }
    else
      {
      op->SetInterpolatorPrototype(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break46:
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetInterpolatorType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  int      temp0;
  op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetInterpolatorType(temp0);
      }
    else
      {
      op->SetInterpolatorType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkStreamTracerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkStreamTracer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkStreamTracer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkStreamTracer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkStreamTracer\nC++: vtkStreamTracer *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkStreamTracer_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkStreamTracer\nC++: vtkStreamTracer *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetStartPosition",                (PyCFunction)PyvtkStreamTracer_SetStartPosition, 1,
   (char*)"V.SetStartPosition(float, float, float)\nC++: void SetStartPosition (double , double , double );\nV.SetStartPosition((float, float, float))\nC++: void SetStartPosition (double  a[3]);\n\n Specify the starting point (seed) of a streamline in the global\n coordinate system. Search must be performed to find the initial cell\n from which to start integration.\n"},
  {(char*)"GetStartPosition",                (PyCFunction)PyvtkStreamTracer_GetStartPosition, 1,
   (char*)"V.GetStartPosition() -> (float, float, float)\nC++: double  *GetStartPosition ();\n\n Specify the starting point (seed) of a streamline in the global\n coordinate system. Search must be performed to find the initial cell\n from which to start integration.\n"},
  {(char*)"SetSource",                (PyCFunction)PyvtkStreamTracer_SetSource, 1,
   (char*)"V.SetSource(vtkDataSet)\nC++: void SetSource (vtkDataSet *source);\n\n Specify the source object used to generate starting points (seeds).\n Old style. Do not use.\n"},
  {(char*)"GetSource",                (PyCFunction)PyvtkStreamTracer_GetSource, 1,
   (char*)"V.GetSource() -> vtkDataSet\nC++: vtkDataSet *GetSource ();\n\n Specify the source object used to generate starting points (seeds).\n Old style. Do not use.\n"},
  {(char*)"SetSourceConnection",                (PyCFunction)PyvtkStreamTracer_SetSourceConnection, 1,
   (char*)"V.SetSourceConnection(vtkAlgorithmOutput)\nC++: void SetSourceConnection (vtkAlgorithmOutput *algOutput);\n\n Specify the source object used to generate starting points (seeds).\n New style.\n"},
  {(char*)"SetIntegrator",                (PyCFunction)PyvtkStreamTracer_SetIntegrator, 1,
   (char*)"V.SetIntegrator(vtkInitialValueProblemSolver)\nC++: void SetIntegrator (vtkInitialValueProblemSolver *);\n\n Set/get the integrator type to be used for streamline generation. \n The object passed is not actually used but is cloned with \n NewInstance in the process of integration  (prototype pattern). \n The default is Runge-Kutta2. The integrator can also be changed\n using SetIntegratorType. The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n RUNGE_KUTTA45 = 2\n"},
  {(char*)"GetIntegrator",                (PyCFunction)PyvtkStreamTracer_GetIntegrator, 1,
   (char*)"V.GetIntegrator() -> vtkInitialValueProblemSolver\nC++: vtkInitialValueProblemSolver *GetIntegrator ();\n\n Set/get the integrator type to be used for streamline generation. \n The object passed is not actually used but is cloned with \n NewInstance in the process of integration  (prototype pattern). \n The default is Runge-Kutta2. The integrator can also be changed\n using SetIntegratorType. The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n RUNGE_KUTTA45 = 2\n"},
  {(char*)"SetIntegratorType",                (PyCFunction)PyvtkStreamTracer_SetIntegratorType, 1,
   (char*)"V.SetIntegratorType(int)\nC++: void SetIntegratorType (int type);\n\n Set/get the integrator type to be used for streamline generation. \n The object passed is not actually used but is cloned with \n NewInstance in the process of integration  (prototype pattern). \n The default is Runge-Kutta2. The integrator can also be changed\n using SetIntegratorType. The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n RUNGE_KUTTA45 = 2\n"},
  {(char*)"GetIntegratorType",                (PyCFunction)PyvtkStreamTracer_GetIntegratorType, 1,
   (char*)"V.GetIntegratorType() -> int\nC++: int GetIntegratorType ();\n\n Set/get the integrator type to be used for streamline generation. \n The object passed is not actually used but is cloned with \n NewInstance in the process of integration  (prototype pattern). \n The default is Runge-Kutta2. The integrator can also be changed\n using SetIntegratorType. The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n RUNGE_KUTTA45 = 2\n"},
  {(char*)"SetIntegratorTypeToRungeKutta2",                (PyCFunction)PyvtkStreamTracer_SetIntegratorTypeToRungeKutta2, 1,
   (char*)"V.SetIntegratorTypeToRungeKutta2()\nC++: void SetIntegratorTypeToRungeKutta2 ();this SetIntegratorType RUNGE_KUTTA2 \n\n Set/get the integrator type to be used for streamline generation. \n The object passed is not actually used but is cloned with \n NewInstance in the process of integration  (prototype pattern). \n The default is Runge-Kutta2. The integrator can also be changed\n using SetIntegratorType. The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n RUNGE_KUTTA45 = 2\n"},
  {(char*)"SetIntegratorTypeToRungeKutta4",                (PyCFunction)PyvtkStreamTracer_SetIntegratorTypeToRungeKutta4, 1,
   (char*)"V.SetIntegratorTypeToRungeKutta4()\nC++: void SetIntegratorTypeToRungeKutta4 ();this SetIntegratorType RUNGE_KUTTA4 \n\n Set/get the integrator type to be used for streamline generation. \n The object passed is not actually used but is cloned with \n NewInstance in the process of integration  (prototype pattern). \n The default is Runge-Kutta2. The integrator can also be changed\n using SetIntegratorType. The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n RUNGE_KUTTA45 = 2\n"},
  {(char*)"SetIntegratorTypeToRungeKutta45",                (PyCFunction)PyvtkStreamTracer_SetIntegratorTypeToRungeKutta45, 1,
   (char*)"V.SetIntegratorTypeToRungeKutta45()\nC++: void SetIntegratorTypeToRungeKutta45 ();this SetIntegratorType RUNGE_KUTTA45 \n\n Set/get the integrator type to be used for streamline generation. \n The object passed is not actually used but is cloned with \n NewInstance in the process of integration  (prototype pattern). \n The default is Runge-Kutta2. The integrator can also be changed\n using SetIntegratorType. The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n RUNGE_KUTTA45 = 2\n"},
  {(char*)"SetInterpolatorTypeToDataSetPointLocator",                (PyCFunction)PyvtkStreamTracer_SetInterpolatorTypeToDataSetPointLocator, 1,
   (char*)"V.SetInterpolatorTypeToDataSetPointLocator()\nC++: void SetInterpolatorTypeToDataSetPointLocator ();\n\n Set the velocity field interpolator type to the one involving\n a dataset point locator.\n"},
  {(char*)"SetInterpolatorTypeToCellLocator",                (PyCFunction)PyvtkStreamTracer_SetInterpolatorTypeToCellLocator, 1,
   (char*)"V.SetInterpolatorTypeToCellLocator()\nC++: void SetInterpolatorTypeToCellLocator ();\n\n Set the velocity field interpolator type to the one involving\n a cell locator.\n"},
  {(char*)"SetMaximumPropagation",                (PyCFunction)PyvtkStreamTracer_SetMaximumPropagation, 1,
   (char*)"V.SetMaximumPropagation(float)\nC++: void SetMaximumPropagation (double max);\n\n Specify the maximum length of a streamline expressed in LENGTH_UNIT.\n"},
  {(char*)"GetMaximumPropagation",                (PyCFunction)PyvtkStreamTracer_GetMaximumPropagation, 1,
   (char*)"V.GetMaximumPropagation() -> float\nC++: double GetMaximumPropagation ();return this MaximumPropagation \n\n Specify a uniform integration step unit for MinimumIntegrationStep, \n InitialIntegrationStep, and MaximumIntegrationStep. NOTE: The valid\n unit is now limited to only LENGTH_UNIT (1) and CELL_LENGTH_UNIT (2),\n EXCLUDING the previously-supported TIME_UNIT.  \n"},
  {(char*)"SetIntegrationStepUnit",                (PyCFunction)PyvtkStreamTracer_SetIntegrationStepUnit, 1,
   (char*)"V.SetIntegrationStepUnit(int)\nC++: void SetIntegrationStepUnit (int unit);\n\n Specify a uniform integration step unit for MinimumIntegrationStep, \n InitialIntegrationStep, and MaximumIntegrationStep. NOTE: The valid\n unit is now limited to only LENGTH_UNIT (1) and CELL_LENGTH_UNIT (2),\n EXCLUDING the previously-supported TIME_UNIT.  \n"},
  {(char*)"GetIntegrationStepUnit",                (PyCFunction)PyvtkStreamTracer_GetIntegrationStepUnit, 1,
   (char*)"V.GetIntegrationStepUnit() -> int\nC++: int GetIntegrationStepUnit ();return this IntegrationStepUnit \n\n Specify the Initial step size used for line integration, expressed in:\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n (either the starting size for an adaptive integrator, e.g., RK45,\n or the constant / fixed size for non-adaptive ones, i.e., RK2 and RK4)\n"},
  {(char*)"SetInitialIntegrationStep",                (PyCFunction)PyvtkStreamTracer_SetInitialIntegrationStep, 1,
   (char*)"V.SetInitialIntegrationStep(float)\nC++: void SetInitialIntegrationStep (double step);\n\n Specify the Initial step size used for line integration, expressed in:\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n (either the starting size for an adaptive integrator, e.g., RK45,\n or the constant / fixed size for non-adaptive ones, i.e., RK2 and RK4)\n"},
  {(char*)"GetInitialIntegrationStep",                (PyCFunction)PyvtkStreamTracer_GetInitialIntegrationStep, 1,
   (char*)"V.GetInitialIntegrationStep() -> float\nC++: double GetInitialIntegrationStep ();return this InitialIntegrationStep \n\n Specify the Minimum step size used for line integration, expressed in:\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n (Only valid for an adaptive integrator, e.g., RK45)\n"},
  {(char*)"SetMinimumIntegrationStep",                (PyCFunction)PyvtkStreamTracer_SetMinimumIntegrationStep, 1,
   (char*)"V.SetMinimumIntegrationStep(float)\nC++: void SetMinimumIntegrationStep (double step);\n\n Specify the Minimum step size used for line integration, expressed in:\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n (Only valid for an adaptive integrator, e.g., RK45)\n"},
  {(char*)"GetMinimumIntegrationStep",                (PyCFunction)PyvtkStreamTracer_GetMinimumIntegrationStep, 1,
   (char*)"V.GetMinimumIntegrationStep() -> float\nC++: double GetMinimumIntegrationStep ();return this MinimumIntegrationStep \n\n Specify the Maximum step size used for line integration, expressed in:\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n (Only valid for an adaptive integrator, e.g., RK45)\n"},
  {(char*)"SetMaximumIntegrationStep",                (PyCFunction)PyvtkStreamTracer_SetMaximumIntegrationStep, 1,
   (char*)"V.SetMaximumIntegrationStep(float)\nC++: void SetMaximumIntegrationStep (double step);\n\n Specify the Maximum step size used for line integration, expressed in:\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n (Only valid for an adaptive integrator, e.g., RK45)\n"},
  {(char*)"GetMaximumIntegrationStep",                (PyCFunction)PyvtkStreamTracer_GetMaximumIntegrationStep, 1,
   (char*)"V.GetMaximumIntegrationStep() -> float\nC++: double GetMaximumIntegrationStep ();return this MaximumIntegrationStep \n\n"},
  {(char*)"SetMaximumError",                (PyCFunction)PyvtkStreamTracer_SetMaximumError, 1,
   (char*)"V.SetMaximumError(float)\nC++: void SetMaximumError (double );\n\n"},
  {(char*)"GetMaximumError",                (PyCFunction)PyvtkStreamTracer_GetMaximumError, 1,
   (char*)"V.GetMaximumError() -> float\nC++: double GetMaximumError ();\n\n"},
  {(char*)"SetMaximumNumberOfSteps",                (PyCFunction)PyvtkStreamTracer_SetMaximumNumberOfSteps, 1,
   (char*)"V.SetMaximumNumberOfSteps(int)\nC++: void SetMaximumNumberOfSteps (vtkIdType );\n\n"},
  {(char*)"GetMaximumNumberOfSteps",                (PyCFunction)PyvtkStreamTracer_GetMaximumNumberOfSteps, 1,
   (char*)"V.GetMaximumNumberOfSteps() -> int\nC++: vtkIdType GetMaximumNumberOfSteps ();\n\n"},
  {(char*)"SetTerminalSpeed",                (PyCFunction)PyvtkStreamTracer_SetTerminalSpeed, 1,
   (char*)"V.SetTerminalSpeed(float)\nC++: void SetTerminalSpeed (double );\n\n"},
  {(char*)"GetTerminalSpeed",                (PyCFunction)PyvtkStreamTracer_GetTerminalSpeed, 1,
   (char*)"V.GetTerminalSpeed() -> float\nC++: double GetTerminalSpeed ();\n\n"},
  {(char*)"SetIntegrationDirection",                (PyCFunction)PyvtkStreamTracer_SetIntegrationDirection, 1,
   (char*)"V.SetIntegrationDirection(int)\nC++: void SetIntegrationDirection (int );\n\n Specify whether the streamline is integrated in the upstream or\n downstream direction.\n"},
  {(char*)"GetIntegrationDirectionMinValue",                (PyCFunction)PyvtkStreamTracer_GetIntegrationDirectionMinValue, 1,
   (char*)"V.GetIntegrationDirectionMinValue() -> int\nC++: int GetIntegrationDirectionMinValue ();\n\n Specify whether the streamline is integrated in the upstream or\n downstream direction.\n"},
  {(char*)"GetIntegrationDirectionMaxValue",                (PyCFunction)PyvtkStreamTracer_GetIntegrationDirectionMaxValue, 1,
   (char*)"V.GetIntegrationDirectionMaxValue() -> int\nC++: int GetIntegrationDirectionMaxValue ();\n\n Specify whether the streamline is integrated in the upstream or\n downstream direction.\n"},
  {(char*)"GetIntegrationDirection",                (PyCFunction)PyvtkStreamTracer_GetIntegrationDirection, 1,
   (char*)"V.GetIntegrationDirection() -> int\nC++: int GetIntegrationDirection ();\n\n Specify whether the streamline is integrated in the upstream or\n downstream direction.\n"},
  {(char*)"SetIntegrationDirectionToForward",                (PyCFunction)PyvtkStreamTracer_SetIntegrationDirectionToForward, 1,
   (char*)"V.SetIntegrationDirectionToForward()\nC++: void SetIntegrationDirectionToForward ();this SetIntegrationDirection FORWARD \n\n Specify whether the streamline is integrated in the upstream or\n downstream direction.\n"},
  {(char*)"SetIntegrationDirectionToBackward",                (PyCFunction)PyvtkStreamTracer_SetIntegrationDirectionToBackward, 1,
   (char*)"V.SetIntegrationDirectionToBackward()\nC++: void SetIntegrationDirectionToBackward ();this SetIntegrationDirection BACKWARD \n\n Specify whether the streamline is integrated in the upstream or\n downstream direction.\n"},
  {(char*)"SetIntegrationDirectionToBoth",                (PyCFunction)PyvtkStreamTracer_SetIntegrationDirectionToBoth, 1,
   (char*)"V.SetIntegrationDirectionToBoth()\nC++: void SetIntegrationDirectionToBoth ();this SetIntegrationDirection BOTH \n\n Specify whether the streamline is integrated in the upstream or\n downstream direction.\n"},
  {(char*)"SetComputeVorticity",                (PyCFunction)PyvtkStreamTracer_SetComputeVorticity, 1,
   (char*)"V.SetComputeVorticity(bool)\nC++: void SetComputeVorticity (bool );\n\n"},
  {(char*)"GetComputeVorticity",                (PyCFunction)PyvtkStreamTracer_GetComputeVorticity, 1,
   (char*)"V.GetComputeVorticity() -> bool\nC++: bool GetComputeVorticity ();\n\n"},
  {(char*)"SetRotationScale",                (PyCFunction)PyvtkStreamTracer_SetRotationScale, 1,
   (char*)"V.SetRotationScale(float)\nC++: void SetRotationScale (double );\n\n"},
  {(char*)"GetRotationScale",                (PyCFunction)PyvtkStreamTracer_GetRotationScale, 1,
   (char*)"V.GetRotationScale() -> float\nC++: double GetRotationScale ();\n\n"},
  {(char*)"SetInterpolatorPrototype",                (PyCFunction)PyvtkStreamTracer_SetInterpolatorPrototype, 1,
   (char*)"V.SetInterpolatorPrototype(vtkAbstractInterpolatedVelocityField)\nC++: void SetInterpolatorPrototype (vtkAbstractInterpolatedVelocityField *ivf);\n\n The object used to interpolate the velocity field during\n integration is of the same class as this prototype.\n"},
  {(char*)"SetInterpolatorType",                (PyCFunction)PyvtkStreamTracer_SetInterpolatorType, 1,
   (char*)"V.SetInterpolatorType(int)\nC++: void SetInterpolatorType (int interpType);\n\n Set the type of the velocity field interpolator to determine whether\n vtkInterpolatedVelocityField (INTERPOLATOR_WITH_DATASET_POINT_LOCATOR) or\n vtkCellLocatorInterpolatedVelocityField (INTERPOLATOR_WITH_CELL_LOCATOR)\n is employed for locating cells during streamline integration. The latter\n (adopting vtkAbstractCellLocator sub-classes such as vtkCellLocator and\n vtkModifiedBSPTree) is more robust then the former (through vtkDataSet /\n vtkPointSet::FindCell() coupled with vtkPointLocator).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkStreamTracerDoc[] = {
  (char*)"vtkStreamTracer - Streamline generator\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkStreamTracer is a filter that integrates a vector field to generate\n streamlines. The integration is performed using a specified integrator,\n by default Runge-Kutta2. \n \n vtkStreamTracer produces polylines as the output, with each cell (i.e.,\n polyline) representing a streamline. The attribute values associated\n with each streamline are stored in the cell data, whereas those\n associated with s",
  (char*)"treamline-points are stored in the point data.\n\n vtkStreamTracer supports forward (the default), backward, and combined\n (i.e., BOTH) integration. The length of a streamline is governed by \n specifying a maximum value either in physical arc length or in (local)\n cell length. Otherwise, the integration terminates upon exiting the\n flow field domain, or if the particle speed is reduced to a value le",
  (char*)"ss\n than a specified terminal speed, or when a maximum number of steps is \n completed. The specific reason for the termination is stored in a cell \n array named ReasonForTermination.\n\n Note that normalized vectors are adopted in streamline integration,\n which achieves high numerical accuracy/smoothness of flow lines that is\n particularly guranteed for Runge-Kutta45 with adaptive step size and\n err",
  (char*)"or control). In support of this feature, the underlying step size is\n ALWAYS in arc length unit (LENGTH_UNIT) while the 'real' time interval \n (virtual for steady flows) that a particle actually takes to trave in a \n single step is obtained by dividing the arc length by the LOCAL speed. \n The overall elapsed time (i.e., the life span) of the particle is the \n sum of those individual step-wise time",
  (char*)" intervals.\n\n The quality of streamline integration can be controlled by setting the\n initial integration step (InitialIntegrationStep), particularly for \n Runge-Kutta2 and Runge-Kutta4 (with a fixed step size), and in the case\n of Runge-Kutta45 (with an adaptive step size and error control) the\n minimum integration step, the maximum integration step, and the maximum\n error. These steps are in eit",
  (char*)"her LENGTH_UNIT or CELL_LENGTH_UNIT while\n the error is in physical arc length. For the former two integrators,\n there is a trade-off between integration speed and streamline quality.\n\n The integration time, vorticity, rotation and angular velocity are stored\n in point data arrays named \"IntegrationTime\", \"Vorticity\", \"Rotation\" and\n \"AngularVelocity\", respectively (vorticity, rotation and angular",
  (char*)" velocity\n are computed only when ComputeVorticity is on). All point data attributes\n in the source dataset are interpolated on the new streamline points.\n\n vtkStreamTracer supports integration through any type of dataset. Thus if\n the dataset contains 2D cells like polygons or triangles, the integration\n is constrained to lie on the surface defined by 2D cells.\n\n The starting point, or the so-cal",
  (char*)"led 'seed', of a streamline may be set\n in two different ways. Starting from global x-y-z \"position\" allows you\n to start a single trace at a specified x-y-z coordinate. If you specify\n a source object, traces will be generated from each point in the source\n that is inside the dataset.\n\n\n",
  "See Also:\n\n vtkRibbonFilter vtkRuledSurfaceFilter vtkInitialValueProblemSolver \n vtkRungeKutta2 vtkRungeKutta4 vtkRungeKutta45 vtkTemporalStreamTracer\n vtkAbstractInterpolatedVelocityField vtkInterpolatedVelocityField\n vtkCellLocatorInterpolatedVelocityField\n \n\n",
  NULL
};

static vtkObjectBase *vtkStreamTracerStaticNew()
{
  return vtkStreamTracer::New();
}

PyObject *PyVTKClass_vtkStreamTracerNew(char *modulename)
{
  return PyVTKClass_New(&vtkStreamTracerStaticNew,
                        PyvtkStreamTracerMethods,
                        (char*)"vtkStreamTracer",modulename,
                        (char**)vtkStreamTracerDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

