// python wrapper for vtkTemporalPathLineFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTemporalPathLineFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTemporalPathLineFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTemporalPathLineFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkTemporalPathLineFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalPathLineFilter *op;

  const char    *temp20;
  op = (vtkTemporalPathLineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalPathLineFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalPathLineFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalPathLineFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkTemporalPathLineFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalPathLineFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalPathLineFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalPathLineFilter *op;

  vtkTemporalPathLineFilter  *temp20;
  op = (vtkTemporalPathLineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalPathLineFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalPathLineFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTemporalPathLineFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTemporalPathLineFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTemporalPathLineFilter_SetMaskPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalPathLineFilter *op;

  int      temp0;
  op = (vtkTemporalPathLineFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalPathLineFilter::SetMaskPoints(temp0);
      }
    else
      {
      op->SetMaskPoints(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalPathLineFilter_GetMaskPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalPathLineFilter *op;

  int      temp20;
  op = (vtkTemporalPathLineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalPathLineFilter::GetMaskPoints();
      }
    else
      {
      temp20 = op->GetMaskPoints();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalPathLineFilter_SetMaxTrackLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalPathLineFilter *op;

  unsigned int      temp0;
  op = (vtkTemporalPathLineFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalPathLineFilter::SetMaxTrackLength(temp0);
      }
    else
      {
      op->SetMaxTrackLength(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalPathLineFilter_GetMaxTrackLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalPathLineFilter *op;

  unsigned int      temp20;
  op = (vtkTemporalPathLineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalPathLineFilter::GetMaxTrackLength();
      }
    else
      {
      temp20 = op->GetMaxTrackLength();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalPathLineFilter_SetIdChannelArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalPathLineFilter *op;

  char    *temp0;
  op = (vtkTemporalPathLineFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalPathLineFilter::SetIdChannelArray(temp0);
      }
    else
      {
      op->SetIdChannelArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalPathLineFilter_GetIdChannelArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalPathLineFilter *op;

  char    *temp20;
  op = (vtkTemporalPathLineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalPathLineFilter::GetIdChannelArray();
      }
    else
      {
      temp20 = op->GetIdChannelArray();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkTemporalPathLineFilter_SetScalarArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalPathLineFilter *op;

  char    *temp0;
  op = (vtkTemporalPathLineFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalPathLineFilter::SetScalarArray(temp0);
      }
    else
      {
      op->SetScalarArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}
#endif


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkTemporalPathLineFilter_GetScalarArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalPathLineFilter *op;

  const char    *temp20;
  op = (vtkTemporalPathLineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalPathLineFilter::GetScalarArray();
      }
    else
      {
      temp20 = op->GetScalarArray();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}
#endif


static PyObject *PyvtkTemporalPathLineFilter_SetMaxStepDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalPathLineFilter *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkTemporalPathLineFilter *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalPathLineFilter::SetMaxStepDistance(temp0,temp1,temp2);
      }
    else
      {
      op->SetMaxStepDistance(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTemporalPathLineFilter *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkTemporalPathLineFilter *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalPathLineFilter::SetMaxStepDistance(temp0);
      }
    else
      {
      op->SetMaxStepDistance(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalPathLineFilter_GetMaxStepDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalPathLineFilter *op;

  double  *temp20;
  op = (vtkTemporalPathLineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalPathLineFilter::GetMaxStepDistance();
      }
    else
      {
      temp20 = op->GetMaxStepDistance();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalPathLineFilter_SetKeepDeadTrails(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalPathLineFilter *op;

  int      temp0;
  op = (vtkTemporalPathLineFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalPathLineFilter::SetKeepDeadTrails(temp0);
      }
    else
      {
      op->SetKeepDeadTrails(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalPathLineFilter_GetKeepDeadTrails(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalPathLineFilter *op;

  int      temp20;
  op = (vtkTemporalPathLineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalPathLineFilter::GetKeepDeadTrails();
      }
    else
      {
      temp20 = op->GetKeepDeadTrails();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalPathLineFilter_Flush(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalPathLineFilter *op;

  op = (vtkTemporalPathLineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalPathLineFilter::Flush();
      }
    else
      {
      op->Flush();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalPathLineFilter_SetSelectionConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalPathLineFilter *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkTemporalPathLineFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalPathLineFilter::SetSelectionConnection(temp0);
      }
    else
      {
      op->SetSelectionConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkTemporalPathLineFilter_SetSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalPathLineFilter *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  op = (vtkTemporalPathLineFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalPathLineFilter::SetSelection(temp0);
      }
    else
      {
      op->SetSelection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break19:
  return NULL;
}

static PyMethodDef PyvtkTemporalPathLineFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTemporalPathLineFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard Type-Macro\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTemporalPathLineFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard Type-Macro\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTemporalPathLineFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTemporalPathLineFilter\nC++: vtkTemporalPathLineFilter *NewInstance ();\n\n Standard Type-Macro\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTemporalPathLineFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTemporalPathLineFilter\nC++: vtkTemporalPathLineFilter *SafeDownCast (vtkObject* o);\n\n Standard Type-Macro\n"},
  {(char*)"SetMaskPoints",                (PyCFunction)PyvtkTemporalPathLineFilter_SetMaskPoints, 1,
   (char*)"V.SetMaskPoints(int)\nC++: void SetMaskPoints (int );\n\n Set the number of particles to track as a ratio of the input\n example: setting MaskPoints to 10 will track every 10th point\n"},
  {(char*)"GetMaskPoints",                (PyCFunction)PyvtkTemporalPathLineFilter_GetMaskPoints, 1,
   (char*)"V.GetMaskPoints() -> int\nC++: int GetMaskPoints ();\n\n Set the number of particles to track as a ratio of the input\n example: setting MaskPoints to 10 will track every 10th point\n"},
  {(char*)"SetMaxTrackLength",                (PyCFunction)PyvtkTemporalPathLineFilter_SetMaxTrackLength, 1,
   (char*)"V.SetMaxTrackLength(int)\nC++: void SetMaxTrackLength (unsigned int );\n\n If the Particles being traced animate for a long time, the\n trails or traces will become long and stringy. Setting\n the MaxTraceTimeLength will limit how much of the trace\n is displayed. Tracks longer then the Max will disappear\n and the trace will apppear like a snake of fixed length\n which progresses as the particle moves\n"},
  {(char*)"GetMaxTrackLength",                (PyCFunction)PyvtkTemporalPathLineFilter_GetMaxTrackLength, 1,
   (char*)"V.GetMaxTrackLength() -> int\nC++: int unsigned GetMaxTrackLength ();\n\n If the Particles being traced animate for a long time, the\n trails or traces will become long and stringy. Setting\n the MaxTraceTimeLength will limit how much of the trace\n is displayed. Tracks longer then the Max will disappear\n and the trace will apppear like a snake of fixed length\n which progresses as the particle moves\n"},
  {(char*)"SetIdChannelArray",                (PyCFunction)PyvtkTemporalPathLineFilter_SetIdChannelArray, 1,
   (char*)"V.SetIdChannelArray(string)\nC++: void SetIdChannelArray (char *);\n\n Specify the name of a scalar array which will be used to fetch\n the index of each point. This is necessary only if the particles\n change position (Id order) on each time step. The Id can be used\n to identify particles at each step and hence track them properly.\n If this array is NULL, the global point ids are used.  If an Id\n array cannot otherwise be found, the point index is used as the ID.\n"},
  {(char*)"GetIdChannelArray",                (PyCFunction)PyvtkTemporalPathLineFilter_GetIdChannelArray, 1,
   (char*)"V.GetIdChannelArray() -> string\nC++: char *GetIdChannelArray ();\n\n Specify the name of a scalar array which will be used to fetch\n the index of each point. This is necessary only if the particles\n change position (Id order) on each time step. The Id can be used\n to identify particles at each step and hence track them properly.\n If this array is NULL, the global point ids are used.  If an Id\n array cannot otherwise be found, the point index is used as the ID.\n"},
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"SetScalarArray",                (PyCFunction)PyvtkTemporalPathLineFilter_SetScalarArray, 1,
   (char*)"V.SetScalarArray(string)\nC++: void SetScalarArray (const char *);\n\n"},
#endif
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"GetScalarArray",                (PyCFunction)PyvtkTemporalPathLineFilter_GetScalarArray, 1,
   (char*)"V.GetScalarArray() -> string\nC++: const char *GetScalarArray ();\n\n"},
#endif
  {(char*)"SetMaxStepDistance",                (PyCFunction)PyvtkTemporalPathLineFilter_SetMaxStepDistance, 1,
   (char*)"V.SetMaxStepDistance(float, float, float)\nC++: void SetMaxStepDistance (double , double , double );\nV.SetMaxStepDistance((float, float, float))\nC++: void SetMaxStepDistance (double  a[3]);\n\n If a particle disappears from one end of a simulation and reappears\n on the other side, the track left will be unrepresentative.\n Set a MaxStepDistance{x,y,z} which acts as a threshold above which\n if a step occurs larger than the value (for the dimension), the track will\n be dropped and restarted after the step. (ie the part before the wrap \n around will be dropped and the newer part kept).\n"},
  {(char*)"GetMaxStepDistance",                (PyCFunction)PyvtkTemporalPathLineFilter_GetMaxStepDistance, 1,
   (char*)"V.GetMaxStepDistance() -> (float, float, float)\nC++: double  *GetMaxStepDistance ();\n\n If a particle disappears from one end of a simulation and reappears\n on the other side, the track left will be unrepresentative.\n Set a MaxStepDistance{x,y,z} which acts as a threshold above which\n if a step occurs larger than the value (for the dimension), the track will\n be dropped and restarted after the step. (ie the part before the wrap \n around will be dropped and the newer part kept).\n"},
  {(char*)"SetKeepDeadTrails",                (PyCFunction)PyvtkTemporalPathLineFilter_SetKeepDeadTrails, 1,
   (char*)"V.SetKeepDeadTrails(int)\nC++: void SetKeepDeadTrails (int );\n\n When a particle 'disappears', the trail belonging to it is removed from\n the list. When this flag is enabled, dead trails will persist\n until the next time the list is cleared. Use carefully as it may cause\n excessive memory consumption if left on by mistake.\n"},
  {(char*)"GetKeepDeadTrails",                (PyCFunction)PyvtkTemporalPathLineFilter_GetKeepDeadTrails, 1,
   (char*)"V.GetKeepDeadTrails() -> int\nC++: int GetKeepDeadTrails ();\n\n When a particle 'disappears', the trail belonging to it is removed from\n the list. When this flag is enabled, dead trails will persist\n until the next time the list is cleared. Use carefully as it may cause\n excessive memory consumption if left on by mistake.\n"},
  {(char*)"Flush",                (PyCFunction)PyvtkTemporalPathLineFilter_Flush, 1,
   (char*)"V.Flush()\nC++: void Flush ();\n\n Flush will wipe any existing data so that traces can be restarted from\n whatever time step is next supplied.\n"},
  {(char*)"SetSelectionConnection",                (PyCFunction)PyvtkTemporalPathLineFilter_SetSelectionConnection, 1,
   (char*)"V.SetSelectionConnection(vtkAlgorithmOutput)\nC++: void SetSelectionConnection (vtkAlgorithmOutput *algOutput);\n\n Set a second input which is a selection. Particles with the same\n Id in the selection as the primary input will be chosen for pathlines\n Note that you must have the same IdChannelArray in the selection as the input\n"},
  {(char*)"SetSelection",                (PyCFunction)PyvtkTemporalPathLineFilter_SetSelection, 1,
   (char*)"V.SetSelection(vtkDataSet)\nC++: void SetSelection (vtkDataSet *input);\n\n Set a second input which is a selection. Particles with the same\n Id in the selection as the primary input will be chosen for pathlines\n Note that you must have the same IdChannelArray in the selection as the input\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTemporalPathLineFilterDoc[] = {
  (char*)"vtkTemporalPathLineFilter - Generate a Polydata Pointset from any Dataset.\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkTemporalPathLineFilter takes any dataset as input, it extracts the point\n locations of all cells over time to build up a polyline trail.\n The point number (index) is used as the 'key' if the points are randomly \n changing their respective order in the points list, then you should specify\n a scalar that represents the unique ID. This is intended to handle the output\n of a filter such as the Tem",
  (char*)"poralStreamTracer.\n \n\n",
  "See Also:\n\n vtkTemporalStreamTracer\n\n .SECTION Thanks\n John Bidiscombe of \n CSCS - Swiss National Supercomputing Centre\n for creating and contributing this class.\n\n",
  NULL
};

static vtkObjectBase *vtkTemporalPathLineFilterStaticNew()
{
  return vtkTemporalPathLineFilter::New();
}

PyObject *PyVTKClass_vtkTemporalPathLineFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkTemporalPathLineFilterStaticNew,
                        PyvtkTemporalPathLineFilterMethods,
                        (char*)"vtkTemporalPathLineFilter",modulename,
                        (char**)vtkTemporalPathLineFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

