// python wrapper for vtkTemporalStatistics object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTemporalStatistics.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTemporalStatisticsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTemporalStatisticsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPassInputTypeAlgorithmNew(char *); }

static PyObject *PyvtkTemporalStatistics_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStatistics *op;

  const char    *temp20;
  op = (vtkTemporalStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalStatistics::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStatistics_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStatistics *op;

  char    *temp0;
  int      temp20;
  op = (vtkTemporalStatistics *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalStatistics::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStatistics_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStatistics *op;

  vtkTemporalStatistics  *temp20;
  op = (vtkTemporalStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalStatistics::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStatistics_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTemporalStatistics  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTemporalStatistics::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTemporalStatistics_GetComputeAverage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStatistics *op;

  int      temp20;
  op = (vtkTemporalStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalStatistics::GetComputeAverage();
      }
    else
      {
      temp20 = op->GetComputeAverage();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStatistics_SetComputeAverage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStatistics *op;

  int      temp0;
  op = (vtkTemporalStatistics *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalStatistics::SetComputeAverage(temp0);
      }
    else
      {
      op->SetComputeAverage(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStatistics_ComputeAverageOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStatistics *op;

  op = (vtkTemporalStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalStatistics::ComputeAverageOn();
      }
    else
      {
      op->ComputeAverageOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStatistics_ComputeAverageOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStatistics *op;

  op = (vtkTemporalStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalStatistics::ComputeAverageOff();
      }
    else
      {
      op->ComputeAverageOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStatistics_GetComputeMinimum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStatistics *op;

  int      temp20;
  op = (vtkTemporalStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalStatistics::GetComputeMinimum();
      }
    else
      {
      temp20 = op->GetComputeMinimum();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStatistics_SetComputeMinimum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStatistics *op;

  int      temp0;
  op = (vtkTemporalStatistics *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalStatistics::SetComputeMinimum(temp0);
      }
    else
      {
      op->SetComputeMinimum(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStatistics_ComputeMinimumOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStatistics *op;

  op = (vtkTemporalStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalStatistics::ComputeMinimumOn();
      }
    else
      {
      op->ComputeMinimumOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStatistics_ComputeMinimumOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStatistics *op;

  op = (vtkTemporalStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalStatistics::ComputeMinimumOff();
      }
    else
      {
      op->ComputeMinimumOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStatistics_GetComputeMaximum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStatistics *op;

  int      temp20;
  op = (vtkTemporalStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalStatistics::GetComputeMaximum();
      }
    else
      {
      temp20 = op->GetComputeMaximum();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStatistics_SetComputeMaximum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStatistics *op;

  int      temp0;
  op = (vtkTemporalStatistics *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalStatistics::SetComputeMaximum(temp0);
      }
    else
      {
      op->SetComputeMaximum(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStatistics_ComputeMaximumOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStatistics *op;

  op = (vtkTemporalStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalStatistics::ComputeMaximumOn();
      }
    else
      {
      op->ComputeMaximumOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStatistics_ComputeMaximumOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStatistics *op;

  op = (vtkTemporalStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalStatistics::ComputeMaximumOff();
      }
    else
      {
      op->ComputeMaximumOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStatistics_GetComputeStandardDeviation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStatistics *op;

  int      temp20;
  op = (vtkTemporalStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalStatistics::GetComputeStandardDeviation();
      }
    else
      {
      temp20 = op->GetComputeStandardDeviation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStatistics_SetComputeStandardDeviation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStatistics *op;

  int      temp0;
  op = (vtkTemporalStatistics *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalStatistics::SetComputeStandardDeviation(temp0);
      }
    else
      {
      op->SetComputeStandardDeviation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStatistics_ComputeStandardDeviationOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStatistics *op;

  op = (vtkTemporalStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalStatistics::ComputeStandardDeviationOn();
      }
    else
      {
      op->ComputeStandardDeviationOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalStatistics_ComputeStandardDeviationOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalStatistics *op;

  op = (vtkTemporalStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalStatistics::ComputeStandardDeviationOff();
      }
    else
      {
      op->ComputeStandardDeviationOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTemporalStatisticsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTemporalStatistics_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTemporalStatistics_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTemporalStatistics_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTemporalStatistics\nC++: vtkTemporalStatistics *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTemporalStatistics_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTemporalStatistics\nC++: vtkTemporalStatistics *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetComputeAverage",                (PyCFunction)PyvtkTemporalStatistics_GetComputeAverage, 1,
   (char*)"V.GetComputeAverage() -> int\nC++: int GetComputeAverage ();\n\n Turn on/off the computation of the average values over time.  On by\n default.  The resulting array names have \"_average\" appended to them.\n"},
  {(char*)"SetComputeAverage",                (PyCFunction)PyvtkTemporalStatistics_SetComputeAverage, 1,
   (char*)"V.SetComputeAverage(int)\nC++: void SetComputeAverage (int );\n\n Turn on/off the computation of the average values over time.  On by\n default.  The resulting array names have \"_average\" appended to them.\n"},
  {(char*)"ComputeAverageOn",                (PyCFunction)PyvtkTemporalStatistics_ComputeAverageOn, 1,
   (char*)"V.ComputeAverageOn()\nC++: void ComputeAverageOn ();\n\n Turn on/off the computation of the average values over time.  On by\n default.  The resulting array names have \"_average\" appended to them.\n"},
  {(char*)"ComputeAverageOff",                (PyCFunction)PyvtkTemporalStatistics_ComputeAverageOff, 1,
   (char*)"V.ComputeAverageOff()\nC++: void ComputeAverageOff ();\n\n Turn on/off the computation of the average values over time.  On by\n default.  The resulting array names have \"_average\" appended to them.\n"},
  {(char*)"GetComputeMinimum",                (PyCFunction)PyvtkTemporalStatistics_GetComputeMinimum, 1,
   (char*)"V.GetComputeMinimum() -> int\nC++: int GetComputeMinimum ();\n\n Turn on/off the computation of the minimum values over time.  On by\n default.  The resulting array names have \"_minimum\" appended to them.\n"},
  {(char*)"SetComputeMinimum",                (PyCFunction)PyvtkTemporalStatistics_SetComputeMinimum, 1,
   (char*)"V.SetComputeMinimum(int)\nC++: void SetComputeMinimum (int );\n\n Turn on/off the computation of the minimum values over time.  On by\n default.  The resulting array names have \"_minimum\" appended to them.\n"},
  {(char*)"ComputeMinimumOn",                (PyCFunction)PyvtkTemporalStatistics_ComputeMinimumOn, 1,
   (char*)"V.ComputeMinimumOn()\nC++: void ComputeMinimumOn ();\n\n Turn on/off the computation of the minimum values over time.  On by\n default.  The resulting array names have \"_minimum\" appended to them.\n"},
  {(char*)"ComputeMinimumOff",                (PyCFunction)PyvtkTemporalStatistics_ComputeMinimumOff, 1,
   (char*)"V.ComputeMinimumOff()\nC++: void ComputeMinimumOff ();\n\n Turn on/off the computation of the minimum values over time.  On by\n default.  The resulting array names have \"_minimum\" appended to them.\n"},
  {(char*)"GetComputeMaximum",                (PyCFunction)PyvtkTemporalStatistics_GetComputeMaximum, 1,
   (char*)"V.GetComputeMaximum() -> int\nC++: int GetComputeMaximum ();\n\n Turn on/off the computation of the maximum values over time.  On by\n default.  The resulting array names have \"_maximum\" appended to them.\n"},
  {(char*)"SetComputeMaximum",                (PyCFunction)PyvtkTemporalStatistics_SetComputeMaximum, 1,
   (char*)"V.SetComputeMaximum(int)\nC++: void SetComputeMaximum (int );\n\n Turn on/off the computation of the maximum values over time.  On by\n default.  The resulting array names have \"_maximum\" appended to them.\n"},
  {(char*)"ComputeMaximumOn",                (PyCFunction)PyvtkTemporalStatistics_ComputeMaximumOn, 1,
   (char*)"V.ComputeMaximumOn()\nC++: void ComputeMaximumOn ();\n\n Turn on/off the computation of the maximum values over time.  On by\n default.  The resulting array names have \"_maximum\" appended to them.\n"},
  {(char*)"ComputeMaximumOff",                (PyCFunction)PyvtkTemporalStatistics_ComputeMaximumOff, 1,
   (char*)"V.ComputeMaximumOff()\nC++: void ComputeMaximumOff ();\n\n Turn on/off the computation of the maximum values over time.  On by\n default.  The resulting array names have \"_maximum\" appended to them.\n"},
  {(char*)"GetComputeStandardDeviation",                (PyCFunction)PyvtkTemporalStatistics_GetComputeStandardDeviation, 1,
   (char*)"V.GetComputeStandardDeviation() -> int\nC++: int GetComputeStandardDeviation ();\n\n"},
  {(char*)"SetComputeStandardDeviation",                (PyCFunction)PyvtkTemporalStatistics_SetComputeStandardDeviation, 1,
   (char*)"V.SetComputeStandardDeviation(int)\nC++: void SetComputeStandardDeviation (int );\n\n"},
  {(char*)"ComputeStandardDeviationOn",                (PyCFunction)PyvtkTemporalStatistics_ComputeStandardDeviationOn, 1,
   (char*)"V.ComputeStandardDeviationOn()\nC++: void ComputeStandardDeviationOn ();\n\n"},
  {(char*)"ComputeStandardDeviationOff",                (PyCFunction)PyvtkTemporalStatistics_ComputeStandardDeviationOff, 1,
   (char*)"V.ComputeStandardDeviationOff()\nC++: void ComputeStandardDeviationOff ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTemporalStatisticsDoc[] = {
  (char*)"vtkTemporalStatistics - Compute statistics of point or cell data as it changes over time\n\n",
  "Super Class:\n\n vtkPassInputTypeAlgorithm\n\n",
  (char*)"\n Given an input that changes over time, vtkTemporalStatistics looks at the\n data for each time step and computes some statistical information of how a\n point or cell variable changes over time.  For example, vtkTemporalStatistics\n can compute the average value of \"pressure\" over time of each point.\n\n Note that this filter will require the upstream filter to be run on every\n time step that it repo",
  (char*)"rts that it can compute.  This may be a time consuming\n operation.\n\n vtkTemporalStatistics ignores the temporal spacing.  Each timestep will be\n weighted the same regardless of how long of an interval it is to the next\n timestep.  Thus, the average statistic may be quite different from an\n integration of the variable if the time spacing varies.\n\n .SECTION Thanks\n This class was originally written ",
  (char*)"by Kenneth Moreland (kmorel@sandia.gov)\n from Sandia National Laboratories.\n\n\n",
  NULL
};

static vtkObjectBase *vtkTemporalStatisticsStaticNew()
{
  return vtkTemporalStatistics::New();
}

PyObject *PyVTKClass_vtkTemporalStatisticsNew(char *modulename)
{
  return PyVTKClass_New(&vtkTemporalStatisticsStaticNew,
                        PyvtkTemporalStatisticsMethods,
                        (char*)"vtkTemporalStatistics",modulename,
                        (char**)vtkTemporalStatisticsDoc,
                        PyVTKClass_vtkPassInputTypeAlgorithmNew(modulename));
}

