// python wrapper for vtkYoungsMaterialInterface object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkYoungsMaterialInterface.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkYoungsMaterialInterfaceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkYoungsMaterialInterfaceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(char *); }

static PyObject *PyvtkYoungsMaterialInterface_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  const char    *temp20;
  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkYoungsMaterialInterface::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  char    *temp0;
  int      temp20;
  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkYoungsMaterialInterface::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  vtkYoungsMaterialInterface  *temp20;
  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkYoungsMaterialInterface::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkYoungsMaterialInterface  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkYoungsMaterialInterface::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_SetInverseNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  int      temp0;
  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkYoungsMaterialInterface::SetInverseNormal(temp0);
      }
    else
      {
      op->SetInverseNormal(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_GetInverseNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  int      temp20;
  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkYoungsMaterialInterface::GetInverseNormal();
      }
    else
      {
      temp20 = op->GetInverseNormal();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_InverseNormalOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkYoungsMaterialInterface::InverseNormalOn();
      }
    else
      {
      op->InverseNormalOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_InverseNormalOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkYoungsMaterialInterface::InverseNormalOff();
      }
    else
      {
      op->InverseNormalOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_SetReverseMaterialOrder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  int      temp0;
  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkYoungsMaterialInterface::SetReverseMaterialOrder(temp0);
      }
    else
      {
      op->SetReverseMaterialOrder(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_GetReverseMaterialOrder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  int      temp20;
  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkYoungsMaterialInterface::GetReverseMaterialOrder();
      }
    else
      {
      temp20 = op->GetReverseMaterialOrder();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_ReverseMaterialOrderOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkYoungsMaterialInterface::ReverseMaterialOrderOn();
      }
    else
      {
      op->ReverseMaterialOrderOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_ReverseMaterialOrderOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkYoungsMaterialInterface::ReverseMaterialOrderOff();
      }
    else
      {
      op->ReverseMaterialOrderOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_SetOnionPeel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  int      temp0;
  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkYoungsMaterialInterface::SetOnionPeel(temp0);
      }
    else
      {
      op->SetOnionPeel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_GetOnionPeel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  int      temp20;
  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkYoungsMaterialInterface::GetOnionPeel();
      }
    else
      {
      temp20 = op->GetOnionPeel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_OnionPeelOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkYoungsMaterialInterface::OnionPeelOn();
      }
    else
      {
      op->OnionPeelOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_OnionPeelOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkYoungsMaterialInterface::OnionPeelOff();
      }
    else
      {
      op->OnionPeelOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_SetAxisSymetric(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  int      temp0;
  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkYoungsMaterialInterface::SetAxisSymetric(temp0);
      }
    else
      {
      op->SetAxisSymetric(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_GetAxisSymetric(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  int      temp20;
  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkYoungsMaterialInterface::GetAxisSymetric();
      }
    else
      {
      temp20 = op->GetAxisSymetric();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_AxisSymetricOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkYoungsMaterialInterface::AxisSymetricOn();
      }
    else
      {
      op->AxisSymetricOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_AxisSymetricOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkYoungsMaterialInterface::AxisSymetricOff();
      }
    else
      {
      op->AxisSymetricOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_SetUseFractionAsDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  int      temp0;
  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkYoungsMaterialInterface::SetUseFractionAsDistance(temp0);
      }
    else
      {
      op->SetUseFractionAsDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_GetUseFractionAsDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  int      temp20;
  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkYoungsMaterialInterface::GetUseFractionAsDistance();
      }
    else
      {
      temp20 = op->GetUseFractionAsDistance();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_UseFractionAsDistanceOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkYoungsMaterialInterface::UseFractionAsDistanceOn();
      }
    else
      {
      op->UseFractionAsDistanceOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_UseFractionAsDistanceOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkYoungsMaterialInterface::UseFractionAsDistanceOff();
      }
    else
      {
      op->UseFractionAsDistanceOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_SetFillMaterial(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  int      temp0;
  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkYoungsMaterialInterface::SetFillMaterial(temp0);
      }
    else
      {
      op->SetFillMaterial(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_GetFillMaterial(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  int      temp20;
  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkYoungsMaterialInterface::GetFillMaterial();
      }
    else
      {
      temp20 = op->GetFillMaterial();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_FillMaterialOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkYoungsMaterialInterface::FillMaterialOn();
      }
    else
      {
      op->FillMaterialOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_FillMaterialOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkYoungsMaterialInterface::FillMaterialOff();
      }
    else
      {
      op->FillMaterialOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_SetTwoMaterialsOptimization(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  int      temp0;
  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkYoungsMaterialInterface::SetTwoMaterialsOptimization(temp0);
      }
    else
      {
      op->SetTwoMaterialsOptimization(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_GetTwoMaterialsOptimization(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  int      temp20;
  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkYoungsMaterialInterface::GetTwoMaterialsOptimization();
      }
    else
      {
      temp20 = op->GetTwoMaterialsOptimization();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_TwoMaterialsOptimizationOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkYoungsMaterialInterface::TwoMaterialsOptimizationOn();
      }
    else
      {
      op->TwoMaterialsOptimizationOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_TwoMaterialsOptimizationOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkYoungsMaterialInterface::TwoMaterialsOptimizationOff();
      }
    else
      {
      op->TwoMaterialsOptimizationOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_SetVolumeFractionRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  double   temp0;
  double   temp1;
  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkYoungsMaterialInterface::SetVolumeFractionRange(temp0,temp1);
      }
    else
      {
      op->SetVolumeFractionRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkYoungsMaterialInterface::SetVolumeFractionRange(temp0);
      }
    else
      {
      op->SetVolumeFractionRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_GetVolumeFractionRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  double  *temp20;
  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkYoungsMaterialInterface::GetVolumeFractionRange();
      }
    else
      {
      temp20 = op->GetVolumeFractionRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_SetNumberOfMaterials(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  int      temp0;
  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkYoungsMaterialInterface::SetNumberOfMaterials(temp0);
      }
    else
      {
      op->SetNumberOfMaterials(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_GetNumberOfMaterials(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  int      temp20;
  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkYoungsMaterialInterface::GetNumberOfMaterials();
      }
    else
      {
      temp20 = op->GetNumberOfMaterials();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_SetMaterialArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  int      temp0;
  char    *temp1;
  char    *temp2;
  char    *temp3;
  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"izzz", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkYoungsMaterialInterface::SetMaterialArrays(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetMaterialArrays(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_SetMaterialVolumeFractionArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  int      temp0;
  char    *temp1;
  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"iz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkYoungsMaterialInterface::SetMaterialVolumeFractionArray(temp0,temp1);
      }
    else
      {
      op->SetMaterialVolumeFractionArray(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_SetMaterialNormalArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  int      temp0;
  char    *temp1;
  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"iz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkYoungsMaterialInterface::SetMaterialNormalArray(temp0,temp1);
      }
    else
      {
      op->SetMaterialNormalArray(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_SetMaterialOrderingArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  int      temp0;
  char    *temp1;
  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"iz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkYoungsMaterialInterface::SetMaterialOrderingArray(temp0,temp1);
      }
    else
      {
      op->SetMaterialOrderingArray(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkYoungsMaterialInterface_RemoveAllMaterials(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkYoungsMaterialInterface *op;

  op = (vtkYoungsMaterialInterface *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkYoungsMaterialInterface::RemoveAllMaterials();
      }
    else
      {
      op->RemoveAllMaterials();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkYoungsMaterialInterfaceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkYoungsMaterialInterface_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkYoungsMaterialInterface_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkYoungsMaterialInterface_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkYoungsMaterialInterface\nC++: vtkYoungsMaterialInterface *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkYoungsMaterialInterface_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkYoungsMaterialInterface\nC++: vtkYoungsMaterialInterface *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetInverseNormal",                (PyCFunction)PyvtkYoungsMaterialInterface_SetInverseNormal, 1,
   (char*)"V.SetInverseNormal(int)\nC++: void SetInverseNormal (int );\n\n Set/Get wether the normal vector has to be flipped.\n"},
  {(char*)"GetInverseNormal",                (PyCFunction)PyvtkYoungsMaterialInterface_GetInverseNormal, 1,
   (char*)"V.GetInverseNormal() -> int\nC++: int GetInverseNormal ();\n\n Set/Get wether the normal vector has to be flipped.\n"},
  {(char*)"InverseNormalOn",                (PyCFunction)PyvtkYoungsMaterialInterface_InverseNormalOn, 1,
   (char*)"V.InverseNormalOn()\nC++: void InverseNormalOn ();\n\n Set/Get wether the normal vector has to be flipped.\n"},
  {(char*)"InverseNormalOff",                (PyCFunction)PyvtkYoungsMaterialInterface_InverseNormalOff, 1,
   (char*)"V.InverseNormalOff()\nC++: void InverseNormalOff ();\n\n Set/Get wether the normal vector has to be flipped.\n"},
  {(char*)"SetReverseMaterialOrder",                (PyCFunction)PyvtkYoungsMaterialInterface_SetReverseMaterialOrder, 1,
   (char*)"V.SetReverseMaterialOrder(int)\nC++: void SetReverseMaterialOrder (int );\n\n If this flag is on, material order in reversed. \n Otherwise, materials are sorted in ascending order depending on the given ordering array.\n"},
  {(char*)"GetReverseMaterialOrder",                (PyCFunction)PyvtkYoungsMaterialInterface_GetReverseMaterialOrder, 1,
   (char*)"V.GetReverseMaterialOrder() -> int\nC++: int GetReverseMaterialOrder ();\n\n If this flag is on, material order in reversed. \n Otherwise, materials are sorted in ascending order depending on the given ordering array.\n"},
  {(char*)"ReverseMaterialOrderOn",                (PyCFunction)PyvtkYoungsMaterialInterface_ReverseMaterialOrderOn, 1,
   (char*)"V.ReverseMaterialOrderOn()\nC++: void ReverseMaterialOrderOn ();\n\n If this flag is on, material order in reversed. \n Otherwise, materials are sorted in ascending order depending on the given ordering array.\n"},
  {(char*)"ReverseMaterialOrderOff",                (PyCFunction)PyvtkYoungsMaterialInterface_ReverseMaterialOrderOff, 1,
   (char*)"V.ReverseMaterialOrderOff()\nC++: void ReverseMaterialOrderOff ();\n\n If this flag is on, material order in reversed. \n Otherwise, materials are sorted in ascending order depending on the given ordering array.\n"},
  {(char*)"SetOnionPeel",                (PyCFunction)PyvtkYoungsMaterialInterface_SetOnionPeel, 1,
   (char*)"V.SetOnionPeel(int)\nC++: void SetOnionPeel (int );\n\n Set/Get OnionPeel flag. if this flag is on, the normal vector of the first \n material (which depends on material ordering) is used for all materials.\n"},
  {(char*)"GetOnionPeel",                (PyCFunction)PyvtkYoungsMaterialInterface_GetOnionPeel, 1,
   (char*)"V.GetOnionPeel() -> int\nC++: int GetOnionPeel ();\n\n Set/Get OnionPeel flag. if this flag is on, the normal vector of the first \n material (which depends on material ordering) is used for all materials.\n"},
  {(char*)"OnionPeelOn",                (PyCFunction)PyvtkYoungsMaterialInterface_OnionPeelOn, 1,
   (char*)"V.OnionPeelOn()\nC++: void OnionPeelOn ();\n\n Set/Get OnionPeel flag. if this flag is on, the normal vector of the first \n material (which depends on material ordering) is used for all materials.\n"},
  {(char*)"OnionPeelOff",                (PyCFunction)PyvtkYoungsMaterialInterface_OnionPeelOff, 1,
   (char*)"V.OnionPeelOff()\nC++: void OnionPeelOff ();\n\n Set/Get OnionPeel flag. if this flag is on, the normal vector of the first \n material (which depends on material ordering) is used for all materials.\n"},
  {(char*)"SetAxisSymetric",                (PyCFunction)PyvtkYoungsMaterialInterface_SetAxisSymetric, 1,
   (char*)"V.SetAxisSymetric(int)\nC++: void SetAxisSymetric (int );\n\n Turns on/off AxisSymetric computation of 2D interfaces. \n in axis symetric mode, 2D meshes are understood as volumes of revolution.\n"},
  {(char*)"GetAxisSymetric",                (PyCFunction)PyvtkYoungsMaterialInterface_GetAxisSymetric, 1,
   (char*)"V.GetAxisSymetric() -> int\nC++: int GetAxisSymetric ();\n\n Turns on/off AxisSymetric computation of 2D interfaces. \n in axis symetric mode, 2D meshes are understood as volumes of revolution.\n"},
  {(char*)"AxisSymetricOn",                (PyCFunction)PyvtkYoungsMaterialInterface_AxisSymetricOn, 1,
   (char*)"V.AxisSymetricOn()\nC++: void AxisSymetricOn ();\n\n Turns on/off AxisSymetric computation of 2D interfaces. \n in axis symetric mode, 2D meshes are understood as volumes of revolution.\n"},
  {(char*)"AxisSymetricOff",                (PyCFunction)PyvtkYoungsMaterialInterface_AxisSymetricOff, 1,
   (char*)"V.AxisSymetricOff()\nC++: void AxisSymetricOff ();\n\n Turns on/off AxisSymetric computation of 2D interfaces. \n in axis symetric mode, 2D meshes are understood as volumes of revolution.\n"},
  {(char*)"SetUseFractionAsDistance",                (PyCFunction)PyvtkYoungsMaterialInterface_SetUseFractionAsDistance, 1,
   (char*)"V.SetUseFractionAsDistance(int)\nC++: void SetUseFractionAsDistance (int );\n\n when UseFractionAsDistance is true, the volume fraction is interpreted as the distance\n of the cutting plane from the origin.\n in axis symetric mode, 2D meshes are understood as volumes of revolution.\n"},
  {(char*)"GetUseFractionAsDistance",                (PyCFunction)PyvtkYoungsMaterialInterface_GetUseFractionAsDistance, 1,
   (char*)"V.GetUseFractionAsDistance() -> int\nC++: int GetUseFractionAsDistance ();\n\n when UseFractionAsDistance is true, the volume fraction is interpreted as the distance\n of the cutting plane from the origin.\n in axis symetric mode, 2D meshes are understood as volumes of revolution.\n"},
  {(char*)"UseFractionAsDistanceOn",                (PyCFunction)PyvtkYoungsMaterialInterface_UseFractionAsDistanceOn, 1,
   (char*)"V.UseFractionAsDistanceOn()\nC++: void UseFractionAsDistanceOn ();\n\n when UseFractionAsDistance is true, the volume fraction is interpreted as the distance\n of the cutting plane from the origin.\n in axis symetric mode, 2D meshes are understood as volumes of revolution.\n"},
  {(char*)"UseFractionAsDistanceOff",                (PyCFunction)PyvtkYoungsMaterialInterface_UseFractionAsDistanceOff, 1,
   (char*)"V.UseFractionAsDistanceOff()\nC++: void UseFractionAsDistanceOff ();\n\n when UseFractionAsDistance is true, the volume fraction is interpreted as the distance\n of the cutting plane from the origin.\n in axis symetric mode, 2D meshes are understood as volumes of revolution.\n"},
  {(char*)"SetFillMaterial",                (PyCFunction)PyvtkYoungsMaterialInterface_SetFillMaterial, 1,
   (char*)"V.SetFillMaterial(int)\nC++: void SetFillMaterial (int );\n\n When FillMaterial is set to 1, the volume containing material is output and not only the interface surface.\n"},
  {(char*)"GetFillMaterial",                (PyCFunction)PyvtkYoungsMaterialInterface_GetFillMaterial, 1,
   (char*)"V.GetFillMaterial() -> int\nC++: int GetFillMaterial ();\n\n When FillMaterial is set to 1, the volume containing material is output and not only the interface surface.\n"},
  {(char*)"FillMaterialOn",                (PyCFunction)PyvtkYoungsMaterialInterface_FillMaterialOn, 1,
   (char*)"V.FillMaterialOn()\nC++: void FillMaterialOn ();\n\n When FillMaterial is set to 1, the volume containing material is output and not only the interface surface.\n"},
  {(char*)"FillMaterialOff",                (PyCFunction)PyvtkYoungsMaterialInterface_FillMaterialOff, 1,
   (char*)"V.FillMaterialOff()\nC++: void FillMaterialOff ();\n\n When FillMaterial is set to 1, the volume containing material is output and not only the interface surface.\n"},
  {(char*)"SetTwoMaterialsOptimization",                (PyCFunction)PyvtkYoungsMaterialInterface_SetTwoMaterialsOptimization, 1,
   (char*)"V.SetTwoMaterialsOptimization(int)\nC++: void SetTwoMaterialsOptimization (int );\n\n Triggers some additional optimizations for cells containing only two materials. This option might produce different result than expected if the sum of volume fractions is not 1.\n"},
  {(char*)"GetTwoMaterialsOptimization",                (PyCFunction)PyvtkYoungsMaterialInterface_GetTwoMaterialsOptimization, 1,
   (char*)"V.GetTwoMaterialsOptimization() -> int\nC++: int GetTwoMaterialsOptimization ();\n\n Triggers some additional optimizations for cells containing only two materials. This option might produce different result than expected if the sum of volume fractions is not 1.\n"},
  {(char*)"TwoMaterialsOptimizationOn",                (PyCFunction)PyvtkYoungsMaterialInterface_TwoMaterialsOptimizationOn, 1,
   (char*)"V.TwoMaterialsOptimizationOn()\nC++: void TwoMaterialsOptimizationOn ();\n\n Triggers some additional optimizations for cells containing only two materials. This option might produce different result than expected if the sum of volume fractions is not 1.\n"},
  {(char*)"TwoMaterialsOptimizationOff",                (PyCFunction)PyvtkYoungsMaterialInterface_TwoMaterialsOptimizationOff, 1,
   (char*)"V.TwoMaterialsOptimizationOff()\nC++: void TwoMaterialsOptimizationOff ();\n\n Triggers some additional optimizations for cells containing only two materials. This option might produce different result than expected if the sum of volume fractions is not 1.\n"},
  {(char*)"SetVolumeFractionRange",                (PyCFunction)PyvtkYoungsMaterialInterface_SetVolumeFractionRange, 1,
   (char*)"V.SetVolumeFractionRange(float, float)\nC++: void SetVolumeFractionRange (double , double );\nV.SetVolumeFractionRange((float, float))\nC++: void SetVolumeFractionRange (double  a[2]);\n\n Set/Get minimum and maximum volume fraction value. if a material fills a volume above the minimum value, the material is considered to be void. if a material fills a volume fraction beyond the maximum value it is considered as filling the whole volume.\n"},
  {(char*)"GetVolumeFractionRange",                (PyCFunction)PyvtkYoungsMaterialInterface_GetVolumeFractionRange, 1,
   (char*)"V.GetVolumeFractionRange() -> (float, float)\nC++: double  *GetVolumeFractionRange ();\n\n Set/Get minimum and maximum volume fraction value. if a material fills a volume above the minimum value, the material is considered to be void. if a material fills a volume fraction beyond the maximum value it is considered as filling the whole volume.\n"},
  {(char*)"SetNumberOfMaterials",                (PyCFunction)PyvtkYoungsMaterialInterface_SetNumberOfMaterials, 1,
   (char*)"V.SetNumberOfMaterials(int)\nC++: virtual void SetNumberOfMaterials (int n);\n\n Sets/Gets the number of materials.\n"},
  {(char*)"GetNumberOfMaterials",                (PyCFunction)PyvtkYoungsMaterialInterface_GetNumberOfMaterials, 1,
   (char*)"V.GetNumberOfMaterials() -> int\nC++: virtual int GetNumberOfMaterials ();\n\n Sets/Gets the number of materials.\n"},
  {(char*)"SetMaterialArrays",                (PyCFunction)PyvtkYoungsMaterialInterface_SetMaterialArrays, 1,
   (char*)"V.SetMaterialArrays(int, string, string, string)\nC++: virtual void SetMaterialArrays (int i, const char *volumeFraction, const char *interfaceNormal, const char *materialOrdering);\n\n Set ith Material arrays to be used as volume fraction, interface normal and material ordering. Each parameter name a cell array.\n"},
  {(char*)"SetMaterialVolumeFractionArray",                (PyCFunction)PyvtkYoungsMaterialInterface_SetMaterialVolumeFractionArray, 1,
   (char*)"V.SetMaterialVolumeFractionArray(int, string)\nC++: virtual void SetMaterialVolumeFractionArray (int i, const char *volume);\n\n Set ith Material arrays to be used as volume fraction, interface normal and material ordering. Each parameter name a cell array.\n"},
  {(char*)"SetMaterialNormalArray",                (PyCFunction)PyvtkYoungsMaterialInterface_SetMaterialNormalArray, 1,
   (char*)"V.SetMaterialNormalArray(int, string)\nC++: virtual void SetMaterialNormalArray (int i, const char *normal);\n\n Set ith Material arrays to be used as volume fraction, interface normal and material ordering. Each parameter name a cell array.\n"},
  {(char*)"SetMaterialOrderingArray",                (PyCFunction)PyvtkYoungsMaterialInterface_SetMaterialOrderingArray, 1,
   (char*)"V.SetMaterialOrderingArray(int, string)\nC++: virtual void SetMaterialOrderingArray (int i, const char *ordering);\n\n Set ith Material arrays to be used as volume fraction, interface normal and material ordering. Each parameter name a cell array.\n"},
  {(char*)"RemoveAllMaterials",                (PyCFunction)PyvtkYoungsMaterialInterface_RemoveAllMaterials, 1,
   (char*)"V.RemoveAllMaterials()\nC++: virtual void RemoveAllMaterials ();\n\n Removes all meterials previously added.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkYoungsMaterialInterfaceDoc[] = {
  (char*)"vtkYoungsMaterialInterface - reconstructs material interfaces\n\n",
  "Super Class:\n\n vtkMultiBlockDataSetAlgorithm\n\n",
  (char*)" Reconstructs material interfaces from a mesh containing mixed cells (where several materials are mixed)\n this implementation is based on the youngs algorithm, generalized to arbitrary cell types and works\n on both 2D and 3D meshes. the main advantage of the youngs algorithm is it guarantees the material volume correctness.\n for 2D meshes, the AxisSymetric flag allows to switch between a pure 2D (",
  (char*)"plannar) algorithm and an axis symetric 2D algorithm\n handling volumes of revolution.\n\n .SECTION Thanks\n This file is part of the generalized Youngs material interface reconstruction algorithm contributed by <br>\n CEA/DIF - Commissariat a l'Energie Atomique, Centre DAM Ile-De-France <br>\n BP12, F-91297 Arpajon, France. <br>\n Implementation by Thierry Carrard (thierry.carrard@cea.fr)\n\n",
  NULL
};

static vtkObjectBase *vtkYoungsMaterialInterfaceStaticNew()
{
  return vtkYoungsMaterialInterface::New();
}

PyObject *PyVTKClass_vtkYoungsMaterialInterfaceNew(char *modulename)
{
  return PyVTKClass_New(&vtkYoungsMaterialInterfaceStaticNew,
                        PyvtkYoungsMaterialInterfaceMethods,
                        (char*)"vtkYoungsMaterialInterface",modulename,
                        (char**)vtkYoungsMaterialInterfaceDoc,
                        PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(modulename));
}

