// python wrapper for vtkImageDataLIC2DExtentTranslator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageDataLIC2DExtentTranslator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageDataLIC2DExtentTranslatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageDataLIC2DExtentTranslatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkExtentTranslatorNew(char *); }

static PyObject *PyvtkImageDataLIC2DExtentTranslator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataLIC2DExtentTranslator *op;

  const char    *temp20;
  op = (vtkImageDataLIC2DExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDataLIC2DExtentTranslator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataLIC2DExtentTranslator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataLIC2DExtentTranslator *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageDataLIC2DExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDataLIC2DExtentTranslator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataLIC2DExtentTranslator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataLIC2DExtentTranslator *op;

  vtkImageDataLIC2DExtentTranslator  *temp20;
  op = (vtkImageDataLIC2DExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDataLIC2DExtentTranslator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataLIC2DExtentTranslator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageDataLIC2DExtentTranslator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageDataLIC2DExtentTranslator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageDataLIC2DExtentTranslator_SetAlgorithm(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataLIC2DExtentTranslator *op;

  vtkImageDataLIC2D  *temp0;
  PyObject *tempH0;
  op = (vtkImageDataLIC2DExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageDataLIC2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageDataLIC2D");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageDataLIC2DExtentTranslator::SetAlgorithm(temp0);
      }
    else
      {
      op->SetAlgorithm(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkImageDataLIC2DExtentTranslator_GetAlgorithm(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataLIC2DExtentTranslator *op;

  vtkImageDataLIC2D  *temp20;
  op = (vtkImageDataLIC2DExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDataLIC2DExtentTranslator::GetAlgorithm();
      }
    else
      {
      temp20 = op->GetAlgorithm();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataLIC2DExtentTranslator_SetInputExtentTranslator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataLIC2DExtentTranslator *op;

  vtkExtentTranslator  *temp0;
  PyObject *tempH0;
  op = (vtkImageDataLIC2DExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkExtentTranslator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkExtentTranslator");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageDataLIC2DExtentTranslator::SetInputExtentTranslator(temp0);
      }
    else
      {
      op->SetInputExtentTranslator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkImageDataLIC2DExtentTranslator_GetInputExtentTranslator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataLIC2DExtentTranslator *op;

  vtkExtentTranslator  *temp20;
  op = (vtkImageDataLIC2DExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDataLIC2DExtentTranslator::GetInputExtentTranslator();
      }
    else
      {
      temp20 = op->GetInputExtentTranslator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataLIC2DExtentTranslator_SetInputWholeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataLIC2DExtentTranslator *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  op = (vtkImageDataLIC2DExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageDataLIC2DExtentTranslator::SetInputWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetInputWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageDataLIC2DExtentTranslator *op;

  int    temp0[6];
  PyErr_Clear();
  op = (vtkImageDataLIC2DExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageDataLIC2DExtentTranslator::SetInputWholeExtent(temp0);
      }
    else
      {
      op->SetInputWholeExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataLIC2DExtentTranslator_GetInputWholeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataLIC2DExtentTranslator *op;

  int     *temp20;
  op = (vtkImageDataLIC2DExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDataLIC2DExtentTranslator::GetInputWholeExtent();
      }
    else
      {
      temp20 = op->GetInputWholeExtent();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageDataLIC2DExtentTranslatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageDataLIC2DExtentTranslator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageDataLIC2DExtentTranslator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageDataLIC2DExtentTranslator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageDataLIC2DExtentTranslator\nC++: vtkImageDataLIC2DExtentTranslator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageDataLIC2DExtentTranslator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageDataLIC2DExtentTranslator\nC++: vtkImageDataLIC2DExtentTranslator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetAlgorithm",                (PyCFunction)PyvtkImageDataLIC2DExtentTranslator_SetAlgorithm, 1,
   (char*)"V.SetAlgorithm(vtkImageDataLIC2D)\nC++: void SetAlgorithm (vtkImageDataLIC2D *);\n\n Set the vtkImageDataLIC2D algorithm for which this extent translator is\n being used.\n"},
  {(char*)"GetAlgorithm",                (PyCFunction)PyvtkImageDataLIC2DExtentTranslator_GetAlgorithm, 1,
   (char*)"V.GetAlgorithm() -> vtkImageDataLIC2D\nC++: vtkImageDataLIC2D *GetAlgorithm ();\n\n Set the vtkImageDataLIC2D algorithm for which this extent translator is\n being used.\n"},
  {(char*)"SetInputExtentTranslator",                (PyCFunction)PyvtkImageDataLIC2DExtentTranslator_SetInputExtentTranslator, 1,
   (char*)"V.SetInputExtentTranslator(vtkExtentTranslator)\nC++: void SetInputExtentTranslator (vtkExtentTranslator *);\n\n"},
  {(char*)"GetInputExtentTranslator",                (PyCFunction)PyvtkImageDataLIC2DExtentTranslator_GetInputExtentTranslator, 1,
   (char*)"V.GetInputExtentTranslator() -> vtkExtentTranslator\nC++: vtkExtentTranslator *GetInputExtentTranslator ();\n\n"},
  {(char*)"SetInputWholeExtent",                (PyCFunction)PyvtkImageDataLIC2DExtentTranslator_SetInputWholeExtent, 1,
   (char*)"V.SetInputWholeExtent(int, int, int, int, int, int)\nC++: void SetInputWholeExtent (int , int , int , int , int , int );\nV.SetInputWholeExtent((int, int, int, int, int, int))\nC++: void SetInputWholeExtent (int  a[6]);\n\n"},
  {(char*)"GetInputWholeExtent",                (PyCFunction)PyvtkImageDataLIC2DExtentTranslator_GetInputWholeExtent, 1,
   (char*)"V.GetInputWholeExtent() -> (int, int, int, int, int, int)\nC++: int  *GetInputWholeExtent ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageDataLIC2DExtentTranslatorDoc[] = {
  (char*)"vtkImageDataLIC2DExtentTranslator \n\n",
  "Super Class:\n\n vtkExtentTranslator\n\n",
  NULL
};

static vtkObjectBase *vtkImageDataLIC2DExtentTranslatorStaticNew()
{
  return vtkImageDataLIC2DExtentTranslator::New();
}

PyObject *PyVTKClass_vtkImageDataLIC2DExtentTranslatorNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageDataLIC2DExtentTranslatorStaticNew,
                        PyvtkImageDataLIC2DExtentTranslatorMethods,
                        (char*)"vtkImageDataLIC2DExtentTranslator",modulename,
                        (char**)vtkImageDataLIC2DExtentTranslatorDoc,
                        PyVTKClass_vtkExtentTranslatorNew(modulename));
}

