// python wrapper for vtkArrayReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkArrayReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkArrayReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkArrayReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkArrayDataAlgorithmNew(char *); }

static PyObject *PyvtkArrayReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayReader *op;

  const char    *temp20;
  op = (vtkArrayReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkArrayReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayReader *op;

  vtkArrayReader  *temp20;
  op = (vtkArrayReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkArrayReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkArrayReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkArrayReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayReader *op;

  char    *temp20;
  op = (vtkArrayReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayReader *op;

  char    *temp0;
  op = (vtkArrayReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArrayReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkArrayReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkArrayReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkArrayReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkArrayReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkArrayReader\nC++: vtkArrayReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkArrayReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkArrayReader\nC++: vtkArrayReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkArrayReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Set the filesystem location from which data will be read.\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkArrayReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Set the filesystem location from which data will be read.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkArrayReaderDoc[] = {
  (char*)"vtkArrayReader -  Reads sparse and dense vtkArray data written by vtkArrayWriter.\n\n",
  "Super Class:\n\n vtkArrayDataAlgorithm\n\n",
  (char*)" Reads sparse and dense vtkArray data written with vtkArrayWriter.\n\n Outputs:\n   Output port 0: vtkArrayData containing a dense or sparse array.\n\n\n",
  "See Also:\n\n vtkArrayWriter\n\n .SECTION Thanks\n Developed by Timothy M. Shead (tshead@sandia.gov) at Sandia National Laboratories.\n\n",
  NULL
};

static vtkObjectBase *vtkArrayReaderStaticNew()
{
  return vtkArrayReader::New();
}

PyObject *PyVTKClass_vtkArrayReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkArrayReaderStaticNew,
                        PyvtkArrayReaderMethods,
                        (char*)"vtkArrayReader",modulename,
                        (char**)vtkArrayReaderDoc,
                        PyVTKClass_vtkArrayDataAlgorithmNew(modulename));
}

