// python wrapper for vtkArrayWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkArrayWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkArrayWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkArrayWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkArrayDataAlgorithmNew(char *); }

static PyObject *PyvtkArrayWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayWriter *op;

  const char    *temp20;
  op = (vtkArrayWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayWriter *op;

  char    *temp0;
  int      temp20;
  op = (vtkArrayWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayWriter *op;

  vtkArrayWriter  *temp20;
  op = (vtkArrayWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkArrayWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkArrayWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkArrayWriter_Write(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayWriter *op;

  char    *temp0;
  bool   temp1;
  bool   temp20;
  op = (vtkArrayWriter *)PyArg_VTKParseTuple(self, args, (char*)"zb", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayWriter::Write(temp0,temp1);
      }
    else
      {
      temp20 = op->Write(temp0,temp1);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  /* handle an occurrence */
  {
  vtkArray  *temp0;
  PyObject *tempH0;
  char    *temp1;
  bool   temp2;
  bool   temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"Ozb", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkArray");
    if (!temp0 && tempH0 != Py_None) goto break5;
      {
      temp20 = vtkArrayWriter::Write(temp0,temp1,temp2);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break5:
  return NULL;
}

static PyMethodDef PyvtkArrayWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkArrayWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkArrayWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkArrayWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkArrayWriter\nC++: vtkArrayWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkArrayWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkArrayWriter\nC++: vtkArrayWriter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Write",                (PyCFunction)PyvtkArrayWriter_Write, 1,
   (char*)"V.Write(string, bool) -> bool\nC++: bool Write (const vtkStdString &file_name, bool WriteBinaryfalse);\nV.Write(vtkArray, string, bool) -> bool\nC++: static bool Write (vtkArray *array, const vtkStdString &file_name, bool WriteBinaryfalse);\n\n Write input port 0 data to a file.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkArrayWriterDoc[] = {
  (char*)"vtkArrayWriter - Serialize sparse and dense arrays to a file or stream.\n\n",
  "Super Class:\n\n vtkArrayDataAlgorithm\n\n",
  (char*)" vtkArrayWriter serializes sparse and dense array data using a text-based\n format that is human-readable and easily parsed (default option).  The \n WriteBinary array option can be set to true in the Write method, which \n will serialize the sparse and dense array data using a binary format that \n is optimized for rapid throughput.\n\n Inputs:\n   Input port 0: (required) vtkArrayData object containing",
  (char*)" a sparse or dense array.\n\n Output Format:\n   The first line of output will contain the array type (sparse or dense) and the\n   type of values stored in the array (double, integer, string, etc).\n\n   The second line of output will contain the array extents along each dimension\n   of the array, followed by the number of non-null values stored in the array.\n\n   For sparse arrays, each subsequent line",
  (char*)" of output will contain the coordinates\n   and value for each non-null value stored in the array.\n\n   For dense arrays, each subsequent line of output will contain one value from the\n   array, stored in the same order as that used by vtkArrayCoordinateIterator.\n\n\n",
  "See Also:\n\n vtkArrayReader\n\n .SECTION Thanks\n Developed by Timothy M. Shead (tshead@sandia.gov) at Sandia National Laboratories.\n\n",
  NULL
};

static vtkObjectBase *vtkArrayWriterStaticNew()
{
  return vtkArrayWriter::New();
}

PyObject *PyVTKClass_vtkArrayWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkArrayWriterStaticNew,
                        PyvtkArrayWriterMethods,
                        (char*)"vtkArrayWriter",modulename,
                        (char**)vtkArrayWriterDoc,
                        PyVTKClass_vtkArrayDataAlgorithmNew(modulename));
}

