// python wrapper for vtkDelimitedTextWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDelimitedTextWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDelimitedTextWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDelimitedTextWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkWriterNew(char *); }

static PyObject *PyvtkDelimitedTextWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextWriter *op;

  const char    *temp20;
  op = (vtkDelimitedTextWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelimitedTextWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextWriter *op;

  char    *temp0;
  int      temp20;
  op = (vtkDelimitedTextWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelimitedTextWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextWriter *op;

  vtkDelimitedTextWriter  *temp20;
  op = (vtkDelimitedTextWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelimitedTextWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDelimitedTextWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDelimitedTextWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDelimitedTextWriter_SetFieldDelimiter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextWriter *op;

  char    *temp0;
  op = (vtkDelimitedTextWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextWriter::SetFieldDelimiter(temp0);
      }
    else
      {
      op->SetFieldDelimiter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextWriter_GetFieldDelimiter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextWriter *op;

  char    *temp20;
  op = (vtkDelimitedTextWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelimitedTextWriter::GetFieldDelimiter();
      }
    else
      {
      temp20 = op->GetFieldDelimiter();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextWriter_SetStringDelimiter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextWriter *op;

  char    *temp0;
  op = (vtkDelimitedTextWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextWriter::SetStringDelimiter(temp0);
      }
    else
      {
      op->SetStringDelimiter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextWriter_GetStringDelimiter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextWriter *op;

  char    *temp20;
  op = (vtkDelimitedTextWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelimitedTextWriter::GetStringDelimiter();
      }
    else
      {
      temp20 = op->GetStringDelimiter();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextWriter_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextWriter *op;

  char    *temp0;
  op = (vtkDelimitedTextWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextWriter::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextWriter_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextWriter *op;

  char    *temp20;
  op = (vtkDelimitedTextWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelimitedTextWriter::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextWriter_SetUseStringDelimiter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextWriter *op;

  bool   temp0;
  op = (vtkDelimitedTextWriter *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextWriter::SetUseStringDelimiter(temp0);
      }
    else
      {
      op->SetUseStringDelimiter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextWriter_GetUseStringDelimiter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextWriter *op;

  bool   temp20;
  op = (vtkDelimitedTextWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelimitedTextWriter::GetUseStringDelimiter();
      }
    else
      {
      temp20 = op->GetUseStringDelimiter();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDelimitedTextWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDelimitedTextWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDelimitedTextWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDelimitedTextWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDelimitedTextWriter\nC++: vtkDelimitedTextWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDelimitedTextWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDelimitedTextWriter\nC++: vtkDelimitedTextWriter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFieldDelimiter",                (PyCFunction)PyvtkDelimitedTextWriter_SetFieldDelimiter, 1,
   (char*)"V.SetFieldDelimiter(string)\nC++: void SetFieldDelimiter (char *);\n\n Get/Set the delimiter use to separate fields (\",\" by default.)\n"},
  {(char*)"GetFieldDelimiter",                (PyCFunction)PyvtkDelimitedTextWriter_GetFieldDelimiter, 1,
   (char*)"V.GetFieldDelimiter() -> string\nC++: char *GetFieldDelimiter ();\n\n Get/Set the delimiter use to separate fields (\",\" by default.)\n"},
  {(char*)"SetStringDelimiter",                (PyCFunction)PyvtkDelimitedTextWriter_SetStringDelimiter, 1,
   (char*)"V.SetStringDelimiter(string)\nC++: void SetStringDelimiter (char *);\n\n Get/Set the delimiter used for string data, if any \n eg. double quotes(\").\n"},
  {(char*)"GetStringDelimiter",                (PyCFunction)PyvtkDelimitedTextWriter_GetStringDelimiter, 1,
   (char*)"V.GetStringDelimiter() -> string\nC++: char *GetStringDelimiter ();\n\n Get/Set the delimiter used for string data, if any \n eg. double quotes(\").\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkDelimitedTextWriter_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Get/Set the filename for the file.\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkDelimitedTextWriter_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Get/Set the filename for the file.\n"},
  {(char*)"SetUseStringDelimiter",                (PyCFunction)PyvtkDelimitedTextWriter_SetUseStringDelimiter, 1,
   (char*)"V.SetUseStringDelimiter(bool)\nC++: void SetUseStringDelimiter (bool );\n\n Get/Set if StringDelimiter must be used for string data.\n True by default.\n"},
  {(char*)"GetUseStringDelimiter",                (PyCFunction)PyvtkDelimitedTextWriter_GetUseStringDelimiter, 1,
   (char*)"V.GetUseStringDelimiter() -> bool\nC++: bool GetUseStringDelimiter ();\n\n Get/Set if StringDelimiter must be used for string data.\n True by default.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDelimitedTextWriterDoc[] = {
  (char*)"vtkDelimitedTextWriter - Delimited text writer for vtkTable\n\n",
  "Super Class:\n\n vtkWriter\n\n",
  (char*)"None provided.\n\n",
  NULL
};

static vtkObjectBase *vtkDelimitedTextWriterStaticNew()
{
  return vtkDelimitedTextWriter::New();
}

PyObject *PyVTKClass_vtkDelimitedTextWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkDelimitedTextWriterStaticNew,
                        PyvtkDelimitedTextWriterMethods,
                        (char*)"vtkDelimitedTextWriter",modulename,
                        (char**)vtkDelimitedTextWriterDoc,
                        PyVTKClass_vtkWriterNew(modulename));
}

