// python wrapper for vtkMySQLDatabase object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMySQLDatabase.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMySQLDatabaseNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMySQLDatabaseNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSQLDatabaseNew(char *); }

static PyObject *PyvtkMySQLDatabase_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLDatabase *op;

  const char    *temp20;
  op = (vtkMySQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLDatabase::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLDatabase_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLDatabase *op;

  char    *temp0;
  int      temp20;
  op = (vtkMySQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLDatabase::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLDatabase_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLDatabase *op;

  vtkMySQLDatabase  *temp20;
  op = (vtkMySQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLDatabase::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLDatabase_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMySQLDatabase  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMySQLDatabase::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMySQLDatabase_Open(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLDatabase *op;

  char    *temp0;
  bool   temp20;
  op = (vtkMySQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLDatabase::Open(temp0);
      }
    else
      {
      temp20 = op->Open(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLDatabase_Close(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLDatabase *op;

  op = (vtkMySQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMySQLDatabase::Close();
      }
    else
      {
      op->Close();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLDatabase_IsOpen(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLDatabase *op;

  bool   temp20;
  op = (vtkMySQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLDatabase::IsOpen();
      }
    else
      {
      temp20 = op->IsOpen();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLDatabase_GetQueryInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLDatabase *op;

  vtkSQLQuery  *temp20;
  op = (vtkMySQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLDatabase::GetQueryInstance();
      }
    else
      {
      temp20 = op->GetQueryInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLDatabase_GetTables(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLDatabase *op;

  vtkStringArray  *temp20;
  op = (vtkMySQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLDatabase::GetTables();
      }
    else
      {
      temp20 = op->GetTables();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLDatabase_GetRecord(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLDatabase *op;

  char    *temp0;
  vtkStringArray  *temp20;
  op = (vtkMySQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLDatabase::GetRecord(temp0);
      }
    else
      {
      temp20 = op->GetRecord(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLDatabase_IsSupported(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLDatabase *op;

  int      temp0;
  bool   temp20;
  op = (vtkMySQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLDatabase::IsSupported(temp0);
      }
    else
      {
      temp20 = op->IsSupported(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLDatabase_HasError(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLDatabase *op;

  bool   temp20;
  op = (vtkMySQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLDatabase::HasError();
      }
    else
      {
      temp20 = op->HasError();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLDatabase_GetLastErrorText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLDatabase *op;

  const char    *temp20;
  op = (vtkMySQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLDatabase::GetLastErrorText();
      }
    else
      {
      temp20 = op->GetLastErrorText();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLDatabase_GetDatabaseType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLDatabase *op;

  char    *temp20;
  op = (vtkMySQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLDatabase::GetDatabaseType();
      }
    else
      {
      temp20 = op->GetDatabaseType();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLDatabase_SetHostName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLDatabase *op;

  char    *temp0;
  op = (vtkMySQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMySQLDatabase::SetHostName(temp0);
      }
    else
      {
      op->SetHostName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLDatabase_GetHostName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLDatabase *op;

  char    *temp20;
  op = (vtkMySQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLDatabase::GetHostName();
      }
    else
      {
      temp20 = op->GetHostName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLDatabase_SetUser(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLDatabase *op;

  char    *temp0;
  op = (vtkMySQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMySQLDatabase::SetUser(temp0);
      }
    else
      {
      op->SetUser(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLDatabase_GetUser(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLDatabase *op;

  char    *temp20;
  op = (vtkMySQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLDatabase::GetUser();
      }
    else
      {
      temp20 = op->GetUser();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLDatabase_SetPassword(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLDatabase *op;

  char    *temp0;
  op = (vtkMySQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMySQLDatabase::SetPassword(temp0);
      }
    else
      {
      op->SetPassword(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLDatabase_SetDatabaseName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLDatabase *op;

  char    *temp0;
  op = (vtkMySQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMySQLDatabase::SetDatabaseName(temp0);
      }
    else
      {
      op->SetDatabaseName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLDatabase_GetDatabaseName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLDatabase *op;

  char    *temp20;
  op = (vtkMySQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLDatabase::GetDatabaseName();
      }
    else
      {
      temp20 = op->GetDatabaseName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLDatabase_SetConnectOptions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLDatabase *op;

  char    *temp0;
  op = (vtkMySQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMySQLDatabase::SetConnectOptions(temp0);
      }
    else
      {
      op->SetConnectOptions(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLDatabase_GetConnectOptions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLDatabase *op;

  char    *temp20;
  op = (vtkMySQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLDatabase::GetConnectOptions();
      }
    else
      {
      temp20 = op->GetConnectOptions();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLDatabase_SetServerPort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLDatabase *op;

  int      temp0;
  op = (vtkMySQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMySQLDatabase::SetServerPort(temp0);
      }
    else
      {
      op->SetServerPort(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLDatabase_GetServerPortMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLDatabase *op;

  int      temp20;
  op = (vtkMySQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLDatabase::GetServerPortMinValue();
      }
    else
      {
      temp20 = op->GetServerPortMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLDatabase_GetServerPortMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLDatabase *op;

  int      temp20;
  op = (vtkMySQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLDatabase::GetServerPortMaxValue();
      }
    else
      {
      temp20 = op->GetServerPortMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLDatabase_GetServerPort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLDatabase *op;

  int      temp20;
  op = (vtkMySQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLDatabase::GetServerPort();
      }
    else
      {
      temp20 = op->GetServerPort();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLDatabase_GetURL(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLDatabase *op;

  const char    *temp20;
  op = (vtkMySQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLDatabase::GetURL();
      }
    else
      {
      temp20 = op->GetURL();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLDatabase_GetTablePreamble(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLDatabase *op;

  bool   temp0;
  const char    *temp20;
  op = (vtkMySQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLDatabase::GetTablePreamble(temp0);
      }
    else
      {
      temp20 = op->GetTablePreamble(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLDatabase_GetColumnSpecification(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLDatabase *op;

  vtkSQLDatabaseSchema  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  const char    *temp20;
  op = (vtkMySQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"Oii", &tempH0, &temp1, &temp2);
  if (op)
    {
    temp0 = (vtkSQLDatabaseSchema *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSQLDatabaseSchema");
    if (!temp0 && tempH0 != Py_None) goto break29;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLDatabase::GetColumnSpecification(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->GetColumnSpecification(temp0,temp1,temp2);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
 break29:
  return NULL;
}


static PyObject *PyvtkMySQLDatabase_CreateDatabase(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLDatabase *op;

  char    *temp0;
  bool   temp1;
  bool   temp20;
  op = (vtkMySQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"zb", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLDatabase::CreateDatabase(temp0,temp1);
      }
    else
      {
      temp20 = op->CreateDatabase(temp0,temp1);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLDatabase_DropDatabase(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLDatabase *op;

  char    *temp0;
  bool   temp20;
  op = (vtkMySQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLDatabase::DropDatabase(temp0);
      }
    else
      {
      temp20 = op->DropDatabase(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMySQLDatabaseMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMySQLDatabase_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMySQLDatabase_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMySQLDatabase_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMySQLDatabase\nC++: vtkMySQLDatabase *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMySQLDatabase_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMySQLDatabase\nC++: vtkMySQLDatabase *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Open",                (PyCFunction)PyvtkMySQLDatabase_Open, 1,
   (char*)"V.Open(string) -> bool\nC++: bool Open (const char *password);\n\n Open a new connection to the database.  You need to set the\n filename before calling this function.  Returns true if the\n database was opened successfully; false otherwise.\n"},
  {(char*)"Close",                (PyCFunction)PyvtkMySQLDatabase_Close, 1,
   (char*)"V.Close()\nC++: void Close ();\n\n Close the connection to the database.\n"},
  {(char*)"IsOpen",                (PyCFunction)PyvtkMySQLDatabase_IsOpen, 1,
   (char*)"V.IsOpen() -> bool\nC++: bool IsOpen ();\n\n Return whether the database has an open connection\n"},
  {(char*)"GetQueryInstance",                (PyCFunction)PyvtkMySQLDatabase_GetQueryInstance, 1,
   (char*)"V.GetQueryInstance() -> vtkSQLQuery\nC++: vtkSQLQuery *GetQueryInstance ();\n\n Return an empty query on this database.\n"},
  {(char*)"GetTables",                (PyCFunction)PyvtkMySQLDatabase_GetTables, 1,
   (char*)"V.GetTables() -> vtkStringArray\nC++: vtkStringArray *GetTables ();\n\n Get the list of tables from the database\n"},
  {(char*)"GetRecord",                (PyCFunction)PyvtkMySQLDatabase_GetRecord, 1,
   (char*)"V.GetRecord(string) -> vtkStringArray\nC++: vtkStringArray *GetRecord (const char *table);\n\n Get the list of fields for a particular table\n"},
  {(char*)"IsSupported",                (PyCFunction)PyvtkMySQLDatabase_IsSupported, 1,
   (char*)"V.IsSupported(int) -> bool\nC++: bool IsSupported (int feature);\n\n Return whether a feature is supported by the database.\n"},
  {(char*)"HasError",                (PyCFunction)PyvtkMySQLDatabase_HasError, 1,
   (char*)"V.HasError() -> bool\nC++: bool HasError ();\n\n Did the last operation generate an error\n"},
  {(char*)"GetLastErrorText",                (PyCFunction)PyvtkMySQLDatabase_GetLastErrorText, 1,
   (char*)"V.GetLastErrorText() -> string\nC++: const char *GetLastErrorText ();\n\n Get the last error text from the database\n"},
  {(char*)"GetDatabaseType",                (PyCFunction)PyvtkMySQLDatabase_GetDatabaseType, 1,
   (char*)"V.GetDatabaseType() -> string\nC++: char *GetDatabaseType ();\n\n String representing database type (e.g. \"mysql\").\n"},
  {(char*)"SetHostName",                (PyCFunction)PyvtkMySQLDatabase_SetHostName, 1,
   (char*)"V.SetHostName(string)\nC++: void SetHostName (char *);\n\n The database server host name.\n"},
  {(char*)"GetHostName",                (PyCFunction)PyvtkMySQLDatabase_GetHostName, 1,
   (char*)"V.GetHostName() -> string\nC++: char *GetHostName ();\n\n The database server host name.\n"},
  {(char*)"SetUser",                (PyCFunction)PyvtkMySQLDatabase_SetUser, 1,
   (char*)"V.SetUser(string)\nC++: void SetUser (char *);\n\n The user name for connecting to the database server.\n"},
  {(char*)"GetUser",                (PyCFunction)PyvtkMySQLDatabase_GetUser, 1,
   (char*)"V.GetUser() -> string\nC++: char *GetUser ();\n\n The user name for connecting to the database server.\n"},
  {(char*)"SetPassword",                (PyCFunction)PyvtkMySQLDatabase_SetPassword, 1,
   (char*)"V.SetPassword(string)\nC++: void SetPassword (char *);\n\n The user's password for connecting to the database server.\n"},
  {(char*)"SetDatabaseName",                (PyCFunction)PyvtkMySQLDatabase_SetDatabaseName, 1,
   (char*)"V.SetDatabaseName(string)\nC++: void SetDatabaseName (char *);\n\n The name of the database to connect to.\n"},
  {(char*)"GetDatabaseName",                (PyCFunction)PyvtkMySQLDatabase_GetDatabaseName, 1,
   (char*)"V.GetDatabaseName() -> string\nC++: char *GetDatabaseName ();\n\n The name of the database to connect to.\n"},
  {(char*)"SetConnectOptions",                (PyCFunction)PyvtkMySQLDatabase_SetConnectOptions, 1,
   (char*)"V.SetConnectOptions(string)\nC++: void SetConnectOptions (char *);\n\n Additional options for the database.\n"},
  {(char*)"GetConnectOptions",                (PyCFunction)PyvtkMySQLDatabase_GetConnectOptions, 1,
   (char*)"V.GetConnectOptions() -> string\nC++: char *GetConnectOptions ();\n\n Additional options for the database.\n"},
  {(char*)"SetServerPort",                (PyCFunction)PyvtkMySQLDatabase_SetServerPort, 1,
   (char*)"V.SetServerPort(int)\nC++: void SetServerPort (int );\n\n The port used for connecting to the database.\n"},
  {(char*)"GetServerPortMinValue",                (PyCFunction)PyvtkMySQLDatabase_GetServerPortMinValue, 1,
   (char*)"V.GetServerPortMinValue() -> int\nC++: int GetServerPortMinValue ();\n\n The port used for connecting to the database.\n"},
  {(char*)"GetServerPortMaxValue",                (PyCFunction)PyvtkMySQLDatabase_GetServerPortMaxValue, 1,
   (char*)"V.GetServerPortMaxValue() -> int\nC++: int GetServerPortMaxValue ();\n\n The port used for connecting to the database.\n"},
  {(char*)"GetServerPort",                (PyCFunction)PyvtkMySQLDatabase_GetServerPort, 1,
   (char*)"V.GetServerPort() -> int\nC++: int GetServerPort ();\n\n The port used for connecting to the database.\n"},
  {(char*)"GetURL",                (PyCFunction)PyvtkMySQLDatabase_GetURL, 1,
   (char*)"V.GetURL() -> string\nC++: virtual vtkStdString GetURL ();\n\n Get the URL of the database.\n"},
  {(char*)"GetTablePreamble",                (PyCFunction)PyvtkMySQLDatabase_GetTablePreamble, 1,
   (char*)"V.GetTablePreamble(bool) -> string\nC++: virtual vtkStdString GetTablePreamble (bool b);return b vtkStdString \n\n Return the SQL string with the syntax to create a column inside a\n \"CREATE TABLE\" SQL statement.\n NB1: this method implements the MySQL-specific syntax:\n \\verbatim\n `<column name>` <column type> <column attributes>\n \\endverbatim\n NB2: if a column has type SERIAL in the schema, this will be turned\n into INT NOT NULL AUTO_INCREMENT. Therefore, one should not pass\n NOT NULL as an attribute of a column whose type is SERIAL.\n"},
  {(char*)"GetColumnSpecification",                (PyCFunction)PyvtkMySQLDatabase_GetColumnSpecification, 1,
   (char*)"V.GetColumnSpecification(vtkSQLDatabaseSchema, int, int) -> string\nC++: virtual vtkStdString GetColumnSpecification (vtkSQLDatabaseSchema *schema, int tblHandle, int colHandle);\n\n Return the SQL string with the syntax to create a column inside a\n \"CREATE TABLE\" SQL statement.\n NB1: this method implements the MySQL-specific syntax:\n \\verbatim\n `<column name>` <column type> <column attributes>\n \\endverbatim\n NB2: if a column has type SERIAL in the schema, this will be turned\n into INT NOT NULL AUTO_INCREMENT. Therefore, one should not pass\n NOT NULL as an attribute of a column whose type is SERIAL.\n"},
  {(char*)"CreateDatabase",                (PyCFunction)PyvtkMySQLDatabase_CreateDatabase, 1,
   (char*)"V.CreateDatabase(string, bool) -> bool\nC++: bool CreateDatabase (const char *dbName, bool dropExisting);\n\n Create a new database, optionally dropping any existing database of the same name.\n Returns true when the database is properly created and false on failure.\n"},
  {(char*)"DropDatabase",                (PyCFunction)PyvtkMySQLDatabase_DropDatabase, 1,
   (char*)"V.DropDatabase(string) -> bool\nC++: bool DropDatabase (const char *dbName);\n\n Drop a database if it exists.\n Returns true on success and false on failure.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMySQLDatabaseDoc[] = {
  (char*)"vtkMySQLDatabase - maintain a connection to a MySQL database\n\n",
  "Super Class:\n\n vtkSQLDatabase\n\n",
  (char*)"\n This class provides a VTK interface to MySQL\n (http://www.mysql.com).  Unlike file-based databases like SQLite, you\n talk to MySQL through a client/server connection.  You must specify\n the hostname, (optional) port to connect to, username, password and\n database name in order to connect.\n\n\n",
  "See Also:\n\n vtkMySQLQuery\n\n",
  NULL
};

static vtkObjectBase *vtkMySQLDatabaseStaticNew()
{
  return vtkMySQLDatabase::New();
}

PyObject *PyVTKClass_vtkMySQLDatabaseNew(char *modulename)
{
  return PyVTKClass_New(&vtkMySQLDatabaseStaticNew,
                        PyvtkMySQLDatabaseMethods,
                        (char*)"vtkMySQLDatabase",modulename,
                        (char**)vtkMySQLDatabaseDoc,
                        PyVTKClass_vtkSQLDatabaseNew(modulename));
}

