// python wrapper for vtkMySQLQuery object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMySQLQuery.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMySQLQueryNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMySQLQueryNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSQLQueryNew(char *); }

static PyObject *PyvtkMySQLQuery_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLQuery *op;

  const char    *temp20;
  op = (vtkMySQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLQuery::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLQuery_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLQuery *op;

  char    *temp0;
  int      temp20;
  op = (vtkMySQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLQuery::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLQuery_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLQuery *op;

  vtkMySQLQuery  *temp20;
  op = (vtkMySQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLQuery::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLQuery_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMySQLQuery  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMySQLQuery::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMySQLQuery_SetQuery(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLQuery *op;

  char    *temp0;
  bool   temp20;
  op = (vtkMySQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLQuery::SetQuery(temp0);
      }
    else
      {
      temp20 = op->SetQuery(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLQuery_Execute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLQuery *op;

  bool   temp20;
  op = (vtkMySQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLQuery::Execute();
      }
    else
      {
      temp20 = op->Execute();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLQuery_GetNumberOfFields(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLQuery *op;

  int      temp20;
  op = (vtkMySQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLQuery::GetNumberOfFields();
      }
    else
      {
      temp20 = op->GetNumberOfFields();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLQuery_GetFieldName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLQuery *op;

  int      temp0;
  const char    *temp20;
  op = (vtkMySQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLQuery::GetFieldName(temp0);
      }
    else
      {
      temp20 = op->GetFieldName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLQuery_GetFieldType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLQuery *op;

  int      temp0;
  int      temp20;
  op = (vtkMySQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLQuery::GetFieldType(temp0);
      }
    else
      {
      temp20 = op->GetFieldType(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLQuery_NextRow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLQuery *op;

  bool   temp20;
  op = (vtkMySQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLQuery::NextRow();
      }
    else
      {
      temp20 = op->NextRow();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLQuery_HasError(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLQuery *op;

  bool   temp20;
  op = (vtkMySQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLQuery::HasError();
      }
    else
      {
      temp20 = op->HasError();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLQuery_GetLastErrorText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLQuery *op;

  const char    *temp20;
  op = (vtkMySQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLQuery::GetLastErrorText();
      }
    else
      {
      temp20 = op->GetLastErrorText();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLQuery_BindParameter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLQuery *op;

  int      temp0;
  int      temp1;
  bool   temp20;
  op = (vtkMySQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLQuery::BindParameter(temp0,temp1);
      }
    else
      {
      temp20 = op->BindParameter(temp0,temp1);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  /* handle an occurrence */
  {
  vtkMySQLQuery *op;

  int      temp0;
  float    temp1;
  bool   temp20;
  PyErr_Clear();
  op = (vtkMySQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"if", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLQuery::BindParameter(temp0,temp1);
      }
    else
      {
      temp20 = op->BindParameter(temp0,temp1);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  /* handle an occurrence */
  {
  vtkMySQLQuery *op;

  int      temp0;
  double   temp1;
  bool   temp20;
  PyErr_Clear();
  op = (vtkMySQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLQuery::BindParameter(temp0,temp1);
      }
    else
      {
      temp20 = op->BindParameter(temp0,temp1);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  /* handle an occurrence */
  {
  vtkMySQLQuery *op;

  int      temp0;
  char    *temp1;
  bool   temp20;
  PyErr_Clear();
  op = (vtkMySQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"iz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLQuery::BindParameter(temp0,temp1);
      }
    else
      {
      temp20 = op->BindParameter(temp0,temp1);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkMySQLQuery_ClearParameterBindings(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMySQLQuery *op;

  bool   temp20;
  op = (vtkMySQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMySQLQuery::ClearParameterBindings();
      }
    else
      {
      temp20 = op->ClearParameterBindings();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMySQLQueryMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMySQLQuery_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMySQLQuery_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMySQLQuery_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMySQLQuery\nC++: vtkMySQLQuery *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMySQLQuery_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMySQLQuery\nC++: vtkMySQLQuery *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetQuery",                (PyCFunction)PyvtkMySQLQuery_SetQuery, 1,
   (char*)"V.SetQuery(string) -> bool\nC++: bool SetQuery (const char *query);\n\n Set the SQL query string.  This must be performed before\n Execute() or BindParameter() can be called.\n"},
  {(char*)"Execute",                (PyCFunction)PyvtkMySQLQuery_Execute, 1,
   (char*)"V.Execute() -> bool\nC++: bool Execute ();\n\n Execute the query.  This must be performed\n before any field name or data access functions\n are used.\n"},
  {(char*)"GetNumberOfFields",                (PyCFunction)PyvtkMySQLQuery_GetNumberOfFields, 1,
   (char*)"V.GetNumberOfFields() -> int\nC++: int GetNumberOfFields ();\n\n The number of fields in the query result.\n"},
  {(char*)"GetFieldName",                (PyCFunction)PyvtkMySQLQuery_GetFieldName, 1,
   (char*)"V.GetFieldName(int) -> string\nC++: const char *GetFieldName (int i);\n\n Return the name of the specified query field.\n"},
  {(char*)"GetFieldType",                (PyCFunction)PyvtkMySQLQuery_GetFieldType, 1,
   (char*)"V.GetFieldType(int) -> int\nC++: int GetFieldType (int i);\n\n Return the type of the field, using the constants defined in vtkType.h.\n"},
  {(char*)"NextRow",                (PyCFunction)PyvtkMySQLQuery_NextRow, 1,
   (char*)"V.NextRow() -> bool\nC++: bool NextRow ();\n\n Advance row, return false if past end.\n"},
  {(char*)"HasError",                (PyCFunction)PyvtkMySQLQuery_HasError, 1,
   (char*)"V.HasError() -> bool\nC++: bool HasError ();\n\n Return true if there is an error on the current query.\n"},
  {(char*)"GetLastErrorText",                (PyCFunction)PyvtkMySQLQuery_GetLastErrorText, 1,
   (char*)"V.GetLastErrorText() -> string\nC++: const char *GetLastErrorText ();\n\n Get the last error text from the query\n"},
  {(char*)"BindParameter",                (PyCFunction)PyvtkMySQLQuery_BindParameter, 1,
   (char*)"V.BindParameter(int, int) -> bool\nC++: bool BindParameter (int index, int value);\nV.BindParameter(int, float) -> bool\nC++: bool BindParameter (int index, float value);\nV.BindParameter(int, float) -> bool\nC++: bool BindParameter (int index, double value);\nV.BindParameter(int, string) -> bool\nC++: bool BindParameter (int index, const char *stringValue);\n\n The following methods bind a parameter value to a placeholder in\n the SQL string.  See the documentation for vtkSQLQuery for\n further explanation.  The driver makes internal copies of string\n and BLOB parameters so you don't need to worry about keeping them\n in scope until the query finishes executing.\n"},
  {(char*)"ClearParameterBindings",                (PyCFunction)PyvtkMySQLQuery_ClearParameterBindings, 1,
   (char*)"V.ClearParameterBindings() -> bool\nC++: bool ClearParameterBindings ();\n\n Bind a blob value.  Not all databases support blobs as a data\n type.  Check vtkSQLDatabase::IsSupported(VTK_SQL_FEATURE_BLOB) to\n make sure.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMySQLQueryDoc[] = {
  (char*)"vtkMySQLQuery - vtkSQLQuery implementation for MySQL databases\n\n",
  "Super Class:\n\n vtkSQLQuery\n\n",
  (char*)"\n This is an implementation of vtkSQLQuery for MySQL databases.  See\n the documentation for vtkSQLQuery for information about what the\n methods do.\n \n .SECTION Bugs\n\n Since MySQL requires that all bound parameters be passed in a\n single mysql_stmt_bind_param call, there is no way to determine\n which one is causing an error when one occurs.\n\n\n\n",
  "See Also:\n\n vtkSQLDatabase vtkSQLQuery vtkMySQLDatabase\n\n",
  NULL
};

static vtkObjectBase *vtkMySQLQueryStaticNew()
{
  return vtkMySQLQuery::New();
}

PyObject *PyVTKClass_vtkMySQLQueryNew(char *modulename)
{
  return PyVTKClass_New(&vtkMySQLQueryStaticNew,
                        PyvtkMySQLQueryMethods,
                        (char*)"vtkMySQLQuery",modulename,
                        (char**)vtkMySQLQueryDoc,
                        PyVTKClass_vtkSQLQueryNew(modulename));
}

