// python wrapper for vtkNetCDFReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkNetCDFReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkNetCDFReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkNetCDFReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataObjectAlgorithmNew(char *); }

static PyObject *PyvtkNetCDFReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFReader *op;

  const char    *temp20;
  op = (vtkNetCDFReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNetCDFReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkNetCDFReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNetCDFReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFReader *op;

  vtkNetCDFReader  *temp20;
  op = (vtkNetCDFReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNetCDFReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkNetCDFReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkNetCDFReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkNetCDFReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFReader *op;

  char    *temp0;
  op = (vtkNetCDFReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkNetCDFReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFReader *op;

  char    *temp20;
  op = (vtkNetCDFReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNetCDFReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFReader_UpdateMetaData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFReader *op;

  int      temp20;
  op = (vtkNetCDFReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNetCDFReader::UpdateMetaData();
      }
    else
      {
      temp20 = op->UpdateMetaData();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFReader_GetNumberOfVariableArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFReader *op;

  int      temp20;
  op = (vtkNetCDFReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNetCDFReader::GetNumberOfVariableArrays();
      }
    else
      {
      temp20 = op->GetNumberOfVariableArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFReader_GetVariableArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkNetCDFReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNetCDFReader::GetVariableArrayName(temp0);
      }
    else
      {
      temp20 = op->GetVariableArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFReader_GetVariableArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkNetCDFReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNetCDFReader::GetVariableArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetVariableArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFReader_SetVariableArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFReader *op;

  char    *temp0;
  int      temp1;
  op = (vtkNetCDFReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkNetCDFReader::SetVariableArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetVariableArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFReader_GetVariableDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFReader *op;

  vtkStringArray  *temp20;
  op = (vtkNetCDFReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNetCDFReader::GetVariableDimensions();
      }
    else
      {
      temp20 = op->GetVariableDimensions();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFReader_SetDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFReader *op;

  char    *temp0;
  op = (vtkNetCDFReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkNetCDFReader::SetDimensions(temp0);
      }
    else
      {
      op->SetDimensions(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFReader_GetAllDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFReader *op;

  vtkStringArray  *temp20;
  op = (vtkNetCDFReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNetCDFReader::GetAllDimensions();
      }
    else
      {
      temp20 = op->GetAllDimensions();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFReader_GetReplaceFillValueWithNan(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFReader *op;

  int      temp20;
  op = (vtkNetCDFReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNetCDFReader::GetReplaceFillValueWithNan();
      }
    else
      {
      temp20 = op->GetReplaceFillValueWithNan();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFReader_SetReplaceFillValueWithNan(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFReader *op;

  int      temp0;
  op = (vtkNetCDFReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkNetCDFReader::SetReplaceFillValueWithNan(temp0);
      }
    else
      {
      op->SetReplaceFillValueWithNan(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFReader_ReplaceFillValueWithNanOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFReader *op;

  op = (vtkNetCDFReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkNetCDFReader::ReplaceFillValueWithNanOn();
      }
    else
      {
      op->ReplaceFillValueWithNanOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFReader_ReplaceFillValueWithNanOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFReader *op;

  op = (vtkNetCDFReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkNetCDFReader::ReplaceFillValueWithNanOff();
      }
    else
      {
      op->ReplaceFillValueWithNanOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkNetCDFReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkNetCDFReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkNetCDFReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkNetCDFReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkNetCDFReader\nC++: vtkNetCDFReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkNetCDFReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkNetCDFReader\nC++: vtkNetCDFReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkNetCDFReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: virtual void SetFileName (const char *filename);\n\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkNetCDFReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n"},
  {(char*)"UpdateMetaData",                (PyCFunction)PyvtkNetCDFReader_UpdateMetaData, 1,
   (char*)"V.UpdateMetaData() -> int\nC++: int UpdateMetaData ();\n\n Update the meta data from the current file.  Automatically called\n during the RequestInformation pipeline update stage.\n"},
  {(char*)"GetNumberOfVariableArrays",                (PyCFunction)PyvtkNetCDFReader_GetNumberOfVariableArrays, 1,
   (char*)"V.GetNumberOfVariableArrays() -> int\nC++: virtual int GetNumberOfVariableArrays ();\n\n Variable array selection.\n"},
  {(char*)"GetVariableArrayName",                (PyCFunction)PyvtkNetCDFReader_GetVariableArrayName, 1,
   (char*)"V.GetVariableArrayName(int) -> string\nC++: virtual const char *GetVariableArrayName (int idx);\n\n Variable array selection.\n"},
  {(char*)"GetVariableArrayStatus",                (PyCFunction)PyvtkNetCDFReader_GetVariableArrayStatus, 1,
   (char*)"V.GetVariableArrayStatus(string) -> int\nC++: virtual int GetVariableArrayStatus (const char *name);\n\n Variable array selection.\n"},
  {(char*)"SetVariableArrayStatus",                (PyCFunction)PyvtkNetCDFReader_SetVariableArrayStatus, 1,
   (char*)"V.SetVariableArrayStatus(string, int)\nC++: virtual void SetVariableArrayStatus (const char *name, int status);\n\n Variable array selection.\n"},
  {(char*)"GetVariableDimensions",                (PyCFunction)PyvtkNetCDFReader_GetVariableDimensions, 1,
   (char*)"V.GetVariableDimensions() -> vtkStringArray\nC++: vtkStringArray *GetVariableDimensions ();\n\n Returns an array with string encodings for the dimensions used in each of\n the variables.  The indices in the returned array correspond to those used\n in the GetVariableArrayName method.  Two arrays with the same dimensions\n will have the same encoded string returned by this method.\n"},
  {(char*)"SetDimensions",                (PyCFunction)PyvtkNetCDFReader_SetDimensions, 1,
   (char*)"V.SetDimensions(string)\nC++: virtual void SetDimensions (const char *dimensions);\n\n Loads the grid with the given dimensions.  The dimensions are encoded in a\n string that conforms to the same format as returned by\n GetVariableDimensions and GetAllDimensions.  This method is really a\n convenience method for SetVariableArrayStatus.  It turns on all variables\n that have the given dimensions and turns off all other variables.\n"},
  {(char*)"GetAllDimensions",                (PyCFunction)PyvtkNetCDFReader_GetAllDimensions, 1,
   (char*)"V.GetAllDimensions() -> vtkStringArray\nC++: vtkStringArray *GetAllDimensions ();\n\n Returns an array with string encodings for the dimension combinations used\n in the variables.  The result is the same as GetVariableDimensions except\n that each entry in the array is unique (a set of dimensions is only given\n once even if it occurs for multiple variables) and the order is\n meaningless.\n"},
  {(char*)"GetReplaceFillValueWithNan",                (PyCFunction)PyvtkNetCDFReader_GetReplaceFillValueWithNan, 1,
   (char*)"V.GetReplaceFillValueWithNan() -> int\nC++: int GetReplaceFillValueWithNan ();\n\n If on, any float or double variable read that has a _FillValue attribute\n will have that fill value replaced with a not-a-number (NaN) value.  The\n advantage of setting these to NaN values is that, if implemented properly\n by the system and careful math operations are used, they can implicitly be\n ignored by calculations like finding the range of the values.  That said,\n this option should be used with caution as VTK does not fully support NaN\n values and therefore odd calculations may occur.  By default this is off.\n"},
  {(char*)"SetReplaceFillValueWithNan",                (PyCFunction)PyvtkNetCDFReader_SetReplaceFillValueWithNan, 1,
   (char*)"V.SetReplaceFillValueWithNan(int)\nC++: void SetReplaceFillValueWithNan (int );\n\n If on, any float or double variable read that has a _FillValue attribute\n will have that fill value replaced with a not-a-number (NaN) value.  The\n advantage of setting these to NaN values is that, if implemented properly\n by the system and careful math operations are used, they can implicitly be\n ignored by calculations like finding the range of the values.  That said,\n this option should be used with caution as VTK does not fully support NaN\n values and therefore odd calculations may occur.  By default this is off.\n"},
  {(char*)"ReplaceFillValueWithNanOn",                (PyCFunction)PyvtkNetCDFReader_ReplaceFillValueWithNanOn, 1,
   (char*)"V.ReplaceFillValueWithNanOn()\nC++: void ReplaceFillValueWithNanOn ();\n\n If on, any float or double variable read that has a _FillValue attribute\n will have that fill value replaced with a not-a-number (NaN) value.  The\n advantage of setting these to NaN values is that, if implemented properly\n by the system and careful math operations are used, they can implicitly be\n ignored by calculations like finding the range of the values.  That said,\n this option should be used with caution as VTK does not fully support NaN\n values and therefore odd calculations may occur.  By default this is off.\n"},
  {(char*)"ReplaceFillValueWithNanOff",                (PyCFunction)PyvtkNetCDFReader_ReplaceFillValueWithNanOff, 1,
   (char*)"V.ReplaceFillValueWithNanOff()\nC++: void ReplaceFillValueWithNanOff ();\n\n If on, any float or double variable read that has a _FillValue attribute\n will have that fill value replaced with a not-a-number (NaN) value.  The\n advantage of setting these to NaN values is that, if implemented properly\n by the system and careful math operations are used, they can implicitly be\n ignored by calculations like finding the range of the values.  That said,\n this option should be used with caution as VTK does not fully support NaN\n values and therefore odd calculations may occur.  By default this is off.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkNetCDFReaderDoc[] = {
  (char*)"vtkNetCDFReader\n\n",
  "Super Class:\n\n vtkDataObjectAlgorithm\n\n",
  (char*)"\n A superclass for reading netCDF files.  Subclass add conventions to the\n reader.  This class just outputs data into a multi block data set with a\n vtkImageData at each block.  A block is created for each variable except that\n variables with matching dimensions will be placed in the same block.\n\n",
  NULL
};

static vtkObjectBase *vtkNetCDFReaderStaticNew()
{
  return vtkNetCDFReader::New();
}

PyObject *PyVTKClass_vtkNetCDFReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkNetCDFReaderStaticNew,
                        PyvtkNetCDFReaderMethods,
                        (char*)"vtkNetCDFReader",modulename,
                        (char**)vtkNetCDFReaderDoc,
                        PyVTKClass_vtkDataObjectAlgorithmNew(modulename));
}

