// python wrapper for vtkOggTheoraWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkOggTheoraWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOggTheoraWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOggTheoraWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGenericMovieWriterNew(char *); }

static PyObject *PyvtkOggTheoraWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOggTheoraWriter *op;

  const char    *temp20;
  op = (vtkOggTheoraWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOggTheoraWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOggTheoraWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOggTheoraWriter *op;

  char    *temp0;
  int      temp20;
  op = (vtkOggTheoraWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOggTheoraWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOggTheoraWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOggTheoraWriter *op;

  vtkOggTheoraWriter  *temp20;
  op = (vtkOggTheoraWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOggTheoraWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOggTheoraWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOggTheoraWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOggTheoraWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOggTheoraWriter_Start(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOggTheoraWriter *op;

  op = (vtkOggTheoraWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOggTheoraWriter::Start();
      }
    else
      {
      op->Start();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOggTheoraWriter_Write(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOggTheoraWriter *op;

  op = (vtkOggTheoraWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOggTheoraWriter::Write();
      }
    else
      {
      op->Write();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOggTheoraWriter_End(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOggTheoraWriter *op;

  op = (vtkOggTheoraWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOggTheoraWriter::End();
      }
    else
      {
      op->End();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOggTheoraWriter_SetQuality(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOggTheoraWriter *op;

  int      temp0;
  op = (vtkOggTheoraWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOggTheoraWriter::SetQuality(temp0);
      }
    else
      {
      op->SetQuality(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOggTheoraWriter_GetQualityMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOggTheoraWriter *op;

  int      temp20;
  op = (vtkOggTheoraWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOggTheoraWriter::GetQualityMinValue();
      }
    else
      {
      temp20 = op->GetQualityMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOggTheoraWriter_GetQualityMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOggTheoraWriter *op;

  int      temp20;
  op = (vtkOggTheoraWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOggTheoraWriter::GetQualityMaxValue();
      }
    else
      {
      temp20 = op->GetQualityMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOggTheoraWriter_GetQuality(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOggTheoraWriter *op;

  int      temp20;
  op = (vtkOggTheoraWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOggTheoraWriter::GetQuality();
      }
    else
      {
      temp20 = op->GetQuality();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOggTheoraWriter_SetRate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOggTheoraWriter *op;

  int      temp0;
  op = (vtkOggTheoraWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOggTheoraWriter::SetRate(temp0);
      }
    else
      {
      op->SetRate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOggTheoraWriter_GetRateMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOggTheoraWriter *op;

  int      temp20;
  op = (vtkOggTheoraWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOggTheoraWriter::GetRateMinValue();
      }
    else
      {
      temp20 = op->GetRateMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOggTheoraWriter_GetRateMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOggTheoraWriter *op;

  int      temp20;
  op = (vtkOggTheoraWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOggTheoraWriter::GetRateMaxValue();
      }
    else
      {
      temp20 = op->GetRateMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOggTheoraWriter_GetRate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOggTheoraWriter *op;

  int      temp20;
  op = (vtkOggTheoraWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOggTheoraWriter::GetRate();
      }
    else
      {
      temp20 = op->GetRate();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOggTheoraWriter_SetSubsampling(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOggTheoraWriter *op;

  int      temp0;
  op = (vtkOggTheoraWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOggTheoraWriter::SetSubsampling(temp0);
      }
    else
      {
      op->SetSubsampling(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOggTheoraWriter_GetSubsampling(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOggTheoraWriter *op;

  int      temp20;
  op = (vtkOggTheoraWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOggTheoraWriter::GetSubsampling();
      }
    else
      {
      temp20 = op->GetSubsampling();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOggTheoraWriter_SubsamplingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOggTheoraWriter *op;

  op = (vtkOggTheoraWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOggTheoraWriter::SubsamplingOn();
      }
    else
      {
      op->SubsamplingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOggTheoraWriter_SubsamplingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOggTheoraWriter *op;

  op = (vtkOggTheoraWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOggTheoraWriter::SubsamplingOff();
      }
    else
      {
      op->SubsamplingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkOggTheoraWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOggTheoraWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOggTheoraWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOggTheoraWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOggTheoraWriter\nC++: vtkOggTheoraWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOggTheoraWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOggTheoraWriter\nC++: vtkOggTheoraWriter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Start",                (PyCFunction)PyvtkOggTheoraWriter_Start, 1,
   (char*)"V.Start()\nC++: void Start ();\n\n These methods start writing an Movie file, write a frame to the file\n and then end the writing process.\n"},
  {(char*)"Write",                (PyCFunction)PyvtkOggTheoraWriter_Write, 1,
   (char*)"V.Write()\nC++: void Write ();\n\n These methods start writing an Movie file, write a frame to the file\n and then end the writing process.\n"},
  {(char*)"End",                (PyCFunction)PyvtkOggTheoraWriter_End, 1,
   (char*)"V.End()\nC++: void End ();\n\n These methods start writing an Movie file, write a frame to the file\n and then end the writing process.\n"},
  {(char*)"SetQuality",                (PyCFunction)PyvtkOggTheoraWriter_SetQuality, 1,
   (char*)"V.SetQuality(int)\nC++: void SetQuality (int );\n\n Set/Get the compression quality.\n 0 means worst quality and smallest file size\n 2 means best quality and largest file size\n"},
  {(char*)"GetQualityMinValue",                (PyCFunction)PyvtkOggTheoraWriter_GetQualityMinValue, 1,
   (char*)"V.GetQualityMinValue() -> int\nC++: int GetQualityMinValue ();\n\n Set/Get the compression quality.\n 0 means worst quality and smallest file size\n 2 means best quality and largest file size\n"},
  {(char*)"GetQualityMaxValue",                (PyCFunction)PyvtkOggTheoraWriter_GetQualityMaxValue, 1,
   (char*)"V.GetQualityMaxValue() -> int\nC++: int GetQualityMaxValue ();\n\n Set/Get the compression quality.\n 0 means worst quality and smallest file size\n 2 means best quality and largest file size\n"},
  {(char*)"GetQuality",                (PyCFunction)PyvtkOggTheoraWriter_GetQuality, 1,
   (char*)"V.GetQuality() -> int\nC++: int GetQuality ();\n\n Set/Get the compression quality.\n 0 means worst quality and smallest file size\n 2 means best quality and largest file size\n"},
  {(char*)"SetRate",                (PyCFunction)PyvtkOggTheoraWriter_SetRate, 1,
   (char*)"V.SetRate(int)\nC++: void SetRate (int );\n\n Set/Get the frame rate, in frame/s.\n"},
  {(char*)"GetRateMinValue",                (PyCFunction)PyvtkOggTheoraWriter_GetRateMinValue, 1,
   (char*)"V.GetRateMinValue() -> int\nC++: int GetRateMinValue ();\n\n Set/Get the frame rate, in frame/s.\n"},
  {(char*)"GetRateMaxValue",                (PyCFunction)PyvtkOggTheoraWriter_GetRateMaxValue, 1,
   (char*)"V.GetRateMaxValue() -> int\nC++: int GetRateMaxValue ();\n\n Set/Get the frame rate, in frame/s.\n"},
  {(char*)"GetRate",                (PyCFunction)PyvtkOggTheoraWriter_GetRate, 1,
   (char*)"V.GetRate() -> int\nC++: int GetRate ();\n\n Set/Get the frame rate, in frame/s.\n"},
  {(char*)"SetSubsampling",                (PyCFunction)PyvtkOggTheoraWriter_SetSubsampling, 1,
   (char*)"V.SetSubsampling(int)\nC++: void SetSubsampling (int );\n\n Is the video to be encoded using 4:2:0 subsampling?\n"},
  {(char*)"GetSubsampling",                (PyCFunction)PyvtkOggTheoraWriter_GetSubsampling, 1,
   (char*)"V.GetSubsampling() -> int\nC++: int GetSubsampling ();\n\n Is the video to be encoded using 4:2:0 subsampling?\n"},
  {(char*)"SubsamplingOn",                (PyCFunction)PyvtkOggTheoraWriter_SubsamplingOn, 1,
   (char*)"V.SubsamplingOn()\nC++: void SubsamplingOn ();\n\n Is the video to be encoded using 4:2:0 subsampling?\n"},
  {(char*)"SubsamplingOff",                (PyCFunction)PyvtkOggTheoraWriter_SubsamplingOff, 1,
   (char*)"V.SubsamplingOff()\nC++: void SubsamplingOff ();\n\n Is the video to be encoded using 4:2:0 subsampling?\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOggTheoraWriterDoc[] = {
  (char*)"vtkOggTheoraWriter - Uses the ogg and theora libraries to write video\n\n",
  "Super Class:\n\n vtkGenericMovieWriter\n\n",
  (char*)" vtkOggTheoraWriter is an adapter that allows VTK to use the ogg and theora\n libraries to write movie files.  This class creates .ogv files containing\n theora encoded video without audio.\n\n This implementation is based on vtkFFMPEGWriter and uses some code derived\n from the encoder example distributed with libtheora.\n\n\n",
  "See Also:\n\n\n",
  NULL
};

static vtkObjectBase *vtkOggTheoraWriterStaticNew()
{
  return vtkOggTheoraWriter::New();
}

PyObject *PyVTKClass_vtkOggTheoraWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkOggTheoraWriterStaticNew,
                        PyvtkOggTheoraWriterMethods,
                        (char*)"vtkOggTheoraWriter",modulename,
                        (char**)vtkOggTheoraWriterDoc,
                        PyVTKClass_vtkGenericMovieWriterNew(modulename));
}

