// python wrapper for vtkPostgreSQLDatabase object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPostgreSQLDatabase.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPostgreSQLDatabaseNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPostgreSQLDatabaseNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSQLDatabaseNew(char *); }

static PyObject *PyvtkPostgreSQLDatabase_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLDatabase *op;

  const char    *temp20;
  op = (vtkPostgreSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostgreSQLDatabase::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLDatabase_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLDatabase *op;

  char    *temp0;
  int      temp20;
  op = (vtkPostgreSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostgreSQLDatabase::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLDatabase_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLDatabase *op;

  vtkPostgreSQLDatabase  *temp20;
  op = (vtkPostgreSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostgreSQLDatabase::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLDatabase_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPostgreSQLDatabase  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPostgreSQLDatabase::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPostgreSQLDatabase_Open(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLDatabase *op;

  char    *temp0;
  bool   temp20;
  op = (vtkPostgreSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostgreSQLDatabase::Open(temp0);
      }
    else
      {
      temp20 = op->Open(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLDatabase_Close(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLDatabase *op;

  op = (vtkPostgreSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPostgreSQLDatabase::Close();
      }
    else
      {
      op->Close();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLDatabase_IsOpen(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLDatabase *op;

  bool   temp20;
  op = (vtkPostgreSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostgreSQLDatabase::IsOpen();
      }
    else
      {
      temp20 = op->IsOpen();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLDatabase_GetQueryInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLDatabase *op;

  vtkSQLQuery  *temp20;
  op = (vtkPostgreSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostgreSQLDatabase::GetQueryInstance();
      }
    else
      {
      temp20 = op->GetQueryInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLDatabase_HasError(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLDatabase *op;

  bool   temp20;
  op = (vtkPostgreSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostgreSQLDatabase::HasError();
      }
    else
      {
      temp20 = op->HasError();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLDatabase_GetLastErrorText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLDatabase *op;

  const char    *temp20;
  op = (vtkPostgreSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostgreSQLDatabase::GetLastErrorText();
      }
    else
      {
      temp20 = op->GetLastErrorText();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLDatabase_GetDatabaseType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLDatabase *op;

  char    *temp20;
  op = (vtkPostgreSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostgreSQLDatabase::GetDatabaseType();
      }
    else
      {
      temp20 = op->GetDatabaseType();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLDatabase_SetHostName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLDatabase *op;

  char    *temp0;
  op = (vtkPostgreSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPostgreSQLDatabase::SetHostName(temp0);
      }
    else
      {
      op->SetHostName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLDatabase_GetHostName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLDatabase *op;

  char    *temp20;
  op = (vtkPostgreSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostgreSQLDatabase::GetHostName();
      }
    else
      {
      temp20 = op->GetHostName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLDatabase_SetUser(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLDatabase *op;

  char    *temp0;
  op = (vtkPostgreSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPostgreSQLDatabase::SetUser(temp0);
      }
    else
      {
      op->SetUser(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLDatabase_GetUser(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLDatabase *op;

  char    *temp20;
  op = (vtkPostgreSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostgreSQLDatabase::GetUser();
      }
    else
      {
      temp20 = op->GetUser();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLDatabase_SetPassword(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLDatabase *op;

  char    *temp0;
  op = (vtkPostgreSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPostgreSQLDatabase::SetPassword(temp0);
      }
    else
      {
      op->SetPassword(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLDatabase_SetDatabaseName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLDatabase *op;

  char    *temp0;
  op = (vtkPostgreSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPostgreSQLDatabase::SetDatabaseName(temp0);
      }
    else
      {
      op->SetDatabaseName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLDatabase_GetDatabaseName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLDatabase *op;

  char    *temp20;
  op = (vtkPostgreSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostgreSQLDatabase::GetDatabaseName();
      }
    else
      {
      temp20 = op->GetDatabaseName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLDatabase_SetConnectOptions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLDatabase *op;

  char    *temp0;
  op = (vtkPostgreSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPostgreSQLDatabase::SetConnectOptions(temp0);
      }
    else
      {
      op->SetConnectOptions(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLDatabase_GetConnectOptions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLDatabase *op;

  char    *temp20;
  op = (vtkPostgreSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostgreSQLDatabase::GetConnectOptions();
      }
    else
      {
      temp20 = op->GetConnectOptions();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLDatabase_SetServerPort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLDatabase *op;

  int      temp0;
  op = (vtkPostgreSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPostgreSQLDatabase::SetServerPort(temp0);
      }
    else
      {
      op->SetServerPort(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLDatabase_GetServerPortMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLDatabase *op;

  int      temp20;
  op = (vtkPostgreSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostgreSQLDatabase::GetServerPortMinValue();
      }
    else
      {
      temp20 = op->GetServerPortMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLDatabase_GetServerPortMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLDatabase *op;

  int      temp20;
  op = (vtkPostgreSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostgreSQLDatabase::GetServerPortMaxValue();
      }
    else
      {
      temp20 = op->GetServerPortMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLDatabase_GetServerPort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLDatabase *op;

  int      temp20;
  op = (vtkPostgreSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostgreSQLDatabase::GetServerPort();
      }
    else
      {
      temp20 = op->GetServerPort();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLDatabase_GetURL(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLDatabase *op;

  const char    *temp20;
  op = (vtkPostgreSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostgreSQLDatabase::GetURL();
      }
    else
      {
      temp20 = op->GetURL();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLDatabase_GetTables(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLDatabase *op;

  vtkStringArray  *temp20;
  op = (vtkPostgreSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostgreSQLDatabase::GetTables();
      }
    else
      {
      temp20 = op->GetTables();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLDatabase_GetRecord(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLDatabase *op;

  char    *temp0;
  vtkStringArray  *temp20;
  op = (vtkPostgreSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostgreSQLDatabase::GetRecord(temp0);
      }
    else
      {
      temp20 = op->GetRecord(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLDatabase_IsSupported(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLDatabase *op;

  int      temp0;
  bool   temp20;
  op = (vtkPostgreSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostgreSQLDatabase::IsSupported(temp0);
      }
    else
      {
      temp20 = op->IsSupported(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLDatabase_GetDatabases(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLDatabase *op;

  vtkStringArray  *temp20;
  op = (vtkPostgreSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostgreSQLDatabase::GetDatabases();
      }
    else
      {
      temp20 = op->GetDatabases();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLDatabase_CreateDatabase(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLDatabase *op;

  char    *temp0;
  bool   temp1;
  bool   temp20;
  op = (vtkPostgreSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"zb", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostgreSQLDatabase::CreateDatabase(temp0,temp1);
      }
    else
      {
      temp20 = op->CreateDatabase(temp0,temp1);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLDatabase_DropDatabase(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLDatabase *op;

  char    *temp0;
  bool   temp20;
  op = (vtkPostgreSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostgreSQLDatabase::DropDatabase(temp0);
      }
    else
      {
      temp20 = op->DropDatabase(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLDatabase_GetColumnSpecification(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLDatabase *op;

  vtkSQLDatabaseSchema  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  const char    *temp20;
  op = (vtkPostgreSQLDatabase *)PyArg_VTKParseTuple(self, args, (char*)"Oii", &tempH0, &temp1, &temp2);
  if (op)
    {
    temp0 = (vtkSQLDatabaseSchema *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSQLDatabaseSchema");
    if (!temp0 && tempH0 != Py_None) goto break31;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostgreSQLDatabase::GetColumnSpecification(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->GetColumnSpecification(temp0,temp1,temp2);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
 break31:
  return NULL;
}

static PyMethodDef PyvtkPostgreSQLDatabaseMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPostgreSQLDatabase_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPostgreSQLDatabase_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPostgreSQLDatabase_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPostgreSQLDatabase\nC++: vtkPostgreSQLDatabase *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPostgreSQLDatabase_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPostgreSQLDatabase\nC++: vtkPostgreSQLDatabase *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Open",                (PyCFunction)PyvtkPostgreSQLDatabase_Open, 1,
   (char*)"V.Open(string) -> bool\nC++: bool Open (const char *password);\n\n Open a new connection to the database.  You need to set the\n filename before calling this function.  Returns true if the\n database was opened successfully; false otherwise.\n"},
  {(char*)"Close",                (PyCFunction)PyvtkPostgreSQLDatabase_Close, 1,
   (char*)"V.Close()\nC++: void Close ();\n\n Close the connection to the database.\n"},
  {(char*)"IsOpen",                (PyCFunction)PyvtkPostgreSQLDatabase_IsOpen, 1,
   (char*)"V.IsOpen() -> bool\nC++: bool IsOpen ();\n\n Return whether the database has an open connection\n"},
  {(char*)"GetQueryInstance",                (PyCFunction)PyvtkPostgreSQLDatabase_GetQueryInstance, 1,
   (char*)"V.GetQueryInstance() -> vtkSQLQuery\nC++: vtkSQLQuery *GetQueryInstance ();\n\n Return an empty query on this database.\n"},
  {(char*)"HasError",                (PyCFunction)PyvtkPostgreSQLDatabase_HasError, 1,
   (char*)"V.HasError() -> bool\nC++: virtual bool HasError ();\n\n Did the last operation generate an error\n"},
  {(char*)"GetLastErrorText",                (PyCFunction)PyvtkPostgreSQLDatabase_GetLastErrorText, 1,
   (char*)"V.GetLastErrorText() -> string\nC++: const char *GetLastErrorText ();\n\n Get the last error text from the database\n"},
  {(char*)"GetDatabaseType",                (PyCFunction)PyvtkPostgreSQLDatabase_GetDatabaseType, 1,
   (char*)"V.GetDatabaseType() -> string\nC++: char *GetDatabaseType ();\n\n String representing database type (e.g. \"psql\").\n"},
  {(char*)"SetHostName",                (PyCFunction)PyvtkPostgreSQLDatabase_SetHostName, 1,
   (char*)"V.SetHostName(string)\nC++: virtual void SetHostName (const char *);\n\n The database server host name.\n"},
  {(char*)"GetHostName",                (PyCFunction)PyvtkPostgreSQLDatabase_GetHostName, 1,
   (char*)"V.GetHostName() -> string\nC++: char *GetHostName ();\n\n The database server host name.\n"},
  {(char*)"SetUser",                (PyCFunction)PyvtkPostgreSQLDatabase_SetUser, 1,
   (char*)"V.SetUser(string)\nC++: virtual void SetUser (const char *);\n\n The user name for connecting to the database server.\n"},
  {(char*)"GetUser",                (PyCFunction)PyvtkPostgreSQLDatabase_GetUser, 1,
   (char*)"V.GetUser() -> string\nC++: char *GetUser ();\n\n The user name for connecting to the database server.\n"},
  {(char*)"SetPassword",                (PyCFunction)PyvtkPostgreSQLDatabase_SetPassword, 1,
   (char*)"V.SetPassword(string)\nC++: virtual void SetPassword (const char *);\n\n The user's password for connecting to the database server.\n"},
  {(char*)"SetDatabaseName",                (PyCFunction)PyvtkPostgreSQLDatabase_SetDatabaseName, 1,
   (char*)"V.SetDatabaseName(string)\nC++: virtual void SetDatabaseName (const char *);\n\n The name of the database to connect to.\n"},
  {(char*)"GetDatabaseName",                (PyCFunction)PyvtkPostgreSQLDatabase_GetDatabaseName, 1,
   (char*)"V.GetDatabaseName() -> string\nC++: char *GetDatabaseName ();\n\n The name of the database to connect to.\n"},
  {(char*)"SetConnectOptions",                (PyCFunction)PyvtkPostgreSQLDatabase_SetConnectOptions, 1,
   (char*)"V.SetConnectOptions(string)\nC++: virtual void SetConnectOptions (const char *);\n\n Additional options for the database.\n"},
  {(char*)"GetConnectOptions",                (PyCFunction)PyvtkPostgreSQLDatabase_GetConnectOptions, 1,
   (char*)"V.GetConnectOptions() -> string\nC++: char *GetConnectOptions ();\n\n Additional options for the database.\n"},
  {(char*)"SetServerPort",                (PyCFunction)PyvtkPostgreSQLDatabase_SetServerPort, 1,
   (char*)"V.SetServerPort(int)\nC++: virtual void SetServerPort (int );\n\n The port used for connecting to the database.\n"},
  {(char*)"GetServerPortMinValue",                (PyCFunction)PyvtkPostgreSQLDatabase_GetServerPortMinValue, 1,
   (char*)"V.GetServerPortMinValue() -> int\nC++: virtual int GetServerPortMinValue ();return \n\n The port used for connecting to the database.\n"},
  {(char*)"GetServerPortMaxValue",                (PyCFunction)PyvtkPostgreSQLDatabase_GetServerPortMaxValue, 1,
   (char*)"V.GetServerPortMaxValue() -> int\nC++: virtual int GetServerPortMaxValue ();return VTK_INT_MAX \n\n The port used for connecting to the database.\n"},
  {(char*)"GetServerPort",                (PyCFunction)PyvtkPostgreSQLDatabase_GetServerPort, 1,
   (char*)"V.GetServerPort() -> int\nC++: int GetServerPort ();\n\n The port used for connecting to the database.\n"},
  {(char*)"GetURL",                (PyCFunction)PyvtkPostgreSQLDatabase_GetURL, 1,
   (char*)"V.GetURL() -> string\nC++: virtual vtkStdString GetURL ();\n\n Get a URL referencing the current database connection.\n This is not well-defined if the HostName and DatabaseName\n have not been set. The URL will be of the form\n <code>'psql://'[username[':'password]'@']hostname[':'port]'/'database</code> .\n"},
  {(char*)"GetTables",                (PyCFunction)PyvtkPostgreSQLDatabase_GetTables, 1,
   (char*)"V.GetTables() -> vtkStringArray\nC++: vtkStringArray *GetTables ();\n\n Get the list of tables from the database\n"},
  {(char*)"GetRecord",                (PyCFunction)PyvtkPostgreSQLDatabase_GetRecord, 1,
   (char*)"V.GetRecord(string) -> vtkStringArray\nC++: vtkStringArray *GetRecord (const char *table);\n\n Get the list of fields for a particular table\n"},
  {(char*)"IsSupported",                (PyCFunction)PyvtkPostgreSQLDatabase_IsSupported, 1,
   (char*)"V.IsSupported(int) -> bool\nC++: bool IsSupported (int feature);\n\n Return whether a feature is supported by the database.\n"},
  {(char*)"GetDatabases",                (PyCFunction)PyvtkPostgreSQLDatabase_GetDatabases, 1,
   (char*)"V.GetDatabases() -> vtkStringArray\nC++: vtkStringArray *GetDatabases ();\n\n Return a list of databases on the server.\n"},
  {(char*)"CreateDatabase",                (PyCFunction)PyvtkPostgreSQLDatabase_CreateDatabase, 1,
   (char*)"V.CreateDatabase(string, bool) -> bool\nC++: bool CreateDatabase (const char *dbName, bool dropExistingfalse);\n\n Create a new database, optionally dropping any existing database of the same name.\n Returns true when the database is properly created and false on failure.\n"},
  {(char*)"DropDatabase",                (PyCFunction)PyvtkPostgreSQLDatabase_DropDatabase, 1,
   (char*)"V.DropDatabase(string) -> bool\nC++: bool DropDatabase (const char *dbName);\n\n Drop a database if it exists.\n Returns true on success and false on failure.\n"},
  {(char*)"GetColumnSpecification",                (PyCFunction)PyvtkPostgreSQLDatabase_GetColumnSpecification, 1,
   (char*)"V.GetColumnSpecification(vtkSQLDatabaseSchema, int, int) -> string\nC++: virtual vtkStdString GetColumnSpecification (vtkSQLDatabaseSchema *schema, int tblHandle, int colHandle);\n\n Return the SQL string with the syntax to create a column inside a\n \"CREATE TABLE\" SQL statement.\n NB: this method implements the PostgreSQL-specific syntax:\n <column name> <column type> <column attributes>\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPostgreSQLDatabaseDoc[] = {
  (char*)"vtkPostgreSQLDatabase - maintain a connection to a PostgreSQL database\n\n",
  "Super Class:\n\n vtkSQLDatabase\n\n",
  (char*)"\n PostgreSQL (http://www.postgres.org) is a BSD-licensed SQL database.\n It's large, fast, and can not be easily embedded\n inside other applications.  Its databases are stored in files that\n belong to another process.\n\n This class provides a VTK interface to PostgreSQL.  You do need to\n download external libraries: we need a copy of PostgreSQL 8\n (currently 8.2 or 8.3) so that we can link against t",
  (char*)"he libpq C\n interface.\n\n .SECTION Thanks\n\n Thanks to David Thompson and Andy Wilson from Sandia National\n Laboratories for implementing this class.\n\n\n",
  "See Also:\n\n vtkPostgreSQLQuery\n\n",
  NULL
};

static vtkObjectBase *vtkPostgreSQLDatabaseStaticNew()
{
  return vtkPostgreSQLDatabase::New();
}

PyObject *PyVTKClass_vtkPostgreSQLDatabaseNew(char *modulename)
{
  return PyVTKClass_New(&vtkPostgreSQLDatabaseStaticNew,
                        PyvtkPostgreSQLDatabaseMethods,
                        (char*)"vtkPostgreSQLDatabase",modulename,
                        (char**)vtkPostgreSQLDatabaseDoc,
                        PyVTKClass_vtkSQLDatabaseNew(modulename));
}

