// python wrapper for vtkSLACParticleReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSLACParticleReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSLACParticleReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSLACParticleReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkSLACParticleReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSLACParticleReader *op;

  const char    *temp20;
  op = (vtkSLACParticleReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSLACParticleReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSLACParticleReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSLACParticleReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkSLACParticleReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSLACParticleReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSLACParticleReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSLACParticleReader *op;

  vtkSLACParticleReader  *temp20;
  op = (vtkSLACParticleReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSLACParticleReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSLACParticleReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSLACParticleReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSLACParticleReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSLACParticleReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSLACParticleReader *op;

  char    *temp20;
  op = (vtkSLACParticleReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSLACParticleReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSLACParticleReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSLACParticleReader *op;

  char    *temp0;
  op = (vtkSLACParticleReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSLACParticleReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSLACParticleReader_CanReadFile(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"z", &temp0)))
    {
      {
      temp20 = vtkSLACParticleReader::CanReadFile(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSLACParticleReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSLACParticleReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSLACParticleReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSLACParticleReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSLACParticleReader\nC++: vtkSLACParticleReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSLACParticleReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSLACParticleReader\nC++: vtkSLACParticleReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkSLACParticleReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkSLACParticleReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n"},
  {(char*)"CanReadFile",                (PyCFunction)PyvtkSLACParticleReader_CanReadFile, 1,
   (char*)"V.CanReadFile(string) -> int\nC++: static int CanReadFile (const char *filename);\n\n Returns true if the given file can be read by this reader.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSLACParticleReaderDoc[] = {
  (char*)"vtkSLACParticleReader\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)"\n A reader for a data format used by Omega3p, Tau3p, and several other tools\n used at the Standford Linear Accelerator Center (SLAC).  The underlying\n format uses netCDF to store arrays, but also imposes some conventions\n to store a list of particles in 3D space.\n \n This reader supports pieces, but in actuality only loads anything in\n piece 0.  All other pieces are empty.\n\n\n",
  NULL
};

static vtkObjectBase *vtkSLACParticleReaderStaticNew()
{
  return vtkSLACParticleReader::New();
}

PyObject *PyVTKClass_vtkSLACParticleReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkSLACParticleReaderStaticNew,
                        PyvtkSLACParticleReaderMethods,
                        (char*)"vtkSLACParticleReader",modulename,
                        (char**)vtkSLACParticleReaderDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

