// python wrapper for vtkTecplotReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTecplotReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTecplotReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTecplotReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(char *); }

static PyObject *PyvtkTecplotReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTecplotReader *op;

  const char    *temp20;
  op = (vtkTecplotReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTecplotReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTecplotReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTecplotReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkTecplotReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTecplotReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTecplotReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTecplotReader *op;

  vtkTecplotReader  *temp20;
  op = (vtkTecplotReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTecplotReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTecplotReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTecplotReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTecplotReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTecplotReader_GetNumberOfVariables(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTecplotReader *op;

  int      temp20;
  op = (vtkTecplotReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTecplotReader::GetNumberOfVariables();
      }
    else
      {
      temp20 = op->GetNumberOfVariables();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTecplotReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTecplotReader *op;

  char    *temp0;
  op = (vtkTecplotReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTecplotReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTecplotReader_GetDataTitle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTecplotReader *op;

  const char    *temp20;
  op = (vtkTecplotReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTecplotReader::GetDataTitle();
      }
    else
      {
      temp20 = op->GetDataTitle();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTecplotReader_GetNumberOfBlocks(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTecplotReader *op;

  int      temp20;
  op = (vtkTecplotReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTecplotReader::GetNumberOfBlocks();
      }
    else
      {
      temp20 = op->GetNumberOfBlocks();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTecplotReader_GetBlockName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTecplotReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkTecplotReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTecplotReader::GetBlockName(temp0);
      }
    else
      {
      temp20 = op->GetBlockName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTecplotReader_GetNumberOfDataAttributes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTecplotReader *op;

  int      temp20;
  op = (vtkTecplotReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTecplotReader::GetNumberOfDataAttributes();
      }
    else
      {
      temp20 = op->GetNumberOfDataAttributes();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTecplotReader_GetDataAttributeName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTecplotReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkTecplotReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTecplotReader::GetDataAttributeName(temp0);
      }
    else
      {
      temp20 = op->GetDataAttributeName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTecplotReader_IsDataAttributeCellBased(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTecplotReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkTecplotReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTecplotReader::IsDataAttributeCellBased(temp0);
      }
    else
      {
      temp20 = op->IsDataAttributeCellBased(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkTecplotReader *op;

  int      temp0;
  int      temp20;
  PyErr_Clear();
  op = (vtkTecplotReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTecplotReader::IsDataAttributeCellBased(temp0);
      }
    else
      {
      temp20 = op->IsDataAttributeCellBased(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTecplotReader_GetNumberOfDataArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTecplotReader *op;

  int      temp20;
  op = (vtkTecplotReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTecplotReader::GetNumberOfDataArrays();
      }
    else
      {
      temp20 = op->GetNumberOfDataArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTecplotReader_GetDataArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTecplotReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkTecplotReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTecplotReader::GetDataArrayName(temp0);
      }
    else
      {
      temp20 = op->GetDataArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTecplotReader_GetDataArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTecplotReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkTecplotReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTecplotReader::GetDataArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetDataArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTecplotReader_SetDataArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTecplotReader *op;

  char    *temp0;
  int      temp1;
  op = (vtkTecplotReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTecplotReader::SetDataArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetDataArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTecplotReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTecplotReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTecplotReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTecplotReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTecplotReader\nC++: vtkTecplotReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTecplotReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTecplotReader\nC++: vtkTecplotReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetNumberOfVariables",                (PyCFunction)PyvtkTecplotReader_GetNumberOfVariables, 1,
   (char*)"V.GetNumberOfVariables() -> int\nC++: int GetNumberOfVariables ();\n\n Get the number of all variables (including 3D coordinates).\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkTecplotReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (const char *fileName);\n\n Specify a Tecplot ASCII file for data loading.\n"},
  {(char*)"GetDataTitle",                (PyCFunction)PyvtkTecplotReader_GetDataTitle, 1,
   (char*)"V.GetDataTitle() -> string\nC++: const char *GetDataTitle ();\n\n Get the Tecplot data title.\n"},
  {(char*)"GetNumberOfBlocks",                (PyCFunction)PyvtkTecplotReader_GetNumberOfBlocks, 1,
   (char*)"V.GetNumberOfBlocks() -> int\nC++: int GetNumberOfBlocks ();\n\n Get the number of blocks (i.e., zones in Tecplot terms).\n"},
  {(char*)"GetBlockName",                (PyCFunction)PyvtkTecplotReader_GetBlockName, 1,
   (char*)"V.GetBlockName(int) -> string\nC++: const char *GetBlockName (int blockIdx);\n\n Get the name of a block specified by a zero-based index. NULL is returned\n for an invalid block index.\n"},
  {(char*)"GetNumberOfDataAttributes",                (PyCFunction)PyvtkTecplotReader_GetNumberOfDataAttributes, 1,
   (char*)"V.GetNumberOfDataAttributes() -> int\nC++: int GetNumberOfDataAttributes ();\n\n Get the number of standard data attributes (node-based and cell-based),\n excluding 3D coordinates.\n"},
  {(char*)"GetDataAttributeName",                (PyCFunction)PyvtkTecplotReader_GetDataAttributeName, 1,
   (char*)"V.GetDataAttributeName(int) -> string\nC++: const char *GetDataAttributeName (int attrIndx);\n\n Get the name of a zero-based data attribute (not 3D coordinates). NULL is\n returned for an invalid attribute index.\n"},
  {(char*)"IsDataAttributeCellBased",                (PyCFunction)PyvtkTecplotReader_IsDataAttributeCellBased, 1,
   (char*)"V.IsDataAttributeCellBased(string) -> int\nC++: int IsDataAttributeCellBased (const char *attrName);\nV.IsDataAttributeCellBased(int) -> int\nC++: int IsDataAttributeCellBased (int attrIndx);\n\n Get the type (0 for node-based and 1 for cell-based) of a specified data \n attribute (not 3D coordinates). -1 is returned for an invalid attribute \n name.\n"},
  {(char*)"GetNumberOfDataArrays",                (PyCFunction)PyvtkTecplotReader_GetNumberOfDataArrays, 1,
   (char*)"V.GetNumberOfDataArrays() -> int\nC++: int GetNumberOfDataArrays ();\n\n Get the number of all data attributes (point data and cell data).\n"},
  {(char*)"GetDataArrayName",                (PyCFunction)PyvtkTecplotReader_GetDataArrayName, 1,
   (char*)"V.GetDataArrayName(int) -> string\nC++: const char *GetDataArrayName (int arrayIdx);\n\n Get the name of a data array specified by the zero-based index (arrayIdx).\n"},
  {(char*)"GetDataArrayStatus",                (PyCFunction)PyvtkTecplotReader_GetDataArrayStatus, 1,
   (char*)"V.GetDataArrayStatus(string) -> int\nC++: int GetDataArrayStatus (const char *arayName);\n\n Get the status of a specific data array (0: un-selected; 1: selected).\n"},
  {(char*)"SetDataArrayStatus",                (PyCFunction)PyvtkTecplotReader_SetDataArrayStatus, 1,
   (char*)"V.SetDataArrayStatus(string, int)\nC++: void SetDataArrayStatus (const char *arayName, int bChecked);\n\n Set the status of a specific data array (0: de-select; 1: select) specified\n by the name.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTecplotReaderDoc[] = {
  (char*)"vtkTecplotReader - A concrete class to read an ASCII Tecplot file.\n\n",
  "Super Class:\n\n vtkMultiBlockDataSetAlgorithm\n\n",
  (char*)"  vtkTecplotReader parses an ASCII Tecplot file to get a vtkMultiBlockDataSet\n  object made up of several vtkDataSet objects, of which each is of type\n  either vtkStructuredGrid or vtkUnstructuredGrid. Each vtkDataSet object \n  maintains the geometry, topology, and some associated attributes describing\n  physical properties.\n\n  Tecplot treats 3D coordinates (only one or two coordinates might be\n  ",
  (char*)"explicitly specified in a file) as varaibles too, whose names (e.g.,\n  'X' / 'x' / 'I', 'Y' / 'y' / 'J', 'Z' / 'z' / 'K') are provided in the\n  variables list (the 'VARIABLES' section). These names are then followed\n  in the list by those of other traditional variables or attributes (node-\n  based and / or cell-based data with the mode specified via token 'VAR\n  LOCATION', to be extracted to creat",
  (char*)"e vtkPointData and / or vtkCellData). \n  Each zone described afterwards (in the 'ZONE's section) provides the \n  specific values of the aforementioned variables (including 3D coordinates), \n  in the same order as indicated by the variable-names list, through either\n  POINT-packing (i.e., tuple-based storage) or BLOCK-packing (component-based\n  storage). In particular, the first / description line ",
  (char*)"of  each zone tells \n  the type of all the  constituent cells as the connectivity / topology \n  information. In other words, the entire dataset is made up of multiple zones\n  (blocks), of which each maintains a set of cells of the same type ('BRICK', \n  'TRIANGLE', 'QUADRILATERAL', 'TETRAHEDRON', and 'POINT' in Tecplot terms). \n  In addition, the description line of each zone specifies the zone na",
  (char*)"me, \n  dimensionality information (size of each dimension for a structured zone), \n  number of nodes, and number of cells. Information about the file format is \n  available at http://download.tecplot.com/360/dataformat.pdf.\n  \n\n",
  "Caveats:\n\n  vtkTecplotReader is currently a simplified ASCII Tecplot reader and some \n  functionalities (e.g., extraction of sections 'GEOMETRY', 'TEXT', and 'DATA\n  SETAUXDATA', access to multiple time steps, in addition to the construction\n  of vtkRectilinearGrid and vtkImageData objects) are not supported. \n\n .SECTION Thanks\n  This class is a VTK implementation of VisIt's ASCII Tecplot reader.\n  \n\n",
  "See Also:\n\n vtkPoints vtkStructuredGrid vtkUnstructuredGrid vtkPointData vtkCellData\n vtkDataSet vtkMultiBlockDataSet\n\n",
  NULL
};

static vtkObjectBase *vtkTecplotReaderStaticNew()
{
  return vtkTecplotReader::New();
}

PyObject *PyVTKClass_vtkTecplotReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkTecplotReaderStaticNew,
                        PyvtkTecplotReaderMethods,
                        (char*)"vtkTecplotReader",modulename,
                        (char**)vtkTecplotReaderDoc,
                        PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(modulename));
}

