// python wrapper for vtkApplyColors object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkApplyColors.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkApplyColorsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkApplyColorsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPassInputTypeAlgorithmNew(char *); }

static PyObject *PyvtkApplyColors_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  const char    *temp20;
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkApplyColors::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  char    *temp0;
  int      temp20;
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkApplyColors::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  vtkApplyColors  *temp20;
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkApplyColors::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkApplyColors  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkApplyColors::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkApplyColors_SetPointLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  vtkScalarsToColors  *temp0;
  PyObject *tempH0;
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkScalarsToColors *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkScalarsToColors");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyColors::SetPointLookupTable(temp0);
      }
    else
      {
      op->SetPointLookupTable(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkApplyColors_GetPointLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  vtkScalarsToColors  *temp20;
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkApplyColors::GetPointLookupTable();
      }
    else
      {
      temp20 = op->GetPointLookupTable();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_SetUsePointLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  bool   temp0;
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyColors::SetUsePointLookupTable(temp0);
      }
    else
      {
      op->SetUsePointLookupTable(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_GetUsePointLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  bool   temp20;
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkApplyColors::GetUsePointLookupTable();
      }
    else
      {
      temp20 = op->GetUsePointLookupTable();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_UsePointLookupTableOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyColors::UsePointLookupTableOn();
      }
    else
      {
      op->UsePointLookupTableOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_UsePointLookupTableOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyColors::UsePointLookupTableOff();
      }
    else
      {
      op->UsePointLookupTableOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_SetScalePointLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  bool   temp0;
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyColors::SetScalePointLookupTable(temp0);
      }
    else
      {
      op->SetScalePointLookupTable(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_GetScalePointLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  bool   temp20;
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkApplyColors::GetScalePointLookupTable();
      }
    else
      {
      temp20 = op->GetScalePointLookupTable();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_ScalePointLookupTableOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyColors::ScalePointLookupTableOn();
      }
    else
      {
      op->ScalePointLookupTableOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_ScalePointLookupTableOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyColors::ScalePointLookupTableOff();
      }
    else
      {
      op->ScalePointLookupTableOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_SetDefaultPointColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyColors::SetDefaultPointColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetDefaultPointColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyColors::SetDefaultPointColor(temp0);
      }
    else
      {
      op->SetDefaultPointColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_GetDefaultPointColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  double  *temp20;
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkApplyColors::GetDefaultPointColor();
      }
    else
      {
      temp20 = op->GetDefaultPointColor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_SetDefaultPointOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  double   temp0;
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyColors::SetDefaultPointOpacity(temp0);
      }
    else
      {
      op->SetDefaultPointOpacity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_GetDefaultPointOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  double   temp20;
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkApplyColors::GetDefaultPointOpacity();
      }
    else
      {
      temp20 = op->GetDefaultPointOpacity();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_SetSelectedPointColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyColors::SetSelectedPointColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetSelectedPointColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyColors::SetSelectedPointColor(temp0);
      }
    else
      {
      op->SetSelectedPointColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_GetSelectedPointColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  double  *temp20;
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkApplyColors::GetSelectedPointColor();
      }
    else
      {
      temp20 = op->GetSelectedPointColor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_SetSelectedPointOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  double   temp0;
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyColors::SetSelectedPointOpacity(temp0);
      }
    else
      {
      op->SetSelectedPointOpacity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_GetSelectedPointOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  double   temp20;
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkApplyColors::GetSelectedPointOpacity();
      }
    else
      {
      temp20 = op->GetSelectedPointOpacity();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_SetPointColorOutputArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  char    *temp0;
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyColors::SetPointColorOutputArrayName(temp0);
      }
    else
      {
      op->SetPointColorOutputArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_GetPointColorOutputArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  char    *temp20;
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkApplyColors::GetPointColorOutputArrayName();
      }
    else
      {
      temp20 = op->GetPointColorOutputArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_SetCellLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  vtkScalarsToColors  *temp0;
  PyObject *tempH0;
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkScalarsToColors *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkScalarsToColors");
    if (!temp0 && tempH0 != Py_None) goto break26;
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyColors::SetCellLookupTable(temp0);
      }
    else
      {
      op->SetCellLookupTable(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break26:
  return NULL;
}


static PyObject *PyvtkApplyColors_GetCellLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  vtkScalarsToColors  *temp20;
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkApplyColors::GetCellLookupTable();
      }
    else
      {
      temp20 = op->GetCellLookupTable();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_SetUseCellLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  bool   temp0;
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyColors::SetUseCellLookupTable(temp0);
      }
    else
      {
      op->SetUseCellLookupTable(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_GetUseCellLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  bool   temp20;
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkApplyColors::GetUseCellLookupTable();
      }
    else
      {
      temp20 = op->GetUseCellLookupTable();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_UseCellLookupTableOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyColors::UseCellLookupTableOn();
      }
    else
      {
      op->UseCellLookupTableOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_UseCellLookupTableOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyColors::UseCellLookupTableOff();
      }
    else
      {
      op->UseCellLookupTableOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_SetScaleCellLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  bool   temp0;
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyColors::SetScaleCellLookupTable(temp0);
      }
    else
      {
      op->SetScaleCellLookupTable(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_GetScaleCellLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  bool   temp20;
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkApplyColors::GetScaleCellLookupTable();
      }
    else
      {
      temp20 = op->GetScaleCellLookupTable();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_ScaleCellLookupTableOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyColors::ScaleCellLookupTableOn();
      }
    else
      {
      op->ScaleCellLookupTableOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_ScaleCellLookupTableOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyColors::ScaleCellLookupTableOff();
      }
    else
      {
      op->ScaleCellLookupTableOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_SetDefaultCellColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyColors::SetDefaultCellColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetDefaultCellColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyColors::SetDefaultCellColor(temp0);
      }
    else
      {
      op->SetDefaultCellColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_GetDefaultCellColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  double  *temp20;
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkApplyColors::GetDefaultCellColor();
      }
    else
      {
      temp20 = op->GetDefaultCellColor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_SetDefaultCellOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  double   temp0;
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyColors::SetDefaultCellOpacity(temp0);
      }
    else
      {
      op->SetDefaultCellOpacity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_GetDefaultCellOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  double   temp20;
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkApplyColors::GetDefaultCellOpacity();
      }
    else
      {
      temp20 = op->GetDefaultCellOpacity();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_SetSelectedCellColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyColors::SetSelectedCellColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetSelectedCellColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyColors::SetSelectedCellColor(temp0);
      }
    else
      {
      op->SetSelectedCellColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_GetSelectedCellColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  double  *temp20;
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkApplyColors::GetSelectedCellColor();
      }
    else
      {
      temp20 = op->GetSelectedCellColor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_SetSelectedCellOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  double   temp0;
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyColors::SetSelectedCellOpacity(temp0);
      }
    else
      {
      op->SetSelectedCellOpacity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_GetSelectedCellOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  double   temp20;
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkApplyColors::GetSelectedCellOpacity();
      }
    else
      {
      temp20 = op->GetSelectedCellOpacity();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_SetCellColorOutputArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  char    *temp0;
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyColors::SetCellColorOutputArrayName(temp0);
      }
    else
      {
      op->SetCellColorOutputArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_GetCellColorOutputArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  char    *temp20;
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkApplyColors::GetCellColorOutputArrayName();
      }
    else
      {
      temp20 = op->GetCellColorOutputArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_SetUseCurrentAnnotationColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  bool   temp0;
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyColors::SetUseCurrentAnnotationColor(temp0);
      }
    else
      {
      op->SetUseCurrentAnnotationColor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_GetUseCurrentAnnotationColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  bool   temp20;
  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkApplyColors::GetUseCurrentAnnotationColor();
      }
    else
      {
      temp20 = op->GetUseCurrentAnnotationColor();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_UseCurrentAnnotationColorOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyColors::UseCurrentAnnotationColorOn();
      }
    else
      {
      op->UseCurrentAnnotationColorOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkApplyColors_UseCurrentAnnotationColorOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkApplyColors *op;

  op = (vtkApplyColors *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkApplyColors::UseCurrentAnnotationColorOff();
      }
    else
      {
      op->UseCurrentAnnotationColorOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkApplyColorsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkApplyColors_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkApplyColors_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkApplyColors_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkApplyColors\nC++: vtkApplyColors *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkApplyColors_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkApplyColors\nC++: vtkApplyColors *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPointLookupTable",                (PyCFunction)PyvtkApplyColors_SetPointLookupTable, 1,
   (char*)"V.SetPointLookupTable(vtkScalarsToColors)\nC++: virtual void SetPointLookupTable (vtkScalarsToColors *lut);\n\n The lookup table to use for point colors. This is only used if\n input array 0 is set and UsePointLookupTable is on.\n"},
  {(char*)"GetPointLookupTable",                (PyCFunction)PyvtkApplyColors_GetPointLookupTable, 1,
   (char*)"V.GetPointLookupTable() -> vtkScalarsToColors\nC++: vtkScalarsToColors *GetPointLookupTable ();\n\n The lookup table to use for point colors. This is only used if\n input array 0 is set and UsePointLookupTable is on.\n"},
  {(char*)"SetUsePointLookupTable",                (PyCFunction)PyvtkApplyColors_SetUsePointLookupTable, 1,
   (char*)"V.SetUsePointLookupTable(bool)\nC++: void SetUsePointLookupTable (bool );\n\n If on, uses the point lookup table to set the colors of unannotated,\n unselected elements of the data.\n"},
  {(char*)"GetUsePointLookupTable",                (PyCFunction)PyvtkApplyColors_GetUsePointLookupTable, 1,
   (char*)"V.GetUsePointLookupTable() -> bool\nC++: bool GetUsePointLookupTable ();\n\n If on, uses the point lookup table to set the colors of unannotated,\n unselected elements of the data.\n"},
  {(char*)"UsePointLookupTableOn",                (PyCFunction)PyvtkApplyColors_UsePointLookupTableOn, 1,
   (char*)"V.UsePointLookupTableOn()\nC++: void UsePointLookupTableOn ();\n\n If on, uses the point lookup table to set the colors of unannotated,\n unselected elements of the data.\n"},
  {(char*)"UsePointLookupTableOff",                (PyCFunction)PyvtkApplyColors_UsePointLookupTableOff, 1,
   (char*)"V.UsePointLookupTableOff()\nC++: void UsePointLookupTableOff ();\n\n If on, uses the point lookup table to set the colors of unannotated,\n unselected elements of the data.\n"},
  {(char*)"SetScalePointLookupTable",                (PyCFunction)PyvtkApplyColors_SetScalePointLookupTable, 1,
   (char*)"V.SetScalePointLookupTable(bool)\nC++: void SetScalePointLookupTable (bool );\n\n If on, uses the range of the data to scale the lookup table range.\n Otherwise, uses the range defined in the lookup table.\n"},
  {(char*)"GetScalePointLookupTable",                (PyCFunction)PyvtkApplyColors_GetScalePointLookupTable, 1,
   (char*)"V.GetScalePointLookupTable() -> bool\nC++: bool GetScalePointLookupTable ();\n\n If on, uses the range of the data to scale the lookup table range.\n Otherwise, uses the range defined in the lookup table.\n"},
  {(char*)"ScalePointLookupTableOn",                (PyCFunction)PyvtkApplyColors_ScalePointLookupTableOn, 1,
   (char*)"V.ScalePointLookupTableOn()\nC++: void ScalePointLookupTableOn ();\n\n If on, uses the range of the data to scale the lookup table range.\n Otherwise, uses the range defined in the lookup table.\n"},
  {(char*)"ScalePointLookupTableOff",                (PyCFunction)PyvtkApplyColors_ScalePointLookupTableOff, 1,
   (char*)"V.ScalePointLookupTableOff()\nC++: void ScalePointLookupTableOff ();\n\n If on, uses the range of the data to scale the lookup table range.\n Otherwise, uses the range defined in the lookup table.\n"},
  {(char*)"SetDefaultPointColor",                (PyCFunction)PyvtkApplyColors_SetDefaultPointColor, 1,
   (char*)"V.SetDefaultPointColor(float, float, float)\nC++: void SetDefaultPointColor (double , double , double );\nV.SetDefaultPointColor((float, float, float))\nC++: void SetDefaultPointColor (double  a[3]);\n\n The default point color for all unannotated, unselected elements\n of the data. This is used if UsePointLookupTable is off.\n"},
  {(char*)"GetDefaultPointColor",                (PyCFunction)PyvtkApplyColors_GetDefaultPointColor, 1,
   (char*)"V.GetDefaultPointColor() -> (float, float, float)\nC++: double  *GetDefaultPointColor ();\n\n The default point color for all unannotated, unselected elements\n of the data. This is used if UsePointLookupTable is off.\n"},
  {(char*)"SetDefaultPointOpacity",                (PyCFunction)PyvtkApplyColors_SetDefaultPointOpacity, 1,
   (char*)"V.SetDefaultPointOpacity(float)\nC++: void SetDefaultPointOpacity (double );\n\n The default point opacity for all unannotated, unselected elements\n of the data. This is used if UsePointLookupTable is off.\n"},
  {(char*)"GetDefaultPointOpacity",                (PyCFunction)PyvtkApplyColors_GetDefaultPointOpacity, 1,
   (char*)"V.GetDefaultPointOpacity() -> float\nC++: double GetDefaultPointOpacity ();\n\n The default point opacity for all unannotated, unselected elements\n of the data. This is used if UsePointLookupTable is off.\n"},
  {(char*)"SetSelectedPointColor",                (PyCFunction)PyvtkApplyColors_SetSelectedPointColor, 1,
   (char*)"V.SetSelectedPointColor(float, float, float)\nC++: void SetSelectedPointColor (double , double , double );\nV.SetSelectedPointColor((float, float, float))\nC++: void SetSelectedPointColor (double  a[3]);\n\n The point color for all selected elements of the data.\n This is used if the selection input is available.\n"},
  {(char*)"GetSelectedPointColor",                (PyCFunction)PyvtkApplyColors_GetSelectedPointColor, 1,
   (char*)"V.GetSelectedPointColor() -> (float, float, float)\nC++: double  *GetSelectedPointColor ();\n\n The point color for all selected elements of the data.\n This is used if the selection input is available.\n"},
  {(char*)"SetSelectedPointOpacity",                (PyCFunction)PyvtkApplyColors_SetSelectedPointOpacity, 1,
   (char*)"V.SetSelectedPointOpacity(float)\nC++: void SetSelectedPointOpacity (double );\n\n The point opacity for all selected elements of the data.\n This is used if the selection input is available.\n"},
  {(char*)"GetSelectedPointOpacity",                (PyCFunction)PyvtkApplyColors_GetSelectedPointOpacity, 1,
   (char*)"V.GetSelectedPointOpacity() -> float\nC++: double GetSelectedPointOpacity ();\n\n The point opacity for all selected elements of the data.\n This is used if the selection input is available.\n"},
  {(char*)"SetPointColorOutputArrayName",                (PyCFunction)PyvtkApplyColors_SetPointColorOutputArrayName, 1,
   (char*)"V.SetPointColorOutputArrayName(string)\nC++: void SetPointColorOutputArrayName (char *);\n\n The output array name for the point color RGBA array.\n Default is \"vtkApplyColors color\".\n"},
  {(char*)"GetPointColorOutputArrayName",                (PyCFunction)PyvtkApplyColors_GetPointColorOutputArrayName, 1,
   (char*)"V.GetPointColorOutputArrayName() -> string\nC++: char *GetPointColorOutputArrayName ();\n\n The output array name for the point color RGBA array.\n Default is \"vtkApplyColors color\".\n"},
  {(char*)"SetCellLookupTable",                (PyCFunction)PyvtkApplyColors_SetCellLookupTable, 1,
   (char*)"V.SetCellLookupTable(vtkScalarsToColors)\nC++: virtual void SetCellLookupTable (vtkScalarsToColors *lut);\n\n The lookup table to use for cell colors. This is only used if\n input array 1 is set and UseCellLookupTable is on.\n"},
  {(char*)"GetCellLookupTable",                (PyCFunction)PyvtkApplyColors_GetCellLookupTable, 1,
   (char*)"V.GetCellLookupTable() -> vtkScalarsToColors\nC++: vtkScalarsToColors *GetCellLookupTable ();\n\n The lookup table to use for cell colors. This is only used if\n input array 1 is set and UseCellLookupTable is on.\n"},
  {(char*)"SetUseCellLookupTable",                (PyCFunction)PyvtkApplyColors_SetUseCellLookupTable, 1,
   (char*)"V.SetUseCellLookupTable(bool)\nC++: void SetUseCellLookupTable (bool );\n\n If on, uses the cell lookup table to set the colors of unannotated,\n unselected elements of the data.\n"},
  {(char*)"GetUseCellLookupTable",                (PyCFunction)PyvtkApplyColors_GetUseCellLookupTable, 1,
   (char*)"V.GetUseCellLookupTable() -> bool\nC++: bool GetUseCellLookupTable ();\n\n If on, uses the cell lookup table to set the colors of unannotated,\n unselected elements of the data.\n"},
  {(char*)"UseCellLookupTableOn",                (PyCFunction)PyvtkApplyColors_UseCellLookupTableOn, 1,
   (char*)"V.UseCellLookupTableOn()\nC++: void UseCellLookupTableOn ();\n\n If on, uses the cell lookup table to set the colors of unannotated,\n unselected elements of the data.\n"},
  {(char*)"UseCellLookupTableOff",                (PyCFunction)PyvtkApplyColors_UseCellLookupTableOff, 1,
   (char*)"V.UseCellLookupTableOff()\nC++: void UseCellLookupTableOff ();\n\n If on, uses the cell lookup table to set the colors of unannotated,\n unselected elements of the data.\n"},
  {(char*)"SetScaleCellLookupTable",                (PyCFunction)PyvtkApplyColors_SetScaleCellLookupTable, 1,
   (char*)"V.SetScaleCellLookupTable(bool)\nC++: void SetScaleCellLookupTable (bool );\n\n If on, uses the range of the data to scale the lookup table range.\n Otherwise, uses the range defined in the lookup table.\n"},
  {(char*)"GetScaleCellLookupTable",                (PyCFunction)PyvtkApplyColors_GetScaleCellLookupTable, 1,
   (char*)"V.GetScaleCellLookupTable() -> bool\nC++: bool GetScaleCellLookupTable ();\n\n If on, uses the range of the data to scale the lookup table range.\n Otherwise, uses the range defined in the lookup table.\n"},
  {(char*)"ScaleCellLookupTableOn",                (PyCFunction)PyvtkApplyColors_ScaleCellLookupTableOn, 1,
   (char*)"V.ScaleCellLookupTableOn()\nC++: void ScaleCellLookupTableOn ();\n\n If on, uses the range of the data to scale the lookup table range.\n Otherwise, uses the range defined in the lookup table.\n"},
  {(char*)"ScaleCellLookupTableOff",                (PyCFunction)PyvtkApplyColors_ScaleCellLookupTableOff, 1,
   (char*)"V.ScaleCellLookupTableOff()\nC++: void ScaleCellLookupTableOff ();\n\n If on, uses the range of the data to scale the lookup table range.\n Otherwise, uses the range defined in the lookup table.\n"},
  {(char*)"SetDefaultCellColor",                (PyCFunction)PyvtkApplyColors_SetDefaultCellColor, 1,
   (char*)"V.SetDefaultCellColor(float, float, float)\nC++: void SetDefaultCellColor (double , double , double );\nV.SetDefaultCellColor((float, float, float))\nC++: void SetDefaultCellColor (double  a[3]);\n\n The default cell color for all unannotated, unselected elements\n of the data. This is used if UseCellLookupTable is off.\n"},
  {(char*)"GetDefaultCellColor",                (PyCFunction)PyvtkApplyColors_GetDefaultCellColor, 1,
   (char*)"V.GetDefaultCellColor() -> (float, float, float)\nC++: double  *GetDefaultCellColor ();\n\n The default cell color for all unannotated, unselected elements\n of the data. This is used if UseCellLookupTable is off.\n"},
  {(char*)"SetDefaultCellOpacity",                (PyCFunction)PyvtkApplyColors_SetDefaultCellOpacity, 1,
   (char*)"V.SetDefaultCellOpacity(float)\nC++: void SetDefaultCellOpacity (double );\n\n The default cell opacity for all unannotated, unselected elements\n of the data. This is used if UseCellLookupTable is off.\n"},
  {(char*)"GetDefaultCellOpacity",                (PyCFunction)PyvtkApplyColors_GetDefaultCellOpacity, 1,
   (char*)"V.GetDefaultCellOpacity() -> float\nC++: double GetDefaultCellOpacity ();\n\n The default cell opacity for all unannotated, unselected elements\n of the data. This is used if UseCellLookupTable is off.\n"},
  {(char*)"SetSelectedCellColor",                (PyCFunction)PyvtkApplyColors_SetSelectedCellColor, 1,
   (char*)"V.SetSelectedCellColor(float, float, float)\nC++: void SetSelectedCellColor (double , double , double );\nV.SetSelectedCellColor((float, float, float))\nC++: void SetSelectedCellColor (double  a[3]);\n\n The cell color for all selected elements of the data.\n This is used if the selection input is available.\n"},
  {(char*)"GetSelectedCellColor",                (PyCFunction)PyvtkApplyColors_GetSelectedCellColor, 1,
   (char*)"V.GetSelectedCellColor() -> (float, float, float)\nC++: double  *GetSelectedCellColor ();\n\n The cell color for all selected elements of the data.\n This is used if the selection input is available.\n"},
  {(char*)"SetSelectedCellOpacity",                (PyCFunction)PyvtkApplyColors_SetSelectedCellOpacity, 1,
   (char*)"V.SetSelectedCellOpacity(float)\nC++: void SetSelectedCellOpacity (double );\n\n The cell opacity for all selected elements of the data.\n This is used if the selection input is available.\n"},
  {(char*)"GetSelectedCellOpacity",                (PyCFunction)PyvtkApplyColors_GetSelectedCellOpacity, 1,
   (char*)"V.GetSelectedCellOpacity() -> float\nC++: double GetSelectedCellOpacity ();\n\n The cell opacity for all selected elements of the data.\n This is used if the selection input is available.\n"},
  {(char*)"SetCellColorOutputArrayName",                (PyCFunction)PyvtkApplyColors_SetCellColorOutputArrayName, 1,
   (char*)"V.SetCellColorOutputArrayName(string)\nC++: void SetCellColorOutputArrayName (char *);\n\n The output array name for the cell color RGBA array.\n Default is \"vtkApplyColors color\".\n"},
  {(char*)"GetCellColorOutputArrayName",                (PyCFunction)PyvtkApplyColors_GetCellColorOutputArrayName, 1,
   (char*)"V.GetCellColorOutputArrayName() -> string\nC++: char *GetCellColorOutputArrayName ();\n\n The output array name for the cell color RGBA array.\n Default is \"vtkApplyColors color\".\n"},
  {(char*)"SetUseCurrentAnnotationColor",                (PyCFunction)PyvtkApplyColors_SetUseCurrentAnnotationColor, 1,
   (char*)"V.SetUseCurrentAnnotationColor(bool)\nC++: void SetUseCurrentAnnotationColor (bool );\n\n Use the annotation to color the current annotation\n (i.e. the current selection). Otherwise use the selection\n color attributes of this filter.\n"},
  {(char*)"GetUseCurrentAnnotationColor",                (PyCFunction)PyvtkApplyColors_GetUseCurrentAnnotationColor, 1,
   (char*)"V.GetUseCurrentAnnotationColor() -> bool\nC++: bool GetUseCurrentAnnotationColor ();\n\n Use the annotation to color the current annotation\n (i.e. the current selection). Otherwise use the selection\n color attributes of this filter.\n"},
  {(char*)"UseCurrentAnnotationColorOn",                (PyCFunction)PyvtkApplyColors_UseCurrentAnnotationColorOn, 1,
   (char*)"V.UseCurrentAnnotationColorOn()\nC++: void UseCurrentAnnotationColorOn ();\n\n Use the annotation to color the current annotation\n (i.e. the current selection). Otherwise use the selection\n color attributes of this filter.\n"},
  {(char*)"UseCurrentAnnotationColorOff",                (PyCFunction)PyvtkApplyColors_UseCurrentAnnotationColorOff, 1,
   (char*)"V.UseCurrentAnnotationColorOff()\nC++: void UseCurrentAnnotationColorOff ();\n\n Use the annotation to color the current annotation\n (i.e. the current selection). Otherwise use the selection\n color attributes of this filter.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkApplyColorsDoc[] = {
  (char*)"vtkApplyColors - apply colors to a data set.\n\n",
  "Super Class:\n\n vtkPassInputTypeAlgorithm\n\n",
  (char*)" vtkApplyColors performs a coloring of the dataset using default colors,\n lookup tables, annotations, and/or a selection. The output is a\n four-component vtkUnsignedCharArray containing RGBA tuples for each\n element in the dataset. The first input is the dataset to be colored, which\n may be a vtkTable, vtkGraph subclass, or vtkDataSet subclass. The API\n of this algorithm refers to \"points\" and \"ce",
  (char*)"lls\". For vtkGraph, the\n \"points\" refer to the graph vertices and \"cells\" refer to graph edges.\n For vtkTable, \"points\" refer to table rows. For vtkDataSet subclasses, the\n meaning is obvious.\n\n The second (optional) input is a vtkAnnotationLayers object, which stores\n a list of annotation layers, with each layer holding a list of\n vtkAnnotation objects. The annotation specifies a subset of data a",
  (char*)"long with\n other properties, including color. For annotations with color properties,\n this algorithm will use the color to color elements, using a \"top one wins\"\n strategy.\n\n The third (optional) input is a vtkSelection object, meant for specifying\n the current selection. You can control the color of the selection.\n\n The algorithm takes two input arrays, specified with\n SetInputArrayToProcess(0, 0",
  (char*)", 0, vtkDataObject::FIELD_ASSOCIATION_POINTS, name)\n and\n SetInputArrayToProcess(1, 0, 0, vtkDataObject::FIELD_ASSOCIATION_CELLS, name).\n These set the point and cell data arrays to use to color the data with\n the associated lookup table. For vtkGraph, vtkTable inputs, you would use\n FIELD_ASSOCIATION_VERTICES, FIELD_ASSOCIATION_EDGES, or\n FIELD_ASSOCIATION_ROWS as appropriate.\n\n To use the color ",
  (char*)"array generated here, you should do the following:\n\n  mapper->SetScalarModeToUseCellFieldData();\n  mapper->SelectColorArray(\"vtkApplyColors color\");\n  mapper->SetScalarVisibility(true);\n\n Colors are assigned with the following priorities:\n <ol>\n <li> If an item is part of the selection, it is colored with that color.\n <li> Otherwise, if the item is part of an annotation, it is colored\n      with t",
  (char*)"he color of the final (top) annotation in the set of layers.\n <li> Otherwise, if the lookup table is used, it is colored using the\n      lookup table color for the data value of the element.\n <li> Otherwise it will be colored with the default color.\n </ol>\n\n Note: The opacity of an unselected item is defined by the multiplication\n of default opacity, lookup table opacity, and annotation opacity, w",
  (char*)"here\n opacity is taken as a number from 0 to 1. So items will never be more opaque\n than any of these three opacities. Selected items are always given the\n selection opacity directly.\n\n",
  NULL
};

static vtkObjectBase *vtkApplyColorsStaticNew()
{
  return vtkApplyColors::New();
}

PyObject *PyVTKClass_vtkApplyColorsNew(char *modulename)
{
  return PyVTKClass_New(&vtkApplyColorsStaticNew,
                        PyvtkApplyColorsMethods,
                        (char*)"vtkApplyColors",modulename,
                        (char**)vtkApplyColorsDoc,
                        PyVTKClass_vtkPassInputTypeAlgorithmNew(modulename));
}

