// python wrapper for vtkAreaLayoutStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAreaLayoutStrategy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAreaLayoutStrategyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAreaLayoutStrategyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkAreaLayoutStrategy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAreaLayoutStrategy *op;

  const char    *temp20;
  op = (vtkAreaLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAreaLayoutStrategy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAreaLayoutStrategy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAreaLayoutStrategy *op;

  char    *temp0;
  int      temp20;
  op = (vtkAreaLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAreaLayoutStrategy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAreaLayoutStrategy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAreaLayoutStrategy *op;

  vtkAreaLayoutStrategy  *temp20;
  op = (vtkAreaLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAreaLayoutStrategy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAreaLayoutStrategy_Layout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAreaLayoutStrategy *op;

  vtkTree  *temp0;
  PyObject *tempH0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  vtkDataArray  *temp2;
  PyObject *tempH2;
  op = (vtkAreaLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"OOO", &tempH0, &tempH1, &tempH2);
  if (op)
    {
    temp0 = (vtkTree *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTree");
    if (!temp0 && tempH0 != Py_None) goto break3;
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break3;
    temp2 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkDataArray");
    if (!temp2 && tempH2 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Layout(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAreaLayoutStrategy_LayoutEdgePoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAreaLayoutStrategy *op;

  vtkTree  *temp0;
  PyObject *tempH0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  vtkDataArray  *temp2;
  PyObject *tempH2;
  vtkTree  *temp3;
  PyObject *tempH3;
  op = (vtkAreaLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"OOOO", &tempH0, &tempH1, &tempH2, &tempH3);
  if (op)
    {
    temp0 = (vtkTree *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTree");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break4;
    temp2 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkDataArray");
    if (!temp2 && tempH2 != Py_None) goto break4;
    temp3 = (vtkTree *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkTree");
    if (!temp3 && tempH3 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkAreaLayoutStrategy::LayoutEdgePoints(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->LayoutEdgePoints(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkAreaLayoutStrategy_FindVertex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAreaLayoutStrategy *op;

  vtkTree  *temp0;
  PyObject *tempH0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  float  temp2[2];
  vtkIdType   temp20;
  op = (vtkAreaLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"OO(ff)", &tempH0, &tempH1, temp2 + 0, temp2 + 1);
  if (op)
    {
    temp0 = (vtkTree *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTree");
    if (!temp0 && tempH0 != Py_None) goto break5;
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->FindVertex(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,2,temp2,2)) {
      return 0;
      }
    return PyLong_FromLongLong(temp20);
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkAreaLayoutStrategy_SetShrinkPercentage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAreaLayoutStrategy *op;

  double   temp0;
  op = (vtkAreaLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAreaLayoutStrategy::SetShrinkPercentage(temp0);
      }
    else
      {
      op->SetShrinkPercentage(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAreaLayoutStrategy_GetShrinkPercentageMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAreaLayoutStrategy *op;

  double   temp20;
  op = (vtkAreaLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAreaLayoutStrategy::GetShrinkPercentageMinValue();
      }
    else
      {
      temp20 = op->GetShrinkPercentageMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAreaLayoutStrategy_GetShrinkPercentageMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAreaLayoutStrategy *op;

  double   temp20;
  op = (vtkAreaLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAreaLayoutStrategy::GetShrinkPercentageMaxValue();
      }
    else
      {
      temp20 = op->GetShrinkPercentageMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAreaLayoutStrategy_GetShrinkPercentage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAreaLayoutStrategy *op;

  double   temp20;
  op = (vtkAreaLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAreaLayoutStrategy::GetShrinkPercentage();
      }
    else
      {
      temp20 = op->GetShrinkPercentage();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAreaLayoutStrategyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAreaLayoutStrategy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAreaLayoutStrategy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAreaLayoutStrategy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAreaLayoutStrategy\nC++: vtkAreaLayoutStrategy *NewInstance ();\n\n"},
  {(char*)"Layout",                (PyCFunction)PyvtkAreaLayoutStrategy_Layout, 1,
   (char*)"V.Layout(vtkTree, vtkDataArray, vtkDataArray)\nC++: virtual void Layout (vtkTree *inputTree, vtkDataArray *areaArray, vtkDataArray *sizeArray) = 0;\n\n Perform the layout of the input tree, and store the sector\n bounds of each vertex as a tuple in a data array.\n For radial layout, this is\n (innerRadius, outerRadius, startAngle, endAngle).\n For rectangular layout, this is\n (xmin, xmax, ymin, ymax).\n\n The sizeArray may be NULL, or may contain the desired\n size of each vertex in the tree.\n"},
  {(char*)"LayoutEdgePoints",                (PyCFunction)PyvtkAreaLayoutStrategy_LayoutEdgePoints, 1,
   (char*)"V.LayoutEdgePoints(vtkTree, vtkDataArray, vtkDataArray, vtkTree)\nC++: virtual void LayoutEdgePoints (vtkTree *inputTree, vtkDataArray *areaArray, vtkDataArray *sizeArray, vtkTree *edgeLayoutTree);\n\n"},
  {(char*)"FindVertex",                (PyCFunction)PyvtkAreaLayoutStrategy_FindVertex, 1,
   (char*)"V.FindVertex(vtkTree, vtkDataArray, (float, float)) -> int\nC++: virtual vtkIdType FindVertex (vtkTree *tree, vtkDataArray *array, float pnt[2]) = 0;\n\n Returns the vertex id that contains pnt (or -1 if no one contains it)\n"},
  {(char*)"SetShrinkPercentage",                (PyCFunction)PyvtkAreaLayoutStrategy_SetShrinkPercentage, 1,
   (char*)"V.SetShrinkPercentage(float)\nC++: void SetShrinkPercentage (double );\n\n"},
  {(char*)"GetShrinkPercentageMinValue",                (PyCFunction)PyvtkAreaLayoutStrategy_GetShrinkPercentageMinValue, 1,
   (char*)"V.GetShrinkPercentageMinValue() -> float\nC++: double GetShrinkPercentageMinValue ();\n\n"},
  {(char*)"GetShrinkPercentageMaxValue",                (PyCFunction)PyvtkAreaLayoutStrategy_GetShrinkPercentageMaxValue, 1,
   (char*)"V.GetShrinkPercentageMaxValue() -> float\nC++: double GetShrinkPercentageMaxValue ();\n\n"},
  {(char*)"GetShrinkPercentage",                (PyCFunction)PyvtkAreaLayoutStrategy_GetShrinkPercentage, 1,
   (char*)"V.GetShrinkPercentage() -> float\nC++: double GetShrinkPercentage ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAreaLayoutStrategyDoc[] = {
  (char*)"vtkAreaLayoutStrategy - abstract superclass for all area layout strategies\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" All subclasses of this class perform a area layout on a tree.\n This involves assigning a region to each vertex in the tree,\n and placing that information in a data array with four components per\n tuple representing (innerRadius, outerRadius, startAngle, endAngle).\n\n Instances of subclasses of this class may be assigned as the layout\n strategy to vtkAreaLayout\n\n .SECTION Thanks\n Thanks to Jason Sh",
  (char*)"epherd from Sandia National Laboratories\n for help developing this class.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkAreaLayoutStrategyNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkAreaLayoutStrategyMethods,
                        (char*)"vtkAreaLayoutStrategy",modulename,
                        (char**)vtkAreaLayoutStrategyDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

