// python wrapper for vtkBoostBiconnectedComponents object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBoostBiconnectedComponents.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBoostBiconnectedComponentsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBoostBiconnectedComponentsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUndirectedGraphAlgorithmNew(char *); }

static PyObject *PyvtkBoostBiconnectedComponents_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostBiconnectedComponents *op;

  const char    *temp20;
  op = (vtkBoostBiconnectedComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostBiconnectedComponents::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostBiconnectedComponents_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostBiconnectedComponents *op;

  char    *temp0;
  int      temp20;
  op = (vtkBoostBiconnectedComponents *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostBiconnectedComponents::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostBiconnectedComponents_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostBiconnectedComponents *op;

  vtkBoostBiconnectedComponents  *temp20;
  op = (vtkBoostBiconnectedComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostBiconnectedComponents::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostBiconnectedComponents_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBoostBiconnectedComponents  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBoostBiconnectedComponents::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBoostBiconnectedComponents_SetOutputArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostBiconnectedComponents *op;

  char    *temp0;
  op = (vtkBoostBiconnectedComponents *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostBiconnectedComponents::SetOutputArrayName(temp0);
      }
    else
      {
      op->SetOutputArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkBoostBiconnectedComponentsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBoostBiconnectedComponents_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBoostBiconnectedComponents_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBoostBiconnectedComponents_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBoostBiconnectedComponents\nC++: vtkBoostBiconnectedComponents *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBoostBiconnectedComponents_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBoostBiconnectedComponents\nC++: vtkBoostBiconnectedComponents *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetOutputArrayName",                (PyCFunction)PyvtkBoostBiconnectedComponents_SetOutputArrayName, 1,
   (char*)"V.SetOutputArrayName(string)\nC++: void SetOutputArrayName (char *);\n\n Set the output array name. If no output array name is\n set then the name \"biconnected component\" is used.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBoostBiconnectedComponentsDoc[] = {
  (char*)"vtkBoostBiconnectedComponents - Find the biconnected components of a graph\n\n",
  "Super Class:\n\n vtkUndirectedGraphAlgorithm\n\n",
  (char*)" The biconnected components of a graph are maximal regions of the graph where\n the removal of any single vertex from the region will not disconnect the\n graph.  Every edge belongs to exactly one biconnected component.  The\n biconnected component of each edge is given in the edge array named\n \"biconnected component\".  The biconnected component of each vertex is also\n given in the vertex array named",
  (char*)" \"biconnected component\".  Cut vertices (or\n articulation points) belong to multiple biconnected components, and break\n the graph apart if removed.  These are indicated by assigning a component\n value of -1.  To get the biconnected components that a cut vertex belongs\n to, traverse its edge list and collect the distinct component ids for its\n incident edges.\n\n\n",
  "Caveats:\n\n The boost graph bindings currently only support boost version 1.33.1.\n There are apparently backwards-compatibility issues with later versions.\n\n",
  NULL
};

static vtkObjectBase *vtkBoostBiconnectedComponentsStaticNew()
{
  return vtkBoostBiconnectedComponents::New();
}

PyObject *PyVTKClass_vtkBoostBiconnectedComponentsNew(char *modulename)
{
  return PyVTKClass_New(&vtkBoostBiconnectedComponentsStaticNew,
                        PyvtkBoostBiconnectedComponentsMethods,
                        (char*)"vtkBoostBiconnectedComponents",modulename,
                        (char**)vtkBoostBiconnectedComponentsDoc,
                        PyVTKClass_vtkUndirectedGraphAlgorithmNew(modulename));
}

