// python wrapper for vtkBoostBrandesCentrality object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBoostBrandesCentrality.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBoostBrandesCentralityNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBoostBrandesCentralityNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGraphAlgorithmNew(char *); }

static PyObject *PyvtkBoostBrandesCentrality_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostBrandesCentrality *op;

  const char    *temp20;
  op = (vtkBoostBrandesCentrality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostBrandesCentrality::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostBrandesCentrality_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostBrandesCentrality *op;

  char    *temp0;
  int      temp20;
  op = (vtkBoostBrandesCentrality *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostBrandesCentrality::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostBrandesCentrality_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostBrandesCentrality *op;

  vtkBoostBrandesCentrality  *temp20;
  op = (vtkBoostBrandesCentrality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostBrandesCentrality::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostBrandesCentrality_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBoostBrandesCentrality  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBoostBrandesCentrality::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkBoostBrandesCentralityMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBoostBrandesCentrality_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBoostBrandesCentrality_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBoostBrandesCentrality_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBoostBrandesCentrality\nC++: vtkBoostBrandesCentrality *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBoostBrandesCentrality_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBoostBrandesCentrality\nC++: vtkBoostBrandesCentrality *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBoostBrandesCentralityDoc[] = {
  (char*)"vtkBoostBrandesCentrality - Compute Brandes betweenness centrality \n\n",
  "Super Class:\n\n vtkGraphAlgorithm\n\n",
  "See Also:\n\n vtkGraph vtkBoostGraphAdapter\n\n",
  NULL
};

static vtkObjectBase *vtkBoostBrandesCentralityStaticNew()
{
  return vtkBoostBrandesCentrality::New();
}

PyObject *PyVTKClass_vtkBoostBrandesCentralityNew(char *modulename)
{
  return PyVTKClass_New(&vtkBoostBrandesCentralityStaticNew,
                        PyvtkBoostBrandesCentralityMethods,
                        (char*)"vtkBoostBrandesCentrality",modulename,
                        (char**)vtkBoostBrandesCentralityDoc,
                        PyVTKClass_vtkGraphAlgorithmNew(modulename));
}

