// python wrapper for vtkBoostBreadthFirstSearch object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBoostBreadthFirstSearch.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBoostBreadthFirstSearchNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBoostBreadthFirstSearchNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGraphAlgorithmNew(char *); }

static PyObject *PyvtkBoostBreadthFirstSearch_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostBreadthFirstSearch *op;

  const char    *temp20;
  op = (vtkBoostBreadthFirstSearch *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostBreadthFirstSearch::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostBreadthFirstSearch_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostBreadthFirstSearch *op;

  char    *temp0;
  int      temp20;
  op = (vtkBoostBreadthFirstSearch *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostBreadthFirstSearch::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostBreadthFirstSearch_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostBreadthFirstSearch *op;

  vtkBoostBreadthFirstSearch  *temp20;
  op = (vtkBoostBreadthFirstSearch *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostBreadthFirstSearch::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostBreadthFirstSearch_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBoostBreadthFirstSearch  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBoostBreadthFirstSearch::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBoostBreadthFirstSearch_SetOriginSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostBreadthFirstSearch *op;

  vtkSelection  *temp0;
  PyObject *tempH0;
  op = (vtkBoostBreadthFirstSearch *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSelection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelection");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostBreadthFirstSearch::SetOriginSelection(temp0);
      }
    else
      {
      op->SetOriginSelection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkBoostBreadthFirstSearch_SetOriginSelectionConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostBreadthFirstSearch *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkBoostBreadthFirstSearch *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostBreadthFirstSearch::SetOriginSelectionConnection(temp0);
      }
    else
      {
      op->SetOriginSelectionConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkBoostBreadthFirstSearch_SetOriginVertex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostBreadthFirstSearch *op;

  vtkIdType   temp0;
  op = (vtkBoostBreadthFirstSearch *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostBreadthFirstSearch::SetOriginVertex(temp0);
      }
    else
      {
      op->SetOriginVertex(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostBreadthFirstSearch_SetOriginVertexString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostBreadthFirstSearch *op;

  char    *temp0;
  char    *temp1;
  op = (vtkBoostBreadthFirstSearch *)PyArg_VTKParseTuple(self, args, (char*)"zz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostBreadthFirstSearch::SetOriginVertexString(temp0,temp1);
      }
    else
      {
      op->SetOriginVertexString(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostBreadthFirstSearch_SetOutputArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostBreadthFirstSearch *op;

  char    *temp0;
  op = (vtkBoostBreadthFirstSearch *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostBreadthFirstSearch::SetOutputArrayName(temp0);
      }
    else
      {
      op->SetOutputArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostBreadthFirstSearch_SetOriginFromSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostBreadthFirstSearch *op;

  bool   temp0;
  op = (vtkBoostBreadthFirstSearch *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostBreadthFirstSearch::SetOriginFromSelection(temp0);
      }
    else
      {
      op->SetOriginFromSelection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostBreadthFirstSearch_GetOriginFromSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostBreadthFirstSearch *op;

  bool   temp20;
  op = (vtkBoostBreadthFirstSearch *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostBreadthFirstSearch::GetOriginFromSelection();
      }
    else
      {
      temp20 = op->GetOriginFromSelection();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostBreadthFirstSearch_OriginFromSelectionOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostBreadthFirstSearch *op;

  op = (vtkBoostBreadthFirstSearch *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostBreadthFirstSearch::OriginFromSelectionOn();
      }
    else
      {
      op->OriginFromSelectionOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostBreadthFirstSearch_OriginFromSelectionOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostBreadthFirstSearch *op;

  op = (vtkBoostBreadthFirstSearch *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostBreadthFirstSearch::OriginFromSelectionOff();
      }
    else
      {
      op->OriginFromSelectionOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostBreadthFirstSearch_GetOutputSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostBreadthFirstSearch *op;

  bool   temp20;
  op = (vtkBoostBreadthFirstSearch *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostBreadthFirstSearch::GetOutputSelection();
      }
    else
      {
      temp20 = op->GetOutputSelection();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostBreadthFirstSearch_SetOutputSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostBreadthFirstSearch *op;

  bool   temp0;
  op = (vtkBoostBreadthFirstSearch *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostBreadthFirstSearch::SetOutputSelection(temp0);
      }
    else
      {
      op->SetOutputSelection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostBreadthFirstSearch_OutputSelectionOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostBreadthFirstSearch *op;

  op = (vtkBoostBreadthFirstSearch *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostBreadthFirstSearch::OutputSelectionOn();
      }
    else
      {
      op->OutputSelectionOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostBreadthFirstSearch_OutputSelectionOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostBreadthFirstSearch *op;

  op = (vtkBoostBreadthFirstSearch *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostBreadthFirstSearch::OutputSelectionOff();
      }
    else
      {
      op->OutputSelectionOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostBreadthFirstSearch_SetOutputSelectionType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostBreadthFirstSearch *op;

  char    *temp0;
  op = (vtkBoostBreadthFirstSearch *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostBreadthFirstSearch::SetOutputSelectionType(temp0);
      }
    else
      {
      op->SetOutputSelectionType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkBoostBreadthFirstSearchMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBoostBreadthFirstSearch_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBoostBreadthFirstSearch_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBoostBreadthFirstSearch_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBoostBreadthFirstSearch\nC++: vtkBoostBreadthFirstSearch *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBoostBreadthFirstSearch_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBoostBreadthFirstSearch\nC++: vtkBoostBreadthFirstSearch *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetOriginSelection",                (PyCFunction)PyvtkBoostBreadthFirstSearch_SetOriginSelection, 1,
   (char*)"V.SetOriginSelection(vtkSelection)\nC++: void SetOriginSelection (vtkSelection *s);\n\n Convenience methods for setting the origin selection input.\n"},
  {(char*)"SetOriginSelectionConnection",                (PyCFunction)PyvtkBoostBreadthFirstSearch_SetOriginSelectionConnection, 1,
   (char*)"V.SetOriginSelectionConnection(vtkAlgorithmOutput)\nC++: void SetOriginSelectionConnection (vtkAlgorithmOutput *algOutput);this SetInputConnection algOutput \n\n Set the index (into the vertex array) of the \n breadth first search 'origin' vertex.\n"},
  {(char*)"SetOriginVertex",                (PyCFunction)PyvtkBoostBreadthFirstSearch_SetOriginVertex, 1,
   (char*)"V.SetOriginVertex(int)\nC++: void SetOriginVertex (vtkIdType index);\n\n Set the index (into the vertex array) of the \n breadth first search 'origin' vertex.\n"},
  {(char*)"SetOriginVertexString",                (PyCFunction)PyvtkBoostBreadthFirstSearch_SetOriginVertexString, 1,
   (char*)"V.SetOriginVertexString(string, string)\nC++: void SetOriginVertexString (char *arrayName, char *value);\n\n Convenience method for setting the origin vertex\n given an array name and string value.\n This method is primarily for the benefit of the\n VTK Parallel client/server layer, callers should\n prefer to use SetOriginVertex() whenever possible.\n"},
  {(char*)"SetOutputArrayName",                (PyCFunction)PyvtkBoostBreadthFirstSearch_SetOutputArrayName, 1,
   (char*)"V.SetOutputArrayName(string)\nC++: void SetOutputArrayName (char *);\n\n Set the output array name. If no output array name is\n set then the name 'BFS' is used.\n"},
  {(char*)"SetOriginFromSelection",                (PyCFunction)PyvtkBoostBreadthFirstSearch_SetOriginFromSelection, 1,
   (char*)"V.SetOriginFromSelection(bool)\nC++: void SetOriginFromSelection (bool );\n\n Use the vtkSelection from input port 1 as the origin vertex.\n The selection should be a IDS selection with field type POINTS.\n The first ID in the selection will be used for the origin vertex.\n Default is off (origin is specified by SetOriginVertex(...)).\n"},
  {(char*)"GetOriginFromSelection",                (PyCFunction)PyvtkBoostBreadthFirstSearch_GetOriginFromSelection, 1,
   (char*)"V.GetOriginFromSelection() -> bool\nC++: bool GetOriginFromSelection ();\n\n Use the vtkSelection from input port 1 as the origin vertex.\n The selection should be a IDS selection with field type POINTS.\n The first ID in the selection will be used for the origin vertex.\n Default is off (origin is specified by SetOriginVertex(...)).\n"},
  {(char*)"OriginFromSelectionOn",                (PyCFunction)PyvtkBoostBreadthFirstSearch_OriginFromSelectionOn, 1,
   (char*)"V.OriginFromSelectionOn()\nC++: void OriginFromSelectionOn ();\n\n Use the vtkSelection from input port 1 as the origin vertex.\n The selection should be a IDS selection with field type POINTS.\n The first ID in the selection will be used for the origin vertex.\n Default is off (origin is specified by SetOriginVertex(...)).\n"},
  {(char*)"OriginFromSelectionOff",                (PyCFunction)PyvtkBoostBreadthFirstSearch_OriginFromSelectionOff, 1,
   (char*)"V.OriginFromSelectionOff()\nC++: void OriginFromSelectionOff ();\n\n Use the vtkSelection from input port 1 as the origin vertex.\n The selection should be a IDS selection with field type POINTS.\n The first ID in the selection will be used for the origin vertex.\n Default is off (origin is specified by SetOriginVertex(...)).\n"},
  {(char*)"GetOutputSelection",                (PyCFunction)PyvtkBoostBreadthFirstSearch_GetOutputSelection, 1,
   (char*)"V.GetOutputSelection() -> bool\nC++: bool GetOutputSelection ();\n\n Create an output selection containing the ID of a vertex based\n on the output selection type. The default is to use the\n the maximum distance from the starting vertex.  Defaults to off.\n"},
  {(char*)"SetOutputSelection",                (PyCFunction)PyvtkBoostBreadthFirstSearch_SetOutputSelection, 1,
   (char*)"V.SetOutputSelection(bool)\nC++: void SetOutputSelection (bool );\n\n Create an output selection containing the ID of a vertex based\n on the output selection type. The default is to use the\n the maximum distance from the starting vertex.  Defaults to off.\n"},
  {(char*)"OutputSelectionOn",                (PyCFunction)PyvtkBoostBreadthFirstSearch_OutputSelectionOn, 1,
   (char*)"V.OutputSelectionOn()\nC++: void OutputSelectionOn ();\n\n Create an output selection containing the ID of a vertex based\n on the output selection type. The default is to use the\n the maximum distance from the starting vertex.  Defaults to off.\n"},
  {(char*)"OutputSelectionOff",                (PyCFunction)PyvtkBoostBreadthFirstSearch_OutputSelectionOff, 1,
   (char*)"V.OutputSelectionOff()\nC++: void OutputSelectionOff ();\n\n Create an output selection containing the ID of a vertex based\n on the output selection type. The default is to use the\n the maximum distance from the starting vertex.  Defaults to off.\n"},
  {(char*)"SetOutputSelectionType",                (PyCFunction)PyvtkBoostBreadthFirstSearch_SetOutputSelectionType, 1,
   (char*)"V.SetOutputSelectionType(string)\nC++: void SetOutputSelectionType (char *);\n\n Set the output selection type. The default is to use the\n the maximum distance from the starting vertex \"MAX_DIST_FROM_ROOT\". \n But you can also specify other things like \"ROOT\",\"2D_MAX\", etc\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBoostBreadthFirstSearchDoc[] = {
  (char*)"vtkBoostBreadthFirstSearch - Boost breadth_first_search on a vtkGraph\n\n",
  "Super Class:\n\n vtkGraphAlgorithm\n\n",
  (char*)"\n This vtk class uses the Boost breadth_first_search \n generic algorithm to perform a breadth first search from a given\n a 'source' vertex on the input graph (a vtkGraph).\n\n\n",
  "See Also:\n\n vtkGraph vtkBoostGraphAdapter\n\n",
  NULL
};

static vtkObjectBase *vtkBoostBreadthFirstSearchStaticNew()
{
  return vtkBoostBreadthFirstSearch::New();
}

PyObject *PyVTKClass_vtkBoostBreadthFirstSearchNew(char *modulename)
{
  return PyVTKClass_New(&vtkBoostBreadthFirstSearchStaticNew,
                        PyvtkBoostBreadthFirstSearchMethods,
                        (char*)"vtkBoostBreadthFirstSearch",modulename,
                        (char**)vtkBoostBreadthFirstSearchDoc,
                        PyVTKClass_vtkGraphAlgorithmNew(modulename));
}

