// python wrapper for vtkBoostBreadthFirstSearchTree object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBoostBreadthFirstSearchTree.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBoostBreadthFirstSearchTreeNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBoostBreadthFirstSearchTreeNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTreeAlgorithmNew(char *); }

static PyObject *PyvtkBoostBreadthFirstSearchTree_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostBreadthFirstSearchTree *op;

  const char    *temp20;
  op = (vtkBoostBreadthFirstSearchTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostBreadthFirstSearchTree::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostBreadthFirstSearchTree_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostBreadthFirstSearchTree *op;

  char    *temp0;
  int      temp20;
  op = (vtkBoostBreadthFirstSearchTree *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostBreadthFirstSearchTree::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostBreadthFirstSearchTree_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostBreadthFirstSearchTree *op;

  vtkBoostBreadthFirstSearchTree  *temp20;
  op = (vtkBoostBreadthFirstSearchTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostBreadthFirstSearchTree::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostBreadthFirstSearchTree_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBoostBreadthFirstSearchTree  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBoostBreadthFirstSearchTree::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBoostBreadthFirstSearchTree_SetOriginVertex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostBreadthFirstSearchTree *op;

  vtkIdType   temp0;
  op = (vtkBoostBreadthFirstSearchTree *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostBreadthFirstSearchTree::SetOriginVertex(temp0);
      }
    else
      {
      op->SetOriginVertex(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostBreadthFirstSearchTree_SetCreateGraphVertexIdArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostBreadthFirstSearchTree *op;

  bool   temp0;
  op = (vtkBoostBreadthFirstSearchTree *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostBreadthFirstSearchTree::SetCreateGraphVertexIdArray(temp0);
      }
    else
      {
      op->SetCreateGraphVertexIdArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostBreadthFirstSearchTree_GetCreateGraphVertexIdArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostBreadthFirstSearchTree *op;

  bool   temp20;
  op = (vtkBoostBreadthFirstSearchTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostBreadthFirstSearchTree::GetCreateGraphVertexIdArray();
      }
    else
      {
      temp20 = op->GetCreateGraphVertexIdArray();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostBreadthFirstSearchTree_CreateGraphVertexIdArrayOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostBreadthFirstSearchTree *op;

  op = (vtkBoostBreadthFirstSearchTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostBreadthFirstSearchTree::CreateGraphVertexIdArrayOn();
      }
    else
      {
      op->CreateGraphVertexIdArrayOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostBreadthFirstSearchTree_CreateGraphVertexIdArrayOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostBreadthFirstSearchTree *op;

  op = (vtkBoostBreadthFirstSearchTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostBreadthFirstSearchTree::CreateGraphVertexIdArrayOff();
      }
    else
      {
      op->CreateGraphVertexIdArrayOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkBoostBreadthFirstSearchTreeMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBoostBreadthFirstSearchTree_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBoostBreadthFirstSearchTree_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBoostBreadthFirstSearchTree_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBoostBreadthFirstSearchTree\nC++: vtkBoostBreadthFirstSearchTree *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBoostBreadthFirstSearchTree_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBoostBreadthFirstSearchTree\nC++: vtkBoostBreadthFirstSearchTree *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetOriginVertex",                (PyCFunction)PyvtkBoostBreadthFirstSearchTree_SetOriginVertex, 1,
   (char*)"V.SetOriginVertex(int)\nC++: void SetOriginVertex (vtkIdType index);\n\n Set the index (into the vertex array) of the \n breadth first search 'origin' vertex.\n"},
  {(char*)"SetCreateGraphVertexIdArray",                (PyCFunction)PyvtkBoostBreadthFirstSearchTree_SetCreateGraphVertexIdArray, 1,
   (char*)"V.SetCreateGraphVertexIdArray(bool)\nC++: void SetCreateGraphVertexIdArray (bool );\n\n Stores the graph vertex ids for the tree vertices in an array\n named \"GraphVertexId\".  Default is off.\n"},
  {(char*)"GetCreateGraphVertexIdArray",                (PyCFunction)PyvtkBoostBreadthFirstSearchTree_GetCreateGraphVertexIdArray, 1,
   (char*)"V.GetCreateGraphVertexIdArray() -> bool\nC++: bool GetCreateGraphVertexIdArray ();\n\n Stores the graph vertex ids for the tree vertices in an array\n named \"GraphVertexId\".  Default is off.\n"},
  {(char*)"CreateGraphVertexIdArrayOn",                (PyCFunction)PyvtkBoostBreadthFirstSearchTree_CreateGraphVertexIdArrayOn, 1,
   (char*)"V.CreateGraphVertexIdArrayOn()\nC++: void CreateGraphVertexIdArrayOn ();\n\n Stores the graph vertex ids for the tree vertices in an array\n named \"GraphVertexId\".  Default is off.\n"},
  {(char*)"CreateGraphVertexIdArrayOff",                (PyCFunction)PyvtkBoostBreadthFirstSearchTree_CreateGraphVertexIdArrayOff, 1,
   (char*)"V.CreateGraphVertexIdArrayOff()\nC++: void CreateGraphVertexIdArrayOff ();\n\n Stores the graph vertex ids for the tree vertices in an array\n named \"GraphVertexId\".  Default is off.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBoostBreadthFirstSearchTreeDoc[] = {
  (char*)"vtkBoostBreadthFirstSearchTree - Contructs a BFS tree from a graph\n\n",
  "Super Class:\n\n vtkTreeAlgorithm\n\n",
  (char*)"\n This vtk class uses the Boost breadth_first_search \n generic algorithm to perform a breadth first search from a given\n a 'source' vertex on the input graph (a vtkGraph).\n The result is a tree with root node corresponding to the start node\n of the search.\n\n\n",
  "See Also:\n\n vtkGraph vtkBoostGraphAdapter\n\n",
  NULL
};

static vtkObjectBase *vtkBoostBreadthFirstSearchTreeStaticNew()
{
  return vtkBoostBreadthFirstSearchTree::New();
}

PyObject *PyVTKClass_vtkBoostBreadthFirstSearchTreeNew(char *modulename)
{
  return PyVTKClass_New(&vtkBoostBreadthFirstSearchTreeStaticNew,
                        PyvtkBoostBreadthFirstSearchTreeMethods,
                        (char*)"vtkBoostBreadthFirstSearchTree",modulename,
                        (char**)vtkBoostBreadthFirstSearchTreeDoc,
                        PyVTKClass_vtkTreeAlgorithmNew(modulename));
}

