// python wrapper for vtkBoostConnectedComponents object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBoostConnectedComponents.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBoostConnectedComponentsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBoostConnectedComponentsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGraphAlgorithmNew(char *); }

static PyObject *PyvtkBoostConnectedComponents_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostConnectedComponents *op;

  const char    *temp20;
  op = (vtkBoostConnectedComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostConnectedComponents::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostConnectedComponents_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostConnectedComponents *op;

  char    *temp0;
  int      temp20;
  op = (vtkBoostConnectedComponents *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostConnectedComponents::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostConnectedComponents_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostConnectedComponents *op;

  vtkBoostConnectedComponents  *temp20;
  op = (vtkBoostConnectedComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostConnectedComponents::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostConnectedComponents_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBoostConnectedComponents  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBoostConnectedComponents::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkBoostConnectedComponentsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBoostConnectedComponents_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBoostConnectedComponents_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBoostConnectedComponents_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBoostConnectedComponents\nC++: vtkBoostConnectedComponents *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBoostConnectedComponents_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBoostConnectedComponents\nC++: vtkBoostConnectedComponents *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBoostConnectedComponentsDoc[] = {
  (char*)"vtkBoostConnectedComponents - Find the connected components of a graph\n\n",
  "Super Class:\n\n vtkGraphAlgorithm\n\n",
  (char*)" vtkBoostConnectedComponents discovers the connected regions of a vtkGraph.\n Each vertex is assigned a component ID in the vertex array \"components\".\n If the graph is undirected, this is the natural connected components\n of the graph.  If the graph is directed, this filter discovers the\n strongly connected components of the graph (i.e. the maximal sets of\n vertices where there is a directed path b",
  (char*)"etween any pair of vertices\n within each set).\n\n",
  NULL
};

static vtkObjectBase *vtkBoostConnectedComponentsStaticNew()
{
  return vtkBoostConnectedComponents::New();
}

PyObject *PyVTKClass_vtkBoostConnectedComponentsNew(char *modulename)
{
  return PyVTKClass_New(&vtkBoostConnectedComponentsStaticNew,
                        PyvtkBoostConnectedComponentsMethods,
                        (char*)"vtkBoostConnectedComponents",modulename,
                        (char**)vtkBoostConnectedComponentsDoc,
                        PyVTKClass_vtkGraphAlgorithmNew(modulename));
}

