// python wrapper for vtkBoostKruskalMinimumSpanningTree object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBoostKruskalMinimumSpanningTree.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBoostKruskalMinimumSpanningTreeNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBoostKruskalMinimumSpanningTreeNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSelectionAlgorithmNew(char *); }

static PyObject *PyvtkBoostKruskalMinimumSpanningTree_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostKruskalMinimumSpanningTree *op;

  const char    *temp20;
  op = (vtkBoostKruskalMinimumSpanningTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostKruskalMinimumSpanningTree::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostKruskalMinimumSpanningTree_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostKruskalMinimumSpanningTree *op;

  char    *temp0;
  int      temp20;
  op = (vtkBoostKruskalMinimumSpanningTree *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostKruskalMinimumSpanningTree::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostKruskalMinimumSpanningTree_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostKruskalMinimumSpanningTree *op;

  vtkBoostKruskalMinimumSpanningTree  *temp20;
  op = (vtkBoostKruskalMinimumSpanningTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostKruskalMinimumSpanningTree::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostKruskalMinimumSpanningTree_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBoostKruskalMinimumSpanningTree  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBoostKruskalMinimumSpanningTree::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBoostKruskalMinimumSpanningTree_SetEdgeWeightArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostKruskalMinimumSpanningTree *op;

  char    *temp0;
  op = (vtkBoostKruskalMinimumSpanningTree *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostKruskalMinimumSpanningTree::SetEdgeWeightArrayName(temp0);
      }
    else
      {
      op->SetEdgeWeightArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostKruskalMinimumSpanningTree_SetOutputSelectionType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostKruskalMinimumSpanningTree *op;

  char    *temp0;
  op = (vtkBoostKruskalMinimumSpanningTree *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostKruskalMinimumSpanningTree::SetOutputSelectionType(temp0);
      }
    else
      {
      op->SetOutputSelectionType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostKruskalMinimumSpanningTree_SetNegateEdgeWeights(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostKruskalMinimumSpanningTree *op;

  bool   temp0;
  op = (vtkBoostKruskalMinimumSpanningTree *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostKruskalMinimumSpanningTree::SetNegateEdgeWeights(temp0);
      }
    else
      {
      op->SetNegateEdgeWeights(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostKruskalMinimumSpanningTree_GetNegateEdgeWeights(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostKruskalMinimumSpanningTree *op;

  bool   temp20;
  op = (vtkBoostKruskalMinimumSpanningTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostKruskalMinimumSpanningTree::GetNegateEdgeWeights();
      }
    else
      {
      temp20 = op->GetNegateEdgeWeights();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostKruskalMinimumSpanningTree_NegateEdgeWeightsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostKruskalMinimumSpanningTree *op;

  op = (vtkBoostKruskalMinimumSpanningTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostKruskalMinimumSpanningTree::NegateEdgeWeightsOn();
      }
    else
      {
      op->NegateEdgeWeightsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostKruskalMinimumSpanningTree_NegateEdgeWeightsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostKruskalMinimumSpanningTree *op;

  op = (vtkBoostKruskalMinimumSpanningTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostKruskalMinimumSpanningTree::NegateEdgeWeightsOff();
      }
    else
      {
      op->NegateEdgeWeightsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkBoostKruskalMinimumSpanningTreeMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBoostKruskalMinimumSpanningTree_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBoostKruskalMinimumSpanningTree_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBoostKruskalMinimumSpanningTree_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBoostKruskalMinimumSpanningTree\nC++: vtkBoostKruskalMinimumSpanningTree *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBoostKruskalMinimumSpanningTree_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBoostKruskalMinimumSpanningTree\nC++: vtkBoostKruskalMinimumSpanningTree *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetEdgeWeightArrayName",                (PyCFunction)PyvtkBoostKruskalMinimumSpanningTree_SetEdgeWeightArrayName, 1,
   (char*)"V.SetEdgeWeightArrayName(string)\nC++: void SetEdgeWeightArrayName (char *);\n\n Set the name of the edge-weight input array, which must name an\n array that is part of the edge data of the input graph and\n contains numeric data. If the edge-weight array is not of type\n vtkDoubleArray, the array will be copied into a temporary\n vtkDoubleArray.\n"},
  {(char*)"SetOutputSelectionType",                (PyCFunction)PyvtkBoostKruskalMinimumSpanningTree_SetOutputSelectionType, 1,
   (char*)"V.SetOutputSelectionType(string)\nC++: void SetOutputSelectionType (char *);\n\n Set the output selection type. The default is to use the\n the set of minimum spanning tree edges \"MINIMUM_SPANNING_TREE_EDGES\". No\n other options are defined.\n"},
  {(char*)"SetNegateEdgeWeights",                (PyCFunction)PyvtkBoostKruskalMinimumSpanningTree_SetNegateEdgeWeights, 1,
   (char*)"V.SetNegateEdgeWeights(bool)\nC++: void SetNegateEdgeWeights (bool value);\n\n Whether to negate the edge weights. By negating the edge\n weights this algorithm will give you the 'maximal' spanning\n tree (i.e. the algorithm will try to create a spanning tree\n with the highest weighted edges). Defaulted to Off.\n FIXME: put a real definition in...\n"},
  {(char*)"GetNegateEdgeWeights",                (PyCFunction)PyvtkBoostKruskalMinimumSpanningTree_GetNegateEdgeWeights, 1,
   (char*)"V.GetNegateEdgeWeights() -> bool\nC++: bool GetNegateEdgeWeights ();\n\n Whether to negate the edge weights. By negating the edge\n weights this algorithm will give you the 'maximal' spanning\n tree (i.e. the algorithm will try to create a spanning tree\n with the highest weighted edges). Defaulted to Off.\n FIXME: put a real definition in...\n"},
  {(char*)"NegateEdgeWeightsOn",                (PyCFunction)PyvtkBoostKruskalMinimumSpanningTree_NegateEdgeWeightsOn, 1,
   (char*)"V.NegateEdgeWeightsOn()\nC++: void NegateEdgeWeightsOn ();\n\n Whether to negate the edge weights. By negating the edge\n weights this algorithm will give you the 'maximal' spanning\n tree (i.e. the algorithm will try to create a spanning tree\n with the highest weighted edges). Defaulted to Off.\n FIXME: put a real definition in...\n"},
  {(char*)"NegateEdgeWeightsOff",                (PyCFunction)PyvtkBoostKruskalMinimumSpanningTree_NegateEdgeWeightsOff, 1,
   (char*)"V.NegateEdgeWeightsOff()\nC++: void NegateEdgeWeightsOff ();\n\n Whether to negate the edge weights. By negating the edge\n weights this algorithm will give you the 'maximal' spanning\n tree (i.e. the algorithm will try to create a spanning tree\n with the highest weighted edges). Defaulted to Off.\n FIXME: put a real definition in...\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBoostKruskalMinimumSpanningTreeDoc[] = {
  (char*)"vtkBoostKruskalMinimumSpanningTree - Contructs a minimum spanning\n\n",
  "Super Class:\n\n vtkSelectionAlgorithm\n\n",
  (char*)"\n This vtk class uses the Boost Kruskal Minimum Spanning Tree \n generic algorithm to perform a minimum spanning tree creation given\n a weighting value for each of the edges in the input graph.\n\n\n",
  "See Also:\n\n vtkGraph vtkBoostGraphAdapter\n\n",
  NULL
};

static vtkObjectBase *vtkBoostKruskalMinimumSpanningTreeStaticNew()
{
  return vtkBoostKruskalMinimumSpanningTree::New();
}

PyObject *PyVTKClass_vtkBoostKruskalMinimumSpanningTreeNew(char *modulename)
{
  return PyVTKClass_New(&vtkBoostKruskalMinimumSpanningTreeStaticNew,
                        PyvtkBoostKruskalMinimumSpanningTreeMethods,
                        (char*)"vtkBoostKruskalMinimumSpanningTree",modulename,
                        (char**)vtkBoostKruskalMinimumSpanningTreeDoc,
                        PyVTKClass_vtkSelectionAlgorithmNew(modulename));
}

