// python wrapper for vtkBoostLogWeighting object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBoostLogWeighting.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBoostLogWeightingNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBoostLogWeightingNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkArrayDataAlgorithmNew(char *); }

static PyObject *PyvtkBoostLogWeighting_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostLogWeighting *op;

  const char    *temp20;
  op = (vtkBoostLogWeighting *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostLogWeighting::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostLogWeighting_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostLogWeighting *op;

  char    *temp0;
  int      temp20;
  op = (vtkBoostLogWeighting *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostLogWeighting::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostLogWeighting_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostLogWeighting *op;

  vtkBoostLogWeighting  *temp20;
  op = (vtkBoostLogWeighting *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostLogWeighting::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostLogWeighting_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBoostLogWeighting  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBoostLogWeighting::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBoostLogWeighting_SetBase(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostLogWeighting *op;

  int      temp0;
  op = (vtkBoostLogWeighting *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostLogWeighting::SetBase(temp0);
      }
    else
      {
      op->SetBase(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostLogWeighting_GetBase(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostLogWeighting *op;

  int      temp20;
  op = (vtkBoostLogWeighting *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostLogWeighting::GetBase();
      }
    else
      {
      temp20 = op->GetBase();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostLogWeighting_SetEmitProgress(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostLogWeighting *op;

  bool   temp0;
  op = (vtkBoostLogWeighting *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostLogWeighting::SetEmitProgress(temp0);
      }
    else
      {
      op->SetEmitProgress(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostLogWeighting_GetEmitProgress(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostLogWeighting *op;

  bool   temp20;
  op = (vtkBoostLogWeighting *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostLogWeighting::GetEmitProgress();
      }
    else
      {
      temp20 = op->GetEmitProgress();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostLogWeighting_EmitProgressOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostLogWeighting *op;

  op = (vtkBoostLogWeighting *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostLogWeighting::EmitProgressOn();
      }
    else
      {
      op->EmitProgressOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostLogWeighting_EmitProgressOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostLogWeighting *op;

  op = (vtkBoostLogWeighting *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostLogWeighting::EmitProgressOff();
      }
    else
      {
      op->EmitProgressOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkBoostLogWeightingMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBoostLogWeighting_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBoostLogWeighting_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBoostLogWeighting_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBoostLogWeighting\nC++: vtkBoostLogWeighting *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBoostLogWeighting_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBoostLogWeighting\nC++: vtkBoostLogWeighting *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetBase",                (PyCFunction)PyvtkBoostLogWeighting_SetBase, 1,
   (char*)"V.SetBase(int)\nC++: void SetBase (int );\n\n Specify the logarithm base to apply\n"},
  {(char*)"GetBase",                (PyCFunction)PyvtkBoostLogWeighting_GetBase, 1,
   (char*)"V.GetBase() -> int\nC++: int GetBase ();\n\n Specify the logarithm base to apply\n"},
  {(char*)"SetEmitProgress",                (PyCFunction)PyvtkBoostLogWeighting_SetEmitProgress, 1,
   (char*)"V.SetEmitProgress(bool)\nC++: void SetEmitProgress (bool );\n\n Specify whether this filter should emit progress events\n"},
  {(char*)"GetEmitProgress",                (PyCFunction)PyvtkBoostLogWeighting_GetEmitProgress, 1,
   (char*)"V.GetEmitProgress() -> bool\nC++: bool GetEmitProgress ();\n\n Specify whether this filter should emit progress events\n"},
  {(char*)"EmitProgressOn",                (PyCFunction)PyvtkBoostLogWeighting_EmitProgressOn, 1,
   (char*)"V.EmitProgressOn()\nC++: void EmitProgressOn ();\n\n Specify whether this filter should emit progress events\n"},
  {(char*)"EmitProgressOff",                (PyCFunction)PyvtkBoostLogWeighting_EmitProgressOff, 1,
   (char*)"V.EmitProgressOff()\nC++: void EmitProgressOff ();\n\n Specify whether this filter should emit progress events\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBoostLogWeightingDoc[] = {
  (char*)"vtkBoostLogWeighting - Given an arbitrary-dimension array of doubles,\n\n",
  "Super Class:\n\n vtkArrayDataAlgorithm\n\n",
  (char*)"None provided.\n\n",
  NULL
};

static vtkObjectBase *vtkBoostLogWeightingStaticNew()
{
  return vtkBoostLogWeighting::New();
}

PyObject *PyVTKClass_vtkBoostLogWeightingNew(char *modulename)
{
  return PyVTKClass_New(&vtkBoostLogWeightingStaticNew,
                        PyvtkBoostLogWeightingMethods,
                        (char*)"vtkBoostLogWeighting",modulename,
                        (char**)vtkBoostLogWeightingDoc,
                        PyVTKClass_vtkArrayDataAlgorithmNew(modulename));
}

