// python wrapper for vtkBoostPrimMinimumSpanningTree object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBoostPrimMinimumSpanningTree.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBoostPrimMinimumSpanningTreeNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBoostPrimMinimumSpanningTreeNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTreeAlgorithmNew(char *); }

static PyObject *PyvtkBoostPrimMinimumSpanningTree_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostPrimMinimumSpanningTree *op;

  const char    *temp20;
  op = (vtkBoostPrimMinimumSpanningTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostPrimMinimumSpanningTree::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostPrimMinimumSpanningTree_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostPrimMinimumSpanningTree *op;

  char    *temp0;
  int      temp20;
  op = (vtkBoostPrimMinimumSpanningTree *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostPrimMinimumSpanningTree::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostPrimMinimumSpanningTree_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostPrimMinimumSpanningTree *op;

  vtkBoostPrimMinimumSpanningTree  *temp20;
  op = (vtkBoostPrimMinimumSpanningTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostPrimMinimumSpanningTree::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostPrimMinimumSpanningTree_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBoostPrimMinimumSpanningTree  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBoostPrimMinimumSpanningTree::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBoostPrimMinimumSpanningTree_SetEdgeWeightArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostPrimMinimumSpanningTree *op;

  char    *temp0;
  op = (vtkBoostPrimMinimumSpanningTree *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostPrimMinimumSpanningTree::SetEdgeWeightArrayName(temp0);
      }
    else
      {
      op->SetEdgeWeightArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostPrimMinimumSpanningTree_SetOriginVertex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostPrimMinimumSpanningTree *op;

  vtkIdType   temp0;
  op = (vtkBoostPrimMinimumSpanningTree *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostPrimMinimumSpanningTree::SetOriginVertex(temp0);
      }
    else
      {
      op->SetOriginVertex(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostPrimMinimumSpanningTree_SetCreateGraphVertexIdArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostPrimMinimumSpanningTree *op;

  bool   temp0;
  op = (vtkBoostPrimMinimumSpanningTree *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostPrimMinimumSpanningTree::SetCreateGraphVertexIdArray(temp0);
      }
    else
      {
      op->SetCreateGraphVertexIdArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostPrimMinimumSpanningTree_GetCreateGraphVertexIdArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostPrimMinimumSpanningTree *op;

  bool   temp20;
  op = (vtkBoostPrimMinimumSpanningTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostPrimMinimumSpanningTree::GetCreateGraphVertexIdArray();
      }
    else
      {
      temp20 = op->GetCreateGraphVertexIdArray();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostPrimMinimumSpanningTree_CreateGraphVertexIdArrayOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostPrimMinimumSpanningTree *op;

  op = (vtkBoostPrimMinimumSpanningTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostPrimMinimumSpanningTree::CreateGraphVertexIdArrayOn();
      }
    else
      {
      op->CreateGraphVertexIdArrayOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostPrimMinimumSpanningTree_CreateGraphVertexIdArrayOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostPrimMinimumSpanningTree *op;

  op = (vtkBoostPrimMinimumSpanningTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostPrimMinimumSpanningTree::CreateGraphVertexIdArrayOff();
      }
    else
      {
      op->CreateGraphVertexIdArrayOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostPrimMinimumSpanningTree_SetNegateEdgeWeights(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostPrimMinimumSpanningTree *op;

  bool   temp0;
  op = (vtkBoostPrimMinimumSpanningTree *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostPrimMinimumSpanningTree::SetNegateEdgeWeights(temp0);
      }
    else
      {
      op->SetNegateEdgeWeights(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostPrimMinimumSpanningTree_GetNegateEdgeWeights(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostPrimMinimumSpanningTree *op;

  bool   temp20;
  op = (vtkBoostPrimMinimumSpanningTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostPrimMinimumSpanningTree::GetNegateEdgeWeights();
      }
    else
      {
      temp20 = op->GetNegateEdgeWeights();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostPrimMinimumSpanningTree_NegateEdgeWeightsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostPrimMinimumSpanningTree *op;

  op = (vtkBoostPrimMinimumSpanningTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostPrimMinimumSpanningTree::NegateEdgeWeightsOn();
      }
    else
      {
      op->NegateEdgeWeightsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostPrimMinimumSpanningTree_NegateEdgeWeightsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostPrimMinimumSpanningTree *op;

  op = (vtkBoostPrimMinimumSpanningTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostPrimMinimumSpanningTree::NegateEdgeWeightsOff();
      }
    else
      {
      op->NegateEdgeWeightsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkBoostPrimMinimumSpanningTreeMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBoostPrimMinimumSpanningTree_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBoostPrimMinimumSpanningTree_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBoostPrimMinimumSpanningTree_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBoostPrimMinimumSpanningTree\nC++: vtkBoostPrimMinimumSpanningTree *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBoostPrimMinimumSpanningTree_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBoostPrimMinimumSpanningTree\nC++: vtkBoostPrimMinimumSpanningTree *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetEdgeWeightArrayName",                (PyCFunction)PyvtkBoostPrimMinimumSpanningTree_SetEdgeWeightArrayName, 1,
   (char*)"V.SetEdgeWeightArrayName(string)\nC++: void SetEdgeWeightArrayName (char *);\n\n Set the name of the edge-weight input array, which must name an\n array that is part of the edge data of the input graph and\n contains numeric data. If the edge-weight array is not of type\n vtkDoubleArray, the array will be copied into a temporary\n vtkDoubleArray.\n"},
  {(char*)"SetOriginVertex",                (PyCFunction)PyvtkBoostPrimMinimumSpanningTree_SetOriginVertex, 1,
   (char*)"V.SetOriginVertex(int)\nC++: void SetOriginVertex (vtkIdType index);\n\n Set the index (into the vertex array) of the \n minimum spanning tree 'origin' vertex.\n"},
  {(char*)"SetCreateGraphVertexIdArray",                (PyCFunction)PyvtkBoostPrimMinimumSpanningTree_SetCreateGraphVertexIdArray, 1,
   (char*)"V.SetCreateGraphVertexIdArray(bool)\nC++: void SetCreateGraphVertexIdArray (bool );\n\n Stores the graph vertex ids for the tree vertices in an array\n named \"GraphVertexId\".  Default is off.\n"},
  {(char*)"GetCreateGraphVertexIdArray",                (PyCFunction)PyvtkBoostPrimMinimumSpanningTree_GetCreateGraphVertexIdArray, 1,
   (char*)"V.GetCreateGraphVertexIdArray() -> bool\nC++: bool GetCreateGraphVertexIdArray ();\n\n Stores the graph vertex ids for the tree vertices in an array\n named \"GraphVertexId\".  Default is off.\n"},
  {(char*)"CreateGraphVertexIdArrayOn",                (PyCFunction)PyvtkBoostPrimMinimumSpanningTree_CreateGraphVertexIdArrayOn, 1,
   (char*)"V.CreateGraphVertexIdArrayOn()\nC++: void CreateGraphVertexIdArrayOn ();\n\n Stores the graph vertex ids for the tree vertices in an array\n named \"GraphVertexId\".  Default is off.\n"},
  {(char*)"CreateGraphVertexIdArrayOff",                (PyCFunction)PyvtkBoostPrimMinimumSpanningTree_CreateGraphVertexIdArrayOff, 1,
   (char*)"V.CreateGraphVertexIdArrayOff()\nC++: void CreateGraphVertexIdArrayOff ();\n\n Stores the graph vertex ids for the tree vertices in an array\n named \"GraphVertexId\".  Default is off.\n"},
  {(char*)"SetNegateEdgeWeights",                (PyCFunction)PyvtkBoostPrimMinimumSpanningTree_SetNegateEdgeWeights, 1,
   (char*)"V.SetNegateEdgeWeights(bool)\nC++: void SetNegateEdgeWeights (bool value);\n\n Whether to negate the edge weights. By negating the edge\n weights this algorithm will give you the 'maximal' spanning\n tree (i.e. the algorithm will try to create a spanning tree\n with the highest weighted edges). Defaulted to Off.\n FIXME: put a real definition in...\n"},
  {(char*)"GetNegateEdgeWeights",                (PyCFunction)PyvtkBoostPrimMinimumSpanningTree_GetNegateEdgeWeights, 1,
   (char*)"V.GetNegateEdgeWeights() -> bool\nC++: bool GetNegateEdgeWeights ();\n\n Whether to negate the edge weights. By negating the edge\n weights this algorithm will give you the 'maximal' spanning\n tree (i.e. the algorithm will try to create a spanning tree\n with the highest weighted edges). Defaulted to Off.\n FIXME: put a real definition in...\n"},
  {(char*)"NegateEdgeWeightsOn",                (PyCFunction)PyvtkBoostPrimMinimumSpanningTree_NegateEdgeWeightsOn, 1,
   (char*)"V.NegateEdgeWeightsOn()\nC++: void NegateEdgeWeightsOn ();\n\n Whether to negate the edge weights. By negating the edge\n weights this algorithm will give you the 'maximal' spanning\n tree (i.e. the algorithm will try to create a spanning tree\n with the highest weighted edges). Defaulted to Off.\n FIXME: put a real definition in...\n"},
  {(char*)"NegateEdgeWeightsOff",                (PyCFunction)PyvtkBoostPrimMinimumSpanningTree_NegateEdgeWeightsOff, 1,
   (char*)"V.NegateEdgeWeightsOff()\nC++: void NegateEdgeWeightsOff ();\n\n Whether to negate the edge weights. By negating the edge\n weights this algorithm will give you the 'maximal' spanning\n tree (i.e. the algorithm will try to create a spanning tree\n with the highest weighted edges). Defaulted to Off.\n FIXME: put a real definition in...\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBoostPrimMinimumSpanningTreeDoc[] = {
  (char*)"vtkBoostPrimMinimumSpanningTree - Contructs a minimum spanning\n\n",
  "Super Class:\n\n vtkTreeAlgorithm\n\n",
  (char*)"\n This vtk class uses the Boost Prim Minimum Spanning Tree \n generic algorithm to perform a minimum spanning tree creation given\n a weighting value for each of the edges in the input graph and a \n a starting node for the tree.\n A couple of caveats to be noted with the Prim implementation versus the \n Kruskal implementation: \n   1. The negate edge weights function cannot be utilized to obtain a \n '",
  (char*)"maximal' spanning tree (an exception is thrown when negated edge weights\n exist), and \n   2. the Boost implementation of the Prim algorithm returns a vertex \n predecessor map which results in some ambiguity about which edge from \n the original graph should be utilized if parallel edges between nodes\n exist; therefore, the current VTK implementation does not copy the edge\n data from the graph to th",
  (char*)"e new tree.\n\n\n",
  "See Also:\n\n vtkGraph vtkBoostGraphAdapter\n\n",
  NULL
};

static vtkObjectBase *vtkBoostPrimMinimumSpanningTreeStaticNew()
{
  return vtkBoostPrimMinimumSpanningTree::New();
}

PyObject *PyVTKClass_vtkBoostPrimMinimumSpanningTreeNew(char *modulename)
{
  return PyVTKClass_New(&vtkBoostPrimMinimumSpanningTreeStaticNew,
                        PyvtkBoostPrimMinimumSpanningTreeMethods,
                        (char*)"vtkBoostPrimMinimumSpanningTree",modulename,
                        (char**)vtkBoostPrimMinimumSpanningTreeDoc,
                        PyVTKClass_vtkTreeAlgorithmNew(modulename));
}

