// python wrapper for vtkBoostRandomSparseArraySource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBoostRandomSparseArraySource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBoostRandomSparseArraySourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBoostRandomSparseArraySourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkArrayDataAlgorithmNew(char *); }

static PyObject *PyvtkBoostRandomSparseArraySource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostRandomSparseArraySource *op;

  const char    *temp20;
  op = (vtkBoostRandomSparseArraySource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostRandomSparseArraySource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostRandomSparseArraySource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostRandomSparseArraySource *op;

  char    *temp0;
  int      temp20;
  op = (vtkBoostRandomSparseArraySource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostRandomSparseArraySource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostRandomSparseArraySource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostRandomSparseArraySource *op;

  vtkBoostRandomSparseArraySource  *temp20;
  op = (vtkBoostRandomSparseArraySource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostRandomSparseArraySource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostRandomSparseArraySource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBoostRandomSparseArraySource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBoostRandomSparseArraySource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBoostRandomSparseArraySource_GetElementProbabilitySeed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostRandomSparseArraySource *op;

  unsigned int      temp20;
  op = (vtkBoostRandomSparseArraySource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostRandomSparseArraySource::GetElementProbabilitySeed();
      }
    else
      {
      temp20 = op->GetElementProbabilitySeed();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostRandomSparseArraySource_SetElementProbabilitySeed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostRandomSparseArraySource *op;

  unsigned int      temp0;
  op = (vtkBoostRandomSparseArraySource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostRandomSparseArraySource::SetElementProbabilitySeed(temp0);
      }
    else
      {
      op->SetElementProbabilitySeed(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostRandomSparseArraySource_GetElementProbability(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostRandomSparseArraySource *op;

  double   temp20;
  op = (vtkBoostRandomSparseArraySource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostRandomSparseArraySource::GetElementProbability();
      }
    else
      {
      temp20 = op->GetElementProbability();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostRandomSparseArraySource_SetElementProbability(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostRandomSparseArraySource *op;

  double   temp0;
  op = (vtkBoostRandomSparseArraySource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostRandomSparseArraySource::SetElementProbability(temp0);
      }
    else
      {
      op->SetElementProbability(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostRandomSparseArraySource_GetElementValueSeed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostRandomSparseArraySource *op;

  unsigned int      temp20;
  op = (vtkBoostRandomSparseArraySource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostRandomSparseArraySource::GetElementValueSeed();
      }
    else
      {
      temp20 = op->GetElementValueSeed();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostRandomSparseArraySource_SetElementValueSeed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostRandomSparseArraySource *op;

  unsigned int      temp0;
  op = (vtkBoostRandomSparseArraySource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostRandomSparseArraySource::SetElementValueSeed(temp0);
      }
    else
      {
      op->SetElementValueSeed(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostRandomSparseArraySource_GetMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostRandomSparseArraySource *op;

  double   temp20;
  op = (vtkBoostRandomSparseArraySource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostRandomSparseArraySource::GetMinValue();
      }
    else
      {
      temp20 = op->GetMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostRandomSparseArraySource_SetMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostRandomSparseArraySource *op;

  double   temp0;
  op = (vtkBoostRandomSparseArraySource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostRandomSparseArraySource::SetMinValue(temp0);
      }
    else
      {
      op->SetMinValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostRandomSparseArraySource_GetMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostRandomSparseArraySource *op;

  double   temp20;
  op = (vtkBoostRandomSparseArraySource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostRandomSparseArraySource::GetMaxValue();
      }
    else
      {
      temp20 = op->GetMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostRandomSparseArraySource_SetMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostRandomSparseArraySource *op;

  double   temp0;
  op = (vtkBoostRandomSparseArraySource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostRandomSparseArraySource::SetMaxValue(temp0);
      }
    else
      {
      op->SetMaxValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkBoostRandomSparseArraySourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBoostRandomSparseArraySource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBoostRandomSparseArraySource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBoostRandomSparseArraySource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBoostRandomSparseArraySource\nC++: vtkBoostRandomSparseArraySource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBoostRandomSparseArraySource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBoostRandomSparseArraySource\nC++: vtkBoostRandomSparseArraySource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetElementProbabilitySeed",                (PyCFunction)PyvtkBoostRandomSparseArraySource_GetElementProbabilitySeed, 1,
   (char*)"V.GetElementProbabilitySeed() -> int\nC++: vtkTypeUInt32 GetElementProbabilitySeed ();\n\n Stores a random-number-seed for determining which elements within\n the output matrix will have non-zero values \n"},
  {(char*)"SetElementProbabilitySeed",                (PyCFunction)PyvtkBoostRandomSparseArraySource_SetElementProbabilitySeed, 1,
   (char*)"V.SetElementProbabilitySeed(int)\nC++: void SetElementProbabilitySeed (vtkTypeUInt32 );\n\n Stores a random-number-seed for determining which elements within\n the output matrix will have non-zero values \n"},
  {(char*)"GetElementProbability",                (PyCFunction)PyvtkBoostRandomSparseArraySource_GetElementProbability, 1,
   (char*)"V.GetElementProbability() -> float\nC++: double GetElementProbability ();\n\n Stores the probability (in the range [0, 1]) that an element within\n the output matrix will have a non-zero value\n"},
  {(char*)"SetElementProbability",                (PyCFunction)PyvtkBoostRandomSparseArraySource_SetElementProbability, 1,
   (char*)"V.SetElementProbability(float)\nC++: void SetElementProbability (double );\n\n Stores the probability (in the range [0, 1]) that an element within\n the output matrix will have a non-zero value\n"},
  {(char*)"GetElementValueSeed",                (PyCFunction)PyvtkBoostRandomSparseArraySource_GetElementValueSeed, 1,
   (char*)"V.GetElementValueSeed() -> int\nC++: vtkTypeUInt32 GetElementValueSeed ();\n\n Stores a random-number-seed for computing random element values\n"},
  {(char*)"SetElementValueSeed",                (PyCFunction)PyvtkBoostRandomSparseArraySource_SetElementValueSeed, 1,
   (char*)"V.SetElementValueSeed(int)\nC++: void SetElementValueSeed (vtkTypeUInt32 );\n\n Stores a random-number-seed for computing random element values\n"},
  {(char*)"GetMinValue",                (PyCFunction)PyvtkBoostRandomSparseArraySource_GetMinValue, 1,
   (char*)"V.GetMinValue() -> float\nC++: double GetMinValue ();\n\n Stores the minimum value of any element\n"},
  {(char*)"SetMinValue",                (PyCFunction)PyvtkBoostRandomSparseArraySource_SetMinValue, 1,
   (char*)"V.SetMinValue(float)\nC++: void SetMinValue (double );\n\n Stores the minimum value of any element\n"},
  {(char*)"GetMaxValue",                (PyCFunction)PyvtkBoostRandomSparseArraySource_GetMaxValue, 1,
   (char*)"V.GetMaxValue() -> float\nC++: double GetMaxValue ();\n\n Stores the maximum value of any element\n"},
  {(char*)"SetMaxValue",                (PyCFunction)PyvtkBoostRandomSparseArraySource_SetMaxValue, 1,
   (char*)"V.SetMaxValue(float)\nC++: void SetMaxValue (double );\n\n Stores the maximum value of any element\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBoostRandomSparseArraySourceDoc[] = {
  (char*)"vtkBoostRandomSparseArraySource - generates a sparse N-way array containing random values.\n\n",
  "Super Class:\n\n vtkArrayDataAlgorithm\n\n",
  (char*)"None provided.\n\n",
  NULL
};

static vtkObjectBase *vtkBoostRandomSparseArraySourceStaticNew()
{
  return vtkBoostRandomSparseArraySource::New();
}

PyObject *PyVTKClass_vtkBoostRandomSparseArraySourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkBoostRandomSparseArraySourceStaticNew,
                        PyvtkBoostRandomSparseArraySourceMethods,
                        (char*)"vtkBoostRandomSparseArraySource",modulename,
                        (char**)vtkBoostRandomSparseArraySourceDoc,
                        PyVTKClass_vtkArrayDataAlgorithmNew(modulename));
}

