// python wrapper for vtkBoostSplitTableField object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBoostSplitTableField.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBoostSplitTableFieldNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBoostSplitTableFieldNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(char *); }

static PyObject *PyvtkBoostSplitTableField_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostSplitTableField *op;

  const char    *temp20;
  op = (vtkBoostSplitTableField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostSplitTableField::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostSplitTableField_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostSplitTableField *op;

  char    *temp0;
  int      temp20;
  op = (vtkBoostSplitTableField *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostSplitTableField::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostSplitTableField_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostSplitTableField *op;

  vtkBoostSplitTableField  *temp20;
  op = (vtkBoostSplitTableField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoostSplitTableField::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostSplitTableField_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBoostSplitTableField  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBoostSplitTableField::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBoostSplitTableField_ClearFields(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostSplitTableField *op;

  op = (vtkBoostSplitTableField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostSplitTableField::ClearFields();
      }
    else
      {
      op->ClearFields();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoostSplitTableField_AddField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoostSplitTableField *op;

  char    *temp0;
  char    *temp1;
  op = (vtkBoostSplitTableField *)PyArg_VTKParseTuple(self, args, (char*)"zz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoostSplitTableField::AddField(temp0,temp1);
      }
    else
      {
      op->AddField(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkBoostSplitTableFieldMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBoostSplitTableField_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBoostSplitTableField_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBoostSplitTableField_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBoostSplitTableField\nC++: vtkBoostSplitTableField *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBoostSplitTableField_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBoostSplitTableField\nC++: vtkBoostSplitTableField *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"ClearFields",                (PyCFunction)PyvtkBoostSplitTableField_ClearFields, 1,
   (char*)"V.ClearFields()\nC++: void ClearFields ();\n\n"},
  {(char*)"AddField",                (PyCFunction)PyvtkBoostSplitTableField_AddField, 1,
   (char*)"V.AddField(string, string)\nC++: void AddField (const char *field, const char *delimiters);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBoostSplitTableFieldDoc[] = {
  (char*)"vtkBoostSplitTableField - \"Splits\" one-or-more table fields by duplicating rows containing delimited data.\n\n",
  "Super Class:\n\n vtkTableAlgorithm\n\n",
  (char*)"\n Assume the following table:\n\n Author                Year     Title\n Brian; Jeff; Tim      2007     Foo\n Tim                   2003     Bar\n\n If we produce a graph relating authors to the year in which they publish, the string\n \"Brian; Jeff; Tim\" will be treated (incorrectly) as a single author associated with\n the year 2007.  vtkBoostSplitTableField addresses this by splitting one-or-more fields",
  (char*)" into\n \"subvalues\" using a configurable delimiter and placing each subvalue on its own row\n (the other fields in the original row are copied).  Using the above example, splitting\n the \"Author\" field with a \";\" (semicolon) delimiter produces:\n\n Author                Year     Title\n Brian                 2007     Foo\n Jeff                  2007     Foo\n Tim                   2007     Foo\n Tim       ",
  (char*)"            2003     Bar\n\n When this table is converted to a graph, each author (correctly) becomes a separate node.\n\n Usage:\n\n Use AddField() to specify the field(s) to be split.  If no fields have been specified,\n vtkBoostSplitTableField will act as a passthrough.  By default, no fields are specified.\n\n The second argument to AddField() is a string containing zero-to-many single character\n delim",
  (char*)"iters (multi-character delimiters are not supported).\n\n If the input table is missing a field specified by AddField(), it is an error.\n If no fields are specified, no splitting is performed.\n If the delimiter for a field is an empty string, no splitting is performed on that field.\n\n",
  NULL
};

static vtkObjectBase *vtkBoostSplitTableFieldStaticNew()
{
  return vtkBoostSplitTableField::New();
}

PyObject *PyVTKClass_vtkBoostSplitTableFieldNew(char *modulename)
{
  return PyVTKClass_New(&vtkBoostSplitTableFieldStaticNew,
                        PyvtkBoostSplitTableFieldMethods,
                        (char*)"vtkBoostSplitTableField",modulename,
                        (char**)vtkBoostSplitTableFieldDoc,
                        PyVTKClass_vtkTableAlgorithmNew(modulename));
}

