// python wrapper for vtkCollapseVerticesByArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCollapseVerticesByArray.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCollapseVerticesByArrayNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCollapseVerticesByArrayNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGraphAlgorithmNew(char *); }

static PyObject *PyvtkCollapseVerticesByArray_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollapseVerticesByArray *op;

  const char    *temp20;
  op = (vtkCollapseVerticesByArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollapseVerticesByArray::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCollapseVerticesByArray_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollapseVerticesByArray *op;

  char    *temp0;
  int      temp20;
  op = (vtkCollapseVerticesByArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollapseVerticesByArray::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCollapseVerticesByArray_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollapseVerticesByArray *op;

  vtkCollapseVerticesByArray  *temp20;
  op = (vtkCollapseVerticesByArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollapseVerticesByArray::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCollapseVerticesByArray_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCollapseVerticesByArray  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCollapseVerticesByArray::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCollapseVerticesByArray_GetAllowSelfLoops(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollapseVerticesByArray *op;

  bool   temp20;
  op = (vtkCollapseVerticesByArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollapseVerticesByArray::GetAllowSelfLoops();
      }
    else
      {
      temp20 = op->GetAllowSelfLoops();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkCollapseVerticesByArray_SetAllowSelfLoops(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollapseVerticesByArray *op;

  bool   temp0;
  op = (vtkCollapseVerticesByArray *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCollapseVerticesByArray::SetAllowSelfLoops(temp0);
      }
    else
      {
      op->SetAllowSelfLoops(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCollapseVerticesByArray_AllowSelfLoopsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollapseVerticesByArray *op;

  op = (vtkCollapseVerticesByArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCollapseVerticesByArray::AllowSelfLoopsOn();
      }
    else
      {
      op->AllowSelfLoopsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCollapseVerticesByArray_AllowSelfLoopsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollapseVerticesByArray *op;

  op = (vtkCollapseVerticesByArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCollapseVerticesByArray::AllowSelfLoopsOff();
      }
    else
      {
      op->AllowSelfLoopsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCollapseVerticesByArray_AddAggregateEdgeArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollapseVerticesByArray *op;

  char    *temp0;
  op = (vtkCollapseVerticesByArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCollapseVerticesByArray::AddAggregateEdgeArray(temp0);
      }
    else
      {
      op->AddAggregateEdgeArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCollapseVerticesByArray_ClearAggregateEdgeArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollapseVerticesByArray *op;

  op = (vtkCollapseVerticesByArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCollapseVerticesByArray::ClearAggregateEdgeArray();
      }
    else
      {
      op->ClearAggregateEdgeArray();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCollapseVerticesByArray_GetVertexArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollapseVerticesByArray *op;

  char    *temp20;
  op = (vtkCollapseVerticesByArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollapseVerticesByArray::GetVertexArray();
      }
    else
      {
      temp20 = op->GetVertexArray();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCollapseVerticesByArray_SetVertexArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollapseVerticesByArray *op;

  char    *temp0;
  op = (vtkCollapseVerticesByArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCollapseVerticesByArray::SetVertexArray(temp0);
      }
    else
      {
      op->SetVertexArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCollapseVerticesByArrayMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCollapseVerticesByArray_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCollapseVerticesByArray_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCollapseVerticesByArray_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCollapseVerticesByArray\nC++: vtkCollapseVerticesByArray *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCollapseVerticesByArray_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCollapseVerticesByArray\nC++: vtkCollapseVerticesByArray *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetAllowSelfLoops",                (PyCFunction)PyvtkCollapseVerticesByArray_GetAllowSelfLoops, 1,
   (char*)"V.GetAllowSelfLoops() -> bool\nC++: bool GetAllowSelfLoops ();\n\n Boolean to allow self loops during collapse.\n"},
  {(char*)"SetAllowSelfLoops",                (PyCFunction)PyvtkCollapseVerticesByArray_SetAllowSelfLoops, 1,
   (char*)"V.SetAllowSelfLoops(bool)\nC++: void SetAllowSelfLoops (bool );\n\n Boolean to allow self loops during collapse.\n"},
  {(char*)"AllowSelfLoopsOn",                (PyCFunction)PyvtkCollapseVerticesByArray_AllowSelfLoopsOn, 1,
   (char*)"V.AllowSelfLoopsOn()\nC++: void AllowSelfLoopsOn ();\n\n Boolean to allow self loops during collapse.\n"},
  {(char*)"AllowSelfLoopsOff",                (PyCFunction)PyvtkCollapseVerticesByArray_AllowSelfLoopsOff, 1,
   (char*)"V.AllowSelfLoopsOff()\nC++: void AllowSelfLoopsOff ();\n\n Boolean to allow self loops during collapse.\n"},
  {(char*)"AddAggregateEdgeArray",                (PyCFunction)PyvtkCollapseVerticesByArray_AddAggregateEdgeArray, 1,
   (char*)"V.AddAggregateEdgeArray(string)\nC++: void AddAggregateEdgeArray (const char *arrName);\n\n Add arrays on which aggregation of data is allowed.\n Default if replaced by the last value.\n"},
  {(char*)"ClearAggregateEdgeArray",                (PyCFunction)PyvtkCollapseVerticesByArray_ClearAggregateEdgeArray, 1,
   (char*)"V.ClearAggregateEdgeArray()\nC++: void ClearAggregateEdgeArray ();\n\n Clear the list of arrays on which aggregation was set to allow.\n"},
  {(char*)"GetVertexArray",                (PyCFunction)PyvtkCollapseVerticesByArray_GetVertexArray, 1,
   (char*)"V.GetVertexArray() -> string\nC++: char *GetVertexArray ();\n\n Set the array using which perform the collapse.\n"},
  {(char*)"SetVertexArray",                (PyCFunction)PyvtkCollapseVerticesByArray_SetVertexArray, 1,
   (char*)"V.SetVertexArray(string)\nC++: void SetVertexArray (char *);\n\n Set the array using which perform the collapse.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCollapseVerticesByArrayDoc[] = {
  (char*)"vtkCollapseVerticesByArray - Collapse the graph given a vertex array\n\n",
  "Super Class:\n\n vtkGraphAlgorithm\n\n",
  (char*)" vtkCollapseVerticesByArray is a class which collapses the graph using\n a vertex array as the key. So if the graph has vertices sharing common\n traits then this class combines all these vertices into one. This class\n does not perform aggregation on vertex data but allow to do so for edge data.\n Users can choose one or more edge data arrays for aggregation using\n AddAggregateEdgeArray function.\n\n .",
  (char*)"SECTION Thanks\n\n\n",
  NULL
};

static vtkObjectBase *vtkCollapseVerticesByArrayStaticNew()
{
  return vtkCollapseVerticesByArray::New();
}

PyObject *PyVTKClass_vtkCollapseVerticesByArrayNew(char *modulename)
{
  return PyVTKClass_New(&vtkCollapseVerticesByArrayStaticNew,
                        PyvtkCollapseVerticesByArrayMethods,
                        (char*)"vtkCollapseVerticesByArray",modulename,
                        (char**)vtkCollapseVerticesByArrayDoc,
                        PyVTKClass_vtkGraphAlgorithmNew(modulename));
}

