// python wrapper for vtkConeLayoutStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkConeLayoutStrategy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkConeLayoutStrategyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkConeLayoutStrategyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGraphLayoutStrategyNew(char *); }

static PyObject *PyvtkConeLayoutStrategy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConeLayoutStrategy *op;

  const char    *temp20;
  op = (vtkConeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConeLayoutStrategy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkConeLayoutStrategy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConeLayoutStrategy *op;

  char    *temp0;
  int      temp20;
  op = (vtkConeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConeLayoutStrategy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConeLayoutStrategy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConeLayoutStrategy *op;

  vtkConeLayoutStrategy  *temp20;
  op = (vtkConeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConeLayoutStrategy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConeLayoutStrategy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkConeLayoutStrategy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkConeLayoutStrategy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkConeLayoutStrategy_SetCompactness(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConeLayoutStrategy *op;

  float    temp0;
  op = (vtkConeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConeLayoutStrategy::SetCompactness(temp0);
      }
    else
      {
      op->SetCompactness(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConeLayoutStrategy_GetCompactness(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConeLayoutStrategy *op;

  float    temp20;
  op = (vtkConeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConeLayoutStrategy::GetCompactness();
      }
    else
      {
      temp20 = op->GetCompactness();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConeLayoutStrategy_SetCompression(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConeLayoutStrategy *op;

  int      temp0;
  op = (vtkConeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConeLayoutStrategy::SetCompression(temp0);
      }
    else
      {
      op->SetCompression(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConeLayoutStrategy_GetCompression(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConeLayoutStrategy *op;

  int      temp20;
  op = (vtkConeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConeLayoutStrategy::GetCompression();
      }
    else
      {
      temp20 = op->GetCompression();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConeLayoutStrategy_CompressionOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConeLayoutStrategy *op;

  op = (vtkConeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConeLayoutStrategy::CompressionOn();
      }
    else
      {
      op->CompressionOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConeLayoutStrategy_CompressionOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConeLayoutStrategy *op;

  op = (vtkConeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConeLayoutStrategy::CompressionOff();
      }
    else
      {
      op->CompressionOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConeLayoutStrategy_SetSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConeLayoutStrategy *op;

  float    temp0;
  op = (vtkConeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConeLayoutStrategy::SetSpacing(temp0);
      }
    else
      {
      op->SetSpacing(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConeLayoutStrategy_GetSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConeLayoutStrategy *op;

  float    temp20;
  op = (vtkConeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConeLayoutStrategy::GetSpacing();
      }
    else
      {
      temp20 = op->GetSpacing();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConeLayoutStrategy_Layout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConeLayoutStrategy *op;

  op = (vtkConeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConeLayoutStrategy::Layout();
      }
    else
      {
      op->Layout();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkConeLayoutStrategyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkConeLayoutStrategy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkConeLayoutStrategy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkConeLayoutStrategy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkConeLayoutStrategy\nC++: vtkConeLayoutStrategy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkConeLayoutStrategy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkConeLayoutStrategy\nC++: vtkConeLayoutStrategy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetCompactness",                (PyCFunction)PyvtkConeLayoutStrategy_SetCompactness, 1,
   (char*)"V.SetCompactness(float)\nC++: void SetCompactness (float );\n\n Determine the compactness, the ratio between the\n average width of a cone in the tree, and the \n height of the cone.  The default setting is 0.75\n which (empirically) seems reasonable, but this\n will need adapting depending on the data.\n"},
  {(char*)"GetCompactness",                (PyCFunction)PyvtkConeLayoutStrategy_GetCompactness, 1,
   (char*)"V.GetCompactness() -> float\nC++: float GetCompactness ();\n\n Determine the compactness, the ratio between the\n average width of a cone in the tree, and the \n height of the cone.  The default setting is 0.75\n which (empirically) seems reasonable, but this\n will need adapting depending on the data.\n"},
  {(char*)"SetCompression",                (PyCFunction)PyvtkConeLayoutStrategy_SetCompression, 1,
   (char*)"V.SetCompression(int)\nC++: void SetCompression (int );\n\n Determine if layout should be compressed, i.e. the \n layout puts children closer together, possibly allowing\n sub-trees to overlap.  This is useful if the tree is \n actually the spanning tree of a graph.  For \"real\" trees, \n non-compressed layout is best, and is the default.\n"},
  {(char*)"GetCompression",                (PyCFunction)PyvtkConeLayoutStrategy_GetCompression, 1,
   (char*)"V.GetCompression() -> int\nC++: int GetCompression ();\n\n Determine if layout should be compressed, i.e. the \n layout puts children closer together, possibly allowing\n sub-trees to overlap.  This is useful if the tree is \n actually the spanning tree of a graph.  For \"real\" trees, \n non-compressed layout is best, and is the default.\n"},
  {(char*)"CompressionOn",                (PyCFunction)PyvtkConeLayoutStrategy_CompressionOn, 1,
   (char*)"V.CompressionOn()\nC++: void CompressionOn ();\n\n Determine if layout should be compressed, i.e. the \n layout puts children closer together, possibly allowing\n sub-trees to overlap.  This is useful if the tree is \n actually the spanning tree of a graph.  For \"real\" trees, \n non-compressed layout is best, and is the default.\n"},
  {(char*)"CompressionOff",                (PyCFunction)PyvtkConeLayoutStrategy_CompressionOff, 1,
   (char*)"V.CompressionOff()\nC++: void CompressionOff ();\n\n Determine if layout should be compressed, i.e. the \n layout puts children closer together, possibly allowing\n sub-trees to overlap.  This is useful if the tree is \n actually the spanning tree of a graph.  For \"real\" trees, \n non-compressed layout is best, and is the default.\n"},
  {(char*)"SetSpacing",                (PyCFunction)PyvtkConeLayoutStrategy_SetSpacing, 1,
   (char*)"V.SetSpacing(float)\nC++: void SetSpacing (float );\n\n Set the spacing parameter that affects space between\n layers of the tree.  If compression is on, Spacing is the\n actual distance between layers.  If compression is off, \n actual distance also includes a factor of the compactness\n and maximum cone radius.\n"},
  {(char*)"GetSpacing",                (PyCFunction)PyvtkConeLayoutStrategy_GetSpacing, 1,
   (char*)"V.GetSpacing() -> float\nC++: float GetSpacing ();\n\n Set the spacing parameter that affects space between\n layers of the tree.  If compression is on, Spacing is the\n actual distance between layers.  If compression is off, \n actual distance also includes a factor of the compactness\n and maximum cone radius.\n"},
  {(char*)"Layout",                (PyCFunction)PyvtkConeLayoutStrategy_Layout, 1,
   (char*)"V.Layout()\nC++: void Layout ();\n\n Perform the layout.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkConeLayoutStrategyDoc[] = {
  (char*)"vtkConeLayoutStrategy - produce a cone-tree layout for a forest\n\n",
  "Super Class:\n\n vtkGraphLayoutStrategy\n\n",
  (char*)" vtkConeLayoutStrategy positions the nodes of a tree(forest) in 3D \n space based on the cone-tree approach first described by \n Robertson, Mackinlay and Card in Proc. CHI'91.  This\n implementation incorporates refinements to the layout \n developed by Carriere and Kazman, and by Auber.\n\n The input graph must be a forest (i.e. a set of trees, or a \n single tree); in the case of a forest, the input w",
  (char*)"ill be\n converted to a single tree by introducing a new root node, \n and connecting each root in the input forest to the meta-root. \n The tree is then laid out, after which the meta-root is removed.  \n\n The cones are positioned so that children lie in planes parallel\n to the X-Y plane, with the axis of cones parallel to Z, and\n with Z coordinate increasing with distance of nodes from the root.\n\n .",
  (char*)"SECTION Thanks\n Thanks to David Duke from the University of Leeds for providing this \n implementation.\n\n",
  NULL
};

static vtkObjectBase *vtkConeLayoutStrategyStaticNew()
{
  return vtkConeLayoutStrategy::New();
}

PyObject *PyVTKClass_vtkConeLayoutStrategyNew(char *modulename)
{
  return PyVTKClass_New(&vtkConeLayoutStrategyStaticNew,
                        PyvtkConeLayoutStrategyMethods,
                        (char*)"vtkConeLayoutStrategy",modulename,
                        (char**)vtkConeLayoutStrategyDoc,
                        PyVTKClass_vtkGraphLayoutStrategyNew(modulename));
}

