// python wrapper for vtkCorrelativeStatistics object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCorrelativeStatistics.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCorrelativeStatisticsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCorrelativeStatisticsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkBivariateStatisticsAlgorithmNew(char *); }

static PyObject *PyvtkCorrelativeStatistics_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCorrelativeStatistics *op;

  const char    *temp20;
  op = (vtkCorrelativeStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCorrelativeStatistics::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCorrelativeStatistics_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCorrelativeStatistics *op;

  char    *temp0;
  int      temp20;
  op = (vtkCorrelativeStatistics *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCorrelativeStatistics::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCorrelativeStatistics_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCorrelativeStatistics *op;

  vtkCorrelativeStatistics  *temp20;
  op = (vtkCorrelativeStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCorrelativeStatistics::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCorrelativeStatistics_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCorrelativeStatistics  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCorrelativeStatistics::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCorrelativeStatistics_Aggregate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCorrelativeStatistics *op;

  vtkDataObjectCollection  *temp0;
  PyObject *tempH0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  op = (vtkCorrelativeStatistics *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkDataObjectCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObjectCollection");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkCorrelativeStatistics::Aggregate(temp0,temp1);
      }
    else
      {
      op->Aggregate(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}

static PyMethodDef PyvtkCorrelativeStatisticsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCorrelativeStatistics_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCorrelativeStatistics_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCorrelativeStatistics_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCorrelativeStatistics\nC++: vtkCorrelativeStatistics *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCorrelativeStatistics_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCorrelativeStatistics\nC++: vtkCorrelativeStatistics *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Aggregate",                (PyCFunction)PyvtkCorrelativeStatistics_Aggregate, 1,
   (char*)"V.Aggregate(vtkDataObjectCollection, vtkDataObject)\nC++: virtual void Aggregate (vtkDataObjectCollection *, vtkDataObject *);\n\n Given a collection of models, calculate aggregate model\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCorrelativeStatisticsDoc[] = {
  (char*)"vtkCorrelativeStatistics - A class for linear correlation\n\n",
  "Super Class:\n\n vtkBivariateStatisticsAlgorithm\n\n",
  (char*)" Given a selection of pairs of columns of interest, this class provides the\n following functionalities, depending on the execution mode it is executed in:\n * Learn: calculate means, unbiased variance and covariance estimators of\n   column pairs, and corresponding linear regressions and linear correlation \n   coefficient. More precisely, Learn calculates the sums; if \\p finalize\n   is set to true (",
  (char*)"default), the final statistics are calculated with the \n   function CalculateFromSums. Otherwise, only raw sums are output; this \n   option is made for efficient parallel calculations.\n   Note that CalculateFromSums is a static function, so that it can be used\n   directly with no need to instantiate a vtkCorrelativeStatistics object.\n * Assess: given two data vectors X and Y with the same number o",
  (char*)"f entries as\n   input in port INPUT_DATA, and reference means, variances, and covariance, along\n   with an acceptable threshold t>1, assess all pairs of values of (X,Y) \n   whose relative PDF (assuming a bivariate Gaussian model) is below t.\n  \n .SECTION Thanks\n Thanks to Philippe Pebay and David Thompson from Sandia National Laboratories \n for implementing this class.\n\n",
  NULL
};

static vtkObjectBase *vtkCorrelativeStatisticsStaticNew()
{
  return vtkCorrelativeStatistics::New();
}

PyObject *PyVTKClass_vtkCorrelativeStatisticsNew(char *modulename)
{
  return PyVTKClass_New(&vtkCorrelativeStatisticsStaticNew,
                        PyvtkCorrelativeStatisticsMethods,
                        (char*)"vtkCorrelativeStatistics",modulename,
                        (char**)vtkCorrelativeStatisticsDoc,
                        PyVTKClass_vtkBivariateStatisticsAlgorithmNew(modulename));
}

