// python wrapper for vtkDelimitedTextReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDelimitedTextReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDelimitedTextReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDelimitedTextReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(char *); }

static PyObject *PyvtkDelimitedTextReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  const char    *temp20;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelimitedTextReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelimitedTextReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  vtkDelimitedTextReader  *temp20;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelimitedTextReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDelimitedTextReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDelimitedTextReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  char    *temp20;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelimitedTextReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  char    *temp0;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_GetUnicodeCharacterSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  char    *temp20;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelimitedTextReader::GetUnicodeCharacterSet();
      }
    else
      {
      temp20 = op->GetUnicodeCharacterSet();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_SetUnicodeCharacterSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  char    *temp0;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextReader::SetUnicodeCharacterSet(temp0);
      }
    else
      {
      op->SetUnicodeCharacterSet(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_SetUTF8RecordDelimiters(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  char    *temp0;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextReader::SetUTF8RecordDelimiters(temp0);
      }
    else
      {
      op->SetUTF8RecordDelimiters(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_GetUTF8RecordDelimiters(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  const char    *temp20;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelimitedTextReader::GetUTF8RecordDelimiters();
      }
    else
      {
      temp20 = op->GetUTF8RecordDelimiters();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_SetFieldDelimiterCharacters(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  char    *temp0;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextReader::SetFieldDelimiterCharacters(temp0);
      }
    else
      {
      op->SetFieldDelimiterCharacters(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_GetFieldDelimiterCharacters(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  char    *temp20;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelimitedTextReader::GetFieldDelimiterCharacters();
      }
    else
      {
      temp20 = op->GetFieldDelimiterCharacters();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_SetUTF8FieldDelimiters(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  char    *temp0;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextReader::SetUTF8FieldDelimiters(temp0);
      }
    else
      {
      op->SetUTF8FieldDelimiters(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_GetUTF8FieldDelimiters(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  const char    *temp20;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelimitedTextReader::GetUTF8FieldDelimiters();
      }
    else
      {
      temp20 = op->GetUTF8FieldDelimiters();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_GetStringDelimiter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  char     temp20;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelimitedTextReader::GetStringDelimiter();
      }
    else
      {
      temp20 = op->GetStringDelimiter();
      }
    char temp20String[2];
    temp20String[0] = temp20;
    temp20String[1] = '\0';
    return PyString_FromStringAndSize(temp20String,1);
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_SetStringDelimiter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  char     temp0;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"c", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextReader::SetStringDelimiter(temp0);
      }
    else
      {
      op->SetStringDelimiter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_SetUTF8StringDelimiters(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  char    *temp0;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextReader::SetUTF8StringDelimiters(temp0);
      }
    else
      {
      op->SetUTF8StringDelimiters(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_GetUTF8StringDelimiters(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  const char    *temp20;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelimitedTextReader::GetUTF8StringDelimiters();
      }
    else
      {
      temp20 = op->GetUTF8StringDelimiters();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_SetUseStringDelimiter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  bool   temp0;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextReader::SetUseStringDelimiter(temp0);
      }
    else
      {
      op->SetUseStringDelimiter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_GetUseStringDelimiter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  bool   temp20;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelimitedTextReader::GetUseStringDelimiter();
      }
    else
      {
      temp20 = op->GetUseStringDelimiter();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_UseStringDelimiterOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextReader::UseStringDelimiterOn();
      }
    else
      {
      op->UseStringDelimiterOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_UseStringDelimiterOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextReader::UseStringDelimiterOff();
      }
    else
      {
      op->UseStringDelimiterOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_GetHaveHeaders(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  bool   temp20;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelimitedTextReader::GetHaveHeaders();
      }
    else
      {
      temp20 = op->GetHaveHeaders();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_SetHaveHeaders(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  bool   temp0;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextReader::SetHaveHeaders(temp0);
      }
    else
      {
      op->SetHaveHeaders(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_SetMergeConsecutiveDelimiters(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  bool   temp0;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextReader::SetMergeConsecutiveDelimiters(temp0);
      }
    else
      {
      op->SetMergeConsecutiveDelimiters(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_GetMergeConsecutiveDelimiters(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  bool   temp20;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelimitedTextReader::GetMergeConsecutiveDelimiters();
      }
    else
      {
      temp20 = op->GetMergeConsecutiveDelimiters();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_MergeConsecutiveDelimitersOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextReader::MergeConsecutiveDelimitersOn();
      }
    else
      {
      op->MergeConsecutiveDelimitersOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_MergeConsecutiveDelimitersOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextReader::MergeConsecutiveDelimitersOff();
      }
    else
      {
      op->MergeConsecutiveDelimitersOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_GetMaxRecords(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  vtkIdType   temp20;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelimitedTextReader::GetMaxRecords();
      }
    else
      {
      temp20 = op->GetMaxRecords();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_SetMaxRecords(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  vtkIdType   temp0;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextReader::SetMaxRecords(temp0);
      }
    else
      {
      op->SetMaxRecords(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_SetDetectNumericColumns(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  bool   temp0;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextReader::SetDetectNumericColumns(temp0);
      }
    else
      {
      op->SetDetectNumericColumns(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_GetDetectNumericColumns(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  bool   temp20;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelimitedTextReader::GetDetectNumericColumns();
      }
    else
      {
      temp20 = op->GetDetectNumericColumns();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_DetectNumericColumnsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextReader::DetectNumericColumnsOn();
      }
    else
      {
      op->DetectNumericColumnsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_DetectNumericColumnsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextReader::DetectNumericColumnsOff();
      }
    else
      {
      op->DetectNumericColumnsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_SetPedigreeIdArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  char    *temp0;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextReader::SetPedigreeIdArrayName(temp0);
      }
    else
      {
      op->SetPedigreeIdArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_GetPedigreeIdArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  char    *temp20;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelimitedTextReader::GetPedigreeIdArrayName();
      }
    else
      {
      temp20 = op->GetPedigreeIdArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_SetGeneratePedigreeIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  bool   temp0;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextReader::SetGeneratePedigreeIds(temp0);
      }
    else
      {
      op->SetGeneratePedigreeIds(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_GetGeneratePedigreeIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  bool   temp20;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelimitedTextReader::GetGeneratePedigreeIds();
      }
    else
      {
      temp20 = op->GetGeneratePedigreeIds();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_GeneratePedigreeIdsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextReader::GeneratePedigreeIdsOn();
      }
    else
      {
      op->GeneratePedigreeIdsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_GeneratePedigreeIdsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextReader::GeneratePedigreeIdsOff();
      }
    else
      {
      op->GeneratePedigreeIdsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_SetOutputPedigreeIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  bool   temp0;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextReader::SetOutputPedigreeIds(temp0);
      }
    else
      {
      op->SetOutputPedigreeIds(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_GetOutputPedigreeIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  bool   temp20;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelimitedTextReader::GetOutputPedigreeIds();
      }
    else
      {
      temp20 = op->GetOutputPedigreeIds();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_OutputPedigreeIdsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextReader::OutputPedigreeIdsOn();
      }
    else
      {
      op->OutputPedigreeIdsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_OutputPedigreeIdsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelimitedTextReader::OutputPedigreeIdsOff();
      }
    else
      {
      op->OutputPedigreeIdsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelimitedTextReader_GetLastError(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelimitedTextReader *op;

  const char    *temp20;
  op = (vtkDelimitedTextReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelimitedTextReader::GetLastError();
      }
    else
      {
      temp20 = op->GetLastError();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDelimitedTextReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDelimitedTextReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDelimitedTextReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDelimitedTextReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDelimitedTextReader\nC++: vtkDelimitedTextReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDelimitedTextReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDelimitedTextReader\nC++: vtkDelimitedTextReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkDelimitedTextReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkDelimitedTextReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n"},
  {(char*)"GetUnicodeCharacterSet",                (PyCFunction)PyvtkDelimitedTextReader_GetUnicodeCharacterSet, 1,
   (char*)"V.GetUnicodeCharacterSet() -> string\nC++: char *GetUnicodeCharacterSet ();\n\n Specifies the character set used in the input file.  Valid character set\n names will be drawn from the list maintained by the Internet Assigned Name\n Authority at\n\n   http://www.iana.org/assignments/character-sets\n\n Where multiple aliases are provided for a character set, the preferred MIME name\n will be used.  vtkUnicodeDelimitedTextReader currently supports \"US-ASCII\", \"UTF-8\",\n \"UTF-16\", \"UTF-16BE\", and \"UTF-16LE\" character sets.\n"},
  {(char*)"SetUnicodeCharacterSet",                (PyCFunction)PyvtkDelimitedTextReader_SetUnicodeCharacterSet, 1,
   (char*)"V.SetUnicodeCharacterSet(string)\nC++: void SetUnicodeCharacterSet (char *);\n\n Specifies the character set used in the input file.  Valid character set\n names will be drawn from the list maintained by the Internet Assigned Name\n Authority at\n\n   http://www.iana.org/assignments/character-sets\n\n Where multiple aliases are provided for a character set, the preferred MIME name\n will be used.  vtkUnicodeDelimitedTextReader currently supports \"US-ASCII\", \"UTF-8\",\n \"UTF-16\", \"UTF-16BE\", and \"UTF-16LE\" character sets.\n"},
  {(char*)"SetUTF8RecordDelimiters",                (PyCFunction)PyvtkDelimitedTextReader_SetUTF8RecordDelimiters, 1,
   (char*)"V.SetUTF8RecordDelimiters(string)\nC++: void SetUTF8RecordDelimiters (const char *delimiters);\n\n Specify the character(s) that will be used to separate records.\n The order of characters in the string does not matter.  Defaults\n to \"\\r\\n\".\n"},
  {(char*)"GetUTF8RecordDelimiters",                (PyCFunction)PyvtkDelimitedTextReader_GetUTF8RecordDelimiters, 1,
   (char*)"V.GetUTF8RecordDelimiters() -> string\nC++: const char *GetUTF8RecordDelimiters ();\n\n Specify the character(s) that will be used to separate records.\n The order of characters in the string does not matter.  Defaults\n to \"\\r\\n\".\n"},
  {(char*)"SetFieldDelimiterCharacters",                (PyCFunction)PyvtkDelimitedTextReader_SetFieldDelimiterCharacters, 1,
   (char*)"V.SetFieldDelimiterCharacters(string)\nC++: void SetFieldDelimiterCharacters (char *);\n\n Specify the character(s) that will be used to separate fields.  For\n example, set this to \",\" for a comma-separated value file.  Set\n it to \".:;\" for a file where columns can be separated by a\n period, colon or semicolon.  The order of the characters in the\n string does not matter.  Defaults to a comma.\n"},
  {(char*)"GetFieldDelimiterCharacters",                (PyCFunction)PyvtkDelimitedTextReader_GetFieldDelimiterCharacters, 1,
   (char*)"V.GetFieldDelimiterCharacters() -> string\nC++: char *GetFieldDelimiterCharacters ();\n\n Specify the character(s) that will be used to separate fields.  For\n example, set this to \",\" for a comma-separated value file.  Set\n it to \".:;\" for a file where columns can be separated by a\n period, colon or semicolon.  The order of the characters in the\n string does not matter.  Defaults to a comma.\n"},
  {(char*)"SetUTF8FieldDelimiters",                (PyCFunction)PyvtkDelimitedTextReader_SetUTF8FieldDelimiters, 1,
   (char*)"V.SetUTF8FieldDelimiters(string)\nC++: void SetUTF8FieldDelimiters (const char *delimiters);\n\n"},
  {(char*)"GetUTF8FieldDelimiters",                (PyCFunction)PyvtkDelimitedTextReader_GetUTF8FieldDelimiters, 1,
   (char*)"V.GetUTF8FieldDelimiters() -> string\nC++: const char *GetUTF8FieldDelimiters ();\n\n"},
  {(char*)"GetStringDelimiter",                (PyCFunction)PyvtkDelimitedTextReader_GetStringDelimiter, 1,
   (char*)"V.GetStringDelimiter() -> char\nC++: char GetStringDelimiter ();\n\n Get/set the character that will begin and end strings.  Microsoft\n Excel, for example, will export the following format:\n\n \"First Field\",\"Second Field\",\"Field, With, Commas\",\"Fourth Field\"\n\n The third field has a comma in it.  By using a string delimiter,\n this will be correctly read.  The delimiter defaults to '\"'.\n"},
  {(char*)"SetStringDelimiter",                (PyCFunction)PyvtkDelimitedTextReader_SetStringDelimiter, 1,
   (char*)"V.SetStringDelimiter(char)\nC++: void SetStringDelimiter (char );\n\n Get/set the character that will begin and end strings.  Microsoft\n Excel, for example, will export the following format:\n\n \"First Field\",\"Second Field\",\"Field, With, Commas\",\"Fourth Field\"\n\n The third field has a comma in it.  By using a string delimiter,\n this will be correctly read.  The delimiter defaults to '\"'.\n"},
  {(char*)"SetUTF8StringDelimiters",                (PyCFunction)PyvtkDelimitedTextReader_SetUTF8StringDelimiters, 1,
   (char*)"V.SetUTF8StringDelimiters(string)\nC++: void SetUTF8StringDelimiters (const char *delimiters);\n\n"},
  {(char*)"GetUTF8StringDelimiters",                (PyCFunction)PyvtkDelimitedTextReader_GetUTF8StringDelimiters, 1,
   (char*)"V.GetUTF8StringDelimiters() -> string\nC++: const char *GetUTF8StringDelimiters ();\n\n"},
  {(char*)"SetUseStringDelimiter",                (PyCFunction)PyvtkDelimitedTextReader_SetUseStringDelimiter, 1,
   (char*)"V.SetUseStringDelimiter(bool)\nC++: void SetUseStringDelimiter (bool );\n\n Set/get whether to use the string delimiter.  Defaults to on.\n"},
  {(char*)"GetUseStringDelimiter",                (PyCFunction)PyvtkDelimitedTextReader_GetUseStringDelimiter, 1,
   (char*)"V.GetUseStringDelimiter() -> bool\nC++: bool GetUseStringDelimiter ();\n\n Set/get whether to use the string delimiter.  Defaults to on.\n"},
  {(char*)"UseStringDelimiterOn",                (PyCFunction)PyvtkDelimitedTextReader_UseStringDelimiterOn, 1,
   (char*)"V.UseStringDelimiterOn()\nC++: void UseStringDelimiterOn ();\n\n Set/get whether to use the string delimiter.  Defaults to on.\n"},
  {(char*)"UseStringDelimiterOff",                (PyCFunction)PyvtkDelimitedTextReader_UseStringDelimiterOff, 1,
   (char*)"V.UseStringDelimiterOff()\nC++: void UseStringDelimiterOff ();\n\n Set/get whether to use the string delimiter.  Defaults to on.\n"},
  {(char*)"GetHaveHeaders",                (PyCFunction)PyvtkDelimitedTextReader_GetHaveHeaders, 1,
   (char*)"V.GetHaveHeaders() -> bool\nC++: bool GetHaveHeaders ();\n\n Set/get whether to treat the first line of the file as headers.\n"},
  {(char*)"SetHaveHeaders",                (PyCFunction)PyvtkDelimitedTextReader_SetHaveHeaders, 1,
   (char*)"V.SetHaveHeaders(bool)\nC++: void SetHaveHeaders (bool );\n\n Set/get whether to treat the first line of the file as headers.\n"},
  {(char*)"SetMergeConsecutiveDelimiters",                (PyCFunction)PyvtkDelimitedTextReader_SetMergeConsecutiveDelimiters, 1,
   (char*)"V.SetMergeConsecutiveDelimiters(bool)\nC++: void SetMergeConsecutiveDelimiters (bool );\n\n Set/get whether to merge successive delimiters.  Use this if (for\n example) your fields are separated by spaces but you don't know\n exactly how many.\n"},
  {(char*)"GetMergeConsecutiveDelimiters",                (PyCFunction)PyvtkDelimitedTextReader_GetMergeConsecutiveDelimiters, 1,
   (char*)"V.GetMergeConsecutiveDelimiters() -> bool\nC++: bool GetMergeConsecutiveDelimiters ();\n\n Set/get whether to merge successive delimiters.  Use this if (for\n example) your fields are separated by spaces but you don't know\n exactly how many.\n"},
  {(char*)"MergeConsecutiveDelimitersOn",                (PyCFunction)PyvtkDelimitedTextReader_MergeConsecutiveDelimitersOn, 1,
   (char*)"V.MergeConsecutiveDelimitersOn()\nC++: void MergeConsecutiveDelimitersOn ();\n\n Set/get whether to merge successive delimiters.  Use this if (for\n example) your fields are separated by spaces but you don't know\n exactly how many.\n"},
  {(char*)"MergeConsecutiveDelimitersOff",                (PyCFunction)PyvtkDelimitedTextReader_MergeConsecutiveDelimitersOff, 1,
   (char*)"V.MergeConsecutiveDelimitersOff()\nC++: void MergeConsecutiveDelimitersOff ();\n\n Set/get whether to merge successive delimiters.  Use this if (for\n example) your fields are separated by spaces but you don't know\n exactly how many.\n"},
  {(char*)"GetMaxRecords",                (PyCFunction)PyvtkDelimitedTextReader_GetMaxRecords, 1,
   (char*)"V.GetMaxRecords() -> int\nC++: vtkIdType GetMaxRecords ();\n\n Specifies the maximum number of records to read from the file.  Limiting the\n number of records to read is useful for previewing the contents of a file.\n"},
  {(char*)"SetMaxRecords",                (PyCFunction)PyvtkDelimitedTextReader_SetMaxRecords, 1,
   (char*)"V.SetMaxRecords(int)\nC++: void SetMaxRecords (vtkIdType );\n\n Specifies the maximum number of records to read from the file.  Limiting the\n number of records to read is useful for previewing the contents of a file.\n"},
  {(char*)"SetDetectNumericColumns",                (PyCFunction)PyvtkDelimitedTextReader_SetDetectNumericColumns, 1,
   (char*)"V.SetDetectNumericColumns(bool)\nC++: void SetDetectNumericColumns (bool );\n\n When set to true, the reader will detect numeric columns and create\n vtkDoubleArray or vtkIntArray for those instead of vtkStringArray. Default\n is off.\n"},
  {(char*)"GetDetectNumericColumns",                (PyCFunction)PyvtkDelimitedTextReader_GetDetectNumericColumns, 1,
   (char*)"V.GetDetectNumericColumns() -> bool\nC++: bool GetDetectNumericColumns ();\n\n When set to true, the reader will detect numeric columns and create\n vtkDoubleArray or vtkIntArray for those instead of vtkStringArray. Default\n is off.\n"},
  {(char*)"DetectNumericColumnsOn",                (PyCFunction)PyvtkDelimitedTextReader_DetectNumericColumnsOn, 1,
   (char*)"V.DetectNumericColumnsOn()\nC++: void DetectNumericColumnsOn ();\n\n When set to true, the reader will detect numeric columns and create\n vtkDoubleArray or vtkIntArray for those instead of vtkStringArray. Default\n is off.\n"},
  {(char*)"DetectNumericColumnsOff",                (PyCFunction)PyvtkDelimitedTextReader_DetectNumericColumnsOff, 1,
   (char*)"V.DetectNumericColumnsOff()\nC++: void DetectNumericColumnsOff ();\n\n When set to true, the reader will detect numeric columns and create\n vtkDoubleArray or vtkIntArray for those instead of vtkStringArray. Default\n is off.\n"},
  {(char*)"SetPedigreeIdArrayName",                (PyCFunction)PyvtkDelimitedTextReader_SetPedigreeIdArrayName, 1,
   (char*)"V.SetPedigreeIdArrayName(string)\nC++: void SetPedigreeIdArrayName (char *);\n\n The name of the array for generating or assigning pedigree ids\n (default \"id\").\n"},
  {(char*)"GetPedigreeIdArrayName",                (PyCFunction)PyvtkDelimitedTextReader_GetPedigreeIdArrayName, 1,
   (char*)"V.GetPedigreeIdArrayName() -> string\nC++: char *GetPedigreeIdArrayName ();\n\n The name of the array for generating or assigning pedigree ids\n (default \"id\").\n"},
  {(char*)"SetGeneratePedigreeIds",                (PyCFunction)PyvtkDelimitedTextReader_SetGeneratePedigreeIds, 1,
   (char*)"V.SetGeneratePedigreeIds(bool)\nC++: void SetGeneratePedigreeIds (bool );\n\n If on (default), generates pedigree ids automatically.\n If off, assign one of the arrays to be the pedigree id.\n"},
  {(char*)"GetGeneratePedigreeIds",                (PyCFunction)PyvtkDelimitedTextReader_GetGeneratePedigreeIds, 1,
   (char*)"V.GetGeneratePedigreeIds() -> bool\nC++: bool GetGeneratePedigreeIds ();\n\n If on (default), generates pedigree ids automatically.\n If off, assign one of the arrays to be the pedigree id.\n"},
  {(char*)"GeneratePedigreeIdsOn",                (PyCFunction)PyvtkDelimitedTextReader_GeneratePedigreeIdsOn, 1,
   (char*)"V.GeneratePedigreeIdsOn()\nC++: void GeneratePedigreeIdsOn ();\n\n If on (default), generates pedigree ids automatically.\n If off, assign one of the arrays to be the pedigree id.\n"},
  {(char*)"GeneratePedigreeIdsOff",                (PyCFunction)PyvtkDelimitedTextReader_GeneratePedigreeIdsOff, 1,
   (char*)"V.GeneratePedigreeIdsOff()\nC++: void GeneratePedigreeIdsOff ();\n\n If on (default), generates pedigree ids automatically.\n If off, assign one of the arrays to be the pedigree id.\n"},
  {(char*)"SetOutputPedigreeIds",                (PyCFunction)PyvtkDelimitedTextReader_SetOutputPedigreeIds, 1,
   (char*)"V.SetOutputPedigreeIds(bool)\nC++: void SetOutputPedigreeIds (bool );\n\n If on, assigns pedigree ids to output. Defaults to off.\n"},
  {(char*)"GetOutputPedigreeIds",                (PyCFunction)PyvtkDelimitedTextReader_GetOutputPedigreeIds, 1,
   (char*)"V.GetOutputPedigreeIds() -> bool\nC++: bool GetOutputPedigreeIds ();\n\n If on, assigns pedigree ids to output. Defaults to off.\n"},
  {(char*)"OutputPedigreeIdsOn",                (PyCFunction)PyvtkDelimitedTextReader_OutputPedigreeIdsOn, 1,
   (char*)"V.OutputPedigreeIdsOn()\nC++: void OutputPedigreeIdsOn ();\n\n If on, assigns pedigree ids to output. Defaults to off.\n"},
  {(char*)"OutputPedigreeIdsOff",                (PyCFunction)PyvtkDelimitedTextReader_OutputPedigreeIdsOff, 1,
   (char*)"V.OutputPedigreeIdsOff()\nC++: void OutputPedigreeIdsOff ();\n\n If on, assigns pedigree ids to output. Defaults to off.\n"},
  {(char*)"GetLastError",                (PyCFunction)PyvtkDelimitedTextReader_GetLastError, 1,
   (char*)"V.GetLastError() -> string\nC++: vtkStdString GetLastError ();\n\n Returns a human-readable description of the most recent error, if any.\n Otherwise, returns an empty string.  Note that the result is only valid\n after calling Update().\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDelimitedTextReaderDoc[] = {
  (char*)"vtkDelimitedTextReader - reads in delimited ascii or unicode text files \n\n",
  "Super Class:\n\n vtkTableAlgorithm\n\n",
  (char*)" vtkDelimitedTextReader is an interface for pulling in data from a\n flat, delimited ascii or unicode text file (delimiter can be any character).\n\n The behavior of the reader with respect to ascii or unicode input is controlled\n by the SetUnicodeCharacterSet() method.  By default (without calling SetUnicodeCharacterSet()),\n the reader will expect to read ascii text and will output vtkStdString colu",
  (char*)"mns.  Use \n the Set and Get methods to set delimiters that do not contain UTF8 in the name when operating \n the reader in default ascii mode.  If the SetUnicodeCharacterSet() method is called, the reader \n will output vtkUnicodeString columns in the output table.  In addition, it is necessary to use \n the Set and Get methods that contain UTF8 in the name to specify delimiters when operating in \n u",
  (char*)"nicode mode.\n\n This class emits ProgressEvent for every 100 lines it reads.\n\n .SECTION Thanks\n Thanks to Andy Wilson, Brian Wylie, Tim Shead, and Thomas Otahal\n from Sandia National Laboratories for implementing this class.\n \n\n",
  "Caveats:\n\n\n This reader assumes that the first line in the file (whether that's\n headers or the first document) contains at least as many fields as\n any other line in the file.\n\n",
  NULL
};

static vtkObjectBase *vtkDelimitedTextReaderStaticNew()
{
  return vtkDelimitedTextReader::New();
}

PyObject *PyVTKClass_vtkDelimitedTextReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkDelimitedTextReaderStaticNew,
                        PyvtkDelimitedTextReaderMethods,
                        (char*)"vtkDelimitedTextReader",modulename,
                        (char**)vtkDelimitedTextReaderDoc,
                        PyVTKClass_vtkTableAlgorithmNew(modulename));
}

