// python wrapper for vtkDescriptiveStatistics object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDescriptiveStatistics.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDescriptiveStatisticsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDescriptiveStatisticsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnivariateStatisticsAlgorithmNew(char *); }

static PyObject *PyvtkDescriptiveStatistics_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDescriptiveStatistics *op;

  const char    *temp20;
  op = (vtkDescriptiveStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDescriptiveStatistics::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDescriptiveStatistics_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDescriptiveStatistics *op;

  char    *temp0;
  int      temp20;
  op = (vtkDescriptiveStatistics *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDescriptiveStatistics::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDescriptiveStatistics_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDescriptiveStatistics *op;

  vtkDescriptiveStatistics  *temp20;
  op = (vtkDescriptiveStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDescriptiveStatistics::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDescriptiveStatistics_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDescriptiveStatistics  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDescriptiveStatistics::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDescriptiveStatistics_SetUnbiasedVariance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDescriptiveStatistics *op;

  int      temp0;
  op = (vtkDescriptiveStatistics *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDescriptiveStatistics::SetUnbiasedVariance(temp0);
      }
    else
      {
      op->SetUnbiasedVariance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDescriptiveStatistics_GetUnbiasedVariance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDescriptiveStatistics *op;

  int      temp20;
  op = (vtkDescriptiveStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDescriptiveStatistics::GetUnbiasedVariance();
      }
    else
      {
      temp20 = op->GetUnbiasedVariance();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDescriptiveStatistics_UnbiasedVarianceOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDescriptiveStatistics *op;

  op = (vtkDescriptiveStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDescriptiveStatistics::UnbiasedVarianceOn();
      }
    else
      {
      op->UnbiasedVarianceOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDescriptiveStatistics_UnbiasedVarianceOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDescriptiveStatistics *op;

  op = (vtkDescriptiveStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDescriptiveStatistics::UnbiasedVarianceOff();
      }
    else
      {
      op->UnbiasedVarianceOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDescriptiveStatistics_SetSignedDeviations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDescriptiveStatistics *op;

  int      temp0;
  op = (vtkDescriptiveStatistics *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDescriptiveStatistics::SetSignedDeviations(temp0);
      }
    else
      {
      op->SetSignedDeviations(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDescriptiveStatistics_GetSignedDeviations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDescriptiveStatistics *op;

  int      temp20;
  op = (vtkDescriptiveStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDescriptiveStatistics::GetSignedDeviations();
      }
    else
      {
      temp20 = op->GetSignedDeviations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDescriptiveStatistics_SignedDeviationsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDescriptiveStatistics *op;

  op = (vtkDescriptiveStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDescriptiveStatistics::SignedDeviationsOn();
      }
    else
      {
      op->SignedDeviationsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDescriptiveStatistics_SignedDeviationsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDescriptiveStatistics *op;

  op = (vtkDescriptiveStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDescriptiveStatistics::SignedDeviationsOff();
      }
    else
      {
      op->SignedDeviationsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDescriptiveStatistics_SetNominalParameter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDescriptiveStatistics *op;

  char    *temp0;
  op = (vtkDescriptiveStatistics *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDescriptiveStatistics::SetNominalParameter(temp0);
      }
    else
      {
      op->SetNominalParameter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDescriptiveStatistics_SetDeviationParameter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDescriptiveStatistics *op;

  char    *temp0;
  op = (vtkDescriptiveStatistics *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDescriptiveStatistics::SetDeviationParameter(temp0);
      }
    else
      {
      op->SetDeviationParameter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDescriptiveStatistics_Aggregate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDescriptiveStatistics *op;

  vtkDataObjectCollection  *temp0;
  PyObject *tempH0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  op = (vtkDescriptiveStatistics *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkDataObjectCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObjectCollection");
    if (!temp0 && tempH0 != Py_None) goto break14;
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkDescriptiveStatistics::Aggregate(temp0,temp1);
      }
    else
      {
      op->Aggregate(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}

static PyMethodDef PyvtkDescriptiveStatisticsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDescriptiveStatistics_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDescriptiveStatistics_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDescriptiveStatistics_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDescriptiveStatistics\nC++: vtkDescriptiveStatistics *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDescriptiveStatistics_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDescriptiveStatistics\nC++: vtkDescriptiveStatistics *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetUnbiasedVariance",                (PyCFunction)PyvtkDescriptiveStatistics_SetUnbiasedVariance, 1,
   (char*)"V.SetUnbiasedVariance(int)\nC++: void SetUnbiasedVariance (int );\n\n Set/get whether the unbiased estimator for the variance should be used, or if\n the population variance will be calculated.\n The default is that the unbiased estimator will be used.\n"},
  {(char*)"GetUnbiasedVariance",                (PyCFunction)PyvtkDescriptiveStatistics_GetUnbiasedVariance, 1,
   (char*)"V.GetUnbiasedVariance() -> int\nC++: int GetUnbiasedVariance ();\n\n Set/get whether the unbiased estimator for the variance should be used, or if\n the population variance will be calculated.\n The default is that the unbiased estimator will be used.\n"},
  {(char*)"UnbiasedVarianceOn",                (PyCFunction)PyvtkDescriptiveStatistics_UnbiasedVarianceOn, 1,
   (char*)"V.UnbiasedVarianceOn()\nC++: void UnbiasedVarianceOn ();\n\n Set/get whether the unbiased estimator for the variance should be used, or if\n the population variance will be calculated.\n The default is that the unbiased estimator will be used.\n"},
  {(char*)"UnbiasedVarianceOff",                (PyCFunction)PyvtkDescriptiveStatistics_UnbiasedVarianceOff, 1,
   (char*)"V.UnbiasedVarianceOff()\nC++: void UnbiasedVarianceOff ();\n\n Set/get whether the unbiased estimator for the variance should be used, or if\n the population variance will be calculated.\n The default is that the unbiased estimator will be used.\n"},
  {(char*)"SetSignedDeviations",                (PyCFunction)PyvtkDescriptiveStatistics_SetSignedDeviations, 1,
   (char*)"V.SetSignedDeviations(int)\nC++: void SetSignedDeviations (int );\n\n Set/get whether the deviations returned should be signed, or should\n only have their magnitude reported.\n The default is that signed deviations will be computed.\n"},
  {(char*)"GetSignedDeviations",                (PyCFunction)PyvtkDescriptiveStatistics_GetSignedDeviations, 1,
   (char*)"V.GetSignedDeviations() -> int\nC++: int GetSignedDeviations ();\n\n Set/get whether the deviations returned should be signed, or should\n only have their magnitude reported.\n The default is that signed deviations will be computed.\n"},
  {(char*)"SignedDeviationsOn",                (PyCFunction)PyvtkDescriptiveStatistics_SignedDeviationsOn, 1,
   (char*)"V.SignedDeviationsOn()\nC++: void SignedDeviationsOn ();\n\n Set/get whether the deviations returned should be signed, or should\n only have their magnitude reported.\n The default is that signed deviations will be computed.\n"},
  {(char*)"SignedDeviationsOff",                (PyCFunction)PyvtkDescriptiveStatistics_SignedDeviationsOff, 1,
   (char*)"V.SignedDeviationsOff()\nC++: void SignedDeviationsOff ();\n\n Set/get whether the deviations returned should be signed, or should\n only have their magnitude reported.\n The default is that signed deviations will be computed.\n"},
  {(char*)"SetNominalParameter",                (PyCFunction)PyvtkDescriptiveStatistics_SetNominalParameter, 1,
   (char*)"V.SetNominalParameter(string)\nC++: void SetNominalParameter (const char *name);\n\n A convenience method (in particular for UI wrapping) to set the name of the\n column that contains the nominal value for the Assess option.\n"},
  {(char*)"SetDeviationParameter",                (PyCFunction)PyvtkDescriptiveStatistics_SetDeviationParameter, 1,
   (char*)"V.SetDeviationParameter(string)\nC++: void SetDeviationParameter (const char *name);\n\n A convenience method (in particular for UI wrapping) to set the name of the\n column that contains the deviation for the Assess option.\n"},
  {(char*)"Aggregate",                (PyCFunction)PyvtkDescriptiveStatistics_Aggregate, 1,
   (char*)"V.Aggregate(vtkDataObjectCollection, vtkDataObject)\nC++: virtual void Aggregate (vtkDataObjectCollection *, vtkDataObject *);\n\n Given a collection of models, calculate aggregate model\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDescriptiveStatisticsDoc[] = {
  (char*)"vtkDescriptiveStatistics - A class for univariate descriptive statistics\n\n",
  "Super Class:\n\n vtkUnivariateStatisticsAlgorithm\n\n",
  (char*)" Given a selection of columns of interest in an input data table, this \n class provides the following functionalities, depending on the\n execution mode it is executed in:\n * Learn: calculate extremal values, arithmetic mean, unbiased variance \n   estimator, skewness estimator, and both sample and G2 estimation of the \n   kurtosis excess. More precisely, Learn calculates the sums; if\n   \\p finalize",
  (char*)" is set to true (default), the final statistics are calculated\n   with CalculateFromSums. Otherwise, only raw sums are output; this \n   option is made for efficient parallel calculations.\n   Note that CalculateFromSums is a static function, so that it can be used\n   directly with no need to instantiate a vtkDescriptiveStatistics object.\n * Assess: given an input data set in port INPUT_DATA, and a ",
  (char*)"reference value x along\n   with an acceptable deviation d>0, assess all entries in the data set which\n   are outside of [x-d,x+d].\n\n .SECTION Thanks\n Thanks to Philippe Pebay and David Thompson from Sandia National Laboratories \n for implementing this class.\n\n",
  NULL
};

static vtkObjectBase *vtkDescriptiveStatisticsStaticNew()
{
  return vtkDescriptiveStatistics::New();
}

PyObject *PyVTKClass_vtkDescriptiveStatisticsNew(char *modulename)
{
  return PyVTKClass_New(&vtkDescriptiveStatisticsStaticNew,
                        PyvtkDescriptiveStatisticsMethods,
                        (char*)"vtkDescriptiveStatistics",modulename,
                        (char**)vtkDescriptiveStatisticsDoc,
                        PyVTKClass_vtkUnivariateStatisticsAlgorithmNew(modulename));
}

