// python wrapper for vtkEdgeLayout object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkEdgeLayout.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkEdgeLayoutNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkEdgeLayoutNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGraphAlgorithmNew(char *); }

static PyObject *PyvtkEdgeLayout_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeLayout *op;

  const char    *temp20;
  op = (vtkEdgeLayout *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEdgeLayout::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkEdgeLayout_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeLayout *op;

  char    *temp0;
  int      temp20;
  op = (vtkEdgeLayout *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEdgeLayout::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEdgeLayout_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeLayout *op;

  vtkEdgeLayout  *temp20;
  op = (vtkEdgeLayout *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEdgeLayout::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEdgeLayout_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkEdgeLayout  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkEdgeLayout::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkEdgeLayout_SetLayoutStrategy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeLayout *op;

  vtkEdgeLayoutStrategy  *temp0;
  PyObject *tempH0;
  op = (vtkEdgeLayout *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkEdgeLayoutStrategy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkEdgeLayoutStrategy");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkEdgeLayout::SetLayoutStrategy(temp0);
      }
    else
      {
      op->SetLayoutStrategy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkEdgeLayout_GetLayoutStrategy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeLayout *op;

  vtkEdgeLayoutStrategy  *temp20;
  op = (vtkEdgeLayout *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEdgeLayout::GetLayoutStrategy();
      }
    else
      {
      temp20 = op->GetLayoutStrategy();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEdgeLayout_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeLayout *op;

  unsigned long     temp20;
  op = (vtkEdgeLayout *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEdgeLayout::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkEdgeLayoutMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkEdgeLayout_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkEdgeLayout_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkEdgeLayout_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkEdgeLayout\nC++: vtkEdgeLayout *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkEdgeLayout_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkEdgeLayout\nC++: vtkEdgeLayout *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetLayoutStrategy",                (PyCFunction)PyvtkEdgeLayout_SetLayoutStrategy, 1,
   (char*)"V.SetLayoutStrategy(vtkEdgeLayoutStrategy)\nC++: void SetLayoutStrategy (vtkEdgeLayoutStrategy *strategy);\n\n The layout strategy to use during graph layout.\n"},
  {(char*)"GetLayoutStrategy",                (PyCFunction)PyvtkEdgeLayout_GetLayoutStrategy, 1,
   (char*)"V.GetLayoutStrategy() -> vtkEdgeLayoutStrategy\nC++: vtkEdgeLayoutStrategy *GetLayoutStrategy ();\n\n The layout strategy to use during graph layout.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkEdgeLayout_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: virtual unsigned long GetMTime ();\n\n Get the modification time of the layout algorithm.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkEdgeLayoutDoc[] = {
  (char*)"vtkEdgeLayout - layout graph edges\n\n",
  "Super Class:\n\n vtkGraphAlgorithm\n\n",
  (char*)" This class is a shell for many edge layout strategies which may be set\n using the SetLayoutStrategy() function.  The layout strategies do the\n actual work.\n\n",
  NULL
};

static vtkObjectBase *vtkEdgeLayoutStaticNew()
{
  return vtkEdgeLayout::New();
}

PyObject *PyVTKClass_vtkEdgeLayoutNew(char *modulename)
{
  return PyVTKClass_New(&vtkEdgeLayoutStaticNew,
                        PyvtkEdgeLayoutMethods,
                        (char*)"vtkEdgeLayout",modulename,
                        (char**)vtkEdgeLayoutDoc,
                        PyVTKClass_vtkGraphAlgorithmNew(modulename));
}

