// python wrapper for vtkEdgeLayoutStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkEdgeLayoutStrategy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkEdgeLayoutStrategyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkEdgeLayoutStrategyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkEdgeLayoutStrategy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeLayoutStrategy *op;

  const char    *temp20;
  op = (vtkEdgeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEdgeLayoutStrategy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkEdgeLayoutStrategy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeLayoutStrategy *op;

  char    *temp0;
  int      temp20;
  op = (vtkEdgeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEdgeLayoutStrategy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEdgeLayoutStrategy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeLayoutStrategy *op;

  vtkEdgeLayoutStrategy  *temp20;
  op = (vtkEdgeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEdgeLayoutStrategy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEdgeLayoutStrategy_SetGraph(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeLayoutStrategy *op;

  vtkGraph  *temp0;
  PyObject *tempH0;
  op = (vtkEdgeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGraph *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGraph");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkEdgeLayoutStrategy::SetGraph(temp0);
      }
    else
      {
      op->SetGraph(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkEdgeLayoutStrategy_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeLayoutStrategy *op;

  op = (vtkEdgeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEdgeLayoutStrategy::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEdgeLayoutStrategy_Layout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeLayoutStrategy *op;

  op = (vtkEdgeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Layout();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEdgeLayoutStrategy_SetEdgeWeightArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeLayoutStrategy *op;

  char    *temp0;
  op = (vtkEdgeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEdgeLayoutStrategy::SetEdgeWeightArrayName(temp0);
      }
    else
      {
      op->SetEdgeWeightArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEdgeLayoutStrategy_GetEdgeWeightArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeLayoutStrategy *op;

  char    *temp20;
  op = (vtkEdgeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEdgeLayoutStrategy::GetEdgeWeightArrayName();
      }
    else
      {
      temp20 = op->GetEdgeWeightArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkEdgeLayoutStrategyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkEdgeLayoutStrategy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkEdgeLayoutStrategy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkEdgeLayoutStrategy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkEdgeLayoutStrategy\nC++: vtkEdgeLayoutStrategy *NewInstance ();\n\n"},
  {(char*)"SetGraph",                (PyCFunction)PyvtkEdgeLayoutStrategy_SetGraph, 1,
   (char*)"V.SetGraph(vtkGraph)\nC++: virtual void SetGraph (vtkGraph *graph);\n\n Setting the graph for the layout strategy\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkEdgeLayoutStrategy_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize ();\n\n This method allows the layout strategy to\n do initialization of data structures\n or whatever else it might want to do. \n"},
  {(char*)"Layout",                (PyCFunction)PyvtkEdgeLayoutStrategy_Layout, 1,
   (char*)"V.Layout()\nC++: virtual void Layout () = 0;\n\n This is the layout method where the graph that was\n set in SetGraph() is laid out.\n"},
  {(char*)"SetEdgeWeightArrayName",                (PyCFunction)PyvtkEdgeLayoutStrategy_SetEdgeWeightArrayName, 1,
   (char*)"V.SetEdgeWeightArrayName(string)\nC++: void SetEdgeWeightArrayName (char *);\n\n Set/Get the field to use for the edge weights.\n"},
  {(char*)"GetEdgeWeightArrayName",                (PyCFunction)PyvtkEdgeLayoutStrategy_GetEdgeWeightArrayName, 1,
   (char*)"V.GetEdgeWeightArrayName() -> string\nC++: char *GetEdgeWeightArrayName ();\n\n Set/Get the field to use for the edge weights.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkEdgeLayoutStrategyDoc[] = {
  (char*)"vtkEdgeLayoutStrategy - abstract superclass for all edge layout strategies\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" All edge layouts should subclass from this class.  vtkEdgeLayoutStrategy\n works as a plug-in to the vtkEdgeLayout algorithm.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkEdgeLayoutStrategyNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkEdgeLayoutStrategyMethods,
                        (char*)"vtkEdgeLayoutStrategy",modulename,
                        (char**)vtkEdgeLayoutStrategyDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

