// python wrapper for vtkExpandSelectedGraph object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkExpandSelectedGraph.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExpandSelectedGraphNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExpandSelectedGraphNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSelectionAlgorithmNew(char *); }

static PyObject *PyvtkExpandSelectedGraph_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExpandSelectedGraph *op;

  const char    *temp20;
  op = (vtkExpandSelectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExpandSelectedGraph::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExpandSelectedGraph_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExpandSelectedGraph *op;

  char    *temp0;
  int      temp20;
  op = (vtkExpandSelectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExpandSelectedGraph::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExpandSelectedGraph_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExpandSelectedGraph *op;

  vtkExpandSelectedGraph  *temp20;
  op = (vtkExpandSelectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExpandSelectedGraph::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExpandSelectedGraph_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExpandSelectedGraph  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExpandSelectedGraph::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkExpandSelectedGraph_SetGraphConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExpandSelectedGraph *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkExpandSelectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkExpandSelectedGraph::SetGraphConnection(temp0);
      }
    else
      {
      op->SetGraphConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkExpandSelectedGraph_FillInputPortInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExpandSelectedGraph *op;

  int      temp0;
  vtkInformation  *temp1;
  PyObject *tempH1;
  int      temp20;
  op = (vtkExpandSelectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformation");
    if (!temp1 && tempH1 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExpandSelectedGraph::FillInputPortInformation(temp0,temp1);
      }
    else
      {
      temp20 = op->FillInputPortInformation(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkExpandSelectedGraph_SetBFSDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExpandSelectedGraph *op;

  int      temp0;
  op = (vtkExpandSelectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExpandSelectedGraph::SetBFSDistance(temp0);
      }
    else
      {
      op->SetBFSDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExpandSelectedGraph_GetBFSDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExpandSelectedGraph *op;

  int      temp20;
  op = (vtkExpandSelectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExpandSelectedGraph::GetBFSDistance();
      }
    else
      {
      temp20 = op->GetBFSDistance();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExpandSelectedGraph_SetIncludeShortestPaths(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExpandSelectedGraph *op;

  bool   temp0;
  op = (vtkExpandSelectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExpandSelectedGraph::SetIncludeShortestPaths(temp0);
      }
    else
      {
      op->SetIncludeShortestPaths(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExpandSelectedGraph_GetIncludeShortestPaths(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExpandSelectedGraph *op;

  bool   temp20;
  op = (vtkExpandSelectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExpandSelectedGraph::GetIncludeShortestPaths();
      }
    else
      {
      temp20 = op->GetIncludeShortestPaths();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkExpandSelectedGraph_IncludeShortestPathsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExpandSelectedGraph *op;

  op = (vtkExpandSelectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExpandSelectedGraph::IncludeShortestPathsOn();
      }
    else
      {
      op->IncludeShortestPathsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExpandSelectedGraph_IncludeShortestPathsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExpandSelectedGraph *op;

  op = (vtkExpandSelectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExpandSelectedGraph::IncludeShortestPathsOff();
      }
    else
      {
      op->IncludeShortestPathsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExpandSelectedGraph_SetDomain(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExpandSelectedGraph *op;

  char    *temp0;
  op = (vtkExpandSelectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExpandSelectedGraph::SetDomain(temp0);
      }
    else
      {
      op->SetDomain(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExpandSelectedGraph_GetDomain(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExpandSelectedGraph *op;

  char    *temp20;
  op = (vtkExpandSelectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExpandSelectedGraph::GetDomain();
      }
    else
      {
      temp20 = op->GetDomain();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExpandSelectedGraph_SetUseDomain(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExpandSelectedGraph *op;

  bool   temp0;
  op = (vtkExpandSelectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExpandSelectedGraph::SetUseDomain(temp0);
      }
    else
      {
      op->SetUseDomain(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExpandSelectedGraph_GetUseDomain(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExpandSelectedGraph *op;

  bool   temp20;
  op = (vtkExpandSelectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExpandSelectedGraph::GetUseDomain();
      }
    else
      {
      temp20 = op->GetUseDomain();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkExpandSelectedGraph_UseDomainOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExpandSelectedGraph *op;

  op = (vtkExpandSelectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExpandSelectedGraph::UseDomainOn();
      }
    else
      {
      op->UseDomainOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExpandSelectedGraph_UseDomainOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExpandSelectedGraph *op;

  op = (vtkExpandSelectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExpandSelectedGraph::UseDomainOff();
      }
    else
      {
      op->UseDomainOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkExpandSelectedGraphMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExpandSelectedGraph_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExpandSelectedGraph_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExpandSelectedGraph_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExpandSelectedGraph\nC++: vtkExpandSelectedGraph *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExpandSelectedGraph_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExpandSelectedGraph\nC++: vtkExpandSelectedGraph *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetGraphConnection",                (PyCFunction)PyvtkExpandSelectedGraph_SetGraphConnection, 1,
   (char*)"V.SetGraphConnection(vtkAlgorithmOutput)\nC++: void SetGraphConnection (vtkAlgorithmOutput *in);\n\n A convenience method for setting the second input (i.e. the graph).\n"},
  {(char*)"FillInputPortInformation",                (PyCFunction)PyvtkExpandSelectedGraph_FillInputPortInformation, 1,
   (char*)"V.FillInputPortInformation(int, vtkInformation) -> int\nC++: int FillInputPortInformation (int port, vtkInformation *info);\n\n Specify the first vtkSelection input and the second vtkGraph input.\n"},
  {(char*)"SetBFSDistance",                (PyCFunction)PyvtkExpandSelectedGraph_SetBFSDistance, 1,
   (char*)"V.SetBFSDistance(int)\nC++: void SetBFSDistance (int );\n\n Set/Get BFSDistance which controls how many 'hops' the selection \n is grown from each seed point in the selection set (defaults to 1)\n"},
  {(char*)"GetBFSDistance",                (PyCFunction)PyvtkExpandSelectedGraph_GetBFSDistance, 1,
   (char*)"V.GetBFSDistance() -> int\nC++: int GetBFSDistance ();\n\n Set/Get BFSDistance which controls how many 'hops' the selection \n is grown from each seed point in the selection set (defaults to 1)\n"},
  {(char*)"SetIncludeShortestPaths",                (PyCFunction)PyvtkExpandSelectedGraph_SetIncludeShortestPaths, 1,
   (char*)"V.SetIncludeShortestPaths(bool)\nC++: void SetIncludeShortestPaths (bool );\n\n Set/Get IncludeShortestPaths controls whether this filter tries to \n 'connect' the vertices in the selection set by computing the\n shortest path between the vertices (if such a path exists)\n Note: IncludeShortestPaths is currently non-functional\n"},
  {(char*)"GetIncludeShortestPaths",                (PyCFunction)PyvtkExpandSelectedGraph_GetIncludeShortestPaths, 1,
   (char*)"V.GetIncludeShortestPaths() -> bool\nC++: bool GetIncludeShortestPaths ();\n\n Set/Get IncludeShortestPaths controls whether this filter tries to \n 'connect' the vertices in the selection set by computing the\n shortest path between the vertices (if such a path exists)\n Note: IncludeShortestPaths is currently non-functional\n"},
  {(char*)"IncludeShortestPathsOn",                (PyCFunction)PyvtkExpandSelectedGraph_IncludeShortestPathsOn, 1,
   (char*)"V.IncludeShortestPathsOn()\nC++: void IncludeShortestPathsOn ();\n\n Set/Get IncludeShortestPaths controls whether this filter tries to \n 'connect' the vertices in the selection set by computing the\n shortest path between the vertices (if such a path exists)\n Note: IncludeShortestPaths is currently non-functional\n"},
  {(char*)"IncludeShortestPathsOff",                (PyCFunction)PyvtkExpandSelectedGraph_IncludeShortestPathsOff, 1,
   (char*)"V.IncludeShortestPathsOff()\nC++: void IncludeShortestPathsOff ();\n\n Set/Get IncludeShortestPaths controls whether this filter tries to \n 'connect' the vertices in the selection set by computing the\n shortest path between the vertices (if such a path exists)\n Note: IncludeShortestPaths is currently non-functional\n"},
  {(char*)"SetDomain",                (PyCFunction)PyvtkExpandSelectedGraph_SetDomain, 1,
   (char*)"V.SetDomain(string)\nC++: void SetDomain (char *);\n\n Set/Get the vertex domain to use in the expansion.\n"},
  {(char*)"GetDomain",                (PyCFunction)PyvtkExpandSelectedGraph_GetDomain, 1,
   (char*)"V.GetDomain() -> string\nC++: char *GetDomain ();\n\n Set/Get the vertex domain to use in the expansion.\n"},
  {(char*)"SetUseDomain",                (PyCFunction)PyvtkExpandSelectedGraph_SetUseDomain, 1,
   (char*)"V.SetUseDomain(bool)\nC++: void SetUseDomain (bool );\n\n Whether or not to use the domain when deciding to add a vertex to the \n expansion. Defaults to false. \n"},
  {(char*)"GetUseDomain",                (PyCFunction)PyvtkExpandSelectedGraph_GetUseDomain, 1,
   (char*)"V.GetUseDomain() -> bool\nC++: bool GetUseDomain ();\n\n Whether or not to use the domain when deciding to add a vertex to the \n expansion. Defaults to false. \n"},
  {(char*)"UseDomainOn",                (PyCFunction)PyvtkExpandSelectedGraph_UseDomainOn, 1,
   (char*)"V.UseDomainOn()\nC++: void UseDomainOn ();\n\n Whether or not to use the domain when deciding to add a vertex to the \n expansion. Defaults to false. \n"},
  {(char*)"UseDomainOff",                (PyCFunction)PyvtkExpandSelectedGraph_UseDomainOff, 1,
   (char*)"V.UseDomainOff()\nC++: void UseDomainOff ();\n\n Whether or not to use the domain when deciding to add a vertex to the \n expansion. Defaults to false. \n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExpandSelectedGraphDoc[] = {
  (char*)"vtkExpandSelectedGraph - expands a selection set of a vtkGraph\n\n",
  "Super Class:\n\n vtkSelectionAlgorithm\n\n",
  (char*)" The first input is a vtkSelection containing the selected vertices.\n The second input is a vtkGraph.\n This filter 'grows' the selection set in one of the following ways\n 1) SetBFSDistance controls how many 'hops' the selection is grown\n    from each seed point in the selection set (defaults to 1)\n 2) IncludeShortestPaths controls whether this filter tries to \n    'connect' the vertices in the sel",
  (char*)"ection set by computing the\n    shortest path between the vertices (if such a path exists)\n Note: IncludeShortestPaths is currently non-functional\n\n",
  NULL
};

static vtkObjectBase *vtkExpandSelectedGraphStaticNew()
{
  return vtkExpandSelectedGraph::New();
}

PyObject *PyVTKClass_vtkExpandSelectedGraphNew(char *modulename)
{
  return PyVTKClass_New(&vtkExpandSelectedGraphStaticNew,
                        PyvtkExpandSelectedGraphMethods,
                        (char*)"vtkExpandSelectedGraph",modulename,
                        (char**)vtkExpandSelectedGraphDoc,
                        PyVTKClass_vtkSelectionAlgorithmNew(modulename));
}

