// python wrapper for vtkGeoMath object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGeoMath.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGeoMathNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGeoMathNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkGeoMath_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoMath *op;

  const char    *temp20;
  op = (vtkGeoMath *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoMath::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoMath_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoMath *op;

  char    *temp0;
  int      temp20;
  op = (vtkGeoMath *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoMath::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoMath_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoMath *op;

  vtkGeoMath  *temp20;
  op = (vtkGeoMath *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoMath::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoMath_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGeoMath  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGeoMath::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGeoMath_EarthRadiusMeters(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkGeoMath::EarthRadiusMeters();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoMath_DistanceSquared(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[3];
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
      {
      temp20 = vtkGeoMath::DistanceSquared(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoMath_LongLatAltToRect(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[3];
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
      {
      vtkGeoMath::LongLatAltToRect(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGeoMathMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGeoMath_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGeoMath_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGeoMath_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGeoMath\nC++: vtkGeoMath *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGeoMath_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGeoMath\nC++: vtkGeoMath *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"EarthRadiusMeters",                (PyCFunction)PyvtkGeoMath_EarthRadiusMeters, 1,
   (char*)"V.EarthRadiusMeters() -> float\nC++: static double EarthRadiusMeters ();return \n\n Returns the squared distance between two points.\n"},
  {(char*)"DistanceSquared",                (PyCFunction)PyvtkGeoMath_DistanceSquared, 1,
   (char*)"V.DistanceSquared((float, float, float), (float, float, float)) -> float\nC++: static double DistanceSquared (double pt0[3], double pt1[3]);\n\n Returns the squared distance between two points.\n"},
  {(char*)"LongLatAltToRect",                (PyCFunction)PyvtkGeoMath_LongLatAltToRect, 1,
   (char*)"V.LongLatAltToRect((float, float, float), (float, float, float))\nC++: static void LongLatAltToRect (double lla[3], double rect[3]);\n\n Converts a (longitude, latitude, altitude) triple to\n world coordinates where the center of the earth is at the origin.\n Units are in meters.\n Note that having altitude realtive to sea level causes issues.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGeoMathDoc[] = {
  (char*)"vtkGeoMath - Useful geographic calculations\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkGeoMath provides some useful geographic calculations.\n\n",
  NULL
};

static vtkObjectBase *vtkGeoMathStaticNew()
{
  return vtkGeoMath::New();
}

PyObject *PyVTKClass_vtkGeoMathNew(char *modulename)
{
  return PyVTKClass_New(&vtkGeoMathStaticNew,
                        PyvtkGeoMathMethods,
                        (char*)"vtkGeoMath",modulename,
                        (char**)vtkGeoMathDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

