// python wrapper for vtkGroupLeafVertices object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGroupLeafVertices.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGroupLeafVerticesNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGroupLeafVerticesNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTreeAlgorithmNew(char *); }

static PyObject *PyvtkGroupLeafVertices_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGroupLeafVertices *op;

  const char    *temp20;
  op = (vtkGroupLeafVertices *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGroupLeafVertices::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGroupLeafVertices_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGroupLeafVertices *op;

  char    *temp0;
  int      temp20;
  op = (vtkGroupLeafVertices *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGroupLeafVertices::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGroupLeafVertices_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGroupLeafVertices *op;

  vtkGroupLeafVertices  *temp20;
  op = (vtkGroupLeafVertices *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGroupLeafVertices::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGroupLeafVertices_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGroupLeafVertices  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGroupLeafVertices::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGroupLeafVertices_SetGroupDomain(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGroupLeafVertices *op;

  char    *temp0;
  op = (vtkGroupLeafVertices *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGroupLeafVertices::SetGroupDomain(temp0);
      }
    else
      {
      op->SetGroupDomain(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGroupLeafVertices_GetGroupDomain(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGroupLeafVertices *op;

  char    *temp20;
  op = (vtkGroupLeafVertices *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGroupLeafVertices::GetGroupDomain();
      }
    else
      {
      temp20 = op->GetGroupDomain();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGroupLeafVerticesMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGroupLeafVertices_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGroupLeafVertices_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGroupLeafVertices_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGroupLeafVertices\nC++: vtkGroupLeafVertices *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGroupLeafVertices_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGroupLeafVertices\nC++: vtkGroupLeafVertices *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetGroupDomain",                (PyCFunction)PyvtkGroupLeafVertices_SetGroupDomain, 1,
   (char*)"V.SetGroupDomain(string)\nC++: void SetGroupDomain (char *);\n\n The name of the domain that non-leaf vertices will be assigned to.\n If the input graph already contains vertices in this domain:\n - If the ids for this domain are numeric, starts assignment with max id\n - If the ids for this domain are strings, starts assignment with \"group X\"\n   where \"X\" is the max id.\n Default is \"group_vertex\".\n"},
  {(char*)"GetGroupDomain",                (PyCFunction)PyvtkGroupLeafVertices_GetGroupDomain, 1,
   (char*)"V.GetGroupDomain() -> string\nC++: char *GetGroupDomain ();\n\n The name of the domain that non-leaf vertices will be assigned to.\n If the input graph already contains vertices in this domain:\n - If the ids for this domain are numeric, starts assignment with max id\n - If the ids for this domain are strings, starts assignment with \"group X\"\n   where \"X\" is the max id.\n Default is \"group_vertex\".\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGroupLeafVerticesDoc[] = {
  (char*)"vtkGroupLeafVertices - Filter that expands a tree, categorizing leaf vertices\n\n",
  "Super Class:\n\n vtkTreeAlgorithm\n\n",
  (char*)" Use SetInputArrayToProcess(0, ...) to set the array to group on.\n Currently this array must be a vtkStringArray.\n\n",
  NULL
};

static vtkObjectBase *vtkGroupLeafVerticesStaticNew()
{
  return vtkGroupLeafVertices::New();
}

PyObject *PyVTKClass_vtkGroupLeafVerticesNew(char *modulename)
{
  return PyVTKClass_New(&vtkGroupLeafVerticesStaticNew,
                        PyvtkGroupLeafVerticesMethods,
                        (char*)"vtkGroupLeafVertices",modulename,
                        (char**)vtkGroupLeafVerticesDoc,
                        PyVTKClass_vtkTreeAlgorithmNew(modulename));
}

