// python wrapper for vtkKMeansDistanceFunctorCalculator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkKMeansDistanceFunctorCalculator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkKMeansDistanceFunctorCalculatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkKMeansDistanceFunctorCalculatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkKMeansDistanceFunctorNew(char *); }

static PyObject *PyvtkKMeansDistanceFunctorCalculator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKMeansDistanceFunctorCalculator *op;

  const char    *temp20;
  op = (vtkKMeansDistanceFunctorCalculator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKMeansDistanceFunctorCalculator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkKMeansDistanceFunctorCalculator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKMeansDistanceFunctorCalculator *op;

  char    *temp0;
  int      temp20;
  op = (vtkKMeansDistanceFunctorCalculator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKMeansDistanceFunctorCalculator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKMeansDistanceFunctorCalculator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKMeansDistanceFunctorCalculator *op;

  vtkKMeansDistanceFunctorCalculator  *temp20;
  op = (vtkKMeansDistanceFunctorCalculator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKMeansDistanceFunctorCalculator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKMeansDistanceFunctorCalculator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkKMeansDistanceFunctorCalculator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkKMeansDistanceFunctorCalculator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkKMeansDistanceFunctorCalculator_SetDistanceExpression(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKMeansDistanceFunctorCalculator *op;

  char    *temp0;
  op = (vtkKMeansDistanceFunctorCalculator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKMeansDistanceFunctorCalculator::SetDistanceExpression(temp0);
      }
    else
      {
      op->SetDistanceExpression(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKMeansDistanceFunctorCalculator_GetDistanceExpression(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKMeansDistanceFunctorCalculator *op;

  char    *temp20;
  op = (vtkKMeansDistanceFunctorCalculator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKMeansDistanceFunctorCalculator::GetDistanceExpression();
      }
    else
      {
      temp20 = op->GetDistanceExpression();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkKMeansDistanceFunctorCalculator_SetFunctionParser(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKMeansDistanceFunctorCalculator *op;

  vtkFunctionParser  *temp0;
  PyObject *tempH0;
  op = (vtkKMeansDistanceFunctorCalculator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkFunctionParser *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkFunctionParser");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkKMeansDistanceFunctorCalculator::SetFunctionParser(temp0);
      }
    else
      {
      op->SetFunctionParser(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkKMeansDistanceFunctorCalculator_GetFunctionParser(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKMeansDistanceFunctorCalculator *op;

  vtkFunctionParser  *temp20;
  op = (vtkKMeansDistanceFunctorCalculator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKMeansDistanceFunctorCalculator::GetFunctionParser();
      }
    else
      {
      temp20 = op->GetFunctionParser();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkKMeansDistanceFunctorCalculatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkKMeansDistanceFunctorCalculator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkKMeansDistanceFunctorCalculator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkKMeansDistanceFunctorCalculator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkKMeansDistanceFunctorCalculator\nC++: vtkKMeansDistanceFunctorCalculator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkKMeansDistanceFunctorCalculator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkKMeansDistanceFunctorCalculator\nC++: vtkKMeansDistanceFunctorCalculator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetDistanceExpression",                (PyCFunction)PyvtkKMeansDistanceFunctorCalculator_SetDistanceExpression, 1,
   (char*)"V.SetDistanceExpression(string)\nC++: void SetDistanceExpression (char *);\n\n Set/get the distance function expression.\n"},
  {(char*)"GetDistanceExpression",                (PyCFunction)PyvtkKMeansDistanceFunctorCalculator_GetDistanceExpression, 1,
   (char*)"V.GetDistanceExpression() -> string\nC++: char *GetDistanceExpression ();\n\n Set/get the distance function expression.\n"},
  {(char*)"SetFunctionParser",                (PyCFunction)PyvtkKMeansDistanceFunctorCalculator_SetFunctionParser, 1,
   (char*)"V.SetFunctionParser(vtkFunctionParser)\nC++: virtual void SetFunctionParser (vtkFunctionParser *);\n\n Set/get the string containing an expression which evaluates to the\n distance metric used for k-means computation. The scalar variables\n \"x0\", \"x1\", ... \"xn\" and \"y0\", \"y1\", ..., \"yn\" refer to the coordinates\n involved in the computation.\n"},
  {(char*)"GetFunctionParser",                (PyCFunction)PyvtkKMeansDistanceFunctorCalculator_GetFunctionParser, 1,
   (char*)"V.GetFunctionParser() -> vtkFunctionParser\nC++: vtkFunctionParser *GetFunctionParser ();\n\n Set/get the string containing an expression which evaluates to the\n distance metric used for k-means computation. The scalar variables\n \"x0\", \"x1\", ... \"xn\" and \"y0\", \"y1\", ..., \"yn\" refer to the coordinates\n involved in the computation.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkKMeansDistanceFunctorCalculatorDoc[] = {
  (char*)"vtkKMeansDistanceFunctorCalculator - measure distance from k-means cluster centers using a user-specified expression\n\n",
  "Super Class:\n\n vtkKMeansDistanceFunctor\n\n",
  (char*)" This is a subclass of the default k-means distance functor that allows\n the user to specify a distance function as a string. The provided\n expression is evaluated whenever the parenthesis operator is invoked\n but this is much slower than the default distance calculation.\n\n User-specified distance expressions should be written in terms of\n two vector variables named \"x\" and \"y\".\n The length of the",
  (char*)" vectors will be determined by the k-means request\n and all columns of interest in the request must contain values that\n may be converted to a floating point representation. (Strings and\n vtkObject pointers are not allowed.)\n An example distance expression is \"sqrt( (x0-y0)^2 + (x1-y1)^2 )\"\n which computes Euclidian distance in a plane defined by the first\n 2 coordinates of the vectors specified.\n\n",
  NULL
};

static vtkObjectBase *vtkKMeansDistanceFunctorCalculatorStaticNew()
{
  return vtkKMeansDistanceFunctorCalculator::New();
}

PyObject *PyVTKClass_vtkKMeansDistanceFunctorCalculatorNew(char *modulename)
{
  return PyVTKClass_New(&vtkKMeansDistanceFunctorCalculatorStaticNew,
                        PyvtkKMeansDistanceFunctorCalculatorMethods,
                        (char*)"vtkKMeansDistanceFunctorCalculator",modulename,
                        (char**)vtkKMeansDistanceFunctorCalculatorDoc,
                        PyVTKClass_vtkKMeansDistanceFunctorNew(modulename));
}

