// python wrapper for vtkKMeansStatistics object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkKMeansStatistics.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkKMeansStatisticsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkKMeansStatisticsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkStatisticsAlgorithmNew(char *); }

static PyObject *PyvtkKMeansStatistics_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKMeansStatistics *op;

  const char    *temp20;
  op = (vtkKMeansStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKMeansStatistics::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkKMeansStatistics_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKMeansStatistics *op;

  char    *temp0;
  int      temp20;
  op = (vtkKMeansStatistics *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKMeansStatistics::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKMeansStatistics_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKMeansStatistics *op;

  vtkKMeansStatistics  *temp20;
  op = (vtkKMeansStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKMeansStatistics::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKMeansStatistics_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkKMeansStatistics  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkKMeansStatistics::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkKMeansStatistics_SetDistanceFunctor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKMeansStatistics *op;

  vtkKMeansDistanceFunctor  *temp0;
  PyObject *tempH0;
  op = (vtkKMeansStatistics *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkKMeansDistanceFunctor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkKMeansDistanceFunctor");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkKMeansStatistics::SetDistanceFunctor(temp0);
      }
    else
      {
      op->SetDistanceFunctor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkKMeansStatistics_GetDistanceFunctor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKMeansStatistics *op;

  vtkKMeansDistanceFunctor  *temp20;
  op = (vtkKMeansStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKMeansStatistics::GetDistanceFunctor();
      }
    else
      {
      temp20 = op->GetDistanceFunctor();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKMeansStatistics_SetDefaultNumberOfClusters(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKMeansStatistics *op;

  int      temp0;
  op = (vtkKMeansStatistics *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKMeansStatistics::SetDefaultNumberOfClusters(temp0);
      }
    else
      {
      op->SetDefaultNumberOfClusters(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKMeansStatistics_GetDefaultNumberOfClusters(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKMeansStatistics *op;

  int      temp20;
  op = (vtkKMeansStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKMeansStatistics::GetDefaultNumberOfClusters();
      }
    else
      {
      temp20 = op->GetDefaultNumberOfClusters();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKMeansStatistics_SetKValuesArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKMeansStatistics *op;

  char    *temp0;
  op = (vtkKMeansStatistics *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKMeansStatistics::SetKValuesArrayName(temp0);
      }
    else
      {
      op->SetKValuesArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKMeansStatistics_GetKValuesArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKMeansStatistics *op;

  char    *temp20;
  op = (vtkKMeansStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKMeansStatistics::GetKValuesArrayName();
      }
    else
      {
      temp20 = op->GetKValuesArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkKMeansStatistics_SetMaxNumIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKMeansStatistics *op;

  int      temp0;
  op = (vtkKMeansStatistics *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKMeansStatistics::SetMaxNumIterations(temp0);
      }
    else
      {
      op->SetMaxNumIterations(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKMeansStatistics_GetMaxNumIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKMeansStatistics *op;

  int      temp20;
  op = (vtkKMeansStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKMeansStatistics::GetMaxNumIterations();
      }
    else
      {
      temp20 = op->GetMaxNumIterations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKMeansStatistics_SetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKMeansStatistics *op;

  double   temp0;
  op = (vtkKMeansStatistics *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKMeansStatistics::SetTolerance(temp0);
      }
    else
      {
      op->SetTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKMeansStatistics_GetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKMeansStatistics *op;

  double   temp20;
  op = (vtkKMeansStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKMeansStatistics::GetTolerance();
      }
    else
      {
      temp20 = op->GetTolerance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKMeansStatistics_Aggregate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKMeansStatistics *op;

  vtkDataObjectCollection  *temp0;
  PyObject *tempH0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  op = (vtkKMeansStatistics *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkDataObjectCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObjectCollection");
    if (!temp0 && tempH0 != Py_None) goto break14;
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkKMeansStatistics::Aggregate(temp0,temp1);
      }
    else
      {
      op->Aggregate(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}

static PyMethodDef PyvtkKMeansStatisticsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkKMeansStatistics_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkKMeansStatistics_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkKMeansStatistics_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkKMeansStatistics\nC++: vtkKMeansStatistics *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkKMeansStatistics_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkKMeansStatistics\nC++: vtkKMeansStatistics *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetDistanceFunctor",                (PyCFunction)PyvtkKMeansStatistics_SetDistanceFunctor, 1,
   (char*)"V.SetDistanceFunctor(vtkKMeansDistanceFunctor)\nC++: virtual void SetDistanceFunctor (vtkKMeansDistanceFunctor *);\n\n Set the DistanceFunctor.\n"},
  {(char*)"GetDistanceFunctor",                (PyCFunction)PyvtkKMeansStatistics_GetDistanceFunctor, 1,
   (char*)"V.GetDistanceFunctor() -> vtkKMeansDistanceFunctor\nC++: vtkKMeansDistanceFunctor *GetDistanceFunctor ();\n\n Set the DistanceFunctor.\n"},
  {(char*)"SetDefaultNumberOfClusters",                (PyCFunction)PyvtkKMeansStatistics_SetDefaultNumberOfClusters, 1,
   (char*)"V.SetDefaultNumberOfClusters(int)\nC++: void SetDefaultNumberOfClusters (int );\n\n Set/get the \\a DefaultNumberOfClusters, used when no initial cluster coordinates are specified.\n"},
  {(char*)"GetDefaultNumberOfClusters",                (PyCFunction)PyvtkKMeansStatistics_GetDefaultNumberOfClusters, 1,
   (char*)"V.GetDefaultNumberOfClusters() -> int\nC++: int GetDefaultNumberOfClusters ();\n\n Set/get the \\a DefaultNumberOfClusters, used when no initial cluster coordinates are specified.\n"},
  {(char*)"SetKValuesArrayName",                (PyCFunction)PyvtkKMeansStatistics_SetKValuesArrayName, 1,
   (char*)"V.SetKValuesArrayName(string)\nC++: void SetKValuesArrayName (char *);\n\n Set/get the KValuesArrayName.\n"},
  {(char*)"GetKValuesArrayName",                (PyCFunction)PyvtkKMeansStatistics_GetKValuesArrayName, 1,
   (char*)"V.GetKValuesArrayName() -> string\nC++: char *GetKValuesArrayName ();\n\n Set/get the KValuesArrayName.\n"},
  {(char*)"SetMaxNumIterations",                (PyCFunction)PyvtkKMeansStatistics_SetMaxNumIterations, 1,
   (char*)"V.SetMaxNumIterations(int)\nC++: void SetMaxNumIterations (int );\n\n Set/get the MaxNumIterations used to terminate iterations on\n cluster center coordinates when the relative tolerance can not be met.\n"},
  {(char*)"GetMaxNumIterations",                (PyCFunction)PyvtkKMeansStatistics_GetMaxNumIterations, 1,
   (char*)"V.GetMaxNumIterations() -> int\nC++: int GetMaxNumIterations ();\n\n Set/get the MaxNumIterations used to terminate iterations on\n cluster center coordinates when the relative tolerance can not be met.\n"},
  {(char*)"SetTolerance",                (PyCFunction)PyvtkKMeansStatistics_SetTolerance, 1,
   (char*)"V.SetTolerance(float)\nC++: void SetTolerance (double );\n\n Set/get the relative \\a Tolerance used to terminate iterations on\n cluster center coordinates.\n"},
  {(char*)"GetTolerance",                (PyCFunction)PyvtkKMeansStatistics_GetTolerance, 1,
   (char*)"V.GetTolerance() -> float\nC++: double GetTolerance ();\n\n Set/get the relative \\a Tolerance used to terminate iterations on\n cluster center coordinates.\n"},
  {(char*)"Aggregate",                (PyCFunction)PyvtkKMeansStatistics_Aggregate, 1,
   (char*)"V.Aggregate(vtkDataObjectCollection, vtkDataObject)\nC++: virtual void Aggregate (vtkDataObjectCollection *, vtkDataObject *);return \n\n Given a collection of models, calculate aggregate model\n NB: not implemented\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkKMeansStatisticsDoc[] = {
  (char*)"vtkKMeansStatistics - A class for KMeans clustering\n\n",
  "Super Class:\n\n vtkStatisticsAlgorithm\n\n",
  (char*)" This class takes as input an optional vtkTable on port LEARN_PARAMETERS \n specifying initial  set(s) of cluster values of the following form:  \n <pre>\n           K     | Col1            |  ...    | ColN    \n      -----------+-----------------+---------+---------------\n           M     |clustCoord(1, 1) |  ...    | clustCoord(1, N)\n           M     |clustCoord(2, 1) |  ...    | clustCoord(2, N)\n  ",
  (char*)"         .     |       .         |   .     |        .\n           .     |       .         |   .     |        .\n           .     |       .         |   .     |        .\n           M     |clustCoord(M, 1) |  ...    | clustCoord(M, N)\n           L     |clustCoord(1, 1) |  ...    | clustCoord(1, N)\n           L     |clustCoord(2, 1) |  ...    | clustCoord(2, N)\n           .     |       .         |   .  ",
  (char*)"   |        .\n           .     |       .         |   .     |        .\n           .     |       .         |   .     |        .\n           L     |clustCoord(L, 1) |  ...    | clustCoord(L, N)\n </pre>\n\n Because the desired value of K is often not known in advance and the \n results of the algorithm are dependent on the initial cluster centers, \n we provide a mechanism for the user to test multiple run",
  (char*)"s or sets of cluster centers\n within a single call to the Learn phase.  The first column of the table identifies \n the number of clusters K in the particular run (the entries in this column should be \n of type vtkIdType), while the remaining columns are a \n subset of the columns contained in the table on port INPUT_DATA.  We require that \n all user specified clusters be of the same dimension N and",
  (char*)" consequently, that the \n LEARN_PARAMETERS table have N+1 columns. Due to this restriction, only one request\n can be processed for each call to the Learn phase and subsequent requests are \n silently ignored. Note that, if the first column of the LEARN_PARAMETERS table is not \n of type vtkIdType, then the table will be ignored and a single run will be performed using\n the first DefaultNumberOfClust",
  (char*)"ers input data observations as initial cluster centers.\n\n When the user does not supply an initial set of clusters, then the first \n DefaultNumberOfClusters input data observations are used as initial cluster \n centers and a single run is performed.\n\n\n This class provides the following functionalities, depending on the \n mode it is executed in:\n * Learn: calculates new cluster centers for each run",
  (char*)".  The output metadata on \n   port OUTPUT_MODEL is a multiblock dataset containing at a minimum\n   one vtkTable with columns specifying the following for each run:\n   the run ID, number of clusters, number of iterations required for convergence, \n   total error associated with the cluster (sum of squared Euclidean distance from each observation\n   to its nearest cluster center), the cardinality of",
  (char*)" the cluster, and the new\n   cluster coordinates.\n\n *Derive:  An additional vtkTable is stored in the multiblock dataset output on port OUTPUT_MODEL.\n   This table contains columns that store for each run: the runID, number of clusters, \n   total error for all clusters in the run, local rank, and global rank.\n   The local rank is computed by comparing squared Euclidean errors of all runs with\n   t",
  (char*)"he same number of clusters.  The global rank is computed analagously across all runs.\n\n * Assess: This requires a multiblock dataset (as computed from Learn and Derive) on input port INPUT_MODEL\n   and tabular data on input port INPUT_DATA that contains column names matching those\n   of the tables on input port INPUT_MODEL. The assess mode reports the closest cluster center\n   and associated squar",
  (char*)"ed Euclidean distance of each observation in port INPUT_DATA's table to the cluster centers for\n   each run in the multiblock dataset provided on port INPUT_MODEL.\n  \n The code can handle a wide variety of data types as it operates on vtkAbstractArrays \n and is not limited to vtkDataArrays.  A default distance functor that\n computes the sum of the squares of the Euclidean distance between two obje",
  (char*)"cts is provided \n (vtkKMeansDistanceFunctor). The default distance functor can be overridden to use alternative distance metrics.\n\n .SECTION Thanks\n Thanks to Janine Bennett, David Thompson, and Philippe Pebay of\n Sandia National Laboratories for implementing this class.\n\n",
  NULL
};

static vtkObjectBase *vtkKMeansStatisticsStaticNew()
{
  return vtkKMeansStatistics::New();
}

PyObject *PyVTKClass_vtkKMeansStatisticsNew(char *modulename)
{
  return PyVTKClass_New(&vtkKMeansStatisticsStaticNew,
                        PyvtkKMeansStatisticsMethods,
                        (char*)"vtkKMeansStatistics",modulename,
                        (char**)vtkKMeansStatisticsDoc,
                        PyVTKClass_vtkStatisticsAlgorithmNew(modulename));
}

