// python wrapper for vtkMergeGraphs object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMergeGraphs.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMergeGraphsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMergeGraphsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGraphAlgorithmNew(char *); }

static PyObject *PyvtkMergeGraphs_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeGraphs *op;

  const char    *temp20;
  op = (vtkMergeGraphs *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeGraphs::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeGraphs_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeGraphs *op;

  char    *temp0;
  int      temp20;
  op = (vtkMergeGraphs *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeGraphs::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeGraphs_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeGraphs *op;

  vtkMergeGraphs  *temp20;
  op = (vtkMergeGraphs *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeGraphs::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeGraphs_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMergeGraphs  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMergeGraphs::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMergeGraphs_ExtendGraph(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeGraphs *op;

  vtkMutableGraphHelper  *temp0;
  PyObject *tempH0;
  vtkGraph  *temp1;
  PyObject *tempH1;
  int      temp20;
  op = (vtkMergeGraphs *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkMutableGraphHelper *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMutableGraphHelper");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkGraph *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkGraph");
    if (!temp1 && tempH1 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeGraphs::ExtendGraph(temp0,temp1);
      }
    else
      {
      temp20 = op->ExtendGraph(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkMergeGraphs_SetMaxEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeGraphs *op;

  vtkIdType   temp0;
  op = (vtkMergeGraphs *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeGraphs::SetMaxEdges(temp0);
      }
    else
      {
      op->SetMaxEdges(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeGraphs_GetMaxEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeGraphs *op;

  vtkIdType   temp20;
  op = (vtkMergeGraphs *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeGraphs::GetMaxEdges();
      }
    else
      {
      temp20 = op->GetMaxEdges();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMergeGraphsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMergeGraphs_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMergeGraphs_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMergeGraphs_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMergeGraphs\nC++: vtkMergeGraphs *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMergeGraphs_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMergeGraphs\nC++: vtkMergeGraphs *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"ExtendGraph",                (PyCFunction)PyvtkMergeGraphs_ExtendGraph, 1,
   (char*)"V.ExtendGraph(vtkMutableGraphHelper, vtkGraph) -> int\nC++: int ExtendGraph (vtkMutableGraphHelper *g1, vtkGraph *g2);\n\n This is the core functionality of the algorithm. Adds edges\n and vertices from g2 into g1.\n"},
  {(char*)"SetMaxEdges",                (PyCFunction)PyvtkMergeGraphs_SetMaxEdges, 1,
   (char*)"V.SetMaxEdges(int)\nC++: void SetMaxEdges (vtkIdType );\n\n The maximum number of edges in the combined graph. Default is -1,\n which specifies that there should be no limit on the number\n of edges.\n"},
  {(char*)"GetMaxEdges",                (PyCFunction)PyvtkMergeGraphs_GetMaxEdges, 1,
   (char*)"V.GetMaxEdges() -> int\nC++: vtkIdType GetMaxEdges ();\n\n The maximum number of edges in the combined graph. Default is -1,\n which specifies that there should be no limit on the number\n of edges.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMergeGraphsDoc[] = {
  (char*)"vtkMergeGraphs - combines two graphs\n\n",
  "Super Class:\n\n vtkGraphAlgorithm\n\n",
  (char*)" vtkMergeGraphs combines information from two graphs into one.\n Both graphs must have pedigree ids assigned to the vertices.\n The output will contain the vertices/edges in the first graph, in\n addition to:\n\n  - vertices in the second graph whose pedigree id does not\n    match a vertex in the first input\n\n  - edges in the second graph\n\n The output will contain the same attribute structure as the in",
  (char*)"put;\n fields associated only with the second input graph will not be passed\n to the output. When possible, the vertex/edge data for new vertices and\n edges will be populated with matching attributes on the second graph.\n To be considered a matching attribute, the array must have the same name,\n type, and number of components.\n\n\n",
  "Caveats:\n\n This filter is not \"domain-aware\". Pedigree ids are assumed to be globally\n unique, regardless of their domain.\n\n",
  NULL
};

static vtkObjectBase *vtkMergeGraphsStaticNew()
{
  return vtkMergeGraphs::New();
}

PyObject *PyVTKClass_vtkMergeGraphsNew(char *modulename)
{
  return PyVTKClass_New(&vtkMergeGraphsStaticNew,
                        PyvtkMergeGraphsMethods,
                        (char*)"vtkMergeGraphs",modulename,
                        (char**)vtkMergeGraphsDoc,
                        PyVTKClass_vtkGraphAlgorithmNew(modulename));
}

