// python wrapper for vtkMutableGraphHelper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMutableGraphHelper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMutableGraphHelperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMutableGraphHelperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkMutableGraphHelper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableGraphHelper *op;

  const char    *temp20;
  op = (vtkMutableGraphHelper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMutableGraphHelper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMutableGraphHelper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableGraphHelper *op;

  char    *temp0;
  int      temp20;
  op = (vtkMutableGraphHelper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMutableGraphHelper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMutableGraphHelper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableGraphHelper *op;

  vtkMutableGraphHelper  *temp20;
  op = (vtkMutableGraphHelper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMutableGraphHelper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMutableGraphHelper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMutableGraphHelper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMutableGraphHelper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMutableGraphHelper_SetGraph(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableGraphHelper *op;

  vtkGraph  *temp0;
  PyObject *tempH0;
  op = (vtkMutableGraphHelper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGraph *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGraph");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkMutableGraphHelper::SetGraph(temp0);
      }
    else
      {
      op->SetGraph(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkMutableGraphHelper_GetGraph(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableGraphHelper *op;

  vtkGraph  *temp20;
  op = (vtkMutableGraphHelper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMutableGraphHelper::GetGraph();
      }
    else
      {
      temp20 = op->GetGraph();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMutableGraphHelper_AddGraphEdge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableGraphHelper *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkGraphEdge  *temp20;
  op = (vtkMutableGraphHelper *)PyArg_VTKParseTuple(self, args, (char*)"LL", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMutableGraphHelper::AddGraphEdge(temp0,temp1);
      }
    else
      {
      temp20 = op->AddGraphEdge(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMutableGraphHelper_AddVertex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableGraphHelper *op;

  vtkIdType   temp20;
  op = (vtkMutableGraphHelper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMutableGraphHelper::AddVertex();
      }
    else
      {
      temp20 = op->AddVertex();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMutableGraphHelper_RemoveVertex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableGraphHelper *op;

  vtkIdType   temp0;
  op = (vtkMutableGraphHelper *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMutableGraphHelper::RemoveVertex(temp0);
      }
    else
      {
      op->RemoveVertex(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMutableGraphHelper_RemoveVertices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableGraphHelper *op;

  vtkIdTypeArray  *temp0;
  PyObject *tempH0;
  op = (vtkMutableGraphHelper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkIdTypeArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIdTypeArray");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkMutableGraphHelper::RemoveVertices(temp0);
      }
    else
      {
      op->RemoveVertices(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkMutableGraphHelper_RemoveEdge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableGraphHelper *op;

  vtkIdType   temp0;
  op = (vtkMutableGraphHelper *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMutableGraphHelper::RemoveEdge(temp0);
      }
    else
      {
      op->RemoveEdge(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMutableGraphHelper_RemoveEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableGraphHelper *op;

  vtkIdTypeArray  *temp0;
  PyObject *tempH0;
  op = (vtkMutableGraphHelper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkIdTypeArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIdTypeArray");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkMutableGraphHelper::RemoveEdges(temp0);
      }
    else
      {
      op->RemoveEdges(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}

static PyMethodDef PyvtkMutableGraphHelperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMutableGraphHelper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMutableGraphHelper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMutableGraphHelper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMutableGraphHelper\nC++: vtkMutableGraphHelper *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMutableGraphHelper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMutableGraphHelper\nC++: vtkMutableGraphHelper *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetGraph",                (PyCFunction)PyvtkMutableGraphHelper_SetGraph, 1,
   (char*)"V.SetGraph(vtkGraph)\nC++: void SetGraph (vtkGraph *g);\n\n Set the underlying graph that you want to modify with this helper.\n The graph must be an instance of vtkMutableDirectedGraph or\n vtkMutableUndirectedGraph.\n"},
  {(char*)"GetGraph",                (PyCFunction)PyvtkMutableGraphHelper_GetGraph, 1,
   (char*)"V.GetGraph() -> vtkGraph\nC++: vtkGraph *GetGraph ();\n\n Set the underlying graph that you want to modify with this helper.\n The graph must be an instance of vtkMutableDirectedGraph or\n vtkMutableUndirectedGraph.\n"},
  {(char*)"AddGraphEdge",                (PyCFunction)PyvtkMutableGraphHelper_AddGraphEdge, 1,
   (char*)"V.AddGraphEdge(int, int) -> vtkGraphEdge\nC++: vtkGraphEdge *AddGraphEdge (vtkIdType u, vtkIdType v);\n\n Add an edge to the underlying mutable graph.\n"},
  {(char*)"AddVertex",                (PyCFunction)PyvtkMutableGraphHelper_AddVertex, 1,
   (char*)"V.AddVertex() -> int\nC++: vtkIdType AddVertex ();\n\n Add a vertex to the underlying mutable graph.\n"},
  {(char*)"RemoveVertex",                (PyCFunction)PyvtkMutableGraphHelper_RemoveVertex, 1,
   (char*)"V.RemoveVertex(int)\nC++: void RemoveVertex (vtkIdType v);\n\n Remove a vertex from the underlying mutable graph.\n"},
  {(char*)"RemoveVertices",                (PyCFunction)PyvtkMutableGraphHelper_RemoveVertices, 1,
   (char*)"V.RemoveVertices(vtkIdTypeArray)\nC++: void RemoveVertices (vtkIdTypeArray *verts);\n\n Remove a collection of vertices from the underlying mutable graph.\n"},
  {(char*)"RemoveEdge",                (PyCFunction)PyvtkMutableGraphHelper_RemoveEdge, 1,
   (char*)"V.RemoveEdge(int)\nC++: void RemoveEdge (vtkIdType e);\n\n Remove an edge from the underlying mutable graph.\n"},
  {(char*)"RemoveEdges",                (PyCFunction)PyvtkMutableGraphHelper_RemoveEdges, 1,
   (char*)"V.RemoveEdges(vtkIdTypeArray)\nC++: void RemoveEdges (vtkIdTypeArray *edges);\n\n Remove a collection of edges from the underlying mutable graph.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMutableGraphHelperDoc[] = {
  (char*)"vtkMutableGraphHelper - Helper class for building a directed or\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkMutableGraphHelper has helper methods AddVertex and AddEdge which\n add vertices/edges to the underlying mutable graph. This is helpful in\n filters which need to (re)construct graphs which may be either directed\n or undirected.\n\n\n",
  "See Also:\n\n vtkGraph vtkMutableDirectedGraph vtkMutableUndirectedGraph\n\n",
  NULL
};

static vtkObjectBase *vtkMutableGraphHelperStaticNew()
{
  return vtkMutableGraphHelper::New();
}

PyObject *PyVTKClass_vtkMutableGraphHelperNew(char *modulename)
{
  return PyVTKClass_New(&vtkMutableGraphHelperStaticNew,
                        PyvtkMutableGraphHelperMethods,
                        (char*)"vtkMutableGraphHelper",modulename,
                        (char**)vtkMutableGraphHelperDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

