// python wrapper for vtkNetworkHierarchy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkNetworkHierarchy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkNetworkHierarchyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkNetworkHierarchyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTreeAlgorithmNew(char *); }

static PyObject *PyvtkNetworkHierarchy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetworkHierarchy *op;

  const char    *temp20;
  op = (vtkNetworkHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNetworkHierarchy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkNetworkHierarchy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetworkHierarchy *op;

  char    *temp0;
  int      temp20;
  op = (vtkNetworkHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNetworkHierarchy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkNetworkHierarchy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetworkHierarchy *op;

  vtkNetworkHierarchy  *temp20;
  op = (vtkNetworkHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNetworkHierarchy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkNetworkHierarchy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkNetworkHierarchy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkNetworkHierarchy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkNetworkHierarchy_GetIPArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetworkHierarchy *op;

  char    *temp20;
  op = (vtkNetworkHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNetworkHierarchy::GetIPArrayName();
      }
    else
      {
      temp20 = op->GetIPArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkNetworkHierarchy_SetIPArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetworkHierarchy *op;

  char    *temp0;
  op = (vtkNetworkHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkNetworkHierarchy::SetIPArrayName(temp0);
      }
    else
      {
      op->SetIPArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkNetworkHierarchyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkNetworkHierarchy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkNetworkHierarchy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkNetworkHierarchy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkNetworkHierarchy\nC++: vtkNetworkHierarchy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkNetworkHierarchy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkNetworkHierarchy\nC++: vtkNetworkHierarchy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetIPArrayName",                (PyCFunction)PyvtkNetworkHierarchy_GetIPArrayName, 1,
   (char*)"V.GetIPArrayName() -> string\nC++: char *GetIPArrayName ();\n\n Used to store the ip array name\n"},
  {(char*)"SetIPArrayName",                (PyCFunction)PyvtkNetworkHierarchy_SetIPArrayName, 1,
   (char*)"V.SetIPArrayName(string)\nC++: void SetIPArrayName (char *);\n\n Used to store the ip array name\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkNetworkHierarchyDoc[] = {
  (char*)"vtkNetworkHierarchy - Filter that takes a graph and makes a\n\n",
  "Super Class:\n\n vtkTreeAlgorithm\n\n",
  (char*)" Use SetInputArrayToProcess(0, ...) to set the array to that has\n the network ip addresses.\n Currently this array must be a vtkStringArray.\n\n",
  NULL
};

static vtkObjectBase *vtkNetworkHierarchyStaticNew()
{
  return vtkNetworkHierarchy::New();
}

PyObject *PyVTKClass_vtkNetworkHierarchyNew(char *modulename)
{
  return PyVTKClass_New(&vtkNetworkHierarchyStaticNew,
                        PyvtkNetworkHierarchyMethods,
                        (char*)"vtkNetworkHierarchy",modulename,
                        (char**)vtkNetworkHierarchyDoc,
                        PyVTKClass_vtkTreeAlgorithmNew(modulename));
}

