// python wrapper for vtkPassArrays object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPassArrays.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPassArraysNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPassArraysNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataObjectAlgorithmNew(char *); }

static PyObject *PyvtkPassArrays_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPassArrays *op;

  const char    *temp20;
  op = (vtkPassArrays *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPassArrays::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPassArrays_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPassArrays *op;

  char    *temp0;
  int      temp20;
  op = (vtkPassArrays *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPassArrays::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPassArrays_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPassArrays *op;

  vtkPassArrays  *temp20;
  op = (vtkPassArrays *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPassArrays::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPassArrays_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPassArrays  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPassArrays::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPassArrays_AddArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPassArrays *op;

  int      temp0;
  char    *temp1;
  op = (vtkPassArrays *)PyArg_VTKParseTuple(self, args, (char*)"iz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPassArrays::AddArray(temp0,temp1);
      }
    else
      {
      op->AddArray(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPassArrays_ClearArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPassArrays *op;

  op = (vtkPassArrays *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPassArrays::ClearArrays();
      }
    else
      {
      op->ClearArrays();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPassArrays_SetRemoveArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPassArrays *op;

  bool   temp0;
  op = (vtkPassArrays *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPassArrays::SetRemoveArrays(temp0);
      }
    else
      {
      op->SetRemoveArrays(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPassArrays_GetRemoveArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPassArrays *op;

  bool   temp20;
  op = (vtkPassArrays *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPassArrays::GetRemoveArrays();
      }
    else
      {
      temp20 = op->GetRemoveArrays();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkPassArrays_RemoveArraysOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPassArrays *op;

  op = (vtkPassArrays *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPassArrays::RemoveArraysOn();
      }
    else
      {
      op->RemoveArraysOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPassArrays_RemoveArraysOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPassArrays *op;

  op = (vtkPassArrays *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPassArrays::RemoveArraysOff();
      }
    else
      {
      op->RemoveArraysOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPassArrays_SetUseFieldTypes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPassArrays *op;

  bool   temp0;
  op = (vtkPassArrays *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPassArrays::SetUseFieldTypes(temp0);
      }
    else
      {
      op->SetUseFieldTypes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPassArrays_GetUseFieldTypes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPassArrays *op;

  bool   temp20;
  op = (vtkPassArrays *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPassArrays::GetUseFieldTypes();
      }
    else
      {
      temp20 = op->GetUseFieldTypes();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkPassArrays_UseFieldTypesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPassArrays *op;

  op = (vtkPassArrays *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPassArrays::UseFieldTypesOn();
      }
    else
      {
      op->UseFieldTypesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPassArrays_UseFieldTypesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPassArrays *op;

  op = (vtkPassArrays *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPassArrays::UseFieldTypesOff();
      }
    else
      {
      op->UseFieldTypesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPassArrays_AddFieldType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPassArrays *op;

  int      temp0;
  op = (vtkPassArrays *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPassArrays::AddFieldType(temp0);
      }
    else
      {
      op->AddFieldType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPassArrays_ClearFieldTypes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPassArrays *op;

  op = (vtkPassArrays *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPassArrays::ClearFieldTypes();
      }
    else
      {
      op->ClearFieldTypes();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPassArraysMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPassArrays_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPassArrays_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPassArrays_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPassArrays\nC++: vtkPassArrays *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPassArrays_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPassArrays\nC++: vtkPassArrays *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddArray",                (PyCFunction)PyvtkPassArrays_AddArray, 1,
   (char*)"V.AddArray(int, string)\nC++: virtual void AddArray (int fieldType, const char *name);\n\n Adds an array to pass through.\n fieldType where the array that should be passed (point data, cell data, etc.).\n It should be one of the constants defined in the vtkDataObject::AttributeTypes\n enumeration.\n"},
  {(char*)"ClearArrays",                (PyCFunction)PyvtkPassArrays_ClearArrays, 1,
   (char*)"V.ClearArrays()\nC++: virtual void ClearArrays ();\n\n Clear all arrays to pass through.\n"},
  {(char*)"SetRemoveArrays",                (PyCFunction)PyvtkPassArrays_SetRemoveArrays, 1,
   (char*)"V.SetRemoveArrays(bool)\nC++: void SetRemoveArrays (bool );\n\n Instead of passing only the specified arrays, remove the specified arrays\n and keep all other arrays. Default is off.\n"},
  {(char*)"GetRemoveArrays",                (PyCFunction)PyvtkPassArrays_GetRemoveArrays, 1,
   (char*)"V.GetRemoveArrays() -> bool\nC++: bool GetRemoveArrays ();\n\n Instead of passing only the specified arrays, remove the specified arrays\n and keep all other arrays. Default is off.\n"},
  {(char*)"RemoveArraysOn",                (PyCFunction)PyvtkPassArrays_RemoveArraysOn, 1,
   (char*)"V.RemoveArraysOn()\nC++: void RemoveArraysOn ();\n\n Instead of passing only the specified arrays, remove the specified arrays\n and keep all other arrays. Default is off.\n"},
  {(char*)"RemoveArraysOff",                (PyCFunction)PyvtkPassArrays_RemoveArraysOff, 1,
   (char*)"V.RemoveArraysOff()\nC++: void RemoveArraysOff ();\n\n Instead of passing only the specified arrays, remove the specified arrays\n and keep all other arrays. Default is off.\n"},
  {(char*)"SetUseFieldTypes",                (PyCFunction)PyvtkPassArrays_SetUseFieldTypes, 1,
   (char*)"V.SetUseFieldTypes(bool)\nC++: void SetUseFieldTypes (bool );\n\n Process only those field types explicitly specified with AddFieldType.\n Otherwise, processes field types associated with at least one specified\n array. Default is off.\n"},
  {(char*)"GetUseFieldTypes",                (PyCFunction)PyvtkPassArrays_GetUseFieldTypes, 1,
   (char*)"V.GetUseFieldTypes() -> bool\nC++: bool GetUseFieldTypes ();\n\n Process only those field types explicitly specified with AddFieldType.\n Otherwise, processes field types associated with at least one specified\n array. Default is off.\n"},
  {(char*)"UseFieldTypesOn",                (PyCFunction)PyvtkPassArrays_UseFieldTypesOn, 1,
   (char*)"V.UseFieldTypesOn()\nC++: void UseFieldTypesOn ();\n\n Process only those field types explicitly specified with AddFieldType.\n Otherwise, processes field types associated with at least one specified\n array. Default is off.\n"},
  {(char*)"UseFieldTypesOff",                (PyCFunction)PyvtkPassArrays_UseFieldTypesOff, 1,
   (char*)"V.UseFieldTypesOff()\nC++: void UseFieldTypesOff ();\n\n Process only those field types explicitly specified with AddFieldType.\n Otherwise, processes field types associated with at least one specified\n array. Default is off.\n"},
  {(char*)"AddFieldType",                (PyCFunction)PyvtkPassArrays_AddFieldType, 1,
   (char*)"V.AddFieldType(int)\nC++: virtual void AddFieldType (int fieldType);\n\n Add a field type to process.\n fieldType where the array that should be passed (point data, cell data, etc.).\n It should be one of the constants defined in the vtkDataObject::AttributeTypes\n enumeration.\n NOTE: These are only used if UseFieldType is turned on.\n"},
  {(char*)"ClearFieldTypes",                (PyCFunction)PyvtkPassArrays_ClearFieldTypes, 1,
   (char*)"V.ClearFieldTypes()\nC++: virtual void ClearFieldTypes ();\n\n Clear all field types to process.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPassArraysDoc[] = {
  (char*)"vtkPassArrays - Passes a subset of arrays to the output\n\n",
  "Super Class:\n\n vtkDataObjectAlgorithm\n\n",
  (char*)" This filter preserves all the topology of the input, but only a subset of\n arrays are passed to the output. Add an array to be passed to the output\n data object with AddArray(). If RemoveArrays is on, the specified arrays will\n be the ones that are removed instead of the ones that are kept.\n\n Arrays with special attributes (scalars, pedigree ids, etc.) will retain those\n attributes in the output.",
  (char*)"\n\n By default, only those field types with at least one array specified through\n AddArray will be processed. If instead UseFieldTypes\n is turned on, you explicitly set which field types to process with AddFieldType.\n\n Example 1:\n\n <pre>\n passArray->AddArray(vtkDataObject::POINT, \"velocity\");\n </pre>\n\n The output will have only that one array \"velocity\" in the\n point data, but cell and field data w",
  (char*)"ill be untouched.\n\n Example 2:\n\n <pre>\n passArray->AddArray(vtkDataObject::POINT, \"velocity\");\n passArray->UseFieldTypesOn();\n passArray->AddFieldType(vtkDataObject::POINT);\n passArray->AddFieldType(vtkDataObject::CELL);\n </pre>\n\n The point data would still contain the single array, but the cell data\n would be cleared since you did not specify any arrays to pass. Field data would\n still be untouch",
  (char*)"ed.\n\n",
  NULL
};

static vtkObjectBase *vtkPassArraysStaticNew()
{
  return vtkPassArrays::New();
}

PyObject *PyVTKClass_vtkPassArraysNew(char *modulename)
{
  return PyVTKClass_New(&vtkPassArraysStaticNew,
                        PyvtkPassArraysMethods,
                        (char*)"vtkPassArrays",modulename,
                        (char**)vtkPassArraysDoc,
                        PyVTKClass_vtkDataObjectAlgorithmNew(modulename));
}

