// python wrapper for vtkSQLDatabaseGraphSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSQLDatabaseGraphSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSQLDatabaseGraphSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSQLDatabaseGraphSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGraphAlgorithmNew(char *); }

static PyObject *PyvtkSQLDatabaseGraphSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabaseGraphSource *op;

  const char    *temp20;
  op = (vtkSQLDatabaseGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLDatabaseGraphSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabaseGraphSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabaseGraphSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkSQLDatabaseGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLDatabaseGraphSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabaseGraphSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabaseGraphSource *op;

  vtkSQLDatabaseGraphSource  *temp20;
  op = (vtkSQLDatabaseGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLDatabaseGraphSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabaseGraphSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSQLDatabaseGraphSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSQLDatabaseGraphSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSQLDatabaseGraphSource_GetURL(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabaseGraphSource *op;

  const char    *temp20;
  op = (vtkSQLDatabaseGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLDatabaseGraphSource::GetURL();
      }
    else
      {
      temp20 = op->GetURL();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabaseGraphSource_SetURL(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabaseGraphSource *op;

  char    *temp0;
  op = (vtkSQLDatabaseGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSQLDatabaseGraphSource::SetURL(temp0);
      }
    else
      {
      op->SetURL(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabaseGraphSource_SetPassword(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabaseGraphSource *op;

  char    *temp0;
  op = (vtkSQLDatabaseGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSQLDatabaseGraphSource::SetPassword(temp0);
      }
    else
      {
      op->SetPassword(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabaseGraphSource_GetEdgeQuery(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabaseGraphSource *op;

  const char    *temp20;
  op = (vtkSQLDatabaseGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLDatabaseGraphSource::GetEdgeQuery();
      }
    else
      {
      temp20 = op->GetEdgeQuery();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabaseGraphSource_SetEdgeQuery(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabaseGraphSource *op;

  char    *temp0;
  op = (vtkSQLDatabaseGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSQLDatabaseGraphSource::SetEdgeQuery(temp0);
      }
    else
      {
      op->SetEdgeQuery(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabaseGraphSource_GetVertexQuery(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabaseGraphSource *op;

  const char    *temp20;
  op = (vtkSQLDatabaseGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLDatabaseGraphSource::GetVertexQuery();
      }
    else
      {
      temp20 = op->GetVertexQuery();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabaseGraphSource_SetVertexQuery(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabaseGraphSource *op;

  char    *temp0;
  op = (vtkSQLDatabaseGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSQLDatabaseGraphSource::SetVertexQuery(temp0);
      }
    else
      {
      op->SetVertexQuery(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabaseGraphSource_AddLinkVertex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabaseGraphSource *op;

  char    *temp0;
  char    *temp1;
  int      temp2;
  op = (vtkSQLDatabaseGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"zzi", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSQLDatabaseGraphSource::AddLinkVertex(temp0,temp1,temp2);
      }
    else
      {
      op->AddLinkVertex(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabaseGraphSource_ClearLinkVertices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabaseGraphSource *op;

  op = (vtkSQLDatabaseGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSQLDatabaseGraphSource::ClearLinkVertices();
      }
    else
      {
      op->ClearLinkVertices();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabaseGraphSource_AddLinkEdge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabaseGraphSource *op;

  char    *temp0;
  char    *temp1;
  op = (vtkSQLDatabaseGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"zz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSQLDatabaseGraphSource::AddLinkEdge(temp0,temp1);
      }
    else
      {
      op->AddLinkEdge(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabaseGraphSource_ClearLinkEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabaseGraphSource *op;

  op = (vtkSQLDatabaseGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSQLDatabaseGraphSource::ClearLinkEdges();
      }
    else
      {
      op->ClearLinkEdges();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabaseGraphSource_GetGenerateEdgePedigreeIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabaseGraphSource *op;

  bool   temp20;
  op = (vtkSQLDatabaseGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLDatabaseGraphSource::GetGenerateEdgePedigreeIds();
      }
    else
      {
      temp20 = op->GetGenerateEdgePedigreeIds();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabaseGraphSource_SetGenerateEdgePedigreeIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabaseGraphSource *op;

  bool   temp0;
  op = (vtkSQLDatabaseGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSQLDatabaseGraphSource::SetGenerateEdgePedigreeIds(temp0);
      }
    else
      {
      op->SetGenerateEdgePedigreeIds(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabaseGraphSource_GenerateEdgePedigreeIdsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabaseGraphSource *op;

  op = (vtkSQLDatabaseGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSQLDatabaseGraphSource::GenerateEdgePedigreeIdsOn();
      }
    else
      {
      op->GenerateEdgePedigreeIdsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabaseGraphSource_GenerateEdgePedigreeIdsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabaseGraphSource *op;

  op = (vtkSQLDatabaseGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSQLDatabaseGraphSource::GenerateEdgePedigreeIdsOff();
      }
    else
      {
      op->GenerateEdgePedigreeIdsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabaseGraphSource_SetEdgePedigreeIdArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabaseGraphSource *op;

  char    *temp0;
  op = (vtkSQLDatabaseGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSQLDatabaseGraphSource::SetEdgePedigreeIdArrayName(temp0);
      }
    else
      {
      op->SetEdgePedigreeIdArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabaseGraphSource_GetEdgePedigreeIdArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabaseGraphSource *op;

  char    *temp20;
  op = (vtkSQLDatabaseGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLDatabaseGraphSource::GetEdgePedigreeIdArrayName();
      }
    else
      {
      temp20 = op->GetEdgePedigreeIdArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabaseGraphSource_SetDirected(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabaseGraphSource *op;

  bool   temp0;
  op = (vtkSQLDatabaseGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSQLDatabaseGraphSource::SetDirected(temp0);
      }
    else
      {
      op->SetDirected(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabaseGraphSource_GetDirected(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabaseGraphSource *op;

  bool   temp20;
  op = (vtkSQLDatabaseGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSQLDatabaseGraphSource::GetDirected();
      }
    else
      {
      temp20 = op->GetDirected();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabaseGraphSource_DirectedOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabaseGraphSource *op;

  op = (vtkSQLDatabaseGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSQLDatabaseGraphSource::DirectedOn();
      }
    else
      {
      op->DirectedOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSQLDatabaseGraphSource_DirectedOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSQLDatabaseGraphSource *op;

  op = (vtkSQLDatabaseGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSQLDatabaseGraphSource::DirectedOff();
      }
    else
      {
      op->DirectedOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSQLDatabaseGraphSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSQLDatabaseGraphSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSQLDatabaseGraphSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSQLDatabaseGraphSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSQLDatabaseGraphSource\nC++: vtkSQLDatabaseGraphSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSQLDatabaseGraphSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSQLDatabaseGraphSource\nC++: vtkSQLDatabaseGraphSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetURL",                (PyCFunction)PyvtkSQLDatabaseGraphSource_GetURL, 1,
   (char*)"V.GetURL() -> string\nC++: vtkStdString GetURL ();\n\n"},
  {(char*)"SetURL",                (PyCFunction)PyvtkSQLDatabaseGraphSource_SetURL, 1,
   (char*)"V.SetURL(string)\nC++: void SetURL (const vtkStdString &url);\n\n"},
  {(char*)"SetPassword",                (PyCFunction)PyvtkSQLDatabaseGraphSource_SetPassword, 1,
   (char*)"V.SetPassword(string)\nC++: void SetPassword (const vtkStdString &password);\n\n"},
  {(char*)"GetEdgeQuery",                (PyCFunction)PyvtkSQLDatabaseGraphSource_GetEdgeQuery, 1,
   (char*)"V.GetEdgeQuery() -> string\nC++: vtkStdString GetEdgeQuery ();\n\n"},
  {(char*)"SetEdgeQuery",                (PyCFunction)PyvtkSQLDatabaseGraphSource_SetEdgeQuery, 1,
   (char*)"V.SetEdgeQuery(string)\nC++: void SetEdgeQuery (const vtkStdString &query);\n\n"},
  {(char*)"GetVertexQuery",                (PyCFunction)PyvtkSQLDatabaseGraphSource_GetVertexQuery, 1,
   (char*)"V.GetVertexQuery() -> string\nC++: vtkStdString GetVertexQuery ();\n\n"},
  {(char*)"SetVertexQuery",                (PyCFunction)PyvtkSQLDatabaseGraphSource_SetVertexQuery, 1,
   (char*)"V.SetVertexQuery(string)\nC++: void SetVertexQuery (const vtkStdString &query);\n\n"},
  {(char*)"AddLinkVertex",                (PyCFunction)PyvtkSQLDatabaseGraphSource_AddLinkVertex, 1,
   (char*)"V.AddLinkVertex(string, string, int)\nC++: void AddLinkVertex (const char *column, const char *domain, int hidden);\n\n"},
  {(char*)"ClearLinkVertices",                (PyCFunction)PyvtkSQLDatabaseGraphSource_ClearLinkVertices, 1,
   (char*)"V.ClearLinkVertices()\nC++: void ClearLinkVertices ();\n\n"},
  {(char*)"AddLinkEdge",                (PyCFunction)PyvtkSQLDatabaseGraphSource_AddLinkEdge, 1,
   (char*)"V.AddLinkEdge(string, string)\nC++: void AddLinkEdge (const char *column1, const char *column2);\n\n"},
  {(char*)"ClearLinkEdges",                (PyCFunction)PyvtkSQLDatabaseGraphSource_ClearLinkEdges, 1,
   (char*)"V.ClearLinkEdges()\nC++: void ClearLinkEdges ();\n\n"},
  {(char*)"GetGenerateEdgePedigreeIds",                (PyCFunction)PyvtkSQLDatabaseGraphSource_GetGenerateEdgePedigreeIds, 1,
   (char*)"V.GetGenerateEdgePedigreeIds() -> bool\nC++: bool GetGenerateEdgePedigreeIds ();\n\n If on (default), generate edge pedigree ids.\n If off, assign an array to be edge pedigree ids.\n"},
  {(char*)"SetGenerateEdgePedigreeIds",                (PyCFunction)PyvtkSQLDatabaseGraphSource_SetGenerateEdgePedigreeIds, 1,
   (char*)"V.SetGenerateEdgePedigreeIds(bool)\nC++: void SetGenerateEdgePedigreeIds (bool );\n\n If on (default), generate edge pedigree ids.\n If off, assign an array to be edge pedigree ids.\n"},
  {(char*)"GenerateEdgePedigreeIdsOn",                (PyCFunction)PyvtkSQLDatabaseGraphSource_GenerateEdgePedigreeIdsOn, 1,
   (char*)"V.GenerateEdgePedigreeIdsOn()\nC++: void GenerateEdgePedigreeIdsOn ();\n\n If on (default), generate edge pedigree ids.\n If off, assign an array to be edge pedigree ids.\n"},
  {(char*)"GenerateEdgePedigreeIdsOff",                (PyCFunction)PyvtkSQLDatabaseGraphSource_GenerateEdgePedigreeIdsOff, 1,
   (char*)"V.GenerateEdgePedigreeIdsOff()\nC++: void GenerateEdgePedigreeIdsOff ();\n\n If on (default), generate edge pedigree ids.\n If off, assign an array to be edge pedigree ids.\n"},
  {(char*)"SetEdgePedigreeIdArrayName",                (PyCFunction)PyvtkSQLDatabaseGraphSource_SetEdgePedigreeIdArrayName, 1,
   (char*)"V.SetEdgePedigreeIdArrayName(string)\nC++: void SetEdgePedigreeIdArrayName (char *);\n\n Use this array name for setting or generating edge pedigree ids.\n"},
  {(char*)"GetEdgePedigreeIdArrayName",                (PyCFunction)PyvtkSQLDatabaseGraphSource_GetEdgePedigreeIdArrayName, 1,
   (char*)"V.GetEdgePedigreeIdArrayName() -> string\nC++: char *GetEdgePedigreeIdArrayName ();\n\n Use this array name for setting or generating edge pedigree ids.\n"},
  {(char*)"SetDirected",                (PyCFunction)PyvtkSQLDatabaseGraphSource_SetDirected, 1,
   (char*)"V.SetDirected(bool)\nC++: void SetDirected (bool );\n\n If on (default), generate a directed output graph.\n If off, generate an undirected output graph.\n"},
  {(char*)"GetDirected",                (PyCFunction)PyvtkSQLDatabaseGraphSource_GetDirected, 1,
   (char*)"V.GetDirected() -> bool\nC++: bool GetDirected ();\n\n If on (default), generate a directed output graph.\n If off, generate an undirected output graph.\n"},
  {(char*)"DirectedOn",                (PyCFunction)PyvtkSQLDatabaseGraphSource_DirectedOn, 1,
   (char*)"V.DirectedOn()\nC++: void DirectedOn ();\n\n If on (default), generate a directed output graph.\n If off, generate an undirected output graph.\n"},
  {(char*)"DirectedOff",                (PyCFunction)PyvtkSQLDatabaseGraphSource_DirectedOff, 1,
   (char*)"V.DirectedOff()\nC++: void DirectedOff ();\n\n If on (default), generate a directed output graph.\n If off, generate an undirected output graph.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSQLDatabaseGraphSourceDoc[] = {
  (char*)"vtkSQLDatabaseGraphSource - Generates a vtkGraph based on an SQL query.\n\n",
  "Super Class:\n\n vtkGraphAlgorithm\n\n",
  (char*)" This class combines vtkSQLDatabase, vtkSQLQuery, and vtkQueryToGraph to\n provide a convenience class for generating graphs from databases. \n Also this class can be easily wrapped and used within ParaView / OverView.\n\n",
  NULL
};

static vtkObjectBase *vtkSQLDatabaseGraphSourceStaticNew()
{
  return vtkSQLDatabaseGraphSource::New();
}

PyObject *PyVTKClass_vtkSQLDatabaseGraphSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkSQLDatabaseGraphSourceStaticNew,
                        PyvtkSQLDatabaseGraphSourceMethods,
                        (char*)"vtkSQLDatabaseGraphSource",modulename,
                        (char**)vtkSQLDatabaseGraphSourceDoc,
                        PyVTKClass_vtkGraphAlgorithmNew(modulename));
}

