// python wrapper for vtkSpanTreeLayoutStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSpanTreeLayoutStrategy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSpanTreeLayoutStrategyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSpanTreeLayoutStrategyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGraphLayoutStrategyNew(char *); }

static PyObject *PyvtkSpanTreeLayoutStrategy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpanTreeLayoutStrategy *op;

  const char    *temp20;
  op = (vtkSpanTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpanTreeLayoutStrategy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSpanTreeLayoutStrategy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpanTreeLayoutStrategy *op;

  char    *temp0;
  int      temp20;
  op = (vtkSpanTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpanTreeLayoutStrategy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpanTreeLayoutStrategy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpanTreeLayoutStrategy *op;

  vtkSpanTreeLayoutStrategy  *temp20;
  op = (vtkSpanTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpanTreeLayoutStrategy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpanTreeLayoutStrategy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSpanTreeLayoutStrategy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSpanTreeLayoutStrategy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSpanTreeLayoutStrategy_SetDepthFirstSpanningTree(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpanTreeLayoutStrategy *op;

  bool   temp0;
  op = (vtkSpanTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpanTreeLayoutStrategy::SetDepthFirstSpanningTree(temp0);
      }
    else
      {
      op->SetDepthFirstSpanningTree(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpanTreeLayoutStrategy_GetDepthFirstSpanningTree(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpanTreeLayoutStrategy *op;

  bool   temp20;
  op = (vtkSpanTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpanTreeLayoutStrategy::GetDepthFirstSpanningTree();
      }
    else
      {
      temp20 = op->GetDepthFirstSpanningTree();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkSpanTreeLayoutStrategy_DepthFirstSpanningTreeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpanTreeLayoutStrategy *op;

  op = (vtkSpanTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpanTreeLayoutStrategy::DepthFirstSpanningTreeOn();
      }
    else
      {
      op->DepthFirstSpanningTreeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpanTreeLayoutStrategy_DepthFirstSpanningTreeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpanTreeLayoutStrategy *op;

  op = (vtkSpanTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpanTreeLayoutStrategy::DepthFirstSpanningTreeOff();
      }
    else
      {
      op->DepthFirstSpanningTreeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpanTreeLayoutStrategy_Layout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpanTreeLayoutStrategy *op;

  op = (vtkSpanTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpanTreeLayoutStrategy::Layout();
      }
    else
      {
      op->Layout();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSpanTreeLayoutStrategyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSpanTreeLayoutStrategy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSpanTreeLayoutStrategy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSpanTreeLayoutStrategy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSpanTreeLayoutStrategy\nC++: vtkSpanTreeLayoutStrategy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSpanTreeLayoutStrategy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSpanTreeLayoutStrategy\nC++: vtkSpanTreeLayoutStrategy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetDepthFirstSpanningTree",                (PyCFunction)PyvtkSpanTreeLayoutStrategy_SetDepthFirstSpanningTree, 1,
   (char*)"V.SetDepthFirstSpanningTree(bool)\nC++: void SetDepthFirstSpanningTree (bool );\n\n If set, base the layout on a depth-first spanning tree,\n rather than the default breadth-first spanning tree.\n Switching between DFT and BFT may significantly change\n the layout, and choice must be made on a per-graph basis.\n Default value is off.\n"},
  {(char*)"GetDepthFirstSpanningTree",                (PyCFunction)PyvtkSpanTreeLayoutStrategy_GetDepthFirstSpanningTree, 1,
   (char*)"V.GetDepthFirstSpanningTree() -> bool\nC++: bool GetDepthFirstSpanningTree ();\n\n If set, base the layout on a depth-first spanning tree,\n rather than the default breadth-first spanning tree.\n Switching between DFT and BFT may significantly change\n the layout, and choice must be made on a per-graph basis.\n Default value is off.\n"},
  {(char*)"DepthFirstSpanningTreeOn",                (PyCFunction)PyvtkSpanTreeLayoutStrategy_DepthFirstSpanningTreeOn, 1,
   (char*)"V.DepthFirstSpanningTreeOn()\nC++: void DepthFirstSpanningTreeOn ();\n\n If set, base the layout on a depth-first spanning tree,\n rather than the default breadth-first spanning tree.\n Switching between DFT and BFT may significantly change\n the layout, and choice must be made on a per-graph basis.\n Default value is off.\n"},
  {(char*)"DepthFirstSpanningTreeOff",                (PyCFunction)PyvtkSpanTreeLayoutStrategy_DepthFirstSpanningTreeOff, 1,
   (char*)"V.DepthFirstSpanningTreeOff()\nC++: void DepthFirstSpanningTreeOff ();\n\n If set, base the layout on a depth-first spanning tree,\n rather than the default breadth-first spanning tree.\n Switching between DFT and BFT may significantly change\n the layout, and choice must be made on a per-graph basis.\n Default value is off.\n"},
  {(char*)"Layout",                (PyCFunction)PyvtkSpanTreeLayoutStrategy_Layout, 1,
   (char*)"V.Layout()\nC++: void Layout ();\n\n Perform the layout.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSpanTreeLayoutStrategyDoc[] = {
  (char*)"vtkSpanTreeLayoutStrategy\n\n",
  "Super Class:\n\n vtkGraphLayoutStrategy\n\n",
  (char*)" vtkSpanTreeLayout is a strategy for drawing directed graphs that\n works by first extracting a spanning tree (more accurately, a \n spanning forest), and using this both to position graph vertices\n and to plan the placement of non-tree edges.  The latter are drawn\n with the aid of edge points to produce a tidy drawing.\n\n The approach is best suited to \"quasi-trees\", graphs where the number\n of edge",
  (char*)"s is of the same order as the number of nodes; it is less well\n suited to denser graphs.  The boolean flag DepthFirstSpanningTree\n determines whether a depth-first or breadth-first strategy is used to\n construct the underlying forest, and the choice of strategy affects\n the output layout significantly.  Informal experiments suggest that\n the breadth-first strategy is better for denser graphs.\n\n Di",
  (char*)"fferent layouts could also be produced by plugging in alternative\n tree layout strategies.  To work with the method of routing non-tree\n edges, any strategy should draw a tree so that levels are equally\n spaced along the z-axis, precluding for example the use of a radial\n or balloon layout.\n\n vtkSpanTreeLayout is based on an approach to 3D graph layout first \n developed as part of the \"tulip\" tool",
  (char*)" by Dr. David Auber at LaBRI, \n U.Bordeaux: see www.tulip-software.org   \n\n This implementation departs from the original version in that:\n (a) it is reconstructed to use Titan/VTK data structures;\n (b) it uses a faster method for dealing with non-tree edges,\n     requiring at most two edge points per edge\n (c) allows for plugging in different tree layout methods\n (d) allows selection of two diffe",
  (char*)"rent strategies for building\n     the underlying layout tree, which can yield significantly\n     different results depending on the data.\n\n .SECTION Thanks\n Thanks to David Duke from the University of Leeds for providing this \n implementation.\n\n",
  NULL
};

static vtkObjectBase *vtkSpanTreeLayoutStrategyStaticNew()
{
  return vtkSpanTreeLayoutStrategy::New();
}

PyObject *PyVTKClass_vtkSpanTreeLayoutStrategyNew(char *modulename)
{
  return PyVTKClass_New(&vtkSpanTreeLayoutStrategyStaticNew,
                        PyvtkSpanTreeLayoutStrategyMethods,
                        (char*)"vtkSpanTreeLayoutStrategy",modulename,
                        (char**)vtkSpanTreeLayoutStrategyDoc,
                        PyVTKClass_vtkGraphLayoutStrategyNew(modulename));
}

