// python wrapper for vtkSparseArrayToTable object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSparseArrayToTable.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSparseArrayToTableNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSparseArrayToTableNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(char *); }

static PyObject *PyvtkSparseArrayToTable_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSparseArrayToTable *op;

  const char    *temp20;
  op = (vtkSparseArrayToTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSparseArrayToTable::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSparseArrayToTable_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSparseArrayToTable *op;

  char    *temp0;
  int      temp20;
  op = (vtkSparseArrayToTable *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSparseArrayToTable::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSparseArrayToTable_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSparseArrayToTable *op;

  vtkSparseArrayToTable  *temp20;
  op = (vtkSparseArrayToTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSparseArrayToTable::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSparseArrayToTable_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSparseArrayToTable  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSparseArrayToTable::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSparseArrayToTable_GetValueColumn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSparseArrayToTable *op;

  char    *temp20;
  op = (vtkSparseArrayToTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSparseArrayToTable::GetValueColumn();
      }
    else
      {
      temp20 = op->GetValueColumn();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSparseArrayToTable_SetValueColumn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSparseArrayToTable *op;

  char    *temp0;
  op = (vtkSparseArrayToTable *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSparseArrayToTable::SetValueColumn(temp0);
      }
    else
      {
      op->SetValueColumn(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSparseArrayToTableMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSparseArrayToTable_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSparseArrayToTable_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSparseArrayToTable_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSparseArrayToTable\nC++: vtkSparseArrayToTable *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSparseArrayToTable_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSparseArrayToTable\nC++: vtkSparseArrayToTable *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetValueColumn",                (PyCFunction)PyvtkSparseArrayToTable_GetValueColumn, 1,
   (char*)"V.GetValueColumn() -> string\nC++: char *GetValueColumn ();\n\n Specify the name of the output table column that contains array values.\n Default: \"value\"\n"},
  {(char*)"SetValueColumn",                (PyCFunction)PyvtkSparseArrayToTable_SetValueColumn, 1,
   (char*)"V.SetValueColumn(string)\nC++: void SetValueColumn (char *);\n\n Specify the name of the output table column that contains array values.\n Default: \"value\"\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSparseArrayToTableDoc[] = {
  (char*)"vtkSparseArrayToTable - Converts a sparse array to a vtkTable.\n\n",
  "Super Class:\n\n vtkTableAlgorithm\n\n",
  (char*)" Converts any sparse array to a vtkTable containing one row for each value\n stored in the array.  The table will contain one column of coordinates for each\n dimension in the source array, plus one column of array values.  A common use-case\n for vtkSparseArrayToTable would be converting a sparse array into a table\n suitable for use as an input to vtkTableToGraph.\n\n The coordinate columns in the out",
  (char*)"put table will be named using the dimension labels\n from the source array,  The value column name can be explicitly set using\n SetValueColumn().\n\n .SECTION Thanks\n Developed by Timothy M. Shead (tshead@sandia.gov) at Sandia National Laboratories.\n\n",
  NULL
};

static vtkObjectBase *vtkSparseArrayToTableStaticNew()
{
  return vtkSparseArrayToTable::New();
}

PyObject *PyVTKClass_vtkSparseArrayToTableNew(char *modulename)
{
  return PyVTKClass_New(&vtkSparseArrayToTableStaticNew,
                        PyvtkSparseArrayToTableMethods,
                        (char*)"vtkSparseArrayToTable",modulename,
                        (char**)vtkSparseArrayToTableDoc,
                        PyVTKClass_vtkTableAlgorithmNew(modulename));
}

