// python wrapper for vtkSplineGraphEdges object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSplineGraphEdges.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSplineGraphEdgesNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSplineGraphEdgesNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGraphAlgorithmNew(char *); }

static PyObject *PyvtkSplineGraphEdges_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineGraphEdges *op;

  const char    *temp20;
  op = (vtkSplineGraphEdges *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineGraphEdges::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineGraphEdges_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineGraphEdges *op;

  char    *temp0;
  int      temp20;
  op = (vtkSplineGraphEdges *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineGraphEdges::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineGraphEdges_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineGraphEdges *op;

  vtkSplineGraphEdges  *temp20;
  op = (vtkSplineGraphEdges *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineGraphEdges::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineGraphEdges_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSplineGraphEdges  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSplineGraphEdges::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSplineGraphEdges_SetSpline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineGraphEdges *op;

  vtkSpline  *temp0;
  PyObject *tempH0;
  op = (vtkSplineGraphEdges *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSpline *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSpline");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineGraphEdges::SetSpline(temp0);
      }
    else
      {
      op->SetSpline(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkSplineGraphEdges_GetSpline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineGraphEdges *op;

  vtkSpline  *temp20;
  op = (vtkSplineGraphEdges *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineGraphEdges::GetSpline();
      }
    else
      {
      temp20 = op->GetSpline();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineGraphEdges_SetSplineType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineGraphEdges *op;

  int      temp0;
  op = (vtkSplineGraphEdges *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineGraphEdges::SetSplineType(temp0);
      }
    else
      {
      op->SetSplineType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineGraphEdges_GetSplineType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineGraphEdges *op;

  int      temp20;
  op = (vtkSplineGraphEdges *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineGraphEdges::GetSplineType();
      }
    else
      {
      temp20 = op->GetSplineType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineGraphEdges_SetNumberOfSubdivisions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineGraphEdges *op;

  vtkIdType   temp0;
  op = (vtkSplineGraphEdges *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineGraphEdges::SetNumberOfSubdivisions(temp0);
      }
    else
      {
      op->SetNumberOfSubdivisions(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineGraphEdges_GetNumberOfSubdivisions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineGraphEdges *op;

  vtkIdType   temp20;
  op = (vtkSplineGraphEdges *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineGraphEdges::GetNumberOfSubdivisions();
      }
    else
      {
      temp20 = op->GetNumberOfSubdivisions();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSplineGraphEdgesMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSplineGraphEdges_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSplineGraphEdges_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSplineGraphEdges_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSplineGraphEdges\nC++: vtkSplineGraphEdges *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSplineGraphEdges_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSplineGraphEdges\nC++: vtkSplineGraphEdges *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetSpline",                (PyCFunction)PyvtkSplineGraphEdges_SetSpline, 1,
   (char*)"V.SetSpline(vtkSpline)\nC++: virtual void SetSpline (vtkSpline *s);\n\n If SplineType is CUSTOM, uses this spline.\n"},
  {(char*)"GetSpline",                (PyCFunction)PyvtkSplineGraphEdges_GetSpline, 1,
   (char*)"V.GetSpline() -> vtkSpline\nC++: vtkSpline *GetSpline ();\n\n If SplineType is CUSTOM, uses this spline.\n"},
  {(char*)"SetSplineType",                (PyCFunction)PyvtkSplineGraphEdges_SetSplineType, 1,
   (char*)"V.SetSplineType(int)\nC++: void SetSplineType (int );\n\n Spline type used by the filter.\n BSPLINE (0) - Use optimized b-spline (default).\n CUSTOM (1) - Use spline set with SetSpline.\n"},
  {(char*)"GetSplineType",                (PyCFunction)PyvtkSplineGraphEdges_GetSplineType, 1,
   (char*)"V.GetSplineType() -> int\nC++: int GetSplineType ();\n\n Spline type used by the filter.\n BSPLINE (0) - Use optimized b-spline (default).\n CUSTOM (1) - Use spline set with SetSpline.\n"},
  {(char*)"SetNumberOfSubdivisions",                (PyCFunction)PyvtkSplineGraphEdges_SetNumberOfSubdivisions, 1,
   (char*)"V.SetNumberOfSubdivisions(int)\nC++: void SetNumberOfSubdivisions (vtkIdType );\n\n The number of subdivisions in the spline.\n"},
  {(char*)"GetNumberOfSubdivisions",                (PyCFunction)PyvtkSplineGraphEdges_GetNumberOfSubdivisions, 1,
   (char*)"V.GetNumberOfSubdivisions() -> int\nC++: vtkIdType GetNumberOfSubdivisions ();\n\n The number of subdivisions in the spline.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSplineGraphEdgesDoc[] = {
  (char*)"vtkSplineGraphEdges - subsample graph edges to make smooth curves\n\n",
  "Super Class:\n\n vtkGraphAlgorithm\n\n",
  (char*)" vtkSplineGraphEdges uses a vtkSpline to make edges into nicely sampled\n splines. By default, the filter will use an optimized b-spline.\n Otherwise, it will use a custom vtkSpline instance set by the user.\n\n",
  NULL
};

static vtkObjectBase *vtkSplineGraphEdgesStaticNew()
{
  return vtkSplineGraphEdges::New();
}

PyObject *PyVTKClass_vtkSplineGraphEdgesNew(char *modulename)
{
  return PyVTKClass_New(&vtkSplineGraphEdgesStaticNew,
                        PyvtkSplineGraphEdgesMethods,
                        (char*)"vtkSplineGraphEdges",modulename,
                        (char**)vtkSplineGraphEdgesDoc,
                        PyVTKClass_vtkGraphAlgorithmNew(modulename));
}

