// python wrapper for vtkStatisticsAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkStatisticsAlgorithm.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkStatisticsAlgorithmNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkStatisticsAlgorithmNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(char *); }

static PyObject *PyvtkStatisticsAlgorithm_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  const char    *temp20;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStatisticsAlgorithm::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  char    *temp0;
  int      temp20;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStatisticsAlgorithm::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  vtkStatisticsAlgorithm  *temp20;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStatisticsAlgorithm::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_SetLearnOptionParameterConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkStatisticsAlgorithm::SetLearnOptionParameterConnection(temp0);
      }
    else
      {
      op->SetLearnOptionParameterConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_SetLearnOptionParameters(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkStatisticsAlgorithm::SetLearnOptionParameters(temp0);
      }
    else
      {
      op->SetLearnOptionParameters(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_SetInputModelConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkStatisticsAlgorithm::SetInputModelConnection(temp0);
      }
    else
      {
      op->SetInputModelConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_SetInputModel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkStatisticsAlgorithm::SetInputModel(temp0);
      }
    else
      {
      op->SetInputModel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_SetLearnOption(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  bool   temp0;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStatisticsAlgorithm::SetLearnOption(temp0);
      }
    else
      {
      op->SetLearnOption(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_GetLearnOption(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  bool   temp20;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStatisticsAlgorithm::GetLearnOption();
      }
    else
      {
      temp20 = op->GetLearnOption();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_SetDeriveOption(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  bool   temp0;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStatisticsAlgorithm::SetDeriveOption(temp0);
      }
    else
      {
      op->SetDeriveOption(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_GetDeriveOption(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  bool   temp20;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStatisticsAlgorithm::GetDeriveOption();
      }
    else
      {
      temp20 = op->GetDeriveOption();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_SetAssessOption(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  bool   temp0;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStatisticsAlgorithm::SetAssessOption(temp0);
      }
    else
      {
      op->SetAssessOption(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_GetAssessOption(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  bool   temp20;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStatisticsAlgorithm::GetAssessOption();
      }
    else
      {
      temp20 = op->GetAssessOption();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_SetTestOption(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  bool   temp0;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStatisticsAlgorithm::SetTestOption(temp0);
      }
    else
      {
      op->SetTestOption(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_GetTestOption(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  bool   temp20;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStatisticsAlgorithm::GetTestOption();
      }
    else
      {
      temp20 = op->GetTestOption();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_SetAssessParameters(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  vtkStringArray  *temp0;
  PyObject *tempH0;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkStringArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkStringArray");
    if (!temp0 && tempH0 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      op->vtkStatisticsAlgorithm::SetAssessParameters(temp0);
      }
    else
      {
      op->SetAssessParameters(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_GetAssessParameters(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  vtkStringArray  *temp20;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStatisticsAlgorithm::GetAssessParameters();
      }
    else
      {
      temp20 = op->GetAssessParameters();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_SetAssessNames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  vtkStringArray  *temp0;
  PyObject *tempH0;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkStringArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkStringArray");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkStatisticsAlgorithm::SetAssessNames(temp0);
      }
    else
      {
      op->SetAssessNames(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_GetAssessNames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  vtkStringArray  *temp20;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStatisticsAlgorithm::GetAssessNames();
      }
    else
      {
      temp20 = op->GetAssessNames();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_SetColumnStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  char    *temp0;
  int      temp1;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStatisticsAlgorithm::SetColumnStatus(temp0,temp1);
      }
    else
      {
      op->SetColumnStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_ResetAllColumnStates(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStatisticsAlgorithm::ResetAllColumnStates();
      }
    else
      {
      op->ResetAllColumnStates();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_RequestSelectedColumns(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  int      temp20;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStatisticsAlgorithm::RequestSelectedColumns();
      }
    else
      {
      temp20 = op->RequestSelectedColumns();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_ResetRequests(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStatisticsAlgorithm::ResetRequests();
      }
    else
      {
      op->ResetRequests();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_GetNumberOfRequests(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  vtkIdType   temp20;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStatisticsAlgorithm::GetNumberOfRequests();
      }
    else
      {
      temp20 = op->GetNumberOfRequests();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_GetNumberOfColumnsForRequest(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  vtkIdType   temp0;
  vtkIdType   temp20;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStatisticsAlgorithm::GetNumberOfColumnsForRequest(temp0);
      }
    else
      {
      temp20 = op->GetNumberOfColumnsForRequest(temp0);
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_GetColumnForRequest(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  const char    *temp20;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"LL", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStatisticsAlgorithm::GetColumnForRequest(temp0,temp1);
      }
    else
      {
      temp20 = op->GetColumnForRequest(temp0,temp1);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStatisticsAlgorithm_Aggregate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStatisticsAlgorithm *op;

  vtkDataObjectCollection  *temp0;
  PyObject *tempH0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  op = (vtkStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkDataObjectCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObjectCollection");
    if (!temp0 && tempH0 != Py_None) goto break26;
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break26;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Aggregate(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break26:
  return NULL;
}

static PyMethodDef PyvtkStatisticsAlgorithmMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkStatisticsAlgorithm_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkStatisticsAlgorithm_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkStatisticsAlgorithm_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkStatisticsAlgorithm\nC++: vtkStatisticsAlgorithm *NewInstance ();\n\n"},
  {(char*)"SetLearnOptionParameterConnection",                (PyCFunction)PyvtkStatisticsAlgorithm_SetLearnOptionParameterConnection, 1,
   (char*)"V.SetLearnOptionParameterConnection(vtkAlgorithmOutput)\nC++: virtual void SetLearnOptionParameterConnection (vtkAlgorithmOutput *params);this SetInputConnection vtkStatisticsAlgorithm LEARN_PARAMETERS params \n\n A convenience method for setting learn input parameters (if one is expected or allowed).\n It is equivalent to calling SetInput( 1, params );\n"},
  {(char*)"SetLearnOptionParameters",                (PyCFunction)PyvtkStatisticsAlgorithm_SetLearnOptionParameters, 1,
   (char*)"V.SetLearnOptionParameters(vtkDataObject)\nC++: virtual void SetLearnOptionParameters (vtkDataObject *params);this SetInput vtkStatisticsAlgorithm LEARN_PARAMETERS params \n\n A convenience method for setting the input model connection (if one is expected or allowed).\n It is equivalent to calling SetInputConnection( 2, model );\n"},
  {(char*)"SetInputModelConnection",                (PyCFunction)PyvtkStatisticsAlgorithm_SetInputModelConnection, 1,
   (char*)"V.SetInputModelConnection(vtkAlgorithmOutput)\nC++: virtual void SetInputModelConnection (vtkAlgorithmOutput *model);this SetInputConnection vtkStatisticsAlgorithm INPUT_MODEL model \n\n A convenience method for setting the input model (if one is expected or allowed).\n It is equivalent to calling SetInput( 2, model );\n"},
  {(char*)"SetInputModel",                (PyCFunction)PyvtkStatisticsAlgorithm_SetInputModel, 1,
   (char*)"V.SetInputModel(vtkDataObject)\nC++: virtual void SetInputModel (vtkDataObject *model);this SetInput vtkStatisticsAlgorithm INPUT_MODEL model \n\n Set/Get the Learn option.\n"},
  {(char*)"SetLearnOption",                (PyCFunction)PyvtkStatisticsAlgorithm_SetLearnOption, 1,
   (char*)"V.SetLearnOption(bool)\nC++: void SetLearnOption (bool );\n\n Set/Get the Learn option.\n"},
  {(char*)"GetLearnOption",                (PyCFunction)PyvtkStatisticsAlgorithm_GetLearnOption, 1,
   (char*)"V.GetLearnOption() -> bool\nC++: bool GetLearnOption ();\n\n Set/Get the Learn option.\n"},
  {(char*)"SetDeriveOption",                (PyCFunction)PyvtkStatisticsAlgorithm_SetDeriveOption, 1,
   (char*)"V.SetDeriveOption(bool)\nC++: void SetDeriveOption (bool );\n\n Set/Get the Derive option.\n"},
  {(char*)"GetDeriveOption",                (PyCFunction)PyvtkStatisticsAlgorithm_GetDeriveOption, 1,
   (char*)"V.GetDeriveOption() -> bool\nC++: bool GetDeriveOption ();\n\n Set/Get the Derive option.\n"},
  {(char*)"SetAssessOption",                (PyCFunction)PyvtkStatisticsAlgorithm_SetAssessOption, 1,
   (char*)"V.SetAssessOption(bool)\nC++: void SetAssessOption (bool );\n\n Set/Get the Assess option.\n"},
  {(char*)"GetAssessOption",                (PyCFunction)PyvtkStatisticsAlgorithm_GetAssessOption, 1,
   (char*)"V.GetAssessOption() -> bool\nC++: bool GetAssessOption ();\n\n Set/Get the Assess option.\n"},
  {(char*)"SetTestOption",                (PyCFunction)PyvtkStatisticsAlgorithm_SetTestOption, 1,
   (char*)"V.SetTestOption(bool)\nC++: void SetTestOption (bool );\n\n Set/Get the Test option.\n"},
  {(char*)"GetTestOption",                (PyCFunction)PyvtkStatisticsAlgorithm_GetTestOption, 1,
   (char*)"V.GetTestOption() -> bool\nC++: bool GetTestOption ();\n\n Set/Get the Test option.\n"},
  {(char*)"SetAssessParameters",                (PyCFunction)PyvtkStatisticsAlgorithm_SetAssessParameters, 1,
   (char*)"V.SetAssessParameters(vtkStringArray)\nC++: virtual void SetAssessParameters (vtkStringArray *);\n\n Set/get assessment parameters.\n"},
  {(char*)"GetAssessParameters",                (PyCFunction)PyvtkStatisticsAlgorithm_GetAssessParameters, 1,
   (char*)"V.GetAssessParameters() -> vtkStringArray\nC++: vtkStringArray *GetAssessParameters ();\n\n Set/get assessment parameters.\n"},
  {(char*)"SetAssessNames",                (PyCFunction)PyvtkStatisticsAlgorithm_SetAssessNames, 1,
   (char*)"V.SetAssessNames(vtkStringArray)\nC++: virtual void SetAssessNames (vtkStringArray *);\n\n Set/get assessment names.\n"},
  {(char*)"GetAssessNames",                (PyCFunction)PyvtkStatisticsAlgorithm_GetAssessNames, 1,
   (char*)"V.GetAssessNames() -> vtkStringArray\nC++: vtkStringArray *GetAssessNames ();\n\n Set/get assessment names.\n"},
  {(char*)"SetColumnStatus",                (PyCFunction)PyvtkStatisticsAlgorithm_SetColumnStatus, 1,
   (char*)"V.SetColumnStatus(string, int)\nC++: virtual void SetColumnStatus (const char *namCol, int status);\n\n Add or remove a column from the current analysis request.\n Once all the column status values are set, call RequestSelectedColumns()\n before selecting another set of columns for a different analysis request.\n The way that columns selections are used varies from algorithm to algorithm.\n\n Note: the set of selected columns is maintained in vtkStatisticsAlgorithmPrivate::Buffer\n until RequestSelectedColumns() is called, at which point the set is appended\n to vtkStatisticsAlgorithmPrivate::Requests.\n If there are any columns in vtkStatisticsAlgorithmPrivate::Buffer at the time\n RequestData() is called, RequestSelectedColumns() will be called and the\n selection added to the list of requests.\n"},
  {(char*)"ResetAllColumnStates",                (PyCFunction)PyvtkStatisticsAlgorithm_ResetAllColumnStates, 1,
   (char*)"V.ResetAllColumnStates()\nC++: virtual void ResetAllColumnStates ();\n\n Set the the status of each and every column in the current request to OFF (0).\n"},
  {(char*)"RequestSelectedColumns",                (PyCFunction)PyvtkStatisticsAlgorithm_RequestSelectedColumns, 1,
   (char*)"V.RequestSelectedColumns() -> int\nC++: virtual int RequestSelectedColumns ();\n\n Use the current column status values to produce a new request for statistics\n to be produced when RequestData() is called. See SetColumnStatus() for more information.\n"},
  {(char*)"ResetRequests",                (PyCFunction)PyvtkStatisticsAlgorithm_ResetRequests, 1,
   (char*)"V.ResetRequests()\nC++: virtual void ResetRequests ();\n\n Empty the list of current requests.\n"},
  {(char*)"GetNumberOfRequests",                (PyCFunction)PyvtkStatisticsAlgorithm_GetNumberOfRequests, 1,
   (char*)"V.GetNumberOfRequests() -> int\nC++: virtual vtkIdType GetNumberOfRequests ();\n\n Return the number of requests.\n This does not include any request that is in the column-status buffer\n but for which RequestSelectedColumns() has not yet been called (even though\n it is possible this request will be honored when the filter is run -- see SetColumnStatus()\n for more information).\n"},
  {(char*)"GetNumberOfColumnsForRequest",                (PyCFunction)PyvtkStatisticsAlgorithm_GetNumberOfColumnsForRequest, 1,
   (char*)"V.GetNumberOfColumnsForRequest(int) -> int\nC++: virtual vtkIdType GetNumberOfColumnsForRequest (vtkIdType request);\n\n Return the number of columns for a given request.\n"},
  {(char*)"GetColumnForRequest",                (PyCFunction)PyvtkStatisticsAlgorithm_GetColumnForRequest, 1,
   (char*)"V.GetColumnForRequest(int, int) -> string\nC++: virtual const char *GetColumnForRequest (vtkIdType r, vtkIdType c);\n\n Provide the name of the \\a c-th column for the \\a r-th request.\n\n For the version of this routine that returns an integer,\n if the request or column does not exist because \\a r or \\a c is out of bounds,\n this routine returns 0 and the value of \\a columnName is unspecified.\n Otherwise, it returns 1 and the value of \\a columnName is set.\n\n For the version of this routine that returns const char*,\n if the request or column does not exist because \\a r or \\a c is out of bounds,\n the routine returns NULL. Otherwise it returns the column name.\n This version is not thread-safe.\n"},
  {(char*)"Aggregate",                (PyCFunction)PyvtkStatisticsAlgorithm_Aggregate, 1,
   (char*)"V.Aggregate(vtkDataObjectCollection, vtkDataObject)\nC++: virtual void Aggregate (vtkDataObjectCollection *, vtkDataObject *) = 0;\n\n Given a collection of models, calculate aggregate model\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkStatisticsAlgorithmDoc[] = {
  (char*)"vtkStatisticsAlgorithm - Base class for statistics algorithms\n\n",
  "Super Class:\n\n vtkTableAlgorithm\n\n",
  (char*)" All statistics algorithms can conceptually be operated with several options:\n * Learn: given an input data set, calculate a minimal statistical model (e.g., \n   sums, raw moments, joint probabilities).\n * Derive: given an input minimal statistical model, derive the full model \n   (e.g., descriptive statistics, quantiles, correlations, conditional\n    probabilities).\n   NB: It may be, or not be, a",
  (char*)" problem that a full model was not derived. For\n   instance, when doing parallel calculations, one only wants to derive the full\n   model after all partial calculations have completed. On the other hand, one\n   can also directly provide a full model, that was previously calculated or\n   guessed, and not derive a new one.\n * Assess: given an input data set, input statistics, and some form of \n   th",
  (char*)"reshold, assess a subset of the data set.\n * Test: perform at least one statistical test.\n Therefore, a vtkStatisticsAlgorithm has the following vtkTable ports\n * 3 input ports:\n   * Data (mandatory)\n   * Parameters to the learn phase (optional)\n   * Input model (optional) \n * 3 output port (called Output):\n   * Data (annotated with assessments when the Assess option is ON).\n   * Output model (ide",
  (char*)"ntical to the the input model when Learn option is OFF).\n   * Meta information about the model and/or the overall fit of the data to the\n     model; is filled only when the Assess option is ON.\n\n .SECTION Thanks\n Thanks to Philippe Pebay and David Thompson from Sandia National Laboratories \n for implementing this class.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkStatisticsAlgorithmNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkStatisticsAlgorithmMethods,
                        (char*)"vtkStatisticsAlgorithm",modulename,
                        (char**)vtkStatisticsAlgorithmDoc,
                        PyVTKClass_vtkTableAlgorithmNew(modulename));
}

