// python wrapper for vtkStrahlerMetric object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkStrahlerMetric.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkStrahlerMetricNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkStrahlerMetricNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTreeAlgorithmNew(char *); }

static PyObject *PyvtkStrahlerMetric_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStrahlerMetric *op;

  const char    *temp20;
  op = (vtkStrahlerMetric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStrahlerMetric::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStrahlerMetric_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStrahlerMetric *op;

  char    *temp0;
  int      temp20;
  op = (vtkStrahlerMetric *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStrahlerMetric::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStrahlerMetric_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStrahlerMetric *op;

  vtkStrahlerMetric  *temp20;
  op = (vtkStrahlerMetric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStrahlerMetric::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStrahlerMetric_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkStrahlerMetric  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkStrahlerMetric::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkStrahlerMetric_SetMetricArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStrahlerMetric *op;

  char    *temp0;
  op = (vtkStrahlerMetric *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStrahlerMetric::SetMetricArrayName(temp0);
      }
    else
      {
      op->SetMetricArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStrahlerMetric_SetNormalize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStrahlerMetric *op;

  int      temp0;
  op = (vtkStrahlerMetric *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStrahlerMetric::SetNormalize(temp0);
      }
    else
      {
      op->SetNormalize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStrahlerMetric_GetNormalize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStrahlerMetric *op;

  int      temp20;
  op = (vtkStrahlerMetric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStrahlerMetric::GetNormalize();
      }
    else
      {
      temp20 = op->GetNormalize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStrahlerMetric_NormalizeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStrahlerMetric *op;

  op = (vtkStrahlerMetric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStrahlerMetric::NormalizeOn();
      }
    else
      {
      op->NormalizeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStrahlerMetric_NormalizeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStrahlerMetric *op;

  op = (vtkStrahlerMetric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStrahlerMetric::NormalizeOff();
      }
    else
      {
      op->NormalizeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStrahlerMetric_GetMaxStrahler(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStrahlerMetric *op;

  float    temp20;
  op = (vtkStrahlerMetric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStrahlerMetric::GetMaxStrahler();
      }
    else
      {
      temp20 = op->GetMaxStrahler();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkStrahlerMetricMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkStrahlerMetric_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkStrahlerMetric_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkStrahlerMetric_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkStrahlerMetric\nC++: vtkStrahlerMetric *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkStrahlerMetric_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkStrahlerMetric\nC++: vtkStrahlerMetric *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetMetricArrayName",                (PyCFunction)PyvtkStrahlerMetric_SetMetricArrayName, 1,
   (char*)"V.SetMetricArrayName(string)\nC++: void SetMetricArrayName (char *);\n\n Set the name of the array in which the Strahler values will\n be stored within the output vertex data.\n Default is \"Strahler\"\n"},
  {(char*)"SetNormalize",                (PyCFunction)PyvtkStrahlerMetric_SetNormalize, 1,
   (char*)"V.SetNormalize(int)\nC++: void SetNormalize (int );\n\n Set/get setting of normalize flag.  If this is set, the\n Strahler values are scaled into the range [0..1].\n Default is for normalization to be OFF.\n"},
  {(char*)"GetNormalize",                (PyCFunction)PyvtkStrahlerMetric_GetNormalize, 1,
   (char*)"V.GetNormalize() -> int\nC++: int GetNormalize ();\n\n Set/get setting of normalize flag.  If this is set, the\n Strahler values are scaled into the range [0..1].\n Default is for normalization to be OFF.\n"},
  {(char*)"NormalizeOn",                (PyCFunction)PyvtkStrahlerMetric_NormalizeOn, 1,
   (char*)"V.NormalizeOn()\nC++: void NormalizeOn ();\n\n Set/get setting of normalize flag.  If this is set, the\n Strahler values are scaled into the range [0..1].\n Default is for normalization to be OFF.\n"},
  {(char*)"NormalizeOff",                (PyCFunction)PyvtkStrahlerMetric_NormalizeOff, 1,
   (char*)"V.NormalizeOff()\nC++: void NormalizeOff ();\n\n Set/get setting of normalize flag.  If this is set, the\n Strahler values are scaled into the range [0..1].\n Default is for normalization to be OFF.\n"},
  {(char*)"GetMaxStrahler",                (PyCFunction)PyvtkStrahlerMetric_GetMaxStrahler, 1,
   (char*)"V.GetMaxStrahler() -> float\nC++: float GetMaxStrahler ();\n\n Get the maximum strahler value for the tree.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkStrahlerMetricDoc[] = {
  (char*)"vtkStrahlerMetric - compute Strahler metric for a tree\n\n",
  "Super Class:\n\n vtkTreeAlgorithm\n\n",
  (char*)" The Strahler metric is a value assigned to each vertex of a \n tree that characterizes the structural complexity of the \n sub-tree rooted at that node.  The metric originated in the\n study of river systems, but has been applied to other tree-\n structured systes,  Details of the metric and the rationale \n for using it in infovis can be found in:\n \n Tree Visualization and Navigation Clues for Inform",
  (char*)"ation\n Visualization, I. Herman, M. Delest, and G. Melancon,\n Computer Graphics Forum, Vol 17(2), Blackwell, 1998.\n\n The input tree is copied to the output, but with a new array\n added to the output vertex data.\n\n .SECTION Thanks\n Thanks to David Duke from the University of Leeds for providing this \n implementation.\n\n",
  NULL
};

static vtkObjectBase *vtkStrahlerMetricStaticNew()
{
  return vtkStrahlerMetric::New();
}

PyObject *PyVTKClass_vtkStrahlerMetricNew(char *modulename)
{
  return PyVTKClass_New(&vtkStrahlerMetricStaticNew,
                        PyvtkStrahlerMetricMethods,
                        (char*)"vtkStrahlerMetric",modulename,
                        (char**)vtkStrahlerMetricDoc,
                        PyVTKClass_vtkTreeAlgorithmNew(modulename));
}

