// python wrapper for vtkStreamGraph object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkStreamGraph.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkStreamGraphNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkStreamGraphNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGraphAlgorithmNew(char *); }

static PyObject *PyvtkStreamGraph_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamGraph *op;

  const char    *temp20;
  op = (vtkStreamGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamGraph::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamGraph_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamGraph *op;

  char    *temp0;
  int      temp20;
  op = (vtkStreamGraph *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamGraph::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamGraph_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamGraph *op;

  vtkStreamGraph  *temp20;
  op = (vtkStreamGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamGraph::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamGraph_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkStreamGraph  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkStreamGraph::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkStreamGraph_SetMaxEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamGraph *op;

  vtkIdType   temp0;
  op = (vtkStreamGraph *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamGraph::SetMaxEdges(temp0);
      }
    else
      {
      op->SetMaxEdges(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamGraph_GetMaxEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamGraph *op;

  vtkIdType   temp20;
  op = (vtkStreamGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamGraph::GetMaxEdges();
      }
    else
      {
      temp20 = op->GetMaxEdges();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkStreamGraphMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkStreamGraph_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkStreamGraph_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkStreamGraph_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkStreamGraph\nC++: vtkStreamGraph *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkStreamGraph_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkStreamGraph\nC++: vtkStreamGraph *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetMaxEdges",                (PyCFunction)PyvtkStreamGraph_SetMaxEdges, 1,
   (char*)"V.SetMaxEdges(int)\nC++: void SetMaxEdges (vtkIdType );\n\n The maximum number of edges in the combined graph. Default is -1,\n which specifies that there should be no limit on the number\n of edges.\n"},
  {(char*)"GetMaxEdges",                (PyCFunction)PyvtkStreamGraph_GetMaxEdges, 1,
   (char*)"V.GetMaxEdges() -> int\nC++: vtkIdType GetMaxEdges ();\n\n The maximum number of edges in the combined graph. Default is -1,\n which specifies that there should be no limit on the number\n of edges.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkStreamGraphDoc[] = {
  (char*)"vtkStreamGraph - combines two graphs\n\n",
  "Super Class:\n\n vtkGraphAlgorithm\n\n",
  (char*)" vtkStreamGraph iteratively collects information from the input graph\n and combines it in the output graph. It internally maintains a graph\n instance that is incrementally updated every time the filter is called.\n\n Each update, vtkMergeGraphs is used to combine this filter's input with the\n internal graph.\n\n",
  NULL
};

static vtkObjectBase *vtkStreamGraphStaticNew()
{
  return vtkStreamGraph::New();
}

PyObject *PyVTKClass_vtkStreamGraphNew(char *modulename)
{
  return PyVTKClass_New(&vtkStreamGraphStaticNew,
                        PyvtkStreamGraphMethods,
                        (char*)"vtkStreamGraph",modulename,
                        (char**)vtkStreamGraphDoc,
                        PyVTKClass_vtkGraphAlgorithmNew(modulename));
}

