// python wrapper for vtkTableToArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTableToArray.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTableToArrayNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTableToArrayNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkArrayDataAlgorithmNew(char *); }

static PyObject *PyvtkTableToArray_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToArray *op;

  const char    *temp20;
  op = (vtkTableToArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToArray::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToArray_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToArray *op;

  char    *temp0;
  int      temp20;
  op = (vtkTableToArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToArray::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToArray_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToArray *op;

  vtkTableToArray  *temp20;
  op = (vtkTableToArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToArray::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToArray_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTableToArray  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTableToArray::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTableToArray_ClearColumns(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToArray *op;

  op = (vtkTableToArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableToArray::ClearColumns();
      }
    else
      {
      op->ClearColumns();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToArray_AddColumn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToArray *op;

  char    *temp0;
  op = (vtkTableToArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableToArray::AddColumn(temp0);
      }
    else
      {
      op->AddColumn(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTableToArrayMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTableToArray_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTableToArray_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTableToArray_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTableToArray\nC++: vtkTableToArray *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTableToArray_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTableToArray\nC++: vtkTableToArray *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"ClearColumns",                (PyCFunction)PyvtkTableToArray_ClearColumns, 1,
   (char*)"V.ClearColumns()\nC++: void ClearColumns ();\n\n Specify the set of input table columns that will be mapped to columns\n in the output matrix.\n"},
  {(char*)"AddColumn",                (PyCFunction)PyvtkTableToArray_AddColumn, 1,
   (char*)"V.AddColumn(string)\nC++: void AddColumn (const char *name);\n\n Specify the set of input table columns that will be mapped to columns\n in the output matrix.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTableToArrayDoc[] = {
  (char*)"vtkTableToArray - converts a vtkTable to a matrix.\n\n",
  "Super Class:\n\n vtkArrayDataAlgorithm\n\n",
  (char*)" Converts a vtkTable into a dense matrix.  Use AddColumn() to\n designate one-to-many table columns that will become columns in the\n output matrix.\n\n\n",
  "Caveats:\n\n Only produces vtkDenseArray<double>, regardless of the input table column types.\n\n .SECTION Thanks\n Developed by Timothy M. Shead (tshead@sandia.gov) at Sandia National Laboratories.\n\n",
  NULL
};

static vtkObjectBase *vtkTableToArrayStaticNew()
{
  return vtkTableToArray::New();
}

PyObject *PyVTKClass_vtkTableToArrayNew(char *modulename)
{
  return PyVTKClass_New(&vtkTableToArrayStaticNew,
                        PyvtkTableToArrayMethods,
                        (char*)"vtkTableToArray",modulename,
                        (char**)vtkTableToArrayDoc,
                        PyVTKClass_vtkArrayDataAlgorithmNew(modulename));
}

