// python wrapper for vtkTableToSparseArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTableToSparseArray.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTableToSparseArrayNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTableToSparseArrayNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkArrayDataAlgorithmNew(char *); }

static PyObject *PyvtkTableToSparseArray_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToSparseArray *op;

  const char    *temp20;
  op = (vtkTableToSparseArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToSparseArray::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToSparseArray_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToSparseArray *op;

  char    *temp0;
  int      temp20;
  op = (vtkTableToSparseArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToSparseArray::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToSparseArray_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToSparseArray *op;

  vtkTableToSparseArray  *temp20;
  op = (vtkTableToSparseArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToSparseArray::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToSparseArray_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTableToSparseArray  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTableToSparseArray::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTableToSparseArray_ClearCoordinateColumns(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToSparseArray *op;

  op = (vtkTableToSparseArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableToSparseArray::ClearCoordinateColumns();
      }
    else
      {
      op->ClearCoordinateColumns();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToSparseArray_AddCoordinateColumn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToSparseArray *op;

  char    *temp0;
  op = (vtkTableToSparseArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableToSparseArray::AddCoordinateColumn(temp0);
      }
    else
      {
      op->AddCoordinateColumn(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToSparseArray_SetValueColumn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToSparseArray *op;

  char    *temp0;
  op = (vtkTableToSparseArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableToSparseArray::SetValueColumn(temp0);
      }
    else
      {
      op->SetValueColumn(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToSparseArray_GetValueColumn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToSparseArray *op;

  const char    *temp20;
  op = (vtkTableToSparseArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToSparseArray::GetValueColumn();
      }
    else
      {
      temp20 = op->GetValueColumn();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTableToSparseArrayMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTableToSparseArray_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTableToSparseArray_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTableToSparseArray_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTableToSparseArray\nC++: vtkTableToSparseArray *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTableToSparseArray_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTableToSparseArray\nC++: vtkTableToSparseArray *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"ClearCoordinateColumns",                (PyCFunction)PyvtkTableToSparseArray_ClearCoordinateColumns, 1,
   (char*)"V.ClearCoordinateColumns()\nC++: void ClearCoordinateColumns ();\n\n Specify the set of input table columns that will be mapped to coordinates\n in the output sparse array.\n"},
  {(char*)"AddCoordinateColumn",                (PyCFunction)PyvtkTableToSparseArray_AddCoordinateColumn, 1,
   (char*)"V.AddCoordinateColumn(string)\nC++: void AddCoordinateColumn (const char *name);\n\n Specify the set of input table columns that will be mapped to coordinates\n in the output sparse array.\n"},
  {(char*)"SetValueColumn",                (PyCFunction)PyvtkTableToSparseArray_SetValueColumn, 1,
   (char*)"V.SetValueColumn(string)\nC++: void SetValueColumn (const char *name);\n\n Specify the input table column that will be mapped to values in the output array.\n"},
  {(char*)"GetValueColumn",                (PyCFunction)PyvtkTableToSparseArray_GetValueColumn, 1,
   (char*)"V.GetValueColumn() -> string\nC++: const char *GetValueColumn ();\n\n Specify the input table column that will be mapped to values in the output array.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTableToSparseArrayDoc[] = {
  (char*)"vtkTableToSparseArray - converts a vtkTable into a sparse array.\n\n",
  "Super Class:\n\n vtkArrayDataAlgorithm\n\n",
  (char*)" Converts a vtkTable into a sparse array.  Use AddCoordinateColumn() to\n designate one-to-many table columns that contain coordinates for each\n array value, and SetValueColumn() to designate the table column that \n contains array values.\n\n Thus, the number of dimensions in the output array will equal the number\n of calls to AddCoordinateColumn().\n\n The coordinate columns will also be used to popul",
  (char*)"ate dimension labels\n in the output array.\n\n .SECTION Thanks\n Developed by Timothy M. Shead (tshead@sandia.gov) at Sandia National Laboratories.\n\n",
  NULL
};

static vtkObjectBase *vtkTableToSparseArrayStaticNew()
{
  return vtkTableToSparseArray::New();
}

PyObject *PyVTKClass_vtkTableToSparseArrayNew(char *modulename)
{
  return PyVTKClass_New(&vtkTableToSparseArrayStaticNew,
                        PyvtkTableToSparseArrayMethods,
                        (char*)"vtkTableToSparseArray",modulename,
                        (char**)vtkTableToSparseArrayDoc,
                        PyVTKClass_vtkArrayDataAlgorithmNew(modulename));
}

