// python wrapper for vtkTreeMapLayoutStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTreeMapLayoutStrategy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTreeMapLayoutStrategyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTreeMapLayoutStrategyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAreaLayoutStrategyNew(char *); }

static PyObject *PyvtkTreeMapLayoutStrategy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapLayoutStrategy *op;

  const char    *temp20;
  op = (vtkTreeMapLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapLayoutStrategy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapLayoutStrategy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapLayoutStrategy *op;

  char    *temp0;
  int      temp20;
  op = (vtkTreeMapLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapLayoutStrategy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapLayoutStrategy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapLayoutStrategy *op;

  vtkTreeMapLayoutStrategy  *temp20;
  op = (vtkTreeMapLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapLayoutStrategy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapLayoutStrategy_FindVertex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapLayoutStrategy *op;

  vtkTree  *temp0;
  PyObject *tempH0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  float  temp2[2];
  vtkIdType   temp20;
  op = (vtkTreeMapLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"OO(ff)", &tempH0, &tempH1, temp2 + 0, temp2 + 1);
  if (op)
    {
    temp0 = (vtkTree *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTree");
    if (!temp0 && tempH0 != Py_None) goto break3;
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapLayoutStrategy::FindVertex(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->FindVertex(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,2,temp2,2)) {
      return 0;
      }
    return PyLong_FromLongLong(temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkTreeMapLayoutStrategyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTreeMapLayoutStrategy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTreeMapLayoutStrategy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTreeMapLayoutStrategy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTreeMapLayoutStrategy\nC++: vtkTreeMapLayoutStrategy *NewInstance ();\n\n"},
  {(char*)"FindVertex",                (PyCFunction)PyvtkTreeMapLayoutStrategy_FindVertex, 1,
   (char*)"V.FindVertex(vtkTree, vtkDataArray, (float, float)) -> int\nC++: virtual vtkIdType FindVertex (vtkTree *tree, vtkDataArray *areaArray, float pnt[2]);\n\n Find the vertex at a certain location, or -1 if none found.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTreeMapLayoutStrategyDoc[] = {
  (char*)"vtkTreeMapLayoutStrategy - abstract superclass for all tree map layout strategies\n\n",
  "Super Class:\n\n vtkAreaLayoutStrategy\n\n",
  (char*)" All subclasses of this class perform a tree map layout on a tree.\n This involves assigning a rectangular region to each vertex in the tree,\n and placing that information in a data array with four components per\n tuple representing (Xmin, Xmax, Ymin, Ymax).\n\n Instances of subclasses of this class may be assigned as the layout\n strategy to vtkTreeMapLayout\n\n .SECTION Thanks\n Thanks to Brian Wylie a",
  (char*)"nd Ken Moreland from Sandia National Laboratories\n for help developing this class.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkTreeMapLayoutStrategyNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkTreeMapLayoutStrategyMethods,
                        (char*)"vtkTreeMapLayoutStrategy",modulename,
                        (char**)vtkTreeMapLayoutStrategyDoc,
                        PyVTKClass_vtkAreaLayoutStrategyNew(modulename));
}

