// python wrapper for vtkTreeRingToPolyData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTreeRingToPolyData.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTreeRingToPolyDataNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTreeRingToPolyDataNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkTreeRingToPolyData_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeRingToPolyData *op;

  const char    *temp20;
  op = (vtkTreeRingToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeRingToPolyData::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeRingToPolyData_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeRingToPolyData *op;

  char    *temp0;
  int      temp20;
  op = (vtkTreeRingToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeRingToPolyData::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeRingToPolyData_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeRingToPolyData *op;

  vtkTreeRingToPolyData  *temp20;
  op = (vtkTreeRingToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeRingToPolyData::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeRingToPolyData_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTreeRingToPolyData  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTreeRingToPolyData::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTreeRingToPolyData_SetSectorsArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeRingToPolyData *op;

  char    *temp0;
  op = (vtkTreeRingToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeRingToPolyData::SetSectorsArrayName(temp0);
      }
    else
      {
      op->SetSectorsArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeRingToPolyData_SetShrinkPercentage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeRingToPolyData *op;

  double   temp0;
  op = (vtkTreeRingToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeRingToPolyData::SetShrinkPercentage(temp0);
      }
    else
      {
      op->SetShrinkPercentage(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeRingToPolyData_GetShrinkPercentage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeRingToPolyData *op;

  double   temp20;
  op = (vtkTreeRingToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeRingToPolyData::GetShrinkPercentage();
      }
    else
      {
      temp20 = op->GetShrinkPercentage();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeRingToPolyData_FillInputPortInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeRingToPolyData *op;

  int      temp0;
  vtkInformation  *temp1;
  PyObject *tempH1;
  int      temp20;
  op = (vtkTreeRingToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformation");
    if (!temp1 && tempH1 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeRingToPolyData::FillInputPortInformation(temp0,temp1);
      }
    else
      {
      temp20 = op->FillInputPortInformation(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break7:
  return NULL;
}

static PyMethodDef PyvtkTreeRingToPolyDataMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTreeRingToPolyData_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTreeRingToPolyData_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTreeRingToPolyData_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTreeRingToPolyData\nC++: vtkTreeRingToPolyData *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTreeRingToPolyData_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTreeRingToPolyData\nC++: vtkTreeRingToPolyData *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetSectorsArrayName",                (PyCFunction)PyvtkTreeRingToPolyData_SetSectorsArrayName, 1,
   (char*)"V.SetSectorsArrayName(string)\nC++: virtual void SetSectorsArrayName (const char *name);this SetInputArrayToProcess vtkDataObject FIELD_ASSOCIATION_VERTICES name \n\n Define a shrink percentage for each of the sectors.\n"},
  {(char*)"SetShrinkPercentage",                (PyCFunction)PyvtkTreeRingToPolyData_SetShrinkPercentage, 1,
   (char*)"V.SetShrinkPercentage(float)\nC++: void SetShrinkPercentage (double );\n\n Define a shrink percentage for each of the sectors.\n"},
  {(char*)"GetShrinkPercentage",                (PyCFunction)PyvtkTreeRingToPolyData_GetShrinkPercentage, 1,
   (char*)"V.GetShrinkPercentage() -> float\nC++: double GetShrinkPercentage ();\n\n Define a shrink percentage for each of the sectors.\n"},
  {(char*)"FillInputPortInformation",                (PyCFunction)PyvtkTreeRingToPolyData_FillInputPortInformation, 1,
   (char*)"V.FillInputPortInformation(int, vtkInformation) -> int\nC++: int FillInputPortInformation (int port, vtkInformation *info);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTreeRingToPolyDataDoc[] = {
  (char*)"vtkTreeRingToPolyData - converts a tree to a polygonal data\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" This algorithm requires that the vtkTreeRingLayout filter has already\n been applied to the data in order to create the quadruple array \n (start angle, end angle, inner radius, outer radius) of bounds \n for each vertex of the tree.\n\n",
  NULL
};

static vtkObjectBase *vtkTreeRingToPolyDataStaticNew()
{
  return vtkTreeRingToPolyData::New();
}

PyObject *PyVTKClass_vtkTreeRingToPolyDataNew(char *modulename)
{
  return PyVTKClass_New(&vtkTreeRingToPolyDataStaticNew,
                        PyvtkTreeRingToPolyDataMethods,
                        (char*)"vtkTreeRingToPolyData",modulename,
                        (char**)vtkTreeRingToPolyDataDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

