// python wrapper for vtkUnivariateStatisticsAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkUnivariateStatisticsAlgorithm.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkUnivariateStatisticsAlgorithmNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkUnivariateStatisticsAlgorithmNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkStatisticsAlgorithmNew(char *); }

static PyObject *PyvtkUnivariateStatisticsAlgorithm_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnivariateStatisticsAlgorithm *op;

  const char    *temp20;
  op = (vtkUnivariateStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnivariateStatisticsAlgorithm::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkUnivariateStatisticsAlgorithm_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnivariateStatisticsAlgorithm *op;

  char    *temp0;
  int      temp20;
  op = (vtkUnivariateStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnivariateStatisticsAlgorithm::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnivariateStatisticsAlgorithm_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnivariateStatisticsAlgorithm *op;

  vtkUnivariateStatisticsAlgorithm  *temp20;
  op = (vtkUnivariateStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnivariateStatisticsAlgorithm::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnivariateStatisticsAlgorithm_AddColumn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnivariateStatisticsAlgorithm *op;

  char    *temp0;
  op = (vtkUnivariateStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnivariateStatisticsAlgorithm::AddColumn(temp0);
      }
    else
      {
      op->AddColumn(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnivariateStatisticsAlgorithm_RequestSelectedColumns(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnivariateStatisticsAlgorithm *op;

  int      temp20;
  op = (vtkUnivariateStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnivariateStatisticsAlgorithm::RequestSelectedColumns();
      }
    else
      {
      temp20 = op->RequestSelectedColumns();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkUnivariateStatisticsAlgorithmMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkUnivariateStatisticsAlgorithm_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkUnivariateStatisticsAlgorithm_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkUnivariateStatisticsAlgorithm_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkUnivariateStatisticsAlgorithm\nC++: vtkUnivariateStatisticsAlgorithm *NewInstance ();\n\n"},
  {(char*)"AddColumn",                (PyCFunction)PyvtkUnivariateStatisticsAlgorithm_AddColumn, 1,
   (char*)"V.AddColumn(string)\nC++: void AddColumn (const char *namCol);\n\n Convenience method to create a request with a single column name \\p namCol in a single\n call; this is the preferred method to select columns, ensuring selection consistency\n (a single column per request).\n Warning: no name checking is performed on \\p namCol; it is the user's\n responsibility to use valid column names.\n"},
  {(char*)"RequestSelectedColumns",                (PyCFunction)PyvtkUnivariateStatisticsAlgorithm_RequestSelectedColumns, 1,
   (char*)"V.RequestSelectedColumns() -> int\nC++: virtual int RequestSelectedColumns ();\n\n Use the current column status values to produce a new request for statistics\n to be produced when RequestData() is called.\n Unlike the superclass implementation, this version adds a new request for each selected column\n instead of a single request containing all the columns.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkUnivariateStatisticsAlgorithmDoc[] = {
  (char*)"vtkUnivariateStatistics - Base class for univariate statistics \n\n",
  "Super Class:\n\n vtkStatisticsAlgorithm\n\n",
  (char*)" This class specializes statistics algorithms to the univariate case, where\n a number of columns of interest can be selected in the input data set.\n This is done by the means of the following functions:\n\n ResetColumns() - reset the list of columns of interest.\n Add/RemoveColum( namCol ) - try to add/remove column with name namCol to/from\n the list.\n SetColumnStatus ( namCol, status ) - mostly for ",
  (char*)"UI wrapping purposes, try to \n add/remove (depending on status) namCol from the list of columns of interest.\n The verb \"try\" is used in the sense that neither attempting to \n repeat an existing entry nor to remove a non-existent entry will work.\n \n .SECTION Thanks\n Thanks to Philippe Pebay and David Thompson from Sandia National Laboratories \n for implementing this class.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkUnivariateStatisticsAlgorithmNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkUnivariateStatisticsAlgorithmMethods,
                        (char*)"vtkUnivariateStatisticsAlgorithm",modulename,
                        (char**)vtkUnivariateStatisticsAlgorithmDoc,
                        PyVTKClass_vtkStatisticsAlgorithmNew(modulename));
}

