// python wrapper for vtkMPIImageReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMPIImageReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMPIImageReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMPIImageReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageReaderNew(char *); }

static PyObject *PyvtkMPIImageReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMPIImageReader *op;

  const char    *temp20;
  op = (vtkMPIImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMPIImageReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMPIImageReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMPIImageReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkMPIImageReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMPIImageReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMPIImageReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMPIImageReader *op;

  vtkMPIImageReader  *temp20;
  op = (vtkMPIImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMPIImageReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMPIImageReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMPIImageReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMPIImageReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMPIImageReader_GetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMPIImageReader *op;

  vtkMultiProcessController  *temp20;
  op = (vtkMPIImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMPIImageReader::GetController();
      }
    else
      {
      temp20 = op->GetController();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMPIImageReader_SetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMPIImageReader *op;

  vtkMultiProcessController  *temp0;
  PyObject *tempH0;
  op = (vtkMPIImageReader *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMultiProcessController *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMultiProcessController");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkMPIImageReader::SetController(temp0);
      }
    else
      {
      op->SetController(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}

static PyMethodDef PyvtkMPIImageReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMPIImageReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMPIImageReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMPIImageReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMPIImageReader\nC++: vtkMPIImageReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMPIImageReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMPIImageReader\nC++: vtkMPIImageReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetController",                (PyCFunction)PyvtkMPIImageReader_GetController, 1,
   (char*)"V.GetController() -> vtkMultiProcessController\nC++: vtkMultiProcessController *GetController ();\n\n Get/set the multi process controller to use for coordinated reads.  By\n default, set to the global controller.\n"},
  {(char*)"SetController",                (PyCFunction)PyvtkMPIImageReader_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: virtual void SetController (vtkMultiProcessController *);\n\n Get/set the multi process controller to use for coordinated reads.  By\n default, set to the global controller.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMPIImageReaderDoc[] = {
  (char*)"vtkMPIImageReader Superclass of parallel binary image file readers.\n\n",
  "Super Class:\n\n vtkImageReader\n\n",
  (char*)"\n vtkMPIImageReader provides the mechanism to read a brick of bytes (or shorts,\n or ints, or floats, or doubles, ...) from a file or series of files.  You can\n use it to read raw image data from files.  You may also be able to subclass\n this to read simple file formats.\n\n What distinguishes this class from vtkImageReader and vtkImageReader2 is that\n it performs synchronized parallel I/O using the ",
  (char*)"MPIIO layer.  This can make a\n huge difference in file read times, especially when reading in parallel from\n a parallel file system.\n\n Dispite the name of this class, vtkMPIImageReader will work even if MPI is\n not available.  If MPI is not available or MPIIO is not available or the\n given Controller is not a vtkMPIController (or NULL), then this class will\n silently work exactly like its supercla",
  (char*)"ss.  The point is that you can safely\n use this class in applications that may or may not be compiled with MPI (or\n may or may not actually be run with MPI).\n\n\n",
  "See Also:\n\n vtkMultiProcessController, vtkImageReader, vtkImageReader2\n\n\n",
  NULL
};

static vtkObjectBase *vtkMPIImageReaderStaticNew()
{
  return vtkMPIImageReader::New();
}

PyObject *PyVTKClass_vtkMPIImageReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkMPIImageReaderStaticNew,
                        PyvtkMPIImageReaderMethods,
                        (char*)"vtkMPIImageReader",modulename,
                        (char**)vtkMPIImageReaderDoc,
                        PyVTKClass_vtkImageReaderNew(modulename));
}

