// python wrapper for vtkPCosmoReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPCosmoReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPCosmoReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPCosmoReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridAlgorithmNew(char *); }

static PyObject *PyvtkPCosmoReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCosmoReader *op;

  const char    *temp20;
  op = (vtkPCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCosmoReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPCosmoReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCosmoReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkPCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCosmoReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPCosmoReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCosmoReader *op;

  vtkPCosmoReader  *temp20;
  op = (vtkPCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCosmoReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPCosmoReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPCosmoReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPCosmoReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPCosmoReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCosmoReader *op;

  char    *temp0;
  op = (vtkPCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPCosmoReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPCosmoReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCosmoReader *op;

  char    *temp20;
  op = (vtkPCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCosmoReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPCosmoReader_SetRL(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCosmoReader *op;

  float    temp0;
  op = (vtkPCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPCosmoReader::SetRL(temp0);
      }
    else
      {
      op->SetRL(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPCosmoReader_GetRL(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCosmoReader *op;

  float    temp20;
  op = (vtkPCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCosmoReader::GetRL();
      }
    else
      {
      temp20 = op->GetRL();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPCosmoReader_SetOverlap(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCosmoReader *op;

  float    temp0;
  op = (vtkPCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPCosmoReader::SetOverlap(temp0);
      }
    else
      {
      op->SetOverlap(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPCosmoReader_GetOverlap(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCosmoReader *op;

  float    temp20;
  op = (vtkPCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCosmoReader::GetOverlap();
      }
    else
      {
      temp20 = op->GetOverlap();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPCosmoReader_SetReadMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCosmoReader *op;

  int      temp0;
  op = (vtkPCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPCosmoReader::SetReadMode(temp0);
      }
    else
      {
      op->SetReadMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPCosmoReader_GetReadMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCosmoReader *op;

  int      temp20;
  op = (vtkPCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCosmoReader::GetReadMode();
      }
    else
      {
      temp20 = op->GetReadMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPCosmoReader_SetCosmoFormat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCosmoReader *op;

  int      temp0;
  op = (vtkPCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPCosmoReader::SetCosmoFormat(temp0);
      }
    else
      {
      op->SetCosmoFormat(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPCosmoReader_GetCosmoFormat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCosmoReader *op;

  int      temp20;
  op = (vtkPCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCosmoReader::GetCosmoFormat();
      }
    else
      {
      temp20 = op->GetCosmoFormat();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPCosmoReader_GetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCosmoReader *op;

  vtkMultiProcessController  *temp20;
  op = (vtkPCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCosmoReader::GetController();
      }
    else
      {
      temp20 = op->GetController();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPCosmoReader_SetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCosmoReader *op;

  vtkMultiProcessController  *temp0;
  PyObject *tempH0;
  op = (vtkPCosmoReader *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMultiProcessController *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMultiProcessController");
    if (!temp0 && tempH0 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      op->vtkPCosmoReader::SetController(temp0);
      }
    else
      {
      op->SetController(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  return NULL;
}

static PyMethodDef PyvtkPCosmoReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPCosmoReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPCosmoReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPCosmoReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPCosmoReader\nC++: vtkPCosmoReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPCosmoReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPCosmoReader\nC++: vtkPCosmoReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkPCosmoReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Specify the name of the cosmology particle binary file to read\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkPCosmoReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Specify the name of the cosmology particle binary file to read\n"},
  {(char*)"SetRL",                (PyCFunction)PyvtkPCosmoReader_SetRL, 1,
   (char*)"V.SetRL(float)\nC++: void SetRL (float );\n\n Specify the physical box dimensions size (rL) (default 91)\n"},
  {(char*)"GetRL",                (PyCFunction)PyvtkPCosmoReader_GetRL, 1,
   (char*)"V.GetRL() -> float\nC++: float GetRL ();\n\n Specify the physical box dimensions size (rL) (default 91)\n"},
  {(char*)"SetOverlap",                (PyCFunction)PyvtkPCosmoReader_SetOverlap, 1,
   (char*)"V.SetOverlap(float)\nC++: void SetOverlap (float );\n\n Specify the ghost cell spacing (edge boundary of box) (default 5)\n"},
  {(char*)"GetOverlap",                (PyCFunction)PyvtkPCosmoReader_GetOverlap, 1,
   (char*)"V.GetOverlap() -> float\nC++: float GetOverlap ();\n\n Specify the ghost cell spacing (edge boundary of box) (default 5)\n"},
  {(char*)"SetReadMode",                (PyCFunction)PyvtkPCosmoReader_SetReadMode, 1,
   (char*)"V.SetReadMode(int)\nC++: void SetReadMode (int );\n\n Set the read mode (0 = one-to-one, 1 = default, round-robin)\n"},
  {(char*)"GetReadMode",                (PyCFunction)PyvtkPCosmoReader_GetReadMode, 1,
   (char*)"V.GetReadMode() -> int\nC++: int GetReadMode ();\n\n Set the read mode (0 = one-to-one, 1 = default, round-robin)\n"},
  {(char*)"SetCosmoFormat",                (PyCFunction)PyvtkPCosmoReader_SetCosmoFormat, 1,
   (char*)"V.SetCosmoFormat(int)\nC++: void SetCosmoFormat (int );\n\n Set the filetype to Gadget or Cosmo read mode (0 = Gadget, 1 = default, Cosmo)\n"},
  {(char*)"GetCosmoFormat",                (PyCFunction)PyvtkPCosmoReader_GetCosmoFormat, 1,
   (char*)"V.GetCosmoFormat() -> int\nC++: int GetCosmoFormat ();\n\n Set the filetype to Gadget or Cosmo read mode (0 = Gadget, 1 = default, Cosmo)\n"},
  {(char*)"GetController",                (PyCFunction)PyvtkPCosmoReader_GetController, 1,
   (char*)"V.GetController() -> vtkMultiProcessController\nC++: virtual vtkMultiProcessController *GetController ();\n\n Set the communicator object for interprocess communication\n"},
  {(char*)"SetController",                (PyCFunction)PyvtkPCosmoReader_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: virtual void SetController (vtkMultiProcessController *);\n\n Set the communicator object for interprocess communication\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPCosmoReaderDoc[] = {
  (char*)"vtkPCosmoReader - Read a binary cosmology data file\n\n",
  "Super Class:\n\n vtkUnstructuredGridAlgorithm\n\n",
  (char*)" vtkPCosmoReader creates a vtkUnstructuredGrid from a binary cosmology file.\n The file contains fields for:\n     x_position, x_velocity (float)\n     y_position, y_velocity (float)\n     z-position, z_velocity (float)\n     mass (float)\n     identification tag (integer)\n\n If the file contains particle information x,y,z is the location of the\n particle in simulation space with a velocity vector and a ",
  (char*)"mass which\n will be the same for all particles.\n\n\n",
  NULL
};

static vtkObjectBase *vtkPCosmoReaderStaticNew()
{
  return vtkPCosmoReader::New();
}

PyObject *PyVTKClass_vtkPCosmoReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkPCosmoReaderStaticNew,
                        PyvtkPCosmoReaderMethods,
                        (char*)"vtkPCosmoReader",modulename,
                        (char**)vtkPCosmoReaderDoc,
                        PyVTKClass_vtkUnstructuredGridAlgorithmNew(modulename));
}

