// python wrapper for vtkPNrrdReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPNrrdReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPNrrdReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPNrrdReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkMPIImageReaderNew(char *); }

static PyObject *PyvtkPNrrdReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPNrrdReader *op;

  const char    *temp20;
  op = (vtkPNrrdReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPNrrdReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPNrrdReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPNrrdReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkPNrrdReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPNrrdReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPNrrdReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPNrrdReader *op;

  vtkPNrrdReader  *temp20;
  op = (vtkPNrrdReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPNrrdReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPNrrdReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPNrrdReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPNrrdReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPNrrdReader_CanReadFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPNrrdReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkPNrrdReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPNrrdReader::CanReadFile(temp0);
      }
    else
      {
      temp20 = op->CanReadFile(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPNrrdReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPNrrdReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPNrrdReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPNrrdReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPNrrdReader\nC++: vtkPNrrdReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPNrrdReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPNrrdReader\nC++: vtkPNrrdReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"CanReadFile",                (PyCFunction)PyvtkPNrrdReader_CanReadFile, 1,
   (char*)"V.CanReadFile(string) -> int\nC++: virtual int CanReadFile (const char *filename);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPNrrdReaderDoc[] = {
  (char*)"vtkPNrrdReader - Read nrrd files efficiently from parallel file systems (and reasonably well elsewhere).\n\n",
  "Super Class:\n\n vtkMPIImageReader\n\n",
  (char*)"\n vtkPNrrdReader is a subclass of vtkMPIImageReader that will read Nrrd format\n header information of the image before reading the data.  This means that the\n reader will automatically set information like file dimensions.\n\n .SECTION Bugs\n\n There are several limitations on what type of nrrd files we can read.  This\n reader only supports nrrd files in raw format.  Other encodings like ascii\n and he",
  (char*)"x will result in errors.  When reading in detached headers, this only\n supports reading one file that is detached.\n\n\n",
  NULL
};

static vtkObjectBase *vtkPNrrdReaderStaticNew()
{
  return vtkPNrrdReader::New();
}

PyObject *PyVTKClass_vtkPNrrdReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkPNrrdReaderStaticNew,
                        PyvtkPNrrdReaderMethods,
                        (char*)"vtkPNrrdReader",modulename,
                        (char**)vtkPNrrdReaderDoc,
                        PyVTKClass_vtkMPIImageReaderNew(modulename));
}

