// python wrapper for vtkPReflectionFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPReflectionFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPReflectionFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPReflectionFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkReflectionFilterNew(char *); }

static PyObject *PyvtkPReflectionFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPReflectionFilter *op;

  const char    *temp20;
  op = (vtkPReflectionFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPReflectionFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPReflectionFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPReflectionFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkPReflectionFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPReflectionFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPReflectionFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPReflectionFilter *op;

  vtkPReflectionFilter  *temp20;
  op = (vtkPReflectionFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPReflectionFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPReflectionFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPReflectionFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPReflectionFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPReflectionFilter_SetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPReflectionFilter *op;

  vtkMultiProcessController  *temp0;
  PyObject *tempH0;
  op = (vtkPReflectionFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMultiProcessController *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMultiProcessController");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkPReflectionFilter::SetController(temp0);
      }
    else
      {
      op->SetController(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkPReflectionFilter_GetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPReflectionFilter *op;

  vtkMultiProcessController  *temp20;
  op = (vtkPReflectionFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPReflectionFilter::GetController();
      }
    else
      {
      temp20 = op->GetController();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPReflectionFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPReflectionFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPReflectionFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPReflectionFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPReflectionFilter\nC++: vtkPReflectionFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPReflectionFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPReflectionFilter\nC++: vtkPReflectionFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetController",                (PyCFunction)PyvtkPReflectionFilter_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: void SetController (vtkMultiProcessController *);\n\n Get/Set the parallel controller.\n"},
  {(char*)"GetController",                (PyCFunction)PyvtkPReflectionFilter_GetController, 1,
   (char*)"V.GetController() -> vtkMultiProcessController\nC++: vtkMultiProcessController *GetController ();\n\n Get/Set the parallel controller.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPReflectionFilterDoc[] = {
  (char*)"vtkPReflectionFilter - parallel version of vtkReflectionFilter\n\n",
  "Super Class:\n\n vtkReflectionFilter\n\n",
  (char*)" vtkPReflectionFilter is a parallel version of vtkReflectionFilter which takes\n into consideration the full dataset bounds for performing the reflection.\n\n",
  NULL
};

static vtkObjectBase *vtkPReflectionFilterStaticNew()
{
  return vtkPReflectionFilter::New();
}

PyObject *PyVTKClass_vtkPReflectionFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkPReflectionFilterStaticNew,
                        PyvtkPReflectionFilterMethods,
                        (char*)"vtkPReflectionFilter",modulename,
                        (char**)vtkPReflectionFilterDoc,
                        PyVTKClass_vtkReflectionFilterNew(modulename));
}

