// python wrapper for vtkPSLACReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPSLACReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPSLACReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPSLACReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSLACReaderNew(char *); }

static PyObject *PyvtkPSLACReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPSLACReader *op;

  const char    *temp20;
  op = (vtkPSLACReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPSLACReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPSLACReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPSLACReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkPSLACReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPSLACReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPSLACReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPSLACReader *op;

  vtkPSLACReader  *temp20;
  op = (vtkPSLACReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPSLACReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPSLACReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPSLACReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPSLACReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPSLACReader_GetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPSLACReader *op;

  vtkMultiProcessController  *temp20;
  op = (vtkPSLACReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPSLACReader::GetController();
      }
    else
      {
      temp20 = op->GetController();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPSLACReader_SetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPSLACReader *op;

  vtkMultiProcessController  *temp0;
  PyObject *tempH0;
  op = (vtkPSLACReader *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMultiProcessController *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMultiProcessController");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkPSLACReader::SetController(temp0);
      }
    else
      {
      op->SetController(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}

static PyMethodDef PyvtkPSLACReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPSLACReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPSLACReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPSLACReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPSLACReader\nC++: vtkPSLACReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPSLACReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPSLACReader\nC++: vtkPSLACReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetController",                (PyCFunction)PyvtkPSLACReader_GetController, 1,
   (char*)"V.GetController() -> vtkMultiProcessController\nC++: vtkMultiProcessController *GetController ();\n\n The controller used to communicate partition data.  The number of pieces\n requested must agree with the number of processes, the piece requested must\n agree with the local process id, and all process must invoke\n ProcessRequests of this filter simultaneously.\n"},
  {(char*)"SetController",                (PyCFunction)PyvtkPSLACReader_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: virtual void SetController (vtkMultiProcessController *);\n\n The controller used to communicate partition data.  The number of pieces\n requested must agree with the number of processes, the piece requested must\n agree with the local process id, and all process must invoke\n ProcessRequests of this filter simultaneously.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPSLACReaderDoc[] = {
  (char*)"vtkPSLACReader\n\n",
  "Super Class:\n\n vtkSLACReader\n\n",
  (char*)"\n Extends the vtkSLACReader to read in partitioned pieces.  Due to the nature\n of the data layout, this reader only works in a data parallel mode where\n each process in a parallel job simultaneously attempts to read the piece\n corresponding to the local process id.\n\n\n",
  NULL
};

static vtkObjectBase *vtkPSLACReaderStaticNew()
{
  return vtkPSLACReader::New();
}

PyObject *PyVTKClass_vtkPSLACReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkPSLACReaderStaticNew,
                        PyvtkPSLACReaderMethods,
                        (char*)"vtkPSLACReader",modulename,
                        (char**)vtkPSLACReaderDoc,
                        PyVTKClass_vtkSLACReaderNew(modulename));
}

