// python wrapper for vtkPTableToStructuredGrid object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPTableToStructuredGrid.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPTableToStructuredGridNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPTableToStructuredGridNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTableToStructuredGridNew(char *); }

static PyObject *PyvtkPTableToStructuredGrid_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPTableToStructuredGrid *op;

  const char    *temp20;
  op = (vtkPTableToStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPTableToStructuredGrid::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPTableToStructuredGrid_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPTableToStructuredGrid *op;

  char    *temp0;
  int      temp20;
  op = (vtkPTableToStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPTableToStructuredGrid::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPTableToStructuredGrid_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPTableToStructuredGrid *op;

  vtkPTableToStructuredGrid  *temp20;
  op = (vtkPTableToStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPTableToStructuredGrid::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPTableToStructuredGrid_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPTableToStructuredGrid  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPTableToStructuredGrid::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPTableToStructuredGrid_SetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPTableToStructuredGrid *op;

  vtkMultiProcessController  *temp0;
  PyObject *tempH0;
  op = (vtkPTableToStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMultiProcessController *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMultiProcessController");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkPTableToStructuredGrid::SetController(temp0);
      }
    else
      {
      op->SetController(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkPTableToStructuredGrid_GetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPTableToStructuredGrid *op;

  vtkMultiProcessController  *temp20;
  op = (vtkPTableToStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPTableToStructuredGrid::GetController();
      }
    else
      {
      temp20 = op->GetController();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPTableToStructuredGridMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPTableToStructuredGrid_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPTableToStructuredGrid_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPTableToStructuredGrid_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPTableToStructuredGrid\nC++: vtkPTableToStructuredGrid *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPTableToStructuredGrid_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPTableToStructuredGrid\nC++: vtkPTableToStructuredGrid *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetController",                (PyCFunction)PyvtkPTableToStructuredGrid_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: void SetController (vtkMultiProcessController *);\n\n Get/Set the controller.\n"},
  {(char*)"GetController",                (PyCFunction)PyvtkPTableToStructuredGrid_GetController, 1,
   (char*)"V.GetController() -> vtkMultiProcessController\nC++: vtkMultiProcessController *GetController ();\n\n Get/Set the controller.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPTableToStructuredGridDoc[] = {
  (char*)"vtkPTableToStructuredGrid - vtkTableToStructuredGrid specialization\n\n",
  "Super Class:\n\n vtkTableToStructuredGrid\n\n",
  (char*)" vtkPTableToStructuredGrid is vtkTableToStructuredGrid specialization\n which handles distribution of the input table.\n For starters, this assumes that the input table is only available on the root\n node.\n\n",
  NULL
};

static vtkObjectBase *vtkPTableToStructuredGridStaticNew()
{
  return vtkPTableToStructuredGrid::New();
}

PyObject *PyVTKClass_vtkPTableToStructuredGridNew(char *modulename)
{
  return PyVTKClass_New(&vtkPTableToStructuredGridStaticNew,
                        PyvtkPTableToStructuredGridMethods,
                        (char*)"vtkPTableToStructuredGrid",modulename,
                        (char**)vtkPTableToStructuredGridDoc,
                        PyVTKClass_vtkTableToStructuredGridNew(modulename));
}

