// python wrapper for vtkProcess object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkProcess.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkProcessNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkProcessNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkProcess_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcess *op;

  const char    *temp20;
  op = (vtkProcess *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProcess::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkProcess_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcess *op;

  char    *temp0;
  int      temp20;
  op = (vtkProcess *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProcess::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProcess_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcess *op;

  vtkProcess  *temp20;
  op = (vtkProcess *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProcess::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProcess_Execute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcess *op;

  op = (vtkProcess *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Execute();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProcess_GetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcess *op;

  vtkMultiProcessController  *temp20;
  op = (vtkProcess *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProcess::GetController();
      }
    else
      {
      temp20 = op->GetController();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProcess_SetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcess *op;

  vtkMultiProcessController  *temp0;
  PyObject *tempH0;
  op = (vtkProcess *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMultiProcessController *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMultiProcessController");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkProcess::SetController(temp0);
      }
    else
      {
      op->SetController(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkProcess_GetReturnValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcess *op;

  int      temp20;
  op = (vtkProcess *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProcess::GetReturnValue();
      }
    else
      {
      temp20 = op->GetReturnValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkProcessMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkProcess_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkProcess_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkProcess_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkProcess\nC++: vtkProcess *NewInstance ();\n\n"},
  {(char*)"Execute",                (PyCFunction)PyvtkProcess_Execute, 1,
   (char*)"V.Execute()\nC++: virtual void Execute () = 0;\n\n"},
  {(char*)"GetController",                (PyCFunction)PyvtkProcess_GetController, 1,
   (char*)"V.GetController() -> vtkMultiProcessController\nC++: vtkMultiProcessController *GetController ();\n\n Give access to the controller that launched the process.\n Initial value is NULL.\n"},
  {(char*)"SetController",                (PyCFunction)PyvtkProcess_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: void SetController (vtkMultiProcessController *aController);\n\n This method should not be called directly but set by the controller\n itself.\n"},
  {(char*)"GetReturnValue",                (PyCFunction)PyvtkProcess_GetReturnValue, 1,
   (char*)"V.GetReturnValue() -> int\nC++: int GetReturnValue ();\n\n Value set at the end of a call to Execute.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkProcessDoc[] = {
  (char*)"vtkProcess - a process that can be launched by a vtkMultiProcessController\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkProcess is an abstract class representing a process that can be launched\n by a vtkMultiProcessController. Concrete classes just have to implement\n Execute() method and make sure it set the proper value in ReturnValue.\n\n .SECTION Example\n  class MyProcess: public vtkProcess\n  ...\n  vtkMultiProcessController *c;\n  MyProcess *p=new MyProcess::New();\n  p->SetArgs(argc,argv); // some parameters spe",
  (char*)"cific to the process\n  p->SetX(10.0); // ...\n  c->SetSingleProcess(p);\n  c->SingleMethodExecute();\n  int returnValue=p->GetReturnValue();\n\n\n",
  "See Also:\n\n vtkMultiProcessController\n\n",
  NULL
};

PyObject *PyVTKClass_vtkProcessNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkProcessMethods,
                        (char*)"vtkProcess",modulename,
                        (char**)vtkProcessDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

