// python wrapper for vtkCameraPass object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCameraPass.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCameraPassNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCameraPassNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkRenderPassNew(char *); }

static PyObject *PyvtkCameraPass_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraPass *op;

  const char    *temp20;
  op = (vtkCameraPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraPass::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraPass_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraPass *op;

  char    *temp0;
  int      temp20;
  op = (vtkCameraPass *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraPass::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraPass_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraPass *op;

  vtkCameraPass  *temp20;
  op = (vtkCameraPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraPass::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraPass_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCameraPass  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCameraPass::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCameraPass_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraPass *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkCameraPass *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkCameraPass::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkCameraPass_GetDelegatePass(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraPass *op;

  vtkRenderPass  *temp20;
  op = (vtkCameraPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraPass::GetDelegatePass();
      }
    else
      {
      temp20 = op->GetDelegatePass();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraPass_SetDelegatePass(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraPass *op;

  vtkRenderPass  *temp0;
  PyObject *tempH0;
  op = (vtkCameraPass *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderPass *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderPass");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkCameraPass::SetDelegatePass(temp0);
      }
    else
      {
      op->SetDelegatePass(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}

static PyMethodDef PyvtkCameraPassMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCameraPass_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCameraPass_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCameraPass_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCameraPass\nC++: vtkCameraPass *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCameraPass_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCameraPass\nC++: vtkCameraPass *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkCameraPass_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: void ReleaseGraphicsResources (vtkWindow *w);\n\n Release graphics resources and ask components to release their own\n resources.\n \\pre w_exists: w!=0\n"},
  {(char*)"GetDelegatePass",                (PyCFunction)PyvtkCameraPass_GetDelegatePass, 1,
   (char*)"V.GetDelegatePass() -> vtkRenderPass\nC++: vtkRenderPass *GetDelegatePass ();\n\n Delegate for rendering the geometry.\n If it is NULL, nothing will be rendered and a warning will be emitted.\n It is usually set to a vtkSequencePass with a vtkLigthsPass and\n a list of passes for the geometry.\n Initial value is a NULL pointer.\n"},
  {(char*)"SetDelegatePass",                (PyCFunction)PyvtkCameraPass_SetDelegatePass, 1,
   (char*)"V.SetDelegatePass(vtkRenderPass)\nC++: virtual void SetDelegatePass (vtkRenderPass *delegatePass);\n\n Delegate for rendering the geometry.\n If it is NULL, nothing will be rendered and a warning will be emitted.\n It is usually set to a vtkSequencePass with a vtkLigthsPass and\n a list of passes for the geometry.\n Initial value is a NULL pointer.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCameraPassDoc[] = {
  (char*)"vtkCameraPass - Implement the camera render pass.\n\n",
  "Super Class:\n\n vtkRenderPass\n\n",
  (char*)" Render the camera.\n\n It setups the projection and modelview matrices and can clear the background\n It calls its delegate once.\n After its delegate returns, it restore the modelview matrix stack.\n\n Its delegate is usually set to a vtkSequencePass with a vtkLigthsPass and\n a list of passes for the geometry.\n \n\n",
  "See Also:\n\n vtkRenderPass\n\n",
  NULL
};

static vtkObjectBase *vtkCameraPassStaticNew()
{
  return vtkCameraPass::New();
}

PyObject *PyVTKClass_vtkCameraPassNew(char *modulename)
{
  return PyVTKClass_New(&vtkCameraPassStaticNew,
                        PyvtkCameraPassMethods,
                        (char*)"vtkCameraPass",modulename,
                        (char**)vtkCameraPassDoc,
                        PyVTKClass_vtkRenderPassNew(modulename));
}

