// python wrapper for vtkCellPicker object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCellPicker.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCellPickerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCellPickerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPickerNew(char *); }

static PyObject *PyvtkCellPicker_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellPicker *op;

  const char    *temp20;
  op = (vtkCellPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellPicker::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCellPicker_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellPicker *op;

  char    *temp0;
  int      temp20;
  op = (vtkCellPicker *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellPicker::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellPicker_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellPicker *op;

  vtkCellPicker  *temp20;
  op = (vtkCellPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellPicker::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellPicker_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCellPicker  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCellPicker::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCellPicker_Pick(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellPicker *op;

  double   temp0;
  double   temp1;
  double   temp2;
  vtkRenderer  *temp3;
  PyObject *tempH3;
  int      temp20;
  op = (vtkCellPicker *)PyArg_VTKParseTuple(self, args, (char*)"dddO", &temp0, &temp1, &temp2, &tempH3);
  if (op)
    {
    temp3 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkRenderer");
    if (!temp3 && tempH3 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellPicker::Pick(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->Pick(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkCellPicker_AddLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellPicker *op;

  vtkAbstractCellLocator  *temp0;
  PyObject *tempH0;
  op = (vtkCellPicker *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractCellLocator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractCellLocator");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkCellPicker::AddLocator(temp0);
      }
    else
      {
      op->AddLocator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkCellPicker_RemoveLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellPicker *op;

  vtkAbstractCellLocator  *temp0;
  PyObject *tempH0;
  op = (vtkCellPicker *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractCellLocator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractCellLocator");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkCellPicker::RemoveLocator(temp0);
      }
    else
      {
      op->RemoveLocator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkCellPicker_RemoveAllLocators(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellPicker *op;

  op = (vtkCellPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellPicker::RemoveAllLocators();
      }
    else
      {
      op->RemoveAllLocators();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellPicker_SetVolumeOpacityIsovalue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellPicker *op;

  double   temp0;
  op = (vtkCellPicker *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellPicker::SetVolumeOpacityIsovalue(temp0);
      }
    else
      {
      op->SetVolumeOpacityIsovalue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellPicker_GetVolumeOpacityIsovalue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellPicker *op;

  double   temp20;
  op = (vtkCellPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellPicker::GetVolumeOpacityIsovalue();
      }
    else
      {
      temp20 = op->GetVolumeOpacityIsovalue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellPicker_SetUseVolumeGradientOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellPicker *op;

  int      temp0;
  op = (vtkCellPicker *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellPicker::SetUseVolumeGradientOpacity(temp0);
      }
    else
      {
      op->SetUseVolumeGradientOpacity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellPicker_UseVolumeGradientOpacityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellPicker *op;

  op = (vtkCellPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellPicker::UseVolumeGradientOpacityOn();
      }
    else
      {
      op->UseVolumeGradientOpacityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellPicker_UseVolumeGradientOpacityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellPicker *op;

  op = (vtkCellPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellPicker::UseVolumeGradientOpacityOff();
      }
    else
      {
      op->UseVolumeGradientOpacityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellPicker_GetUseVolumeGradientOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellPicker *op;

  int      temp20;
  op = (vtkCellPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellPicker::GetUseVolumeGradientOpacity();
      }
    else
      {
      temp20 = op->GetUseVolumeGradientOpacity();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellPicker_SetPickClippingPlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellPicker *op;

  int      temp0;
  op = (vtkCellPicker *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellPicker::SetPickClippingPlanes(temp0);
      }
    else
      {
      op->SetPickClippingPlanes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellPicker_PickClippingPlanesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellPicker *op;

  op = (vtkCellPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellPicker::PickClippingPlanesOn();
      }
    else
      {
      op->PickClippingPlanesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellPicker_PickClippingPlanesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellPicker *op;

  op = (vtkCellPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellPicker::PickClippingPlanesOff();
      }
    else
      {
      op->PickClippingPlanesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellPicker_GetPickClippingPlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellPicker *op;

  int      temp20;
  op = (vtkCellPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellPicker::GetPickClippingPlanes();
      }
    else
      {
      temp20 = op->GetPickClippingPlanes();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellPicker_GetClippingPlaneId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellPicker *op;

  int      temp20;
  op = (vtkCellPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellPicker::GetClippingPlaneId();
      }
    else
      {
      temp20 = op->GetClippingPlaneId();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellPicker_GetPickNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellPicker *op;

  double  *temp20;
  op = (vtkCellPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellPicker::GetPickNormal();
      }
    else
      {
      temp20 = op->GetPickNormal();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCellPicker_GetMapperNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellPicker *op;

  double  *temp20;
  op = (vtkCellPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellPicker::GetMapperNormal();
      }
    else
      {
      temp20 = op->GetMapperNormal();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCellPicker_GetPointIJK(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellPicker *op;

  int     *temp20;
  op = (vtkCellPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellPicker::GetPointIJK();
      }
    else
      {
      temp20 = op->GetPointIJK();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCellPicker_GetCellIJK(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellPicker *op;

  int     *temp20;
  op = (vtkCellPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellPicker::GetCellIJK();
      }
    else
      {
      temp20 = op->GetCellIJK();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCellPicker_GetPointId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellPicker *op;

  vtkIdType   temp20;
  op = (vtkCellPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellPicker::GetPointId();
      }
    else
      {
      temp20 = op->GetPointId();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellPicker_GetCellId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellPicker *op;

  vtkIdType   temp20;
  op = (vtkCellPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellPicker::GetCellId();
      }
    else
      {
      temp20 = op->GetCellId();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellPicker_GetSubId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellPicker *op;

  int      temp20;
  op = (vtkCellPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellPicker::GetSubId();
      }
    else
      {
      temp20 = op->GetSubId();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellPicker_GetPCoords(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellPicker *op;

  double  *temp20;
  op = (vtkCellPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellPicker::GetPCoords();
      }
    else
      {
      temp20 = op->GetPCoords();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCellPicker_GetTexture(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellPicker *op;

  vtkTexture  *temp20;
  op = (vtkCellPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellPicker::GetTexture();
      }
    else
      {
      temp20 = op->GetTexture();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellPicker_SetPickTextureData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellPicker *op;

  int      temp0;
  op = (vtkCellPicker *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellPicker::SetPickTextureData(temp0);
      }
    else
      {
      op->SetPickTextureData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellPicker_PickTextureDataOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellPicker *op;

  op = (vtkCellPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellPicker::PickTextureDataOn();
      }
    else
      {
      op->PickTextureDataOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellPicker_PickTextureDataOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellPicker *op;

  op = (vtkCellPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellPicker::PickTextureDataOff();
      }
    else
      {
      op->PickTextureDataOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellPicker_GetPickTextureData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellPicker *op;

  int      temp20;
  op = (vtkCellPicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellPicker::GetPickTextureData();
      }
    else
      {
      temp20 = op->GetPickTextureData();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCellPickerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCellPicker_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCellPicker_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCellPicker_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCellPicker\nC++: vtkCellPicker *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCellPicker_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCellPicker\nC++: vtkCellPicker *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Pick",                (PyCFunction)PyvtkCellPicker_Pick, 1,
   (char*)"V.Pick(float, float, float, vtkRenderer) -> int\nC++: virtual int Pick (double selectionX, double selectionY, double selectionZ, vtkRenderer *renderer);\n\n Perform pick operation with selection point provided. Normally the \n first two values are the (x,y) pixel coordinates for the pick, and\n the third value is z=0. The return value will be non-zero if\n something was successfully picked.\n"},
  {(char*)"AddLocator",                (PyCFunction)PyvtkCellPicker_AddLocator, 1,
   (char*)"V.AddLocator(vtkAbstractCellLocator)\nC++: void AddLocator (vtkAbstractCellLocator *locator);\n\n Add a locator for one of the data sets that will be included in the\n scene.  You must set up the locator with exactly the same data set\n that was input to the mapper of one or more of the actors in the\n scene.  As well, you must either build the locator before doing the\n pick, or you must turn on LazyEvaluation in the locator to make it\n build itself on the first pick.  Note that if you try to add the\n same locator to the picker twice, the second addition will be ignored.\n"},
  {(char*)"RemoveLocator",                (PyCFunction)PyvtkCellPicker_RemoveLocator, 1,
   (char*)"V.RemoveLocator(vtkAbstractCellLocator)\nC++: void RemoveLocator (vtkAbstractCellLocator *locator);\n\n Remove a locator that was previously added.  If you try to remove a\n nonexistent locator, then nothing will happen and no errors will be\n raised.\n"},
  {(char*)"RemoveAllLocators",                (PyCFunction)PyvtkCellPicker_RemoveAllLocators, 1,
   (char*)"V.RemoveAllLocators()\nC++: void RemoveAllLocators ();\n\n Remove all locators associated with this picker.\n"},
  {(char*)"SetVolumeOpacityIsovalue",                (PyCFunction)PyvtkCellPicker_SetVolumeOpacityIsovalue, 1,
   (char*)"V.SetVolumeOpacityIsovalue(float)\nC++: void SetVolumeOpacityIsovalue (double );\n\n Set the opacity isovalue to use for defining volume surfaces.  The\n pick will occur at the location along the pick ray where the \n opacity of the volume is equal to this isovalue.  If you want to do\n the pick based on an actual data isovalue rather than the opacity,\n then pass the data value through the scalar opacity function before\n using this method.\n"},
  {(char*)"GetVolumeOpacityIsovalue",                (PyCFunction)PyvtkCellPicker_GetVolumeOpacityIsovalue, 1,
   (char*)"V.GetVolumeOpacityIsovalue() -> float\nC++: double GetVolumeOpacityIsovalue ();\n\n Set the opacity isovalue to use for defining volume surfaces.  The\n pick will occur at the location along the pick ray where the \n opacity of the volume is equal to this isovalue.  If you want to do\n the pick based on an actual data isovalue rather than the opacity,\n then pass the data value through the scalar opacity function before\n using this method.\n"},
  {(char*)"SetUseVolumeGradientOpacity",                (PyCFunction)PyvtkCellPicker_SetUseVolumeGradientOpacity, 1,
   (char*)"V.SetUseVolumeGradientOpacity(int)\nC++: void SetUseVolumeGradientOpacity (int );\n\n Use the product of the scalar and gradient opacity functions when\n computing the opacity isovalue, instead of just using the scalar\n opacity. This parameter is only relevant to volume picking and\n is off by default.\n"},
  {(char*)"UseVolumeGradientOpacityOn",                (PyCFunction)PyvtkCellPicker_UseVolumeGradientOpacityOn, 1,
   (char*)"V.UseVolumeGradientOpacityOn()\nC++: void UseVolumeGradientOpacityOn ();\n\n Use the product of the scalar and gradient opacity functions when\n computing the opacity isovalue, instead of just using the scalar\n opacity. This parameter is only relevant to volume picking and\n is off by default.\n"},
  {(char*)"UseVolumeGradientOpacityOff",                (PyCFunction)PyvtkCellPicker_UseVolumeGradientOpacityOff, 1,
   (char*)"V.UseVolumeGradientOpacityOff()\nC++: void UseVolumeGradientOpacityOff ();\n\n Use the product of the scalar and gradient opacity functions when\n computing the opacity isovalue, instead of just using the scalar\n opacity. This parameter is only relevant to volume picking and\n is off by default.\n"},
  {(char*)"GetUseVolumeGradientOpacity",                (PyCFunction)PyvtkCellPicker_GetUseVolumeGradientOpacity, 1,
   (char*)"V.GetUseVolumeGradientOpacity() -> int\nC++: int GetUseVolumeGradientOpacity ();\n\n Use the product of the scalar and gradient opacity functions when\n computing the opacity isovalue, instead of just using the scalar\n opacity. This parameter is only relevant to volume picking and\n is off by default.\n"},
  {(char*)"SetPickClippingPlanes",                (PyCFunction)PyvtkCellPicker_SetPickClippingPlanes, 1,
   (char*)"V.SetPickClippingPlanes(int)\nC++: void SetPickClippingPlanes (int );\n\n The PickClippingPlanes setting controls how clipping planes are\n handled by the pick.  If it is On, then the clipping planes become\n pickable objects, even though they are usually invisible.  This\n means that if the pick ray intersects a clipping plane before it\n hits anything else, the pick will stop at that clipping plane.\n The GetProp3D() and GetMapper() methods will return the Prop3D\n and Mapper that the clipping plane belongs to.  The\n GetClippingPlaneId() method will return the index of the clipping\n plane so that you can retrieve it from the mapper, or -1 if no\n clipping plane was picked. The picking of vtkImageActors is not\n influenced by this setting, since they have no clipping planes.\n"},
  {(char*)"PickClippingPlanesOn",                (PyCFunction)PyvtkCellPicker_PickClippingPlanesOn, 1,
   (char*)"V.PickClippingPlanesOn()\nC++: void PickClippingPlanesOn ();\n\n The PickClippingPlanes setting controls how clipping planes are\n handled by the pick.  If it is On, then the clipping planes become\n pickable objects, even though they are usually invisible.  This\n means that if the pick ray intersects a clipping plane before it\n hits anything else, the pick will stop at that clipping plane.\n The GetProp3D() and GetMapper() methods will return the Prop3D\n and Mapper that the clipping plane belongs to.  The\n GetClippingPlaneId() method will return the index of the clipping\n plane so that you can retrieve it from the mapper, or -1 if no\n clipping plane was picked. The picking of vtkImageActors is not\n influenced by this setting, since they have no clipping planes.\n"},
  {(char*)"PickClippingPlanesOff",                (PyCFunction)PyvtkCellPicker_PickClippingPlanesOff, 1,
   (char*)"V.PickClippingPlanesOff()\nC++: void PickClippingPlanesOff ();\n\n The PickClippingPlanes setting controls how clipping planes are\n handled by the pick.  If it is On, then the clipping planes become\n pickable objects, even though they are usually invisible.  This\n means that if the pick ray intersects a clipping plane before it\n hits anything else, the pick will stop at that clipping plane.\n The GetProp3D() and GetMapper() methods will return the Prop3D\n and Mapper that the clipping plane belongs to.  The\n GetClippingPlaneId() method will return the index of the clipping\n plane so that you can retrieve it from the mapper, or -1 if no\n clipping plane was picked. The picking of vtkImageActors is not\n influenced by this setting, since they have no clipping planes.\n"},
  {(char*)"GetPickClippingPlanes",                (PyCFunction)PyvtkCellPicker_GetPickClippingPlanes, 1,
   (char*)"V.GetPickClippingPlanes() -> int\nC++: int GetPickClippingPlanes ();\n\n The PickClippingPlanes setting controls how clipping planes are\n handled by the pick.  If it is On, then the clipping planes become\n pickable objects, even though they are usually invisible.  This\n means that if the pick ray intersects a clipping plane before it\n hits anything else, the pick will stop at that clipping plane.\n The GetProp3D() and GetMapper() methods will return the Prop3D\n and Mapper that the clipping plane belongs to.  The\n GetClippingPlaneId() method will return the index of the clipping\n plane so that you can retrieve it from the mapper, or -1 if no\n clipping plane was picked. The picking of vtkImageActors is not\n influenced by this setting, since they have no clipping planes.\n"},
  {(char*)"GetClippingPlaneId",                (PyCFunction)PyvtkCellPicker_GetClippingPlaneId, 1,
   (char*)"V.GetClippingPlaneId() -> int\nC++: int GetClippingPlaneId ();\n\n Get the index of the clipping plane that was intersected during\n the pick.  This will be set regardless of whether PickClippingPlanes\n is On, all that is required is that the pick intersected a clipping\n plane of the Prop3D that was picked.  The result will be -1 if the\n Prop3D that was picked has no clipping planes, or if the ray didn't\n intersect the planes.\n"},
  {(char*)"GetPickNormal",                (PyCFunction)PyvtkCellPicker_GetPickNormal, 1,
   (char*)"V.GetPickNormal() -> (float, float, float)\nC++: double  *GetPickNormal ();\n\n Return the normal of the picked surface at the PickPosition.  If no\n surface was picked, then a vector pointing back at the camera is\n returned.\n"},
  {(char*)"GetMapperNormal",                (PyCFunction)PyvtkCellPicker_GetMapperNormal, 1,
   (char*)"V.GetMapperNormal() -> (float, float, float)\nC++: double  *GetMapperNormal ();\n\n Return the normal of the surface at the PickPosition in mapper\n coordinates.  The result is undefined if no prop was picked.\n"},
  {(char*)"GetPointIJK",                (PyCFunction)PyvtkCellPicker_GetPointIJK, 1,
   (char*)"V.GetPointIJK() -> (int, int, int)\nC++: int  *GetPointIJK ();\n\n Get the structured coordinates of the point at the PickPosition.\n Only valid for image actors and volumes with vtkImageData.\n"},
  {(char*)"GetCellIJK",                (PyCFunction)PyvtkCellPicker_GetCellIJK, 1,
   (char*)"V.GetCellIJK() -> (int, int, int)\nC++: int  *GetCellIJK ();\n\n Get the structured coordinates of the cell at the PickPosition.\n Only valid for image actors and volumes with vtkImageData.\n Combine this with the PCoords to get the position within the cell.\n"},
  {(char*)"GetPointId",                (PyCFunction)PyvtkCellPicker_GetPointId, 1,
   (char*)"V.GetPointId() -> int\nC++: vtkIdType GetPointId ();\n\n Get the id of the picked point. If PointId = -1, nothing was picked.\n This point will be a member of any cell that is picked.\n"},
  {(char*)"GetCellId",                (PyCFunction)PyvtkCellPicker_GetCellId, 1,
   (char*)"V.GetCellId() -> int\nC++: vtkIdType GetCellId ();\n\n Get the id of the picked cell. If CellId = -1, nothing was picked.\n"},
  {(char*)"GetSubId",                (PyCFunction)PyvtkCellPicker_GetSubId, 1,
   (char*)"V.GetSubId() -> int\nC++: int GetSubId ();\n\n Get the subId of the picked cell. This is useful, for example, if\n the data is made of triangle strips. If SubId = -1, nothing was picked.\n"},
  {(char*)"GetPCoords",                (PyCFunction)PyvtkCellPicker_GetPCoords, 1,
   (char*)"V.GetPCoords() -> (float, float, float)\nC++: double  *GetPCoords ();\n\n Get the parametric coordinates of the picked cell. Only valid if\n a prop was picked.  The PCoords can be used to compute the weights\n that are needed to interpolate data values within the cell.\n"},
  {(char*)"GetTexture",                (PyCFunction)PyvtkCellPicker_GetTexture, 1,
   (char*)"V.GetTexture() -> vtkTexture\nC++: vtkTexture *GetTexture ();return this Texture \n\n Get the texture that was picked.  This will always be set if the\n picked prop has a texture, and will always be null otherwise.\n"},
  {(char*)"SetPickTextureData",                (PyCFunction)PyvtkCellPicker_SetPickTextureData, 1,
   (char*)"V.SetPickTextureData(int)\nC++: void SetPickTextureData (int );\n\n If this is \"On\" and if the picked prop has a texture, then the data\n returned by GetDataSet() will be the texture's data instead of the\n mapper's data.  The GetPointId(), GetCellId(), GetPCoords() etc. will\n all return information for use with the texture's data.  If the picked\n prop does not have any texture, then GetDataSet() will return the\n mapper's data instead and GetPointId() etc. will return information\n related to the mapper's data.  The default value of PickTextureData\n is \"Off\".\n"},
  {(char*)"PickTextureDataOn",                (PyCFunction)PyvtkCellPicker_PickTextureDataOn, 1,
   (char*)"V.PickTextureDataOn()\nC++: void PickTextureDataOn ();\n\n If this is \"On\" and if the picked prop has a texture, then the data\n returned by GetDataSet() will be the texture's data instead of the\n mapper's data.  The GetPointId(), GetCellId(), GetPCoords() etc. will\n all return information for use with the texture's data.  If the picked\n prop does not have any texture, then GetDataSet() will return the\n mapper's data instead and GetPointId() etc. will return information\n related to the mapper's data.  The default value of PickTextureData\n is \"Off\".\n"},
  {(char*)"PickTextureDataOff",                (PyCFunction)PyvtkCellPicker_PickTextureDataOff, 1,
   (char*)"V.PickTextureDataOff()\nC++: void PickTextureDataOff ();\n\n If this is \"On\" and if the picked prop has a texture, then the data\n returned by GetDataSet() will be the texture's data instead of the\n mapper's data.  The GetPointId(), GetCellId(), GetPCoords() etc. will\n all return information for use with the texture's data.  If the picked\n prop does not have any texture, then GetDataSet() will return the\n mapper's data instead and GetPointId() etc. will return information\n related to the mapper's data.  The default value of PickTextureData\n is \"Off\".\n"},
  {(char*)"GetPickTextureData",                (PyCFunction)PyvtkCellPicker_GetPickTextureData, 1,
   (char*)"V.GetPickTextureData() -> int\nC++: int GetPickTextureData ();\n\n If this is \"On\" and if the picked prop has a texture, then the data\n returned by GetDataSet() will be the texture's data instead of the\n mapper's data.  The GetPointId(), GetCellId(), GetPCoords() etc. will\n all return information for use with the texture's data.  If the picked\n prop does not have any texture, then GetDataSet() will return the\n mapper's data instead and GetPointId() etc. will return information\n related to the mapper's data.  The default value of PickTextureData\n is \"Off\".\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCellPickerDoc[] = {
  (char*)"vtkCellPicker - ray-cast cell picker for all kinds of Prop3Ds\n\n",
  "Super Class:\n\n vtkPicker\n\n",
  (char*)" vtkCellPicker will shoot a ray into a 3D scene and return information\n about the first object that the ray hits.  It works for all Prop3Ds.\n For vtkVolume objects, it shoots a ray into the volume and returns\n the point where the ray intersects an isosurface of a chosen opacity.\n For vtkImageActor objects, it intersects the ray with the displayed\n slice. For vtkActor objects, it intersects the act",
  (char*)"or's polygons.\n If the object's mapper has ClippingPlanes, then it takes the clipping\n into account, and will return the Id of the clipping plane that was\n intersected.\n For all prop types, it returns point and cell information, plus the\n normal of the surface that was intersected at the pick position.  For\n volumes and images, it also returns (i,j,k) coordinates for the point\n and the cell that w",
  (char*)"ere picked.  \n\n\n",
  "See Also:\n\n vtkPicker vtkPointPicker vtkVolumePicker\n\n .SECTION Thanks\n This class was contributed to VTK by David Gobbi on behalf of Atamai Inc.,\n as an enhancement to the original vtkCellPicker.\n\n",
  NULL
};

static vtkObjectBase *vtkCellPickerStaticNew()
{
  return vtkCellPicker::New();
}

PyObject *PyVTKClass_vtkCellPickerNew(char *modulename)
{
  return PyVTKClass_New(&vtkCellPickerStaticNew,
                        PyvtkCellPickerMethods,
                        (char*)"vtkCellPicker",modulename,
                        (char**)vtkCellPickerDoc,
                        PyVTKClass_vtkPickerNew(modulename));
}

