// python wrapper for vtkColorMaterialHelper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkColorMaterialHelper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkColorMaterialHelperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkColorMaterialHelperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkColorMaterialHelper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorMaterialHelper *op;

  const char    *temp20;
  op = (vtkColorMaterialHelper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkColorMaterialHelper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkColorMaterialHelper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorMaterialHelper *op;

  char    *temp0;
  int      temp20;
  op = (vtkColorMaterialHelper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkColorMaterialHelper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkColorMaterialHelper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorMaterialHelper *op;

  vtkColorMaterialHelper  *temp20;
  op = (vtkColorMaterialHelper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkColorMaterialHelper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkColorMaterialHelper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkColorMaterialHelper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkColorMaterialHelper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkColorMaterialHelper_PrepareForRendering(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorMaterialHelper *op;

  op = (vtkColorMaterialHelper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkColorMaterialHelper::PrepareForRendering();
      }
    else
      {
      op->PrepareForRendering();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkColorMaterialHelper_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorMaterialHelper *op;

  op = (vtkColorMaterialHelper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkColorMaterialHelper::Render();
      }
    else
      {
      op->Render();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkColorMaterialHelperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkColorMaterialHelper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkColorMaterialHelper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkColorMaterialHelper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkColorMaterialHelper\nC++: vtkColorMaterialHelper *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkColorMaterialHelper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkColorMaterialHelper\nC++: vtkColorMaterialHelper *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"PrepareForRendering",                (PyCFunction)PyvtkColorMaterialHelper_PrepareForRendering, 1,
   (char*)"V.PrepareForRendering()\nC++: void PrepareForRendering ();\n\n Prepares the shader i.e. reads color material paramters state from OpenGL. \n This must be called before the shader is bound. \n"},
  {(char*)"Render",                (PyCFunction)PyvtkColorMaterialHelper_Render, 1,
   (char*)"V.Render()\nC++: void Render ();\n\n Uploads any uniforms needed. This must be called only\n after the shader has been bound, but before rendering the geometry.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkColorMaterialHelperDoc[] = {
  (char*)"vtkColorMaterialHelper - a helper to assist in simulating the\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)"  vtkColorMaterialHelper is a helper to assist in simulating the\n  ColorMaterial behaviour of the default OpenGL pipeline. Look at\n  vtkColorMaterialHelper_s for available GLSL functions.\n\n\n",
  "See Also:\n\n vtkShaderProgram2\n\n",
  NULL
};

static vtkObjectBase *vtkColorMaterialHelperStaticNew()
{
  return vtkColorMaterialHelper::New();
}

PyObject *PyVTKClass_vtkColorMaterialHelperNew(char *modulename)
{
  return PyVTKClass_New(&vtkColorMaterialHelperStaticNew,
                        PyvtkColorMaterialHelperMethods,
                        (char*)"vtkColorMaterialHelper",modulename,
                        (char**)vtkColorMaterialHelperDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

