// python wrapper for vtkDepthPeelingPass object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDepthPeelingPass.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDepthPeelingPassNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDepthPeelingPassNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkRenderPassNew(char *); }

static PyObject *PyvtkDepthPeelingPass_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDepthPeelingPass *op;

  const char    *temp20;
  op = (vtkDepthPeelingPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDepthPeelingPass::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDepthPeelingPass_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDepthPeelingPass *op;

  char    *temp0;
  int      temp20;
  op = (vtkDepthPeelingPass *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDepthPeelingPass::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDepthPeelingPass_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDepthPeelingPass *op;

  vtkDepthPeelingPass  *temp20;
  op = (vtkDepthPeelingPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDepthPeelingPass::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDepthPeelingPass_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDepthPeelingPass  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDepthPeelingPass::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDepthPeelingPass_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDepthPeelingPass *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkDepthPeelingPass *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkDepthPeelingPass::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkDepthPeelingPass_GetTranslucentPass(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDepthPeelingPass *op;

  vtkRenderPass  *temp20;
  op = (vtkDepthPeelingPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDepthPeelingPass::GetTranslucentPass();
      }
    else
      {
      temp20 = op->GetTranslucentPass();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDepthPeelingPass_SetTranslucentPass(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDepthPeelingPass *op;

  vtkRenderPass  *temp0;
  PyObject *tempH0;
  op = (vtkDepthPeelingPass *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderPass *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderPass");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkDepthPeelingPass::SetTranslucentPass(temp0);
      }
    else
      {
      op->SetTranslucentPass(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkDepthPeelingPass_SetOcclusionRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDepthPeelingPass *op;

  double   temp0;
  op = (vtkDepthPeelingPass *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDepthPeelingPass::SetOcclusionRatio(temp0);
      }
    else
      {
      op->SetOcclusionRatio(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDepthPeelingPass_GetOcclusionRatioMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDepthPeelingPass *op;

  double   temp20;
  op = (vtkDepthPeelingPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDepthPeelingPass::GetOcclusionRatioMinValue();
      }
    else
      {
      temp20 = op->GetOcclusionRatioMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDepthPeelingPass_GetOcclusionRatioMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDepthPeelingPass *op;

  double   temp20;
  op = (vtkDepthPeelingPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDepthPeelingPass::GetOcclusionRatioMaxValue();
      }
    else
      {
      temp20 = op->GetOcclusionRatioMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDepthPeelingPass_GetOcclusionRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDepthPeelingPass *op;

  double   temp20;
  op = (vtkDepthPeelingPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDepthPeelingPass::GetOcclusionRatio();
      }
    else
      {
      temp20 = op->GetOcclusionRatio();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDepthPeelingPass_SetMaximumNumberOfPeels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDepthPeelingPass *op;

  int      temp0;
  op = (vtkDepthPeelingPass *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDepthPeelingPass::SetMaximumNumberOfPeels(temp0);
      }
    else
      {
      op->SetMaximumNumberOfPeels(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDepthPeelingPass_GetMaximumNumberOfPeels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDepthPeelingPass *op;

  int      temp20;
  op = (vtkDepthPeelingPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDepthPeelingPass::GetMaximumNumberOfPeels();
      }
    else
      {
      temp20 = op->GetMaximumNumberOfPeels();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDepthPeelingPass_GetLastRenderingUsedDepthPeeling(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDepthPeelingPass *op;

  bool   temp20;
  op = (vtkDepthPeelingPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDepthPeelingPass::GetLastRenderingUsedDepthPeeling();
      }
    else
      {
      temp20 = op->GetLastRenderingUsedDepthPeeling();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDepthPeelingPassMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDepthPeelingPass_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDepthPeelingPass_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDepthPeelingPass_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDepthPeelingPass\nC++: vtkDepthPeelingPass *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDepthPeelingPass_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDepthPeelingPass\nC++: vtkDepthPeelingPass *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkDepthPeelingPass_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: void ReleaseGraphicsResources (vtkWindow *w);\n\n Release graphics resources and ask components to release their own\n resources.\n \\pre w_exists: w!=0\n"},
  {(char*)"GetTranslucentPass",                (PyCFunction)PyvtkDepthPeelingPass_GetTranslucentPass, 1,
   (char*)"V.GetTranslucentPass() -> vtkRenderPass\nC++: vtkRenderPass *GetTranslucentPass ();\n\n Delegate for rendering the translucent polygonal geometry.\n If it is NULL, nothing will be rendered and a warning will be emitted.\n It is usually set to a vtkTranslucentPass.\n Initial value is a NULL pointer.\n"},
  {(char*)"SetTranslucentPass",                (PyCFunction)PyvtkDepthPeelingPass_SetTranslucentPass, 1,
   (char*)"V.SetTranslucentPass(vtkRenderPass)\nC++: virtual void SetTranslucentPass (vtkRenderPass *translucentPass);\n\n Delegate for rendering the translucent polygonal geometry.\n If it is NULL, nothing will be rendered and a warning will be emitted.\n It is usually set to a vtkTranslucentPass.\n Initial value is a NULL pointer.\n"},
  {(char*)"SetOcclusionRatio",                (PyCFunction)PyvtkDepthPeelingPass_SetOcclusionRatio, 1,
   (char*)"V.SetOcclusionRatio(float)\nC++: void SetOcclusionRatio (double );\n\n In case of use of depth peeling technique for rendering translucent\n material, define the threshold under which the algorithm stops to\n iterate over peel layers. This is the ratio of the number of pixels\n that have been touched by the last layer over the total number of pixels\n of the viewport area.\n Initial value is 0.0, meaning rendering have to be exact. Greater values\n may speed-up the rendering with small impact on the quality.\n"},
  {(char*)"GetOcclusionRatioMinValue",                (PyCFunction)PyvtkDepthPeelingPass_GetOcclusionRatioMinValue, 1,
   (char*)"V.GetOcclusionRatioMinValue() -> float\nC++: double GetOcclusionRatioMinValue ();\n\n In case of use of depth peeling technique for rendering translucent\n material, define the threshold under which the algorithm stops to\n iterate over peel layers. This is the ratio of the number of pixels\n that have been touched by the last layer over the total number of pixels\n of the viewport area.\n Initial value is 0.0, meaning rendering have to be exact. Greater values\n may speed-up the rendering with small impact on the quality.\n"},
  {(char*)"GetOcclusionRatioMaxValue",                (PyCFunction)PyvtkDepthPeelingPass_GetOcclusionRatioMaxValue, 1,
   (char*)"V.GetOcclusionRatioMaxValue() -> float\nC++: double GetOcclusionRatioMaxValue ();\n\n In case of use of depth peeling technique for rendering translucent\n material, define the threshold under which the algorithm stops to\n iterate over peel layers. This is the ratio of the number of pixels\n that have been touched by the last layer over the total number of pixels\n of the viewport area.\n Initial value is 0.0, meaning rendering have to be exact. Greater values\n may speed-up the rendering with small impact on the quality.\n"},
  {(char*)"GetOcclusionRatio",                (PyCFunction)PyvtkDepthPeelingPass_GetOcclusionRatio, 1,
   (char*)"V.GetOcclusionRatio() -> float\nC++: double GetOcclusionRatio ();\n\n In case of use of depth peeling technique for rendering translucent\n material, define the threshold under which the algorithm stops to\n iterate over peel layers. This is the ratio of the number of pixels\n that have been touched by the last layer over the total number of pixels\n of the viewport area.\n Initial value is 0.0, meaning rendering have to be exact. Greater values\n may speed-up the rendering with small impact on the quality.\n"},
  {(char*)"SetMaximumNumberOfPeels",                (PyCFunction)PyvtkDepthPeelingPass_SetMaximumNumberOfPeels, 1,
   (char*)"V.SetMaximumNumberOfPeels(int)\nC++: void SetMaximumNumberOfPeels (int );\n\n In case of depth peeling, define the maximum number of peeling layers.\n Initial value is 4. A special value of 0 means no maximum limit.\n It has to be a positive value.\n"},
  {(char*)"GetMaximumNumberOfPeels",                (PyCFunction)PyvtkDepthPeelingPass_GetMaximumNumberOfPeels, 1,
   (char*)"V.GetMaximumNumberOfPeels() -> int\nC++: int GetMaximumNumberOfPeels ();\n\n In case of depth peeling, define the maximum number of peeling layers.\n Initial value is 4. A special value of 0 means no maximum limit.\n It has to be a positive value.\n"},
  {(char*)"GetLastRenderingUsedDepthPeeling",                (PyCFunction)PyvtkDepthPeelingPass_GetLastRenderingUsedDepthPeeling, 1,
   (char*)"V.GetLastRenderingUsedDepthPeeling() -> bool\nC++: bool GetLastRenderingUsedDepthPeeling ();\n\n Tells if the last time this pass was executed, the depth peeling\n algorithm was actually used. Initial value is false.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDepthPeelingPassDoc[] = {
  (char*)"vtkDepthPeelingPass - Implement an Order Independent Transparency\n\n",
  "Super Class:\n\n vtkRenderPass\n\n",
  (char*)" Render the translucent polygonal geometry of a scene without sorting\n polygons in the view direction.\n\n This pass expects an initialized depth buffer and color buffer.\n Initialized buffers means they have been cleared with farest z-value and\n background color/gradient/transparent color.\n An opaque pass may have been performed right after the initialization.\n\n The depth peeling algorithm works by ",
  (char*)"rendering the translucent polygonal\n geometry multiple times (once for each peel). The actually rendering of\n the translucent polygonal geometry is peformed by its delegate\n TranslucentPass. This delegate is therefore used multiple times.\n\n Its delegate is usually set to a vtkTranslucentPass.\n \n\n",
  "See Also:\n\n vtkRenderPass, vtkTranslucentPass\n\n",
  NULL
};

static vtkObjectBase *vtkDepthPeelingPassStaticNew()
{
  return vtkDepthPeelingPass::New();
}

PyObject *PyVTKClass_vtkDepthPeelingPassNew(char *modulename)
{
  return PyVTKClass_New(&vtkDepthPeelingPassStaticNew,
                        PyvtkDepthPeelingPassMethods,
                        (char*)"vtkDepthPeelingPass",modulename,
                        (char**)vtkDepthPeelingPassDoc,
                        PyVTKClass_vtkRenderPassNew(modulename));
}

