// python wrapper for vtkGaussianBlurPass object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGaussianBlurPass.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGaussianBlurPassNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGaussianBlurPassNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageProcessingPassNew(char *); }

static PyObject *PyvtkGaussianBlurPass_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianBlurPass *op;

  const char    *temp20;
  op = (vtkGaussianBlurPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGaussianBlurPass::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianBlurPass_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianBlurPass *op;

  char    *temp0;
  int      temp20;
  op = (vtkGaussianBlurPass *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGaussianBlurPass::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianBlurPass_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianBlurPass *op;

  vtkGaussianBlurPass  *temp20;
  op = (vtkGaussianBlurPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGaussianBlurPass::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianBlurPass_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGaussianBlurPass  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGaussianBlurPass::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGaussianBlurPass_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianBlurPass *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkGaussianBlurPass *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkGaussianBlurPass::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}

static PyMethodDef PyvtkGaussianBlurPassMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGaussianBlurPass_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGaussianBlurPass_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGaussianBlurPass_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGaussianBlurPass\nC++: vtkGaussianBlurPass *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGaussianBlurPass_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGaussianBlurPass\nC++: vtkGaussianBlurPass *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkGaussianBlurPass_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: void ReleaseGraphicsResources (vtkWindow *w);\n\n Release graphics resources and ask components to release their own\n resources.\n \\pre w_exists: w!=0\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGaussianBlurPassDoc[] = {
  (char*)"vtkGaussianBlurPass - Implement a post-processing Gaussian blur\n\n",
  "Super Class:\n\n vtkImageProcessingPass\n\n",
  (char*)" Blur the image renderered by its delegate. Blurring uses a Gaussian low-pass\n filter with a 5x5 kernel.\n\n This pass expects an initialized depth buffer and color buffer.\n Initialized buffers means they have been cleared with farest z-value and\n background color/gradient/transparent color.\n An opaque pass may have been performed right after the initialization.\n\n The delegate is used once.\n\n Its de",
  (char*)"legate is usually set to a vtkCameraPass or to a post-processing pass.\n \n This pass requires a OpenGL context that supports texture objects (TO),\n framebuffer objects (FBO) and GLSL. If not, it will emit an error message\n and will render its delegate and return.\n\n .SECTION Implementation\n As the filter is separable, it first blurs the image horizontally and then\n vertically. This reduces the numbe",
  (char*)"r of texture sampling to 5 per pass.\n In addition, as texture sampling can already blend texel values in linear\n mode, by adjusting the texture coordinate accordingly, only 3 texture\n sampling are actually necessary.\n Reference: OpenGL Bloom Toturial by Philip Rideout, section\n Exploit Hardware Filtering  http://prideout.net/bloom/index.php#Sneaky\n\n",
  "See Also:\n\n vtkRenderPass\n\n",
  NULL
};

static vtkObjectBase *vtkGaussianBlurPassStaticNew()
{
  return vtkGaussianBlurPass::New();
}

PyObject *PyVTKClass_vtkGaussianBlurPassNew(char *modulename)
{
  return PyVTKClass_New(&vtkGaussianBlurPassStaticNew,
                        PyvtkGaussianBlurPassMethods,
                        (char*)"vtkGaussianBlurPass",modulename,
                        (char**)vtkGaussianBlurPassDoc,
                        PyVTKClass_vtkImageProcessingPassNew(modulename));
}

