// python wrapper for vtkHardwareSelectionPolyDataPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkHardwareSelectionPolyDataPainter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkHardwareSelectionPolyDataPainterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkHardwareSelectionPolyDataPainterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkStandardPolyDataPainterNew(char *); }

static PyObject *PyvtkHardwareSelectionPolyDataPainter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHardwareSelectionPolyDataPainter *op;

  const char    *temp20;
  op = (vtkHardwareSelectionPolyDataPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHardwareSelectionPolyDataPainter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHardwareSelectionPolyDataPainter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHardwareSelectionPolyDataPainter *op;

  char    *temp0;
  int      temp20;
  op = (vtkHardwareSelectionPolyDataPainter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHardwareSelectionPolyDataPainter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHardwareSelectionPolyDataPainter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHardwareSelectionPolyDataPainter *op;

  vtkHardwareSelectionPolyDataPainter  *temp20;
  op = (vtkHardwareSelectionPolyDataPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHardwareSelectionPolyDataPainter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHardwareSelectionPolyDataPainter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkHardwareSelectionPolyDataPainter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkHardwareSelectionPolyDataPainter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkHardwareSelectionPolyDataPainter_SetEnableSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHardwareSelectionPolyDataPainter *op;

  int      temp0;
  op = (vtkHardwareSelectionPolyDataPainter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHardwareSelectionPolyDataPainter::SetEnableSelection(temp0);
      }
    else
      {
      op->SetEnableSelection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHardwareSelectionPolyDataPainter_GetEnableSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHardwareSelectionPolyDataPainter *op;

  int      temp20;
  op = (vtkHardwareSelectionPolyDataPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHardwareSelectionPolyDataPainter::GetEnableSelection();
      }
    else
      {
      temp20 = op->GetEnableSelection();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHardwareSelectionPolyDataPainter_EnableSelectionOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHardwareSelectionPolyDataPainter *op;

  op = (vtkHardwareSelectionPolyDataPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHardwareSelectionPolyDataPainter::EnableSelectionOn();
      }
    else
      {
      op->EnableSelectionOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHardwareSelectionPolyDataPainter_EnableSelectionOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHardwareSelectionPolyDataPainter *op;

  op = (vtkHardwareSelectionPolyDataPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHardwareSelectionPolyDataPainter::EnableSelectionOff();
      }
    else
      {
      op->EnableSelectionOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkHardwareSelectionPolyDataPainterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkHardwareSelectionPolyDataPainter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkHardwareSelectionPolyDataPainter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkHardwareSelectionPolyDataPainter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkHardwareSelectionPolyDataPainter\nC++: vtkHardwareSelectionPolyDataPainter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkHardwareSelectionPolyDataPainter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkHardwareSelectionPolyDataPainter\nC++: vtkHardwareSelectionPolyDataPainter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetEnableSelection",                (PyCFunction)PyvtkHardwareSelectionPolyDataPainter_SetEnableSelection, 1,
   (char*)"V.SetEnableSelection(int)\nC++: void SetEnableSelection (int );\n\n Enable/Disable vtkHardwareSelector class. Useful when using this painter as\n an internal painter. Default is enabled.\n"},
  {(char*)"GetEnableSelection",                (PyCFunction)PyvtkHardwareSelectionPolyDataPainter_GetEnableSelection, 1,
   (char*)"V.GetEnableSelection() -> int\nC++: int GetEnableSelection ();\n\n Enable/Disable vtkHardwareSelector class. Useful when using this painter as\n an internal painter. Default is enabled.\n"},
  {(char*)"EnableSelectionOn",                (PyCFunction)PyvtkHardwareSelectionPolyDataPainter_EnableSelectionOn, 1,
   (char*)"V.EnableSelectionOn()\nC++: void EnableSelectionOn ();\n\n Enable/Disable vtkHardwareSelector class. Useful when using this painter as\n an internal painter. Default is enabled.\n"},
  {(char*)"EnableSelectionOff",                (PyCFunction)PyvtkHardwareSelectionPolyDataPainter_EnableSelectionOff, 1,
   (char*)"V.EnableSelectionOff()\nC++: void EnableSelectionOff ();\n\n Enable/Disable vtkHardwareSelector class. Useful when using this painter as\n an internal painter. Default is enabled.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkHardwareSelectionPolyDataPainterDoc[] = {
  (char*)"vtkHardwareSelectionPolyDataPainter - painter used to render polydata\n\n",
  "Super Class:\n\n vtkStandardPolyDataPainter\n\n",
  (char*)" vtkHardwareSelectionPolyDataPainter is a painter for polydata used when\n rendering hardware selection passes.\n\n",
  "See Also:\n\n vtkHardwareSelector\n\n",
  NULL
};

static vtkObjectBase *vtkHardwareSelectionPolyDataPainterStaticNew()
{
  return vtkHardwareSelectionPolyDataPainter::New();
}

PyObject *PyVTKClass_vtkHardwareSelectionPolyDataPainterNew(char *modulename)
{
  return PyVTKClass_New(&vtkHardwareSelectionPolyDataPainterStaticNew,
                        PyvtkHardwareSelectionPolyDataPainterMethods,
                        (char*)"vtkHardwareSelectionPolyDataPainter",modulename,
                        (char**)vtkHardwareSelectionPolyDataPainterDoc,
                        PyVTKClass_vtkStandardPolyDataPainterNew(modulename));
}

