// python wrapper for vtkLabelHierarchyAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkLabelHierarchyAlgorithm.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLabelHierarchyAlgorithmNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLabelHierarchyAlgorithmNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAlgorithmNew(char *); }

static PyObject *PyvtkLabelHierarchyAlgorithm_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchyAlgorithm *op;

  const char    *temp20;
  op = (vtkLabelHierarchyAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchyAlgorithm::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchyAlgorithm_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchyAlgorithm *op;

  char    *temp0;
  int      temp20;
  op = (vtkLabelHierarchyAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchyAlgorithm::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchyAlgorithm_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchyAlgorithm *op;

  vtkLabelHierarchyAlgorithm  *temp20;
  op = (vtkLabelHierarchyAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchyAlgorithm::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchyAlgorithm_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkLabelHierarchyAlgorithm  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkLabelHierarchyAlgorithm::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkLabelHierarchyAlgorithm_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchyAlgorithm *op;

  vtkLabelHierarchy  *temp20;
  op = (vtkLabelHierarchyAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchyAlgorithm::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkLabelHierarchyAlgorithm *op;

  int      temp0;
  vtkLabelHierarchy  *temp20;
  PyErr_Clear();
  op = (vtkLabelHierarchyAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchyAlgorithm::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchyAlgorithm_SetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchyAlgorithm *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkLabelHierarchyAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelHierarchyAlgorithm::SetOutput(temp0);
      }
    else
      {
      op->SetOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkLabelHierarchyAlgorithm_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchyAlgorithm *op;

  vtkDataObject  *temp20;
  op = (vtkLabelHierarchyAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchyAlgorithm::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkLabelHierarchyAlgorithm *op;

  int      temp0;
  vtkDataObject  *temp20;
  PyErr_Clear();
  op = (vtkLabelHierarchyAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchyAlgorithm::GetInput(temp0);
      }
    else
      {
      temp20 = op->GetInput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchyAlgorithm_GetLabelHierarchyInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchyAlgorithm *op;

  int      temp0;
  vtkLabelHierarchy  *temp20;
  op = (vtkLabelHierarchyAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchyAlgorithm::GetLabelHierarchyInput(temp0);
      }
    else
      {
      temp20 = op->GetLabelHierarchyInput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchyAlgorithm_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchyAlgorithm *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkLabelHierarchyAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelHierarchyAlgorithm::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  /* handle an occurrence */
  {
  vtkLabelHierarchyAlgorithm *op;

  int      temp0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  op = (vtkLabelHierarchyAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelHierarchyAlgorithm::SetInput(temp0,temp1);
      }
    else
      {
      op->SetInput(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkLabelHierarchyAlgorithm_AddInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchyAlgorithm *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkLabelHierarchyAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelHierarchyAlgorithm::AddInput(temp0);
      }
    else
      {
      op->AddInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  /* handle an occurrence */
  {
  vtkLabelHierarchyAlgorithm *op;

  int      temp0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  op = (vtkLabelHierarchyAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelHierarchyAlgorithm::AddInput(temp0,temp1);
      }
    else
      {
      op->AddInput(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}

static PyMethodDef PyvtkLabelHierarchyAlgorithmMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkLabelHierarchyAlgorithm_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkLabelHierarchyAlgorithm_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkLabelHierarchyAlgorithm_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLabelHierarchyAlgorithm\nC++: vtkLabelHierarchyAlgorithm *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkLabelHierarchyAlgorithm_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkLabelHierarchyAlgorithm\nC++: vtkLabelHierarchyAlgorithm *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkLabelHierarchyAlgorithm_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkLabelHierarchy\nC++: vtkLabelHierarchy *GetOutput ();\nV.GetOutput(int) -> vtkLabelHierarchy\nC++: vtkLabelHierarchy *GetOutput (int );\n\n Get the output data object for a port on this algorithm.\n"},
  {(char*)"SetOutput",                (PyCFunction)PyvtkLabelHierarchyAlgorithm_SetOutput, 1,
   (char*)"V.SetOutput(vtkDataObject)\nC++: virtual void SetOutput (vtkDataObject *d);\n\n Get the output data object for a port on this algorithm.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkLabelHierarchyAlgorithm_GetInput, 1,
   (char*)"V.GetInput() -> vtkDataObject\nC++: vtkDataObject *GetInput ();\nV.GetInput(int) -> vtkDataObject\nC++: vtkDataObject *GetInput (int port);\n\n"},
  {(char*)"GetLabelHierarchyInput",                (PyCFunction)PyvtkLabelHierarchyAlgorithm_GetLabelHierarchyInput, 1,
   (char*)"V.GetLabelHierarchyInput(int) -> vtkLabelHierarchy\nC++: vtkLabelHierarchy *GetLabelHierarchyInput (int port);\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkLabelHierarchyAlgorithm_SetInput, 1,
   (char*)"V.SetInput(vtkDataObject)\nC++: void SetInput (vtkDataObject *);\nV.SetInput(int, vtkDataObject)\nC++: void SetInput (int , vtkDataObject *);\n\n Set an input of this algorithm. You should not override these\n methods because they are not the only way to connect a pipeline.\n Note that these methods support old-style pipeline connections.\n When writing new code you should use the more general\n vtkAlgorithm::SetInputConnection().  These methods transform the\n input index to the input port index, not an index of a connection\n within a single port.\n"},
  {(char*)"AddInput",                (PyCFunction)PyvtkLabelHierarchyAlgorithm_AddInput, 1,
   (char*)"V.AddInput(vtkDataObject)\nC++: void AddInput (vtkDataObject *);\nV.AddInput(int, vtkDataObject)\nC++: void AddInput (int , vtkDataObject *);\n\n Add an input of this algorithm.  Note that these methods support\n old-style pipeline connections.  When writing new code you should\n use the more general vtkAlgorithm::AddInputConnection().  See\n SetInput() for details.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkLabelHierarchyAlgorithmDoc[] = {
  (char*)"vtkLabelHierarchyAlgorithm - Superclass for algorithms that produce only label hierarchies as output\n\n",
  "Super Class:\n\n vtkAlgorithm\n\n",
  (char*)"\n vtkLabelHierarchyAlgorithm is a convenience class to make writing algorithms\n easier. It is also designed to help transition old algorithms to the new\n pipeline architecture. There are some assumptions and defaults made by this\n class you should be aware of. This class defaults such that your filter\n will have one input port and one output port. If that is not the case\n simply change it with Set",
  (char*)"NumberOfInputPorts etc. See this class\n constructor for the default. This class also provides a FillInputPortInfo\n method that by default says that all inputs will be DataObjects. If that\n isn't the case then please override this method in your subclass. This\n class breaks out the downstream requests into separate functions such as\n RequestData and RequestInformation.  You should\n implement Reques",
  (char*)"tData( request, inputVec, outputVec) in subclasses.\n\n",
  NULL
};

static vtkObjectBase *vtkLabelHierarchyAlgorithmStaticNew()
{
  return vtkLabelHierarchyAlgorithm::New();
}

PyObject *PyVTKClass_vtkLabelHierarchyAlgorithmNew(char *modulename)
{
  return PyVTKClass_New(&vtkLabelHierarchyAlgorithmStaticNew,
                        PyvtkLabelHierarchyAlgorithmMethods,
                        (char*)"vtkLabelHierarchyAlgorithm",modulename,
                        (char**)vtkLabelHierarchyAlgorithmDoc,
                        PyVTKClass_vtkAlgorithmNew(modulename));
}

