// python wrapper for vtkLabelHierarchy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkLabelHierarchy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLabelHierarchyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLabelHierarchyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPointSetNew(char *); }

static PyObject *PyvtkLabelHierarchy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchy *op;

  const char    *temp20;
  op = (vtkLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchy *op;

  char    *temp0;
  int      temp20;
  op = (vtkLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchy *op;

  vtkLabelHierarchy  *temp20;
  op = (vtkLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkLabelHierarchy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkLabelHierarchy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkLabelHierarchy_SetPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchy *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  op = (vtkLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelHierarchy::SetPoints(temp0);
      }
    else
      {
      op->SetPoints(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkLabelHierarchy_ComputeHierarchy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchy *op;

  op = (vtkLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelHierarchy::ComputeHierarchy();
      }
    else
      {
      op->ComputeHierarchy();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchy_SetTargetLabelCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchy *op;

  int      temp0;
  op = (vtkLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelHierarchy::SetTargetLabelCount(temp0);
      }
    else
      {
      op->SetTargetLabelCount(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchy_GetTargetLabelCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchy *op;

  int      temp20;
  op = (vtkLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchy::GetTargetLabelCount();
      }
    else
      {
      temp20 = op->GetTargetLabelCount();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchy_SetMaximumDepth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchy *op;

  int      temp0;
  op = (vtkLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelHierarchy::SetMaximumDepth(temp0);
      }
    else
      {
      op->SetMaximumDepth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchy_GetMaximumDepth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchy *op;

  int      temp20;
  op = (vtkLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchy::GetMaximumDepth();
      }
    else
      {
      temp20 = op->GetMaximumDepth();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchy_SetTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchy *op;

  vtkTextProperty  *temp0;
  PyObject *tempH0;
  op = (vtkLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTextProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextProperty");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelHierarchy::SetTextProperty(temp0);
      }
    else
      {
      op->SetTextProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkLabelHierarchy_GetTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchy *op;

  vtkTextProperty  *temp20;
  op = (vtkLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchy::GetTextProperty();
      }
    else
      {
      temp20 = op->GetTextProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchy_SetPriorities(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchy *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  op = (vtkLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelHierarchy::SetPriorities(temp0);
      }
    else
      {
      op->SetPriorities(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkLabelHierarchy_GetPriorities(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchy *op;

  vtkDataArray  *temp20;
  op = (vtkLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchy::GetPriorities();
      }
    else
      {
      temp20 = op->GetPriorities();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchy_SetLabels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchy *op;

  vtkAbstractArray  *temp0;
  PyObject *tempH0;
  op = (vtkLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractArray");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelHierarchy::SetLabels(temp0);
      }
    else
      {
      op->SetLabels(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkLabelHierarchy_GetLabels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchy *op;

  vtkAbstractArray  *temp20;
  op = (vtkLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchy::GetLabels();
      }
    else
      {
      temp20 = op->GetLabels();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchy_SetOrientations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchy *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  op = (vtkLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelHierarchy::SetOrientations(temp0);
      }
    else
      {
      op->SetOrientations(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkLabelHierarchy_GetOrientations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchy *op;

  vtkDataArray  *temp20;
  op = (vtkLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchy::GetOrientations();
      }
    else
      {
      temp20 = op->GetOrientations();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchy_SetIconIndices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchy *op;

  vtkIntArray  *temp0;
  PyObject *tempH0;
  op = (vtkLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkIntArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIntArray");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelHierarchy::SetIconIndices(temp0);
      }
    else
      {
      op->SetIconIndices(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkLabelHierarchy_GetIconIndices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchy *op;

  vtkIntArray  *temp20;
  op = (vtkLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchy::GetIconIndices();
      }
    else
      {
      temp20 = op->GetIconIndices();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchy_SetSizes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchy *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  op = (vtkLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelHierarchy::SetSizes(temp0);
      }
    else
      {
      op->SetSizes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkLabelHierarchy_GetSizes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchy *op;

  vtkDataArray  *temp20;
  op = (vtkLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchy::GetSizes();
      }
    else
      {
      temp20 = op->GetSizes();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchy_SetBoundedSizes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchy *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  op = (vtkLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelHierarchy::SetBoundedSizes(temp0);
      }
    else
      {
      op->SetBoundedSizes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break22:
  return NULL;
}


static PyObject *PyvtkLabelHierarchy_GetBoundedSizes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchy *op;

  vtkDataArray  *temp20;
  op = (vtkLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchy::GetBoundedSizes();
      }
    else
      {
      temp20 = op->GetBoundedSizes();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchy_GetDiscreteNodeCoordinatesFromWorldPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchy *op;

  int    temp0[3];
  double temp1[3];
  int      temp2;
  op = (vtkLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"(iii)(ddd)i", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelHierarchy::GetDiscreteNodeCoordinatesFromWorldPoint(temp0,temp1,temp2);
      }
    else
      {
      op->GetDiscreteNodeCoordinatesFromWorldPoint(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchy_GetNumberOfCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchy *op;

  vtkIdType   temp20;
  op = (vtkLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchy::GetNumberOfCells();
      }
    else
      {
      temp20 = op->GetNumberOfCells();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchy_GetCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchy *op;

  vtkIdType   temp0;
  vtkCell  *temp20;
  op = (vtkLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchy::GetCell(temp0);
      }
    else
      {
      temp20 = op->GetCell(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkLabelHierarchy *op;

  vtkIdType   temp0;
  vtkGenericCell  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  op = (vtkLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"LO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkGenericCell *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkGenericCell");
    if (!temp1 && tempH1 != Py_None) goto break27;
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelHierarchy::GetCell(temp0,temp1);
      }
    else
      {
      op->GetCell(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break27:
  return NULL;
}


static PyObject *PyvtkLabelHierarchy_GetCellType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchy *op;

  vtkIdType   temp0;
  int      temp20;
  op = (vtkLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchy::GetCellType(temp0);
      }
    else
      {
      temp20 = op->GetCellType(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchy_GetCellPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchy *op;

  vtkIdType   temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  op = (vtkLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"LO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break29;
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelHierarchy::GetCellPoints(temp0,temp1);
      }
    else
      {
      op->GetCellPoints(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break29:
  return NULL;
}


static PyObject *PyvtkLabelHierarchy_GetPointCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchy *op;

  vtkIdType   temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  op = (vtkLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"LO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break30;
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelHierarchy::GetPointCells(temp0,temp1);
      }
    else
      {
      op->GetPointCells(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break30:
  return NULL;
}


static PyObject *PyvtkLabelHierarchy_GetMaxCellSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchy *op;

  int      temp20;
  op = (vtkLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchy::GetMaxCellSize();
      }
    else
      {
      temp20 = op->GetMaxCellSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchy_GetCenterPts(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchy *op;

  vtkPoints  *temp20;
  op = (vtkLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchy::GetCenterPts();
      }
    else
      {
      temp20 = op->GetCenterPts();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelHierarchy_GetCoincidentPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelHierarchy *op;

  vtkCoincidentPoints  *temp20;
  op = (vtkLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelHierarchy::GetCoincidentPoints();
      }
    else
      {
      temp20 = op->GetCoincidentPoints();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkLabelHierarchyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkLabelHierarchy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkLabelHierarchy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkLabelHierarchy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLabelHierarchy\nC++: vtkLabelHierarchy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkLabelHierarchy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkLabelHierarchy\nC++: vtkLabelHierarchy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPoints",                (PyCFunction)PyvtkLabelHierarchy_SetPoints, 1,
   (char*)"V.SetPoints(vtkPoints)\nC++: virtual void SetPoints (vtkPoints *);\n\n Override SetPoints so we can reset the hierarchy when the points change.\n"},
  {(char*)"ComputeHierarchy",                (PyCFunction)PyvtkLabelHierarchy_ComputeHierarchy, 1,
   (char*)"V.ComputeHierarchy()\nC++: virtual void ComputeHierarchy ();\n\n Fill the hierarchy with the input labels.\n"},
  {(char*)"SetTargetLabelCount",                (PyCFunction)PyvtkLabelHierarchy_SetTargetLabelCount, 1,
   (char*)"V.SetTargetLabelCount(int)\nC++: void SetTargetLabelCount (int );\n\n The number of labels that is ideally present at any octree node.\n It is best if this is a multiple of \\f$2^d\\f$.\n"},
  {(char*)"GetTargetLabelCount",                (PyCFunction)PyvtkLabelHierarchy_GetTargetLabelCount, 1,
   (char*)"V.GetTargetLabelCount() -> int\nC++: int GetTargetLabelCount ();\n\n The number of labels that is ideally present at any octree node.\n It is best if this is a multiple of \\f$2^d\\f$.\n"},
  {(char*)"SetMaximumDepth",                (PyCFunction)PyvtkLabelHierarchy_SetMaximumDepth, 1,
   (char*)"V.SetMaximumDepth(int)\nC++: void SetMaximumDepth (int );\n\n The maximum depth of the octree.\n"},
  {(char*)"GetMaximumDepth",                (PyCFunction)PyvtkLabelHierarchy_GetMaximumDepth, 1,
   (char*)"V.GetMaximumDepth() -> int\nC++: int GetMaximumDepth ();\n\n The maximum depth of the octree.\n"},
  {(char*)"SetTextProperty",                (PyCFunction)PyvtkLabelHierarchy_SetTextProperty, 1,
   (char*)"V.SetTextProperty(vtkTextProperty)\nC++: virtual void SetTextProperty (vtkTextProperty *tprop);\n\n The default text property assigned to labels in this hierarchy.\n"},
  {(char*)"GetTextProperty",                (PyCFunction)PyvtkLabelHierarchy_GetTextProperty, 1,
   (char*)"V.GetTextProperty() -> vtkTextProperty\nC++: vtkTextProperty *GetTextProperty ();\n\n The default text property assigned to labels in this hierarchy.\n"},
  {(char*)"SetPriorities",                (PyCFunction)PyvtkLabelHierarchy_SetPriorities, 1,
   (char*)"V.SetPriorities(vtkDataArray)\nC++: virtual void SetPriorities (vtkDataArray *arr);\n\n Set/get the array specifying the importance (priority) of each label.\n"},
  {(char*)"GetPriorities",                (PyCFunction)PyvtkLabelHierarchy_GetPriorities, 1,
   (char*)"V.GetPriorities() -> vtkDataArray\nC++: vtkDataArray *GetPriorities ();\n\n Set/get the array specifying the importance (priority) of each label.\n"},
  {(char*)"SetLabels",                (PyCFunction)PyvtkLabelHierarchy_SetLabels, 1,
   (char*)"V.SetLabels(vtkAbstractArray)\nC++: virtual void SetLabels (vtkAbstractArray *arr);\n\n Set/get the array specifying the text of each label.\n"},
  {(char*)"GetLabels",                (PyCFunction)PyvtkLabelHierarchy_GetLabels, 1,
   (char*)"V.GetLabels() -> vtkAbstractArray\nC++: vtkAbstractArray *GetLabels ();\n\n Set/get the array specifying the text of each label.\n"},
  {(char*)"SetOrientations",                (PyCFunction)PyvtkLabelHierarchy_SetOrientations, 1,
   (char*)"V.SetOrientations(vtkDataArray)\nC++: virtual void SetOrientations (vtkDataArray *arr);\n\n Set/get the array specifying the orientation of each label.\n"},
  {(char*)"GetOrientations",                (PyCFunction)PyvtkLabelHierarchy_GetOrientations, 1,
   (char*)"V.GetOrientations() -> vtkDataArray\nC++: vtkDataArray *GetOrientations ();\n\n Set/get the array specifying the orientation of each label.\n"},
  {(char*)"SetIconIndices",                (PyCFunction)PyvtkLabelHierarchy_SetIconIndices, 1,
   (char*)"V.SetIconIndices(vtkIntArray)\nC++: virtual void SetIconIndices (vtkIntArray *arr);\n\n Set/get the array specifying the icon index of each label.\n"},
  {(char*)"GetIconIndices",                (PyCFunction)PyvtkLabelHierarchy_GetIconIndices, 1,
   (char*)"V.GetIconIndices() -> vtkIntArray\nC++: vtkIntArray *GetIconIndices ();\n\n Set/get the array specifying the icon index of each label.\n"},
  {(char*)"SetSizes",                (PyCFunction)PyvtkLabelHierarchy_SetSizes, 1,
   (char*)"V.SetSizes(vtkDataArray)\nC++: virtual void SetSizes (vtkDataArray *arr);\n\n Set/get the array specifying the size of each label.\n"},
  {(char*)"GetSizes",                (PyCFunction)PyvtkLabelHierarchy_GetSizes, 1,
   (char*)"V.GetSizes() -> vtkDataArray\nC++: vtkDataArray *GetSizes ();\n\n Set/get the array specifying the size of each label.\n"},
  {(char*)"SetBoundedSizes",                (PyCFunction)PyvtkLabelHierarchy_SetBoundedSizes, 1,
   (char*)"V.SetBoundedSizes(vtkDataArray)\nC++: virtual void SetBoundedSizes (vtkDataArray *arr);\n\n Set/get the array specifying the maximum width and height in world coordinates of each label.\n"},
  {(char*)"GetBoundedSizes",                (PyCFunction)PyvtkLabelHierarchy_GetBoundedSizes, 1,
   (char*)"V.GetBoundedSizes() -> vtkDataArray\nC++: vtkDataArray *GetBoundedSizes ();\n\n Set/get the array specifying the maximum width and height in world coordinates of each label.\n"},
  {(char*)"GetDiscreteNodeCoordinatesFromWorldPoint",                (PyCFunction)PyvtkLabelHierarchy_GetDiscreteNodeCoordinatesFromWorldPoint, 1,
   (char*)"V.GetDiscreteNodeCoordinatesFromWorldPoint((int, int, int), (float, float, float), int)\nC++: void GetDiscreteNodeCoordinatesFromWorldPoint (int ijk[3], double pt[3], int level);\n\n Given a depth in the hierarchy (\\a level) and a point \\a pt in world space, compute \\a ijk.\n This is used to find other octree nodes at the same \\a level that are within the search radius\n for candidate labels to be placed. It is called with \\a pt set to the camera eye point and\n pythagorean quadruples increasingly distant from the origin are added to \\a ijk to identify\n octree nodes whose labels should be placed.\n @param[out] ijk - discrete coordinates of the octree node at \\a level containing \\a pt.\n @param[in]  pt - input world point coordinates\n @param[in]  level - input octree level to be considered\n"},
  {(char*)"GetNumberOfCells",                (PyCFunction)PyvtkLabelHierarchy_GetNumberOfCells, 1,
   (char*)"V.GetNumberOfCells() -> int\nC++: virtual vtkIdType GetNumberOfCells ();\n\n Inherited members (from vtkDataSet)\n"},
  {(char*)"GetCell",                (PyCFunction)PyvtkLabelHierarchy_GetCell, 1,
   (char*)"V.GetCell(int) -> vtkCell\nC++: virtual vtkCell *GetCell (vtkIdType );\nV.GetCell(int, vtkGenericCell)\nC++: virtual void GetCell (vtkIdType , vtkGenericCell *);\n\n Inherited members (from vtkDataSet)\n"},
  {(char*)"GetCellType",                (PyCFunction)PyvtkLabelHierarchy_GetCellType, 1,
   (char*)"V.GetCellType(int) -> int\nC++: virtual int GetCellType (vtkIdType );\n\n Inherited members (from vtkDataSet)\n"},
  {(char*)"GetCellPoints",                (PyCFunction)PyvtkLabelHierarchy_GetCellPoints, 1,
   (char*)"V.GetCellPoints(int, vtkIdList)\nC++: virtual void GetCellPoints (vtkIdType , vtkIdList *);\n\n Inherited members (from vtkDataSet)\n"},
  {(char*)"GetPointCells",                (PyCFunction)PyvtkLabelHierarchy_GetPointCells, 1,
   (char*)"V.GetPointCells(int, vtkIdList)\nC++: virtual void GetPointCells (vtkIdType , vtkIdList *);\n\n Inherited members (from vtkDataSet)\n"},
  {(char*)"GetMaxCellSize",                (PyCFunction)PyvtkLabelHierarchy_GetMaxCellSize, 1,
   (char*)"V.GetMaxCellSize() -> int\nC++: virtual int GetMaxCellSize ();\n\n Inherited members (from vtkDataSet)\n"},
  {(char*)"GetCenterPts",                (PyCFunction)PyvtkLabelHierarchy_GetCenterPts, 1,
   (char*)"V.GetCenterPts() -> vtkPoints\nC++: vtkPoints *GetCenterPts ();\n\n Provide access to original coordinates of sets of coincident points\n"},
  {(char*)"GetCoincidentPoints",                (PyCFunction)PyvtkLabelHierarchy_GetCoincidentPoints, 1,
   (char*)"V.GetCoincidentPoints() -> vtkCoincidentPoints\nC++: vtkCoincidentPoints *GetCoincidentPoints ();\n\n Provide access to the set of coincident points that have been\n perturbed by the hierarchy in order to render labels for each\n without overlap.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkLabelHierarchyDoc[] = {
  (char*)"vtkLabelHierarchy - contains an octree of labels\n\n",
  "Super Class:\n\n vtkPointSet\n\n",
  (char*)" This class represents labels in a hierarchy used to denote rendering priority.\n A binary tree of labels is maintained that subdivides the bounds of the\n of the label anchors spatially. Which level of the tree a label occupies\n determines its priority; those at higher levels of the tree will be\n more likely to render than those at lower levels of the tree.\n\n Pass vtkLabelHierarchy objects to a vtk",
  (char*)"LabelPlacementMapper filter for dynamic,\n non-overlapping, per-frame placement of labels.\n\n Note that if we have a d-dimensional binary tree and we want a fixed\n number \\f$n\\f$ of labels in each node (all nodes, not just leaves),\n we can compute the depth of tree required assuming a uniform distribution\n of points. Given a total of \\f$N\\f$ points we know that\n \\f$\\frac{N}{|T|} = n\\f$, where \\f$|T|",
  (char*)"\\f$ is the cardinality of the tree (i.e.,\n the number of nodes it contains).\n Because we have a uniform distribution, the tree will be uniformly subdivided\n and thus \\f$|T| = 1 + 2^d + \\left(2^d\\right)^2 + \\cdots + \\left(2^d\\right)^k\\f$,\n where \\f$d\\f$ is the dimensionality of the input points (fixed at 3 for now).\n As \\f$k\\f$ becomes large, \\f$|T|\\approx 2 \\left(2^d\\right)^k\\f$.\n Using this appro",
  (char*)"ximation, we can solve for \\f$k\\f$:\n \\f[ k = \\frac{\\log{\\frac{N}{2n}}}{\\log{2^d}} \\f]\n Given a set of \\f$N\\f$ input label anchors, we'll compute \\f$k\\f$ and then\n bin the anchors into tree nodes at level \\f$k\\f$ of the tree. After this,\n all the nodes will be in the leaves of the tree and those leaves will be at\n the \\f$k\\f$-th level; no anchors will be in levels \\f$1, 2, \\ldots, k-1\\f$.\n To fix t",
  (char*)"hat, we'll choose to move some anchors upwards.\n The exact number to move upwards depends on \\a TargetLabelCount. We'll\n move as many up as required to have \\a TargetLabelCount at each node.\n\n You should avoid situations where \\a MaximumDepth does not allow for\n \\a TargetLabelCount or fewer entries at each node. The \\a MaximumDepth\n is a hard limit while \\a TargetLabelCount is a suggested optimum.",
  (char*)" You will\n end up with many more than \\a TargetLabelCount entries per node and things\n will be sloooow.\n\n",
  NULL
};

static vtkObjectBase *vtkLabelHierarchyStaticNew()
{
  return vtkLabelHierarchy::New();
}

PyObject *PyVTKClass_vtkLabelHierarchyNew(char *modulename)
{
  return PyVTKClass_New(&vtkLabelHierarchyStaticNew,
                        PyvtkLabelHierarchyMethods,
                        (char*)"vtkLabelHierarchy",modulename,
                        (char**)vtkLabelHierarchyDoc,
                        PyVTKClass_vtkPointSetNew(modulename));
}

