// python wrapper for vtkLabelRenderStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkLabelRenderStrategy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLabelRenderStrategyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLabelRenderStrategyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkLabelRenderStrategy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelRenderStrategy *op;

  const char    *temp20;
  op = (vtkLabelRenderStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelRenderStrategy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelRenderStrategy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelRenderStrategy *op;

  char    *temp0;
  int      temp20;
  op = (vtkLabelRenderStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelRenderStrategy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelRenderStrategy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelRenderStrategy *op;

  vtkLabelRenderStrategy  *temp20;
  op = (vtkLabelRenderStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelRenderStrategy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelRenderStrategy_SupportsRotation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelRenderStrategy *op;

  bool   temp20;
  op = (vtkLabelRenderStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelRenderStrategy::SupportsRotation();
      }
    else
      {
      temp20 = op->SupportsRotation();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelRenderStrategy_SupportsBoundedSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelRenderStrategy *op;

  bool   temp20;
  op = (vtkLabelRenderStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelRenderStrategy::SupportsBoundedSize();
      }
    else
      {
      temp20 = op->SupportsBoundedSize();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelRenderStrategy_SetRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelRenderStrategy *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  op = (vtkLabelRenderStrategy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelRenderStrategy::SetRenderer(temp0);
      }
    else
      {
      op->SetRenderer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkLabelRenderStrategy_GetRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelRenderStrategy *op;

  vtkRenderer  *temp20;
  op = (vtkLabelRenderStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelRenderStrategy::GetRenderer();
      }
    else
      {
      temp20 = op->GetRenderer();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelRenderStrategy_SetDefaultTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelRenderStrategy *op;

  vtkTextProperty  *temp0;
  PyObject *tempH0;
  op = (vtkLabelRenderStrategy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTextProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextProperty");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelRenderStrategy::SetDefaultTextProperty(temp0);
      }
    else
      {
      op->SetDefaultTextProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkLabelRenderStrategy_GetDefaultTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelRenderStrategy *op;

  vtkTextProperty  *temp20;
  op = (vtkLabelRenderStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelRenderStrategy::GetDefaultTextProperty();
      }
    else
      {
      temp20 = op->GetDefaultTextProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelRenderStrategy_StartFrame(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelRenderStrategy *op;

  op = (vtkLabelRenderStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelRenderStrategy::StartFrame();
      }
    else
      {
      op->StartFrame();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelRenderStrategy_EndFrame(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelRenderStrategy *op;

  op = (vtkLabelRenderStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelRenderStrategy::EndFrame();
      }
    else
      {
      op->EndFrame();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelRenderStrategy_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelRenderStrategy *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkLabelRenderStrategy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelRenderStrategy::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}

static PyMethodDef PyvtkLabelRenderStrategyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkLabelRenderStrategy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkLabelRenderStrategy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkLabelRenderStrategy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLabelRenderStrategy\nC++: vtkLabelRenderStrategy *NewInstance ();\n\n"},
  {(char*)"SupportsRotation",                (PyCFunction)PyvtkLabelRenderStrategy_SupportsRotation, 1,
   (char*)"V.SupportsRotation() -> bool\nC++: virtual bool SupportsRotation ();return true \n\n Whether the text rendering strategy supports bounded size.\n The superclass returns true. Subclasses should override this to\n return the appropriate value. Subclasses that return true\n from this method should implement the version of RenderLabel()\n that takes a maximum size (see RenderLabel()).\n"},
  {(char*)"SupportsBoundedSize",                (PyCFunction)PyvtkLabelRenderStrategy_SupportsBoundedSize, 1,
   (char*)"V.SupportsBoundedSize() -> bool\nC++: virtual bool SupportsBoundedSize ();return true \n\n Set the renderer associated with this strategy.\n"},
  {(char*)"SetRenderer",                (PyCFunction)PyvtkLabelRenderStrategy_SetRenderer, 1,
   (char*)"V.SetRenderer(vtkRenderer)\nC++: virtual void SetRenderer (vtkRenderer *ren);\n\n Set the renderer associated with this strategy.\n"},
  {(char*)"GetRenderer",                (PyCFunction)PyvtkLabelRenderStrategy_GetRenderer, 1,
   (char*)"V.GetRenderer() -> vtkRenderer\nC++: vtkRenderer *GetRenderer ();\n\n Set the renderer associated with this strategy.\n"},
  {(char*)"SetDefaultTextProperty",                (PyCFunction)PyvtkLabelRenderStrategy_SetDefaultTextProperty, 1,
   (char*)"V.SetDefaultTextProperty(vtkTextProperty)\nC++: virtual void SetDefaultTextProperty (vtkTextProperty *tprop);\n\n Set the default text property for the strategy.\n"},
  {(char*)"GetDefaultTextProperty",                (PyCFunction)PyvtkLabelRenderStrategy_GetDefaultTextProperty, 1,
   (char*)"V.GetDefaultTextProperty() -> vtkTextProperty\nC++: vtkTextProperty *GetDefaultTextProperty ();\n\n Set the default text property for the strategy.\n"},
  {(char*)"StartFrame",                (PyCFunction)PyvtkLabelRenderStrategy_StartFrame, 1,
   (char*)"V.StartFrame()\nC++: virtual void StartFrame ();\n\n End a rendering frame.\n"},
  {(char*)"EndFrame",                (PyCFunction)PyvtkLabelRenderStrategy_EndFrame, 1,
   (char*)"V.EndFrame()\nC++: virtual void EndFrame ();\n\n Release any graphics resources that are being consumed by this strategy.\n The parameter window could be used to determine which graphic\n resources to release.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkLabelRenderStrategy_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkLabelRenderStrategyDoc[] = {
  (char*)"vtkLabelRenderStrategy - Superclass for label rendering implementations.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" These methods should only be called within a mapper.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkLabelRenderStrategyNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkLabelRenderStrategyMethods,
                        (char*)"vtkLabelRenderStrategy",modulename,
                        (char**)vtkLabelRenderStrategyDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

