// python wrapper for vtkLightsPass object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkLightsPass.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLightsPassNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLightsPassNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkRenderPassNew(char *); }

static PyObject *PyvtkLightsPass_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightsPass *op;

  const char    *temp20;
  op = (vtkLightsPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightsPass::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLightsPass_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightsPass *op;

  char    *temp0;
  int      temp20;
  op = (vtkLightsPass *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightsPass::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLightsPass_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightsPass *op;

  vtkLightsPass  *temp20;
  op = (vtkLightsPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightsPass::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLightsPass_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkLightsPass  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkLightsPass::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkLightsPassMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkLightsPass_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkLightsPass_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkLightsPass_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLightsPass\nC++: vtkLightsPass *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkLightsPass_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkLightsPass\nC++: vtkLightsPass *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkLightsPassDoc[] = {
  (char*)"vtkLightsPass - Implement the lights render pass.\n\n",
  "Super Class:\n\n vtkRenderPass\n\n",
  (char*)" Render the lights.\n\n This pass expects an initialized camera.\n It disables all the lights, apply transformations for lights following the\n camera, and turn on the enables lights.\n \n\n",
  "See Also:\n\n vtkRenderPass\n\n",
  NULL
};

static vtkObjectBase *vtkLightsPassStaticNew()
{
  return vtkLightsPass::New();
}

PyObject *PyVTKClass_vtkLightsPassNew(char *modulename)
{
  return PyVTKClass_New(&vtkLightsPassStaticNew,
                        PyvtkLightsPassMethods,
                        (char*)"vtkLightsPass",modulename,
                        (char**)vtkLightsPassDoc,
                        PyVTKClass_vtkRenderPassNew(modulename));
}

