// python wrapper for vtkLineIntegralConvolution2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkLineIntegralConvolution2D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLineIntegralConvolution2DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLineIntegralConvolution2DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkLineIntegralConvolution2D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  const char    *temp20;
  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineIntegralConvolution2D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  char    *temp0;
  int      temp20;
  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineIntegralConvolution2D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  vtkLineIntegralConvolution2D  *temp20;
  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineIntegralConvolution2D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkLineIntegralConvolution2D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkLineIntegralConvolution2D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_SetEnhancedLIC(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  int      temp0;
  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineIntegralConvolution2D::SetEnhancedLIC(temp0);
      }
    else
      {
      op->SetEnhancedLIC(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_GetEnhancedLIC(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  int      temp20;
  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineIntegralConvolution2D::GetEnhancedLIC();
      }
    else
      {
      temp20 = op->GetEnhancedLIC();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_EnhancedLICOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineIntegralConvolution2D::EnhancedLICOn();
      }
    else
      {
      op->EnhancedLICOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_EnhancedLICOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineIntegralConvolution2D::EnhancedLICOff();
      }
    else
      {
      op->EnhancedLICOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_SetLICForSurface(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  int      temp0;
  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineIntegralConvolution2D::SetLICForSurface(temp0);
      }
    else
      {
      op->SetLICForSurface(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_GetLICForSurface(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  int      temp20;
  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineIntegralConvolution2D::GetLICForSurface();
      }
    else
      {
      temp20 = op->GetLICForSurface();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_LICForSurfaceOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineIntegralConvolution2D::LICForSurfaceOn();
      }
    else
      {
      op->LICForSurfaceOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_LICForSurfaceOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineIntegralConvolution2D::LICForSurfaceOff();
      }
    else
      {
      op->LICForSurfaceOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_SetNumberOfSteps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  int      temp0;
  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineIntegralConvolution2D::SetNumberOfSteps(temp0);
      }
    else
      {
      op->SetNumberOfSteps(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_GetNumberOfSteps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  int      temp20;
  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineIntegralConvolution2D::GetNumberOfSteps();
      }
    else
      {
      temp20 = op->GetNumberOfSteps();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_SetLICStepSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  double   temp0;
  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineIntegralConvolution2D::SetLICStepSize(temp0);
      }
    else
      {
      op->SetLICStepSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_GetLICStepSizeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  double   temp20;
  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineIntegralConvolution2D::GetLICStepSizeMinValue();
      }
    else
      {
      temp20 = op->GetLICStepSizeMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_GetLICStepSizeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  double   temp20;
  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineIntegralConvolution2D::GetLICStepSizeMaxValue();
      }
    else
      {
      temp20 = op->GetLICStepSizeMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_GetLICStepSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  double   temp20;
  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineIntegralConvolution2D::GetLICStepSize();
      }
    else
      {
      temp20 = op->GetLICStepSize();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_SetNoise(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  vtkTextureObject  *temp0;
  PyObject *tempH0;
  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTextureObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextureObject");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkLineIntegralConvolution2D::SetNoise(temp0);
      }
    else
      {
      op->SetNoise(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_GetNoise(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  vtkTextureObject  *temp20;
  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineIntegralConvolution2D::GetNoise();
      }
    else
      {
      temp20 = op->GetNoise();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_SetVectorField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  vtkTextureObject  *temp0;
  PyObject *tempH0;
  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTextureObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextureObject");
    if (!temp0 && tempH0 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      op->vtkLineIntegralConvolution2D::SetVectorField(temp0);
      }
    else
      {
      op->SetVectorField(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_GetVectorField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  vtkTextureObject  *temp20;
  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineIntegralConvolution2D::GetVectorField();
      }
    else
      {
      temp20 = op->GetVectorField();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_SetComponentIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  int      temp0;
  int      temp1;
  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineIntegralConvolution2D::SetComponentIds(temp0,temp1);
      }
    else
      {
      op->SetComponentIds(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineIntegralConvolution2D::SetComponentIds(temp0);
      }
    else
      {
      op->SetComponentIds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_GetComponentIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  int     *temp20;
  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineIntegralConvolution2D::GetComponentIds();
      }
    else
      {
      temp20 = op->GetComponentIds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_SetGridSpacings(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  double   temp0;
  double   temp1;
  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineIntegralConvolution2D::SetGridSpacings(temp0,temp1);
      }
    else
      {
      op->SetGridSpacings(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineIntegralConvolution2D::SetGridSpacings(temp0);
      }
    else
      {
      op->SetGridSpacings(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_GetGridSpacings(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  double  *temp20;
  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineIntegralConvolution2D::GetGridSpacings();
      }
    else
      {
      temp20 = op->GetGridSpacings();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_SetTransformVectors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  int      temp0;
  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineIntegralConvolution2D::SetTransformVectors(temp0);
      }
    else
      {
      op->SetTransformVectors(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_GetTransformVectorsMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  int      temp20;
  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineIntegralConvolution2D::GetTransformVectorsMinValue();
      }
    else
      {
      temp20 = op->GetTransformVectorsMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_GetTransformVectorsMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  int      temp20;
  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineIntegralConvolution2D::GetTransformVectorsMaxValue();
      }
    else
      {
      temp20 = op->GetTransformVectorsMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_TransformVectorsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineIntegralConvolution2D::TransformVectorsOn();
      }
    else
      {
      op->TransformVectorsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_TransformVectorsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineIntegralConvolution2D::TransformVectorsOff();
      }
    else
      {
      op->TransformVectorsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_GetTransformVectors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  int      temp20;
  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineIntegralConvolution2D::GetTransformVectors();
      }
    else
      {
      temp20 = op->GetTransformVectors();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_SetMagnification(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  int      temp0;
  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineIntegralConvolution2D::SetMagnification(temp0);
      }
    else
      {
      op->SetMagnification(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_GetMagnificationMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  int      temp20;
  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineIntegralConvolution2D::GetMagnificationMinValue();
      }
    else
      {
      temp20 = op->GetMagnificationMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_GetMagnificationMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  int      temp20;
  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineIntegralConvolution2D::GetMagnificationMaxValue();
      }
    else
      {
      temp20 = op->GetMagnificationMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_GetMagnification(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  int      temp20;
  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineIntegralConvolution2D::GetMagnification();
      }
    else
      {
      temp20 = op->GetMagnification();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_SetVectorShiftScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  double   temp0;
  double   temp1;
  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineIntegralConvolution2D::SetVectorShiftScale(temp0,temp1);
      }
    else
      {
      op->SetVectorShiftScale(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_IsSupported(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow  *temp0;
  PyObject *tempH0;
  bool   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkRenderWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindow");
    if (!temp0 && tempH0 != Py_None) goto break39;
      {
      temp20 = vtkLineIntegralConvolution2D::IsSupported(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break39:
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_Execute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  int      temp20;
  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineIntegralConvolution2D::Execute();
      }
    else
      {
      temp20 = op->Execute();
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  int    temp0[4];
  int      temp20;
  PyErr_Clear();
  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"(iiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineIntegralConvolution2D::Execute(temp0);
      }
    else
      {
      temp20 = op->Execute(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,4)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_SetLIC(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  vtkTextureObject  *temp0;
  PyObject *tempH0;
  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTextureObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextureObject");
    if (!temp0 && tempH0 != Py_None) goto break42;
    if (PyVTKClass_Check(self))
      {
      op->vtkLineIntegralConvolution2D::SetLIC(temp0);
      }
    else
      {
      op->SetLIC(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break42:
  return NULL;
}


static PyObject *PyvtkLineIntegralConvolution2D_GetLIC(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineIntegralConvolution2D *op;

  vtkTextureObject  *temp20;
  op = (vtkLineIntegralConvolution2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineIntegralConvolution2D::GetLIC();
      }
    else
      {
      temp20 = op->GetLIC();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkLineIntegralConvolution2DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkLineIntegralConvolution2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkLineIntegralConvolution2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkLineIntegralConvolution2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLineIntegralConvolution2D\nC++: vtkLineIntegralConvolution2D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkLineIntegralConvolution2D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkLineIntegralConvolution2D\nC++: vtkLineIntegralConvolution2D *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetEnhancedLIC",                (PyCFunction)PyvtkLineIntegralConvolution2D_SetEnhancedLIC, 1,
   (char*)"V.SetEnhancedLIC(int)\nC++: void SetEnhancedLIC (int );\n\n Enable/Disable enhanced LIC that improves image quality by increasing\n inter-streamline contrast while suppressing artifacts. Enhanced LIC\n performs two passes of LIC, with a 3x3 Laplacian high-pass filter in\n between that processes the output of pass #1 LIC and forwards the result\n as the input 'noise' to pass #2 LIC. This flag is automatically turned\n off during user interaction.\n"},
  {(char*)"GetEnhancedLIC",                (PyCFunction)PyvtkLineIntegralConvolution2D_GetEnhancedLIC, 1,
   (char*)"V.GetEnhancedLIC() -> int\nC++: int GetEnhancedLIC ();\n\n Enable/Disable enhanced LIC that improves image quality by increasing\n inter-streamline contrast while suppressing artifacts. Enhanced LIC\n performs two passes of LIC, with a 3x3 Laplacian high-pass filter in\n between that processes the output of pass #1 LIC and forwards the result\n as the input 'noise' to pass #2 LIC. This flag is automatically turned\n off during user interaction.\n"},
  {(char*)"EnhancedLICOn",                (PyCFunction)PyvtkLineIntegralConvolution2D_EnhancedLICOn, 1,
   (char*)"V.EnhancedLICOn()\nC++: void EnhancedLICOn ();\n\n Enable/Disable enhanced LIC that improves image quality by increasing\n inter-streamline contrast while suppressing artifacts. Enhanced LIC\n performs two passes of LIC, with a 3x3 Laplacian high-pass filter in\n between that processes the output of pass #1 LIC and forwards the result\n as the input 'noise' to pass #2 LIC. This flag is automatically turned\n off during user interaction.\n"},
  {(char*)"EnhancedLICOff",                (PyCFunction)PyvtkLineIntegralConvolution2D_EnhancedLICOff, 1,
   (char*)"V.EnhancedLICOff()\nC++: void EnhancedLICOff ();\n\n Enable/Disable enhanced LIC that improves image quality by increasing\n inter-streamline contrast while suppressing artifacts. Enhanced LIC\n performs two passes of LIC, with a 3x3 Laplacian high-pass filter in\n between that processes the output of pass #1 LIC and forwards the result\n as the input 'noise' to pass #2 LIC. This flag is automatically turned\n off during user interaction.\n"},
  {(char*)"SetLICForSurface",                (PyCFunction)PyvtkLineIntegralConvolution2D_SetLICForSurface, 1,
   (char*)"V.SetLICForSurface(int)\nC++: void SetLICForSurface (int );\n\n"},
  {(char*)"GetLICForSurface",                (PyCFunction)PyvtkLineIntegralConvolution2D_GetLICForSurface, 1,
   (char*)"V.GetLICForSurface() -> int\nC++: int GetLICForSurface ();\n\n"},
  {(char*)"LICForSurfaceOn",                (PyCFunction)PyvtkLineIntegralConvolution2D_LICForSurfaceOn, 1,
   (char*)"V.LICForSurfaceOn()\nC++: void LICForSurfaceOn ();\n\n"},
  {(char*)"LICForSurfaceOff",                (PyCFunction)PyvtkLineIntegralConvolution2D_LICForSurfaceOff, 1,
   (char*)"V.LICForSurfaceOff()\nC++: void LICForSurfaceOff ();\n\n"},
  {(char*)"SetNumberOfSteps",                (PyCFunction)PyvtkLineIntegralConvolution2D_SetNumberOfSteps, 1,
   (char*)"V.SetNumberOfSteps(int)\nC++: void SetNumberOfSteps (int );\n\n Number of streamline integration steps (initial value is 1).\n In term of visual quality, the greater (within some range) the better.\n"},
  {(char*)"GetNumberOfSteps",                (PyCFunction)PyvtkLineIntegralConvolution2D_GetNumberOfSteps, 1,
   (char*)"V.GetNumberOfSteps() -> int\nC++: int GetNumberOfSteps ();\n\n Number of streamline integration steps (initial value is 1).\n In term of visual quality, the greater (within some range) the better.\n"},
  {(char*)"SetLICStepSize",                (PyCFunction)PyvtkLineIntegralConvolution2D_SetLICStepSize, 1,
   (char*)"V.SetLICStepSize(float)\nC++: void SetLICStepSize (double );\n\n Get/Set the streamline integration step size (0.01 by default). This is \n the length of each step in normalized image space i.e. in range [0, 1].\n In term of visual quality, the smaller the better. The type for the \n interface is double as VTK interface is, but GPU only supports float.\n Thus it will be converted to float in the execution of the algorithm.\n"},
  {(char*)"GetLICStepSizeMinValue",                (PyCFunction)PyvtkLineIntegralConvolution2D_GetLICStepSizeMinValue, 1,
   (char*)"V.GetLICStepSizeMinValue() -> float\nC++: double GetLICStepSizeMinValue ();\n\n Get/Set the streamline integration step size (0.01 by default). This is \n the length of each step in normalized image space i.e. in range [0, 1].\n In term of visual quality, the smaller the better. The type for the \n interface is double as VTK interface is, but GPU only supports float.\n Thus it will be converted to float in the execution of the algorithm.\n"},
  {(char*)"GetLICStepSizeMaxValue",                (PyCFunction)PyvtkLineIntegralConvolution2D_GetLICStepSizeMaxValue, 1,
   (char*)"V.GetLICStepSizeMaxValue() -> float\nC++: double GetLICStepSizeMaxValue ();\n\n Get/Set the streamline integration step size (0.01 by default). This is \n the length of each step in normalized image space i.e. in range [0, 1].\n In term of visual quality, the smaller the better. The type for the \n interface is double as VTK interface is, but GPU only supports float.\n Thus it will be converted to float in the execution of the algorithm.\n"},
  {(char*)"GetLICStepSize",                (PyCFunction)PyvtkLineIntegralConvolution2D_GetLICStepSize, 1,
   (char*)"V.GetLICStepSize() -> float\nC++: double GetLICStepSize ();\n\n Get/Set the streamline integration step size (0.01 by default). This is \n the length of each step in normalized image space i.e. in range [0, 1].\n In term of visual quality, the smaller the better. The type for the \n interface is double as VTK interface is, but GPU only supports float.\n Thus it will be converted to float in the execution of the algorithm.\n"},
  {(char*)"SetNoise",                (PyCFunction)PyvtkLineIntegralConvolution2D_SetNoise, 1,
   (char*)"V.SetNoise(vtkTextureObject)\nC++: void SetNoise (vtkTextureObject *noise);\n\n Set/Get the input white noise texture (initial value is NULL).\n"},
  {(char*)"GetNoise",                (PyCFunction)PyvtkLineIntegralConvolution2D_GetNoise, 1,
   (char*)"V.GetNoise() -> vtkTextureObject\nC++: vtkTextureObject *GetNoise ();\n\n Set/Get the input white noise texture (initial value is NULL).\n"},
  {(char*)"SetVectorField",                (PyCFunction)PyvtkLineIntegralConvolution2D_SetVectorField, 1,
   (char*)"V.SetVectorField(vtkTextureObject)\nC++: void SetVectorField (vtkTextureObject *vectorField);\n\n Set/Get the vector field (initial value is NULL).\n"},
  {(char*)"GetVectorField",                (PyCFunction)PyvtkLineIntegralConvolution2D_GetVectorField, 1,
   (char*)"V.GetVectorField() -> vtkTextureObject\nC++: vtkTextureObject *GetVectorField ();\n\n Set/Get the vector field (initial value is NULL).\n"},
  {(char*)"SetComponentIds",                (PyCFunction)PyvtkLineIntegralConvolution2D_SetComponentIds, 1,
   (char*)"V.SetComponentIds(int, int)\nC++: void SetComponentIds (int , int );\nV.SetComponentIds((int, int))\nC++: void SetComponentIds (int  a[2]);\n\n If VectorField has >= 3 components, we must choose which 2 components \n form the (X, Y) components for the vector field. Must be in the range \n [0, 3].\n"},
  {(char*)"GetComponentIds",                (PyCFunction)PyvtkLineIntegralConvolution2D_GetComponentIds, 1,
   (char*)"V.GetComponentIds() -> (int, int)\nC++: int  *GetComponentIds ();\n\n If VectorField has >= 3 components, we must choose which 2 components \n form the (X, Y) components for the vector field. Must be in the range \n [0, 3].\n"},
  {(char*)"SetGridSpacings",                (PyCFunction)PyvtkLineIntegralConvolution2D_SetGridSpacings, 1,
   (char*)"V.SetGridSpacings(float, float)\nC++: void SetGridSpacings (double , double );\nV.SetGridSpacings((float, float))\nC++: void SetGridSpacings (double  a[2]);\n\n Set/Get the spacing in each dimension of the plane on which the vector \n field is defined. This class performs LIC in the normalized image space\n and hence generally it needs to transform the input vector field (given \n in physical space) to the normalized image space. The Spacing is needed\n to determine the tranform. Default is (1.0, 1.0). It is possible to \n disable vector transformation by setting TransformVectors to 0.\n"},
  {(char*)"GetGridSpacings",                (PyCFunction)PyvtkLineIntegralConvolution2D_GetGridSpacings, 1,
   (char*)"V.GetGridSpacings() -> (float, float)\nC++: double  *GetGridSpacings ();\n\n Set/Get the spacing in each dimension of the plane on which the vector \n field is defined. This class performs LIC in the normalized image space\n and hence generally it needs to transform the input vector field (given \n in physical space) to the normalized image space. The Spacing is needed\n to determine the tranform. Default is (1.0, 1.0). It is possible to \n disable vector transformation by setting TransformVectors to 0.\n"},
  {(char*)"SetTransformVectors",                (PyCFunction)PyvtkLineIntegralConvolution2D_SetTransformVectors, 1,
   (char*)"V.SetTransformVectors(int)\nC++: void SetTransformVectors (int );\n\n This class performs LIC in the normalized image space. Hence, by default\n it transforms the input vectors to the normalized image space (using the\n GridSpacings and input vector field dimensions). Set this to 0 to disable\n tranformation if the vectors are already tranformed.\n"},
  {(char*)"GetTransformVectorsMinValue",                (PyCFunction)PyvtkLineIntegralConvolution2D_GetTransformVectorsMinValue, 1,
   (char*)"V.GetTransformVectorsMinValue() -> int\nC++: int GetTransformVectorsMinValue ();\n\n This class performs LIC in the normalized image space. Hence, by default\n it transforms the input vectors to the normalized image space (using the\n GridSpacings and input vector field dimensions). Set this to 0 to disable\n tranformation if the vectors are already tranformed.\n"},
  {(char*)"GetTransformVectorsMaxValue",                (PyCFunction)PyvtkLineIntegralConvolution2D_GetTransformVectorsMaxValue, 1,
   (char*)"V.GetTransformVectorsMaxValue() -> int\nC++: int GetTransformVectorsMaxValue ();\n\n This class performs LIC in the normalized image space. Hence, by default\n it transforms the input vectors to the normalized image space (using the\n GridSpacings and input vector field dimensions). Set this to 0 to disable\n tranformation if the vectors are already tranformed.\n"},
  {(char*)"TransformVectorsOn",                (PyCFunction)PyvtkLineIntegralConvolution2D_TransformVectorsOn, 1,
   (char*)"V.TransformVectorsOn()\nC++: void TransformVectorsOn ();\n\n This class performs LIC in the normalized image space. Hence, by default\n it transforms the input vectors to the normalized image space (using the\n GridSpacings and input vector field dimensions). Set this to 0 to disable\n tranformation if the vectors are already tranformed.\n"},
  {(char*)"TransformVectorsOff",                (PyCFunction)PyvtkLineIntegralConvolution2D_TransformVectorsOff, 1,
   (char*)"V.TransformVectorsOff()\nC++: void TransformVectorsOff ();\n\n This class performs LIC in the normalized image space. Hence, by default\n it transforms the input vectors to the normalized image space (using the\n GridSpacings and input vector field dimensions). Set this to 0 to disable\n tranformation if the vectors are already tranformed.\n"},
  {(char*)"GetTransformVectors",                (PyCFunction)PyvtkLineIntegralConvolution2D_GetTransformVectors, 1,
   (char*)"V.GetTransformVectors() -> int\nC++: int GetTransformVectors ();\n\n This class performs LIC in the normalized image space. Hence, by default\n it transforms the input vectors to the normalized image space (using the\n GridSpacings and input vector field dimensions). Set this to 0 to disable\n tranformation if the vectors are already tranformed.\n"},
  {(char*)"SetMagnification",                (PyCFunction)PyvtkLineIntegralConvolution2D_SetMagnification, 1,
   (char*)"V.SetMagnification(int)\nC++: void SetMagnification (int );\n\n The the magnification factor (default is 1.0).\n"},
  {(char*)"GetMagnificationMinValue",                (PyCFunction)PyvtkLineIntegralConvolution2D_GetMagnificationMinValue, 1,
   (char*)"V.GetMagnificationMinValue() -> int\nC++: int GetMagnificationMinValue ();\n\n The the magnification factor (default is 1.0).\n"},
  {(char*)"GetMagnificationMaxValue",                (PyCFunction)PyvtkLineIntegralConvolution2D_GetMagnificationMaxValue, 1,
   (char*)"V.GetMagnificationMaxValue() -> int\nC++: int GetMagnificationMaxValue ();\n\n The the magnification factor (default is 1.0).\n"},
  {(char*)"GetMagnification",                (PyCFunction)PyvtkLineIntegralConvolution2D_GetMagnification, 1,
   (char*)"V.GetMagnification() -> int\nC++: int GetMagnification ();\n\n The the magnification factor (default is 1.0).\n"},
  {(char*)"SetVectorShiftScale",                (PyCFunction)PyvtkLineIntegralConvolution2D_SetVectorShiftScale, 1,
   (char*)"V.SetVectorShiftScale(float, float)\nC++: void SetVectorShiftScale (double shift, double scale);this VectorShift shift this VectorScale scale this Modified \n\n Returns if the context supports the required extensions.\n"},
  {(char*)"IsSupported",                (PyCFunction)PyvtkLineIntegralConvolution2D_IsSupported, 1,
   (char*)"V.IsSupported(vtkRenderWindow) -> bool\nC++: static bool IsSupported (vtkRenderWindow *renWin);\n\n Returns if the context supports the required extensions.\n"},
  {(char*)"Execute",                (PyCFunction)PyvtkLineIntegralConvolution2D_Execute, 1,
   (char*)"V.Execute() -> int\nC++: int Execute ();\nV.Execute((int, int, int, int)) -> int\nC++: int Execute (int extent[4]);\n\n Perform the LIC and obtain the LIC texture. Return 1 if no error.\n"},
  {(char*)"SetLIC",                (PyCFunction)PyvtkLineIntegralConvolution2D_SetLIC, 1,
   (char*)"V.SetLIC(vtkTextureObject)\nC++: void SetLIC (vtkTextureObject *lic);\n\n LIC texture (initial value is NULL) set by Execute().\n"},
  {(char*)"GetLIC",                (PyCFunction)PyvtkLineIntegralConvolution2D_GetLIC, 1,
   (char*)"V.GetLIC() -> vtkTextureObject\nC++: vtkTextureObject *GetLIC ();\n\n LIC texture (initial value is NULL) set by Execute().\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkLineIntegralConvolution2DDoc[] = {
  (char*)"vtkLineIntegralConvolution2D - GPU-based implementation of Line \n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)"  This class resorts to GLSL to implement GPU-based Line Integral Convolution \n  (LIC) for visualizing a 2D vector field that may be obtained by projecting\n  an original 3D vector field onto a surface (such that the resulting 2D \n  vector at each grid point on the surface is tangential to the local normal,\n  as done in vtkSurfaceLICPainter). \n  \n  As an image-based technique, 2D LIC works by (1) i",
  (char*)"ntegrating a bidirectional\n  streamline from the center of each pixel (of the LIC output image), (2)\n  locating the pixels along / hit by this streamline as the correlated pixels\n  of the starting pixel (seed point / pixel), (3) indexing a (usually white) \n  noise texture (another input to LIC, in addition to the 2D vector field, \n  usually with the same size as that of the 2D vetor field) to dete",
  (char*)"rmine the\n  values (colors) of these pixels (the starting and the correlated pixels), \n  typically through bi-linear interpolation, and (4) performing convolution\n  (weighted averaging) on these values, by adopting a low-pass filter (such \n  as box, ramp, and Hanning kernels), to obtain the result value (color) that\n  is then assigned to the seed pixel.\n\n  The GLSL-based GPU implementation herein ",
  (char*)"maps the aforementioned pipeline to\n  fragment shaders and a box kernel is employed. Both the white noise and the\n  vector field are provided to the GPU as texture objects (supported by the \n  multi-texturing capability). In addition, there are four texture objects \n  (color buffers) allocated to constitute two pairs that work in a ping-pong\n  fashion, with one as the read buffers and the other as",
  (char*)" the write / render \n  targets. Maintained by a frame buffer object (GL_EXT_framebuffer_object),\n  each pair employs one buffer to store the current (dynamically updated)\n  position (by means of the texture coordinate that keeps being warped by the\n  underlying vector) of the (virtual) particle initially released from each \n  fragment while using the bother buffer to store the current (dynamically",
  (char*)"\n  updated too) accumulated texture value that each seed fragment (before the\n  'mesh' is warped) collects. Given NumberOfSteps integration steps in each\n  direction, there are a total of (2 * NumberOfSteps + 1) fragments (including\n  the seed fragment) are convolved and each contributes 1 / (2 * NumberOfSteps\n  + 1) of the associated texture value to fulfill the box filter.\n  \n  One pass of LIC (",
  (char*)"basic LIC) tends to produce low-contrast / blurred images and\n  vtkLineIntegralConvolution2D provides an option for creating enhanced LIC\n  images. Enhanced LIC improves image quality by increasing inter-streamline\n  contrast while suppressing artifacts. It performs two passes of LIC, with a\n  3x3 Laplacian high-pass filter in between that processes the output of pass\n  #1 LIC and forwards the res",
  (char*)"ult as the input 'noise' to pass #2 LIC. Enhanced\n  LIC automatically degenerates to basic LIC during user interaction.\n\n  vtkLineIntegralConvolution2D applies masking to zero-vector fragments so\n  that un-filtered white noise areas are made totally transparent by class\n  vtkSurfaceLICPainter to show the underlying geometry surface.\n\n .SECTION Required OpenGL Extensins\n  GL_ARB_texture_non_power_o",
  (char*)"f_two\n  GL_VERSION_2_0\n  GL_ARB_texture_float\n  GL_ARB_draw_buffers\n  GL_EXT_framebuffer_object\n\n\n",
  "See Also:\n\n vtkSurfaceLICPainter vtkImageDataLIC2D vtkStructuredGridLIC2D\n\n",
  NULL
};

static vtkObjectBase *vtkLineIntegralConvolution2DStaticNew()
{
  return vtkLineIntegralConvolution2D::New();
}

PyObject *PyVTKClass_vtkLineIntegralConvolution2DNew(char *modulename)
{
  return PyVTKClass_New(&vtkLineIntegralConvolution2DStaticNew,
                        PyvtkLineIntegralConvolution2DMethods,
                        (char*)"vtkLineIntegralConvolution2D",modulename,
                        (char**)vtkLineIntegralConvolution2DDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

