// python wrapper for vtkOpenGLHardwareSupport object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkOpenGLHardwareSupport.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOpenGLHardwareSupportNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOpenGLHardwareSupportNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkOpenGLHardwareSupport_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLHardwareSupport *op;

  const char    *temp20;
  op = (vtkOpenGLHardwareSupport *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLHardwareSupport::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLHardwareSupport_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLHardwareSupport *op;

  char    *temp0;
  int      temp20;
  op = (vtkOpenGLHardwareSupport *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLHardwareSupport::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLHardwareSupport_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLHardwareSupport *op;

  vtkOpenGLHardwareSupport  *temp20;
  op = (vtkOpenGLHardwareSupport *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLHardwareSupport::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLHardwareSupport_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOpenGLHardwareSupport  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOpenGLHardwareSupport::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOpenGLHardwareSupport_GetNumberOfFixedTextureUnits(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLHardwareSupport *op;

  int      temp20;
  op = (vtkOpenGLHardwareSupport *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLHardwareSupport::GetNumberOfFixedTextureUnits();
      }
    else
      {
      temp20 = op->GetNumberOfFixedTextureUnits();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLHardwareSupport_GetNumberOfTextureUnits(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLHardwareSupport *op;

  int      temp20;
  op = (vtkOpenGLHardwareSupport *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLHardwareSupport::GetNumberOfTextureUnits();
      }
    else
      {
      temp20 = op->GetNumberOfTextureUnits();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLHardwareSupport_GetSupportsMultiTexturing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLHardwareSupport *op;

  bool   temp20;
  op = (vtkOpenGLHardwareSupport *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLHardwareSupport::GetSupportsMultiTexturing();
      }
    else
      {
      temp20 = op->GetSupportsMultiTexturing();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLHardwareSupport_GetExtensionManager(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLHardwareSupport *op;

  vtkOpenGLExtensionManager  *temp20;
  op = (vtkOpenGLHardwareSupport *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLHardwareSupport::GetExtensionManager();
      }
    else
      {
      temp20 = op->GetExtensionManager();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLHardwareSupport_SetExtensionManager(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLHardwareSupport *op;

  vtkOpenGLExtensionManager  *temp0;
  PyObject *tempH0;
  op = (vtkOpenGLHardwareSupport *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkOpenGLExtensionManager *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkOpenGLExtensionManager");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLHardwareSupport::SetExtensionManager(temp0);
      }
    else
      {
      op->SetExtensionManager(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}

static PyMethodDef PyvtkOpenGLHardwareSupportMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOpenGLHardwareSupport_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOpenGLHardwareSupport_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOpenGLHardwareSupport_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOpenGLHardwareSupport\nC++: vtkOpenGLHardwareSupport *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOpenGLHardwareSupport_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOpenGLHardwareSupport\nC++: vtkOpenGLHardwareSupport *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetNumberOfFixedTextureUnits",                (PyCFunction)PyvtkOpenGLHardwareSupport_GetNumberOfFixedTextureUnits, 1,
   (char*)"V.GetNumberOfFixedTextureUnits() -> int\nC++: int GetNumberOfFixedTextureUnits ();\n\n Return the number of fixed-function texture units.\n"},
  {(char*)"GetNumberOfTextureUnits",                (PyCFunction)PyvtkOpenGLHardwareSupport_GetNumberOfTextureUnits, 1,
   (char*)"V.GetNumberOfTextureUnits() -> int\nC++: int GetNumberOfTextureUnits ();\n\n Return the total number of texture image units accessible by a shader\n program.\n"},
  {(char*)"GetSupportsMultiTexturing",                (PyCFunction)PyvtkOpenGLHardwareSupport_GetSupportsMultiTexturing, 1,
   (char*)"V.GetSupportsMultiTexturing() -> bool\nC++: bool GetSupportsMultiTexturing ();\n\n Test if MultiTexturing is supported.\n"},
  {(char*)"GetExtensionManager",                (PyCFunction)PyvtkOpenGLHardwareSupport_GetExtensionManager, 1,
   (char*)"V.GetExtensionManager() -> vtkOpenGLExtensionManager\nC++: vtkOpenGLExtensionManager *GetExtensionManager ();\n\n Set/Get a reference to a vtkRenderWindow which is Required\n for most methods of this class to work.\n"},
  {(char*)"SetExtensionManager",                (PyCFunction)PyvtkOpenGLHardwareSupport_SetExtensionManager, 1,
   (char*)"V.SetExtensionManager(vtkOpenGLExtensionManager)\nC++: void SetExtensionManager (vtkOpenGLExtensionManager *extensionManager);\n\n Set/Get a reference to a vtkRenderWindow which is Required\n for most methods of this class to work.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOpenGLHardwareSupportDoc[] = {
  (char*)"vtkOpenGLHardwareSupport - OpenGL rendering window\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkOpenGLHardwareSupport is an implementation of methods used\n to query OpenGL and the hardware of what kind of graphics support\n is available. When VTK supports more than one Graphics API an\n abstract super class vtkHardwareSupport should be implemented\n for this class to derive from.\n\n",
  NULL
};

static vtkObjectBase *vtkOpenGLHardwareSupportStaticNew()
{
  return vtkOpenGLHardwareSupport::New();
}

PyObject *PyVTKClass_vtkOpenGLHardwareSupportNew(char *modulename)
{
  return PyVTKClass_New(&vtkOpenGLHardwareSupportStaticNew,
                        PyvtkOpenGLHardwareSupportMethods,
                        (char*)"vtkOpenGLHardwareSupport",modulename,
                        (char**)vtkOpenGLHardwareSupportDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

