// python wrapper for vtkRendererDelegate object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkRendererDelegate.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRendererDelegateNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRendererDelegateNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkRendererDelegate_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRendererDelegate *op;

  const char    *temp20;
  op = (vtkRendererDelegate *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRendererDelegate::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRendererDelegate_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRendererDelegate *op;

  char    *temp0;
  int      temp20;
  op = (vtkRendererDelegate *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRendererDelegate::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRendererDelegate_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRendererDelegate *op;

  vtkRendererDelegate  *temp20;
  op = (vtkRendererDelegate *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRendererDelegate::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRendererDelegate_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRendererDelegate *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  op = (vtkRendererDelegate *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Render(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkRendererDelegate_SetUsed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRendererDelegate *op;

  bool   temp0;
  op = (vtkRendererDelegate *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRendererDelegate::SetUsed(temp0);
      }
    else
      {
      op->SetUsed(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRendererDelegate_GetUsed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRendererDelegate *op;

  bool   temp20;
  op = (vtkRendererDelegate *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRendererDelegate::GetUsed();
      }
    else
      {
      temp20 = op->GetUsed();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkRendererDelegate_UsedOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRendererDelegate *op;

  op = (vtkRendererDelegate *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRendererDelegate::UsedOn();
      }
    else
      {
      op->UsedOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRendererDelegate_UsedOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRendererDelegate *op;

  op = (vtkRendererDelegate *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRendererDelegate::UsedOff();
      }
    else
      {
      op->UsedOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkRendererDelegateMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRendererDelegate_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRendererDelegate_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRendererDelegate_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRendererDelegate\nC++: vtkRendererDelegate *NewInstance ();\n\n"},
  {(char*)"Render",                (PyCFunction)PyvtkRendererDelegate_Render, 1,
   (char*)"V.Render(vtkRenderer)\nC++: virtual void Render (vtkRenderer *r) = 0;\n\n Render the props of vtkRenderer if Used is on.\n"},
  {(char*)"SetUsed",                (PyCFunction)PyvtkRendererDelegate_SetUsed, 1,
   (char*)"V.SetUsed(bool)\nC++: void SetUsed (bool );\n\n Tells if the delegate has to be used by the renderer or not.\n Initial value is off.\n"},
  {(char*)"GetUsed",                (PyCFunction)PyvtkRendererDelegate_GetUsed, 1,
   (char*)"V.GetUsed() -> bool\nC++: bool GetUsed ();\n\n Tells if the delegate has to be used by the renderer or not.\n Initial value is off.\n"},
  {(char*)"UsedOn",                (PyCFunction)PyvtkRendererDelegate_UsedOn, 1,
   (char*)"V.UsedOn()\nC++: void UsedOn ();\n\n Tells if the delegate has to be used by the renderer or not.\n Initial value is off.\n"},
  {(char*)"UsedOff",                (PyCFunction)PyvtkRendererDelegate_UsedOff, 1,
   (char*)"V.UsedOff()\nC++: void UsedOff ();\n\n Tells if the delegate has to be used by the renderer or not.\n Initial value is off.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRendererDelegateDoc[] = {
  (char*)"vtkRendererDelegate - Render the props of a vtkRenderer\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkRendererDelegate is an abstract class with a pure virtual method Render.\n This method replaces the Render method of vtkRenderer to allow custom\n rendering from an external project. A RendererDelegate is connected to\n a vtkRenderer with method SetDelegate(). An external project just\n has to provide a concrete implementation of vtkRendererDelegate.\n\n",
  "See Also:\n\n vtkRenderer\n\n",
  NULL
};

PyObject *PyVTKClass_vtkRendererDelegateNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkRendererDelegateMethods,
                        (char*)"vtkRendererDelegate",modulename,
                        (char**)vtkRendererDelegateDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

