// python wrapper for vtkSobelGradientMagnitudePass object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSobelGradientMagnitudePass.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSobelGradientMagnitudePassNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSobelGradientMagnitudePassNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageProcessingPassNew(char *); }

static PyObject *PyvtkSobelGradientMagnitudePass_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSobelGradientMagnitudePass *op;

  const char    *temp20;
  op = (vtkSobelGradientMagnitudePass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSobelGradientMagnitudePass::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSobelGradientMagnitudePass_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSobelGradientMagnitudePass *op;

  char    *temp0;
  int      temp20;
  op = (vtkSobelGradientMagnitudePass *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSobelGradientMagnitudePass::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSobelGradientMagnitudePass_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSobelGradientMagnitudePass *op;

  vtkSobelGradientMagnitudePass  *temp20;
  op = (vtkSobelGradientMagnitudePass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSobelGradientMagnitudePass::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSobelGradientMagnitudePass_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSobelGradientMagnitudePass  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSobelGradientMagnitudePass::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSobelGradientMagnitudePass_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSobelGradientMagnitudePass *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkSobelGradientMagnitudePass *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkSobelGradientMagnitudePass::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}

static PyMethodDef PyvtkSobelGradientMagnitudePassMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSobelGradientMagnitudePass_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSobelGradientMagnitudePass_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSobelGradientMagnitudePass_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSobelGradientMagnitudePass\nC++: vtkSobelGradientMagnitudePass *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSobelGradientMagnitudePass_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSobelGradientMagnitudePass\nC++: vtkSobelGradientMagnitudePass *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkSobelGradientMagnitudePass_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: void ReleaseGraphicsResources (vtkWindow *w);\n\n Release graphics resources and ask components to release their own\n resources.\n \\pre w_exists: w!=0\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSobelGradientMagnitudePassDoc[] = {
  (char*)"vtkSobelGradientMagnitudePass - Implement a post-processing edge\n\n",
  "Super Class:\n\n vtkImageProcessingPass\n\n",
  (char*)" Detect the edges of the image renderered by its delegate. Edge-detection\n uses a Sobel high-pass filter (3x3 kernel).\n\n This pass expects an initialized depth buffer and color buffer.\n Initialized buffers means they have been cleared with farest z-value and\n background color/gradient/transparent color.\n An opaque pass may have been performed right after the initialization.\n\n The delegate is used ",
  (char*)"once.\n\n Its delegate is usually set to a vtkCameraPass or to a post-processing pass.\n \n This pass requires a OpenGL context that supports texture objects (TO),\n framebuffer objects (FBO) and GLSL. If not, it will emit an error message\n and will render its delegate and return.\n\n .SECTION Implementation\n To compute the gradient magnitude, the x and y components of the gradient\n (Gx and Gy) have to b",
  (char*)"e computed first. Each computation of Gx and Gy uses\n a separable filter.\n The first pass takes the image from the delegate as the single input\n texture.\n The first pass has two outputs, one for the first part of Gx, Gx1, result of\n a convolution with (-1 0 1), one for the first part of Gy, Gy1, result of a\n convolution with (1 2 1).\n The second pass has two inputs, Gx1 and Gy1. Kernel (1 2 1)^T i",
  (char*)"s applied\n to Gx1 and kernel (-1 0 1)^T is applied to Gx2. It gives the values for\n Gx and Gy. Thoses values are then used to compute the magnitude of the\n gradient which is stored in the render target.\n The gradient computation happens per component (R,G,B). A is arbitrarly set\n to 1 (full opacity).\n\n \\image html vtkSobelGradientMagnitudePassFigure.png\n \\image latex vtkSobelGradientMagnitudePassF",
  (char*)"igure.eps\n\n",
  "See Also:\n\n vtkRenderPass\n\n",
  NULL
};

static vtkObjectBase *vtkSobelGradientMagnitudePassStaticNew()
{
  return vtkSobelGradientMagnitudePass::New();
}

PyObject *PyVTKClass_vtkSobelGradientMagnitudePassNew(char *modulename)
{
  return PyVTKClass_New(&vtkSobelGradientMagnitudePassStaticNew,
                        PyvtkSobelGradientMagnitudePassMethods,
                        (char*)"vtkSobelGradientMagnitudePass",modulename,
                        (char**)vtkSobelGradientMagnitudePassDoc,
                        PyVTKClass_vtkImageProcessingPassNew(modulename));
}

