// python wrapper for vtkTranslucentPass object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTranslucentPass.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTranslucentPassNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTranslucentPassNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDefaultPassNew(char *); }

static PyObject *PyvtkTranslucentPass_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTranslucentPass *op;

  const char    *temp20;
  op = (vtkTranslucentPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTranslucentPass::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTranslucentPass_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTranslucentPass *op;

  char    *temp0;
  int      temp20;
  op = (vtkTranslucentPass *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTranslucentPass::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTranslucentPass_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTranslucentPass *op;

  vtkTranslucentPass  *temp20;
  op = (vtkTranslucentPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTranslucentPass::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTranslucentPass_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTranslucentPass  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTranslucentPass::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkTranslucentPassMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTranslucentPass_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTranslucentPass_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTranslucentPass_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTranslucentPass\nC++: vtkTranslucentPass *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTranslucentPass_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTranslucentPass\nC++: vtkTranslucentPass *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTranslucentPassDoc[] = {
  (char*)"vtkTranslucentPass - Render the translucent polygonal geometry\n\n",
  "Super Class:\n\n vtkDefaultPass\n\n",
  (char*)" vtkTranslucentPass renders the translucent polygonal geometry of all the\n props that have the keys contained in vtkRenderState.\n\n This pass expects an initialized depth buffer and color buffer.\n Initialized buffers means they have been cleared with farest z-value and\n background color/gradient/transparent color.\n \n\n",
  "See Also:\n\n vtkRenderPass vtkDefaultPass\n\n",
  NULL
};

static vtkObjectBase *vtkTranslucentPassStaticNew()
{
  return vtkTranslucentPass::New();
}

PyObject *PyVTKClass_vtkTranslucentPassNew(char *modulename)
{
  return PyVTKClass_New(&vtkTranslucentPassStaticNew,
                        PyvtkTranslucentPassMethods,
                        (char*)"vtkTranslucentPass",modulename,
                        (char**)vtkTranslucentPassDoc,
                        PyVTKClass_vtkDefaultPassNew(modulename));
}

