// python wrapper for vtkViewTheme object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkViewTheme.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkViewThemeNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkViewThemeNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkViewTheme_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  const char    *temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  char    *temp0;
  int      temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  vtkViewTheme  *temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkViewTheme  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkViewTheme::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkViewTheme_SetPointSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetPointSize(temp0);
      }
    else
      {
      op->SetPointSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetPointSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetPointSize();
      }
    else
      {
      temp20 = op->GetPointSize();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetLineWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetLineWidth(temp0);
      }
    else
      {
      op->SetLineWidth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetLineWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetLineWidth();
      }
    else
      {
      temp20 = op->GetLineWidth();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetPointColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetPointColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetPointColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetPointColor(temp0);
      }
    else
      {
      op->SetPointColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetPointColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double  *temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetPointColor();
      }
    else
      {
      temp20 = op->GetPointColor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetPointOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetPointOpacity(temp0);
      }
    else
      {
      op->SetPointOpacity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetPointOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetPointOpacity();
      }
    else
      {
      temp20 = op->GetPointOpacity();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetPointHueRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  double   temp1;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetPointHueRange(temp0,temp1);
      }
    else
      {
      op->SetPointHueRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetPointHueRange(temp0);
      }
    else
      {
      op->SetPointHueRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetPointHueRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[2];
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::GetPointHueRange(temp0);
      }
    else
      {
      op->GetPointHueRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetPointSaturationRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  double   temp1;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetPointSaturationRange(temp0,temp1);
      }
    else
      {
      op->SetPointSaturationRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetPointSaturationRange(temp0);
      }
    else
      {
      op->SetPointSaturationRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetPointSaturationRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[2];
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::GetPointSaturationRange(temp0);
      }
    else
      {
      op->GetPointSaturationRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetPointValueRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  double   temp1;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetPointValueRange(temp0,temp1);
      }
    else
      {
      op->SetPointValueRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetPointValueRange(temp0);
      }
    else
      {
      op->SetPointValueRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetPointValueRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[2];
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::GetPointValueRange(temp0);
      }
    else
      {
      op->GetPointValueRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetPointAlphaRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  double   temp1;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetPointAlphaRange(temp0,temp1);
      }
    else
      {
      op->SetPointAlphaRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetPointAlphaRange(temp0);
      }
    else
      {
      op->SetPointAlphaRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetPointAlphaRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[2];
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::GetPointAlphaRange(temp0);
      }
    else
      {
      op->GetPointAlphaRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetPointLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  vtkScalarsToColors  *temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetPointLookupTable();
      }
    else
      {
      temp20 = op->GetPointLookupTable();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetPointLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  vtkScalarsToColors  *temp0;
  PyObject *tempH0;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkScalarsToColors *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkScalarsToColors");
    if (!temp0 && tempH0 != Py_None) goto break26;
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetPointLookupTable(temp0);
      }
    else
      {
      op->SetPointLookupTable(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break26:
  return NULL;
}


static PyObject *PyvtkViewTheme_SetScalePointLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  bool   temp0;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetScalePointLookupTable(temp0);
      }
    else
      {
      op->SetScalePointLookupTable(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetScalePointLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  bool   temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetScalePointLookupTable();
      }
    else
      {
      temp20 = op->GetScalePointLookupTable();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_ScalePointLookupTableOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::ScalePointLookupTableOn();
      }
    else
      {
      op->ScalePointLookupTableOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_ScalePointLookupTableOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::ScalePointLookupTableOff();
      }
    else
      {
      op->ScalePointLookupTableOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetCellColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetCellColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetCellColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetCellColor(temp0);
      }
    else
      {
      op->SetCellColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetCellColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double  *temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetCellColor();
      }
    else
      {
      temp20 = op->GetCellColor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetCellOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetCellOpacity(temp0);
      }
    else
      {
      op->SetCellOpacity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetCellOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetCellOpacity();
      }
    else
      {
      temp20 = op->GetCellOpacity();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetCellHueRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  double   temp1;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetCellHueRange(temp0,temp1);
      }
    else
      {
      op->SetCellHueRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetCellHueRange(temp0);
      }
    else
      {
      op->SetCellHueRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetCellHueRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[2];
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::GetCellHueRange(temp0);
      }
    else
      {
      op->GetCellHueRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetCellSaturationRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  double   temp1;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetCellSaturationRange(temp0,temp1);
      }
    else
      {
      op->SetCellSaturationRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetCellSaturationRange(temp0);
      }
    else
      {
      op->SetCellSaturationRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetCellSaturationRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[2];
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::GetCellSaturationRange(temp0);
      }
    else
      {
      op->GetCellSaturationRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetCellValueRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  double   temp1;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetCellValueRange(temp0,temp1);
      }
    else
      {
      op->SetCellValueRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetCellValueRange(temp0);
      }
    else
      {
      op->SetCellValueRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetCellValueRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[2];
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::GetCellValueRange(temp0);
      }
    else
      {
      op->GetCellValueRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetCellAlphaRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  double   temp1;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetCellAlphaRange(temp0,temp1);
      }
    else
      {
      op->SetCellAlphaRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetCellAlphaRange(temp0);
      }
    else
      {
      op->SetCellAlphaRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetCellAlphaRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[2];
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::GetCellAlphaRange(temp0);
      }
    else
      {
      op->GetCellAlphaRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetCellLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  vtkScalarsToColors  *temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetCellLookupTable();
      }
    else
      {
      temp20 = op->GetCellLookupTable();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetCellLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  vtkScalarsToColors  *temp0;
  PyObject *tempH0;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkScalarsToColors *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkScalarsToColors");
    if (!temp0 && tempH0 != Py_None) goto break49;
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetCellLookupTable(temp0);
      }
    else
      {
      op->SetCellLookupTable(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break49:
  return NULL;
}


static PyObject *PyvtkViewTheme_SetScaleCellLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  bool   temp0;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetScaleCellLookupTable(temp0);
      }
    else
      {
      op->SetScaleCellLookupTable(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetScaleCellLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  bool   temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetScaleCellLookupTable();
      }
    else
      {
      temp20 = op->GetScaleCellLookupTable();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_ScaleCellLookupTableOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::ScaleCellLookupTableOn();
      }
    else
      {
      op->ScaleCellLookupTableOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_ScaleCellLookupTableOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::ScaleCellLookupTableOff();
      }
    else
      {
      op->ScaleCellLookupTableOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetOutlineColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetOutlineColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetOutlineColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetOutlineColor(temp0);
      }
    else
      {
      op->SetOutlineColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetOutlineColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double  *temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetOutlineColor();
      }
    else
      {
      temp20 = op->GetOutlineColor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetSelectedPointColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetSelectedPointColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetSelectedPointColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetSelectedPointColor(temp0);
      }
    else
      {
      op->SetSelectedPointColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetSelectedPointColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double  *temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetSelectedPointColor();
      }
    else
      {
      temp20 = op->GetSelectedPointColor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetSelectedPointOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetSelectedPointOpacity(temp0);
      }
    else
      {
      op->SetSelectedPointOpacity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetSelectedPointOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetSelectedPointOpacity();
      }
    else
      {
      temp20 = op->GetSelectedPointOpacity();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetSelectedCellColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetSelectedCellColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetSelectedCellColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetSelectedCellColor(temp0);
      }
    else
      {
      op->SetSelectedCellColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetSelectedCellColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double  *temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetSelectedCellColor();
      }
    else
      {
      temp20 = op->GetSelectedCellColor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetSelectedCellOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetSelectedCellOpacity(temp0);
      }
    else
      {
      op->SetSelectedCellOpacity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetSelectedCellOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetSelectedCellOpacity();
      }
    else
      {
      temp20 = op->GetSelectedCellOpacity();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetBackgroundColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetBackgroundColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetBackgroundColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetBackgroundColor(temp0);
      }
    else
      {
      op->SetBackgroundColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetBackgroundColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double  *temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetBackgroundColor();
      }
    else
      {
      temp20 = op->GetBackgroundColor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetBackgroundColor2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetBackgroundColor2(temp0,temp1,temp2);
      }
    else
      {
      op->SetBackgroundColor2(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetBackgroundColor2(temp0);
      }
    else
      {
      op->SetBackgroundColor2(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetBackgroundColor2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double  *temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetBackgroundColor2();
      }
    else
      {
      temp20 = op->GetBackgroundColor2();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetPointTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  vtkTextProperty  *temp0;
  PyObject *tempH0;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTextProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextProperty");
    if (!temp0 && tempH0 != Py_None) goto break73;
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetPointTextProperty(temp0);
      }
    else
      {
      op->SetPointTextProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break73:
  return NULL;
}


static PyObject *PyvtkViewTheme_GetPointTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  vtkTextProperty  *temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetPointTextProperty();
      }
    else
      {
      temp20 = op->GetPointTextProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetCellTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  vtkTextProperty  *temp0;
  PyObject *tempH0;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTextProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextProperty");
    if (!temp0 && tempH0 != Py_None) goto break75;
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetCellTextProperty(temp0);
      }
    else
      {
      op->SetCellTextProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break75:
  return NULL;
}


static PyObject *PyvtkViewTheme_GetCellTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  vtkTextProperty  *temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::GetCellTextProperty();
      }
    else
      {
      temp20 = op->GetCellTextProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetVertexLabelColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetVertexLabelColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetVertexLabelColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetVertexLabelColor(temp0);
      }
    else
      {
      op->SetVertexLabelColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetVertexLabelColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[3];
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::GetVertexLabelColor(temp0);
      }
    else
      {
      op->GetVertexLabelColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_SetEdgeLabelColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetEdgeLabelColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetEdgeLabelColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::SetEdgeLabelColor(temp0);
      }
    else
      {
      op->SetEdgeLabelColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_GetEdgeLabelColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  double temp0[3];
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewTheme::GetEdgeLabelColor(temp0);
      }
    else
      {
      op->GetEdgeLabelColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_CreateOceanTheme(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkViewTheme::CreateOceanTheme();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_CreateMellowTheme(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkViewTheme::CreateMellowTheme();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_CreateNeonTheme(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkViewTheme::CreateNeonTheme();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewTheme_LookupMatchesPointTheme(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  vtkScalarsToColors  *temp0;
  PyObject *tempH0;
  bool   temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkScalarsToColors *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkScalarsToColors");
    if (!temp0 && tempH0 != Py_None) goto break86;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::LookupMatchesPointTheme(temp0);
      }
    else
      {
      temp20 = op->LookupMatchesPointTheme(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break86:
  return NULL;
}


static PyObject *PyvtkViewTheme_LookupMatchesCellTheme(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewTheme *op;

  vtkScalarsToColors  *temp0;
  PyObject *tempH0;
  bool   temp20;
  op = (vtkViewTheme *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkScalarsToColors *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkScalarsToColors");
    if (!temp0 && tempH0 != Py_None) goto break87;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewTheme::LookupMatchesCellTheme(temp0);
      }
    else
      {
      temp20 = op->LookupMatchesCellTheme(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break87:
  return NULL;
}

static PyMethodDef PyvtkViewThemeMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkViewTheme_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkViewTheme_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkViewTheme_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkViewTheme\nC++: vtkViewTheme *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkViewTheme_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkViewTheme\nC++: vtkViewTheme *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPointSize",                (PyCFunction)PyvtkViewTheme_SetPointSize, 1,
   (char*)"V.SetPointSize(float)\nC++: void SetPointSize (double );\n\n The size of points or vertices\n"},
  {(char*)"GetPointSize",                (PyCFunction)PyvtkViewTheme_GetPointSize, 1,
   (char*)"V.GetPointSize() -> float\nC++: double GetPointSize ();\n\n The size of points or vertices\n"},
  {(char*)"SetLineWidth",                (PyCFunction)PyvtkViewTheme_SetLineWidth, 1,
   (char*)"V.SetLineWidth(float)\nC++: void SetLineWidth (double );\n\n The width of lines or edges\n"},
  {(char*)"GetLineWidth",                (PyCFunction)PyvtkViewTheme_GetLineWidth, 1,
   (char*)"V.GetLineWidth() -> float\nC++: double GetLineWidth ();\n\n The width of lines or edges\n"},
  {(char*)"SetPointColor",                (PyCFunction)PyvtkViewTheme_SetPointColor, 1,
   (char*)"V.SetPointColor(float, float, float)\nC++: void SetPointColor (double , double , double );\nV.SetPointColor((float, float, float))\nC++: void SetPointColor (double  a[3]);\n\n The color and opacity of points or vertices when not mapped through\n a lookup table.\n"},
  {(char*)"GetPointColor",                (PyCFunction)PyvtkViewTheme_GetPointColor, 1,
   (char*)"V.GetPointColor() -> (float, float, float)\nC++: double  *GetPointColor ();\n\n The color and opacity of points or vertices when not mapped through\n a lookup table.\n"},
  {(char*)"SetPointOpacity",                (PyCFunction)PyvtkViewTheme_SetPointOpacity, 1,
   (char*)"V.SetPointOpacity(float)\nC++: void SetPointOpacity (double );\n\n The color and opacity of points or vertices when not mapped through\n a lookup table.\n"},
  {(char*)"GetPointOpacity",                (PyCFunction)PyvtkViewTheme_GetPointOpacity, 1,
   (char*)"V.GetPointOpacity() -> float\nC++: double GetPointOpacity ();\n\n The color and opacity of points or vertices when not mapped through\n a lookup table.\n"},
  {(char*)"SetPointHueRange",                (PyCFunction)PyvtkViewTheme_SetPointHueRange, 1,
   (char*)"V.SetPointHueRange(float, float)\nC++: virtual void SetPointHueRange (double mn, double mx);\nV.SetPointHueRange((float, float))\nC++: virtual void SetPointHueRange (double rng[2]);\n\n The ranges to use in the point lookup table.\n You may also do this by accessing the point lookup table directly\n with GetPointLookupTable() and calling these methods.\n"},
  {(char*)"GetPointHueRange",                (PyCFunction)PyvtkViewTheme_GetPointHueRange, 1,
   (char*)"V.GetPointHueRange((float, float))\nC++: virtual void GetPointHueRange (double rng[2]);\n\n The ranges to use in the point lookup table.\n You may also do this by accessing the point lookup table directly\n with GetPointLookupTable() and calling these methods.\n"},
  {(char*)"SetPointSaturationRange",                (PyCFunction)PyvtkViewTheme_SetPointSaturationRange, 1,
   (char*)"V.SetPointSaturationRange(float, float)\nC++: virtual void SetPointSaturationRange (double mn, double mx);\nV.SetPointSaturationRange((float, float))\nC++: virtual void SetPointSaturationRange (double rng[2]);\n\n"},
  {(char*)"GetPointSaturationRange",                (PyCFunction)PyvtkViewTheme_GetPointSaturationRange, 1,
   (char*)"V.GetPointSaturationRange((float, float))\nC++: virtual void GetPointSaturationRange (double rng[2]);\n\n"},
  {(char*)"SetPointValueRange",                (PyCFunction)PyvtkViewTheme_SetPointValueRange, 1,
   (char*)"V.SetPointValueRange(float, float)\nC++: virtual void SetPointValueRange (double mn, double mx);\nV.SetPointValueRange((float, float))\nC++: virtual void SetPointValueRange (double rng[2]);\n\n"},
  {(char*)"GetPointValueRange",                (PyCFunction)PyvtkViewTheme_GetPointValueRange, 1,
   (char*)"V.GetPointValueRange((float, float))\nC++: virtual void GetPointValueRange (double rng[2]);\n\n"},
  {(char*)"SetPointAlphaRange",                (PyCFunction)PyvtkViewTheme_SetPointAlphaRange, 1,
   (char*)"V.SetPointAlphaRange(float, float)\nC++: virtual void SetPointAlphaRange (double mn, double mx);\nV.SetPointAlphaRange((float, float))\nC++: virtual void SetPointAlphaRange (double rng[2]);\n\n"},
  {(char*)"GetPointAlphaRange",                (PyCFunction)PyvtkViewTheme_GetPointAlphaRange, 1,
   (char*)"V.GetPointAlphaRange((float, float))\nC++: virtual void GetPointAlphaRange (double rng[2]);\n\n"},
  {(char*)"GetPointLookupTable",                (PyCFunction)PyvtkViewTheme_GetPointLookupTable, 1,
   (char*)"V.GetPointLookupTable() -> vtkScalarsToColors\nC++: vtkScalarsToColors *GetPointLookupTable ();\n\n Set/Get the point lookup table.\n"},
  {(char*)"SetPointLookupTable",                (PyCFunction)PyvtkViewTheme_SetPointLookupTable, 1,
   (char*)"V.SetPointLookupTable(vtkScalarsToColors)\nC++: virtual void SetPointLookupTable (vtkScalarsToColors *lut);\n\n Set/Get the point lookup table.\n"},
  {(char*)"SetScalePointLookupTable",                (PyCFunction)PyvtkViewTheme_SetScalePointLookupTable, 1,
   (char*)"V.SetScalePointLookupTable(bool)\nC++: void SetScalePointLookupTable (bool );\n\n Whether to scale the lookup table to fit the range of the data.\n"},
  {(char*)"GetScalePointLookupTable",                (PyCFunction)PyvtkViewTheme_GetScalePointLookupTable, 1,
   (char*)"V.GetScalePointLookupTable() -> bool\nC++: bool GetScalePointLookupTable ();\n\n Whether to scale the lookup table to fit the range of the data.\n"},
  {(char*)"ScalePointLookupTableOn",                (PyCFunction)PyvtkViewTheme_ScalePointLookupTableOn, 1,
   (char*)"V.ScalePointLookupTableOn()\nC++: void ScalePointLookupTableOn ();\n\n Whether to scale the lookup table to fit the range of the data.\n"},
  {(char*)"ScalePointLookupTableOff",                (PyCFunction)PyvtkViewTheme_ScalePointLookupTableOff, 1,
   (char*)"V.ScalePointLookupTableOff()\nC++: void ScalePointLookupTableOff ();\n\n Whether to scale the lookup table to fit the range of the data.\n"},
  {(char*)"SetCellColor",                (PyCFunction)PyvtkViewTheme_SetCellColor, 1,
   (char*)"V.SetCellColor(float, float, float)\nC++: void SetCellColor (double , double , double );\nV.SetCellColor((float, float, float))\nC++: void SetCellColor (double  a[3]);\n\n The color and opacity of cells or edges when not mapped through\n a lookup table.\n"},
  {(char*)"GetCellColor",                (PyCFunction)PyvtkViewTheme_GetCellColor, 1,
   (char*)"V.GetCellColor() -> (float, float, float)\nC++: double  *GetCellColor ();\n\n The color and opacity of cells or edges when not mapped through\n a lookup table.\n"},
  {(char*)"SetCellOpacity",                (PyCFunction)PyvtkViewTheme_SetCellOpacity, 1,
   (char*)"V.SetCellOpacity(float)\nC++: void SetCellOpacity (double );\n\n The color and opacity of cells or edges when not mapped through\n a lookup table.\n"},
  {(char*)"GetCellOpacity",                (PyCFunction)PyvtkViewTheme_GetCellOpacity, 1,
   (char*)"V.GetCellOpacity() -> float\nC++: double GetCellOpacity ();\n\n The color and opacity of cells or edges when not mapped through\n a lookup table.\n"},
  {(char*)"SetCellHueRange",                (PyCFunction)PyvtkViewTheme_SetCellHueRange, 1,
   (char*)"V.SetCellHueRange(float, float)\nC++: virtual void SetCellHueRange (double mn, double mx);\nV.SetCellHueRange((float, float))\nC++: virtual void SetCellHueRange (double rng[2]);\n\n The ranges to use in the cell lookup table.\n You may also do this by accessing the cell lookup table directly\n with GetCellLookupTable() and calling these methods.\n"},
  {(char*)"GetCellHueRange",                (PyCFunction)PyvtkViewTheme_GetCellHueRange, 1,
   (char*)"V.GetCellHueRange((float, float))\nC++: virtual void GetCellHueRange (double rng[2]);\n\n The ranges to use in the cell lookup table.\n You may also do this by accessing the cell lookup table directly\n with GetCellLookupTable() and calling these methods.\n"},
  {(char*)"SetCellSaturationRange",                (PyCFunction)PyvtkViewTheme_SetCellSaturationRange, 1,
   (char*)"V.SetCellSaturationRange(float, float)\nC++: virtual void SetCellSaturationRange (double mn, double mx);\nV.SetCellSaturationRange((float, float))\nC++: virtual void SetCellSaturationRange (double rng[2]);\n\n"},
  {(char*)"GetCellSaturationRange",                (PyCFunction)PyvtkViewTheme_GetCellSaturationRange, 1,
   (char*)"V.GetCellSaturationRange((float, float))\nC++: virtual void GetCellSaturationRange (double rng[2]);\n\n"},
  {(char*)"SetCellValueRange",                (PyCFunction)PyvtkViewTheme_SetCellValueRange, 1,
   (char*)"V.SetCellValueRange(float, float)\nC++: virtual void SetCellValueRange (double mn, double mx);\nV.SetCellValueRange((float, float))\nC++: virtual void SetCellValueRange (double rng[2]);\n\n"},
  {(char*)"GetCellValueRange",                (PyCFunction)PyvtkViewTheme_GetCellValueRange, 1,
   (char*)"V.GetCellValueRange((float, float))\nC++: virtual void GetCellValueRange (double rng[2]);\n\n"},
  {(char*)"SetCellAlphaRange",                (PyCFunction)PyvtkViewTheme_SetCellAlphaRange, 1,
   (char*)"V.SetCellAlphaRange(float, float)\nC++: virtual void SetCellAlphaRange (double mn, double mx);\nV.SetCellAlphaRange((float, float))\nC++: virtual void SetCellAlphaRange (double rng[2]);\n\n"},
  {(char*)"GetCellAlphaRange",                (PyCFunction)PyvtkViewTheme_GetCellAlphaRange, 1,
   (char*)"V.GetCellAlphaRange((float, float))\nC++: virtual void GetCellAlphaRange (double rng[2]);\n\n"},
  {(char*)"GetCellLookupTable",                (PyCFunction)PyvtkViewTheme_GetCellLookupTable, 1,
   (char*)"V.GetCellLookupTable() -> vtkScalarsToColors\nC++: vtkScalarsToColors *GetCellLookupTable ();\n\n Set/Get the cell lookup table.\n"},
  {(char*)"SetCellLookupTable",                (PyCFunction)PyvtkViewTheme_SetCellLookupTable, 1,
   (char*)"V.SetCellLookupTable(vtkScalarsToColors)\nC++: virtual void SetCellLookupTable (vtkScalarsToColors *lut);\n\n Set/Get the cell lookup table.\n"},
  {(char*)"SetScaleCellLookupTable",                (PyCFunction)PyvtkViewTheme_SetScaleCellLookupTable, 1,
   (char*)"V.SetScaleCellLookupTable(bool)\nC++: void SetScaleCellLookupTable (bool );\n\n Whether to scale the lookup table to fit the range of the data.\n"},
  {(char*)"GetScaleCellLookupTable",                (PyCFunction)PyvtkViewTheme_GetScaleCellLookupTable, 1,
   (char*)"V.GetScaleCellLookupTable() -> bool\nC++: bool GetScaleCellLookupTable ();\n\n Whether to scale the lookup table to fit the range of the data.\n"},
  {(char*)"ScaleCellLookupTableOn",                (PyCFunction)PyvtkViewTheme_ScaleCellLookupTableOn, 1,
   (char*)"V.ScaleCellLookupTableOn()\nC++: void ScaleCellLookupTableOn ();\n\n Whether to scale the lookup table to fit the range of the data.\n"},
  {(char*)"ScaleCellLookupTableOff",                (PyCFunction)PyvtkViewTheme_ScaleCellLookupTableOff, 1,
   (char*)"V.ScaleCellLookupTableOff()\nC++: void ScaleCellLookupTableOff ();\n\n Whether to scale the lookup table to fit the range of the data.\n"},
  {(char*)"SetOutlineColor",                (PyCFunction)PyvtkViewTheme_SetOutlineColor, 1,
   (char*)"V.SetOutlineColor(float, float, float)\nC++: void SetOutlineColor (double , double , double );\nV.SetOutlineColor((float, float, float))\nC++: void SetOutlineColor (double  a[3]);\n\n The color of any outlines in the view.\n"},
  {(char*)"GetOutlineColor",                (PyCFunction)PyvtkViewTheme_GetOutlineColor, 1,
   (char*)"V.GetOutlineColor() -> (float, float, float)\nC++: double  *GetOutlineColor ();\n\n The color of any outlines in the view.\n"},
  {(char*)"SetSelectedPointColor",                (PyCFunction)PyvtkViewTheme_SetSelectedPointColor, 1,
   (char*)"V.SetSelectedPointColor(float, float, float)\nC++: void SetSelectedPointColor (double , double , double );\nV.SetSelectedPointColor((float, float, float))\nC++: void SetSelectedPointColor (double  a[3]);\n\n The color of selected points or vertices.\n"},
  {(char*)"GetSelectedPointColor",                (PyCFunction)PyvtkViewTheme_GetSelectedPointColor, 1,
   (char*)"V.GetSelectedPointColor() -> (float, float, float)\nC++: double  *GetSelectedPointColor ();\n\n The color of selected points or vertices.\n"},
  {(char*)"SetSelectedPointOpacity",                (PyCFunction)PyvtkViewTheme_SetSelectedPointOpacity, 1,
   (char*)"V.SetSelectedPointOpacity(float)\nC++: void SetSelectedPointOpacity (double );\n\n The color of selected points or vertices.\n"},
  {(char*)"GetSelectedPointOpacity",                (PyCFunction)PyvtkViewTheme_GetSelectedPointOpacity, 1,
   (char*)"V.GetSelectedPointOpacity() -> float\nC++: double GetSelectedPointOpacity ();\n\n The color of selected points or vertices.\n"},
  {(char*)"SetSelectedCellColor",                (PyCFunction)PyvtkViewTheme_SetSelectedCellColor, 1,
   (char*)"V.SetSelectedCellColor(float, float, float)\nC++: void SetSelectedCellColor (double , double , double );\nV.SetSelectedCellColor((float, float, float))\nC++: void SetSelectedCellColor (double  a[3]);\n\n The color of selected cells or edges.\n"},
  {(char*)"GetSelectedCellColor",                (PyCFunction)PyvtkViewTheme_GetSelectedCellColor, 1,
   (char*)"V.GetSelectedCellColor() -> (float, float, float)\nC++: double  *GetSelectedCellColor ();\n\n The color of selected cells or edges.\n"},
  {(char*)"SetSelectedCellOpacity",                (PyCFunction)PyvtkViewTheme_SetSelectedCellOpacity, 1,
   (char*)"V.SetSelectedCellOpacity(float)\nC++: void SetSelectedCellOpacity (double );\n\n The color of selected cells or edges.\n"},
  {(char*)"GetSelectedCellOpacity",                (PyCFunction)PyvtkViewTheme_GetSelectedCellOpacity, 1,
   (char*)"V.GetSelectedCellOpacity() -> float\nC++: double GetSelectedCellOpacity ();\n\n The color of selected cells or edges.\n"},
  {(char*)"SetBackgroundColor",                (PyCFunction)PyvtkViewTheme_SetBackgroundColor, 1,
   (char*)"V.SetBackgroundColor(float, float, float)\nC++: void SetBackgroundColor (double , double , double );\nV.SetBackgroundColor((float, float, float))\nC++: void SetBackgroundColor (double  a[3]);\n\n The view background color.\n"},
  {(char*)"GetBackgroundColor",                (PyCFunction)PyvtkViewTheme_GetBackgroundColor, 1,
   (char*)"V.GetBackgroundColor() -> (float, float, float)\nC++: double  *GetBackgroundColor ();\n\n The view background color.\n"},
  {(char*)"SetBackgroundColor2",                (PyCFunction)PyvtkViewTheme_SetBackgroundColor2, 1,
   (char*)"V.SetBackgroundColor2(float, float, float)\nC++: void SetBackgroundColor2 (double , double , double );\nV.SetBackgroundColor2((float, float, float))\nC++: void SetBackgroundColor2 (double  a[3]);\n\n The second background color (for gradients).\n"},
  {(char*)"GetBackgroundColor2",                (PyCFunction)PyvtkViewTheme_GetBackgroundColor2, 1,
   (char*)"V.GetBackgroundColor2() -> (float, float, float)\nC++: double  *GetBackgroundColor2 ();\n\n The second background color (for gradients).\n"},
  {(char*)"SetPointTextProperty",                (PyCFunction)PyvtkViewTheme_SetPointTextProperty, 1,
   (char*)"V.SetPointTextProperty(vtkTextProperty)\nC++: virtual void SetPointTextProperty (vtkTextProperty *tprop);\n\n The text property to use for labelling points/vertices.\n"},
  {(char*)"GetPointTextProperty",                (PyCFunction)PyvtkViewTheme_GetPointTextProperty, 1,
   (char*)"V.GetPointTextProperty() -> vtkTextProperty\nC++: vtkTextProperty *GetPointTextProperty ();\n\n The text property to use for labelling points/vertices.\n"},
  {(char*)"SetCellTextProperty",                (PyCFunction)PyvtkViewTheme_SetCellTextProperty, 1,
   (char*)"V.SetCellTextProperty(vtkTextProperty)\nC++: virtual void SetCellTextProperty (vtkTextProperty *tprop);\n\n The text property to use for labelling edges/cells.\n"},
  {(char*)"GetCellTextProperty",                (PyCFunction)PyvtkViewTheme_GetCellTextProperty, 1,
   (char*)"V.GetCellTextProperty() -> vtkTextProperty\nC++: vtkTextProperty *GetCellTextProperty ();\n\n The text property to use for labelling edges/cells.\n"},
  {(char*)"SetVertexLabelColor",                (PyCFunction)PyvtkViewTheme_SetVertexLabelColor, 1,
   (char*)"V.SetVertexLabelColor(float, float, float)\nC++: virtual void SetVertexLabelColor (double r, double g, double b);\nV.SetVertexLabelColor((float, float, float))\nC++: virtual void SetVertexLabelColor (double c[3]);this SetVertexLabelColor c c c \n\n The color to use for labelling graph vertices.\n This is deprecated. Use GetPointTextProperty()->SetColor() instead.\n"},
  {(char*)"GetVertexLabelColor",                (PyCFunction)PyvtkViewTheme_GetVertexLabelColor, 1,
   (char*)"V.GetVertexLabelColor((float, float, float))\nC++: virtual void GetVertexLabelColor (double c[3]);this GetVertexLabelColor c c c \n\n The color to use for labelling graph edges.\n This is deprecated. Use GetCellTextProperty()->SetColor() instead.\n"},
  {(char*)"SetEdgeLabelColor",                (PyCFunction)PyvtkViewTheme_SetEdgeLabelColor, 1,
   (char*)"V.SetEdgeLabelColor(float, float, float)\nC++: virtual void SetEdgeLabelColor (double r, double g, double b);\nV.SetEdgeLabelColor((float, float, float))\nC++: virtual void SetEdgeLabelColor (double c[3]);this SetEdgeLabelColor c c c \n\n The color to use for labelling graph edges.\n This is deprecated. Use GetCellTextProperty()->SetColor() instead.\n"},
  {(char*)"GetEdgeLabelColor",                (PyCFunction)PyvtkViewTheme_GetEdgeLabelColor, 1,
   (char*)"V.GetEdgeLabelColor((float, float, float))\nC++: virtual void GetEdgeLabelColor (double c[3]);this GetEdgeLabelColor c c c \n\n Convenience methods for creating some default view themes.\n The return reference is reference-counted, so you will have to call\n Delete() on the reference when you are finished with it.\n"},
  {(char*)"CreateOceanTheme",                (PyCFunction)PyvtkViewTheme_CreateOceanTheme, 1,
   (char*)"V.CreateOceanTheme() -> vtkViewTheme\nC++: static vtkViewTheme *CreateOceanTheme ();\n\n Convenience methods for creating some default view themes.\n The return reference is reference-counted, so you will have to call\n Delete() on the reference when you are finished with it.\n"},
  {(char*)"CreateMellowTheme",                (PyCFunction)PyvtkViewTheme_CreateMellowTheme, 1,
   (char*)"V.CreateMellowTheme() -> vtkViewTheme\nC++: static vtkViewTheme *CreateMellowTheme ();\n\n Convenience methods for creating some default view themes.\n The return reference is reference-counted, so you will have to call\n Delete() on the reference when you are finished with it.\n"},
  {(char*)"CreateNeonTheme",                (PyCFunction)PyvtkViewTheme_CreateNeonTheme, 1,
   (char*)"V.CreateNeonTheme() -> vtkViewTheme\nC++: static vtkViewTheme *CreateNeonTheme ();\n\n Convenience methods for creating some default view themes.\n The return reference is reference-counted, so you will have to call\n Delete() on the reference when you are finished with it.\n"},
  {(char*)"LookupMatchesPointTheme",                (PyCFunction)PyvtkViewTheme_LookupMatchesPointTheme, 1,
   (char*)"V.LookupMatchesPointTheme(vtkScalarsToColors) -> bool\nC++: bool LookupMatchesPointTheme (vtkScalarsToColors *s2c);\n\n Whether a given lookup table matches the point or cell theme of this\n theme.\n"},
  {(char*)"LookupMatchesCellTheme",                (PyCFunction)PyvtkViewTheme_LookupMatchesCellTheme, 1,
   (char*)"V.LookupMatchesCellTheme(vtkScalarsToColors) -> bool\nC++: bool LookupMatchesCellTheme (vtkScalarsToColors *s2c);\n\n Whether a given lookup table matches the point or cell theme of this\n theme.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkViewThemeDoc[] = {
  (char*)"vtkViewTheme - Sets theme colors for a graphical view.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" This may be set on any subclass of vtkView.  The view class will attempt\n to use the values set in the theme to customize the view.  Views will not\n generally use every aspect of the theme.\n NOTICE: This class will be deprecated in favor of a more robust\n solution based on style sheets.  Do not become overly-dependent on the\n functionality of themes.\n\n",
  NULL
};

static vtkObjectBase *vtkViewThemeStaticNew()
{
  return vtkViewTheme::New();
}

PyObject *PyVTKClass_vtkViewThemeNew(char *modulename)
{
  return PyVTKClass_New(&vtkViewThemeStaticNew,
                        PyvtkViewThemeMethods,
                        (char*)"vtkViewTheme",modulename,
                        (char**)vtkViewThemeDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

