// python wrapper for vtkVolumetricPass object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkVolumetricPass.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkVolumetricPassNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkVolumetricPassNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDefaultPassNew(char *); }

static PyObject *PyvtkVolumetricPass_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumetricPass *op;

  const char    *temp20;
  op = (vtkVolumetricPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumetricPass::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumetricPass_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumetricPass *op;

  char    *temp0;
  int      temp20;
  op = (vtkVolumetricPass *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumetricPass::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumetricPass_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumetricPass *op;

  vtkVolumetricPass  *temp20;
  op = (vtkVolumetricPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumetricPass::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumetricPass_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkVolumetricPass  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkVolumetricPass::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkVolumetricPassMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkVolumetricPass_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkVolumetricPass_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkVolumetricPass_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkVolumetricPass\nC++: vtkVolumetricPass *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkVolumetricPass_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkVolumetricPass\nC++: vtkVolumetricPass *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkVolumetricPassDoc[] = {
  (char*)"vtkVolumetricPass - Render the volumetric geometry with property key\n\n",
  "Super Class:\n\n vtkDefaultPass\n\n",
  (char*)" vtkVolumetricPass renders the volumetric geometry of all the props that\n have the keys contained in vtkRenderState.\n\n This pass expects an initialized depth buffer and color buffer.\n Initialized buffers means they have been cleared with farest z-value and\n background color/gradient/transparent color.\n \n\n",
  "See Also:\n\n vtkRenderPass vtkDefaultPass\n\n",
  NULL
};

static vtkObjectBase *vtkVolumetricPassStaticNew()
{
  return vtkVolumetricPass::New();
}

PyObject *PyVTKClass_vtkVolumetricPassNew(char *modulename)
{
  return PyVTKClass_New(&vtkVolumetricPassStaticNew,
                        PyvtkVolumetricPassMethods,
                        (char*)"vtkVolumetricPass",modulename,
                        (char**)vtkVolumetricPassDoc,
                        PyVTKClass_vtkDefaultPassNew(modulename));
}

