// python wrapper for vtkXGPUInfoList object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkXGPUInfoList.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXGPUInfoListNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXGPUInfoListNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGPUInfoListNew(char *); }

static PyObject *PyvtkXGPUInfoList_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXGPUInfoList *op;

  const char    *temp20;
  op = (vtkXGPUInfoList *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXGPUInfoList::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXGPUInfoList_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXGPUInfoList *op;

  char    *temp0;
  int      temp20;
  op = (vtkXGPUInfoList *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXGPUInfoList::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXGPUInfoList_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXGPUInfoList *op;

  vtkXGPUInfoList  *temp20;
  op = (vtkXGPUInfoList *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXGPUInfoList::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXGPUInfoList_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXGPUInfoList  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXGPUInfoList::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkXGPUInfoList_Probe(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXGPUInfoList *op;

  op = (vtkXGPUInfoList *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXGPUInfoList::Probe();
      }
    else
      {
      op->Probe();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXGPUInfoListMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXGPUInfoList_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXGPUInfoList_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXGPUInfoList_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXGPUInfoList\nC++: vtkXGPUInfoList *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXGPUInfoList_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXGPUInfoList\nC++: vtkXGPUInfoList *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Probe",                (PyCFunction)PyvtkXGPUInfoList_Probe, 1,
   (char*)"V.Probe()\nC++: virtual void Probe ();\n\n Build the list of vtkInfoGPU if not done yet.\n \\post probed: IsProbed()\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXGPUInfoListDoc[] = {
  (char*)"vtkXGPUInfoList - Get GPUs VRAM information using X server\n\n",
  "Super Class:\n\n vtkGPUInfoList\n\n",
  (char*)" vtkXGPUInfoList implements Probe() method of vtkGPUInfoList\n through some X server extensions API. NV-CONTROL for Nvidia.\n ATIFGLEXTENSION for ATI is not supported yet.\n There is no support for other vendors.\n\n",
  "See Also:\n\n vtkGPUInfo vtkGPUInfoList\n\n",
  NULL
};

static vtkObjectBase *vtkXGPUInfoListStaticNew()
{
  return vtkXGPUInfoList::New();
}

PyObject *PyVTKClass_vtkXGPUInfoListNew(char *modulename)
{
  return PyVTKClass_New(&vtkXGPUInfoListStaticNew,
                        PyvtkXGPUInfoListMethods,
                        (char*)"vtkXGPUInfoList",modulename,
                        (char**)vtkXGPUInfoListDoc,
                        PyVTKClass_vtkGPUInfoListNew(modulename));
}

