// python wrapper for vtkConcatenateArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkConcatenateArray.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkConcatenateArrayNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkConcatenateArrayNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkArrayDataAlgorithmNew(char *); }

static PyObject *PyvtkConcatenateArray_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConcatenateArray *op;

  const char    *temp20;
  op = (vtkConcatenateArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConcatenateArray::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkConcatenateArray_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConcatenateArray *op;

  char    *temp0;
  int      temp20;
  op = (vtkConcatenateArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConcatenateArray::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConcatenateArray_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConcatenateArray *op;

  vtkConcatenateArray  *temp20;
  op = (vtkConcatenateArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConcatenateArray::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConcatenateArray_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkConcatenateArray  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkConcatenateArray::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkConcatenateArray_GetAdjacentDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConcatenateArray *op;

  vtkIdType   temp20;
  op = (vtkConcatenateArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConcatenateArray::GetAdjacentDimension();
      }
    else
      {
      temp20 = op->GetAdjacentDimension();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConcatenateArray_SetAdjacentDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConcatenateArray *op;

  vtkIdType   temp0;
  op = (vtkConcatenateArray *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConcatenateArray::SetAdjacentDimension(temp0);
      }
    else
      {
      op->SetAdjacentDimension(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkConcatenateArrayMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkConcatenateArray_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkConcatenateArray_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkConcatenateArray_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkConcatenateArray\nC++: vtkConcatenateArray *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkConcatenateArray_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkConcatenateArray\nC++: vtkConcatenateArray *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetAdjacentDimension",                (PyCFunction)PyvtkConcatenateArray_GetAdjacentDimension, 1,
   (char*)"V.GetAdjacentDimension() -> int\nC++: vtkIdType GetAdjacentDimension ();\n\n Controls the 0-numbered dimension along-which the arrays will be concatenated.\n Default: 0\n"},
  {(char*)"SetAdjacentDimension",                (PyCFunction)PyvtkConcatenateArray_SetAdjacentDimension, 1,
   (char*)"V.SetAdjacentDimension(int)\nC++: void SetAdjacentDimension (vtkIdType );\n\n Controls the 0-numbered dimension along-which the arrays will be concatenated.\n Default: 0\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkConcatenateArrayDoc[] = {
  (char*)"vtkConcatenateArray - Merge two arrays into one.\n\n",
  "Super Class:\n\n vtkArrayDataAlgorithm\n\n",
  (char*)" Given two input arrays of arbitrary dimension, creates a single, larger output\n array that contains both.  The input arrays will be adjacent to each other within\n the combined output array.\n\n The adjacent dimension can be specified so that e.g: you can control whether two\n matrices are combined row-wise or column-wise.\n\n Both arrays must have the same number of dimensions.  The array extents alon",
  (char*)"g the\n adjacent dimension may be different, but all other dimensions must have identical\n extents.\n\n .SECTION Thanks\n Developed by Timothy M. Shead (tshead@sandia.gov) at Sandia National Laboratories.\n\n",
  NULL
};

static vtkObjectBase *vtkConcatenateArrayStaticNew()
{
  return vtkConcatenateArray::New();
}

PyObject *PyVTKClass_vtkConcatenateArrayNew(char *modulename)
{
  return PyVTKClass_New(&vtkConcatenateArrayStaticNew,
                        PyvtkConcatenateArrayMethods,
                        (char*)"vtkConcatenateArray",modulename,
                        (char**)vtkConcatenateArrayDoc,
                        PyVTKClass_vtkArrayDataAlgorithmNew(modulename));
}

