// python wrapper for vtkDocumentReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDocumentReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDocumentReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDocumentReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(char *); }

static PyObject *PyvtkDocumentReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDocumentReader *op;

  const char    *temp20;
  op = (vtkDocumentReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDocumentReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDocumentReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDocumentReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkDocumentReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDocumentReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDocumentReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDocumentReader *op;

  vtkDocumentReader  *temp20;
  op = (vtkDocumentReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDocumentReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDocumentReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDocumentReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDocumentReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDocumentReader_AddFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDocumentReader *op;

  char    *temp0;
  op = (vtkDocumentReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDocumentReader::AddFile(temp0);
      }
    else
      {
      op->AddFile(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkDocumentReader *op;

  char    *temp0;
  PyErr_Clear();
  op = (vtkDocumentReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDocumentReader::AddFile(temp0);
      }
    else
      {
      op->AddFile(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDocumentReader_ClearFiles(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDocumentReader *op;

  op = (vtkDocumentReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDocumentReader::ClearFiles();
      }
    else
      {
      op->ClearFiles();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDocumentReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDocumentReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDocumentReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDocumentReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDocumentReader\nC++: vtkDocumentReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDocumentReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDocumentReader\nC++: vtkDocumentReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddFile",                (PyCFunction)PyvtkDocumentReader_AddFile, 1,
   (char*)"V.AddFile(string)\nC++: void AddFile (const char *file);\nV.AddFile(string)\nC++: void AddFile (const vtkStdString &file);\n\n Add a file to be loaded.\n"},
  {(char*)"ClearFiles",                (PyCFunction)PyvtkDocumentReader_ClearFiles, 1,
   (char*)"V.ClearFiles()\nC++: void ClearFiles ();\n\n Clear the list of files to be loaded.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDocumentReaderDoc[] = {
  (char*)"vtkDocumentReader - Reads documents into memory for text analysis.\n\n",
  "Super Class:\n\n vtkTableAlgorithm\n\n",
  (char*)" Reads zero-to-many documents into memory, producing a vtkTable suitable\n for use as an input to other VTK text analysis filters.\n\n Parameters:\n   \"Files\": a collection of filesystem paths to be loaded.\n\n Outputs:\n   Output port 0: A vtkTable containing \"document\", \"uri\", and \"content\" columns.\n\n The output \"document\" column will contain a zero-based integer document index;\n \"uri\" will contain the",
  (char*)" filepath to the document formatted as a file:// URI;\n \"contents\" will contain the binary contents of the document.\n\n\n",
  "Caveats:\n\n As a workaround, vtkDocumentReader stores the contents of each document\n in the \"contents\" column, which is a vtkStdString array.  Note that the\n contents of a document may actually be binary data, so check the MIME-Type\n before treating the contents as a string.\n\n .SECTION Thanks\n Developed by Timothy M. Shead (tshead@sandia.gov) at Sandia National Laboratories.\n\n",
  NULL
};

static vtkObjectBase *vtkDocumentReaderStaticNew()
{
  return vtkDocumentReader::New();
}

PyObject *PyVTKClass_vtkDocumentReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkDocumentReaderStaticNew,
                        PyvtkDocumentReaderMethods,
                        (char*)"vtkDocumentReader",modulename,
                        (char**)vtkDocumentReaderDoc,
                        PyVTKClass_vtkTableAlgorithmNew(modulename));
}

