// python wrapper for vtkEntropyMatrixWeighting object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkEntropyMatrixWeighting.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkEntropyMatrixWeightingNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkEntropyMatrixWeightingNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkArrayDataAlgorithmNew(char *); }

static PyObject *PyvtkEntropyMatrixWeighting_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEntropyMatrixWeighting *op;

  const char    *temp20;
  op = (vtkEntropyMatrixWeighting *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEntropyMatrixWeighting::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkEntropyMatrixWeighting_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEntropyMatrixWeighting *op;

  char    *temp0;
  int      temp20;
  op = (vtkEntropyMatrixWeighting *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEntropyMatrixWeighting::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEntropyMatrixWeighting_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEntropyMatrixWeighting *op;

  vtkEntropyMatrixWeighting  *temp20;
  op = (vtkEntropyMatrixWeighting *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEntropyMatrixWeighting::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEntropyMatrixWeighting_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkEntropyMatrixWeighting  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkEntropyMatrixWeighting::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkEntropyMatrixWeighting_GetFeatureDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEntropyMatrixWeighting *op;

  int      temp20;
  op = (vtkEntropyMatrixWeighting *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEntropyMatrixWeighting::GetFeatureDimension();
      }
    else
      {
      temp20 = op->GetFeatureDimension();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEntropyMatrixWeighting_SetFeatureDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEntropyMatrixWeighting *op;

  int      temp0;
  op = (vtkEntropyMatrixWeighting *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEntropyMatrixWeighting::SetFeatureDimension(temp0);
      }
    else
      {
      op->SetFeatureDimension(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkEntropyMatrixWeightingMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkEntropyMatrixWeighting_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkEntropyMatrixWeighting_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkEntropyMatrixWeighting_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkEntropyMatrixWeighting\nC++: vtkEntropyMatrixWeighting *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkEntropyMatrixWeighting_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkEntropyMatrixWeighting\nC++: vtkEntropyMatrixWeighting *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetFeatureDimension",                (PyCFunction)PyvtkEntropyMatrixWeighting_GetFeatureDimension, 1,
   (char*)"V.GetFeatureDimension() -> int\nC++: int GetFeatureDimension ();\n\n Controls the feature dimension.  Default: 0\n"},
  {(char*)"SetFeatureDimension",                (PyCFunction)PyvtkEntropyMatrixWeighting_SetFeatureDimension, 1,
   (char*)"V.SetFeatureDimension(int)\nC++: void SetFeatureDimension (int );\n\n Controls the feature dimension.  Default: 0\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkEntropyMatrixWeightingDoc[] = {
  (char*)"vtkEntropyMatrixWeighting - Term weight strategy where every term has weight related to its entropy\n\n",
  "Super Class:\n\n vtkArrayDataAlgorithm\n\n",
  (char*)"\n This filter assigns to all terms weight between 0 and 1 where 1\n indicates maximum information content and 0 indicates a term that\n may safely be used to line the birdcage.\n\n .SECTION Thanks\n Developed by Timothy M. Shead (tshead@sandia.gov) at Sandia National Laboratories.\n\n",
  NULL
};

static vtkObjectBase *vtkEntropyMatrixWeightingStaticNew()
{
  return vtkEntropyMatrixWeighting::New();
}

PyObject *PyVTKClass_vtkEntropyMatrixWeightingNew(char *modulename)
{
  return PyVTKClass_New(&vtkEntropyMatrixWeightingStaticNew,
                        PyvtkEntropyMatrixWeightingMethods,
                        (char*)"vtkEntropyMatrixWeighting",modulename,
                        (char**)vtkEntropyMatrixWeightingDoc,
                        PyVTKClass_vtkArrayDataAlgorithmNew(modulename));
}

