// python wrapper for vtkExtractSelectedSlices object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkExtractSelectedSlices.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExtractSelectedSlicesNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExtractSelectedSlicesNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkArrayDataAlgorithmNew(char *); }

static PyObject *PyvtkExtractSelectedSlices_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedSlices *op;

  const char    *temp20;
  op = (vtkExtractSelectedSlices *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectedSlices::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedSlices_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedSlices *op;

  char    *temp0;
  int      temp20;
  op = (vtkExtractSelectedSlices *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectedSlices::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedSlices_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedSlices *op;

  vtkExtractSelectedSlices  *temp20;
  op = (vtkExtractSelectedSlices *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectedSlices::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedSlices_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExtractSelectedSlices  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExtractSelectedSlices::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkExtractSelectedSlices_GetSliceDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedSlices *op;

  int      temp20;
  op = (vtkExtractSelectedSlices *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectedSlices::GetSliceDimension();
      }
    else
      {
      temp20 = op->GetSliceDimension();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedSlices_SetSliceDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedSlices *op;

  int      temp0;
  op = (vtkExtractSelectedSlices *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractSelectedSlices::SetSliceDimension(temp0);
      }
    else
      {
      op->SetSliceDimension(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkExtractSelectedSlicesMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExtractSelectedSlices_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExtractSelectedSlices_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExtractSelectedSlices_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExtractSelectedSlices\nC++: vtkExtractSelectedSlices *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExtractSelectedSlices_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExtractSelectedSlices\nC++: vtkExtractSelectedSlices *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetSliceDimension",                (PyCFunction)PyvtkExtractSelectedSlices_GetSliceDimension, 1,
   (char*)"V.GetSliceDimension() -> int\nC++: int GetSliceDimension ();\n\n Controls the dimension along which slices will be extracted.  Default: 0\n"},
  {(char*)"SetSliceDimension",                (PyCFunction)PyvtkExtractSelectedSlices_SetSliceDimension, 1,
   (char*)"V.SetSliceDimension(int)\nC++: void SetSliceDimension (int );\n\n Controls the dimension along which slices will be extracted.  Default: 0\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExtractSelectedSlicesDoc[] = {
  (char*)"vtkExtractSelectedSlices - Extract selected slices from a vtkArray\n\n",
  "Super Class:\n\n vtkArrayDataAlgorithm\n\n",
  (char*)"None provided.\n\n",
  "Caveats:\n\n Only works with vtkSparseArray<double>, this needs to be generalized.\n\n .SECTION Thanks\n Developed by Timothy M. Shead (tshead@sandia.gov) at Sandia National Laboratories.\n\n",
  NULL
};

static vtkObjectBase *vtkExtractSelectedSlicesStaticNew()
{
  return vtkExtractSelectedSlices::New();
}

PyObject *PyVTKClass_vtkExtractSelectedSlicesNew(char *modulename)
{
  return PyVTKClass_New(&vtkExtractSelectedSlicesStaticNew,
                        PyvtkExtractSelectedSlicesMethods,
                        (char*)"vtkExtractSelectedSlices",modulename,
                        (char**)vtkExtractSelectedSlicesDoc,
                        PyVTKClass_vtkArrayDataAlgorithmNew(modulename));
}

