// python wrapper for vtkFeatureDictionary object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkFeatureDictionary.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkFeatureDictionaryNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkFeatureDictionaryNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(char *); }

static PyObject *PyvtkFeatureDictionary_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFeatureDictionary *op;

  const char    *temp20;
  op = (vtkFeatureDictionary *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFeatureDictionary::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFeatureDictionary_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFeatureDictionary *op;

  char    *temp0;
  int      temp20;
  op = (vtkFeatureDictionary *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFeatureDictionary::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFeatureDictionary_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFeatureDictionary *op;

  vtkFeatureDictionary  *temp20;
  op = (vtkFeatureDictionary *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFeatureDictionary::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFeatureDictionary_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkFeatureDictionary  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkFeatureDictionary::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkFeatureDictionaryMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkFeatureDictionary_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkFeatureDictionary_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkFeatureDictionary_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkFeatureDictionary\nC++: vtkFeatureDictionary *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkFeatureDictionary_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkFeatureDictionary\nC++: vtkFeatureDictionary *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkFeatureDictionaryDoc[] = {
  (char*)"vtkFeatureDictionary - Generates a dictionary of unique terms.\n\n",
  "Super Class:\n\n vtkTableAlgorithm\n\n",
  (char*)" vtkFeatureDictionary reorganizes a table containing (potentially duplicated) terms into\n a dictionary where every term appears exactly once.\n\n Inputs:\n   Input port 0: (required) A vtkTable containing \"type\" and \"text\" columns.\n\n Outputs:\n   Output port 0: A vtkTable containing \"type\" and \"text\" columns where each\n     input term appears exactly once.\n\n Use SetInputArrayToProcess(0, ...) to speci",
  (char*)"fy the input \"type\" array.\n Use SetInputArrayToProcess(1, ...) to specify the input \"text\" array.\n\n\n",
  "See Also:\n\n vtkPTermDictionary\n\n .SECTION Thanks\n Developed by Timothy M. Shead (tshead@sandia.gov) at Sandia National Laboratories.\n\n",
  NULL
};

static vtkObjectBase *vtkFeatureDictionaryStaticNew()
{
  return vtkFeatureDictionary::New();
}

PyObject *PyVTKClass_vtkFeatureDictionaryNew(char *modulename)
{
  return PyVTKClass_New(&vtkFeatureDictionaryStaticNew,
                        PyvtkFeatureDictionaryMethods,
                        (char*)"vtkFeatureDictionary",modulename,
                        (char**)vtkFeatureDictionaryDoc,
                        PyVTKClass_vtkTableAlgorithmNew(modulename));
}

