// python wrapper for vtkFileExtensionMimeTypeStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkFileExtensionMimeTypeStrategy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkFileExtensionMimeTypeStrategyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkFileExtensionMimeTypeStrategyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkMimeTypeStrategyNew(char *); }

static PyObject *PyvtkFileExtensionMimeTypeStrategy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFileExtensionMimeTypeStrategy *op;

  const char    *temp20;
  op = (vtkFileExtensionMimeTypeStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFileExtensionMimeTypeStrategy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFileExtensionMimeTypeStrategy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFileExtensionMimeTypeStrategy *op;

  char    *temp0;
  int      temp20;
  op = (vtkFileExtensionMimeTypeStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFileExtensionMimeTypeStrategy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFileExtensionMimeTypeStrategy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFileExtensionMimeTypeStrategy *op;

  vtkFileExtensionMimeTypeStrategy  *temp20;
  op = (vtkFileExtensionMimeTypeStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFileExtensionMimeTypeStrategy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFileExtensionMimeTypeStrategy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkFileExtensionMimeTypeStrategy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkFileExtensionMimeTypeStrategy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkFileExtensionMimeTypeStrategyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkFileExtensionMimeTypeStrategy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkFileExtensionMimeTypeStrategy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkFileExtensionMimeTypeStrategy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkFileExtensionMimeTypeStrategy\nC++: vtkFileExtensionMimeTypeStrategy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkFileExtensionMimeTypeStrategy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkFileExtensionMimeTypeStrategy\nC++: vtkFileExtensionMimeTypeStrategy *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkFileExtensionMimeTypeStrategyDoc[] = {
  (char*)"vtkFileExtentionMimeTypeStrategy - Determines the MIME type of a resource\n\n",
  "Super Class:\n\n vtkMimeTypeStrategy\n\n",
  (char*)"None provided.\n\n",
  "See Also:\n\n vtkMimeTypeStrategy, vtkMimeTypes.\n\n .SECTION Thanks\n Developed by Timothy M. Shead (tshead@sandia.gov) at Sandia National Laboratories.\n\n",
  NULL
};

static vtkObjectBase *vtkFileExtensionMimeTypeStrategyStaticNew()
{
  return vtkFileExtensionMimeTypeStrategy::New();
}

PyObject *PyVTKClass_vtkFileExtensionMimeTypeStrategyNew(char *modulename)
{
  return PyVTKClass_New(&vtkFileExtensionMimeTypeStrategyStaticNew,
                        PyvtkFileExtensionMimeTypeStrategyMethods,
                        (char*)"vtkFileExtensionMimeTypeStrategy",modulename,
                        (char**)vtkFileExtensionMimeTypeStrategyDoc,
                        PyVTKClass_vtkMimeTypeStrategyNew(modulename));
}

