// python wrapper for vtkFoldCase object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkFoldCase.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkFoldCaseNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkFoldCaseNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(char *); }

static PyObject *PyvtkFoldCase_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFoldCase *op;

  const char    *temp20;
  op = (vtkFoldCase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFoldCase::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFoldCase_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFoldCase *op;

  char    *temp0;
  int      temp20;
  op = (vtkFoldCase *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFoldCase::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFoldCase_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFoldCase *op;

  vtkFoldCase  *temp20;
  op = (vtkFoldCase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFoldCase::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFoldCase_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkFoldCase  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkFoldCase::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkFoldCase_SetResultArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFoldCase *op;

  char    *temp0;
  op = (vtkFoldCase *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFoldCase::SetResultArray(temp0);
      }
    else
      {
      op->SetResultArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFoldCase_GetResultArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFoldCase *op;

  char    *temp20;
  op = (vtkFoldCase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFoldCase::GetResultArray();
      }
    else
      {
      temp20 = op->GetResultArray();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkFoldCaseMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkFoldCase_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkFoldCase_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkFoldCase_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkFoldCase\nC++: vtkFoldCase *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkFoldCase_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkFoldCase\nC++: vtkFoldCase *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetResultArray",                (PyCFunction)PyvtkFoldCase_SetResultArray, 1,
   (char*)"V.SetResultArray(string)\nC++: void SetResultArray (char *);\n\n"},
  {(char*)"GetResultArray",                (PyCFunction)PyvtkFoldCase_GetResultArray, 1,
   (char*)"V.GetResultArray() -> string\nC++: char *GetResultArray ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkFoldCaseDoc[] = {
  (char*)"vtkFoldCase - Converts a collection of strings to lower-case.\n\n",
  "Super Class:\n\n vtkTableAlgorithm\n\n",
  (char*)" Given an array of strings, converts each string to its lower-case representation.\n\n Parameters:\n   ResultArray: The name of the array containing the folded-case text.\n\n Inputs:\n   Input port 0: (required) A vtkTable containing a column of text.\n\n Outputs:\n   Output port 0: The same table, plus the array of folded-case text.\n\n Use SetInputArrayToProcess(0, ...) to specify the \"text\" array.\n\n .SECT",
  (char*)"ION Thanks\n Developed by Timothy M. Shead (tshead@sandia.gov) at Sandia National Laboratories.\n\n",
  NULL
};

static vtkObjectBase *vtkFoldCaseStaticNew()
{
  return vtkFoldCase::New();
}

PyObject *PyVTKClass_vtkFoldCaseNew(char *modulename)
{
  return PyVTKClass_New(&vtkFoldCaseStaticNew,
                        PyvtkFoldCaseMethods,
                        (char*)"vtkFoldCase",modulename,
                        (char**)vtkFoldCaseDoc,
                        PyVTKClass_vtkTableAlgorithmNew(modulename));
}

