// python wrapper for vtkForceMimeTypeStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkForceMimeTypeStrategy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkForceMimeTypeStrategyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkForceMimeTypeStrategyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkMimeTypeStrategyNew(char *); }

static PyObject *PyvtkForceMimeTypeStrategy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceMimeTypeStrategy *op;

  const char    *temp20;
  op = (vtkForceMimeTypeStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkForceMimeTypeStrategy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkForceMimeTypeStrategy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceMimeTypeStrategy *op;

  char    *temp0;
  int      temp20;
  op = (vtkForceMimeTypeStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkForceMimeTypeStrategy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkForceMimeTypeStrategy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceMimeTypeStrategy *op;

  vtkForceMimeTypeStrategy  *temp20;
  op = (vtkForceMimeTypeStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkForceMimeTypeStrategy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkForceMimeTypeStrategy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkForceMimeTypeStrategy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkForceMimeTypeStrategy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkForceMimeTypeStrategy_GetMimeType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceMimeTypeStrategy *op;

  char    *temp20;
  op = (vtkForceMimeTypeStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkForceMimeTypeStrategy::GetMimeType();
      }
    else
      {
      temp20 = op->GetMimeType();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkForceMimeTypeStrategy_SetMimeType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkForceMimeTypeStrategy *op;

  char    *temp0;
  op = (vtkForceMimeTypeStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkForceMimeTypeStrategy::SetMimeType(temp0);
      }
    else
      {
      op->SetMimeType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkForceMimeTypeStrategyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkForceMimeTypeStrategy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkForceMimeTypeStrategy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkForceMimeTypeStrategy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkForceMimeTypeStrategy\nC++: vtkForceMimeTypeStrategy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkForceMimeTypeStrategy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkForceMimeTypeStrategy\nC++: vtkForceMimeTypeStrategy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetMimeType",                (PyCFunction)PyvtkForceMimeTypeStrategy_GetMimeType, 1,
   (char*)"V.GetMimeType() -> string\nC++: char *GetMimeType ();\n\n"},
  {(char*)"SetMimeType",                (PyCFunction)PyvtkForceMimeTypeStrategy_SetMimeType, 1,
   (char*)"V.SetMimeType(string)\nC++: void SetMimeType (char *);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkForceMimeTypeStrategyDoc[] = {
  (char*)"vtkForceMimeTypeStrategy - Returns a specific mime type no matter what\n\n",
  "Super Class:\n\n vtkMimeTypeStrategy\n\n",
  (char*)" vtkForceMimeTypeStrategy returns the same mime type for all files.  The type\n can be specified by the caller, and defaults to text/plain.\n\n\n",
  "See Also:\n\n vtkMimeTypeStrategy, vtkMimeTypes.\n\n .SECTION Thanks \n Developed by Andy Wilson (atwilso@sandia.gov) at Sandia National Laboratories.\n\n",
  NULL
};

static vtkObjectBase *vtkForceMimeTypeStrategyStaticNew()
{
  return vtkForceMimeTypeStrategy::New();
}

PyObject *PyVTKClass_vtkForceMimeTypeStrategyNew(char *modulename)
{
  return PyVTKClass_New(&vtkForceMimeTypeStrategyStaticNew,
                        PyvtkForceMimeTypeStrategyMethods,
                        (char*)"vtkForceMimeTypeStrategy",modulename,
                        (char**)vtkForceMimeTypeStrategyDoc,
                        PyVTKClass_vtkMimeTypeStrategyNew(modulename));
}

