// python wrapper for vtkMimeTypeStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMimeTypeStrategy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMimeTypeStrategyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMimeTypeStrategyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkMimeTypeStrategy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMimeTypeStrategy *op;

  const char    *temp20;
  op = (vtkMimeTypeStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMimeTypeStrategy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMimeTypeStrategy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMimeTypeStrategy *op;

  char    *temp0;
  int      temp20;
  op = (vtkMimeTypeStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMimeTypeStrategy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMimeTypeStrategy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMimeTypeStrategy *op;

  vtkMimeTypeStrategy  *temp20;
  op = (vtkMimeTypeStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMimeTypeStrategy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMimeTypeStrategyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMimeTypeStrategy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMimeTypeStrategy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMimeTypeStrategy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMimeTypeStrategy\nC++: vtkMimeTypeStrategy *NewInstance ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMimeTypeStrategyDoc[] = {
  (char*)"vtkMimeTypeStrategy - Abstract interface for an object that can identify the\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" Concrete derivatives of vtkMimeTypeStrategy implement strategies for looking-up the\n MIME type of a resource, given its URI, its content, or both.\n\n\n",
  "See Also:\n\n vtkMimeTypes, vtkFileExtensionMimeTypeStrategy.\n\n Developed by Timothy M. Shead (tshead@sandia.gov) at Sandia National Laboratories.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkMimeTypeStrategyNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkMimeTypeStrategyMethods,
                        (char*)"vtkMimeTypeStrategy",modulename,
                        (char**)vtkMimeTypeStrategyDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

