// python wrapper for vtkMimeTypes object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMimeTypes.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMimeTypesNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMimeTypesNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkMimeTypes_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMimeTypes *op;

  const char    *temp20;
  op = (vtkMimeTypes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMimeTypes::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMimeTypes_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMimeTypes *op;

  char    *temp0;
  int      temp20;
  op = (vtkMimeTypes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMimeTypes::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMimeTypes_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMimeTypes *op;

  vtkMimeTypes  *temp20;
  op = (vtkMimeTypes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMimeTypes::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMimeTypes_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMimeTypes  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMimeTypes::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMimeTypes_ClearStrategies(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMimeTypes *op;

  op = (vtkMimeTypes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMimeTypes::ClearStrategies();
      }
    else
      {
      op->ClearStrategies();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMimeTypes_PrependStrategy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMimeTypes *op;

  vtkMimeTypeStrategy  *temp0;
  PyObject *tempH0;
  op = (vtkMimeTypes *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMimeTypeStrategy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMimeTypeStrategy");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkMimeTypes::PrependStrategy(temp0);
      }
    else
      {
      op->PrependStrategy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkMimeTypes_AppendStrategy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMimeTypes *op;

  vtkMimeTypeStrategy  *temp0;
  PyObject *tempH0;
  op = (vtkMimeTypes *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMimeTypeStrategy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMimeTypeStrategy");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkMimeTypes::AppendStrategy(temp0);
      }
    else
      {
      op->AppendStrategy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkMimeTypes_Lookup(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMimeTypes *op;

  char    *temp0;
  const char    *temp20;
  op = (vtkMimeTypes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMimeTypes::Lookup(temp0);
      }
    else
      {
      temp20 = op->Lookup(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  /* handle an occurrence */
  {
  vtkMimeTypes *op;

  char    *temp0;
  char    *temp1;
  const char    *temp20;
  PyErr_Clear();
  op = (vtkMimeTypes *)PyArg_VTKParseTuple(self, args, (char*)"zz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMimeTypes::Lookup(temp0,temp1);
      }
    else
      {
      temp20 = op->Lookup(temp0,temp1);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  /* handle an occurrence */
  {
  vtkMimeTypes *op;

  char    *temp0;
  char    *temp1;
  char    *temp2;
  const char    *temp20;
  PyErr_Clear();
  op = (vtkMimeTypes *)PyArg_VTKParseTuple(self, args, (char*)"zzz", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMimeTypes::Lookup(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Lookup(temp0,temp1,temp2);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMimeTypes_Match(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  char    *temp1;
  bool   temp20;
  if ((PyArg_ParseTuple(args, (char*)"zz", &temp0, &temp1)))
    {
      {
      temp20 = vtkMimeTypes::Match(temp0,temp1);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMimeTypesMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMimeTypes_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMimeTypes_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMimeTypes_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMimeTypes\nC++: vtkMimeTypes *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMimeTypes_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMimeTypes\nC++: vtkMimeTypes *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"ClearStrategies",                (PyCFunction)PyvtkMimeTypes_ClearStrategies, 1,
   (char*)"V.ClearStrategies()\nC++: void ClearStrategies ();\n\n Clear the list of strategies.\n"},
  {(char*)"PrependStrategy",                (PyCFunction)PyvtkMimeTypes_PrependStrategy, 1,
   (char*)"V.PrependStrategy(vtkMimeTypeStrategy)\nC++: void PrependStrategy (vtkMimeTypeStrategy *strategy);\n\n Prepend a strategy to the list of strategies.  vtkMimeTypes assumes ownership\n of the supplied object.\n"},
  {(char*)"AppendStrategy",                (PyCFunction)PyvtkMimeTypes_AppendStrategy, 1,
   (char*)"V.AppendStrategy(vtkMimeTypeStrategy)\nC++: void AppendStrategy (vtkMimeTypeStrategy *strategy);\n\n Append a strategy to the list of strategies.  vtkMimeTypes assumes ownership\n of the supplied object.\n"},
  {(char*)"Lookup",                (PyCFunction)PyvtkMimeTypes_Lookup, 1,
   (char*)"V.Lookup(string) -> string\nC++: vtkStdString Lookup (const vtkStdString &uri);\nV.Lookup(string, string) -> string\nC++: vtkStdString Lookup (const char *begin, const char *end);\nV.Lookup(string, string, string) -> string\nC++: vtkStdString Lookup (const vtkStdString &uri, const char *begin, const char *end);\n\n Given a resource URI, returns the MIME-type of the resource, or empty-string\n if the type cannot be identified.\n"},
  {(char*)"Match",                (PyCFunction)PyvtkMimeTypes_Match, 1,
   (char*)"V.Match(string, string) -> bool\nC++: static bool Match (const vtkStdString &pattern, const vtkStdString &type);\n\n Returns true iff a Mime pattern matches the given type.  Handles wildcards\n so the pattern \"*/*\" will match any type (including empty type), and \"text/*\"\n will match \"text/plain\", \"text/html\", \"text/xml\", etc.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMimeTypesDoc[] = {
  (char*)"vtkMimeTypes - Determines the MIME type of a resource.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkMimeTypes is a helper class for determining the MIME type of a resource at runtime.\n To use it, create an instance of vtkMimeTypes, then call the Lookup() method to\n determine the MIME type of each resource of-interest.\n\n vtkMimeTypes relies on a set of strategy objects to perform the actual lookups.\n These strategy objects may determine the MIME type based on arbitrary methods,\n including loo",
  (char*)"king at file extensions, examining the contents of the resource, or\n some combination thereof.\n\n By default, vtkMimeTypes is configured with a simple cross-platform strategy\n that identifies resources based on a hard-coded list of filename extensions, but\n you can supplement this process with your own strategies.  The list of strategies\n is executed in-order to determine the MIME type of a resourc",
  (char*)"e, so earlier strategies\n \"override\" later strategies.\n\n\n",
  "See Also:\n\n vtkMimeTypeStrategy, vtkFileExtensionMimeTypeStrategy.\n\n .SECTION Thanks\n Developed by Timothy M. Shead (tshead@sandia.gov) at Sandia National Laboratories.\n\n",
  NULL
};

static vtkObjectBase *vtkMimeTypesStaticNew()
{
  return vtkMimeTypes::New();
}

PyObject *PyVTKClass_vtkMimeTypesNew(char *modulename)
{
  return PyVTKClass_New(&vtkMimeTypesStaticNew,
                        PyvtkMimeTypesMethods,
                        (char*)"vtkMimeTypes",modulename,
                        (char**)vtkMimeTypesDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

