// python wrapper for vtkNGramExtraction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkNGramExtraction.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkNGramExtractionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkNGramExtractionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(char *); }

static PyObject *PyvtkNGramExtraction_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNGramExtraction *op;

  const char    *temp20;
  op = (vtkNGramExtraction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNGramExtraction::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkNGramExtraction_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNGramExtraction *op;

  char    *temp0;
  int      temp20;
  op = (vtkNGramExtraction *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNGramExtraction::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkNGramExtraction_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNGramExtraction *op;

  vtkNGramExtraction  *temp20;
  op = (vtkNGramExtraction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNGramExtraction::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkNGramExtraction_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkNGramExtraction  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkNGramExtraction::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkNGramExtraction_SetN(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNGramExtraction *op;

  vtkIdType   temp0;
  op = (vtkNGramExtraction *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkNGramExtraction::SetN(temp0);
      }
    else
      {
      op->SetN(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkNGramExtraction_GetN(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNGramExtraction *op;

  vtkIdType   temp20;
  op = (vtkNGramExtraction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNGramExtraction::GetN();
      }
    else
      {
      temp20 = op->GetN();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkNGramExtractionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkNGramExtraction_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkNGramExtraction_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkNGramExtraction_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkNGramExtraction\nC++: vtkNGramExtraction *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkNGramExtraction_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkNGramExtraction\nC++: vtkNGramExtraction *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetN",                (PyCFunction)PyvtkNGramExtraction_SetN, 1,
   (char*)"V.SetN(int)\nC++: void SetN (vtkIdType );\n\n Controls the type of N-gram to produce.  Default: 1 (unigrams).\n"},
  {(char*)"GetN",                (PyCFunction)PyvtkNGramExtraction_GetN, 1,
   (char*)"V.GetN() -> int\nC++: vtkIdType GetN ();\n\n Controls the type of N-gram to produce.  Default: 1 (unigrams).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkNGramExtractionDoc[] = {
  (char*)"vtkNGramExtraction - Converts a collection of tokens into a collection of N-grams.\n\n",
  "Super Class:\n\n vtkTableAlgorithm\n\n",
  (char*)" Given a table containing tokens, generates a table containing N-grams.\n\n Inputs:\n   Input port 0: (required) A vtkTable containing document, begin, end, and text\n     columns.\n\n Outputs:\n   Output port 0: A vtkTable containing \"document\", \"begin\", \"end\", \"type\", and \"text\"\n     columns. \n\n Use SetInputArrayToProcess(0, ...) to specify the \"document\" array.\n Use SetInputArrayToProcess(1, ...) to s",
  (char*)"pecify the \"begin\" array.\n Use SetInputArrayToProcess(2, ...) to specify the \"end\" array.\n Use SetInputArrayToProcess(3, ...) to specify the \"text\" array.\n\n .SECTION Thanks\n Developed by Timothy M. Shead (tshead@sandia.gov) at Sandia National Laboratories.\n\n",
  NULL
};

static vtkObjectBase *vtkNGramExtractionStaticNew()
{
  return vtkNGramExtraction::New();
}

PyObject *PyVTKClass_vtkNGramExtractionNew(char *modulename)
{
  return PyVTKClass_New(&vtkNGramExtractionStaticNew,
                        PyvtkNGramExtractionMethods,
                        (char*)"vtkNGramExtraction",modulename,
                        (char**)vtkNGramExtractionDoc,
                        PyVTKClass_vtkTableAlgorithmNew(modulename));
}

