// python wrapper for vtkPlainTextExtractionStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPlainTextExtractionStrategy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPlainTextExtractionStrategyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPlainTextExtractionStrategyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTextExtractionStrategyNew(char *); }

static PyObject *PyvtkPlainTextExtractionStrategy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlainTextExtractionStrategy *op;

  const char    *temp20;
  op = (vtkPlainTextExtractionStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlainTextExtractionStrategy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPlainTextExtractionStrategy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlainTextExtractionStrategy *op;

  char    *temp0;
  int      temp20;
  op = (vtkPlainTextExtractionStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlainTextExtractionStrategy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlainTextExtractionStrategy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlainTextExtractionStrategy *op;

  vtkPlainTextExtractionStrategy  *temp20;
  op = (vtkPlainTextExtractionStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlainTextExtractionStrategy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlainTextExtractionStrategy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPlainTextExtractionStrategy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPlainTextExtractionStrategy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkPlainTextExtractionStrategyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPlainTextExtractionStrategy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPlainTextExtractionStrategy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPlainTextExtractionStrategy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPlainTextExtractionStrategy\nC++: vtkPlainTextExtractionStrategy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPlainTextExtractionStrategy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPlainTextExtractionStrategy\nC++: vtkPlainTextExtractionStrategy *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPlainTextExtractionStrategyDoc[] = {
  (char*)"vtkPlainTextExtractionStrategy - text extraction strategy that works with text/* data.\n\n",
  "Super Class:\n\n vtkTextExtractionStrategy\n\n",
  (char*)" Concrete implementation of vtkTextExtractionStrategy that works with text/* MIME types.\n vtkPlainTextExtractionStrategy trivially converts the contents of the given resource into\n text.  It is intended mainly as a \"strategy of last resort\", since more sophisticated\n strategies may wish to parse-out structured content.\n\n Generates a single \"TEXT\" tag that incorporates the entire text content.\n\n\n",
  "See Also:\n\n vtkTextExtraction, vtkTextExtractionStrategy.\n\n Developed by Timothy M. Shead (tshead@sandia.gov) at Sandia National Laboratories.\n\n",
  NULL
};

static vtkObjectBase *vtkPlainTextExtractionStrategyStaticNew()
{
  return vtkPlainTextExtractionStrategy::New();
}

PyObject *PyVTKClass_vtkPlainTextExtractionStrategyNew(char *modulename)
{
  return PyVTKClass_New(&vtkPlainTextExtractionStrategyStaticNew,
                        PyvtkPlainTextExtractionStrategyMethods,
                        (char*)"vtkPlainTextExtractionStrategy",modulename,
                        (char**)vtkPlainTextExtractionStrategyDoc,
                        PyVTKClass_vtkTextExtractionStrategyNew(modulename));
}

