// python wrapper for vtkPointwiseMutualInformation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPointwiseMutualInformation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPointwiseMutualInformationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPointwiseMutualInformationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkArrayDataAlgorithmNew(char *); }

static PyObject *PyvtkPointwiseMutualInformation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointwiseMutualInformation *op;

  const char    *temp20;
  op = (vtkPointwiseMutualInformation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointwiseMutualInformation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPointwiseMutualInformation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointwiseMutualInformation *op;

  char    *temp0;
  int      temp20;
  op = (vtkPointwiseMutualInformation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointwiseMutualInformation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointwiseMutualInformation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointwiseMutualInformation *op;

  vtkPointwiseMutualInformation  *temp20;
  op = (vtkPointwiseMutualInformation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointwiseMutualInformation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointwiseMutualInformation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPointwiseMutualInformation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPointwiseMutualInformation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkPointwiseMutualInformationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPointwiseMutualInformation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPointwiseMutualInformation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPointwiseMutualInformation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPointwiseMutualInformation\nC++: vtkPointwiseMutualInformation *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPointwiseMutualInformation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPointwiseMutualInformation\nC++: vtkPointwiseMutualInformation *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPointwiseMutualInformationDoc[] = {
  (char*)"vtkPointwiseMutualInformation - Computes pointwise mutual information.\n\n",
  "Super Class:\n\n vtkArrayDataAlgorithm\n\n",
  (char*)" Given an arbitrary-dimension array of doubles, computes the pointwise mutual\n information log(p(i,j,...) / p(i)p(j)p(...)) for each value in the array.\n\n .SECTION Thanks\n Developed by Timothy M. Shead (tshead@sandia.gov) at Sandia National Laboratories.\n\n",
  NULL
};

static vtkObjectBase *vtkPointwiseMutualInformationStaticNew()
{
  return vtkPointwiseMutualInformation::New();
}

PyObject *PyVTKClass_vtkPointwiseMutualInformationNew(char *modulename)
{
  return PyVTKClass_New(&vtkPointwiseMutualInformationStaticNew,
                        PyvtkPointwiseMutualInformationMethods,
                        (char*)"vtkPointwiseMutualInformation",modulename,
                        (char**)vtkPointwiseMutualInformationDoc,
                        PyVTKClass_vtkArrayDataAlgorithmNew(modulename));
}

