// python wrapper for vtkPowerWeighting object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPowerWeighting.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPowerWeightingNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPowerWeightingNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkArrayDataAlgorithmNew(char *); }

static PyObject *PyvtkPowerWeighting_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPowerWeighting *op;

  const char    *temp20;
  op = (vtkPowerWeighting *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPowerWeighting::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPowerWeighting_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPowerWeighting *op;

  char    *temp0;
  int      temp20;
  op = (vtkPowerWeighting *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPowerWeighting::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPowerWeighting_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPowerWeighting *op;

  vtkPowerWeighting  *temp20;
  op = (vtkPowerWeighting *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPowerWeighting::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPowerWeighting_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPowerWeighting  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPowerWeighting::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPowerWeighting_SetPower(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPowerWeighting *op;

  double   temp0;
  op = (vtkPowerWeighting *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPowerWeighting::SetPower(temp0);
      }
    else
      {
      op->SetPower(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPowerWeighting_GetPower(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPowerWeighting *op;

  double   temp20;
  op = (vtkPowerWeighting *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPowerWeighting::GetPower();
      }
    else
      {
      temp20 = op->GetPower();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPowerWeightingMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPowerWeighting_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPowerWeighting_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPowerWeighting_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPowerWeighting\nC++: vtkPowerWeighting *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPowerWeighting_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPowerWeighting\nC++: vtkPowerWeighting *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPower",                (PyCFunction)PyvtkPowerWeighting_SetPower, 1,
   (char*)"V.SetPower(float)\nC++: void SetPower (double );\n\n Specify the exponent to apply (default: 2.0)\n"},
  {(char*)"GetPower",                (PyCFunction)PyvtkPowerWeighting_GetPower, 1,
   (char*)"V.GetPower() -> float\nC++: double GetPower ();\n\n Specify the exponent to apply (default: 2.0)\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPowerWeightingDoc[] = {
  (char*)"vtkPowerWeighting - Given an arbitrary-dimension array of doubles,\n\n",
  "Super Class:\n\n vtkArrayDataAlgorithm\n\n",
  (char*)"None provided.\n\n",
  NULL
};

static vtkObjectBase *vtkPowerWeightingStaticNew()
{
  return vtkPowerWeighting::New();
}

PyObject *PyVTKClass_vtkPowerWeightingNew(char *modulename)
{
  return PyVTKClass_New(&vtkPowerWeightingStaticNew,
                        PyvtkPowerWeightingMethods,
                        (char*)"vtkPowerWeighting",modulename,
                        (char**)vtkPowerWeightingDoc,
                        PyVTKClass_vtkArrayDataAlgorithmNew(modulename));
}

