// python wrapper for vtkQtXMLProcessor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkQtXMLProcessor.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkQtXMLProcessorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkQtXMLProcessorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPassInputTypeAlgorithmNew(char *); }

static PyObject *PyvtkQtXMLProcessor_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQtXMLProcessor *op;

  const char    *temp20;
  op = (vtkQtXMLProcessor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQtXMLProcessor::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkQtXMLProcessor_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQtXMLProcessor *op;

  char    *temp0;
  int      temp20;
  op = (vtkQtXMLProcessor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQtXMLProcessor::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQtXMLProcessor_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQtXMLProcessor *op;

  vtkQtXMLProcessor  *temp20;
  op = (vtkQtXMLProcessor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQtXMLProcessor::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQtXMLProcessor_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkQtXMLProcessor  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkQtXMLProcessor::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkQtXMLProcessor_GetFieldType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQtXMLProcessor *op;

  int      temp20;
  op = (vtkQtXMLProcessor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQtXMLProcessor::GetFieldType();
      }
    else
      {
      temp20 = op->GetFieldType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQtXMLProcessor_SetFieldType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQtXMLProcessor *op;

  int      temp0;
  op = (vtkQtXMLProcessor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkQtXMLProcessor::SetFieldType(temp0);
      }
    else
      {
      op->SetFieldType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkQtXMLProcessor_GetInputDomain(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQtXMLProcessor *op;

  int      temp20;
  op = (vtkQtXMLProcessor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQtXMLProcessor::GetInputDomain();
      }
    else
      {
      temp20 = op->GetInputDomain();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQtXMLProcessor_SetInputDomain(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQtXMLProcessor *op;

  int      temp0;
  op = (vtkQtXMLProcessor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkQtXMLProcessor::SetInputDomain(temp0);
      }
    else
      {
      op->SetInputDomain(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkQtXMLProcessor_GetQueryType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQtXMLProcessor *op;

  int      temp20;
  op = (vtkQtXMLProcessor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQtXMLProcessor::GetQueryType();
      }
    else
      {
      temp20 = op->GetQueryType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQtXMLProcessor_SetQueryType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQtXMLProcessor *op;

  int      temp0;
  op = (vtkQtXMLProcessor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkQtXMLProcessor::SetQueryType(temp0);
      }
    else
      {
      op->SetQueryType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkQtXMLProcessor_SetQuery(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQtXMLProcessor *op;

  char    *temp0;
  op = (vtkQtXMLProcessor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkQtXMLProcessor::SetQuery(temp0);
      }
    else
      {
      op->SetQuery(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkQtXMLProcessor_GetQuery(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQtXMLProcessor *op;

  char    *temp20;
  op = (vtkQtXMLProcessor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQtXMLProcessor::GetQuery();
      }
    else
      {
      temp20 = op->GetQuery();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkQtXMLProcessor_SetOutputArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQtXMLProcessor *op;

  char    *temp0;
  op = (vtkQtXMLProcessor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkQtXMLProcessor::SetOutputArray(temp0);
      }
    else
      {
      op->SetOutputArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkQtXMLProcessor_GetOutputArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQtXMLProcessor *op;

  char    *temp20;
  op = (vtkQtXMLProcessor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQtXMLProcessor::GetOutputArray();
      }
    else
      {
      temp20 = op->GetOutputArray();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkQtXMLProcessor_MapArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQtXMLProcessor *op;

  char    *temp0;
  char    *temp1;
  op = (vtkQtXMLProcessor *)PyArg_VTKParseTuple(self, args, (char*)"zz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkQtXMLProcessor::MapArrayName(temp0,temp1);
      }
    else
      {
      op->MapArrayName(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkQtXMLProcessor_ClearArrayNameMap(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQtXMLProcessor *op;

  op = (vtkQtXMLProcessor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkQtXMLProcessor::ClearArrayNameMap();
      }
    else
      {
      op->ClearArrayNameMap();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkQtXMLProcessorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkQtXMLProcessor_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkQtXMLProcessor_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkQtXMLProcessor_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkQtXMLProcessor\nC++: vtkQtXMLProcessor *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkQtXMLProcessor_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkQtXMLProcessor\nC++: vtkQtXMLProcessor *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetFieldType",                (PyCFunction)PyvtkQtXMLProcessor_GetFieldType, 1,
   (char*)"V.GetFieldType() -> int\nC++: int GetFieldType ();\n\n Specifies the field data to process when InputDomain is set to\n \"ROW_DOMAIN\" or \"DATA_OBJECT_DOMAIN\".  \n"},
  {(char*)"SetFieldType",                (PyCFunction)PyvtkQtXMLProcessor_SetFieldType, 1,
   (char*)"V.SetFieldType(int)\nC++: void SetFieldType (int );\n\n Specifies the field data to process when InputDomain is set to\n \"ROW_DOMAIN\" or \"DATA_OBJECT_DOMAIN\".  \n"},
  {(char*)"GetInputDomain",                (PyCFunction)PyvtkQtXMLProcessor_GetInputDomain, 1,
   (char*)"V.GetInputDomain() -> int\nC++: int GetInputDomain ();\n\n Specifies how input data should be mapped to XML for processing.\n"},
  {(char*)"SetInputDomain",                (PyCFunction)PyvtkQtXMLProcessor_SetInputDomain, 1,
   (char*)"V.SetInputDomain(int)\nC++: void SetInputDomain (int );\n\n Specifies how input data should be mapped to XML for processing.\n"},
  {(char*)"GetQueryType",                (PyCFunction)PyvtkQtXMLProcessor_GetQueryType, 1,
   (char*)"V.GetQueryType() -> int\nC++: int GetQueryType ();\n\n Specifies Whether the query uses XQuery or XSLT syntax.\n"},
  {(char*)"SetQueryType",                (PyCFunction)PyvtkQtXMLProcessor_SetQueryType, 1,
   (char*)"V.SetQueryType(int)\nC++: void SetQueryType (int );\n\n Specifies Whether the query uses XQuery or XSLT syntax.\n"},
  {(char*)"SetQuery",                (PyCFunction)PyvtkQtXMLProcessor_SetQuery, 1,
   (char*)"V.SetQuery(string)\nC++: void SetQuery (char *);\n\n Specifies the XQuery or XSLT query to apply to input data.\n"},
  {(char*)"GetQuery",                (PyCFunction)PyvtkQtXMLProcessor_GetQuery, 1,
   (char*)"V.GetQuery() -> string\nC++: char *GetQuery ();\n\n Specifies the XQuery or XSLT query to apply to input data.\n"},
  {(char*)"SetOutputArray",                (PyCFunction)PyvtkQtXMLProcessor_SetOutputArray, 1,
   (char*)"V.SetOutputArray(string)\nC++: void SetOutputArray (char *);\n\n Specifies the name of the array where output results will be stored.\n"},
  {(char*)"GetOutputArray",                (PyCFunction)PyvtkQtXMLProcessor_GetOutputArray, 1,
   (char*)"V.GetOutputArray() -> string\nC++: char *GetOutputArray ();\n\n Specifies the name of the array where output results will be stored.\n"},
  {(char*)"MapArrayName",                (PyCFunction)PyvtkQtXMLProcessor_MapArrayName, 1,
   (char*)"V.MapArrayName(string, string)\nC++: void MapArrayName (const vtkStdString &from, const vtkStdString &to);\n\n Used to provide explicit mappings from VTK array names to XML element\n names.\n"},
  {(char*)"ClearArrayNameMap",                (PyCFunction)PyvtkQtXMLProcessor_ClearArrayNameMap, 1,
   (char*)"V.ClearArrayNameMap()\nC++: void ClearArrayNameMap ();\n\n Used to provide explicit mappings from VTK array names to XML element\n names.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkQtXMLProcessorDoc[] = {
  (char*)"vtkQtXMLProcessor - Processes data using XQuery or XSLT.\n\n",
  "Super Class:\n\n vtkPassInputTypeAlgorithm\n\n",
  (char*)" which is then processed using either XQuery or XSLT.  vtkQtXMLProcessor\n provides multiple \"domains\" which control how data is mapped to XML:\n\n \"ROW_DOMAIN\" treats an input vtkFieldData object as a \"table\" made-up\n of columns, rows, and cells/fields.  This table is mapped (using\n shallow-copy semantics) into XML, and each \"row\" in the \"table\" is\n passed to an XQuery or XSLT expression, producing ",
  (char*)"one output result\n for each \"row\".\n\n \"DATA_OBJECT_DOMAIN\" maps vtkFieldData to a \"table\" in the same way,\n but passes the entire table to an XQuery or XSLT expression, producing\n a single output result for the entire data obect.\n\n Following is an example of how a field data containing two arrays\n named \"foo\" and \"bar\" are mapped into XML:\n\n <table>\n   <rows>\n     <row>\n       <foo>value of foo at ",
  (char*)"index 0</foo>\n       <bar>value of bar at index 0</bar>\n     </row>\n     <row>\n       <foo>value of foo at index 1</foo>\n       <bar>value of bar at index 1</bar>\n     </row>\n     ...\n   </rows>\n </table>\n\n Note how the array names are mapped to elements in the resulting\n XML.  Because there are strict rules on the naming of XML elements,\n array names will be automatically \"mangled\" to produce con",
  (char*)"forming\n element names.  Users may optionally supply their own mappings from\n array names to element names.\n\n \"VALUE_DOMAIN\" is used when when a data object already contains\n XML data that can be passed to an XQuery or XSLT expression directly,\n producing one output result for each value in an attribute array.\n Use SetInputArrayToProcess(0, ...) to specify the attribute array\n that contains XML fo",
  (char*)"r processing.  \n\n Parameters:\n   FieldType: Controls which field data should be extracted from\n     the input for processing.\n\n   InputDomain: Controls whether XML processing will be applied to\n     individual rows (the default), the entire input field data, or\n     an attribute array containing XML.\n\n   QueryType: Controls whether to use XQuery or XSLT for processing.\n\n   Query: The XQuery or XSL",
  (char*)"T template to be used for processing.\n\n   OutputArray: The name of the output array that will store the\n     processed results.\n\n Inputs:\n   Input port 0: A vtkDataObject containing arbitrary field data.\n\n Outputs:\n   Output port 0: A shallow-copy of the input vtkDataObject.\n     If InputDomain is set to \"ROW_DOMAIN\" (the default), or\n     \"VALUE_DOMAIN\", the data object's field data will contain ",
  (char*)"an\n     additional string array containing the results of running\n     XQuery / XSLT on each individual row / value in the input.\n\n     If InputDomain is set to \"DATA_OBJECT_DOMAIN\", the data object\n     will be identical to the input.\n\n   Output port 1: A vtkTable.  If InputDomain is set to \"ROW_DOMAIN\"\n     (the default) or \"VALUE_DOMAIN\", the table will be completely\n     empty.  If InputDomain",
  (char*)" is set to \"DATA_OBJECT_DOMAIN\", the table \n     will contain a single string array with a single value\n     containing the results of running XQuery / XSLT on the entire\n     contents of the input field data.\n\n .SECTION Thanks\n Developed by Timothy M. Shead (tshead@sandia.gov) at Sandia National Laboratories.\n\n",
  NULL
};

static vtkObjectBase *vtkQtXMLProcessorStaticNew()
{
  return vtkQtXMLProcessor::New();
}

PyObject *PyVTKClass_vtkQtXMLProcessorNew(char *modulename)
{
  return PyVTKClass_New(&vtkQtXMLProcessorStaticNew,
                        PyvtkQtXMLProcessorMethods,
                        (char*)"vtkQtXMLProcessor",modulename,
                        (char**)vtkQtXMLProcessorDoc,
                        PyVTKClass_vtkPassInputTypeAlgorithmNew(modulename));
}

