// python wrapper for vtkScaleDimension object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkScaleDimension.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkScaleDimensionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkScaleDimensionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkArrayDataAlgorithmNew(char *); }

static PyObject *PyvtkScaleDimension_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScaleDimension *op;

  const char    *temp20;
  op = (vtkScaleDimension *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScaleDimension::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkScaleDimension_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScaleDimension *op;

  char    *temp0;
  int      temp20;
  op = (vtkScaleDimension *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScaleDimension::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScaleDimension_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScaleDimension *op;

  vtkScaleDimension  *temp20;
  op = (vtkScaleDimension *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScaleDimension::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScaleDimension_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkScaleDimension  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkScaleDimension::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkScaleDimension_GetDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScaleDimension *op;

  int      temp20;
  op = (vtkScaleDimension *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScaleDimension::GetDimension();
      }
    else
      {
      temp20 = op->GetDimension();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScaleDimension_SetDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScaleDimension *op;

  int      temp0;
  op = (vtkScaleDimension *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkScaleDimension::SetDimension(temp0);
      }
    else
      {
      op->SetDimension(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkScaleDimension_SetInvert(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScaleDimension *op;

  int      temp0;
  op = (vtkScaleDimension *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkScaleDimension::SetInvert(temp0);
      }
    else
      {
      op->SetInvert(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkScaleDimension_GetInvert(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScaleDimension *op;

  int      temp20;
  op = (vtkScaleDimension *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScaleDimension::GetInvert();
      }
    else
      {
      temp20 = op->GetInvert();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkScaleDimensionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkScaleDimension_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkScaleDimension_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkScaleDimension_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkScaleDimension\nC++: vtkScaleDimension *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkScaleDimension_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkScaleDimension\nC++: vtkScaleDimension *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDimension",                (PyCFunction)PyvtkScaleDimension_GetDimension, 1,
   (char*)"V.GetDimension() -> int\nC++: int GetDimension ();\n\n Specifies the dimension to be scaled.  Default 0.\n"},
  {(char*)"SetDimension",                (PyCFunction)PyvtkScaleDimension_SetDimension, 1,
   (char*)"V.SetDimension(int)\nC++: void SetDimension (int );\n\n Specifies the dimension to be scaled.  Default 0.\n"},
  {(char*)"SetInvert",                (PyCFunction)PyvtkScaleDimension_SetInvert, 1,
   (char*)"V.SetInvert(int)\nC++: void SetInvert (int );\n\n Controls whether to invert scaling vector values.  Default: false\n"},
  {(char*)"GetInvert",                (PyCFunction)PyvtkScaleDimension_GetInvert, 1,
   (char*)"V.GetInvert() -> int\nC++: int GetInvert ();\n\n Controls whether to invert scaling vector values.  Default: false\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkScaleDimensionDoc[] = {
  (char*)"vtkScaleDimension - scales every element in an N-way array along\n\n",
  "Super Class:\n\n vtkArrayDataAlgorithm\n\n",
  (char*)" Scales every element in an N-way array along one dimension.  The scaling factor\n along this dimension is specified by a scaling vector with the same extents as\n the target dimension.\n\n Inputs:\n   Input port 0: (required) a vtkTypedArray<double> of arbitrary dimension and\n     extents.\n\n   Input port 1: (required) a vtkDenseArray<double> with one dimension.  The extents\n     of the array must matc",
  (char*)"h the extents of the port 0 array along the dimension to\n     be scaled.\n \n .SECTION Thanks\n Developed by Timothy M. Shead (tshead@sandia.gov) at Sandia National Laboratories.\n\n",
  NULL
};

static vtkObjectBase *vtkScaleDimensionStaticNew()
{
  return vtkScaleDimension::New();
}

PyObject *PyVTKClass_vtkScaleDimensionNew(char *modulename)
{
  return PyVTKClass_New(&vtkScaleDimensionStaticNew,
                        PyvtkScaleDimensionMethods,
                        (char*)"vtkScaleDimension",modulename,
                        (char**)vtkScaleDimensionDoc,
                        PyVTKClass_vtkArrayDataAlgorithmNew(modulename));
}

