// python wrapper for vtkSelectArraySlices object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSelectArraySlices.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSelectArraySlicesNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSelectArraySlicesNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSelectionAlgorithmNew(char *); }

static PyObject *PyvtkSelectArraySlices_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectArraySlices *op;

  const char    *temp20;
  op = (vtkSelectArraySlices *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectArraySlices::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectArraySlices_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectArraySlices *op;

  char    *temp0;
  int      temp20;
  op = (vtkSelectArraySlices *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectArraySlices::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectArraySlices_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectArraySlices *op;

  vtkSelectArraySlices  *temp20;
  op = (vtkSelectArraySlices *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectArraySlices::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectArraySlices_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSelectArraySlices  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSelectArraySlices::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSelectArraySlices_GetSliceDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectArraySlices *op;

  vtkIdType   temp20;
  op = (vtkSelectArraySlices *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectArraySlices::GetSliceDimension();
      }
    else
      {
      temp20 = op->GetSliceDimension();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectArraySlices_SetSliceDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectArraySlices *op;

  vtkIdType   temp0;
  op = (vtkSelectArraySlices *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectArraySlices::SetSliceDimension(temp0);
      }
    else
      {
      op->SetSliceDimension(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectArraySlices_GetMinimumCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectArraySlices *op;

  vtkIdType   temp20;
  op = (vtkSelectArraySlices *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectArraySlices::GetMinimumCount();
      }
    else
      {
      temp20 = op->GetMinimumCount();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectArraySlices_SetMinimumCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectArraySlices *op;

  vtkIdType   temp0;
  op = (vtkSelectArraySlices *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectArraySlices::SetMinimumCount(temp0);
      }
    else
      {
      op->SetMinimumCount(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectArraySlices_GetMaximumCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectArraySlices *op;

  vtkIdType   temp20;
  op = (vtkSelectArraySlices *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectArraySlices::GetMaximumCount();
      }
    else
      {
      temp20 = op->GetMaximumCount();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectArraySlices_SetMaximumCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectArraySlices *op;

  vtkIdType   temp0;
  op = (vtkSelectArraySlices *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectArraySlices::SetMaximumCount(temp0);
      }
    else
      {
      op->SetMaximumCount(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectArraySlices_GetMinimumPercent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectArraySlices *op;

  double   temp20;
  op = (vtkSelectArraySlices *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectArraySlices::GetMinimumPercent();
      }
    else
      {
      temp20 = op->GetMinimumPercent();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectArraySlices_SetMinimumPercent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectArraySlices *op;

  double   temp0;
  op = (vtkSelectArraySlices *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectArraySlices::SetMinimumPercent(temp0);
      }
    else
      {
      op->SetMinimumPercent(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectArraySlices_GetMaximumPercent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectArraySlices *op;

  double   temp20;
  op = (vtkSelectArraySlices *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectArraySlices::GetMaximumPercent();
      }
    else
      {
      temp20 = op->GetMaximumPercent();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectArraySlices_SetMaximumPercent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectArraySlices *op;

  double   temp0;
  op = (vtkSelectArraySlices *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectArraySlices::SetMaximumPercent(temp0);
      }
    else
      {
      op->SetMaximumPercent(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSelectArraySlicesMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSelectArraySlices_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSelectArraySlices_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSelectArraySlices_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSelectArraySlices\nC++: vtkSelectArraySlices *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSelectArraySlices_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSelectArraySlices\nC++: vtkSelectArraySlices *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetSliceDimension",                (PyCFunction)PyvtkSelectArraySlices_GetSliceDimension, 1,
   (char*)"V.GetSliceDimension() -> int\nC++: vtkIdType GetSliceDimension ();\n\n Controls the dimension along which slices will be selected.  Default: 0\n"},
  {(char*)"SetSliceDimension",                (PyCFunction)PyvtkSelectArraySlices_SetSliceDimension, 1,
   (char*)"V.SetSliceDimension(int)\nC++: void SetSliceDimension (vtkIdType );\n\n Controls the dimension along which slices will be selected.  Default: 0\n"},
  {(char*)"GetMinimumCount",                (PyCFunction)PyvtkSelectArraySlices_GetMinimumCount, 1,
   (char*)"V.GetMinimumCount() -> int\nC++: vtkIdType GetMinimumCount ();\n\n Controls the minimum number of non-zero values that a slice can contain\n and still be selected.  Default: 1\n"},
  {(char*)"SetMinimumCount",                (PyCFunction)PyvtkSelectArraySlices_SetMinimumCount, 1,
   (char*)"V.SetMinimumCount(int)\nC++: void SetMinimumCount (vtkIdType );\n\n Controls the minimum number of non-zero values that a slice can contain\n and still be selected.  Default: 1\n"},
  {(char*)"GetMaximumCount",                (PyCFunction)PyvtkSelectArraySlices_GetMaximumCount, 1,
   (char*)"V.GetMaximumCount() -> int\nC++: vtkIdType GetMaximumCount ();\n\n Controls the maximum number of non-zero values that a slice can contain\n and still be selected.  Default: INT_MAX\n"},
  {(char*)"SetMaximumCount",                (PyCFunction)PyvtkSelectArraySlices_SetMaximumCount, 1,
   (char*)"V.SetMaximumCount(int)\nC++: void SetMaximumCount (vtkIdType );\n\n Controls the maximum number of non-zero values that a slice can contain\n and still be selected.  Default: INT_MAX\n"},
  {(char*)"GetMinimumPercent",                (PyCFunction)PyvtkSelectArraySlices_GetMinimumPercent, 1,
   (char*)"V.GetMinimumPercent() -> float\nC++: double GetMinimumPercent ();\n\n Controls the minimum percentage of non-zero values that a slice can contain\n and still be selected.  Default: 0.0\n"},
  {(char*)"SetMinimumPercent",                (PyCFunction)PyvtkSelectArraySlices_SetMinimumPercent, 1,
   (char*)"V.SetMinimumPercent(float)\nC++: void SetMinimumPercent (double );\n\n Controls the minimum percentage of non-zero values that a slice can contain\n and still be selected.  Default: 0.0\n"},
  {(char*)"GetMaximumPercent",                (PyCFunction)PyvtkSelectArraySlices_GetMaximumPercent, 1,
   (char*)"V.GetMaximumPercent() -> float\nC++: double GetMaximumPercent ();\n\n Controls the maximum percentage of non-zero values that a slice can contain\n and still be selected.  Default: 1.0\n"},
  {(char*)"SetMaximumPercent",                (PyCFunction)PyvtkSelectArraySlices_SetMaximumPercent, 1,
   (char*)"V.SetMaximumPercent(float)\nC++: void SetMaximumPercent (double );\n\n Controls the maximum percentage of non-zero values that a slice can contain\n and still be selected.  Default: 1.0\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSelectArraySlicesDoc[] = {
  (char*)"vtkSelectArraySlices - Produces a selection based on array slice values\n\n",
  "Super Class:\n\n vtkSelectionAlgorithm\n\n",
  (char*)"None provided.\n\n",
  NULL
};

static vtkObjectBase *vtkSelectArraySlicesStaticNew()
{
  return vtkSelectArraySlices::New();
}

PyObject *PyVTKClass_vtkSelectArraySlicesNew(char *modulename)
{
  return PyVTKClass_New(&vtkSelectArraySlicesStaticNew,
                        PyvtkSelectArraySlicesMethods,
                        (char*)"vtkSelectArraySlices",modulename,
                        (char**)vtkSelectArraySlicesDoc,
                        PyVTKClass_vtkSelectionAlgorithmNew(modulename));
}

