// python wrapper for vtkTextExtraction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTextExtraction.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTextExtractionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTextExtractionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(char *); }

static PyObject *PyvtkTextExtraction_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextExtraction *op;

  const char    *temp20;
  op = (vtkTextExtraction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextExtraction::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTextExtraction_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextExtraction *op;

  char    *temp0;
  int      temp20;
  op = (vtkTextExtraction *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextExtraction::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextExtraction_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextExtraction *op;

  vtkTextExtraction  *temp20;
  op = (vtkTextExtraction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextExtraction::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextExtraction_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTextExtraction  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTextExtraction::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTextExtraction_ClearStrategies(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextExtraction *op;

  op = (vtkTextExtraction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextExtraction::ClearStrategies();
      }
    else
      {
      op->ClearStrategies();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextExtraction_PrependStrategy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextExtraction *op;

  vtkTextExtractionStrategy  *temp0;
  PyObject *tempH0;
  op = (vtkTextExtraction *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTextExtractionStrategy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextExtractionStrategy");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkTextExtraction::PrependStrategy(temp0);
      }
    else
      {
      op->PrependStrategy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkTextExtraction_AppendStrategy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextExtraction *op;

  vtkTextExtractionStrategy  *temp0;
  PyObject *tempH0;
  op = (vtkTextExtraction *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTextExtractionStrategy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextExtractionStrategy");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkTextExtraction::AppendStrategy(temp0);
      }
    else
      {
      op->AppendStrategy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkTextExtraction_SetOutputArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextExtraction *op;

  char    *temp0;
  op = (vtkTextExtraction *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextExtraction::SetOutputArray(temp0);
      }
    else
      {
      op->SetOutputArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextExtraction_GetOutputArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextExtraction *op;

  char    *temp20;
  op = (vtkTextExtraction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextExtraction::GetOutputArray();
      }
    else
      {
      temp20 = op->GetOutputArray();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTextExtractionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTextExtraction_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTextExtraction_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTextExtraction_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTextExtraction\nC++: vtkTextExtraction *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTextExtraction_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTextExtraction\nC++: vtkTextExtraction *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"ClearStrategies",                (PyCFunction)PyvtkTextExtraction_ClearStrategies, 1,
   (char*)"V.ClearStrategies()\nC++: void ClearStrategies ();\n\n Clear the list of strategies.\n"},
  {(char*)"PrependStrategy",                (PyCFunction)PyvtkTextExtraction_PrependStrategy, 1,
   (char*)"V.PrependStrategy(vtkTextExtractionStrategy)\nC++: void PrependStrategy (vtkTextExtractionStrategy *strategy);\n\n Prepend a strategy to the list of strategies.  vtkTextExtraction assumes ownership\n of the supplied object.\n"},
  {(char*)"AppendStrategy",                (PyCFunction)PyvtkTextExtraction_AppendStrategy, 1,
   (char*)"V.AppendStrategy(vtkTextExtractionStrategy)\nC++: void AppendStrategy (vtkTextExtractionStrategy *strategy);\n\n Append a strategy to the list of strategies.  vtkTextExtraction assumes ownership\n of the supplied object.\n"},
  {(char*)"SetOutputArray",                (PyCFunction)PyvtkTextExtraction_SetOutputArray, 1,
   (char*)"V.SetOutputArray(string)\nC++: void SetOutputArray (char *);\n\n Specifies the name of the output text array.  Default: \"text\". \n"},
  {(char*)"GetOutputArray",                (PyCFunction)PyvtkTextExtraction_GetOutputArray, 1,
   (char*)"V.GetOutputArray() -> string\nC++: char *GetOutputArray ();\n\n Specifies the name of the output text array.  Default: \"text\". \n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTextExtractionDoc[] = {
  (char*)"vtkTextExtraction - Extracts text from documents based on their MIME type.\n\n",
  "Super Class:\n\n vtkTableAlgorithm\n\n",
  (char*)" Given a table containing document ids, URIs, Mime types and document contents,\n extracts plain text from each document, and generates a list of 'tags' that\n delineate ranges of text.  The actual work of extracting text and generating tags\n is performed by an ordered list of vtkTextExtractionStrategy objects.\n\n By default, vtkTextExtraction has just a single strategy for extracting plain\n text doc",
  (char*)"uments.  Callers will almost certainly want to supplement or replace\n the default with their own strategies.\n\n Inputs:\n   Input port 0: (required) A vtkTable containing document ids, Mime types and\n     document contents (which could be binary).\n\n Outputs:\n   Output port 0: The same table with an additional \"text\" column that contains the\n     text extracted from each document.\n   Output port 1: A",
  (char*)" table of document tags that includes \"document\", \"uri\", \"begin\",\n     \"end\", and \"type\" columns.\n\n Use SetInputArrayToProcess(0, ...) to specify the input table column that contains\n document ids (must be a vtkIdTypeArray).  Default: \"document\".\n\n Use SetInputArrayToProcess(1, ...) to specify the input table column that contains\n URIs (must be a vtkStringArray).  Default: \"uri\".\n\n Use SetInputArr",
  (char*)"ayToProcess(2, ...) to specify the input table column that contains\n Mime types (must be a vtkStringArray).  Default: \"mime_type\".\n\n Use SetInputArrayToProcess(3, ...) to specify the input table column that contains\n document contents (must be a vtkStringArray).  Default: \"content\".\n\n\n",
  "Caveats:\n\n The input document contents array must be a string array, even though the individual\n document contents may be binary data.\n\n\n",
  "See Also:\n\n vtkTextExtractionStrategy, vtkPlainTextExtractionStrategy\n\n .SECTION Thanks\n Developed by Timothy M. Shead (tshead@sandia.gov) at Sandia National Laboratories.\n\n",
  NULL
};

static vtkObjectBase *vtkTextExtractionStaticNew()
{
  return vtkTextExtraction::New();
}

PyObject *PyVTKClass_vtkTextExtractionNew(char *modulename)
{
  return PyVTKClass_New(&vtkTextExtractionStaticNew,
                        PyvtkTextExtractionMethods,
                        (char*)"vtkTextExtraction",modulename,
                        (char**)vtkTextExtractionDoc,
                        PyVTKClass_vtkTableAlgorithmNew(modulename));
}

