// python wrapper for vtkTextExtractionStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTextExtractionStrategy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTextExtractionStrategyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTextExtractionStrategyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkTextExtractionStrategy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextExtractionStrategy *op;

  const char    *temp20;
  op = (vtkTextExtractionStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextExtractionStrategy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTextExtractionStrategy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextExtractionStrategy *op;

  char    *temp0;
  int      temp20;
  op = (vtkTextExtractionStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextExtractionStrategy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextExtractionStrategy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextExtractionStrategy *op;

  vtkTextExtractionStrategy  *temp20;
  op = (vtkTextExtractionStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextExtractionStrategy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTextExtractionStrategyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTextExtractionStrategy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTextExtractionStrategy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTextExtractionStrategy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTextExtractionStrategy\nC++: vtkTextExtractionStrategy *NewInstance ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTextExtractionStrategyDoc[] = {
  (char*)"vtkTextExtractionStrategy - Abstract interface for an object that can extract\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" Concrete derivatives of vtkTextExtractionStrategy implement strategies for extracting\n text from a resource, given its Mime type and content.\n\n\n",
  "See Also:\n\n vtkTextExtraction, vtkPlainTextExtractionStrategy.\n\n Developed by Timothy M. Shead (tshead@sandia.gov) at Sandia National Laboratories.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkTextExtractionStrategyNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkTextExtractionStrategyMethods,
                        (char*)"vtkTextExtractionStrategy",modulename,
                        (char**)vtkTextExtractionStrategyDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

