// python wrapper for vtkTokenLengthFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTokenLengthFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTokenLengthFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTokenLengthFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(char *); }

static PyObject *PyvtkTokenLengthFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTokenLengthFilter *op;

  const char    *temp20;
  op = (vtkTokenLengthFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTokenLengthFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTokenLengthFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTokenLengthFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkTokenLengthFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTokenLengthFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTokenLengthFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTokenLengthFilter *op;

  vtkTokenLengthFilter  *temp20;
  op = (vtkTokenLengthFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTokenLengthFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTokenLengthFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTokenLengthFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTokenLengthFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTokenLengthFilter_SetBegin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTokenLengthFilter *op;

  int      temp0;
  op = (vtkTokenLengthFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTokenLengthFilter::SetBegin(temp0);
      }
    else
      {
      op->SetBegin(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTokenLengthFilter_GetBegin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTokenLengthFilter *op;

  int      temp20;
  op = (vtkTokenLengthFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTokenLengthFilter::GetBegin();
      }
    else
      {
      temp20 = op->GetBegin();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTokenLengthFilter_SetEnd(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTokenLengthFilter *op;

  int      temp0;
  op = (vtkTokenLengthFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTokenLengthFilter::SetEnd(temp0);
      }
    else
      {
      op->SetEnd(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTokenLengthFilter_GetEnd(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTokenLengthFilter *op;

  int      temp20;
  op = (vtkTokenLengthFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTokenLengthFilter::GetEnd();
      }
    else
      {
      temp20 = op->GetEnd();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTokenLengthFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTokenLengthFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTokenLengthFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTokenLengthFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTokenLengthFilter\nC++: vtkTokenLengthFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTokenLengthFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTokenLengthFilter\nC++: vtkTokenLengthFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetBegin",                (PyCFunction)PyvtkTokenLengthFilter_SetBegin, 1,
   (char*)"V.SetBegin(int)\nC++: void SetBegin (int );\n\n Controls the half-open range of token lengths that will be removed.  The default of [0, 0)\n will not remove any tokens, so you must change Begin and End to see any results from the filter!\n"},
  {(char*)"GetBegin",                (PyCFunction)PyvtkTokenLengthFilter_GetBegin, 1,
   (char*)"V.GetBegin() -> int\nC++: int GetBegin ();\n\n Controls the half-open range of token lengths that will be removed.  The default of [0, 0)\n will not remove any tokens, so you must change Begin and End to see any results from the filter!\n"},
  {(char*)"SetEnd",                (PyCFunction)PyvtkTokenLengthFilter_SetEnd, 1,
   (char*)"V.SetEnd(int)\nC++: void SetEnd (int );\n\n Controls the half-open range of token lengths that will be removed.  The default of [0, 0)\n will not remove any tokens, so you must change Begin and End to see any results from the filter!\n"},
  {(char*)"GetEnd",                (PyCFunction)PyvtkTokenLengthFilter_GetEnd, 1,
   (char*)"V.GetEnd() -> int\nC++: int GetEnd ();\n\n Controls the half-open range of token lengths that will be removed.  The default of [0, 0)\n will not remove any tokens, so you must change Begin and End to see any results from the filter!\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTokenLengthFilterDoc[] = {
  (char*)"vtkTokenLengthFilter - Filters tokens based on their length (number of characters).\n\n",
  "Super Class:\n\n vtkTableAlgorithm\n\n",
  (char*)"\n Parameters:\n   Begin, End: Defines a half-open range of token lengths [Begin, End) that will be removed\n     from the output.  Tokens for which Begin <= token-length < End is true will be removed.\n\n Inputs:\n   Input port 0: (required) A vtkTable containing a column of text.\n\n Outputs:\n   Output port 0: The same table, with (potentally) fewer rows.\n\n Use SetInputArrayToProcess(0, ...) to specify ",
  (char*)"the \"text\" array.\n\n .SECTION Thanks\n Developed by Timothy M. Shead (tshead@sandia.gov) at Sandia National Laboratories.\n\n",
  NULL
};

static vtkObjectBase *vtkTokenLengthFilterStaticNew()
{
  return vtkTokenLengthFilter::New();
}

PyObject *PyVTKClass_vtkTokenLengthFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkTokenLengthFilterStaticNew,
                        PyvtkTokenLengthFilterMethods,
                        (char*)"vtkTokenLengthFilter",modulename,
                        (char**)vtkTokenLengthFilterDoc,
                        PyVTKClass_vtkTableAlgorithmNew(modulename));
}

