// python wrapper for vtkTokenValueFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTokenValueFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTokenValueFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTokenValueFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(char *); }

static PyObject *PyvtkTokenValueFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTokenValueFilter *op;

  const char    *temp20;
  op = (vtkTokenValueFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTokenValueFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTokenValueFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTokenValueFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkTokenValueFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTokenValueFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTokenValueFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTokenValueFilter *op;

  vtkTokenValueFilter  *temp20;
  op = (vtkTokenValueFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTokenValueFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTokenValueFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTokenValueFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTokenValueFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTokenValueFilter_AddStopWordValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTokenValueFilter *op;

  op = (vtkTokenValueFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTokenValueFilter::AddStopWordValues();
      }
    else
      {
      op->AddStopWordValues();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTokenValueFilter_ClearValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTokenValueFilter *op;

  op = (vtkTokenValueFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTokenValueFilter::ClearValues();
      }
    else
      {
      op->ClearValues();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTokenValueFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTokenValueFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTokenValueFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTokenValueFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTokenValueFilter\nC++: vtkTokenValueFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTokenValueFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTokenValueFilter\nC++: vtkTokenValueFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddStopWordValues",                (PyCFunction)PyvtkTokenValueFilter_AddStopWordValues, 1,
   (char*)"V.AddStopWordValues()\nC++: void AddStopWordValues ();\n\n Convenience function that adds a list of typical stop-words to the list of token\n values that will be discarded.\n"},
  {(char*)"ClearValues",                (PyCFunction)PyvtkTokenValueFilter_ClearValues, 1,
   (char*)"V.ClearValues()\nC++: void ClearValues ();\n\n Clears the list of discardable token values.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTokenValueFilterDoc[] = {
  (char*)"vtkTokenValueFilter - Filters tokens based on their value.\n\n",
  "Super Class:\n\n vtkTableAlgorithm\n\n",
  (char*)" vtkTokenValueFilter removes tokens from the pipeline based on whether they match a list\n of token values.  Typically, this is useful for handling lists of \"stop words\" that should\n be removed from the token stream before further analysis.\n\n Inputs:\n   Input port 0: (required) A vtkTable containing a column of text.\n\n Outputs:\n   Output port 0: The same table, with (potentally) fewer rows.\n\n Use S",
  (char*)"etInputArrayToProcess(0, ...) to specify the \"text\" array.\n\n Use AddValue() to append a new token value to the list of values to be discarded.\n By default, the list of values to be discarded is empty, so you must call AddValue()\n before using vtkTokenValueFilter to see any changes in output!\n\n .SECTION Thanks\n Developed by Timothy M. Shead (tshead@sandia.gov) at Sandia National Laboratories.\n\n",
  NULL
};

static vtkObjectBase *vtkTokenValueFilterStaticNew()
{
  return vtkTokenValueFilter::New();
}

PyObject *PyVTKClass_vtkTokenValueFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkTokenValueFilterStaticNew,
                        PyvtkTokenValueFilterMethods,
                        (char*)"vtkTokenValueFilter",modulename,
                        (char**)vtkTokenValueFilterDoc,
                        PyVTKClass_vtkTableAlgorithmNew(modulename));
}

