// python wrapper for vtkTokenizer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTokenizer.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTokenizerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTokenizerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(char *); }

static PyObject *PyvtkTokenizer_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTokenizer *op;

  const char    *temp20;
  op = (vtkTokenizer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTokenizer::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTokenizer_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTokenizer *op;

  char    *temp0;
  int      temp20;
  op = (vtkTokenizer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTokenizer::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTokenizer_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTokenizer *op;

  vtkTokenizer  *temp20;
  op = (vtkTokenizer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTokenizer::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTokenizer_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTokenizer  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTokenizer::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTokenizer_DropPunctuation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTokenizer *op;

  op = (vtkTokenizer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTokenizer::DropPunctuation();
      }
    else
      {
      op->DropPunctuation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTokenizer_DropWhitespace(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTokenizer *op;

  op = (vtkTokenizer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTokenizer::DropWhitespace();
      }
    else
      {
      op->DropWhitespace();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTokenizer_KeepPunctuation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTokenizer *op;

  op = (vtkTokenizer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTokenizer::KeepPunctuation();
      }
    else
      {
      op->KeepPunctuation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTokenizer_KeepWhitespace(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTokenizer *op;

  op = (vtkTokenizer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTokenizer::KeepWhitespace();
      }
    else
      {
      op->KeepWhitespace();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTokenizer_KeepLogosyllabic(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTokenizer *op;

  op = (vtkTokenizer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTokenizer::KeepLogosyllabic();
      }
    else
      {
      op->KeepLogosyllabic();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTokenizer_ClearDroppedDelimiters(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTokenizer *op;

  op = (vtkTokenizer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTokenizer::ClearDroppedDelimiters();
      }
    else
      {
      op->ClearDroppedDelimiters();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTokenizer_ClearKeptDelimiters(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTokenizer *op;

  op = (vtkTokenizer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTokenizer::ClearKeptDelimiters();
      }
    else
      {
      op->ClearKeptDelimiters();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTokenizerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTokenizer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTokenizer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTokenizer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTokenizer\nC++: vtkTokenizer *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTokenizer_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTokenizer\nC++: vtkTokenizer *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"DropPunctuation",                (PyCFunction)PyvtkTokenizer_DropPunctuation, 1,
   (char*)"V.DropPunctuation()\nC++: void DropPunctuation ();\n\n Convenience functions to specify delimiters, mainly intended for use from Python and\n the ParaView server manager.  C++ developers are strongly encouraged to use\n AddDroppedDelimiters(...) and AddKeptDelimiters(...) instead.\n"},
  {(char*)"DropWhitespace",                (PyCFunction)PyvtkTokenizer_DropWhitespace, 1,
   (char*)"V.DropWhitespace()\nC++: void DropWhitespace ();\n\n Convenience functions to specify delimiters, mainly intended for use from Python and\n the ParaView server manager.  C++ developers are strongly encouraged to use\n AddDroppedDelimiters(...) and AddKeptDelimiters(...) instead.\n"},
  {(char*)"KeepPunctuation",                (PyCFunction)PyvtkTokenizer_KeepPunctuation, 1,
   (char*)"V.KeepPunctuation()\nC++: void KeepPunctuation ();\n\n Convenience functions to specify delimiters, mainly intended for use from Python and\n the ParaView server manager.  C++ developers are strongly encouraged to use\n AddDroppedDelimiters(...) and AddKeptDelimiters(...) instead.\n"},
  {(char*)"KeepWhitespace",                (PyCFunction)PyvtkTokenizer_KeepWhitespace, 1,
   (char*)"V.KeepWhitespace()\nC++: void KeepWhitespace ();\n\n Convenience functions to specify delimiters, mainly intended for use from Python and\n the ParaView server manager.  C++ developers are strongly encouraged to use\n AddDroppedDelimiters(...) and AddKeptDelimiters(...) instead.\n"},
  {(char*)"KeepLogosyllabic",                (PyCFunction)PyvtkTokenizer_KeepLogosyllabic, 1,
   (char*)"V.KeepLogosyllabic()\nC++: void KeepLogosyllabic ();\n\n Convenience functions to specify delimiters, mainly intended for use from Python and\n the ParaView server manager.  C++ developers are strongly encouraged to use\n AddDroppedDelimiters(...) and AddKeptDelimiters(...) instead.\n"},
  {(char*)"ClearDroppedDelimiters",                (PyCFunction)PyvtkTokenizer_ClearDroppedDelimiters, 1,
   (char*)"V.ClearDroppedDelimiters()\nC++: void ClearDroppedDelimiters ();\n\n Clears the set of \"dropped\" delimiters.\n"},
  {(char*)"ClearKeptDelimiters",                (PyCFunction)PyvtkTokenizer_ClearKeptDelimiters, 1,
   (char*)"V.ClearKeptDelimiters()\nC++: void ClearKeptDelimiters ();\n\n Clears the set of \"kept\" delimiters.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTokenizerDoc[] = {
  (char*)"vtkTokenizer - Converts a document collection into a term collection.\n\n",
  "Super Class:\n\n vtkTableAlgorithm\n\n",
  (char*)" Given an artifact table containing text documents, splits each document\n into its component tokens, producing a feature table containing the results.\n\n Tokenization is performed by splitting input text into tokens based on\n character delimiters.  Delimiters are divided into two categories: \"dropped\"\n and \"kept\".  \"Dropped\" delimiters are discarded from the output, while \"kept\"\n delimiters are ret",
  (char*)"ained in the output as individual tokens.  Initially,\n vtkTokenizer has no delimiters defined, so you must set some delimiters\n before use.\n\n Users can reset and append to the lists of delimiters for each category.\n Delimiters are specified as half-open ranges of Unicode code points.  This\n makes it easy to tokenize logosyllabic scripts such as Chinese, Korean, and\n Japanese by specifying an entir",
  (char*)"e range of logograms as \"kept\" delimiters, so\n that individual glyphs become tokens.\n\n Inputs:\n   Input port 0: (required) A vtkTable containing zero-to-many \"documents\", with\n     one document per table row, a vtkIdTypeArray column containing document ids,\n     and a vtkUnicodeStringArray column containing the contents of each document.\n   Input port 1: (optional) A vtkTable containing zero-to-ma",
  (char*)"ny document ranges\n     to be processed, with one range per table row, a vtkIdTypeArray column\n     containing document ids, a vtkIdTypeArray containing begin offsets, and a\n     vtkIdTypeArray column containing end offsets.  If input port 1 is left\n     unconnected, the filter will automatically process the entire contents of\n     every input document.\n\n Outputs:\n   Output port 0: A vtkTable cont",
  (char*)"aining \"document\", \"begin\", \"end\", \"type\", and\n     \"text\" columns. \n\n Use SetInputArrayToProcess(0, ...) to specify the input table column that contains\n document ids (must be a vtkIdTypeArray).  Default: \"document\"\n\n Use SetInputArrayToProcess(1, ...) to specify the input table column that contains\n document contents (must be a vtkUnicodeStringArray).  Default: \"text\"\n\n Use SetInputArrayToProces",
  (char*)"s(2, 1, ...) to specify the input table column that contains\n range document ids (must be a vtkIdTypeArray).  Defaults to \"document\".\n\n Use SetInputArrayToProcess(3, 1, ...) to specify the input table column that contains\n range begin offsets (must be a vtkIdTypeArray).  Defaults to \"begin\".\n\n Use SetInputArrayToProcess(4, 1, ...) to specify the input table column that contains\n range end offsets ",
  (char*)"(must be a vtkIdTypeArray).  Defaults to \"end\".\n\n .SECTION Thanks\n Developed by Timothy M. Shead (tshead@sandia.gov) at Sandia National Laboratories.\n\n",
  NULL
};

static vtkObjectBase *vtkTokenizerStaticNew()
{
  return vtkTokenizer::New();
}

PyObject *PyVTKClass_vtkTokenizerNew(char *modulename)
{
  return PyVTKClass_New(&vtkTokenizerStaticNew,
                        PyvtkTokenizerMethods,
                        (char*)"vtkTokenizer",modulename,
                        (char**)vtkTokenizerDoc,
                        PyVTKClass_vtkTableAlgorithmNew(modulename));
}

