// python wrapper for vtkUnityMatrixWeighting object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkUnityMatrixWeighting.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkUnityMatrixWeightingNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkUnityMatrixWeightingNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkArrayDataAlgorithmNew(char *); }

static PyObject *PyvtkUnityMatrixWeighting_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnityMatrixWeighting *op;

  const char    *temp20;
  op = (vtkUnityMatrixWeighting *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnityMatrixWeighting::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkUnityMatrixWeighting_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnityMatrixWeighting *op;

  char    *temp0;
  int      temp20;
  op = (vtkUnityMatrixWeighting *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnityMatrixWeighting::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnityMatrixWeighting_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnityMatrixWeighting *op;

  vtkUnityMatrixWeighting  *temp20;
  op = (vtkUnityMatrixWeighting *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnityMatrixWeighting::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnityMatrixWeighting_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkUnityMatrixWeighting  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkUnityMatrixWeighting::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkUnityMatrixWeighting_GetFeatureDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnityMatrixWeighting *op;

  int      temp20;
  op = (vtkUnityMatrixWeighting *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnityMatrixWeighting::GetFeatureDimension();
      }
    else
      {
      temp20 = op->GetFeatureDimension();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnityMatrixWeighting_SetFeatureDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnityMatrixWeighting *op;

  int      temp0;
  op = (vtkUnityMatrixWeighting *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnityMatrixWeighting::SetFeatureDimension(temp0);
      }
    else
      {
      op->SetFeatureDimension(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkUnityMatrixWeightingMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkUnityMatrixWeighting_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkUnityMatrixWeighting_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkUnityMatrixWeighting_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkUnityMatrixWeighting\nC++: vtkUnityMatrixWeighting *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkUnityMatrixWeighting_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkUnityMatrixWeighting\nC++: vtkUnityMatrixWeighting *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetFeatureDimension",                (PyCFunction)PyvtkUnityMatrixWeighting_GetFeatureDimension, 1,
   (char*)"V.GetFeatureDimension() -> int\nC++: int GetFeatureDimension ();\n\n Controls the feature dimension.  Default: 0\n"},
  {(char*)"SetFeatureDimension",                (PyCFunction)PyvtkUnityMatrixWeighting_SetFeatureDimension, 1,
   (char*)"V.SetFeatureDimension(int)\nC++: void SetFeatureDimension (int );\n\n Controls the feature dimension.  Default: 0\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkUnityMatrixWeightingDoc[] = {
  (char*)"vtkUnityMatrixWeighting - Term weight strategy where every term has weight 1.\n\n",
  "Super Class:\n\n vtkArrayDataAlgorithm\n\n",
  (char*)"None provided.\n\n",
  NULL
};

static vtkObjectBase *vtkUnityMatrixWeightingStaticNew()
{
  return vtkUnityMatrixWeighting::New();
}

PyObject *PyVTKClass_vtkUnityMatrixWeightingNew(char *modulename)
{
  return PyVTKClass_New(&vtkUnityMatrixWeightingStaticNew,
                        PyvtkUnityMatrixWeightingMethods,
                        (char*)"vtkUnityMatrixWeighting",modulename,
                        (char**)vtkUnityMatrixWeightingDoc,
                        PyVTKClass_vtkArrayDataAlgorithmNew(modulename));
}

