// python wrapper for vtkEmptyRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkEmptyRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkEmptyRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkEmptyRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataRepresentationNew(char *); }

static PyObject *PyvtkEmptyRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEmptyRepresentation *op;

  const char    *temp20;
  op = (vtkEmptyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEmptyRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkEmptyRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEmptyRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkEmptyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEmptyRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEmptyRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEmptyRepresentation *op;

  vtkEmptyRepresentation  *temp20;
  op = (vtkEmptyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEmptyRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEmptyRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkEmptyRepresentation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkEmptyRepresentation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkEmptyRepresentation_GetInternalAnnotationOutputPort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEmptyRepresentation *op;

  vtkAlgorithmOutput  *temp20;
  op = (vtkEmptyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEmptyRepresentation::GetInternalAnnotationOutputPort();
      }
    else
      {
      temp20 = op->GetInternalAnnotationOutputPort();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkEmptyRepresentation *op;

  int      temp0;
  vtkAlgorithmOutput  *temp20;
  PyErr_Clear();
  op = (vtkEmptyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEmptyRepresentation::GetInternalAnnotationOutputPort(temp0);
      }
    else
      {
      temp20 = op->GetInternalAnnotationOutputPort(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkEmptyRepresentation *op;

  int      temp0;
  int      temp1;
  vtkAlgorithmOutput  *temp20;
  PyErr_Clear();
  op = (vtkEmptyRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEmptyRepresentation::GetInternalAnnotationOutputPort(temp0,temp1);
      }
    else
      {
      temp20 = op->GetInternalAnnotationOutputPort(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkEmptyRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkEmptyRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkEmptyRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkEmptyRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkEmptyRepresentation\nC++: vtkEmptyRepresentation *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkEmptyRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkEmptyRepresentation\nC++: vtkEmptyRepresentation *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetInternalAnnotationOutputPort",                (PyCFunction)PyvtkEmptyRepresentation_GetInternalAnnotationOutputPort, 1,
   (char*)"V.GetInternalAnnotationOutputPort() -> vtkAlgorithmOutput\nC++: virtual vtkAlgorithmOutput *GetInternalAnnotationOutputPort ();return this GetInternalAnnotationOutputPort \nV.GetInternalAnnotationOutputPort(int) -> vtkAlgorithmOutput\nC++: virtual vtkAlgorithmOutput *GetInternalAnnotationOutputPort (int port);return this GetInternalAnnotationOutputPort port \nV.GetInternalAnnotationOutputPort(int, int) -> vtkAlgorithmOutput\nC++: virtual vtkAlgorithmOutput *GetInternalAnnotationOutputPort (int port, int conn);\n\n Since this representation has no inputs, override superclass \n implementation with one that ignores \"port\" and \"conn\" and still allows it\n to have an annotation output.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkEmptyRepresentationDoc[] = {
  (char*)"vtkEmptyRepresentation - \n\n",
  "Super Class:\n\n vtkDataRepresentation\n\n",
  NULL
};

static vtkObjectBase *vtkEmptyRepresentationStaticNew()
{
  return vtkEmptyRepresentation::New();
}

PyObject *PyVTKClass_vtkEmptyRepresentationNew(char *modulename)
{
  return PyVTKClass_New(&vtkEmptyRepresentationStaticNew,
                        PyvtkEmptyRepresentationMethods,
                        (char*)"vtkEmptyRepresentation",modulename,
                        (char**)vtkEmptyRepresentationDoc,
                        PyVTKClass_vtkDataRepresentationNew(modulename));
}

