// python wrapper for vtkParallelCoordinatesView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkParallelCoordinatesView.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkParallelCoordinatesViewNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkParallelCoordinatesViewNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkRenderViewNew(char *); }

static PyObject *PyvtkParallelCoordinatesView_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesView *op;

  const char    *temp20;
  op = (vtkParallelCoordinatesView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesView::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesView_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesView *op;

  char    *temp0;
  int      temp20;
  op = (vtkParallelCoordinatesView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesView::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesView_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesView *op;

  vtkParallelCoordinatesView  *temp20;
  op = (vtkParallelCoordinatesView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesView::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesView_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkParallelCoordinatesView  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkParallelCoordinatesView::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesView_SetBrushMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesView *op;

  int      temp0;
  op = (vtkParallelCoordinatesView *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesView::SetBrushMode(temp0);
      }
    else
      {
      op->SetBrushMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesView_SetBrushModeToLasso(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesView *op;

  op = (vtkParallelCoordinatesView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesView::SetBrushModeToLasso();
      }
    else
      {
      op->SetBrushModeToLasso();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesView_SetBrushModeToAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesView *op;

  op = (vtkParallelCoordinatesView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesView::SetBrushModeToAngle();
      }
    else
      {
      op->SetBrushModeToAngle();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesView_SetBrushModeToFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesView *op;

  op = (vtkParallelCoordinatesView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesView::SetBrushModeToFunction();
      }
    else
      {
      op->SetBrushModeToFunction();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesView_SetBrushModeToAxisThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesView *op;

  op = (vtkParallelCoordinatesView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesView::SetBrushModeToAxisThreshold();
      }
    else
      {
      op->SetBrushModeToAxisThreshold();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesView_GetBrushMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesView *op;

  int      temp20;
  op = (vtkParallelCoordinatesView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesView::GetBrushMode();
      }
    else
      {
      temp20 = op->GetBrushMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesView_SetBrushOperator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesView *op;

  int      temp0;
  op = (vtkParallelCoordinatesView *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesView::SetBrushOperator(temp0);
      }
    else
      {
      op->SetBrushOperator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesView_SetBrushOperatorToAdd(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesView *op;

  op = (vtkParallelCoordinatesView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesView::SetBrushOperatorToAdd();
      }
    else
      {
      op->SetBrushOperatorToAdd();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesView_SetBrushOperatorToSubtract(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesView *op;

  op = (vtkParallelCoordinatesView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesView::SetBrushOperatorToSubtract();
      }
    else
      {
      op->SetBrushOperatorToSubtract();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesView_SetBrushOperatorToIntersect(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesView *op;

  op = (vtkParallelCoordinatesView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesView::SetBrushOperatorToIntersect();
      }
    else
      {
      op->SetBrushOperatorToIntersect();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesView_SetBrushOperatorToReplace(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesView *op;

  op = (vtkParallelCoordinatesView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesView::SetBrushOperatorToReplace();
      }
    else
      {
      op->SetBrushOperatorToReplace();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesView_GetBrushOperator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesView *op;

  int      temp20;
  op = (vtkParallelCoordinatesView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesView::GetBrushOperator();
      }
    else
      {
      temp20 = op->GetBrushOperator();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesView_SetInspectMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesView *op;

  int      temp0;
  op = (vtkParallelCoordinatesView *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesView::SetInspectMode(temp0);
      }
    else
      {
      op->SetInspectMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesView_SetInspectModeToManipulateAxes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesView *op;

  op = (vtkParallelCoordinatesView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesView::SetInspectModeToManipulateAxes();
      }
    else
      {
      op->SetInspectModeToManipulateAxes();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesView_SetInpsectModeToSelectData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesView *op;

  op = (vtkParallelCoordinatesView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesView::SetInpsectModeToSelectData();
      }
    else
      {
      op->SetInpsectModeToSelectData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesView_GetInspectMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesView *op;

  int      temp20;
  op = (vtkParallelCoordinatesView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesView::GetInspectMode();
      }
    else
      {
      temp20 = op->GetInspectMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesView_SetMaximumNumberOfBrushPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesView *op;

  int      temp0;
  op = (vtkParallelCoordinatesView *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesView::SetMaximumNumberOfBrushPoints(temp0);
      }
    else
      {
      op->SetMaximumNumberOfBrushPoints(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesView_GetMaximumNumberOfBrushPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesView *op;

  int      temp20;
  op = (vtkParallelCoordinatesView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesView::GetMaximumNumberOfBrushPoints();
      }
    else
      {
      temp20 = op->GetMaximumNumberOfBrushPoints();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesView_SetCurrentBrushClass(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesView *op;

  int      temp0;
  op = (vtkParallelCoordinatesView *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesView::SetCurrentBrushClass(temp0);
      }
    else
      {
      op->SetCurrentBrushClass(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesView_GetCurrentBrushClass(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesView *op;

  int      temp20;
  op = (vtkParallelCoordinatesView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesView::GetCurrentBrushClass();
      }
    else
      {
      temp20 = op->GetCurrentBrushClass();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesView_ApplyViewTheme(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesView *op;

  vtkViewTheme  *temp0;
  PyObject *tempH0;
  op = (vtkParallelCoordinatesView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewTheme *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewTheme");
    if (!temp0 && tempH0 != Py_None) goto break24;
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesView::ApplyViewTheme(temp0);
      }
    else
      {
      op->ApplyViewTheme(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break24:
  return NULL;
}

static PyMethodDef PyvtkParallelCoordinatesViewMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkParallelCoordinatesView_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkParallelCoordinatesView_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkParallelCoordinatesView_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkParallelCoordinatesView\nC++: vtkParallelCoordinatesView *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkParallelCoordinatesView_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkParallelCoordinatesView\nC++: vtkParallelCoordinatesView *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetBrushMode",                (PyCFunction)PyvtkParallelCoordinatesView_SetBrushMode, 1,
   (char*)"V.SetBrushMode(int)\nC++: void SetBrushMode (int );\n\n"},
  {(char*)"SetBrushModeToLasso",                (PyCFunction)PyvtkParallelCoordinatesView_SetBrushModeToLasso, 1,
   (char*)"V.SetBrushModeToLasso()\nC++: void SetBrushModeToLasso ();this SetBrushMode VTK_BRUSH_LASSO \n\n"},
  {(char*)"SetBrushModeToAngle",                (PyCFunction)PyvtkParallelCoordinatesView_SetBrushModeToAngle, 1,
   (char*)"V.SetBrushModeToAngle()\nC++: void SetBrushModeToAngle ();this SetBrushMode VTK_BRUSH_ANGLE \n\n"},
  {(char*)"SetBrushModeToFunction",                (PyCFunction)PyvtkParallelCoordinatesView_SetBrushModeToFunction, 1,
   (char*)"V.SetBrushModeToFunction()\nC++: void SetBrushModeToFunction ();this SetBrushMode VTK_BRUSH_FUNCTION \n\n"},
  {(char*)"SetBrushModeToAxisThreshold",                (PyCFunction)PyvtkParallelCoordinatesView_SetBrushModeToAxisThreshold, 1,
   (char*)"V.SetBrushModeToAxisThreshold()\nC++: void SetBrushModeToAxisThreshold ();this SetBrushMode VTK_BRUSH_AXISTHRESHOLD \n\n"},
  {(char*)"GetBrushMode",                (PyCFunction)PyvtkParallelCoordinatesView_GetBrushMode, 1,
   (char*)"V.GetBrushMode() -> int\nC++: int GetBrushMode ();\n\n"},
  {(char*)"SetBrushOperator",                (PyCFunction)PyvtkParallelCoordinatesView_SetBrushOperator, 1,
   (char*)"V.SetBrushOperator(int)\nC++: void SetBrushOperator (int );\n\n"},
  {(char*)"SetBrushOperatorToAdd",                (PyCFunction)PyvtkParallelCoordinatesView_SetBrushOperatorToAdd, 1,
   (char*)"V.SetBrushOperatorToAdd()\nC++: void SetBrushOperatorToAdd ();this SetBrushOperator VTK_BRUSHOPERATOR_ADD \n\n"},
  {(char*)"SetBrushOperatorToSubtract",                (PyCFunction)PyvtkParallelCoordinatesView_SetBrushOperatorToSubtract, 1,
   (char*)"V.SetBrushOperatorToSubtract()\nC++: void SetBrushOperatorToSubtract ();this SetBrushOperator VTK_BRUSHOPERATOR_SUBTRACT \n\n"},
  {(char*)"SetBrushOperatorToIntersect",                (PyCFunction)PyvtkParallelCoordinatesView_SetBrushOperatorToIntersect, 1,
   (char*)"V.SetBrushOperatorToIntersect()\nC++: void SetBrushOperatorToIntersect ();this SetBrushOperator VTK_BRUSHOPERATOR_INTERSECT \n\n"},
  {(char*)"SetBrushOperatorToReplace",                (PyCFunction)PyvtkParallelCoordinatesView_SetBrushOperatorToReplace, 1,
   (char*)"V.SetBrushOperatorToReplace()\nC++: void SetBrushOperatorToReplace ();this SetBrushOperator VTK_BRUSHOPERATOR_REPLACE \n\n"},
  {(char*)"GetBrushOperator",                (PyCFunction)PyvtkParallelCoordinatesView_GetBrushOperator, 1,
   (char*)"V.GetBrushOperator() -> int\nC++: int GetBrushOperator ();\n\n"},
  {(char*)"SetInspectMode",                (PyCFunction)PyvtkParallelCoordinatesView_SetInspectMode, 1,
   (char*)"V.SetInspectMode(int)\nC++: void SetInspectMode (int );\n\n"},
  {(char*)"SetInspectModeToManipulateAxes",                (PyCFunction)PyvtkParallelCoordinatesView_SetInspectModeToManipulateAxes, 1,
   (char*)"V.SetInspectModeToManipulateAxes()\nC++: void SetInspectModeToManipulateAxes ();this SetInspectMode VTK_INSPECT_MANIPULATE_AXES \n\n"},
  {(char*)"SetInpsectModeToSelectData",                (PyCFunction)PyvtkParallelCoordinatesView_SetInpsectModeToSelectData, 1,
   (char*)"V.SetInpsectModeToSelectData()\nC++: void SetInpsectModeToSelectData ();this SetInspectMode VTK_INSPECT_SELECT_DATA \n\n"},
  {(char*)"GetInspectMode",                (PyCFunction)PyvtkParallelCoordinatesView_GetInspectMode, 1,
   (char*)"V.GetInspectMode() -> int\nC++: int GetInspectMode ();\n\n"},
  {(char*)"SetMaximumNumberOfBrushPoints",                (PyCFunction)PyvtkParallelCoordinatesView_SetMaximumNumberOfBrushPoints, 1,
   (char*)"V.SetMaximumNumberOfBrushPoints(int)\nC++: void SetMaximumNumberOfBrushPoints (int );\n\n"},
  {(char*)"GetMaximumNumberOfBrushPoints",                (PyCFunction)PyvtkParallelCoordinatesView_GetMaximumNumberOfBrushPoints, 1,
   (char*)"V.GetMaximumNumberOfBrushPoints() -> int\nC++: int GetMaximumNumberOfBrushPoints ();\n\n"},
  {(char*)"SetCurrentBrushClass",                (PyCFunction)PyvtkParallelCoordinatesView_SetCurrentBrushClass, 1,
   (char*)"V.SetCurrentBrushClass(int)\nC++: void SetCurrentBrushClass (int );\n\n"},
  {(char*)"GetCurrentBrushClass",                (PyCFunction)PyvtkParallelCoordinatesView_GetCurrentBrushClass, 1,
   (char*)"V.GetCurrentBrushClass() -> int\nC++: int GetCurrentBrushClass ();\n\n"},
  {(char*)"ApplyViewTheme",                (PyCFunction)PyvtkParallelCoordinatesView_ApplyViewTheme, 1,
   (char*)"V.ApplyViewTheme(vtkViewTheme)\nC++: virtual void ApplyViewTheme (vtkViewTheme *theme);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkParallelCoordinatesViewDoc[] = {
  (char*)"vtkParallelCoordinatesView - view to be used with vtkParallelCoordinatesRepresentation\n\n",
  "Super Class:\n\n vtkRenderView\n\n",
  (char*)"\n This class manages interaction with the vtkParallelCoordinatesRepresentation.  There are \n two inspection modes: axis manipulation and line selection.  In axis manipulation mode,\n PC axes can be dragged and reordered with the LMB, axis ranges can be increased/decreased\n by dragging up/down with the LMB, and RMB controls zoom and pan.  \n \n In line selection mode, there are three subclasses of sel",
  (char*)"ections: lasso, angle, and \n function selection.  Lasso selection lets the user brush a line and select all PC lines \n that pass nearby.  Angle selection lets the user draw a representative line between axes \n and select all lines that have similar orientation.  Function selection lets the user \n draw two  representative lines between a pair of axes and select all lines that match\n the linear inte",
  (char*)"rpolation of those lines.  \n\n There are several self-explanatory operators for combining selections: ADD, SUBTRACT\n REPLACE, and INTERSECT.  \n\n",
  NULL
};

static vtkObjectBase *vtkParallelCoordinatesViewStaticNew()
{
  return vtkParallelCoordinatesView::New();
}

PyObject *PyVTKClass_vtkParallelCoordinatesViewNew(char *modulename)
{
  return PyVTKClass_New(&vtkParallelCoordinatesViewStaticNew,
                        PyvtkParallelCoordinatesViewMethods,
                        (char*)"vtkParallelCoordinatesView",modulename,
                        (char**)vtkParallelCoordinatesViewDoc,
                        PyVTKClass_vtkRenderViewNew(modulename));
}

