// python wrapper for vtkPipelineGraphSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPipelineGraphSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPipelineGraphSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPipelineGraphSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDirectedGraphAlgorithmNew(char *); }

static PyObject *PyvtkPipelineGraphSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPipelineGraphSource *op;

  const char    *temp20;
  op = (vtkPipelineGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPipelineGraphSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPipelineGraphSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPipelineGraphSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkPipelineGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPipelineGraphSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPipelineGraphSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPipelineGraphSource *op;

  vtkPipelineGraphSource  *temp20;
  op = (vtkPipelineGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPipelineGraphSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPipelineGraphSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPipelineGraphSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPipelineGraphSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPipelineGraphSource_AddSink(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPipelineGraphSource *op;

  vtkObject  *temp0;
  PyObject *tempH0;
  op = (vtkPipelineGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkPipelineGraphSource::AddSink(temp0);
      }
    else
      {
      op->AddSink(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkPipelineGraphSource_RemoveSink(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPipelineGraphSource *op;

  vtkObject  *temp0;
  PyObject *tempH0;
  op = (vtkPipelineGraphSource *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkPipelineGraphSource::RemoveSink(temp0);
      }
    else
      {
      op->RemoveSink(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}

static PyMethodDef PyvtkPipelineGraphSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPipelineGraphSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPipelineGraphSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPipelineGraphSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPipelineGraphSource\nC++: vtkPipelineGraphSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPipelineGraphSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPipelineGraphSource\nC++: vtkPipelineGraphSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddSink",                (PyCFunction)PyvtkPipelineGraphSource_AddSink, 1,
   (char*)"V.AddSink(vtkObject)\nC++: void AddSink (vtkObject *object);\n\n"},
  {(char*)"RemoveSink",                (PyCFunction)PyvtkPipelineGraphSource_RemoveSink, 1,
   (char*)"V.RemoveSink(vtkObject)\nC++: void RemoveSink (vtkObject *object);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPipelineGraphSourceDoc[] = {
  (char*)"vtkPipelineGraphSource - a graph constructed from a VTK pipeline\n\n",
  "Super Class:\n\n vtkDirectedGraphAlgorithm\n\n",
  NULL
};

static vtkObjectBase *vtkPipelineGraphSourceStaticNew()
{
  return vtkPipelineGraphSource::New();
}

PyObject *PyVTKClass_vtkPipelineGraphSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkPipelineGraphSourceStaticNew,
                        PyvtkPipelineGraphSourceMethods,
                        (char*)"vtkPipelineGraphSource",modulename,
                        (char**)vtkPipelineGraphSourceDoc,
                        PyVTKClass_vtkDirectedGraphAlgorithmNew(modulename));
}

