// python wrapper for vtkRenderView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkRenderView.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRenderViewNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRenderViewNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkViewNew(char *); }

static PyObject *PyvtkRenderView_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  const char    *temp20;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderView::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  char    *temp0;
  int      temp20;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderView::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  vtkRenderView  *temp20;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderView::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRenderView  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRenderView::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkRenderView_GetRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  vtkRenderer  *temp20;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderView::GetRenderer();
      }
    else
      {
      temp20 = op->GetRenderer();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_GetRenderWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  vtkRenderWindow  *temp20;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderView::GetRenderWindow();
      }
    else
      {
      temp20 = op->GetRenderWindow();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_GetInteractor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  vtkRenderWindowInteractor  *temp20;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderView::GetInteractor();
      }
    else
      {
      temp20 = op->GetInteractor();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_SetInteractor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  vtkRenderWindowInteractor  *temp0;
  PyObject *tempH0;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderWindowInteractor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindowInteractor");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderView::SetInteractor(temp0);
      }
    else
      {
      op->SetInteractor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkRenderView_SetInteractorStyle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  vtkInteractorObserver  *temp0;
  PyObject *tempH0;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkInteractorObserver *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInteractorObserver");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderView::SetInteractorStyle(temp0);
      }
    else
      {
      op->SetInteractorStyle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkRenderView_GetInteractorStyle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  vtkInteractorObserver  *temp20;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderView::GetInteractorStyle();
      }
    else
      {
      temp20 = op->GetInteractorStyle();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_SetInteractionMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  int      temp0;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderView::SetInteractionMode(temp0);
      }
    else
      {
      op->SetInteractionMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_GetInteractionMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  int      temp20;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderView::GetInteractionMode();
      }
    else
      {
      temp20 = op->GetInteractionMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_SetInteractionModeTo2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderView::SetInteractionModeTo2D();
      }
    else
      {
      op->SetInteractionModeTo2D();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_SetInteractionModeTo3D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderView::SetInteractionModeTo3D();
      }
    else
      {
      op->SetInteractionModeTo3D();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_ApplyViewTheme(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  vtkViewTheme  *temp0;
  PyObject *tempH0;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewTheme *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewTheme");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderView::ApplyViewTheme(temp0);
      }
    else
      {
      op->ApplyViewTheme(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkRenderView_SetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  vtkAbstractTransform  *temp0;
  PyObject *tempH0;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractTransform *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractTransform");
    if (!temp0 && tempH0 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderView::SetTransform(temp0);
      }
    else
      {
      op->SetTransform(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkRenderView_GetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  vtkAbstractTransform  *temp20;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderView::GetTransform();
      }
    else
      {
      temp20 = op->GetTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_SetDisplayHoverText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  bool   temp0;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderView::SetDisplayHoverText(temp0);
      }
    else
      {
      op->SetDisplayHoverText(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_GetDisplayHoverText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  bool   temp20;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderView::GetDisplayHoverText();
      }
    else
      {
      temp20 = op->GetDisplayHoverText();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_DisplayHoverTextOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderView::DisplayHoverTextOn();
      }
    else
      {
      op->DisplayHoverTextOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_DisplayHoverTextOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderView::DisplayHoverTextOff();
      }
    else
      {
      op->DisplayHoverTextOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_SetSelectionMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  int      temp0;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderView::SetSelectionMode(temp0);
      }
    else
      {
      op->SetSelectionMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_GetSelectionModeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  int      temp20;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderView::GetSelectionModeMinValue();
      }
    else
      {
      temp20 = op->GetSelectionModeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_GetSelectionModeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  int      temp20;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderView::GetSelectionModeMaxValue();
      }
    else
      {
      temp20 = op->GetSelectionModeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_GetSelectionMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  int      temp20;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderView::GetSelectionMode();
      }
    else
      {
      temp20 = op->GetSelectionMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_SetSelectionModeToSurface(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderView::SetSelectionModeToSurface();
      }
    else
      {
      op->SetSelectionModeToSurface();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_SetSelectionModeToFrustum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderView::SetSelectionModeToFrustum();
      }
    else
      {
      op->SetSelectionModeToFrustum();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderView::Render();
      }
    else
      {
      op->Render();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_ResetCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderView::ResetCamera();
      }
    else
      {
      op->ResetCamera();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_ResetCameraClippingRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderView::ResetCameraClippingRange();
      }
    else
      {
      op->ResetCameraClippingRange();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_AddLabels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break30;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderView::AddLabels(temp0);
      }
    else
      {
      op->AddLabels(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break30:
  return NULL;
}


static PyObject *PyvtkRenderView_RemoveLabels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break31;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderView::RemoveLabels(temp0);
      }
    else
      {
      op->RemoveLabels(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break31:
  return NULL;
}


static PyObject *PyvtkRenderView_SetIconTexture(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  vtkTexture  *temp0;
  PyObject *tempH0;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTexture *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTexture");
    if (!temp0 && tempH0 != Py_None) goto break32;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderView::SetIconTexture(temp0);
      }
    else
      {
      op->SetIconTexture(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break32:
  return NULL;
}


static PyObject *PyvtkRenderView_GetIconTexture(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  vtkTexture  *temp20;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderView::GetIconTexture();
      }
    else
      {
      temp20 = op->GetIconTexture();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_SetIconSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  int      temp0;
  int      temp1;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderView::SetIconSize(temp0,temp1);
      }
    else
      {
      op->SetIconSize(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRenderView *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderView::SetIconSize(temp0);
      }
    else
      {
      op->SetIconSize(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_GetIconSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  int     *temp20;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderView::GetIconSize();
      }
    else
      {
      temp20 = op->GetIconSize();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_SetLabelPlacementMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  int      temp0;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderView::SetLabelPlacementMode(temp0);
      }
    else
      {
      op->SetLabelPlacementMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_GetLabelPlacementMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  int      temp20;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderView::GetLabelPlacementMode();
      }
    else
      {
      temp20 = op->GetLabelPlacementMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_SetLabelPlacementModeToNoOverlap(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderView::SetLabelPlacementModeToNoOverlap();
      }
    else
      {
      op->SetLabelPlacementModeToNoOverlap();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_SetLabelPlacementModeToAll(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderView::SetLabelPlacementModeToAll();
      }
    else
      {
      op->SetLabelPlacementModeToAll();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_SetLabelRenderMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  int      temp0;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderView::SetLabelRenderMode(temp0);
      }
    else
      {
      op->SetLabelRenderMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_GetLabelRenderMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  int      temp20;
  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderView::GetLabelRenderMode();
      }
    else
      {
      temp20 = op->GetLabelRenderMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_SetLabelRenderModeToFreetype(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderView::SetLabelRenderModeToFreetype();
      }
    else
      {
      op->SetLabelRenderModeToFreetype();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderView_SetLabelRenderModeToQt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderView *op;

  op = (vtkRenderView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderView::SetLabelRenderModeToQt();
      }
    else
      {
      op->SetLabelRenderModeToQt();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkRenderViewMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRenderView_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRenderView_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRenderView_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRenderView\nC++: vtkRenderView *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRenderView_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRenderView\nC++: vtkRenderView *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetRenderer",                (PyCFunction)PyvtkRenderView_GetRenderer, 1,
   (char*)"V.GetRenderer() -> vtkRenderer\nC++: vtkRenderer *GetRenderer ();\n\n Gets the renderer for this view.\n"},
  {(char*)"GetRenderWindow",                (PyCFunction)PyvtkRenderView_GetRenderWindow, 1,
   (char*)"V.GetRenderWindow() -> vtkRenderWindow\nC++: vtkRenderWindow *GetRenderWindow ();\n\n Get a handle to the render window.\n"},
  {(char*)"GetInteractor",                (PyCFunction)PyvtkRenderView_GetInteractor, 1,
   (char*)"V.GetInteractor() -> vtkRenderWindowInteractor\nC++: virtual vtkRenderWindowInteractor *GetInteractor ();\n\n The render window interactor.\n"},
  {(char*)"SetInteractor",                (PyCFunction)PyvtkRenderView_SetInteractor, 1,
   (char*)"V.SetInteractor(vtkRenderWindowInteractor)\nC++: virtual void SetInteractor (vtkRenderWindowInteractor *interactor);\n\n The render window interactor.\n"},
  {(char*)"SetInteractorStyle",                (PyCFunction)PyvtkRenderView_SetInteractorStyle, 1,
   (char*)"V.SetInteractorStyle(vtkInteractorObserver)\nC++: virtual void SetInteractorStyle (vtkInteractorObserver *style);\n\n The interactor style associated with the render view.\n"},
  {(char*)"GetInteractorStyle",                (PyCFunction)PyvtkRenderView_GetInteractorStyle, 1,
   (char*)"V.GetInteractorStyle() -> vtkInteractorObserver\nC++: virtual vtkInteractorObserver *GetInteractorStyle ();\n\n The interactor style associated with the render view.\n"},
  {(char*)"SetInteractionMode",                (PyCFunction)PyvtkRenderView_SetInteractionMode, 1,
   (char*)"V.SetInteractionMode(int)\nC++: virtual void SetInteractionMode (int mode);\n\n Set the interaction mode for the view. Choices are:\n vtkRenderView::INTERACTION_MODE_2D - 2D interactor\n vtkRenderView::INTERACTION_MODE_3D - 3D interactor\n"},
  {(char*)"GetInteractionMode",                (PyCFunction)PyvtkRenderView_GetInteractionMode, 1,
   (char*)"V.GetInteractionMode() -> int\nC++: int GetInteractionMode ();\n\n Set the interaction mode for the view. Choices are:\n vtkRenderView::INTERACTION_MODE_2D - 2D interactor\n vtkRenderView::INTERACTION_MODE_3D - 3D interactor\n"},
  {(char*)"SetInteractionModeTo2D",                (PyCFunction)PyvtkRenderView_SetInteractionModeTo2D, 1,
   (char*)"V.SetInteractionModeTo2D()\nC++: virtual void SetInteractionModeTo2D ();this SetInteractionMode INTERACTION_MODE_2D \n\n Set the interaction mode for the view. Choices are:\n vtkRenderView::INTERACTION_MODE_2D - 2D interactor\n vtkRenderView::INTERACTION_MODE_3D - 3D interactor\n"},
  {(char*)"SetInteractionModeTo3D",                (PyCFunction)PyvtkRenderView_SetInteractionModeTo3D, 1,
   (char*)"V.SetInteractionModeTo3D()\nC++: virtual void SetInteractionModeTo3D ();this SetInteractionMode INTERACTION_MODE_3D \n\n Applies a view theme to this view.\n"},
  {(char*)"ApplyViewTheme",                (PyCFunction)PyvtkRenderView_ApplyViewTheme, 1,
   (char*)"V.ApplyViewTheme(vtkViewTheme)\nC++: virtual void ApplyViewTheme (vtkViewTheme *theme);\n\n Applies a view theme to this view.\n"},
  {(char*)"SetTransform",                (PyCFunction)PyvtkRenderView_SetTransform, 1,
   (char*)"V.SetTransform(vtkAbstractTransform)\nC++: virtual void SetTransform (vtkAbstractTransform *transform);\n\n Set the view's transform. All vtkRenderedRepresentations\n added to this view should use this transform.\n"},
  {(char*)"GetTransform",                (PyCFunction)PyvtkRenderView_GetTransform, 1,
   (char*)"V.GetTransform() -> vtkAbstractTransform\nC++: vtkAbstractTransform *GetTransform ();\n\n Set the view's transform. All vtkRenderedRepresentations\n added to this view should use this transform.\n"},
  {(char*)"SetDisplayHoverText",                (PyCFunction)PyvtkRenderView_SetDisplayHoverText, 1,
   (char*)"V.SetDisplayHoverText(bool)\nC++: virtual void SetDisplayHoverText (bool b);\n\n Whether the view should display hover text.\n"},
  {(char*)"GetDisplayHoverText",                (PyCFunction)PyvtkRenderView_GetDisplayHoverText, 1,
   (char*)"V.GetDisplayHoverText() -> bool\nC++: bool GetDisplayHoverText ();\n\n Whether the view should display hover text.\n"},
  {(char*)"DisplayHoverTextOn",                (PyCFunction)PyvtkRenderView_DisplayHoverTextOn, 1,
   (char*)"V.DisplayHoverTextOn()\nC++: void DisplayHoverTextOn ();\n\n Whether the view should display hover text.\n"},
  {(char*)"DisplayHoverTextOff",                (PyCFunction)PyvtkRenderView_DisplayHoverTextOff, 1,
   (char*)"V.DisplayHoverTextOff()\nC++: void DisplayHoverTextOff ();\n\n Whether the view should display hover text.\n"},
  {(char*)"SetSelectionMode",                (PyCFunction)PyvtkRenderView_SetSelectionMode, 1,
   (char*)"V.SetSelectionMode(int)\nC++: void SetSelectionMode (int );\n\n Sets the selection mode for the render view.\n SURFACE selection uses vtkHardwareSelector to perform a selection\n of visible cells.\n FRUSTUM selection just creates a view frustum selection, which will\n select everything in the frustum.\n"},
  {(char*)"GetSelectionModeMinValue",                (PyCFunction)PyvtkRenderView_GetSelectionModeMinValue, 1,
   (char*)"V.GetSelectionModeMinValue() -> int\nC++: int GetSelectionModeMinValue ();\n\n Sets the selection mode for the render view.\n SURFACE selection uses vtkHardwareSelector to perform a selection\n of visible cells.\n FRUSTUM selection just creates a view frustum selection, which will\n select everything in the frustum.\n"},
  {(char*)"GetSelectionModeMaxValue",                (PyCFunction)PyvtkRenderView_GetSelectionModeMaxValue, 1,
   (char*)"V.GetSelectionModeMaxValue() -> int\nC++: int GetSelectionModeMaxValue ();\n\n Sets the selection mode for the render view.\n SURFACE selection uses vtkHardwareSelector to perform a selection\n of visible cells.\n FRUSTUM selection just creates a view frustum selection, which will\n select everything in the frustum.\n"},
  {(char*)"GetSelectionMode",                (PyCFunction)PyvtkRenderView_GetSelectionMode, 1,
   (char*)"V.GetSelectionMode() -> int\nC++: int GetSelectionMode ();\n\n Sets the selection mode for the render view.\n SURFACE selection uses vtkHardwareSelector to perform a selection\n of visible cells.\n FRUSTUM selection just creates a view frustum selection, which will\n select everything in the frustum.\n"},
  {(char*)"SetSelectionModeToSurface",                (PyCFunction)PyvtkRenderView_SetSelectionModeToSurface, 1,
   (char*)"V.SetSelectionModeToSurface()\nC++: void SetSelectionModeToSurface ();this SetSelectionMode SURFACE \n\n Sets the selection mode for the render view.\n SURFACE selection uses vtkHardwareSelector to perform a selection\n of visible cells.\n FRUSTUM selection just creates a view frustum selection, which will\n select everything in the frustum.\n"},
  {(char*)"SetSelectionModeToFrustum",                (PyCFunction)PyvtkRenderView_SetSelectionModeToFrustum, 1,
   (char*)"V.SetSelectionModeToFrustum()\nC++: void SetSelectionModeToFrustum ();this SetSelectionMode FRUSTUM \n\n Updates the representations, then calls Render() on the render window\n associated with this view.\n"},
  {(char*)"Render",                (PyCFunction)PyvtkRenderView_Render, 1,
   (char*)"V.Render()\nC++: virtual void Render ();\n\n Updates the representations, then calls Render() on the render window\n associated with this view.\n"},
  {(char*)"ResetCamera",                (PyCFunction)PyvtkRenderView_ResetCamera, 1,
   (char*)"V.ResetCamera()\nC++: virtual void ResetCamera ();\n\n Updates the representations, then calls ResetCamera() on the renderer\n associated with this view.\n"},
  {(char*)"ResetCameraClippingRange",                (PyCFunction)PyvtkRenderView_ResetCameraClippingRange, 1,
   (char*)"V.ResetCameraClippingRange()\nC++: virtual void ResetCameraClippingRange ();\n\n Updates the representations, then calls ResetCameraClippingRange() on the renderer\n associated with this view.\n"},
  {(char*)"AddLabels",                (PyCFunction)PyvtkRenderView_AddLabels, 1,
   (char*)"V.AddLabels(vtkAlgorithmOutput)\nC++: virtual void AddLabels (vtkAlgorithmOutput *conn);\n\n Add labels from an input connection with an associated text\n property. The output must be a vtkLabelHierarchy (normally the\n output of vtkPointSetToLabelHierarchy).\n"},
  {(char*)"RemoveLabels",                (PyCFunction)PyvtkRenderView_RemoveLabels, 1,
   (char*)"V.RemoveLabels(vtkAlgorithmOutput)\nC++: virtual void RemoveLabels (vtkAlgorithmOutput *conn);\n\n Remove labels from an input connection.\n"},
  {(char*)"SetIconTexture",                (PyCFunction)PyvtkRenderView_SetIconTexture, 1,
   (char*)"V.SetIconTexture(vtkTexture)\nC++: virtual void SetIconTexture (vtkTexture *texture);\n\n Set the icon sheet to use for rendering icons.\n"},
  {(char*)"GetIconTexture",                (PyCFunction)PyvtkRenderView_GetIconTexture, 1,
   (char*)"V.GetIconTexture() -> vtkTexture\nC++: vtkTexture *GetIconTexture ();\n\n Set the icon sheet to use for rendering icons.\n"},
  {(char*)"SetIconSize",                (PyCFunction)PyvtkRenderView_SetIconSize, 1,
   (char*)"V.SetIconSize(int, int)\nC++: void SetIconSize (int , int );\nV.SetIconSize((int, int))\nC++: void SetIconSize (int  a[2]);\n\n Set the size of each icon in the icon texture.\n"},
  {(char*)"GetIconSize",                (PyCFunction)PyvtkRenderView_GetIconSize, 1,
   (char*)"V.GetIconSize() -> (int, int)\nC++: int  *GetIconSize ();\n\n Set the size of each icon in the icon texture.\n"},
  {(char*)"SetLabelPlacementMode",                (PyCFunction)PyvtkRenderView_SetLabelPlacementMode, 1,
   (char*)"V.SetLabelPlacementMode(int)\nC++: virtual void SetLabelPlacementMode (int mode);\n\n Label placement mode.\n NO_OVERLAP uses vtkLabelPlacementMapper, which has a faster startup time and\n works with 2D or 3D labels.\n ALL displays all labels (Warning: This may cause incredibly slow render\n times on datasets with more than a few hundred labels).\n"},
  {(char*)"GetLabelPlacementMode",                (PyCFunction)PyvtkRenderView_GetLabelPlacementMode, 1,
   (char*)"V.GetLabelPlacementMode() -> int\nC++: virtual int GetLabelPlacementMode ();\n\n Label placement mode.\n NO_OVERLAP uses vtkLabelPlacementMapper, which has a faster startup time and\n works with 2D or 3D labels.\n ALL displays all labels (Warning: This may cause incredibly slow render\n times on datasets with more than a few hundred labels).\n"},
  {(char*)"SetLabelPlacementModeToNoOverlap",                (PyCFunction)PyvtkRenderView_SetLabelPlacementModeToNoOverlap, 1,
   (char*)"V.SetLabelPlacementModeToNoOverlap()\nC++: virtual void SetLabelPlacementModeToNoOverlap ();this SetLabelPlacementMode NO_OVERLAP \n\n Label placement mode.\n NO_OVERLAP uses vtkLabelPlacementMapper, which has a faster startup time and\n works with 2D or 3D labels.\n ALL displays all labels (Warning: This may cause incredibly slow render\n times on datasets with more than a few hundred labels).\n"},
  {(char*)"SetLabelPlacementModeToAll",                (PyCFunction)PyvtkRenderView_SetLabelPlacementModeToAll, 1,
   (char*)"V.SetLabelPlacementModeToAll()\nC++: virtual void SetLabelPlacementModeToAll ();this SetLabelPlacementMode ALL \n\n Label render mode.\n FREETYPE uses the freetype label rendering.\n QT uses more advanced Qt-based label rendering.\n"},
  {(char*)"SetLabelRenderMode",                (PyCFunction)PyvtkRenderView_SetLabelRenderMode, 1,
   (char*)"V.SetLabelRenderMode(int)\nC++: virtual void SetLabelRenderMode (int mode);\n\n Label render mode.\n FREETYPE uses the freetype label rendering.\n QT uses more advanced Qt-based label rendering.\n"},
  {(char*)"GetLabelRenderMode",                (PyCFunction)PyvtkRenderView_GetLabelRenderMode, 1,
   (char*)"V.GetLabelRenderMode() -> int\nC++: virtual int GetLabelRenderMode ();\n\n Label render mode.\n FREETYPE uses the freetype label rendering.\n QT uses more advanced Qt-based label rendering.\n"},
  {(char*)"SetLabelRenderModeToFreetype",                (PyCFunction)PyvtkRenderView_SetLabelRenderModeToFreetype, 1,
   (char*)"V.SetLabelRenderModeToFreetype()\nC++: virtual void SetLabelRenderModeToFreetype ();this SetLabelRenderMode FREETYPE \n\n Label render mode.\n FREETYPE uses the freetype label rendering.\n QT uses more advanced Qt-based label rendering.\n"},
  {(char*)"SetLabelRenderModeToQt",                (PyCFunction)PyvtkRenderView_SetLabelRenderModeToQt, 1,
   (char*)"V.SetLabelRenderModeToQt()\nC++: virtual void SetLabelRenderModeToQt ();this SetLabelRenderMode QT \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRenderViewDoc[] = {
  (char*)"vtkRenderView - A view containing a renderer.\n\n",
  "Super Class:\n\n vtkView\n\n",
  (char*)" vtkRenderView is a view which contains a vtkRenderer.  You may add vtkActors\n directly to the renderer, or add certain vtkDataRepresentation subclasses\n to the renderer.  The render view supports drag selection with the mouse to\n select cells.\n\n This class is also the parent class for any more specialized view which uses\n a renderer.\n\n",
  NULL
};

static vtkObjectBase *vtkRenderViewStaticNew()
{
  return vtkRenderView::New();
}

PyObject *PyVTKClass_vtkRenderViewNew(char *modulename)
{
  return PyVTKClass_New(&vtkRenderViewStaticNew,
                        PyvtkRenderViewMethods,
                        (char*)"vtkRenderView",modulename,
                        (char**)vtkRenderViewDoc,
                        PyVTKClass_vtkViewNew(modulename));
}

