// python wrapper for vtkRenderedGraphRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkRenderedGraphRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRenderedGraphRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRenderedGraphRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkRenderedRepresentationNew(char *); }

static PyObject *PyvtkRenderedGraphRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  const char    *temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  vtkRenderedGraphRepresentation  *temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRenderedGraphRepresentation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRenderedGraphRepresentation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetVertexLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  char    *temp0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetVertexLabelArrayName(temp0);
      }
    else
      {
      op->SetVertexLabelArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetVertexLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  const char    *temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetVertexLabelArrayName();
      }
    else
      {
      temp20 = op->GetVertexLabelArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetVertexLabelPriorityArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  char    *temp0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetVertexLabelPriorityArrayName(temp0);
      }
    else
      {
      op->SetVertexLabelPriorityArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetVertexLabelPriorityArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  const char    *temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetVertexLabelPriorityArrayName();
      }
    else
      {
      temp20 = op->GetVertexLabelPriorityArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetVertexLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  bool   temp0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetVertexLabelVisibility(temp0);
      }
    else
      {
      op->SetVertexLabelVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetVertexLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  bool   temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetVertexLabelVisibility();
      }
    else
      {
      temp20 = op->GetVertexLabelVisibility();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_VertexLabelVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::VertexLabelVisibilityOn();
      }
    else
      {
      op->VertexLabelVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_VertexLabelVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::VertexLabelVisibilityOff();
      }
    else
      {
      op->VertexLabelVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetVertexLabelTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  vtkTextProperty  *temp0;
  PyObject *tempH0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTextProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextProperty");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetVertexLabelTextProperty(temp0);
      }
    else
      {
      op->SetVertexLabelTextProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetVertexLabelTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  vtkTextProperty  *temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetVertexLabelTextProperty();
      }
    else
      {
      temp20 = op->GetVertexLabelTextProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetVertexHoverArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  char    *temp0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetVertexHoverArrayName(temp0);
      }
    else
      {
      op->SetVertexHoverArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetVertexHoverArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  char    *temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetVertexHoverArrayName();
      }
    else
      {
      temp20 = op->GetVertexHoverArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetHideVertexLabelsOnInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  bool   temp0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetHideVertexLabelsOnInteraction(temp0);
      }
    else
      {
      op->SetHideVertexLabelsOnInteraction(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetHideVertexLabelsOnInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  bool   temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetHideVertexLabelsOnInteraction();
      }
    else
      {
      temp20 = op->GetHideVertexLabelsOnInteraction();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_HideVertexLabelsOnInteractionOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::HideVertexLabelsOnInteractionOn();
      }
    else
      {
      op->HideVertexLabelsOnInteractionOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_HideVertexLabelsOnInteractionOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::HideVertexLabelsOnInteractionOff();
      }
    else
      {
      op->HideVertexLabelsOnInteractionOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetEdgeLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  char    *temp0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetEdgeLabelArrayName(temp0);
      }
    else
      {
      op->SetEdgeLabelArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetEdgeLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  const char    *temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetEdgeLabelArrayName();
      }
    else
      {
      temp20 = op->GetEdgeLabelArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetEdgeLabelPriorityArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  char    *temp0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetEdgeLabelPriorityArrayName(temp0);
      }
    else
      {
      op->SetEdgeLabelPriorityArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetEdgeLabelPriorityArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  const char    *temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetEdgeLabelPriorityArrayName();
      }
    else
      {
      temp20 = op->GetEdgeLabelPriorityArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetEdgeLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  bool   temp0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetEdgeLabelVisibility(temp0);
      }
    else
      {
      op->SetEdgeLabelVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetEdgeLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  bool   temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetEdgeLabelVisibility();
      }
    else
      {
      temp20 = op->GetEdgeLabelVisibility();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_EdgeLabelVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::EdgeLabelVisibilityOn();
      }
    else
      {
      op->EdgeLabelVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_EdgeLabelVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::EdgeLabelVisibilityOff();
      }
    else
      {
      op->EdgeLabelVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetEdgeLabelTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  vtkTextProperty  *temp0;
  PyObject *tempH0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTextProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextProperty");
    if (!temp0 && tempH0 != Py_None) goto break28;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetEdgeLabelTextProperty(temp0);
      }
    else
      {
      op->SetEdgeLabelTextProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break28:
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetEdgeLabelTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  vtkTextProperty  *temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetEdgeLabelTextProperty();
      }
    else
      {
      temp20 = op->GetEdgeLabelTextProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetEdgeHoverArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  char    *temp0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetEdgeHoverArrayName(temp0);
      }
    else
      {
      op->SetEdgeHoverArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetEdgeHoverArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  char    *temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetEdgeHoverArrayName();
      }
    else
      {
      temp20 = op->GetEdgeHoverArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetHideEdgeLabelsOnInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  bool   temp0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetHideEdgeLabelsOnInteraction(temp0);
      }
    else
      {
      op->SetHideEdgeLabelsOnInteraction(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetHideEdgeLabelsOnInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  bool   temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetHideEdgeLabelsOnInteraction();
      }
    else
      {
      temp20 = op->GetHideEdgeLabelsOnInteraction();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_HideEdgeLabelsOnInteractionOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::HideEdgeLabelsOnInteractionOn();
      }
    else
      {
      op->HideEdgeLabelsOnInteractionOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_HideEdgeLabelsOnInteractionOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::HideEdgeLabelsOnInteractionOff();
      }
    else
      {
      op->HideEdgeLabelsOnInteractionOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetVertexIconArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  char    *temp0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetVertexIconArrayName(temp0);
      }
    else
      {
      op->SetVertexIconArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetVertexIconArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  const char    *temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetVertexIconArrayName();
      }
    else
      {
      temp20 = op->GetVertexIconArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetVertexIconPriorityArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  char    *temp0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetVertexIconPriorityArrayName(temp0);
      }
    else
      {
      op->SetVertexIconPriorityArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetVertexIconPriorityArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  const char    *temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetVertexIconPriorityArrayName();
      }
    else
      {
      temp20 = op->GetVertexIconPriorityArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetVertexIconVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  bool   temp0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetVertexIconVisibility(temp0);
      }
    else
      {
      op->SetVertexIconVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetVertexIconVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  bool   temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetVertexIconVisibility();
      }
    else
      {
      temp20 = op->GetVertexIconVisibility();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_VertexIconVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::VertexIconVisibilityOn();
      }
    else
      {
      op->VertexIconVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_VertexIconVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::VertexIconVisibilityOff();
      }
    else
      {
      op->VertexIconVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_AddVertexIconType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  char    *temp0;
  int      temp1;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::AddVertexIconType(temp0,temp1);
      }
    else
      {
      op->AddVertexIconType(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_ClearVertexIconTypes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::ClearVertexIconTypes();
      }
    else
      {
      op->ClearVertexIconTypes();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetUseVertexIconTypeMap(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  bool   temp0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetUseVertexIconTypeMap(temp0);
      }
    else
      {
      op->SetUseVertexIconTypeMap(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetUseVertexIconTypeMap(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  bool   temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetUseVertexIconTypeMap();
      }
    else
      {
      temp20 = op->GetUseVertexIconTypeMap();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_UseVertexIconTypeMapOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::UseVertexIconTypeMapOn();
      }
    else
      {
      op->UseVertexIconTypeMapOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_UseVertexIconTypeMapOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::UseVertexIconTypeMapOff();
      }
    else
      {
      op->UseVertexIconTypeMapOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetVertexIconAlignment(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  int      temp0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetVertexIconAlignment(temp0);
      }
    else
      {
      op->SetVertexIconAlignment(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetVertexIconAlignment(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  int      temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetVertexIconAlignment();
      }
    else
      {
      temp20 = op->GetVertexIconAlignment();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetVertexSelectedIcon(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  int      temp0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetVertexSelectedIcon(temp0);
      }
    else
      {
      op->SetVertexSelectedIcon(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetVertexSelectedIcon(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  int      temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetVertexSelectedIcon();
      }
    else
      {
      temp20 = op->GetVertexSelectedIcon();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetVertexIconSelectionMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  int      temp0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetVertexIconSelectionMode(temp0);
      }
    else
      {
      op->SetVertexIconSelectionMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetVertexIconSelectionMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  int      temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetVertexIconSelectionMode();
      }
    else
      {
      temp20 = op->GetVertexIconSelectionMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetVertexIconSelectionModeToSelectedIcon(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetVertexIconSelectionModeToSelectedIcon();
      }
    else
      {
      op->SetVertexIconSelectionModeToSelectedIcon();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetVertexIconSelectionModeToSelectedOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetVertexIconSelectionModeToSelectedOffset();
      }
    else
      {
      op->SetVertexIconSelectionModeToSelectedOffset();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetVertexIconSelectionModeToAnnotationIcon(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetVertexIconSelectionModeToAnnotationIcon();
      }
    else
      {
      op->SetVertexIconSelectionModeToAnnotationIcon();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetVertexIconSelectionModeToIgnoreSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetVertexIconSelectionModeToIgnoreSelection();
      }
    else
      {
      op->SetVertexIconSelectionModeToIgnoreSelection();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetEdgeIconArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  char    *temp0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetEdgeIconArrayName(temp0);
      }
    else
      {
      op->SetEdgeIconArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetEdgeIconArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  const char    *temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetEdgeIconArrayName();
      }
    else
      {
      temp20 = op->GetEdgeIconArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetEdgeIconPriorityArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  char    *temp0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetEdgeIconPriorityArrayName(temp0);
      }
    else
      {
      op->SetEdgeIconPriorityArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetEdgeIconPriorityArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  const char    *temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetEdgeIconPriorityArrayName();
      }
    else
      {
      temp20 = op->GetEdgeIconPriorityArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetEdgeIconVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  bool   temp0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetEdgeIconVisibility(temp0);
      }
    else
      {
      op->SetEdgeIconVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetEdgeIconVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  bool   temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetEdgeIconVisibility();
      }
    else
      {
      temp20 = op->GetEdgeIconVisibility();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_EdgeIconVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::EdgeIconVisibilityOn();
      }
    else
      {
      op->EdgeIconVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_EdgeIconVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::EdgeIconVisibilityOff();
      }
    else
      {
      op->EdgeIconVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_AddEdgeIconType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  char    *temp0;
  int      temp1;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::AddEdgeIconType(temp0,temp1);
      }
    else
      {
      op->AddEdgeIconType(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_ClearEdgeIconTypes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::ClearEdgeIconTypes();
      }
    else
      {
      op->ClearEdgeIconTypes();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetUseEdgeIconTypeMap(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  bool   temp0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetUseEdgeIconTypeMap(temp0);
      }
    else
      {
      op->SetUseEdgeIconTypeMap(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetUseEdgeIconTypeMap(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  bool   temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetUseEdgeIconTypeMap();
      }
    else
      {
      temp20 = op->GetUseEdgeIconTypeMap();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_UseEdgeIconTypeMapOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::UseEdgeIconTypeMapOn();
      }
    else
      {
      op->UseEdgeIconTypeMapOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_UseEdgeIconTypeMapOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::UseEdgeIconTypeMapOff();
      }
    else
      {
      op->UseEdgeIconTypeMapOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetEdgeIconAlignment(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  int      temp0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetEdgeIconAlignment(temp0);
      }
    else
      {
      op->SetEdgeIconAlignment(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetEdgeIconAlignment(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  int      temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetEdgeIconAlignment();
      }
    else
      {
      temp20 = op->GetEdgeIconAlignment();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetColorVerticesByArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  bool   temp0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetColorVerticesByArray(temp0);
      }
    else
      {
      op->SetColorVerticesByArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetColorVerticesByArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  bool   temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetColorVerticesByArray();
      }
    else
      {
      temp20 = op->GetColorVerticesByArray();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_ColorVerticesByArrayOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::ColorVerticesByArrayOn();
      }
    else
      {
      op->ColorVerticesByArrayOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_ColorVerticesByArrayOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::ColorVerticesByArrayOff();
      }
    else
      {
      op->ColorVerticesByArrayOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetVertexColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  char    *temp0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetVertexColorArrayName(temp0);
      }
    else
      {
      op->SetVertexColorArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetVertexColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  const char    *temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetVertexColorArrayName();
      }
    else
      {
      temp20 = op->GetVertexColorArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetColorEdgesByArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  bool   temp0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetColorEdgesByArray(temp0);
      }
    else
      {
      op->SetColorEdgesByArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetColorEdgesByArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  bool   temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetColorEdgesByArray();
      }
    else
      {
      temp20 = op->GetColorEdgesByArray();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_ColorEdgesByArrayOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::ColorEdgesByArrayOn();
      }
    else
      {
      op->ColorEdgesByArrayOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_ColorEdgesByArrayOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::ColorEdgesByArrayOff();
      }
    else
      {
      op->ColorEdgesByArrayOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetEdgeColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  char    *temp0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetEdgeColorArrayName(temp0);
      }
    else
      {
      op->SetEdgeColorArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetEdgeColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  const char    *temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetEdgeColorArrayName();
      }
    else
      {
      temp20 = op->GetEdgeColorArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetEnableVerticesByArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  bool   temp0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetEnableVerticesByArray(temp0);
      }
    else
      {
      op->SetEnableVerticesByArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetEnableVerticesByArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  bool   temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetEnableVerticesByArray();
      }
    else
      {
      temp20 = op->GetEnableVerticesByArray();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_EnableVerticesByArrayOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::EnableVerticesByArrayOn();
      }
    else
      {
      op->EnableVerticesByArrayOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_EnableVerticesByArrayOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::EnableVerticesByArrayOff();
      }
    else
      {
      op->EnableVerticesByArrayOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetEnabledVerticesArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  char    *temp0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetEnabledVerticesArrayName(temp0);
      }
    else
      {
      op->SetEnabledVerticesArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetEnabledVerticesArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  const char    *temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetEnabledVerticesArrayName();
      }
    else
      {
      temp20 = op->GetEnabledVerticesArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetEnableEdgesByArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  bool   temp0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetEnableEdgesByArray(temp0);
      }
    else
      {
      op->SetEnableEdgesByArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetEnableEdgesByArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  bool   temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetEnableEdgesByArray();
      }
    else
      {
      temp20 = op->GetEnableEdgesByArray();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_EnableEdgesByArrayOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::EnableEdgesByArrayOn();
      }
    else
      {
      op->EnableEdgesByArrayOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_EnableEdgesByArrayOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::EnableEdgesByArrayOff();
      }
    else
      {
      op->EnableEdgesByArrayOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetEnabledEdgesArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  char    *temp0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetEnabledEdgesArrayName(temp0);
      }
    else
      {
      op->SetEnabledEdgesArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetEnabledEdgesArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  const char    *temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetEnabledEdgesArrayName();
      }
    else
      {
      temp20 = op->GetEnabledEdgesArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetEdgeVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  bool   temp0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetEdgeVisibility(temp0);
      }
    else
      {
      op->SetEdgeVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetEdgeVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  bool   temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetEdgeVisibility();
      }
    else
      {
      temp20 = op->GetEdgeVisibility();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_EdgeVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::EdgeVisibilityOn();
      }
    else
      {
      op->EdgeVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_EdgeVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::EdgeVisibilityOff();
      }
    else
      {
      op->EdgeVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetLayoutStrategy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  vtkGraphLayoutStrategy  *temp0;
  PyObject *tempH0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGraphLayoutStrategy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGraphLayoutStrategy");
    if (!temp0 && tempH0 != Py_None) goto break104;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetLayoutStrategy(temp0);
      }
    else
      {
      op->SetLayoutStrategy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break104:
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  char    *temp0;
  PyErr_Clear();
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetLayoutStrategy(temp0);
      }
    else
      {
      op->SetLayoutStrategy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetLayoutStrategy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  vtkGraphLayoutStrategy  *temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetLayoutStrategy();
      }
    else
      {
      temp20 = op->GetLayoutStrategy();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetLayoutStrategyName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  char    *temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetLayoutStrategyName();
      }
    else
      {
      temp20 = op->GetLayoutStrategyName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetLayoutStrategyToRandom(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetLayoutStrategyToRandom();
      }
    else
      {
      op->SetLayoutStrategyToRandom();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetLayoutStrategyToForceDirected(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetLayoutStrategyToForceDirected();
      }
    else
      {
      op->SetLayoutStrategyToForceDirected();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetLayoutStrategyToSimple2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetLayoutStrategyToSimple2D();
      }
    else
      {
      op->SetLayoutStrategyToSimple2D();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetLayoutStrategyToClustering2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetLayoutStrategyToClustering2D();
      }
    else
      {
      op->SetLayoutStrategyToClustering2D();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetLayoutStrategyToCommunity2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetLayoutStrategyToCommunity2D();
      }
    else
      {
      op->SetLayoutStrategyToCommunity2D();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetLayoutStrategyToFast2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetLayoutStrategyToFast2D();
      }
    else
      {
      op->SetLayoutStrategyToFast2D();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetLayoutStrategyToPassThrough(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetLayoutStrategyToPassThrough();
      }
    else
      {
      op->SetLayoutStrategyToPassThrough();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetLayoutStrategyToCircular(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetLayoutStrategyToCircular();
      }
    else
      {
      op->SetLayoutStrategyToCircular();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetLayoutStrategyToTree(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetLayoutStrategyToTree();
      }
    else
      {
      op->SetLayoutStrategyToTree();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  bool   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  PyErr_Clear();
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"bddd", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetLayoutStrategyToTree(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetLayoutStrategyToTree(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetLayoutStrategyToCosmicTree(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetLayoutStrategyToCosmicTree();
      }
    else
      {
      op->SetLayoutStrategyToCosmicTree();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  char    *temp0;
  bool   temp1;
  int      temp2;
  vtkIdType   temp3;
  PyErr_Clear();
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"zbiL", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetLayoutStrategyToCosmicTree(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetLayoutStrategyToCosmicTree(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetLayoutStrategyToCone(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetLayoutStrategyToCone();
      }
    else
      {
      op->SetLayoutStrategyToCone();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetLayoutStrategyToSpanTree(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetLayoutStrategyToSpanTree();
      }
    else
      {
      op->SetLayoutStrategyToSpanTree();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetLayoutStrategyToAssignCoordinates(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  char    *temp0;
  char    *temp1;
  char    *temp2;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"zzz", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetLayoutStrategyToAssignCoordinates(temp0,temp1,temp2);
      }
    else
      {
      op->SetLayoutStrategyToAssignCoordinates(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetEdgeLayoutStrategy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  vtkEdgeLayoutStrategy  *temp0;
  PyObject *tempH0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkEdgeLayoutStrategy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkEdgeLayoutStrategy");
    if (!temp0 && tempH0 != Py_None) goto break123;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetEdgeLayoutStrategy(temp0);
      }
    else
      {
      op->SetEdgeLayoutStrategy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break123:
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  char    *temp0;
  PyErr_Clear();
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetEdgeLayoutStrategy(temp0);
      }
    else
      {
      op->SetEdgeLayoutStrategy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetEdgeLayoutStrategy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  vtkEdgeLayoutStrategy  *temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetEdgeLayoutStrategy();
      }
    else
      {
      temp20 = op->GetEdgeLayoutStrategy();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetEdgeLayoutStrategyToArcParallel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetEdgeLayoutStrategyToArcParallel();
      }
    else
      {
      op->SetEdgeLayoutStrategyToArcParallel();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetEdgeLayoutStrategyToPassThrough(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetEdgeLayoutStrategyToPassThrough();
      }
    else
      {
      op->SetEdgeLayoutStrategyToPassThrough();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetEdgeLayoutStrategyToGeo(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  double   temp0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetEdgeLayoutStrategyToGeo(temp0);
      }
    else
      {
      op->SetEdgeLayoutStrategyToGeo(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetEdgeLayoutStrategyName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  char    *temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetEdgeLayoutStrategyName();
      }
    else
      {
      temp20 = op->GetEdgeLayoutStrategyName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_ApplyViewTheme(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  vtkViewTheme  *temp0;
  PyObject *tempH0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewTheme *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewTheme");
    if (!temp0 && tempH0 != Py_None) goto break130;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::ApplyViewTheme(temp0);
      }
    else
      {
      op->ApplyViewTheme(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break130:
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetGlyphType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  int      temp0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetGlyphType(temp0);
      }
    else
      {
      op->SetGlyphType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetGlyphType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  int      temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetGlyphType();
      }
    else
      {
      temp20 = op->GetGlyphType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetScaling(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  bool   temp0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetScaling(temp0);
      }
    else
      {
      op->SetScaling(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetScaling(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  bool   temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetScaling();
      }
    else
      {
      temp20 = op->GetScaling();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_ScalingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::ScalingOn();
      }
    else
      {
      op->ScalingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_ScalingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::ScalingOff();
      }
    else
      {
      op->ScalingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetScalingArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  char    *temp0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetScalingArrayName(temp0);
      }
    else
      {
      op->SetScalingArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetScalingArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  const char    *temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetScalingArrayName();
      }
    else
      {
      temp20 = op->GetScalingArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetVertexScalarBarVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  bool   temp0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetVertexScalarBarVisibility(temp0);
      }
    else
      {
      op->SetVertexScalarBarVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetVertexScalarBarVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  bool   temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetVertexScalarBarVisibility();
      }
    else
      {
      temp20 = op->GetVertexScalarBarVisibility();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_SetEdgeScalarBarVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  bool   temp0;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::SetEdgeScalarBarVisibility(temp0);
      }
    else
      {
      op->SetEdgeScalarBarVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_GetEdgeScalarBarVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  bool   temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::GetEdgeScalarBarVisibility();
      }
    else
      {
      temp20 = op->GetEdgeScalarBarVisibility();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_IsLayoutComplete(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  bool   temp20;
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedGraphRepresentation::IsLayoutComplete();
      }
    else
      {
      temp20 = op->IsLayoutComplete();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_UpdateLayout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::UpdateLayout();
      }
    else
      {
      op->UpdateLayout();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedGraphRepresentation_ComputeSelectedGraphBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedGraphRepresentation *op;

  double temp0[6];
  op = (vtkRenderedGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedGraphRepresentation::ComputeSelectedGraphBounds(temp0);
      }
    else
      {
      op->ComputeSelectedGraphBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkRenderedGraphRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRenderedGraphRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRenderedGraphRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRenderedGraphRepresentation\nC++: vtkRenderedGraphRepresentation *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRenderedGraphRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRenderedGraphRepresentation\nC++: vtkRenderedGraphRepresentation *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetVertexLabelArrayName",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetVertexLabelArrayName, 1,
   (char*)"V.SetVertexLabelArrayName(string)\nC++: virtual void SetVertexLabelArrayName (const char *name);\n\n"},
  {(char*)"GetVertexLabelArrayName",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetVertexLabelArrayName, 1,
   (char*)"V.GetVertexLabelArrayName() -> string\nC++: virtual const char *GetVertexLabelArrayName ();\n\n"},
  {(char*)"SetVertexLabelPriorityArrayName",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetVertexLabelPriorityArrayName, 1,
   (char*)"V.SetVertexLabelPriorityArrayName(string)\nC++: virtual void SetVertexLabelPriorityArrayName (const char *name);\n\n"},
  {(char*)"GetVertexLabelPriorityArrayName",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetVertexLabelPriorityArrayName, 1,
   (char*)"V.GetVertexLabelPriorityArrayName() -> string\nC++: virtual const char *GetVertexLabelPriorityArrayName ();\n\n"},
  {(char*)"SetVertexLabelVisibility",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetVertexLabelVisibility, 1,
   (char*)"V.SetVertexLabelVisibility(bool)\nC++: virtual void SetVertexLabelVisibility (bool b);\n\n"},
  {(char*)"GetVertexLabelVisibility",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetVertexLabelVisibility, 1,
   (char*)"V.GetVertexLabelVisibility() -> bool\nC++: virtual bool GetVertexLabelVisibility ();\n\n"},
  {(char*)"VertexLabelVisibilityOn",                (PyCFunction)PyvtkRenderedGraphRepresentation_VertexLabelVisibilityOn, 1,
   (char*)"V.VertexLabelVisibilityOn()\nC++: void VertexLabelVisibilityOn ();\n\n"},
  {(char*)"VertexLabelVisibilityOff",                (PyCFunction)PyvtkRenderedGraphRepresentation_VertexLabelVisibilityOff, 1,
   (char*)"V.VertexLabelVisibilityOff()\nC++: void VertexLabelVisibilityOff ();\n\n"},
  {(char*)"SetVertexLabelTextProperty",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetVertexLabelTextProperty, 1,
   (char*)"V.SetVertexLabelTextProperty(vtkTextProperty)\nC++: virtual void SetVertexLabelTextProperty (vtkTextProperty *p);\n\n"},
  {(char*)"GetVertexLabelTextProperty",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetVertexLabelTextProperty, 1,
   (char*)"V.GetVertexLabelTextProperty() -> vtkTextProperty\nC++: virtual vtkTextProperty *GetVertexLabelTextProperty ();\n\n"},
  {(char*)"SetVertexHoverArrayName",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetVertexHoverArrayName, 1,
   (char*)"V.SetVertexHoverArrayName(string)\nC++: void SetVertexHoverArrayName (char *);\n\n"},
  {(char*)"GetVertexHoverArrayName",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetVertexHoverArrayName, 1,
   (char*)"V.GetVertexHoverArrayName() -> string\nC++: char *GetVertexHoverArrayName ();\n\n"},
  {(char*)"SetHideVertexLabelsOnInteraction",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetHideVertexLabelsOnInteraction, 1,
   (char*)"V.SetHideVertexLabelsOnInteraction(bool)\nC++: void SetHideVertexLabelsOnInteraction (bool );\n\n Whether to hide the display of vertex labels during mouse interaction.  Default is off.\n"},
  {(char*)"GetHideVertexLabelsOnInteraction",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetHideVertexLabelsOnInteraction, 1,
   (char*)"V.GetHideVertexLabelsOnInteraction() -> bool\nC++: bool GetHideVertexLabelsOnInteraction ();\n\n Whether to hide the display of vertex labels during mouse interaction.  Default is off.\n"},
  {(char*)"HideVertexLabelsOnInteractionOn",                (PyCFunction)PyvtkRenderedGraphRepresentation_HideVertexLabelsOnInteractionOn, 1,
   (char*)"V.HideVertexLabelsOnInteractionOn()\nC++: void HideVertexLabelsOnInteractionOn ();\n\n Whether to hide the display of vertex labels during mouse interaction.  Default is off.\n"},
  {(char*)"HideVertexLabelsOnInteractionOff",                (PyCFunction)PyvtkRenderedGraphRepresentation_HideVertexLabelsOnInteractionOff, 1,
   (char*)"V.HideVertexLabelsOnInteractionOff()\nC++: void HideVertexLabelsOnInteractionOff ();\n\n Whether to hide the display of vertex labels during mouse interaction.  Default is off.\n"},
  {(char*)"SetEdgeLabelArrayName",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetEdgeLabelArrayName, 1,
   (char*)"V.SetEdgeLabelArrayName(string)\nC++: virtual void SetEdgeLabelArrayName (const char *name);\n\n"},
  {(char*)"GetEdgeLabelArrayName",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetEdgeLabelArrayName, 1,
   (char*)"V.GetEdgeLabelArrayName() -> string\nC++: virtual const char *GetEdgeLabelArrayName ();\n\n"},
  {(char*)"SetEdgeLabelPriorityArrayName",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetEdgeLabelPriorityArrayName, 1,
   (char*)"V.SetEdgeLabelPriorityArrayName(string)\nC++: virtual void SetEdgeLabelPriorityArrayName (const char *name);\n\n"},
  {(char*)"GetEdgeLabelPriorityArrayName",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetEdgeLabelPriorityArrayName, 1,
   (char*)"V.GetEdgeLabelPriorityArrayName() -> string\nC++: virtual const char *GetEdgeLabelPriorityArrayName ();\n\n"},
  {(char*)"SetEdgeLabelVisibility",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetEdgeLabelVisibility, 1,
   (char*)"V.SetEdgeLabelVisibility(bool)\nC++: virtual void SetEdgeLabelVisibility (bool b);\n\n"},
  {(char*)"GetEdgeLabelVisibility",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetEdgeLabelVisibility, 1,
   (char*)"V.GetEdgeLabelVisibility() -> bool\nC++: virtual bool GetEdgeLabelVisibility ();\n\n"},
  {(char*)"EdgeLabelVisibilityOn",                (PyCFunction)PyvtkRenderedGraphRepresentation_EdgeLabelVisibilityOn, 1,
   (char*)"V.EdgeLabelVisibilityOn()\nC++: void EdgeLabelVisibilityOn ();\n\n"},
  {(char*)"EdgeLabelVisibilityOff",                (PyCFunction)PyvtkRenderedGraphRepresentation_EdgeLabelVisibilityOff, 1,
   (char*)"V.EdgeLabelVisibilityOff()\nC++: void EdgeLabelVisibilityOff ();\n\n"},
  {(char*)"SetEdgeLabelTextProperty",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetEdgeLabelTextProperty, 1,
   (char*)"V.SetEdgeLabelTextProperty(vtkTextProperty)\nC++: virtual void SetEdgeLabelTextProperty (vtkTextProperty *p);\n\n"},
  {(char*)"GetEdgeLabelTextProperty",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetEdgeLabelTextProperty, 1,
   (char*)"V.GetEdgeLabelTextProperty() -> vtkTextProperty\nC++: virtual vtkTextProperty *GetEdgeLabelTextProperty ();\n\n"},
  {(char*)"SetEdgeHoverArrayName",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetEdgeHoverArrayName, 1,
   (char*)"V.SetEdgeHoverArrayName(string)\nC++: void SetEdgeHoverArrayName (char *);\n\n"},
  {(char*)"GetEdgeHoverArrayName",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetEdgeHoverArrayName, 1,
   (char*)"V.GetEdgeHoverArrayName() -> string\nC++: char *GetEdgeHoverArrayName ();\n\n"},
  {(char*)"SetHideEdgeLabelsOnInteraction",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetHideEdgeLabelsOnInteraction, 1,
   (char*)"V.SetHideEdgeLabelsOnInteraction(bool)\nC++: void SetHideEdgeLabelsOnInteraction (bool );\n\n Whether to hide the display of edge labels during mouse interaction.  Default is off.\n"},
  {(char*)"GetHideEdgeLabelsOnInteraction",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetHideEdgeLabelsOnInteraction, 1,
   (char*)"V.GetHideEdgeLabelsOnInteraction() -> bool\nC++: bool GetHideEdgeLabelsOnInteraction ();\n\n Whether to hide the display of edge labels during mouse interaction.  Default is off.\n"},
  {(char*)"HideEdgeLabelsOnInteractionOn",                (PyCFunction)PyvtkRenderedGraphRepresentation_HideEdgeLabelsOnInteractionOn, 1,
   (char*)"V.HideEdgeLabelsOnInteractionOn()\nC++: void HideEdgeLabelsOnInteractionOn ();\n\n Whether to hide the display of edge labels during mouse interaction.  Default is off.\n"},
  {(char*)"HideEdgeLabelsOnInteractionOff",                (PyCFunction)PyvtkRenderedGraphRepresentation_HideEdgeLabelsOnInteractionOff, 1,
   (char*)"V.HideEdgeLabelsOnInteractionOff()\nC++: void HideEdgeLabelsOnInteractionOff ();\n\n Whether to hide the display of edge labels during mouse interaction.  Default is off.\n"},
  {(char*)"SetVertexIconArrayName",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetVertexIconArrayName, 1,
   (char*)"V.SetVertexIconArrayName(string)\nC++: virtual void SetVertexIconArrayName (const char *name);\n\n"},
  {(char*)"GetVertexIconArrayName",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetVertexIconArrayName, 1,
   (char*)"V.GetVertexIconArrayName() -> string\nC++: virtual const char *GetVertexIconArrayName ();\n\n"},
  {(char*)"SetVertexIconPriorityArrayName",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetVertexIconPriorityArrayName, 1,
   (char*)"V.SetVertexIconPriorityArrayName(string)\nC++: virtual void SetVertexIconPriorityArrayName (const char *name);\n\n"},
  {(char*)"GetVertexIconPriorityArrayName",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetVertexIconPriorityArrayName, 1,
   (char*)"V.GetVertexIconPriorityArrayName() -> string\nC++: virtual const char *GetVertexIconPriorityArrayName ();\n\n"},
  {(char*)"SetVertexIconVisibility",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetVertexIconVisibility, 1,
   (char*)"V.SetVertexIconVisibility(bool)\nC++: virtual void SetVertexIconVisibility (bool b);\n\n"},
  {(char*)"GetVertexIconVisibility",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetVertexIconVisibility, 1,
   (char*)"V.GetVertexIconVisibility() -> bool\nC++: virtual bool GetVertexIconVisibility ();\n\n"},
  {(char*)"VertexIconVisibilityOn",                (PyCFunction)PyvtkRenderedGraphRepresentation_VertexIconVisibilityOn, 1,
   (char*)"V.VertexIconVisibilityOn()\nC++: void VertexIconVisibilityOn ();\n\n"},
  {(char*)"VertexIconVisibilityOff",                (PyCFunction)PyvtkRenderedGraphRepresentation_VertexIconVisibilityOff, 1,
   (char*)"V.VertexIconVisibilityOff()\nC++: void VertexIconVisibilityOff ();\n\n"},
  {(char*)"AddVertexIconType",                (PyCFunction)PyvtkRenderedGraphRepresentation_AddVertexIconType, 1,
   (char*)"V.AddVertexIconType(string, int)\nC++: virtual void AddVertexIconType (const char *name, int type);\n\n"},
  {(char*)"ClearVertexIconTypes",                (PyCFunction)PyvtkRenderedGraphRepresentation_ClearVertexIconTypes, 1,
   (char*)"V.ClearVertexIconTypes()\nC++: virtual void ClearVertexIconTypes ();\n\n"},
  {(char*)"SetUseVertexIconTypeMap",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetUseVertexIconTypeMap, 1,
   (char*)"V.SetUseVertexIconTypeMap(bool)\nC++: virtual void SetUseVertexIconTypeMap (bool b);\n\n"},
  {(char*)"GetUseVertexIconTypeMap",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetUseVertexIconTypeMap, 1,
   (char*)"V.GetUseVertexIconTypeMap() -> bool\nC++: virtual bool GetUseVertexIconTypeMap ();\n\n"},
  {(char*)"UseVertexIconTypeMapOn",                (PyCFunction)PyvtkRenderedGraphRepresentation_UseVertexIconTypeMapOn, 1,
   (char*)"V.UseVertexIconTypeMapOn()\nC++: void UseVertexIconTypeMapOn ();\n\n"},
  {(char*)"UseVertexIconTypeMapOff",                (PyCFunction)PyvtkRenderedGraphRepresentation_UseVertexIconTypeMapOff, 1,
   (char*)"V.UseVertexIconTypeMapOff()\nC++: void UseVertexIconTypeMapOff ();\n\n"},
  {(char*)"SetVertexIconAlignment",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetVertexIconAlignment, 1,
   (char*)"V.SetVertexIconAlignment(int)\nC++: virtual void SetVertexIconAlignment (int align);\n\n"},
  {(char*)"GetVertexIconAlignment",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetVertexIconAlignment, 1,
   (char*)"V.GetVertexIconAlignment() -> int\nC++: virtual int GetVertexIconAlignment ();\n\n"},
  {(char*)"SetVertexSelectedIcon",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetVertexSelectedIcon, 1,
   (char*)"V.SetVertexSelectedIcon(int)\nC++: virtual void SetVertexSelectedIcon (int icon);\n\n"},
  {(char*)"GetVertexSelectedIcon",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetVertexSelectedIcon, 1,
   (char*)"V.GetVertexSelectedIcon() -> int\nC++: virtual int GetVertexSelectedIcon ();\n\n"},
  {(char*)"SetVertexIconSelectionMode",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetVertexIconSelectionMode, 1,
   (char*)"V.SetVertexIconSelectionMode(int)\nC++: virtual void SetVertexIconSelectionMode (int mode);\n\n Set the mode to one of\n <ul>\n <li>vtkApplyIcons::SELECTED_ICON - use VertexSelectedIcon\n <li>vtkApplyIcons::SELECTED_OFFSET - use VertexSelectedIcon as offset\n <li>vtkApplyIcons::ANNOTATION_ICON - use current annotation icon\n <li>vtkApplyIcons::IGNORE_SELECTION - ignore selected elements\n </ul>\n The default is IGNORE_SELECTION.\n"},
  {(char*)"GetVertexIconSelectionMode",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetVertexIconSelectionMode, 1,
   (char*)"V.GetVertexIconSelectionMode() -> int\nC++: virtual int GetVertexIconSelectionMode ();\n\n Set the mode to one of\n <ul>\n <li>vtkApplyIcons::SELECTED_ICON - use VertexSelectedIcon\n <li>vtkApplyIcons::SELECTED_OFFSET - use VertexSelectedIcon as offset\n <li>vtkApplyIcons::ANNOTATION_ICON - use current annotation icon\n <li>vtkApplyIcons::IGNORE_SELECTION - ignore selected elements\n </ul>\n The default is IGNORE_SELECTION.\n"},
  {(char*)"SetVertexIconSelectionModeToSelectedIcon",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetVertexIconSelectionModeToSelectedIcon, 1,
   (char*)"V.SetVertexIconSelectionModeToSelectedIcon()\nC++: virtual void SetVertexIconSelectionModeToSelectedIcon ();this SetVertexIconSelectionMode \n\n Set the mode to one of\n <ul>\n <li>vtkApplyIcons::SELECTED_ICON - use VertexSelectedIcon\n <li>vtkApplyIcons::SELECTED_OFFSET - use VertexSelectedIcon as offset\n <li>vtkApplyIcons::ANNOTATION_ICON - use current annotation icon\n <li>vtkApplyIcons::IGNORE_SELECTION - ignore selected elements\n </ul>\n The default is IGNORE_SELECTION.\n"},
  {(char*)"SetVertexIconSelectionModeToSelectedOffset",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetVertexIconSelectionModeToSelectedOffset, 1,
   (char*)"V.SetVertexIconSelectionModeToSelectedOffset()\nC++: virtual void SetVertexIconSelectionModeToSelectedOffset ();this SetVertexIconSelectionMode \n\n Set the mode to one of\n <ul>\n <li>vtkApplyIcons::SELECTED_ICON - use VertexSelectedIcon\n <li>vtkApplyIcons::SELECTED_OFFSET - use VertexSelectedIcon as offset\n <li>vtkApplyIcons::ANNOTATION_ICON - use current annotation icon\n <li>vtkApplyIcons::IGNORE_SELECTION - ignore selected elements\n </ul>\n The default is IGNORE_SELECTION.\n"},
  {(char*)"SetVertexIconSelectionModeToAnnotationIcon",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetVertexIconSelectionModeToAnnotationIcon, 1,
   (char*)"V.SetVertexIconSelectionModeToAnnotationIcon()\nC++: virtual void SetVertexIconSelectionModeToAnnotationIcon ();this SetVertexIconSelectionMode \n\n Set the mode to one of\n <ul>\n <li>vtkApplyIcons::SELECTED_ICON - use VertexSelectedIcon\n <li>vtkApplyIcons::SELECTED_OFFSET - use VertexSelectedIcon as offset\n <li>vtkApplyIcons::ANNOTATION_ICON - use current annotation icon\n <li>vtkApplyIcons::IGNORE_SELECTION - ignore selected elements\n </ul>\n The default is IGNORE_SELECTION.\n"},
  {(char*)"SetVertexIconSelectionModeToIgnoreSelection",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetVertexIconSelectionModeToIgnoreSelection, 1,
   (char*)"V.SetVertexIconSelectionModeToIgnoreSelection()\nC++: virtual void SetVertexIconSelectionModeToIgnoreSelection ();this SetVertexIconSelectionMode \n\n"},
  {(char*)"SetEdgeIconArrayName",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetEdgeIconArrayName, 1,
   (char*)"V.SetEdgeIconArrayName(string)\nC++: virtual void SetEdgeIconArrayName (const char *name);\n\n"},
  {(char*)"GetEdgeIconArrayName",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetEdgeIconArrayName, 1,
   (char*)"V.GetEdgeIconArrayName() -> string\nC++: virtual const char *GetEdgeIconArrayName ();\n\n"},
  {(char*)"SetEdgeIconPriorityArrayName",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetEdgeIconPriorityArrayName, 1,
   (char*)"V.SetEdgeIconPriorityArrayName(string)\nC++: virtual void SetEdgeIconPriorityArrayName (const char *name);\n\n"},
  {(char*)"GetEdgeIconPriorityArrayName",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetEdgeIconPriorityArrayName, 1,
   (char*)"V.GetEdgeIconPriorityArrayName() -> string\nC++: virtual const char *GetEdgeIconPriorityArrayName ();\n\n"},
  {(char*)"SetEdgeIconVisibility",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetEdgeIconVisibility, 1,
   (char*)"V.SetEdgeIconVisibility(bool)\nC++: virtual void SetEdgeIconVisibility (bool b);\n\n"},
  {(char*)"GetEdgeIconVisibility",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetEdgeIconVisibility, 1,
   (char*)"V.GetEdgeIconVisibility() -> bool\nC++: virtual bool GetEdgeIconVisibility ();\n\n"},
  {(char*)"EdgeIconVisibilityOn",                (PyCFunction)PyvtkRenderedGraphRepresentation_EdgeIconVisibilityOn, 1,
   (char*)"V.EdgeIconVisibilityOn()\nC++: void EdgeIconVisibilityOn ();\n\n"},
  {(char*)"EdgeIconVisibilityOff",                (PyCFunction)PyvtkRenderedGraphRepresentation_EdgeIconVisibilityOff, 1,
   (char*)"V.EdgeIconVisibilityOff()\nC++: void EdgeIconVisibilityOff ();\n\n"},
  {(char*)"AddEdgeIconType",                (PyCFunction)PyvtkRenderedGraphRepresentation_AddEdgeIconType, 1,
   (char*)"V.AddEdgeIconType(string, int)\nC++: virtual void AddEdgeIconType (const char *name, int type);\n\n"},
  {(char*)"ClearEdgeIconTypes",                (PyCFunction)PyvtkRenderedGraphRepresentation_ClearEdgeIconTypes, 1,
   (char*)"V.ClearEdgeIconTypes()\nC++: virtual void ClearEdgeIconTypes ();\n\n"},
  {(char*)"SetUseEdgeIconTypeMap",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetUseEdgeIconTypeMap, 1,
   (char*)"V.SetUseEdgeIconTypeMap(bool)\nC++: virtual void SetUseEdgeIconTypeMap (bool b);\n\n"},
  {(char*)"GetUseEdgeIconTypeMap",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetUseEdgeIconTypeMap, 1,
   (char*)"V.GetUseEdgeIconTypeMap() -> bool\nC++: virtual bool GetUseEdgeIconTypeMap ();\n\n"},
  {(char*)"UseEdgeIconTypeMapOn",                (PyCFunction)PyvtkRenderedGraphRepresentation_UseEdgeIconTypeMapOn, 1,
   (char*)"V.UseEdgeIconTypeMapOn()\nC++: void UseEdgeIconTypeMapOn ();\n\n"},
  {(char*)"UseEdgeIconTypeMapOff",                (PyCFunction)PyvtkRenderedGraphRepresentation_UseEdgeIconTypeMapOff, 1,
   (char*)"V.UseEdgeIconTypeMapOff()\nC++: void UseEdgeIconTypeMapOff ();\n\n"},
  {(char*)"SetEdgeIconAlignment",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetEdgeIconAlignment, 1,
   (char*)"V.SetEdgeIconAlignment(int)\nC++: virtual void SetEdgeIconAlignment (int align);\n\n"},
  {(char*)"GetEdgeIconAlignment",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetEdgeIconAlignment, 1,
   (char*)"V.GetEdgeIconAlignment() -> int\nC++: virtual int GetEdgeIconAlignment ();\n\n"},
  {(char*)"SetColorVerticesByArray",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetColorVerticesByArray, 1,
   (char*)"V.SetColorVerticesByArray(bool)\nC++: virtual void SetColorVerticesByArray (bool b);\n\n"},
  {(char*)"GetColorVerticesByArray",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetColorVerticesByArray, 1,
   (char*)"V.GetColorVerticesByArray() -> bool\nC++: virtual bool GetColorVerticesByArray ();\n\n"},
  {(char*)"ColorVerticesByArrayOn",                (PyCFunction)PyvtkRenderedGraphRepresentation_ColorVerticesByArrayOn, 1,
   (char*)"V.ColorVerticesByArrayOn()\nC++: void ColorVerticesByArrayOn ();\n\n"},
  {(char*)"ColorVerticesByArrayOff",                (PyCFunction)PyvtkRenderedGraphRepresentation_ColorVerticesByArrayOff, 1,
   (char*)"V.ColorVerticesByArrayOff()\nC++: void ColorVerticesByArrayOff ();\n\n"},
  {(char*)"SetVertexColorArrayName",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetVertexColorArrayName, 1,
   (char*)"V.SetVertexColorArrayName(string)\nC++: virtual void SetVertexColorArrayName (const char *name);\n\n"},
  {(char*)"GetVertexColorArrayName",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetVertexColorArrayName, 1,
   (char*)"V.GetVertexColorArrayName() -> string\nC++: virtual const char *GetVertexColorArrayName ();\n\n"},
  {(char*)"SetColorEdgesByArray",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetColorEdgesByArray, 1,
   (char*)"V.SetColorEdgesByArray(bool)\nC++: virtual void SetColorEdgesByArray (bool b);\n\n"},
  {(char*)"GetColorEdgesByArray",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetColorEdgesByArray, 1,
   (char*)"V.GetColorEdgesByArray() -> bool\nC++: virtual bool GetColorEdgesByArray ();\n\n"},
  {(char*)"ColorEdgesByArrayOn",                (PyCFunction)PyvtkRenderedGraphRepresentation_ColorEdgesByArrayOn, 1,
   (char*)"V.ColorEdgesByArrayOn()\nC++: void ColorEdgesByArrayOn ();\n\n"},
  {(char*)"ColorEdgesByArrayOff",                (PyCFunction)PyvtkRenderedGraphRepresentation_ColorEdgesByArrayOff, 1,
   (char*)"V.ColorEdgesByArrayOff()\nC++: void ColorEdgesByArrayOff ();\n\n"},
  {(char*)"SetEdgeColorArrayName",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetEdgeColorArrayName, 1,
   (char*)"V.SetEdgeColorArrayName(string)\nC++: virtual void SetEdgeColorArrayName (const char *name);\n\n"},
  {(char*)"GetEdgeColorArrayName",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetEdgeColorArrayName, 1,
   (char*)"V.GetEdgeColorArrayName() -> string\nC++: virtual const char *GetEdgeColorArrayName ();\n\n"},
  {(char*)"SetEnableVerticesByArray",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetEnableVerticesByArray, 1,
   (char*)"V.SetEnableVerticesByArray(bool)\nC++: virtual void SetEnableVerticesByArray (bool b);\n\n"},
  {(char*)"GetEnableVerticesByArray",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetEnableVerticesByArray, 1,
   (char*)"V.GetEnableVerticesByArray() -> bool\nC++: virtual bool GetEnableVerticesByArray ();\n\n"},
  {(char*)"EnableVerticesByArrayOn",                (PyCFunction)PyvtkRenderedGraphRepresentation_EnableVerticesByArrayOn, 1,
   (char*)"V.EnableVerticesByArrayOn()\nC++: void EnableVerticesByArrayOn ();\n\n"},
  {(char*)"EnableVerticesByArrayOff",                (PyCFunction)PyvtkRenderedGraphRepresentation_EnableVerticesByArrayOff, 1,
   (char*)"V.EnableVerticesByArrayOff()\nC++: void EnableVerticesByArrayOff ();\n\n"},
  {(char*)"SetEnabledVerticesArrayName",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetEnabledVerticesArrayName, 1,
   (char*)"V.SetEnabledVerticesArrayName(string)\nC++: virtual void SetEnabledVerticesArrayName (const char *name);\n\n"},
  {(char*)"GetEnabledVerticesArrayName",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetEnabledVerticesArrayName, 1,
   (char*)"V.GetEnabledVerticesArrayName() -> string\nC++: virtual const char *GetEnabledVerticesArrayName ();\n\n"},
  {(char*)"SetEnableEdgesByArray",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetEnableEdgesByArray, 1,
   (char*)"V.SetEnableEdgesByArray(bool)\nC++: virtual void SetEnableEdgesByArray (bool b);\n\n"},
  {(char*)"GetEnableEdgesByArray",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetEnableEdgesByArray, 1,
   (char*)"V.GetEnableEdgesByArray() -> bool\nC++: virtual bool GetEnableEdgesByArray ();\n\n"},
  {(char*)"EnableEdgesByArrayOn",                (PyCFunction)PyvtkRenderedGraphRepresentation_EnableEdgesByArrayOn, 1,
   (char*)"V.EnableEdgesByArrayOn()\nC++: void EnableEdgesByArrayOn ();\n\n"},
  {(char*)"EnableEdgesByArrayOff",                (PyCFunction)PyvtkRenderedGraphRepresentation_EnableEdgesByArrayOff, 1,
   (char*)"V.EnableEdgesByArrayOff()\nC++: void EnableEdgesByArrayOff ();\n\n"},
  {(char*)"SetEnabledEdgesArrayName",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetEnabledEdgesArrayName, 1,
   (char*)"V.SetEnabledEdgesArrayName(string)\nC++: virtual void SetEnabledEdgesArrayName (const char *name);\n\n"},
  {(char*)"GetEnabledEdgesArrayName",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetEnabledEdgesArrayName, 1,
   (char*)"V.GetEnabledEdgesArrayName() -> string\nC++: virtual const char *GetEnabledEdgesArrayName ();\n\n"},
  {(char*)"SetEdgeVisibility",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetEdgeVisibility, 1,
   (char*)"V.SetEdgeVisibility(bool)\nC++: virtual void SetEdgeVisibility (bool b);\n\n"},
  {(char*)"GetEdgeVisibility",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetEdgeVisibility, 1,
   (char*)"V.GetEdgeVisibility() -> bool\nC++: virtual bool GetEdgeVisibility ();\n\n"},
  {(char*)"EdgeVisibilityOn",                (PyCFunction)PyvtkRenderedGraphRepresentation_EdgeVisibilityOn, 1,
   (char*)"V.EdgeVisibilityOn()\nC++: void EdgeVisibilityOn ();\n\n"},
  {(char*)"EdgeVisibilityOff",                (PyCFunction)PyvtkRenderedGraphRepresentation_EdgeVisibilityOff, 1,
   (char*)"V.EdgeVisibilityOff()\nC++: void EdgeVisibilityOff ();\n\n"},
  {(char*)"SetLayoutStrategy",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetLayoutStrategy, 1,
   (char*)"V.SetLayoutStrategy(vtkGraphLayoutStrategy)\nC++: virtual void SetLayoutStrategy (vtkGraphLayoutStrategy *strategy);\nV.SetLayoutStrategy(string)\nC++: virtual void SetLayoutStrategy (const char *name);\n\n Set/get the graph layout strategy.\n"},
  {(char*)"GetLayoutStrategy",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetLayoutStrategy, 1,
   (char*)"V.GetLayoutStrategy() -> vtkGraphLayoutStrategy\nC++: virtual vtkGraphLayoutStrategy *GetLayoutStrategy ();\n\n Set/get the graph layout strategy.\n"},
  {(char*)"GetLayoutStrategyName",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetLayoutStrategyName, 1,
   (char*)"V.GetLayoutStrategyName() -> string\nC++: char *GetLayoutStrategyName ();\n\n Get/set the layout strategy by name.\n"},
  {(char*)"SetLayoutStrategyToRandom",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetLayoutStrategyToRandom, 1,
   (char*)"V.SetLayoutStrategyToRandom()\nC++: void SetLayoutStrategyToRandom ();this SetLayoutStrategy \n\n Set predefined layout strategies.\n"},
  {(char*)"SetLayoutStrategyToForceDirected",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetLayoutStrategyToForceDirected, 1,
   (char*)"V.SetLayoutStrategyToForceDirected()\nC++: void SetLayoutStrategyToForceDirected ();this SetLayoutStrategy \n\n Set predefined layout strategies.\n"},
  {(char*)"SetLayoutStrategyToSimple2D",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetLayoutStrategyToSimple2D, 1,
   (char*)"V.SetLayoutStrategyToSimple2D()\nC++: void SetLayoutStrategyToSimple2D ();this SetLayoutStrategy \n\n Set predefined layout strategies.\n"},
  {(char*)"SetLayoutStrategyToClustering2D",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetLayoutStrategyToClustering2D, 1,
   (char*)"V.SetLayoutStrategyToClustering2D()\nC++: void SetLayoutStrategyToClustering2D ();this SetLayoutStrategy \n\n Set predefined layout strategies.\n"},
  {(char*)"SetLayoutStrategyToCommunity2D",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetLayoutStrategyToCommunity2D, 1,
   (char*)"V.SetLayoutStrategyToCommunity2D()\nC++: void SetLayoutStrategyToCommunity2D ();this SetLayoutStrategy \n\n Set predefined layout strategies.\n"},
  {(char*)"SetLayoutStrategyToFast2D",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetLayoutStrategyToFast2D, 1,
   (char*)"V.SetLayoutStrategyToFast2D()\nC++: void SetLayoutStrategyToFast2D ();this SetLayoutStrategy \n\n Set predefined layout strategies.\n"},
  {(char*)"SetLayoutStrategyToPassThrough",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetLayoutStrategyToPassThrough, 1,
   (char*)"V.SetLayoutStrategyToPassThrough()\nC++: void SetLayoutStrategyToPassThrough ();this SetLayoutStrategy \n\n Set predefined layout strategies.\n"},
  {(char*)"SetLayoutStrategyToCircular",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetLayoutStrategyToCircular, 1,
   (char*)"V.SetLayoutStrategyToCircular()\nC++: void SetLayoutStrategyToCircular ();this SetLayoutStrategy \n\n Set predefined layout strategies.\n"},
  {(char*)"SetLayoutStrategyToTree",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetLayoutStrategyToTree, 1,
   (char*)"V.SetLayoutStrategyToTree()\nC++: void SetLayoutStrategyToTree ();this SetLayoutStrategy \nV.SetLayoutStrategyToTree(bool, float, float, float)\nC++: virtual void SetLayoutStrategyToTree (bool radial, double angle, double leafSpacing, double logSpacing);\n\n Set predefined layout strategies.\n"},
  {(char*)"SetLayoutStrategyToCosmicTree",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetLayoutStrategyToCosmicTree, 1,
   (char*)"V.SetLayoutStrategyToCosmicTree()\nC++: void SetLayoutStrategyToCosmicTree ();this SetLayoutStrategy \nV.SetLayoutStrategyToCosmicTree(string, bool, int, int)\nC++: virtual void SetLayoutStrategyToCosmicTree (const char *nodeSizeArrayName, bool sizeLeafNodesOnlytrue, int layoutDepth, vtkIdType layoutRoot);\n\n Set predefined layout strategies.\n"},
  {(char*)"SetLayoutStrategyToCone",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetLayoutStrategyToCone, 1,
   (char*)"V.SetLayoutStrategyToCone()\nC++: void SetLayoutStrategyToCone ();this SetLayoutStrategy \n\n Set predefined layout strategies.\n"},
  {(char*)"SetLayoutStrategyToSpanTree",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetLayoutStrategyToSpanTree, 1,
   (char*)"V.SetLayoutStrategyToSpanTree()\nC++: void SetLayoutStrategyToSpanTree ();this SetLayoutStrategy \n\n Set the layout strategy to use coordinates from arrays.\n The x array must be specified. The y and z arrays are optional.\n"},
  {(char*)"SetLayoutStrategyToAssignCoordinates",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetLayoutStrategyToAssignCoordinates, 1,
   (char*)"V.SetLayoutStrategyToAssignCoordinates(string, string, string)\nC++: virtual void SetLayoutStrategyToAssignCoordinates (const char *xarr, const char *yarr, const char *zarr);\n\n Set the layout strategy to use coordinates from arrays.\n The x array must be specified. The y and z arrays are optional.\n"},
  {(char*)"SetEdgeLayoutStrategy",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetEdgeLayoutStrategy, 1,
   (char*)"V.SetEdgeLayoutStrategy(vtkEdgeLayoutStrategy)\nC++: virtual void SetEdgeLayoutStrategy (vtkEdgeLayoutStrategy *strategy);\nV.SetEdgeLayoutStrategy(string)\nC++: virtual void SetEdgeLayoutStrategy (const char *name);\n\n Set/get the graph layout strategy.\n"},
  {(char*)"GetEdgeLayoutStrategy",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetEdgeLayoutStrategy, 1,
   (char*)"V.GetEdgeLayoutStrategy() -> vtkEdgeLayoutStrategy\nC++: virtual vtkEdgeLayoutStrategy *GetEdgeLayoutStrategy ();\n\n Set/get the graph layout strategy.\n"},
  {(char*)"SetEdgeLayoutStrategyToArcParallel",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetEdgeLayoutStrategyToArcParallel, 1,
   (char*)"V.SetEdgeLayoutStrategyToArcParallel()\nC++: void SetEdgeLayoutStrategyToArcParallel ();this SetEdgeLayoutStrategy \n\n Set/get the graph layout strategy.\n"},
  {(char*)"SetEdgeLayoutStrategyToPassThrough",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetEdgeLayoutStrategyToPassThrough, 1,
   (char*)"V.SetEdgeLayoutStrategyToPassThrough()\nC++: void SetEdgeLayoutStrategyToPassThrough ();this SetEdgeLayoutStrategy \n\n Set the edge layout strategy to a geospatial arced strategy\n appropriate for vtkGeoView.\n"},
  {(char*)"SetEdgeLayoutStrategyToGeo",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetEdgeLayoutStrategyToGeo, 1,
   (char*)"V.SetEdgeLayoutStrategyToGeo(float)\nC++: virtual void SetEdgeLayoutStrategyToGeo (double explodeFactor);\n\n Set the edge layout strategy to a geospatial arced strategy\n appropriate for vtkGeoView.\n"},
  {(char*)"GetEdgeLayoutStrategyName",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetEdgeLayoutStrategyName, 1,
   (char*)"V.GetEdgeLayoutStrategyName() -> string\nC++: char *GetEdgeLayoutStrategyName ();\n\n Set the edge layout strategy by name.\n"},
  {(char*)"ApplyViewTheme",                (PyCFunction)PyvtkRenderedGraphRepresentation_ApplyViewTheme, 1,
   (char*)"V.ApplyViewTheme(vtkViewTheme)\nC++: virtual void ApplyViewTheme (vtkViewTheme *theme);\n\n Apply a theme to this representation.\n"},
  {(char*)"SetGlyphType",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetGlyphType, 1,
   (char*)"V.SetGlyphType(int)\nC++: virtual void SetGlyphType (int type);\n\n Set the graph vertex glyph type.\n"},
  {(char*)"GetGlyphType",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetGlyphType, 1,
   (char*)"V.GetGlyphType() -> int\nC++: virtual int GetGlyphType ();\n\n Set the graph vertex glyph type.\n"},
  {(char*)"SetScaling",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetScaling, 1,
   (char*)"V.SetScaling(bool)\nC++: virtual void SetScaling (bool b);\n\n Set whether to scale vertex glyphs.\n"},
  {(char*)"GetScaling",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetScaling, 1,
   (char*)"V.GetScaling() -> bool\nC++: virtual bool GetScaling ();\n\n Set whether to scale vertex glyphs.\n"},
  {(char*)"ScalingOn",                (PyCFunction)PyvtkRenderedGraphRepresentation_ScalingOn, 1,
   (char*)"V.ScalingOn()\nC++: void ScalingOn ();\n\n Set whether to scale vertex glyphs.\n"},
  {(char*)"ScalingOff",                (PyCFunction)PyvtkRenderedGraphRepresentation_ScalingOff, 1,
   (char*)"V.ScalingOff()\nC++: void ScalingOff ();\n\n Set whether to scale vertex glyphs.\n"},
  {(char*)"SetScalingArrayName",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetScalingArrayName, 1,
   (char*)"V.SetScalingArrayName(string)\nC++: virtual void SetScalingArrayName (const char *name);\n\n Set the glyph scaling array name.\n"},
  {(char*)"GetScalingArrayName",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetScalingArrayName, 1,
   (char*)"V.GetScalingArrayName() -> string\nC++: virtual const char *GetScalingArrayName ();\n\n Set the glyph scaling array name.\n"},
  {(char*)"SetVertexScalarBarVisibility",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetVertexScalarBarVisibility, 1,
   (char*)"V.SetVertexScalarBarVisibility(bool)\nC++: virtual void SetVertexScalarBarVisibility (bool b);\n\n Vertex/edge scalar bar visibility.\n"},
  {(char*)"GetVertexScalarBarVisibility",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetVertexScalarBarVisibility, 1,
   (char*)"V.GetVertexScalarBarVisibility() -> bool\nC++: virtual bool GetVertexScalarBarVisibility ();\n\n Vertex/edge scalar bar visibility.\n"},
  {(char*)"SetEdgeScalarBarVisibility",                (PyCFunction)PyvtkRenderedGraphRepresentation_SetEdgeScalarBarVisibility, 1,
   (char*)"V.SetEdgeScalarBarVisibility(bool)\nC++: virtual void SetEdgeScalarBarVisibility (bool b);\n\n Vertex/edge scalar bar visibility.\n"},
  {(char*)"GetEdgeScalarBarVisibility",                (PyCFunction)PyvtkRenderedGraphRepresentation_GetEdgeScalarBarVisibility, 1,
   (char*)"V.GetEdgeScalarBarVisibility() -> bool\nC++: virtual bool GetEdgeScalarBarVisibility ();\n\n Vertex/edge scalar bar visibility.\n"},
  {(char*)"IsLayoutComplete",                (PyCFunction)PyvtkRenderedGraphRepresentation_IsLayoutComplete, 1,
   (char*)"V.IsLayoutComplete() -> bool\nC++: virtual bool IsLayoutComplete ();\n\n Whether the current graph layout is complete.\n"},
  {(char*)"UpdateLayout",                (PyCFunction)PyvtkRenderedGraphRepresentation_UpdateLayout, 1,
   (char*)"V.UpdateLayout()\nC++: virtual void UpdateLayout ();\n\n Performs another iteration on the graph layout.\n"},
  {(char*)"ComputeSelectedGraphBounds",                (PyCFunction)PyvtkRenderedGraphRepresentation_ComputeSelectedGraphBounds, 1,
   (char*)"V.ComputeSelectedGraphBounds((float, float, float, float, float, float))\nC++: void ComputeSelectedGraphBounds (double bounds[6]);\n\n Compute the bounding box of the selected subgraph.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRenderedGraphRepresentationDoc[] = {
  (char*)"vtkRenderedGraphRepresentation - \n\n",
  "Super Class:\n\n vtkRenderedRepresentation\n\n",
  NULL
};

static vtkObjectBase *vtkRenderedGraphRepresentationStaticNew()
{
  return vtkRenderedGraphRepresentation::New();
}

PyObject *PyVTKClass_vtkRenderedGraphRepresentationNew(char *modulename)
{
  return PyVTKClass_New(&vtkRenderedGraphRepresentationStaticNew,
                        PyvtkRenderedGraphRepresentationMethods,
                        (char*)"vtkRenderedGraphRepresentation",modulename,
                        (char**)vtkRenderedGraphRepresentationDoc,
                        PyVTKClass_vtkRenderedRepresentationNew(modulename));
}

