// python wrapper for vtkRenderedSurfaceRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkRenderedSurfaceRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRenderedSurfaceRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRenderedSurfaceRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkRenderedRepresentationNew(char *); }

static PyObject *PyvtkRenderedSurfaceRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedSurfaceRepresentation *op;

  const char    *temp20;
  op = (vtkRenderedSurfaceRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedSurfaceRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedSurfaceRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedSurfaceRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkRenderedSurfaceRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedSurfaceRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedSurfaceRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedSurfaceRepresentation *op;

  vtkRenderedSurfaceRepresentation  *temp20;
  op = (vtkRenderedSurfaceRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedSurfaceRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedSurfaceRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRenderedSurfaceRepresentation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRenderedSurfaceRepresentation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkRenderedSurfaceRepresentation_SetCellColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedSurfaceRepresentation *op;

  char    *temp0;
  op = (vtkRenderedSurfaceRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedSurfaceRepresentation::SetCellColorArrayName(temp0);
      }
    else
      {
      op->SetCellColorArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedSurfaceRepresentation_GetCellColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedSurfaceRepresentation *op;

  const char    *temp20;
  op = (vtkRenderedSurfaceRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedSurfaceRepresentation::GetCellColorArrayName();
      }
    else
      {
      temp20 = op->GetCellColorArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedSurfaceRepresentation_ApplyViewTheme(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedSurfaceRepresentation *op;

  vtkViewTheme  *temp0;
  PyObject *tempH0;
  op = (vtkRenderedSurfaceRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewTheme *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewTheme");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedSurfaceRepresentation::ApplyViewTheme(temp0);
      }
    else
      {
      op->ApplyViewTheme(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}

static PyMethodDef PyvtkRenderedSurfaceRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRenderedSurfaceRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRenderedSurfaceRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRenderedSurfaceRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRenderedSurfaceRepresentation\nC++: vtkRenderedSurfaceRepresentation *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRenderedSurfaceRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRenderedSurfaceRepresentation\nC++: vtkRenderedSurfaceRepresentation *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetCellColorArrayName",                (PyCFunction)PyvtkRenderedSurfaceRepresentation_SetCellColorArrayName, 1,
   (char*)"V.SetCellColorArrayName(string)\nC++: virtual void SetCellColorArrayName (const char *arrayName);\n\n"},
  {(char*)"GetCellColorArrayName",                (PyCFunction)PyvtkRenderedSurfaceRepresentation_GetCellColorArrayName, 1,
   (char*)"V.GetCellColorArrayName() -> string\nC++: virtual const char *GetCellColorArrayName ();return this GetCellColorArrayNameInternal \n\n Apply a theme to this representation.\n"},
  {(char*)"ApplyViewTheme",                (PyCFunction)PyvtkRenderedSurfaceRepresentation_ApplyViewTheme, 1,
   (char*)"V.ApplyViewTheme(vtkViewTheme)\nC++: virtual void ApplyViewTheme (vtkViewTheme *theme);\n\n Apply a theme to this representation.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRenderedSurfaceRepresentationDoc[] = {
  (char*)"vtkRenderedSurfaceRepresentation - Displays a geometric dataset as a surface.\n\n",
  "Super Class:\n\n vtkRenderedRepresentation\n\n",
  (char*)" vtkRenderedSurfaceRepresentation is used to show a geometric dataset in a view.\n The representation uses a vtkGeometryFilter to convert the dataset to\n polygonal data (e.g. volumetric data is converted to its external surface).\n The representation may then be added to vtkRenderView.\n\n",
  NULL
};

static vtkObjectBase *vtkRenderedSurfaceRepresentationStaticNew()
{
  return vtkRenderedSurfaceRepresentation::New();
}

PyObject *PyVTKClass_vtkRenderedSurfaceRepresentationNew(char *modulename)
{
  return PyVTKClass_New(&vtkRenderedSurfaceRepresentationStaticNew,
                        PyvtkRenderedSurfaceRepresentationMethods,
                        (char*)"vtkRenderedSurfaceRepresentation",modulename,
                        (char**)vtkRenderedSurfaceRepresentationDoc,
                        PyVTKClass_vtkRenderedRepresentationNew(modulename));
}

