// python wrapper for vtkTreeMapView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTreeMapView.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTreeMapViewNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTreeMapViewNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTreeAreaViewNew(char *); }

static PyObject *PyvtkTreeMapView_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapView *op;

  const char    *temp20;
  op = (vtkTreeMapView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapView::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapView_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapView *op;

  char    *temp0;
  int      temp20;
  op = (vtkTreeMapView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapView::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapView_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapView *op;

  vtkTreeMapView  *temp20;
  op = (vtkTreeMapView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeMapView::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapView_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTreeMapView  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTreeMapView::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTreeMapView_SetLayoutStrategy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapView *op;

  vtkAreaLayoutStrategy  *temp0;
  PyObject *tempH0;
  op = (vtkTreeMapView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAreaLayoutStrategy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAreaLayoutStrategy");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapView::SetLayoutStrategy(temp0);
      }
    else
      {
      op->SetLayoutStrategy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  /* handle an occurrence */
  {
  vtkTreeMapView *op;

  char    *temp0;
  PyErr_Clear();
  op = (vtkTreeMapView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapView::SetLayoutStrategy(temp0);
      }
    else
      {
      op->SetLayoutStrategy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapView_SetLayoutStrategyToBox(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapView *op;

  op = (vtkTreeMapView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapView::SetLayoutStrategyToBox();
      }
    else
      {
      op->SetLayoutStrategyToBox();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapView_SetLayoutStrategyToSliceAndDice(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapView *op;

  op = (vtkTreeMapView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapView::SetLayoutStrategyToSliceAndDice();
      }
    else
      {
      op->SetLayoutStrategyToSliceAndDice();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapView_SetLayoutStrategyToSquarify(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapView *op;

  op = (vtkTreeMapView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapView::SetLayoutStrategyToSquarify();
      }
    else
      {
      op->SetLayoutStrategyToSquarify();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapView_SetFontSizeRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapView *op;

  int      temp0;
  int      temp1;
  int      temp2;
  op = (vtkTreeMapView *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapView::SetFontSizeRange(temp0,temp1,temp2);
      }
    else
      {
      op->SetFontSizeRange(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeMapView_GetFontSizeRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeMapView *op;

  int    temp0[3];
  op = (vtkTreeMapView *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeMapView::GetFontSizeRange(temp0);
      }
    else
      {
      op->GetFontSizeRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTreeMapViewMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTreeMapView_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTreeMapView_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTreeMapView_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTreeMapView\nC++: vtkTreeMapView *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTreeMapView_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTreeMapView\nC++: vtkTreeMapView *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetLayoutStrategy",                (PyCFunction)PyvtkTreeMapView_SetLayoutStrategy, 1,
   (char*)"V.SetLayoutStrategy(vtkAreaLayoutStrategy)\nC++: virtual void SetLayoutStrategy (vtkAreaLayoutStrategy *s);\nV.SetLayoutStrategy(string)\nC++: virtual void SetLayoutStrategy (const char *name);\n\n Sets the treemap layout strategy\n"},
  {(char*)"SetLayoutStrategyToBox",                (PyCFunction)PyvtkTreeMapView_SetLayoutStrategyToBox, 1,
   (char*)"V.SetLayoutStrategyToBox()\nC++: virtual void SetLayoutStrategyToBox ();\n\n Sets the treemap layout strategy\n"},
  {(char*)"SetLayoutStrategyToSliceAndDice",                (PyCFunction)PyvtkTreeMapView_SetLayoutStrategyToSliceAndDice, 1,
   (char*)"V.SetLayoutStrategyToSliceAndDice()\nC++: virtual void SetLayoutStrategyToSliceAndDice ();\n\n Sets the treemap layout strategy\n"},
  {(char*)"SetLayoutStrategyToSquarify",                (PyCFunction)PyvtkTreeMapView_SetLayoutStrategyToSquarify, 1,
   (char*)"V.SetLayoutStrategyToSquarify()\nC++: virtual void SetLayoutStrategyToSquarify ();\n\n Sets the treemap layout strategy\n"},
  {(char*)"SetFontSizeRange",                (PyCFunction)PyvtkTreeMapView_SetFontSizeRange, 1,
   (char*)"V.SetFontSizeRange(int, int, int)\nC++: virtual void SetFontSizeRange (const int maxSize, const int minSize, const int delta);\n\n The sizes of the fonts used for labeling.\n"},
  {(char*)"GetFontSizeRange",                (PyCFunction)PyvtkTreeMapView_GetFontSizeRange, 1,
   (char*)"V.GetFontSizeRange((int, int, int))\nC++: virtual void GetFontSizeRange (int range[3]);\n\n The sizes of the fonts used for labeling.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTreeMapViewDoc[] = {
  (char*)"vtkTreeMapView - Displays a tree as a tree map.\n\n",
  "Super Class:\n\n vtkTreeAreaView\n\n",
  (char*)" vtkTreeMapView shows a vtkTree in a tree map, where each vertex in the\n tree is represented by a box.  Child boxes are contained within the\n parent box, and may be colored and sized by various parameters.\n\n",
  NULL
};

static vtkObjectBase *vtkTreeMapViewStaticNew()
{
  return vtkTreeMapView::New();
}

PyObject *PyVTKClass_vtkTreeMapViewNew(char *modulename)
{
  return PyVTKClass_New(&vtkTreeMapViewStaticNew,
                        PyvtkTreeMapViewMethods,
                        (char*)"vtkTreeMapView",modulename,
                        (char**)vtkTreeMapViewDoc,
                        PyVTKClass_vtkTreeAreaViewNew(modulename));
}

