// python wrapper for vtkGPUVolumeRayCastMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGPUVolumeRayCastMapper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGPUVolumeRayCastMapperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGPUVolumeRayCastMapperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkVolumeMapperNew(char *); }

static PyObject *PyvtkGPUVolumeRayCastMapper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  const char    *temp20;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUVolumeRayCastMapper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  char    *temp0;
  int      temp20;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUVolumeRayCastMapper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  vtkGPUVolumeRayCastMapper  *temp20;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUVolumeRayCastMapper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGPUVolumeRayCastMapper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGPUVolumeRayCastMapper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_SetAutoAdjustSampleDistances(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  int      temp0;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGPUVolumeRayCastMapper::SetAutoAdjustSampleDistances(temp0);
      }
    else
      {
      op->SetAutoAdjustSampleDistances(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_GetAutoAdjustSampleDistancesMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  int      temp20;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUVolumeRayCastMapper::GetAutoAdjustSampleDistancesMinValue();
      }
    else
      {
      temp20 = op->GetAutoAdjustSampleDistancesMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_GetAutoAdjustSampleDistancesMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  int      temp20;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUVolumeRayCastMapper::GetAutoAdjustSampleDistancesMaxValue();
      }
    else
      {
      temp20 = op->GetAutoAdjustSampleDistancesMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_GetAutoAdjustSampleDistances(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  int      temp20;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUVolumeRayCastMapper::GetAutoAdjustSampleDistances();
      }
    else
      {
      temp20 = op->GetAutoAdjustSampleDistances();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_AutoAdjustSampleDistancesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGPUVolumeRayCastMapper::AutoAdjustSampleDistancesOn();
      }
    else
      {
      op->AutoAdjustSampleDistancesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_AutoAdjustSampleDistancesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGPUVolumeRayCastMapper::AutoAdjustSampleDistancesOff();
      }
    else
      {
      op->AutoAdjustSampleDistancesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_SetSampleDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  float    temp0;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGPUVolumeRayCastMapper::SetSampleDistance(temp0);
      }
    else
      {
      op->SetSampleDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_GetSampleDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUVolumeRayCastMapper::GetSampleDistance();
      }
    else
      {
      temp20 = op->GetSampleDistance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_SetImageSampleDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  float    temp0;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGPUVolumeRayCastMapper::SetImageSampleDistance(temp0);
      }
    else
      {
      op->SetImageSampleDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_GetImageSampleDistanceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUVolumeRayCastMapper::GetImageSampleDistanceMinValue();
      }
    else
      {
      temp20 = op->GetImageSampleDistanceMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_GetImageSampleDistanceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUVolumeRayCastMapper::GetImageSampleDistanceMaxValue();
      }
    else
      {
      temp20 = op->GetImageSampleDistanceMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_GetImageSampleDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUVolumeRayCastMapper::GetImageSampleDistance();
      }
    else
      {
      temp20 = op->GetImageSampleDistance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_SetMinimumImageSampleDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  float    temp0;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGPUVolumeRayCastMapper::SetMinimumImageSampleDistance(temp0);
      }
    else
      {
      op->SetMinimumImageSampleDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_GetMinimumImageSampleDistanceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUVolumeRayCastMapper::GetMinimumImageSampleDistanceMinValue();
      }
    else
      {
      temp20 = op->GetMinimumImageSampleDistanceMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_GetMinimumImageSampleDistanceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUVolumeRayCastMapper::GetMinimumImageSampleDistanceMaxValue();
      }
    else
      {
      temp20 = op->GetMinimumImageSampleDistanceMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_GetMinimumImageSampleDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUVolumeRayCastMapper::GetMinimumImageSampleDistance();
      }
    else
      {
      temp20 = op->GetMinimumImageSampleDistance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_SetMaximumImageSampleDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  float    temp0;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGPUVolumeRayCastMapper::SetMaximumImageSampleDistance(temp0);
      }
    else
      {
      op->SetMaximumImageSampleDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_GetMaximumImageSampleDistanceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUVolumeRayCastMapper::GetMaximumImageSampleDistanceMinValue();
      }
    else
      {
      temp20 = op->GetMaximumImageSampleDistanceMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_GetMaximumImageSampleDistanceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUVolumeRayCastMapper::GetMaximumImageSampleDistanceMaxValue();
      }
    else
      {
      temp20 = op->GetMaximumImageSampleDistanceMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_GetMaximumImageSampleDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUVolumeRayCastMapper::GetMaximumImageSampleDistance();
      }
    else
      {
      temp20 = op->GetMaximumImageSampleDistance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_SetFinalColorWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  float    temp0;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGPUVolumeRayCastMapper::SetFinalColorWindow(temp0);
      }
    else
      {
      op->SetFinalColorWindow(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_GetFinalColorWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUVolumeRayCastMapper::GetFinalColorWindow();
      }
    else
      {
      temp20 = op->GetFinalColorWindow();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_SetFinalColorLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  float    temp0;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGPUVolumeRayCastMapper::SetFinalColorLevel(temp0);
      }
    else
      {
      op->SetFinalColorLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_GetFinalColorLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUVolumeRayCastMapper::GetFinalColorLevel();
      }
    else
      {
      temp20 = op->GetFinalColorLevel();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_SetMaxMemoryInBytes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  vtkIdType   temp0;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGPUVolumeRayCastMapper::SetMaxMemoryInBytes(temp0);
      }
    else
      {
      op->SetMaxMemoryInBytes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_GetMaxMemoryInBytes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  vtkIdType   temp20;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUVolumeRayCastMapper::GetMaxMemoryInBytes();
      }
    else
      {
      temp20 = op->GetMaxMemoryInBytes();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_SetMaxMemoryFraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  float    temp0;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGPUVolumeRayCastMapper::SetMaxMemoryFraction(temp0);
      }
    else
      {
      op->SetMaxMemoryFraction(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_GetMaxMemoryFractionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUVolumeRayCastMapper::GetMaxMemoryFractionMinValue();
      }
    else
      {
      temp20 = op->GetMaxMemoryFractionMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_GetMaxMemoryFractionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUVolumeRayCastMapper::GetMaxMemoryFractionMaxValue();
      }
    else
      {
      temp20 = op->GetMaxMemoryFractionMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_GetMaxMemoryFraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUVolumeRayCastMapper::GetMaxMemoryFraction();
      }
    else
      {
      temp20 = op->GetMaxMemoryFraction();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_SetReportProgress(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  bool   temp0;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGPUVolumeRayCastMapper::SetReportProgress(temp0);
      }
    else
      {
      op->SetReportProgress(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_GetReportProgress(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  bool   temp20;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUVolumeRayCastMapper::GetReportProgress();
      }
    else
      {
      temp20 = op->GetReportProgress();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_IsRenderSupported(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  vtkRenderWindow  *temp0;
  PyObject *tempH0;
  vtkVolumeProperty  *temp1;
  PyObject *tempH1;
  int      temp20;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkRenderWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindow");
    if (!temp0 && tempH0 != Py_None) goto break36;
    temp1 = (vtkVolumeProperty *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkVolumeProperty");
    if (!temp1 && tempH1 != Py_None) goto break36;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUVolumeRayCastMapper::IsRenderSupported(temp0,temp1);
      }
    else
      {
      temp20 = op->IsRenderSupported(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break36:
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_CreateCanonicalView(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  vtkVolume  *temp1;
  PyObject *tempH1;
  vtkImageData  *temp2;
  PyObject *tempH2;
  int      temp3;
  double temp4[3];
  double temp5[3];
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"OOOi(ddd)(ddd)", &tempH0, &tempH1, &tempH2, &temp3, temp4 + 0, temp4 + 1, temp4 + 2, temp5 + 0, temp5 + 1, temp5 + 2);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break37;
    temp1 = (vtkVolume *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkVolume");
    if (!temp1 && tempH1 != Py_None) goto break37;
    temp2 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkImageData");
    if (!temp2 && tempH2 != Py_None) goto break37;
    if (PyVTKClass_Check(self))
      {
      op->vtkGPUVolumeRayCastMapper::CreateCanonicalView(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->CreateCanonicalView(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    if (vtkPythonCheckArray(args,4,temp4,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,5,temp5,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break37:
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_SetMaskInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break38;
    if (PyVTKClass_Check(self))
      {
      op->vtkGPUVolumeRayCastMapper::SetMaskInput(temp0);
      }
    else
      {
      op->SetMaskInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break38:
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_GetMaskInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  vtkImageData  *temp20;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUVolumeRayCastMapper::GetMaskInput();
      }
    else
      {
      temp20 = op->GetMaskInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_SetMaskBlendFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  float    temp0;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGPUVolumeRayCastMapper::SetMaskBlendFactor(temp0);
      }
    else
      {
      op->SetMaskBlendFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_GetMaskBlendFactorMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUVolumeRayCastMapper::GetMaskBlendFactorMinValue();
      }
    else
      {
      temp20 = op->GetMaskBlendFactorMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_GetMaskBlendFactorMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUVolumeRayCastMapper::GetMaskBlendFactorMaxValue();
      }
    else
      {
      temp20 = op->GetMaskBlendFactorMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGPUVolumeRayCastMapper_GetMaskBlendFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGPUVolumeRayCastMapper *op;

  float    temp20;
  op = (vtkGPUVolumeRayCastMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGPUVolumeRayCastMapper::GetMaskBlendFactor();
      }
    else
      {
      temp20 = op->GetMaskBlendFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGPUVolumeRayCastMapperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGPUVolumeRayCastMapper\nC++: vtkGPUVolumeRayCastMapper *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGPUVolumeRayCastMapper\nC++: vtkGPUVolumeRayCastMapper *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetAutoAdjustSampleDistances",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_SetAutoAdjustSampleDistances, 1,
   (char*)"V.SetAutoAdjustSampleDistances(int)\nC++: void SetAutoAdjustSampleDistances (int );\n\n If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n will be varied to achieve the allocated render time of this\n prop (controlled by the desired update rate and any culling in\n use).\n"},
  {(char*)"GetAutoAdjustSampleDistancesMinValue",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_GetAutoAdjustSampleDistancesMinValue, 1,
   (char*)"V.GetAutoAdjustSampleDistancesMinValue() -> int\nC++: int GetAutoAdjustSampleDistancesMinValue ();\n\n If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n will be varied to achieve the allocated render time of this\n prop (controlled by the desired update rate and any culling in\n use).\n"},
  {(char*)"GetAutoAdjustSampleDistancesMaxValue",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_GetAutoAdjustSampleDistancesMaxValue, 1,
   (char*)"V.GetAutoAdjustSampleDistancesMaxValue() -> int\nC++: int GetAutoAdjustSampleDistancesMaxValue ();\n\n If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n will be varied to achieve the allocated render time of this\n prop (controlled by the desired update rate and any culling in\n use).\n"},
  {(char*)"GetAutoAdjustSampleDistances",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_GetAutoAdjustSampleDistances, 1,
   (char*)"V.GetAutoAdjustSampleDistances() -> int\nC++: int GetAutoAdjustSampleDistances ();\n\n If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n will be varied to achieve the allocated render time of this\n prop (controlled by the desired update rate and any culling in\n use).\n"},
  {(char*)"AutoAdjustSampleDistancesOn",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_AutoAdjustSampleDistancesOn, 1,
   (char*)"V.AutoAdjustSampleDistancesOn()\nC++: void AutoAdjustSampleDistancesOn ();\n\n If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n will be varied to achieve the allocated render time of this\n prop (controlled by the desired update rate and any culling in\n use).\n"},
  {(char*)"AutoAdjustSampleDistancesOff",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_AutoAdjustSampleDistancesOff, 1,
   (char*)"V.AutoAdjustSampleDistancesOff()\nC++: void AutoAdjustSampleDistancesOff ();\n\n If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n will be varied to achieve the allocated render time of this\n prop (controlled by the desired update rate and any culling in\n use).\n"},
  {(char*)"SetSampleDistance",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_SetSampleDistance, 1,
   (char*)"V.SetSampleDistance(float)\nC++: void SetSampleDistance (float );\n\n Set/Get the distance between samples used for rendering\n when AutoAdjustSampleDistances is off, or when this mapper\n has more than 1 second allocated to it for rendering.\n Initial value is 1.0.\n"},
  {(char*)"GetSampleDistance",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_GetSampleDistance, 1,
   (char*)"V.GetSampleDistance() -> float\nC++: float GetSampleDistance ();\n\n Set/Get the distance between samples used for rendering\n when AutoAdjustSampleDistances is off, or when this mapper\n has more than 1 second allocated to it for rendering.\n Initial value is 1.0.\n"},
  {(char*)"SetImageSampleDistance",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_SetImageSampleDistance, 1,
   (char*)"V.SetImageSampleDistance(float)\nC++: void SetImageSampleDistance (float );\n\n Sampling distance in the XY image dimensions. Default value of 1 meaning\n 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If\n set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels. This value\n will be adjusted to meet a desired frame rate when AutoAdjustSampleDistances\n is on.\n"},
  {(char*)"GetImageSampleDistanceMinValue",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_GetImageSampleDistanceMinValue, 1,
   (char*)"V.GetImageSampleDistanceMinValue() -> float\nC++: float GetImageSampleDistanceMinValue ();\n\n Sampling distance in the XY image dimensions. Default value of 1 meaning\n 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If\n set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels. This value\n will be adjusted to meet a desired frame rate when AutoAdjustSampleDistances\n is on.\n"},
  {(char*)"GetImageSampleDistanceMaxValue",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_GetImageSampleDistanceMaxValue, 1,
   (char*)"V.GetImageSampleDistanceMaxValue() -> float\nC++: float GetImageSampleDistanceMaxValue ();\n\n Sampling distance in the XY image dimensions. Default value of 1 meaning\n 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If\n set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels. This value\n will be adjusted to meet a desired frame rate when AutoAdjustSampleDistances\n is on.\n"},
  {(char*)"GetImageSampleDistance",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_GetImageSampleDistance, 1,
   (char*)"V.GetImageSampleDistance() -> float\nC++: float GetImageSampleDistance ();\n\n Sampling distance in the XY image dimensions. Default value of 1 meaning\n 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If\n set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels. This value\n will be adjusted to meet a desired frame rate when AutoAdjustSampleDistances\n is on.\n"},
  {(char*)"SetMinimumImageSampleDistance",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_SetMinimumImageSampleDistance, 1,
   (char*)"V.SetMinimumImageSampleDistance(float)\nC++: void SetMinimumImageSampleDistance (float );\n\n This is the minimum image sample distance allow when the image\n sample distance is being automatically adjusted.\n"},
  {(char*)"GetMinimumImageSampleDistanceMinValue",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_GetMinimumImageSampleDistanceMinValue, 1,
   (char*)"V.GetMinimumImageSampleDistanceMinValue() -> float\nC++: float GetMinimumImageSampleDistanceMinValue ();\n\n This is the minimum image sample distance allow when the image\n sample distance is being automatically adjusted.\n"},
  {(char*)"GetMinimumImageSampleDistanceMaxValue",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_GetMinimumImageSampleDistanceMaxValue, 1,
   (char*)"V.GetMinimumImageSampleDistanceMaxValue() -> float\nC++: float GetMinimumImageSampleDistanceMaxValue ();\n\n This is the minimum image sample distance allow when the image\n sample distance is being automatically adjusted.\n"},
  {(char*)"GetMinimumImageSampleDistance",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_GetMinimumImageSampleDistance, 1,
   (char*)"V.GetMinimumImageSampleDistance() -> float\nC++: float GetMinimumImageSampleDistance ();\n\n This is the minimum image sample distance allow when the image\n sample distance is being automatically adjusted.\n"},
  {(char*)"SetMaximumImageSampleDistance",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_SetMaximumImageSampleDistance, 1,
   (char*)"V.SetMaximumImageSampleDistance(float)\nC++: void SetMaximumImageSampleDistance (float );\n\n This is the maximum image sample distance allow when the image\n sample distance is being automatically adjusted.\n"},
  {(char*)"GetMaximumImageSampleDistanceMinValue",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_GetMaximumImageSampleDistanceMinValue, 1,
   (char*)"V.GetMaximumImageSampleDistanceMinValue() -> float\nC++: float GetMaximumImageSampleDistanceMinValue ();\n\n This is the maximum image sample distance allow when the image\n sample distance is being automatically adjusted.\n"},
  {(char*)"GetMaximumImageSampleDistanceMaxValue",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_GetMaximumImageSampleDistanceMaxValue, 1,
   (char*)"V.GetMaximumImageSampleDistanceMaxValue() -> float\nC++: float GetMaximumImageSampleDistanceMaxValue ();\n\n This is the maximum image sample distance allow when the image\n sample distance is being automatically adjusted.\n"},
  {(char*)"GetMaximumImageSampleDistance",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_GetMaximumImageSampleDistance, 1,
   (char*)"V.GetMaximumImageSampleDistance() -> float\nC++: float GetMaximumImageSampleDistance ();\n\n This is the maximum image sample distance allow when the image\n sample distance is being automatically adjusted.\n"},
  {(char*)"SetFinalColorWindow",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_SetFinalColorWindow, 1,
   (char*)"V.SetFinalColorWindow(float)\nC++: void SetFinalColorWindow (float );\n\n Set/Get the window / level applied to the final color.\n This allows brightness / contrast adjustments on the\n final image.\n window is the width of the window.\n level is the center of the window.\n Initial window value is 1.0\n Initial level value is 0.5\n window cannot be null but can be negative, this way\n values will be reversed.\n |window| can be larger than 1.0\n level can be any real value.\n"},
  {(char*)"GetFinalColorWindow",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_GetFinalColorWindow, 1,
   (char*)"V.GetFinalColorWindow() -> float\nC++: float GetFinalColorWindow ();\n\n Set/Get the window / level applied to the final color.\n This allows brightness / contrast adjustments on the\n final image.\n window is the width of the window.\n level is the center of the window.\n Initial window value is 1.0\n Initial level value is 0.5\n window cannot be null but can be negative, this way\n values will be reversed.\n |window| can be larger than 1.0\n level can be any real value.\n"},
  {(char*)"SetFinalColorLevel",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_SetFinalColorLevel, 1,
   (char*)"V.SetFinalColorLevel(float)\nC++: void SetFinalColorLevel (float );\n\n Set/Get the window / level applied to the final color.\n This allows brightness / contrast adjustments on the\n final image.\n window is the width of the window.\n level is the center of the window.\n Initial window value is 1.0\n Initial level value is 0.5\n window cannot be null but can be negative, this way\n values will be reversed.\n |window| can be larger than 1.0\n level can be any real value.\n"},
  {(char*)"GetFinalColorLevel",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_GetFinalColorLevel, 1,
   (char*)"V.GetFinalColorLevel() -> float\nC++: float GetFinalColorLevel ();\n\n Set/Get the window / level applied to the final color.\n This allows brightness / contrast adjustments on the\n final image.\n window is the width of the window.\n level is the center of the window.\n Initial window value is 1.0\n Initial level value is 0.5\n window cannot be null but can be negative, this way\n values will be reversed.\n |window| can be larger than 1.0\n level can be any real value.\n"},
  {(char*)"SetMaxMemoryInBytes",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_SetMaxMemoryInBytes, 1,
   (char*)"V.SetMaxMemoryInBytes(int)\nC++: void SetMaxMemoryInBytes (vtkIdType );\n\n Maximum size of the 3D texture in GPU memory.\n Will default to the size computed from the graphics\n card. Can be adjusted by the user.\n"},
  {(char*)"GetMaxMemoryInBytes",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_GetMaxMemoryInBytes, 1,
   (char*)"V.GetMaxMemoryInBytes() -> int\nC++: vtkIdType GetMaxMemoryInBytes ();\n\n Maximum size of the 3D texture in GPU memory.\n Will default to the size computed from the graphics\n card. Can be adjusted by the user.\n"},
  {(char*)"SetMaxMemoryFraction",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_SetMaxMemoryFraction, 1,
   (char*)"V.SetMaxMemoryFraction(float)\nC++: void SetMaxMemoryFraction (float );\n\n Maximum fraction of the MaxMemoryInBytes that should\n be used to hold the texture. Valid values are 0.1 to\n 1.0.\n"},
  {(char*)"GetMaxMemoryFractionMinValue",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_GetMaxMemoryFractionMinValue, 1,
   (char*)"V.GetMaxMemoryFractionMinValue() -> float\nC++: float GetMaxMemoryFractionMinValue ();\n\n Maximum fraction of the MaxMemoryInBytes that should\n be used to hold the texture. Valid values are 0.1 to\n 1.0.\n"},
  {(char*)"GetMaxMemoryFractionMaxValue",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_GetMaxMemoryFractionMaxValue, 1,
   (char*)"V.GetMaxMemoryFractionMaxValue() -> float\nC++: float GetMaxMemoryFractionMaxValue ();\n\n Maximum fraction of the MaxMemoryInBytes that should\n be used to hold the texture. Valid values are 0.1 to\n 1.0.\n"},
  {(char*)"GetMaxMemoryFraction",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_GetMaxMemoryFraction, 1,
   (char*)"V.GetMaxMemoryFraction() -> float\nC++: float GetMaxMemoryFraction ();\n\n Maximum fraction of the MaxMemoryInBytes that should\n be used to hold the texture. Valid values are 0.1 to\n 1.0.\n"},
  {(char*)"SetReportProgress",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_SetReportProgress, 1,
   (char*)"V.SetReportProgress(bool)\nC++: void SetReportProgress (bool );\n\n Tells if the mapper will report intermediate progress.\n Initial value is true. As the progress works with a GL blocking\n call (glFinish()), this can be useful for huge dataset but can\n slow down rendering of small dataset. It should be set to true\n for big dataset or complex shading and streaming but to false for\n small datasets.\n"},
  {(char*)"GetReportProgress",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_GetReportProgress, 1,
   (char*)"V.GetReportProgress() -> bool\nC++: bool GetReportProgress ();\n\n Tells if the mapper will report intermediate progress.\n Initial value is true. As the progress works with a GL blocking\n call (glFinish()), this can be useful for huge dataset but can\n slow down rendering of small dataset. It should be set to true\n for big dataset or complex shading and streaming but to false for\n small datasets.\n"},
  {(char*)"IsRenderSupported",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_IsRenderSupported, 1,
   (char*)"V.IsRenderSupported(vtkRenderWindow, vtkVolumeProperty) -> int\nC++: virtual int IsRenderSupported (vtkRenderWindow *, vtkVolumeProperty *);return \n\n"},
  {(char*)"CreateCanonicalView",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_CreateCanonicalView, 1,
   (char*)"V.CreateCanonicalView(vtkRenderer, vtkVolume, vtkImageData, int, (float, float, float), (float, float, float))\nC++: void CreateCanonicalView (vtkRenderer *ren, vtkVolume *volume, vtkImageData *image, int blend_mode, double viewDirection[3], double viewUp[3]);\n\n"},
  {(char*)"SetMaskInput",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_SetMaskInput, 1,
   (char*)"V.SetMaskInput(vtkImageData)\nC++: void SetMaskInput (vtkImageData *mask);\n\n"},
  {(char*)"GetMaskInput",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_GetMaskInput, 1,
   (char*)"V.GetMaskInput() -> vtkImageData\nC++: vtkImageData *GetMaskInput ();\n\n"},
  {(char*)"SetMaskBlendFactor",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_SetMaskBlendFactor, 1,
   (char*)"V.SetMaskBlendFactor(float)\nC++: void SetMaskBlendFactor (float );\n\n Tells how much mask color transfer function is used compared to the\n standard color transfer function when the mask is true.\n 0.0 means only standard color transfer function.\n 1.0 means only mask color tranfer function.\n Initial value is 1.0.\n"},
  {(char*)"GetMaskBlendFactorMinValue",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_GetMaskBlendFactorMinValue, 1,
   (char*)"V.GetMaskBlendFactorMinValue() -> float\nC++: float GetMaskBlendFactorMinValue ();\n\n Tells how much mask color transfer function is used compared to the\n standard color transfer function when the mask is true.\n 0.0 means only standard color transfer function.\n 1.0 means only mask color tranfer function.\n Initial value is 1.0.\n"},
  {(char*)"GetMaskBlendFactorMaxValue",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_GetMaskBlendFactorMaxValue, 1,
   (char*)"V.GetMaskBlendFactorMaxValue() -> float\nC++: float GetMaskBlendFactorMaxValue ();\n\n Tells how much mask color transfer function is used compared to the\n standard color transfer function when the mask is true.\n 0.0 means only standard color transfer function.\n 1.0 means only mask color tranfer function.\n Initial value is 1.0.\n"},
  {(char*)"GetMaskBlendFactor",                (PyCFunction)PyvtkGPUVolumeRayCastMapper_GetMaskBlendFactor, 1,
   (char*)"V.GetMaskBlendFactor() -> float\nC++: float GetMaskBlendFactor ();\n\n Tells how much mask color transfer function is used compared to the\n standard color transfer function when the mask is true.\n 0.0 means only standard color transfer function.\n 1.0 means only mask color tranfer function.\n Initial value is 1.0.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGPUVolumeRayCastMapperDoc[] = {
  (char*)"vtkGPUVolumeRayCastMapper - Ray casting performed on the GPU.\n\n",
  "Super Class:\n\n vtkVolumeMapper\n\n",
  (char*)" vtkGPUVolumeRayCastMapper is a volume mapper that performs ray casting on\n the GPU using fragment programs.\n\n\n",
  NULL
};

static vtkObjectBase *vtkGPUVolumeRayCastMapperStaticNew()
{
  return vtkGPUVolumeRayCastMapper::New();
}

PyObject *PyVTKClass_vtkGPUVolumeRayCastMapperNew(char *modulename)
{
  return PyVTKClass_New(&vtkGPUVolumeRayCastMapperStaticNew,
                        PyvtkGPUVolumeRayCastMapperMethods,
                        (char*)"vtkGPUVolumeRayCastMapper",modulename,
                        (char**)vtkGPUVolumeRayCastMapperDoc,
                        PyVTKClass_vtkVolumeMapperNew(modulename));
}

