// python wrapper for vtkVolumeOutlineSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkVolumeOutlineSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkVolumeOutlineSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkVolumeOutlineSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkVolumeOutlineSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeOutlineSource *op;

  const char    *temp20;
  op = (vtkVolumeOutlineSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeOutlineSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeOutlineSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeOutlineSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkVolumeOutlineSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeOutlineSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeOutlineSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeOutlineSource *op;

  vtkVolumeOutlineSource  *temp20;
  op = (vtkVolumeOutlineSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeOutlineSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeOutlineSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkVolumeOutlineSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkVolumeOutlineSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkVolumeOutlineSource_SetVolumeMapper(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeOutlineSource *op;

  vtkVolumeMapper  *temp0;
  PyObject *tempH0;
  op = (vtkVolumeOutlineSource *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkVolumeMapper *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkVolumeMapper");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeOutlineSource::SetVolumeMapper(temp0);
      }
    else
      {
      op->SetVolumeMapper(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkVolumeOutlineSource_GetVolumeMapper(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeOutlineSource *op;

  vtkVolumeMapper  *temp20;
  op = (vtkVolumeOutlineSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeOutlineSource::GetVolumeMapper();
      }
    else
      {
      temp20 = op->GetVolumeMapper();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeOutlineSource_SetGenerateScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeOutlineSource *op;

  int      temp0;
  op = (vtkVolumeOutlineSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeOutlineSource::SetGenerateScalars(temp0);
      }
    else
      {
      op->SetGenerateScalars(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeOutlineSource_GenerateScalarsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeOutlineSource *op;

  op = (vtkVolumeOutlineSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeOutlineSource::GenerateScalarsOn();
      }
    else
      {
      op->GenerateScalarsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeOutlineSource_GenerateScalarsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeOutlineSource *op;

  op = (vtkVolumeOutlineSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeOutlineSource::GenerateScalarsOff();
      }
    else
      {
      op->GenerateScalarsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeOutlineSource_GetGenerateScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeOutlineSource *op;

  int      temp20;
  op = (vtkVolumeOutlineSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeOutlineSource::GetGenerateScalars();
      }
    else
      {
      temp20 = op->GetGenerateScalars();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeOutlineSource_SetGenerateFaces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeOutlineSource *op;

  int      temp0;
  op = (vtkVolumeOutlineSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeOutlineSource::SetGenerateFaces(temp0);
      }
    else
      {
      op->SetGenerateFaces(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeOutlineSource_GenerateFacesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeOutlineSource *op;

  op = (vtkVolumeOutlineSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeOutlineSource::GenerateFacesOn();
      }
    else
      {
      op->GenerateFacesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeOutlineSource_GenerateFacesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeOutlineSource *op;

  op = (vtkVolumeOutlineSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeOutlineSource::GenerateFacesOff();
      }
    else
      {
      op->GenerateFacesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeOutlineSource_GetGenerateFaces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeOutlineSource *op;

  int      temp20;
  op = (vtkVolumeOutlineSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeOutlineSource::GetGenerateFaces();
      }
    else
      {
      temp20 = op->GetGenerateFaces();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeOutlineSource_SetColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeOutlineSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkVolumeOutlineSource *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeOutlineSource::SetColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVolumeOutlineSource *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkVolumeOutlineSource *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeOutlineSource::SetColor(temp0);
      }
    else
      {
      op->SetColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeOutlineSource_GetColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeOutlineSource *op;

  double  *temp20;
  op = (vtkVolumeOutlineSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeOutlineSource::GetColor();
      }
    else
      {
      temp20 = op->GetColor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeOutlineSource_SetActivePlaneId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeOutlineSource *op;

  int      temp0;
  op = (vtkVolumeOutlineSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeOutlineSource::SetActivePlaneId(temp0);
      }
    else
      {
      op->SetActivePlaneId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeOutlineSource_GetActivePlaneId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeOutlineSource *op;

  int      temp20;
  op = (vtkVolumeOutlineSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeOutlineSource::GetActivePlaneId();
      }
    else
      {
      temp20 = op->GetActivePlaneId();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeOutlineSource_SetActivePlaneColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeOutlineSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkVolumeOutlineSource *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeOutlineSource::SetActivePlaneColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetActivePlaneColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVolumeOutlineSource *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkVolumeOutlineSource *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeOutlineSource::SetActivePlaneColor(temp0);
      }
    else
      {
      op->SetActivePlaneColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeOutlineSource_GetActivePlaneColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeOutlineSource *op;

  double  *temp20;
  op = (vtkVolumeOutlineSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeOutlineSource::GetActivePlaneColor();
      }
    else
      {
      temp20 = op->GetActivePlaneColor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkVolumeOutlineSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkVolumeOutlineSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkVolumeOutlineSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkVolumeOutlineSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkVolumeOutlineSource\nC++: vtkVolumeOutlineSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkVolumeOutlineSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkVolumeOutlineSource\nC++: vtkVolumeOutlineSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetVolumeMapper",                (PyCFunction)PyvtkVolumeOutlineSource_SetVolumeMapper, 1,
   (char*)"V.SetVolumeMapper(vtkVolumeMapper)\nC++: virtual void SetVolumeMapper (vtkVolumeMapper *mapper);\n\n Set the mapper that has the cropping region that the outline will\n be generated for.  The mapper must have an input, because the\n bounds of the data must be computed in order to generate the\n outline.\n"},
  {(char*)"GetVolumeMapper",                (PyCFunction)PyvtkVolumeOutlineSource_GetVolumeMapper, 1,
   (char*)"V.GetVolumeMapper() -> vtkVolumeMapper\nC++: vtkVolumeMapper *GetVolumeMapper ();return this VolumeMapper \n\n Set the mapper that has the cropping region that the outline will\n be generated for.  The mapper must have an input, because the\n bounds of the data must be computed in order to generate the\n outline.\n"},
  {(char*)"SetGenerateScalars",                (PyCFunction)PyvtkVolumeOutlineSource_SetGenerateScalars, 1,
   (char*)"V.SetGenerateScalars(int)\nC++: void SetGenerateScalars (int );\n\n Set whether to generate color scalars for the output.  By default,\n the output has no scalars and the color must be set in the\n property of the actor.\n"},
  {(char*)"GenerateScalarsOn",                (PyCFunction)PyvtkVolumeOutlineSource_GenerateScalarsOn, 1,
   (char*)"V.GenerateScalarsOn()\nC++: void GenerateScalarsOn ();\n\n Set whether to generate color scalars for the output.  By default,\n the output has no scalars and the color must be set in the\n property of the actor.\n"},
  {(char*)"GenerateScalarsOff",                (PyCFunction)PyvtkVolumeOutlineSource_GenerateScalarsOff, 1,
   (char*)"V.GenerateScalarsOff()\nC++: void GenerateScalarsOff ();\n\n Set whether to generate color scalars for the output.  By default,\n the output has no scalars and the color must be set in the\n property of the actor.\n"},
  {(char*)"GetGenerateScalars",                (PyCFunction)PyvtkVolumeOutlineSource_GetGenerateScalars, 1,
   (char*)"V.GetGenerateScalars() -> int\nC++: int GetGenerateScalars ();\n\n Set whether to generate color scalars for the output.  By default,\n the output has no scalars and the color must be set in the\n property of the actor.\n"},
  {(char*)"SetGenerateFaces",                (PyCFunction)PyvtkVolumeOutlineSource_SetGenerateFaces, 1,
   (char*)"V.SetGenerateFaces(int)\nC++: void SetGenerateFaces (int );\n\n Set whether to generate polygonal faces for the output.  By default,\n only lines are generated.  The faces will form a closed, watertight\n surface.\n"},
  {(char*)"GenerateFacesOn",                (PyCFunction)PyvtkVolumeOutlineSource_GenerateFacesOn, 1,
   (char*)"V.GenerateFacesOn()\nC++: void GenerateFacesOn ();\n\n Set whether to generate polygonal faces for the output.  By default,\n only lines are generated.  The faces will form a closed, watertight\n surface.\n"},
  {(char*)"GenerateFacesOff",                (PyCFunction)PyvtkVolumeOutlineSource_GenerateFacesOff, 1,
   (char*)"V.GenerateFacesOff()\nC++: void GenerateFacesOff ();\n\n Set whether to generate polygonal faces for the output.  By default,\n only lines are generated.  The faces will form a closed, watertight\n surface.\n"},
  {(char*)"GetGenerateFaces",                (PyCFunction)PyvtkVolumeOutlineSource_GetGenerateFaces, 1,
   (char*)"V.GetGenerateFaces() -> int\nC++: int GetGenerateFaces ();\n\n Set whether to generate polygonal faces for the output.  By default,\n only lines are generated.  The faces will form a closed, watertight\n surface.\n"},
  {(char*)"SetColor",                (PyCFunction)PyvtkVolumeOutlineSource_SetColor, 1,
   (char*)"V.SetColor(float, float, float)\nC++: void SetColor (double , double , double );\nV.SetColor((float, float, float))\nC++: void SetColor (double  a[3]);\n\n Set the color of the outline.  This has no effect unless GenerateScalars\n is On.  The default color is red.\n"},
  {(char*)"GetColor",                (PyCFunction)PyvtkVolumeOutlineSource_GetColor, 1,
   (char*)"V.GetColor() -> (float, float, float)\nC++: double  *GetColor ();\n\n Set the color of the outline.  This has no effect unless GenerateScalars\n is On.  The default color is red.\n"},
  {(char*)"SetActivePlaneId",                (PyCFunction)PyvtkVolumeOutlineSource_SetActivePlaneId, 1,
   (char*)"V.SetActivePlaneId(int)\nC++: void SetActivePlaneId (int );\n\n Set the active plane, e.g. to display which plane is currently being\n modified by an interaction.  Set this to -1 if there is no active plane.\n The default value is -1.\n"},
  {(char*)"GetActivePlaneId",                (PyCFunction)PyvtkVolumeOutlineSource_GetActivePlaneId, 1,
   (char*)"V.GetActivePlaneId() -> int\nC++: int GetActivePlaneId ();\n\n Set the active plane, e.g. to display which plane is currently being\n modified by an interaction.  Set this to -1 if there is no active plane.\n The default value is -1.\n"},
  {(char*)"SetActivePlaneColor",                (PyCFunction)PyvtkVolumeOutlineSource_SetActivePlaneColor, 1,
   (char*)"V.SetActivePlaneColor(float, float, float)\nC++: void SetActivePlaneColor (double , double , double );\nV.SetActivePlaneColor((float, float, float))\nC++: void SetActivePlaneColor (double  a[3]);\n\n Set the color of the active cropping plane.  This has no effect unless\n GenerateScalars is On and ActivePlaneId is non-negative.  The default\n color is yellow. \n"},
  {(char*)"GetActivePlaneColor",                (PyCFunction)PyvtkVolumeOutlineSource_GetActivePlaneColor, 1,
   (char*)"V.GetActivePlaneColor() -> (float, float, float)\nC++: double  *GetActivePlaneColor ();\n\n Set the color of the active cropping plane.  This has no effect unless\n GenerateScalars is On and ActivePlaneId is non-negative.  The default\n color is yellow. \n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkVolumeOutlineSourceDoc[] = {
  (char*)"vtkVolumeOutlineSource - outline of volume cropping region\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkVolumeOutlineSource generates a wireframe outline that corresponds\n to the cropping region of a vtkVolumeMapper.  It requires a \n vtkVolumeMapper as input.  The GenerateFaces option turns on the\n solid faces of the outline, and the GenerateScalars option generates\n color scalars.  When GenerateScalars is on, it is possible to set\n an \"ActivePlaneId\" value in the range [0..6] to highlight one o",
  (char*)"f the\n six cropping planes.\n .SECTION Thanks\n Thanks to David Gobbi for contributing this class to VTK.\n\n",
  NULL
};

static vtkObjectBase *vtkVolumeOutlineSourceStaticNew()
{
  return vtkVolumeOutlineSource::New();
}

PyObject *PyVTKClass_vtkVolumeOutlineSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkVolumeOutlineSourceStaticNew,
                        PyvtkVolumeOutlineSourceMethods,
                        (char*)"vtkVolumeOutlineSource",modulename,
                        (char**)vtkVolumeOutlineSourceDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

