// python wrapper for vtkContourWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkContourWidget.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkContourWidgetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkContourWidgetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractWidgetNew(char *); }

static PyObject *PyvtkContourWidget_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourWidget *op;

  const char    *temp20;
  op = (vtkContourWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourWidget::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkContourWidget_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourWidget *op;

  char    *temp0;
  int      temp20;
  op = (vtkContourWidget *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourWidget::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourWidget_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourWidget *op;

  vtkContourWidget  *temp20;
  op = (vtkContourWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourWidget::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourWidget_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkContourWidget  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkContourWidget::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkContourWidget_SetEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourWidget *op;

  int      temp0;
  op = (vtkContourWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourWidget::SetEnabled(temp0);
      }
    else
      {
      op->SetEnabled(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourWidget_SetRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourWidget *op;

  vtkContourRepresentation  *temp0;
  PyObject *tempH0;
  op = (vtkContourWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkContourRepresentation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkContourRepresentation");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkContourWidget::SetRepresentation(temp0);
      }
    else
      {
      op->SetRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkContourWidget_CreateDefaultRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourWidget *op;

  op = (vtkContourWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourWidget::CreateDefaultRepresentation();
      }
    else
      {
      op->CreateDefaultRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourWidget_CloseLoop(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourWidget *op;

  op = (vtkContourWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourWidget::CloseLoop();
      }
    else
      {
      op->CloseLoop();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourWidget_SetAllowNodePicking(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourWidget *op;

  int      temp0;
  op = (vtkContourWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourWidget::SetAllowNodePicking(temp0);
      }
    else
      {
      op->SetAllowNodePicking(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourWidget_GetAllowNodePicking(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourWidget *op;

  int      temp20;
  op = (vtkContourWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourWidget::GetAllowNodePicking();
      }
    else
      {
      temp20 = op->GetAllowNodePicking();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourWidget_AllowNodePickingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourWidget *op;

  op = (vtkContourWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourWidget::AllowNodePickingOn();
      }
    else
      {
      op->AllowNodePickingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourWidget_AllowNodePickingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourWidget *op;

  op = (vtkContourWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourWidget::AllowNodePickingOff();
      }
    else
      {
      op->AllowNodePickingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourWidget_SetFollowCursor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourWidget *op;

  int      temp0;
  op = (vtkContourWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourWidget::SetFollowCursor(temp0);
      }
    else
      {
      op->SetFollowCursor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourWidget_GetFollowCursor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourWidget *op;

  int      temp20;
  op = (vtkContourWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourWidget::GetFollowCursor();
      }
    else
      {
      temp20 = op->GetFollowCursor();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourWidget_FollowCursorOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourWidget *op;

  op = (vtkContourWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourWidget::FollowCursorOn();
      }
    else
      {
      op->FollowCursorOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourWidget_FollowCursorOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourWidget *op;

  op = (vtkContourWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourWidget::FollowCursorOff();
      }
    else
      {
      op->FollowCursorOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourWidget_SetContinuousDraw(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourWidget *op;

  int      temp0;
  op = (vtkContourWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourWidget::SetContinuousDraw(temp0);
      }
    else
      {
      op->SetContinuousDraw(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourWidget_GetContinuousDraw(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourWidget *op;

  int      temp20;
  op = (vtkContourWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourWidget::GetContinuousDraw();
      }
    else
      {
      temp20 = op->GetContinuousDraw();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourWidget_ContinuousDrawOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourWidget *op;

  op = (vtkContourWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourWidget::ContinuousDrawOn();
      }
    else
      {
      op->ContinuousDrawOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourWidget_ContinuousDrawOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourWidget *op;

  op = (vtkContourWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourWidget::ContinuousDrawOff();
      }
    else
      {
      op->ContinuousDrawOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourWidget_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourWidget *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  int      temp1;
  op = (vtkContourWidget *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      op->vtkContourWidget::Initialize(temp0,temp1);
      }
    else
      {
      op->Initialize(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  /* handle an occurrence */
  {
  vtkContourWidget *op;

  PyErr_Clear();
  op = (vtkContourWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourWidget::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkContourWidgetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkContourWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for a VTK class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkContourWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for a VTK class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkContourWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkContourWidget\nC++: vtkContourWidget *NewInstance ();\n\n Standard methods for a VTK class.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkContourWidget_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkContourWidget\nC++: vtkContourWidget *SafeDownCast (vtkObject* o);\n\n Standard methods for a VTK class.\n"},
  {(char*)"SetEnabled",                (PyCFunction)PyvtkContourWidget_SetEnabled, 1,
   (char*)"V.SetEnabled(int)\nC++: virtual void SetEnabled (int );\n\n The method for activiating and deactiviating this widget. This method\n must be overridden because it is a composite widget and does more than\n its superclasses' vtkAbstractWidget::SetEnabled() method.\n"},
  {(char*)"SetRepresentation",                (PyCFunction)PyvtkContourWidget_SetRepresentation, 1,
   (char*)"V.SetRepresentation(vtkContourRepresentation)\nC++: void SetRepresentation (vtkContourRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r \n\n Create the default widget representation if one is not set. \n"},
  {(char*)"CreateDefaultRepresentation",                (PyCFunction)PyvtkContourWidget_CreateDefaultRepresentation, 1,
   (char*)"V.CreateDefaultRepresentation()\nC++: void CreateDefaultRepresentation ();\n\n Create the default widget representation if one is not set. \n"},
  {(char*)"CloseLoop",                (PyCFunction)PyvtkContourWidget_CloseLoop, 1,
   (char*)"V.CloseLoop()\nC++: void CloseLoop ();\n\n Convenient method to close the contour loop.\n"},
  {(char*)"SetAllowNodePicking",                (PyCFunction)PyvtkContourWidget_SetAllowNodePicking, 1,
   (char*)"V.SetAllowNodePicking(int)\nC++: void SetAllowNodePicking (int );\n\n Set / Get the AllowNodePicking value. This ivar indicates whether the nodes\n and points between nodes can be picked/un-picked by Ctrl+Click on the node.\n"},
  {(char*)"GetAllowNodePicking",                (PyCFunction)PyvtkContourWidget_GetAllowNodePicking, 1,
   (char*)"V.GetAllowNodePicking() -> int\nC++: int GetAllowNodePicking ();\n\n Set / Get the AllowNodePicking value. This ivar indicates whether the nodes\n and points between nodes can be picked/un-picked by Ctrl+Click on the node.\n"},
  {(char*)"AllowNodePickingOn",                (PyCFunction)PyvtkContourWidget_AllowNodePickingOn, 1,
   (char*)"V.AllowNodePickingOn()\nC++: void AllowNodePickingOn ();\n\n Set / Get the AllowNodePicking value. This ivar indicates whether the nodes\n and points between nodes can be picked/un-picked by Ctrl+Click on the node.\n"},
  {(char*)"AllowNodePickingOff",                (PyCFunction)PyvtkContourWidget_AllowNodePickingOff, 1,
   (char*)"V.AllowNodePickingOff()\nC++: void AllowNodePickingOff ();\n\n Set / Get the AllowNodePicking value. This ivar indicates whether the nodes\n and points between nodes can be picked/un-picked by Ctrl+Click on the node.\n"},
  {(char*)"SetFollowCursor",                (PyCFunction)PyvtkContourWidget_SetFollowCursor, 1,
   (char*)"V.SetFollowCursor(int)\nC++: void SetFollowCursor (int );\n\n Follow the cursor ? If this is ON, during definition, the last node of the\n contour will automatically follow the cursor, without waiting for the the\n point to be dropped. This may be useful for some interpolators, such as the\n live-wire interpolator to see the shape of the contour that will be placed\n as you move the mouse cursor.\n"},
  {(char*)"GetFollowCursor",                (PyCFunction)PyvtkContourWidget_GetFollowCursor, 1,
   (char*)"V.GetFollowCursor() -> int\nC++: int GetFollowCursor ();\n\n Follow the cursor ? If this is ON, during definition, the last node of the\n contour will automatically follow the cursor, without waiting for the the\n point to be dropped. This may be useful for some interpolators, such as the\n live-wire interpolator to see the shape of the contour that will be placed\n as you move the mouse cursor.\n"},
  {(char*)"FollowCursorOn",                (PyCFunction)PyvtkContourWidget_FollowCursorOn, 1,
   (char*)"V.FollowCursorOn()\nC++: void FollowCursorOn ();\n\n Follow the cursor ? If this is ON, during definition, the last node of the\n contour will automatically follow the cursor, without waiting for the the\n point to be dropped. This may be useful for some interpolators, such as the\n live-wire interpolator to see the shape of the contour that will be placed\n as you move the mouse cursor.\n"},
  {(char*)"FollowCursorOff",                (PyCFunction)PyvtkContourWidget_FollowCursorOff, 1,
   (char*)"V.FollowCursorOff()\nC++: void FollowCursorOff ();\n\n Follow the cursor ? If this is ON, during definition, the last node of the\n contour will automatically follow the cursor, without waiting for the the\n point to be dropped. This may be useful for some interpolators, such as the\n live-wire interpolator to see the shape of the contour that will be placed\n as you move the mouse cursor.\n"},
  {(char*)"SetContinuousDraw",                (PyCFunction)PyvtkContourWidget_SetContinuousDraw, 1,
   (char*)"V.SetContinuousDraw(int)\nC++: void SetContinuousDraw (int );\n\n Define a contour by continuously drawing with the mouse cursor.\n Press and hold the left mouse button down to continuously draw.\n Releasing the left mouse button switches into a snap drawing mode.\n Terminate the contour by pressing the right mouse button.  If you\n do not want to see the nodes as they are added to the contour, set the\n opacity to 0 of the representation's property.  If you do not want to \n see the last active node as it is being added, set the opacity to 0 \n of the representation's active property.\n"},
  {(char*)"GetContinuousDraw",                (PyCFunction)PyvtkContourWidget_GetContinuousDraw, 1,
   (char*)"V.GetContinuousDraw() -> int\nC++: int GetContinuousDraw ();\n\n Define a contour by continuously drawing with the mouse cursor.\n Press and hold the left mouse button down to continuously draw.\n Releasing the left mouse button switches into a snap drawing mode.\n Terminate the contour by pressing the right mouse button.  If you\n do not want to see the nodes as they are added to the contour, set the\n opacity to 0 of the representation's property.  If you do not want to \n see the last active node as it is being added, set the opacity to 0 \n of the representation's active property.\n"},
  {(char*)"ContinuousDrawOn",                (PyCFunction)PyvtkContourWidget_ContinuousDrawOn, 1,
   (char*)"V.ContinuousDrawOn()\nC++: void ContinuousDrawOn ();\n\n Define a contour by continuously drawing with the mouse cursor.\n Press and hold the left mouse button down to continuously draw.\n Releasing the left mouse button switches into a snap drawing mode.\n Terminate the contour by pressing the right mouse button.  If you\n do not want to see the nodes as they are added to the contour, set the\n opacity to 0 of the representation's property.  If you do not want to \n see the last active node as it is being added, set the opacity to 0 \n of the representation's active property.\n"},
  {(char*)"ContinuousDrawOff",                (PyCFunction)PyvtkContourWidget_ContinuousDrawOff, 1,
   (char*)"V.ContinuousDrawOff()\nC++: void ContinuousDrawOff ();\n\n Define a contour by continuously drawing with the mouse cursor.\n Press and hold the left mouse button down to continuously draw.\n Releasing the left mouse button switches into a snap drawing mode.\n Terminate the contour by pressing the right mouse button.  If you\n do not want to see the nodes as they are added to the contour, set the\n opacity to 0 of the representation's property.  If you do not want to \n see the last active node as it is being added, set the opacity to 0 \n of the representation's active property.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkContourWidget_Initialize, 1,
   (char*)"V.Initialize(vtkPolyData, int)\nC++: virtual void Initialize (vtkPolyData *poly, int state);\nV.Initialize()\nC++: virtual void Initialize ();this Initialize NULL \n\n Initialize the contour widget from a user supplied set of points. The\n state of the widget decides if you are still defining the widget, or\n if you've finished defining (added the last point) are manipulating\n it. Note that if the polydata supplied is closed, the state will be\n set to manipulate.\n  State: Define = 0, Manipulate = 1.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkContourWidgetDoc[] = {
  (char*)"vtkContourWidget - create a contour with a set of points\n\n",
  "Super Class:\n\n vtkAbstractWidget\n\n",
  (char*)" The vtkContourWidget is used to select a set of points, and draw lines\n between these points. The contour may be opened or closed, depending on\n how the last point is added. The widget handles all processing of widget\n events (that are triggered by VTK events). The vtkContourRepresentation is\n responsible for all placement of the points, calculation of the lines, and\n contour manipulation. This i",
  (char*)"s done through two main helper classes:\n vtkPointPlacer and vtkContourLineInterpolator. The representation is also\n responsible for drawing the points and lines.\n\n .SECTION Event Bindings\n By default, the widget responds to the following VTK events (i.e., it\n watches the vtkRenderWindowInteractor for these events):\n <pre>\n   LeftButtonPressEvent - triggers a Select event\n   RightButtonPressEvent -",
  (char*)" triggers a AddFinalPoint event\n   MouseMoveEvent - triggers a Move event\n   LeftButtonReleaseEvent - triggers an EndSelect event\n   Delete key event - triggers a Delete event\n   Shift + Delete key event - triggers a Reset event\n </pre>\n\n Note that the event bindings described above can be changed using this\n class's vtkWidgetEventTranslator. This class translates VTK events \n into the vtkContourW",
  (char*)"idget's widget events:\n <pre>\n   vtkWidgetEvent::Select \n        widget state is: \n            Start or\n            Define: If we already have at least 2 nodes, test\n                 whether the current (X,Y) location is near an existing\n                 node. If so, close the contour and change to Manipulate\n                 state. Otherwise, attempt to add a node at this (X,Y)\n                 l",
  (char*)"ocation.\n            Manipulate: If this (X,Y) location activates a node, then\n                 set the current operation to Translate. Otherwise, if\n                 this location is near the contour, attempt to add a \n                 new node on the contour at this (X,Y) location.\n\n   vtkWidgetEvent::AddFinalPoint\n        widget state is: \n            Start: Do nothing.\n            Define: If w",
  (char*)"e already have at least 2 nodes, test\n                 whether the current (X,Y) location is near an existing\n                 node. If so, close the contour and change to Manipulate\n                 state. Otherwise, attempt to add a node at this (X,Y)\n                 location. If we do, then leave the contour open and\n                 change to Manipulate state.\n            Manipulate: Do nothi",
  (char*)"ng.\n\n   vtkWidgetEvent::Move\n        widget state is: \n            Start or\n            Define: Do nothing.\n            Manipulate: If our operation is Translate, then invoke\n                  WidgetInteraction() on the representation. If our \n                  operation is Inactive, then just attempt to activate\n                  a node at this (X,Y) location.\n\n   vtkWidgetEvent::EndSelect\n      ",
  (char*)"  widget state is: \n            Start or\n            Define: Do nothing.\n            Manipulate: If our operation is not Inactive, set it to\n                  Inactive.\n\n   vtkWidgetEvent::Delete\n        widget state is: \n            Start: Do nothing.\n            Define: Remove the last point on the contour.\n            Manipulate: Attempt to activate a node at (X,Y). If\n                   we do ",
  (char*)"activate a node, delete it. If we now\n                   have less than 3 nodes, go back to Define state.\n\n   vtkWidgetEvent::Reset\n        widget state is: \n            Start: Do nothing.\n            Define: Remove all points and line segments of the contour.\n                 Essentially calls Intialize(NULL) \n            Manipulate: Do nothing.\n </pre>\n\n This widget invokes the following VTK eve",
  (char*)"nts on itself (which observers\n can listen for):\n <pre>\n   vtkCommand::StartInteractionEvent (beginning to interact)\n   vtkCommand::EndInteractionEvent (completing interaction)\n   vtkCommand::InteractionEvent (moving after selecting something)\n   vtkCommand::PlacePointEvent (after point is positioned; \n                                call data includes handle id (0,1))\n   vtkCommand::WidgetValueCh",
  (char*)"angedEvent (Invoked when the contour is closed\n                                        for the first time. )\n </pre>\n\n",
  "See Also:\n\n vtkHandleWidget \n\n",
  NULL
};

static vtkObjectBase *vtkContourWidgetStaticNew()
{
  return vtkContourWidget::New();
}

PyObject *PyVTKClass_vtkContourWidgetNew(char *modulename)
{
  return PyVTKClass_New(&vtkContourWidgetStaticNew,
                        PyvtkContourWidgetMethods,
                        (char*)"vtkContourWidget",modulename,
                        (char**)vtkContourWidgetDoc,
                        PyVTKClass_vtkAbstractWidgetNew(modulename));
}

