// python wrapper for vtkOrientedPolygonalHandleRepresentation3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkOrientedPolygonalHandleRepresentation3D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOrientedPolygonalHandleRepresentation3DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOrientedPolygonalHandleRepresentation3DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractPolygonalHandleRepresentation3DNew(char *); }

static PyObject *PyvtkOrientedPolygonalHandleRepresentation3D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientedPolygonalHandleRepresentation3D *op;

  const char    *temp20;
  op = (vtkOrientedPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrientedPolygonalHandleRepresentation3D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOrientedPolygonalHandleRepresentation3D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientedPolygonalHandleRepresentation3D *op;

  char    *temp0;
  int      temp20;
  op = (vtkOrientedPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrientedPolygonalHandleRepresentation3D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOrientedPolygonalHandleRepresentation3D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientedPolygonalHandleRepresentation3D *op;

  vtkOrientedPolygonalHandleRepresentation3D  *temp20;
  op = (vtkOrientedPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrientedPolygonalHandleRepresentation3D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOrientedPolygonalHandleRepresentation3D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOrientedPolygonalHandleRepresentation3D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOrientedPolygonalHandleRepresentation3D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkOrientedPolygonalHandleRepresentation3DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOrientedPolygonalHandleRepresentation3D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOrientedPolygonalHandleRepresentation3D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for instances of this class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOrientedPolygonalHandleRepresentation3D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOrientedPolygonalHandleRepresentation3D\nC++: vtkOrientedPolygonalHandleRepresentation3D *NewInstance ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOrientedPolygonalHandleRepresentation3D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOrientedPolygonalHandleRepresentation3D\nC++: vtkOrientedPolygonalHandleRepresentation3D *SafeDownCast (vtkObject* o);\n\n Standard methods for instances of this class.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOrientedPolygonalHandleRepresentation3DDoc[] = {
  (char*)"vtkOrientedPolygonalHandleRepresentation3D - represent a user defined handle geometry in 3D while maintaining a fixed orientation w.r.t the camera.\n\n",
  "Super Class:\n\n vtkAbstractPolygonalHandleRepresentation3D\n\n",
  (char*)" This class serves as the geometrical representation of a vtkHandleWidget. \n The handle can be represented by an arbitrary polygonal data (vtkPolyData),\n set via SetHandle(vtkPolyData *). The actual position of the handle \n will be initially assumed to be (0,0,0). You can specify an offset from\n this position if desired. This class differs from \n vtkPolygonalHandleRepresentation3D in that the hand",
  (char*)"le will always remain\n front facing, ie it maintains a fixed orientation with respect to the \n camera. This is done by using vtkFollowers internally to render the actors.\n\n",
  "See Also:\n\n vtkPolygonalHandleRepresentation3D vtkHandleRepresentation vtkHandleWidget\n\n",
  NULL
};

static vtkObjectBase *vtkOrientedPolygonalHandleRepresentation3DStaticNew()
{
  return vtkOrientedPolygonalHandleRepresentation3D::New();
}

PyObject *PyVTKClass_vtkOrientedPolygonalHandleRepresentation3DNew(char *modulename)
{
  return PyVTKClass_New(&vtkOrientedPolygonalHandleRepresentation3DStaticNew,
                        PyvtkOrientedPolygonalHandleRepresentation3DMethods,
                        (char*)"vtkOrientedPolygonalHandleRepresentation3D",modulename,
                        (char**)vtkOrientedPolygonalHandleRepresentation3DDoc,
                        PyVTKClass_vtkAbstractPolygonalHandleRepresentation3DNew(modulename));
}

