// python wrapper for vtkSplineRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSplineRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSplineRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSplineRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkWidgetRepresentationNew(char *); }

static PyObject *PyvtkSplineRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  const char    *temp20;
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  vtkSplineRepresentation  *temp20;
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSplineRepresentation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSplineRepresentation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_SetInteractionState(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  int      temp0;
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineRepresentation::SetInteractionState(temp0);
      }
    else
      {
      op->SetInteractionState(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_SetProjectToPlane(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  int      temp0;
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineRepresentation::SetProjectToPlane(temp0);
      }
    else
      {
      op->SetProjectToPlane(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_GetProjectToPlane(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  int      temp20;
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineRepresentation::GetProjectToPlane();
      }
    else
      {
      temp20 = op->GetProjectToPlane();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_ProjectToPlaneOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineRepresentation::ProjectToPlaneOn();
      }
    else
      {
      op->ProjectToPlaneOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_ProjectToPlaneOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineRepresentation::ProjectToPlaneOff();
      }
    else
      {
      op->ProjectToPlaneOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_SetPlaneSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  vtkPlaneSource  *temp0;
  PyObject *tempH0;
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPlaneSource *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPlaneSource");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineRepresentation::SetPlaneSource(temp0);
      }
    else
      {
      op->SetPlaneSource(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_SetProjectionNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  int      temp0;
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineRepresentation::SetProjectionNormal(temp0);
      }
    else
      {
      op->SetProjectionNormal(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_GetProjectionNormalMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  int      temp20;
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineRepresentation::GetProjectionNormalMinValue();
      }
    else
      {
      temp20 = op->GetProjectionNormalMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_GetProjectionNormalMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  int      temp20;
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineRepresentation::GetProjectionNormalMaxValue();
      }
    else
      {
      temp20 = op->GetProjectionNormalMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_GetProjectionNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  int      temp20;
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineRepresentation::GetProjectionNormal();
      }
    else
      {
      temp20 = op->GetProjectionNormal();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_SetProjectionNormalToXAxes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineRepresentation::SetProjectionNormalToXAxes();
      }
    else
      {
      op->SetProjectionNormalToXAxes();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_SetProjectionNormalToYAxes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineRepresentation::SetProjectionNormalToYAxes();
      }
    else
      {
      op->SetProjectionNormalToYAxes();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_SetProjectionNormalToZAxes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineRepresentation::SetProjectionNormalToZAxes();
      }
    else
      {
      op->SetProjectionNormalToZAxes();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_SetProjectionNormalToOblique(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineRepresentation::SetProjectionNormalToOblique();
      }
    else
      {
      op->SetProjectionNormalToOblique();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_SetProjectionPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  double   temp0;
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineRepresentation::SetProjectionPosition(temp0);
      }
    else
      {
      op->SetProjectionPosition(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_GetProjectionPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  double   temp20;
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineRepresentation::GetProjectionPosition();
      }
    else
      {
      temp20 = op->GetProjectionPosition();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_GetPolyData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineRepresentation::GetPolyData(temp0);
      }
    else
      {
      op->GetPolyData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_GetHandleProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  vtkProperty  *temp20;
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineRepresentation::GetHandleProperty();
      }
    else
      {
      temp20 = op->GetHandleProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_GetSelectedHandleProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  vtkProperty  *temp20;
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineRepresentation::GetSelectedHandleProperty();
      }
    else
      {
      temp20 = op->GetSelectedHandleProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_GetLineProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  vtkProperty  *temp20;
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineRepresentation::GetLineProperty();
      }
    else
      {
      temp20 = op->GetLineProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_GetSelectedLineProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  vtkProperty  *temp20;
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineRepresentation::GetSelectedLineProperty();
      }
    else
      {
      temp20 = op->GetSelectedLineProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_SetNumberOfHandles(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  int      temp0;
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineRepresentation::SetNumberOfHandles(temp0);
      }
    else
      {
      op->SetNumberOfHandles(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_GetNumberOfHandles(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  int      temp20;
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineRepresentation::GetNumberOfHandles();
      }
    else
      {
      temp20 = op->GetNumberOfHandles();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_SetResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  int      temp0;
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineRepresentation::SetResolution(temp0);
      }
    else
      {
      op->SetResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_GetResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  int      temp20;
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineRepresentation::GetResolution();
      }
    else
      {
      temp20 = op->GetResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_SetParametricSpline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  vtkParametricSpline  *temp0;
  PyObject *tempH0;
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkParametricSpline *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkParametricSpline");
    if (!temp0 && tempH0 != Py_None) goto break29;
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineRepresentation::SetParametricSpline(temp0);
      }
    else
      {
      op->SetParametricSpline(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break29:
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_GetParametricSpline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  vtkParametricSpline  *temp20;
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineRepresentation::GetParametricSpline();
      }
    else
      {
      temp20 = op->GetParametricSpline();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_SetHandlePosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"iddd", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineRepresentation::SetHandlePosition(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetHandlePosition(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  int      temp0;
  double temp1[3];
  PyErr_Clear();
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineRepresentation::SetHandlePosition(temp0,temp1);
      }
    else
      {
      op->SetHandlePosition(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_GetHandlePosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  int      temp0;
  double temp1[3];
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineRepresentation::GetHandlePosition(temp0,temp1);
      }
    else
      {
      op->GetHandlePosition(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_GetHandlePositions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  vtkDoubleArray  *temp20;
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineRepresentation::GetHandlePositions();
      }
    else
      {
      temp20 = op->GetHandlePositions();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_SetClosed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  int      temp0;
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineRepresentation::SetClosed(temp0);
      }
    else
      {
      op->SetClosed(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_GetClosed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  int      temp20;
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineRepresentation::GetClosed();
      }
    else
      {
      temp20 = op->GetClosed();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_ClosedOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineRepresentation::ClosedOn();
      }
    else
      {
      op->ClosedOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_ClosedOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineRepresentation::ClosedOff();
      }
    else
      {
      op->ClosedOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_IsClosed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  int      temp20;
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineRepresentation::IsClosed();
      }
    else
      {
      temp20 = op->IsClosed();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_GetSummedLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  double   temp20;
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineRepresentation::GetSummedLength();
      }
    else
      {
      temp20 = op->GetSummedLength();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_InitializeHandles(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break41;
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineRepresentation::InitializeHandles(temp0);
      }
    else
      {
      op->InitializeHandles(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break41:
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_BuildRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineRepresentation::BuildRepresentation();
      }
    else
      {
      op->BuildRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_ComputeInteractionState(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineRepresentation::ComputeInteractionState(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->ComputeInteractionState(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_StartWidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  double temp0[2];
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineRepresentation::StartWidgetInteraction(temp0);
      }
    else
      {
      op->StartWidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_WidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  double temp0[2];
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineRepresentation::WidgetInteraction(temp0);
      }
    else
      {
      op->WidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_EndWidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  double temp0[2];
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineRepresentation::EndWidgetInteraction(temp0);
      }
    else
      {
      op->EndWidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break47;
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineRepresentation::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break47:
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break48;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineRepresentation::RenderOpaqueGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderOpaqueGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break48:
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_RenderTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break49;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineRepresentation::RenderTranslucentPolygonalGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderTranslucentPolygonalGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break49:
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_RenderOverlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break50;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineRepresentation::RenderOverlay(temp0);
      }
    else
      {
      temp20 = op->RenderOverlay(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break50:
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_HasTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  int      temp20;
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineRepresentation::HasTranslucentPolygonalGeometry();
      }
    else
      {
      temp20 = op->HasTranslucentPolygonalGeometry();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineRepresentation_SetLineColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineRepresentation *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkSplineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineRepresentation::SetLineColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetLineColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSplineRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSplineRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSplineRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSplineRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSplineRepresentation\nC++: vtkSplineRepresentation *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSplineRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSplineRepresentation\nC++: vtkSplineRepresentation *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetInteractionState",                (PyCFunction)PyvtkSplineRepresentation_SetInteractionState, 1,
   (char*)"V.SetInteractionState(int)\nC++: void SetInteractionState (int );\n\n"},
  {(char*)"SetProjectToPlane",                (PyCFunction)PyvtkSplineRepresentation_SetProjectToPlane, 1,
   (char*)"V.SetProjectToPlane(int)\nC++: void SetProjectToPlane (int );\n\n Force the spline widget to be projected onto one of the orthogonal planes.\n Remember that when the InteractionState changes, a ModifiedEvent is invoked.\n This can be used to snap the spline to the plane if it is orginally\n not aligned.  The normal in SetProjectionNormal is 0,1,2 for YZ,XZ,XY\n planes respectively and 3 for arbitrary oblique planes when the widget\n is tied to a vtkPlaneSource.\n"},
  {(char*)"GetProjectToPlane",                (PyCFunction)PyvtkSplineRepresentation_GetProjectToPlane, 1,
   (char*)"V.GetProjectToPlane() -> int\nC++: int GetProjectToPlane ();\n\n Force the spline widget to be projected onto one of the orthogonal planes.\n Remember that when the InteractionState changes, a ModifiedEvent is invoked.\n This can be used to snap the spline to the plane if it is orginally\n not aligned.  The normal in SetProjectionNormal is 0,1,2 for YZ,XZ,XY\n planes respectively and 3 for arbitrary oblique planes when the widget\n is tied to a vtkPlaneSource.\n"},
  {(char*)"ProjectToPlaneOn",                (PyCFunction)PyvtkSplineRepresentation_ProjectToPlaneOn, 1,
   (char*)"V.ProjectToPlaneOn()\nC++: void ProjectToPlaneOn ();\n\n Force the spline widget to be projected onto one of the orthogonal planes.\n Remember that when the InteractionState changes, a ModifiedEvent is invoked.\n This can be used to snap the spline to the plane if it is orginally\n not aligned.  The normal in SetProjectionNormal is 0,1,2 for YZ,XZ,XY\n planes respectively and 3 for arbitrary oblique planes when the widget\n is tied to a vtkPlaneSource.\n"},
  {(char*)"ProjectToPlaneOff",                (PyCFunction)PyvtkSplineRepresentation_ProjectToPlaneOff, 1,
   (char*)"V.ProjectToPlaneOff()\nC++: void ProjectToPlaneOff ();\n\n Force the spline widget to be projected onto one of the orthogonal planes.\n Remember that when the InteractionState changes, a ModifiedEvent is invoked.\n This can be used to snap the spline to the plane if it is orginally\n not aligned.  The normal in SetProjectionNormal is 0,1,2 for YZ,XZ,XY\n planes respectively and 3 for arbitrary oblique planes when the widget\n is tied to a vtkPlaneSource.\n"},
  {(char*)"SetPlaneSource",                (PyCFunction)PyvtkSplineRepresentation_SetPlaneSource, 1,
   (char*)"V.SetPlaneSource(vtkPlaneSource)\nC++: void SetPlaneSource (vtkPlaneSource *plane);\n\n Set up a reference to a vtkPlaneSource that could be from another widget\n object, e.g. a vtkPolyDataSourceWidget.\n"},
  {(char*)"SetProjectionNormal",                (PyCFunction)PyvtkSplineRepresentation_SetProjectionNormal, 1,
   (char*)"V.SetProjectionNormal(int)\nC++: void SetProjectionNormal (int );\n\n"},
  {(char*)"GetProjectionNormalMinValue",                (PyCFunction)PyvtkSplineRepresentation_GetProjectionNormalMinValue, 1,
   (char*)"V.GetProjectionNormalMinValue() -> int\nC++: int GetProjectionNormalMinValue ();\n\n"},
  {(char*)"GetProjectionNormalMaxValue",                (PyCFunction)PyvtkSplineRepresentation_GetProjectionNormalMaxValue, 1,
   (char*)"V.GetProjectionNormalMaxValue() -> int\nC++: int GetProjectionNormalMaxValue ();\n\n"},
  {(char*)"GetProjectionNormal",                (PyCFunction)PyvtkSplineRepresentation_GetProjectionNormal, 1,
   (char*)"V.GetProjectionNormal() -> int\nC++: int GetProjectionNormal ();\n\n"},
  {(char*)"SetProjectionNormalToXAxes",                (PyCFunction)PyvtkSplineRepresentation_SetProjectionNormalToXAxes, 1,
   (char*)"V.SetProjectionNormalToXAxes()\nC++: void SetProjectionNormalToXAxes ();this SetProjectionNormal \n\n"},
  {(char*)"SetProjectionNormalToYAxes",                (PyCFunction)PyvtkSplineRepresentation_SetProjectionNormalToYAxes, 1,
   (char*)"V.SetProjectionNormalToYAxes()\nC++: void SetProjectionNormalToYAxes ();this SetProjectionNormal \n\n"},
  {(char*)"SetProjectionNormalToZAxes",                (PyCFunction)PyvtkSplineRepresentation_SetProjectionNormalToZAxes, 1,
   (char*)"V.SetProjectionNormalToZAxes()\nC++: void SetProjectionNormalToZAxes ();this SetProjectionNormal \n\n"},
  {(char*)"SetProjectionNormalToOblique",                (PyCFunction)PyvtkSplineRepresentation_SetProjectionNormalToOblique, 1,
   (char*)"V.SetProjectionNormalToOblique()\nC++: void SetProjectionNormalToOblique ();this SetProjectionNormal \n\n Set the position of spline handles and points in terms of a plane's\n position. i.e., if ProjectionNormal is 0, all of the x-coordinate\n values of the points are set to position. Any value can be passed (and is\n ignored) to update the spline points when Projection normal is set to 3\n for arbritrary plane orientations.\n"},
  {(char*)"SetProjectionPosition",                (PyCFunction)PyvtkSplineRepresentation_SetProjectionPosition, 1,
   (char*)"V.SetProjectionPosition(float)\nC++: void SetProjectionPosition (double position);\n\n Set the position of spline handles and points in terms of a plane's\n position. i.e., if ProjectionNormal is 0, all of the x-coordinate\n values of the points are set to position. Any value can be passed (and is\n ignored) to update the spline points when Projection normal is set to 3\n for arbritrary plane orientations.\n"},
  {(char*)"GetProjectionPosition",                (PyCFunction)PyvtkSplineRepresentation_GetProjectionPosition, 1,
   (char*)"V.GetProjectionPosition() -> float\nC++: double GetProjectionPosition ();\n\n Set the position of spline handles and points in terms of a plane's\n position. i.e., if ProjectionNormal is 0, all of the x-coordinate\n values of the points are set to position. Any value can be passed (and is\n ignored) to update the spline points when Projection normal is set to 3\n for arbritrary plane orientations.\n"},
  {(char*)"GetPolyData",                (PyCFunction)PyvtkSplineRepresentation_GetPolyData, 1,
   (char*)"V.GetPolyData(vtkPolyData)\nC++: void GetPolyData (vtkPolyData *pd);\n\n Grab the polydata (including points) that defines the spline.  The\n polydata consists of points and line segments numbering Resolution + 1\n and Resoltuion, respectively. Points are guaranteed to be up-to-date when\n either the InteractionEvent or  EndInteraction events are invoked. The\n user provides the vtkPolyData and the points and polyline are added to it.\n"},
  {(char*)"GetHandleProperty",                (PyCFunction)PyvtkSplineRepresentation_GetHandleProperty, 1,
   (char*)"V.GetHandleProperty() -> vtkProperty\nC++: vtkProperty *GetHandleProperty ();\n\n Set/Get the handle properties (the spheres are the handles). The\n properties of the handles when selected and unselected can be manipulated.\n"},
  {(char*)"GetSelectedHandleProperty",                (PyCFunction)PyvtkSplineRepresentation_GetSelectedHandleProperty, 1,
   (char*)"V.GetSelectedHandleProperty() -> vtkProperty\nC++: vtkProperty *GetSelectedHandleProperty ();\n\n Set/Get the handle properties (the spheres are the handles). The\n properties of the handles when selected and unselected can be manipulated.\n"},
  {(char*)"GetLineProperty",                (PyCFunction)PyvtkSplineRepresentation_GetLineProperty, 1,
   (char*)"V.GetLineProperty() -> vtkProperty\nC++: vtkProperty *GetLineProperty ();\n\n Set/Get the line properties. The properties of the line when selected\n and unselected can be manipulated.\n"},
  {(char*)"GetSelectedLineProperty",                (PyCFunction)PyvtkSplineRepresentation_GetSelectedLineProperty, 1,
   (char*)"V.GetSelectedLineProperty() -> vtkProperty\nC++: vtkProperty *GetSelectedLineProperty ();\n\n Set/Get the line properties. The properties of the line when selected\n and unselected can be manipulated.\n"},
  {(char*)"SetNumberOfHandles",                (PyCFunction)PyvtkSplineRepresentation_SetNumberOfHandles, 1,
   (char*)"V.SetNumberOfHandles(int)\nC++: virtual void SetNumberOfHandles (int npts);\n\n Set/Get the number of handles for this widget.\n"},
  {(char*)"GetNumberOfHandles",                (PyCFunction)PyvtkSplineRepresentation_GetNumberOfHandles, 1,
   (char*)"V.GetNumberOfHandles() -> int\nC++: int GetNumberOfHandles ();\n\n Set/Get the number of handles for this widget.\n"},
  {(char*)"SetResolution",                (PyCFunction)PyvtkSplineRepresentation_SetResolution, 1,
   (char*)"V.SetResolution(int)\nC++: void SetResolution (int resolution);\n\n Set/Get the number of line segments representing the spline for\n this widget.\n"},
  {(char*)"GetResolution",                (PyCFunction)PyvtkSplineRepresentation_GetResolution, 1,
   (char*)"V.GetResolution() -> int\nC++: int GetResolution ();\n\n Set/Get the number of line segments representing the spline for\n this widget.\n"},
  {(char*)"SetParametricSpline",                (PyCFunction)PyvtkSplineRepresentation_SetParametricSpline, 1,
   (char*)"V.SetParametricSpline(vtkParametricSpline)\nC++: virtual void SetParametricSpline (vtkParametricSpline *);\n\n Set the parametric spline object. Through vtkParametricSpline's API, the\n user can supply and configure one of currently two types of spline:\n vtkCardinalSpline, vtkKochanekSpline. The widget controls the open\n or closed configuration of the spline.\n WARNING: The widget does not enforce internal consistency so that all\n three are of the same type.\n"},
  {(char*)"GetParametricSpline",                (PyCFunction)PyvtkSplineRepresentation_GetParametricSpline, 1,
   (char*)"V.GetParametricSpline() -> vtkParametricSpline\nC++: vtkParametricSpline *GetParametricSpline ();\n\n Set the parametric spline object. Through vtkParametricSpline's API, the\n user can supply and configure one of currently two types of spline:\n vtkCardinalSpline, vtkKochanekSpline. The widget controls the open\n or closed configuration of the spline.\n WARNING: The widget does not enforce internal consistency so that all\n three are of the same type.\n"},
  {(char*)"SetHandlePosition",                (PyCFunction)PyvtkSplineRepresentation_SetHandlePosition, 1,
   (char*)"V.SetHandlePosition(int, float, float, float)\nC++: void SetHandlePosition (int handle, double x, double y, double z);\nV.SetHandlePosition(int, (float, float, float))\nC++: void SetHandlePosition (int handle, double xyz[3]);\n\n Set/Get the position of the spline handles. Call GetNumberOfHandles\n to determine the valid range of handle indices.\n"},
  {(char*)"GetHandlePosition",                (PyCFunction)PyvtkSplineRepresentation_GetHandlePosition, 1,
   (char*)"V.GetHandlePosition(int, (float, float, float))\nC++: void GetHandlePosition (int handle, double xyz[3]);\n\n Set/Get the position of the spline handles. Call GetNumberOfHandles\n to determine the valid range of handle indices.\n"},
  {(char*)"GetHandlePositions",                (PyCFunction)PyvtkSplineRepresentation_GetHandlePositions, 1,
   (char*)"V.GetHandlePositions() -> vtkDoubleArray\nC++: vtkDoubleArray *GetHandlePositions ();\n\n Set/Get the position of the spline handles. Call GetNumberOfHandles\n to determine the valid range of handle indices.\n"},
  {(char*)"SetClosed",                (PyCFunction)PyvtkSplineRepresentation_SetClosed, 1,
   (char*)"V.SetClosed(int)\nC++: void SetClosed (int closed);\n\n Control whether the spline is open or closed. A closed spline forms\n a continuous loop: the first and last points are the same, and\n derivatives are continuous.  A minimum of 3 handles are required to\n form a closed loop.  This method enforces consistency with\n user supplied subclasses of vtkSpline.\n"},
  {(char*)"GetClosed",                (PyCFunction)PyvtkSplineRepresentation_GetClosed, 1,
   (char*)"V.GetClosed() -> int\nC++: int GetClosed ();\n\n Control whether the spline is open or closed. A closed spline forms\n a continuous loop: the first and last points are the same, and\n derivatives are continuous.  A minimum of 3 handles are required to\n form a closed loop.  This method enforces consistency with\n user supplied subclasses of vtkSpline.\n"},
  {(char*)"ClosedOn",                (PyCFunction)PyvtkSplineRepresentation_ClosedOn, 1,
   (char*)"V.ClosedOn()\nC++: void ClosedOn ();\n\n Control whether the spline is open or closed. A closed spline forms\n a continuous loop: the first and last points are the same, and\n derivatives are continuous.  A minimum of 3 handles are required to\n form a closed loop.  This method enforces consistency with\n user supplied subclasses of vtkSpline.\n"},
  {(char*)"ClosedOff",                (PyCFunction)PyvtkSplineRepresentation_ClosedOff, 1,
   (char*)"V.ClosedOff()\nC++: void ClosedOff ();\n\n Control whether the spline is open or closed. A closed spline forms\n a continuous loop: the first and last points are the same, and\n derivatives are continuous.  A minimum of 3 handles are required to\n form a closed loop.  This method enforces consistency with\n user supplied subclasses of vtkSpline.\n"},
  {(char*)"IsClosed",                (PyCFunction)PyvtkSplineRepresentation_IsClosed, 1,
   (char*)"V.IsClosed() -> int\nC++: int IsClosed ();\n\n Convenience method to determine whether the spline is\n closed in a geometric sense.  The widget may be set \"closed\" but still\n be geometrically open (e.g., a straight line).\n"},
  {(char*)"GetSummedLength",                (PyCFunction)PyvtkSplineRepresentation_GetSummedLength, 1,
   (char*)"V.GetSummedLength() -> float\nC++: double GetSummedLength ();\n\n Get the approximate vs. the true arc length of the spline. Calculated as\n the summed lengths of the individual straight line segments. Use\n SetResolution to control the accuracy.\n"},
  {(char*)"InitializeHandles",                (PyCFunction)PyvtkSplineRepresentation_InitializeHandles, 1,
   (char*)"V.InitializeHandles(vtkPoints)\nC++: void InitializeHandles (vtkPoints *points);\n\n Convenience method to allocate and set the handles from a vtkPoints\n instance.  If the first and last points are the same, the spline sets\n Closed to the on InteractionState and disregards the last point, otherwise Closed\n remains unchanged.\n"},
  {(char*)"BuildRepresentation",                (PyCFunction)PyvtkSplineRepresentation_BuildRepresentation, 1,
   (char*)"V.BuildRepresentation()\nC++: virtual void BuildRepresentation ();\n\n These are methods that satisfy vtkWidgetRepresentation's API. Note that a \n version of place widget is available where the center and handle position\n are specified.\n"},
  {(char*)"ComputeInteractionState",                (PyCFunction)PyvtkSplineRepresentation_ComputeInteractionState, 1,
   (char*)"V.ComputeInteractionState(int, int, int) -> int\nC++: virtual int ComputeInteractionState (int X, int Y, int modify);\n\n These are methods that satisfy vtkWidgetRepresentation's API. Note that a \n version of place widget is available where the center and handle position\n are specified.\n"},
  {(char*)"StartWidgetInteraction",                (PyCFunction)PyvtkSplineRepresentation_StartWidgetInteraction, 1,
   (char*)"V.StartWidgetInteraction((float, float))\nC++: virtual void StartWidgetInteraction (double e[2]);\n\n These are methods that satisfy vtkWidgetRepresentation's API. Note that a \n version of place widget is available where the center and handle position\n are specified.\n"},
  {(char*)"WidgetInteraction",                (PyCFunction)PyvtkSplineRepresentation_WidgetInteraction, 1,
   (char*)"V.WidgetInteraction((float, float))\nC++: virtual void WidgetInteraction (double e[2]);\n\n These are methods that satisfy vtkWidgetRepresentation's API. Note that a \n version of place widget is available where the center and handle position\n are specified.\n"},
  {(char*)"EndWidgetInteraction",                (PyCFunction)PyvtkSplineRepresentation_EndWidgetInteraction, 1,
   (char*)"V.EndWidgetInteraction((float, float))\nC++: virtual void EndWidgetInteraction (double e[2]);\n\n These are methods that satisfy vtkWidgetRepresentation's API. Note that a \n version of place widget is available where the center and handle position\n are specified.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkSplineRepresentation_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *);\n\n Methods supporting, and required by, the rendering process.\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkSplineRepresentation_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: virtual int RenderOpaqueGeometry (vtkViewport *);\n\n Methods supporting, and required by, the rendering process.\n"},
  {(char*)"RenderTranslucentPolygonalGeometry",                (PyCFunction)PyvtkSplineRepresentation_RenderTranslucentPolygonalGeometry, 1,
   (char*)"V.RenderTranslucentPolygonalGeometry(vtkViewport) -> int\nC++: virtual int RenderTranslucentPolygonalGeometry (vtkViewport *);\n\n Methods supporting, and required by, the rendering process.\n"},
  {(char*)"RenderOverlay",                (PyCFunction)PyvtkSplineRepresentation_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport) -> int\nC++: virtual int RenderOverlay (vtkViewport *);\n\n Methods supporting, and required by, the rendering process.\n"},
  {(char*)"HasTranslucentPolygonalGeometry",                (PyCFunction)PyvtkSplineRepresentation_HasTranslucentPolygonalGeometry, 1,
   (char*)"V.HasTranslucentPolygonalGeometry() -> int\nC++: virtual int HasTranslucentPolygonalGeometry ();\n\n Methods supporting, and required by, the rendering process.\n"},
  {(char*)"SetLineColor",                (PyCFunction)PyvtkSplineRepresentation_SetLineColor, 1,
   (char*)"V.SetLineColor(float, float, float)\nC++: void SetLineColor (double r, double g, double b);\n\n Convenience method to set the line color.\n Ideally one should use GetLineProperty()->SetColor().\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSplineRepresentationDoc[] = {
  (char*)"vtkSplineRepresentation - vtkWidgetRepresentation for a spline.\n\n",
  "Super Class:\n\n vtkWidgetRepresentation\n\n",
  (char*)" vtkSplineRepresentation is a vtkWidgetRepresentation for a spline.\n This 3D widget defines a spline that can be interactively placed in a\n scene. The spline has handles, the number of which can be changed, plus it\n can be picked on the spline itself to translate or rotate it in the scene.\n This is based on vtkSplineWidget.\n\n",
  "See Also:\n\n vtkSplineWidget, vtkSplineWidget2\n\n",
  NULL
};

static vtkObjectBase *vtkSplineRepresentationStaticNew()
{
  return vtkSplineRepresentation::New();
}

PyObject *PyVTKClass_vtkSplineRepresentationNew(char *modulename)
{
  return PyVTKClass_New(&vtkSplineRepresentationStaticNew,
                        PyvtkSplineRepresentationMethods,
                        (char*)"vtkSplineRepresentation",modulename,
                        (char**)vtkSplineRepresentationDoc,
                        PyVTKClass_vtkWidgetRepresentationNew(modulename));
}

